/* Provide Declarations */
#include <stdarg.h>
#include <setjmp.h>
/* get a declaration for alloca */
#if defined(__CYGWIN__) || defined(__MINGW32__)
#define  alloca(x) __builtin_alloca((x))
#define _alloca(x) __builtin_alloca((x))
#elif defined(__APPLE__)
extern void *__builtin_alloca(unsigned long);
#define alloca(x) __builtin_alloca(x)
#define longjmp _longjmp
#define setjmp _setjmp
#elif defined(__sun__)
#if defined(__sparcv9)
extern void *__builtin_alloca(unsigned long);
#else
extern void *__builtin_alloca(unsigned int);
#endif
#define alloca(x) __builtin_alloca(x)
#elif defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__) || defined(__DragonFly__)
#define alloca(x) __builtin_alloca(x)
#elif defined(_MSC_VER)
#define inline _inline
#define alloca(x) _alloca(x)
#else
#include <alloca.h>
#endif

#ifndef __GNUC__  /* Can only support "linkonce" vars with GCC */
#define __attribute__(X)
#endif

#if defined(__GNUC__) && defined(__APPLE_CC__)
#define __EXTERNAL_WEAK__ __attribute__((weak_import))
#elif defined(__GNUC__)
#define __EXTERNAL_WEAK__ __attribute__((weak))
#else
#define __EXTERNAL_WEAK__
#endif

#if defined(__GNUC__) && defined(__APPLE_CC__)
#define __ATTRIBUTE_WEAK__
#elif defined(__GNUC__)
#define __ATTRIBUTE_WEAK__ __attribute__((weak))
#else
#define __ATTRIBUTE_WEAK__
#endif

#if defined(__GNUC__)
#define __HIDDEN__ __attribute__((visibility("hidden")))
#endif

#ifdef __GNUC__
#define LLVM_NAN(NanStr)   __builtin_nan(NanStr)   /* Double */
#define LLVM_NANF(NanStr)  __builtin_nanf(NanStr)  /* Float */
#define LLVM_NANS(NanStr)  __builtin_nans(NanStr)  /* Double */
#define LLVM_NANSF(NanStr) __builtin_nansf(NanStr) /* Float */
#define LLVM_INF           __builtin_inf()         /* Double */
#define LLVM_INFF          __builtin_inff()        /* Float */
#define LLVM_PREFETCH(addr,rw,locality) __builtin_prefetch(addr,rw,locality)
#define __ATTRIBUTE_CTOR__ __attribute__((constructor))
#define __ATTRIBUTE_DTOR__ __attribute__((destructor))
#define LLVM_ASM           __asm__
#else
#define LLVM_NAN(NanStr)   ((double)0.0)           /* Double */
#define LLVM_NANF(NanStr)  0.0F                    /* Float */
#define LLVM_NANS(NanStr)  ((double)0.0)           /* Double */
#define LLVM_NANSF(NanStr) 0.0F                    /* Float */
#define LLVM_INF           ((double)0.0)           /* Double */
#define LLVM_INFF          0.0F                    /* Float */
#define LLVM_PREFETCH(addr,rw,locality)            /* PREFETCH */
#define __ATTRIBUTE_CTOR__
#define __ATTRIBUTE_DTOR__
#define LLVM_ASM(X)
#endif

#if __GNUC__ < 4 /* Old GCC's, or compilers not GCC */ 
#define __builtin_stack_save() 0   /* not implemented */
#define __builtin_stack_restore(X) /* noop */
#endif

#if __GNUC__ && __LP64__ /* 128-bit integer types */
typedef int __attribute__((mode(TI))) llvmInt128;
typedef unsigned __attribute__((mode(TI))) llvmUInt128;
#endif

#define CODE_FOR_MAIN() /* Any target-specific code for main()*/

#ifndef __cplusplus
typedef unsigned char bool;
#endif


/* Support for floating point constants */
typedef unsigned long long ConstantDoubleTy;
typedef unsigned int        ConstantFloatTy;
typedef struct { unsigned long long f1; unsigned short f2; unsigned short pad[3]; } ConstantFP80Ty;
typedef struct { unsigned long long f1; unsigned long long f2; } ConstantFP128Ty;


/* Global Declarations */
/* Helper union for bitcasts */
typedef union {
  unsigned int Int32;
  unsigned long long Int64;
  float Float;
  double Double;
} llvmBitCastUnion;
/* Structure forward decls */
struct l_unnamed0;
struct l_unnamed1;
struct l_unnamed2;
struct l_unnamed3;

/* Typedefs */
typedef struct l_unnamed0 l_unnamed0;
typedef struct l_unnamed1 l_unnamed1;
typedef struct l_unnamed2 l_unnamed2;
typedef struct l_unnamed3 l_unnamed3;

/* Structure contents */
struct l_unnamed0 { unsigned short array[8192]; };

struct l_unnamed1 { char array[18]; };

struct l_unnamed2 { unsigned char array[65536]; };

struct l_unnamed3 { unsigned char array[1]; };


/* External Global Variable Declarations */
extern unsigned int ST_LGT;
extern unsigned int ST_AGT;
extern unsigned int ST_EQ;
extern unsigned int ST_C;
extern unsigned int ST_O;
extern unsigned int ST_P;
extern unsigned int ST_X;
extern unsigned int ST_IM;
extern struct l_unnamed2 RAM;
extern struct l_unnamed3 rom;
extern unsigned short PC;
extern unsigned short WP;

/* Function Declarations */
#include <stdio.h>
#include <string.h>
#include "runtime_functions.h"


/* Global Variable Declarations */
extern unsigned int ST_LGT;
extern unsigned int ST_AGT;
extern unsigned int ST_EQ;
extern unsigned int ST_C;
extern unsigned int ST_O;
extern unsigned int ST_P;
extern unsigned int ST_X;
extern unsigned int ST_IM;
extern struct l_unnamed2 RAM __ATTRIBUTE_WEAK__;
static struct l_unnamed1 _2E_str;
extern unsigned short PC __ATTRIBUTE_WEAK__;
extern unsigned short WP __ATTRIBUTE_WEAK__;
static struct l_unnamed0 main_2E_case_labels;


/* Global Variable Definitions and Initialization */
unsigned int ST_LGT;
unsigned int ST_AGT;
unsigned int ST_EQ;
unsigned int ST_C;
unsigned int ST_O;
unsigned int ST_P;
unsigned int ST_X;
unsigned int ST_IM;
struct l_unnamed2 RAM __ATTRIBUTE_WEAK__;
static struct l_unnamed1 _2E_str = { "not found: $%04X\n" };
unsigned short PC __ATTRIBUTE_WEAK__;
unsigned short WP __ATTRIBUTE_WEAK__;
static struct l_unnamed0 main_2E_case_labels = { { ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )1), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )2), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )3), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )4), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )5), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )6), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )7), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )8), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )9), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )10), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )11), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )12), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )13), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )14), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )15), ((unsigned short )0), ((unsigned short )16), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )17), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )18), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )19), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )20), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )21), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )22), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )23), ((unsigned short )0), ((unsigned short )24), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )25), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )26), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )27), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )28), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )29), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )30), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )31), ((unsigned short )0), ((unsigned short )32), ((unsigned short )0), ((unsigned short )33), ((unsigned short )0), ((unsigned short )34), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )35), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )36), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )37), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )38), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )39), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )40), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )41), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )42), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )43), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )44), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )45), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )46), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )47), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )48), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )49), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )50), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )51), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )52), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )53), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )54), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )55), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )56), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )57), ((unsigned short )0), ((unsigned short )58), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )59), ((unsigned short )0), ((unsigned short )60), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )61), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )62), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )63), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )64), ((unsigned short )0), ((unsigned short )65), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )66), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )67), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )68), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )69), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )70), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )71), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )72), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )73), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )74), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )75), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )76), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )77), ((unsigned short )0), ((unsigned short )78), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )79), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )80), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )81), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )82), ((unsigned short )0), ((unsigned short )83), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )84), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )85), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )86), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )87), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )88), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )89), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )90), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )91), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )92), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )93), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )94), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )95), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )96), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )97), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )98), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )99), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )100), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )101), ((unsigned short )0), ((unsigned short )102), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )103), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )104), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )105), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )106), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )107), ((unsigned short )0), ((unsigned short )108), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )109), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )110), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )111), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )112), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )113), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )114), ((unsigned short )0), ((unsigned short )115), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )116), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )117), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )118), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )119), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )120), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )121), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )122), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )123), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )124), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )125), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )126), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )127), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )128), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )129), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )130), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )131), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )132), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )133), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )134), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )135), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )136), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )137), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )138), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )139), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )140), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )141), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )142), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )143), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )144), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )145), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )146), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )147), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )148), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )149), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )150), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )151), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )152), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )153), ((unsigned short )0), ((unsigned short )154), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )155), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )156), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )157), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )158), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )159), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )160), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )161), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )162), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )163), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )164), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )165), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )166), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )167), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )168), ((unsigned short )0), ((unsigned short )169), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )170), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )171), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )172), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )173), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )174), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )175), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )176), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )177), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )178), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )179), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )180), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )181), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )182), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )183), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )184), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )185), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )186), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )187), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )188), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )189), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )190), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )191), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )192), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )193), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )194), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )195), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )196), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )197), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )198), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )199), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )200), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )201), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )202), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )203), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )204), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )205), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )206), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )207), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )208), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )209), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )210), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )211), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )212), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )213), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )214), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )215), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )216), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )217), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )218), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )219), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )220), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )221), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )222), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )223), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )224), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )225), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )226), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )227), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )228), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )229), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )230), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )231), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )232), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )233), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )234), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )235), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )236), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )237), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )238), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )239), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )240), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )241), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )242), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )243), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )244), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )245), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )246), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )247), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )248), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )249), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )250), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )251), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )252), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )253), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )254), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )255), ((unsigned short )0), ((unsigned short )256), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )257), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )258), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )259), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )260), ((unsigned short )0), ((unsigned short )261), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )262), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )263), ((unsigned short )0), ((unsigned short )264), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )265), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )266), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )267), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )268), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )269), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )270), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )271), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )272), ((unsigned short )0), ((unsigned short )273), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )274), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )275), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )276), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )277), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )278), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )279), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )280), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )281), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )282), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )283), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )284), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )285), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )286), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )287), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )288), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )289), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0), ((unsigned short )0) } };


/* Function Bodies */
static inline int llvm_fcmp_ord(double X, double Y) { return X == X && Y == Y; }
static inline int llvm_fcmp_uno(double X, double Y) { return X != X || Y != Y; }
static inline int llvm_fcmp_ueq(double X, double Y) { return X == Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_une(double X, double Y) { return X != Y; }
static inline int llvm_fcmp_ult(double X, double Y) { return X <  Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_ugt(double X, double Y) { return X >  Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_ule(double X, double Y) { return X <= Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_uge(double X, double Y) { return X >= Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_oeq(double X, double Y) { return X == Y ; }
static inline int llvm_fcmp_one(double X, double Y) { return X != Y && llvm_fcmp_ord(X, Y); }
static inline int llvm_fcmp_olt(double X, double Y) { return X <  Y ; }
static inline int llvm_fcmp_ogt(double X, double Y) { return X >  Y ; }
static inline int llvm_fcmp_ole(double X, double Y) { return X <= Y ; }
static inline int llvm_fcmp_oge(double X, double Y) { return X >= Y ; }

int main(int llvm_cbe_argc, char **llvm_cbe_argv) {
  unsigned char *llvm_cbe_tmp__1;
  unsigned short llvm_cbe_tmp__2;
  unsigned int llvm_cbe_tmp__3;
  unsigned int llvm_cbe_tmp__4;
  unsigned short llvm_cbe_tmp__5;
  unsigned int llvm_cbe_tmp__6;
  unsigned short llvm_cbe_tmp__7;
  unsigned short llvm_cbe_tmp__7__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__8;
  unsigned char llvm_cbe_tmp__9;
  unsigned char llvm_cbe_tmp__10;
  unsigned char llvm_cbe_tmp__11;
  unsigned short llvm_cbe_tmp__12;
  unsigned int llvm_cbe_tmp__13;
  unsigned char llvm_cbe_tmp__14;
  unsigned char llvm_cbe_tmp__15;
  unsigned int llvm_cbe_tmp__16;
  unsigned int llvm_cbe_tmp__17;
  unsigned short llvm_cbe_tmp__18;
  unsigned short llvm_cbe_tmp__18__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__19;
  unsigned short llvm_cbe_tmp__19__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__20;
  unsigned char llvm_cbe_tmp__21;
  unsigned char llvm_cbe_tmp__22;
  unsigned char llvm_cbe_tmp__23;
  unsigned short llvm_cbe_tmp__24;
  unsigned int llvm_cbe_tmp__25;
  unsigned char llvm_cbe_tmp__26;
  unsigned char llvm_cbe_tmp__27;
  unsigned char llvm_cbe_tmp__28;
  unsigned char llvm_cbe_tmp__29;
  unsigned char llvm_cbe_tmp__30;
  unsigned int llvm_cbe_tmp__31;
  unsigned char llvm_cbe_tmp__32;
  unsigned short llvm_cbe_tmp__33;
  unsigned int llvm_cbe_tmp__34;
  unsigned char llvm_cbe_tmp__35;
  unsigned char llvm_cbe_tmp__36;
  unsigned char llvm_cbe_tmp__37;
  unsigned short llvm_cbe_tmp__38;
  unsigned int llvm_cbe_tmp__39;
  unsigned int llvm_cbe_tmp__40;
  unsigned char llvm_cbe_tmp__41;
  unsigned char *llvm_cbe_tmp__42;
  unsigned char llvm_cbe_tmp__43;
  unsigned char llvm_cbe_tmp__44;
  unsigned char llvm_cbe_tmp__45;
  unsigned int llvm_cbe_tmp__46;
  unsigned int llvm_cbe_tmp__47;
  unsigned char llvm_cbe_tmp__48;
  unsigned char llvm_cbe_tmp__49;
  unsigned int llvm_cbe_tmp__50;
  unsigned int llvm_cbe_tmp__51;
  unsigned int llvm_cbe_tmp__52;
  unsigned int llvm_cbe_tmp__53;
  unsigned int llvm_cbe_tmp__54;
  unsigned char llvm_cbe_tmp__55;
  unsigned char llvm_cbe_tmp__56;
  unsigned short llvm_cbe_tmp__57;
  unsigned int llvm_cbe_tmp__58;
  unsigned int llvm_cbe_tmp__59;
  unsigned int llvm_cbe_tmp__60;
  unsigned char llvm_cbe_tmp__61;
  unsigned char llvm_cbe_tmp__62;
  unsigned int llvm_cbe_tmp__63;
  unsigned char *llvm_cbe_tmp__64;
  unsigned char llvm_cbe_tmp__65;
  unsigned int llvm_cbe_tmp__66;
  unsigned char llvm_cbe_tmp__67;
  unsigned char llvm_cbe_tmp__68;
  unsigned int llvm_cbe_tmp__69;
  unsigned char llvm_cbe_tmp__70;
  unsigned char llvm_cbe_tmp__71;
  unsigned int llvm_cbe_tmp__72;
  unsigned char llvm_cbe_tmp__73;
  unsigned char llvm_cbe_tmp__74;
  unsigned int llvm_cbe_tmp__75;
  unsigned char llvm_cbe_tmp__76;
  unsigned char llvm_cbe_tmp__77;
  unsigned char llvm_cbe_tmp__78;
  unsigned short llvm_cbe_tmp__79;
  unsigned int llvm_cbe_tmp__80;
  unsigned int llvm_cbe_tmp__81;
  unsigned char *llvm_cbe_tmp__82;
  unsigned char llvm_cbe_tmp__83;
  unsigned int llvm_cbe_tmp__84;
  unsigned char *llvm_cbe_tmp__85;
  unsigned char llvm_cbe_tmp__86;
  unsigned int llvm_cbe_tmp__87;
  unsigned short llvm_cbe_tmp__88;
  unsigned int llvm_cbe_tmp3859;
  unsigned int llvm_cbe_tmp__89;
  unsigned int llvm_cbe_tmp__89__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__90;
  unsigned int llvm_cbe_tmp__91;
  unsigned char llvm_cbe_tmp__92;
  unsigned char llvm_cbe_tmp__93;
  unsigned int llvm_cbe_tmp__94;
  unsigned char *llvm_cbe_tmp__95;
  unsigned char *llvm_cbe_tmp__96;
  unsigned char *llvm_cbe_tmp__97;
  unsigned char llvm_cbe_tmp__98;
  unsigned char *llvm_cbe_tmp__99;
  unsigned char llvm_cbe_tmp__100;
  unsigned char llvm_cbe_tmp__101;
  unsigned char llvm_cbe_tmp__102;
  unsigned int llvm_cbe_tmp__103;
  unsigned char llvm_cbe_tmp__104;
  unsigned char llvm_cbe_tmp__105;
  unsigned int llvm_cbe_tmp__106;
  unsigned int llvm_cbe_tmp__107;
  unsigned int llvm_cbe_tmp__108;
  unsigned int llvm_cbe_tmp__109;
  unsigned char llvm_cbe_tmp__110;
  unsigned char llvm_cbe_tmp__111;
  unsigned short llvm_cbe_tmp__112;
  unsigned int llvm_cbe_tmp__113;
  unsigned int llvm_cbe_tmp__114;
  unsigned int llvm_cbe_tmp__115;
  unsigned char llvm_cbe_tmp__116;
  unsigned char llvm_cbe_tmp__117;
  unsigned int llvm_cbe_tmp__118;
  unsigned char *llvm_cbe_tmp__119;
  unsigned char *llvm_cbe_tmp__120;
  unsigned char *llvm_cbe_tmp__121;
  unsigned char llvm_cbe_tmp__122;
  unsigned char llvm_cbe_tmp__123;
  unsigned char *llvm_cbe_tmp__124;
  unsigned char llvm_cbe_tmp__125;
  unsigned int llvm_cbe_tmp__126;
  unsigned char llvm_cbe_tmp__127;
  unsigned char llvm_cbe_tmp__128;
  unsigned int llvm_cbe_tmp__129;
  unsigned char llvm_cbe_tmp__130;
  unsigned char llvm_cbe_tmp__131;
  unsigned char llvm_cbe_tmp__132;
  unsigned char llvm_cbe_tmp__133;
  unsigned short llvm_cbe_tmp__134;
  unsigned short llvm_cbe_tmp__135;
  unsigned int llvm_cbe_tmp__136;
  unsigned int llvm_cbe_tmp__137;
  unsigned int llvm_cbe_tmp__138;
  unsigned char llvm_cbe_tmp__139;
  unsigned char llvm_cbe_tmp__140;
  unsigned short llvm_cbe_tmp__141;
  unsigned char llvm_cbe_tmp__142;
  unsigned char llvm_cbe_tmp__143;
  unsigned char llvm_cbe_tmp__144;
  unsigned int llvm_cbe__2e_pre7019;
  unsigned int llvm_cbe__2e_pre_2d_phi;
  unsigned int llvm_cbe__2e_pre_2d_phi__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__145;
  unsigned int llvm_cbe_tmp__145__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__146;
  unsigned int llvm_cbe_tmp__146__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__147;
  unsigned int llvm_cbe_tmp__147__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__148;
  unsigned int llvm_cbe_tmp__149;
  unsigned int llvm_cbe_tmp__150;
  unsigned int llvm_cbe_tmp__151;
  unsigned int llvm_cbe_tmp__152;
  unsigned int llvm_cbe_tmp__153;
  unsigned char llvm_cbe_tmp__154;
  unsigned int llvm_cbe_tmp__155;
  unsigned char llvm_cbe_tmp__156;
  unsigned char llvm_cbe_tmp__157;
  unsigned char llvm_cbe_tmp__158;
  unsigned int llvm_cbe_tmp__159;
  unsigned char llvm_cbe_tmp__160;
  unsigned char llvm_cbe_tmp__161;
  unsigned char llvm_cbe_tmp__162;
  unsigned short llvm_cbe_tmp__163;
  unsigned int llvm_cbe_tmp__164;
  unsigned char *llvm_cbe_tmp__165;
  unsigned char llvm_cbe_tmp__166;
  unsigned char *llvm_cbe_tmp__167;
  unsigned char llvm_cbe_tmp__168;
  unsigned int llvm_cbe__2e_masked4821;
  unsigned int llvm_cbe_tmp__169;
  unsigned int llvm_cbe_tmp__170;
  unsigned char llvm_cbe_tmp__171;
  unsigned char llvm_cbe_tmp__172;
  unsigned char llvm_cbe_tmp__173;
  unsigned short llvm_cbe_tmp__174;
  unsigned int llvm_cbe_tmp__175;
  unsigned int llvm_cbe_tmp__176;
  unsigned char *llvm_cbe_tmp__177;
  unsigned char llvm_cbe_tmp__178;
  unsigned int llvm_cbe_tmp__179;
  unsigned char *llvm_cbe_tmp__180;
  unsigned char llvm_cbe_tmp__181;
  unsigned char *llvm_cbe_tmp__182;
  unsigned char llvm_cbe_tmp__183;
  unsigned int llvm_cbe_tmp__184;
  unsigned char llvm_cbe_tmp__185;
  unsigned char llvm_cbe_tmp__186;
  unsigned int llvm_cbe_tmp__187;
  unsigned int llvm_cbe_tmp__188;
  unsigned int llvm_cbe_tmp__189;
  unsigned char *llvm_cbe_tmp__190;
  unsigned char llvm_cbe_tmp__191;
  unsigned char *llvm_cbe_tmp__192;
  unsigned char llvm_cbe_tmp__193;
  unsigned int llvm_cbe_tmp__194;
  unsigned short llvm_cbe_tmp__195;
  unsigned int llvm_cbe_tmp__196;
  unsigned int llvm_cbe_tmp3869;
  unsigned int llvm_cbe_tmp__197;
  unsigned int llvm_cbe_tmp__197__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_lobit3871;
  unsigned int llvm_cbe_tmp__198;
  unsigned int llvm_cbe_tmp__198__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__199;
  unsigned char *llvm_cbe_tmp__200;
  unsigned char llvm_cbe_tmp__201;
  unsigned int llvm_cbe_tmp__202;
  unsigned char *llvm_cbe_tmp__203;
  unsigned char llvm_cbe_tmp__204;
  unsigned int llvm_cbe_tmp__205;
  unsigned short llvm_cbe_tmp__206;
  unsigned int llvm_cbe__2e_lobit3870;
  unsigned int llvm_cbe_tmp__207;
  unsigned int llvm_cbe_tmp__207__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__208;
  unsigned short llvm_cbe_tmp__208__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__209;
  unsigned char *llvm_cbe_tmp__210;
  unsigned char llvm_cbe_tmp__211;
  unsigned int llvm_cbe_tmp__212;
  unsigned char *llvm_cbe_tmp__213;
  unsigned char llvm_cbe_tmp__214;
  unsigned int llvm_cbe_tmp__215;
  unsigned short llvm_cbe_tmp__216;
  unsigned int llvm_cbe_tmp__217;
  unsigned int llvm_cbe_tmp3873;
  unsigned int llvm_cbe_tmp__218;
  unsigned int llvm_cbe_tmp__218__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__219;
  unsigned int llvm_cbe_tmp__220;
  unsigned char llvm_cbe_tmp__221;
  unsigned char llvm_cbe_tmp__222;
  unsigned char llvm_cbe_tmp__223;
  unsigned short llvm_cbe_tmp__224;
  unsigned int llvm_cbe_tmp__225;
  unsigned char llvm_cbe_tmp__226;
  unsigned char llvm_cbe_tmp__227;
  unsigned char llvm_cbe_tmp__228;
  unsigned short llvm_cbe__2e_pre6000;
  unsigned int llvm_cbe_tmp3875_2e_lobit;
  unsigned int llvm_cbe_tmp__229;
  unsigned int llvm_cbe_tmp__229__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__230;
  unsigned char *llvm_cbe_tmp__231;
  unsigned char llvm_cbe_tmp__232;
  unsigned short llvm_cbe_tmp__233;
  unsigned char *llvm_cbe_tmp__234;
  unsigned char llvm_cbe_tmp__235;
  unsigned short llvm_cbe_tmp__236;
  unsigned int llvm_cbe_tmp__237;
  unsigned char llvm_cbe_tmp__238;
  unsigned char llvm_cbe_tmp__239;
  unsigned int llvm_cbe_tmp__240;
  unsigned char *llvm_cbe_tmp__241;
  unsigned char llvm_cbe_tmp__242;
  unsigned int llvm_cbe_tmp__243;
  unsigned char *llvm_cbe_tmp__244;
  unsigned char llvm_cbe_tmp__245;
  unsigned int llvm_cbe_tmp__246;
  unsigned short llvm_cbe_tmp__247;
  unsigned int llvm_cbe_tmp3883;
  unsigned int llvm_cbe_tmp__248;
  unsigned int llvm_cbe_tmp__248__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__249;
  unsigned char *llvm_cbe_tmp__250;
  unsigned char llvm_cbe_tmp__251;
  unsigned char *llvm_cbe_tmp__252;
  unsigned char llvm_cbe_tmp__253;
  unsigned int llvm_cbe_tmp__254;
  unsigned int llvm_cbe_tmp__255;
  unsigned short llvm_cbe_tmp__256;
  unsigned int llvm_cbe_tmp__257;
  unsigned char llvm_cbe_tmp__258;
  unsigned char llvm_cbe_tmp__259;
  unsigned int llvm_cbe_tmp__260;
  unsigned char llvm_cbe_tmp__261;
  unsigned int llvm_cbe_tmp__262;
  unsigned char *llvm_cbe_tmp__263;
  unsigned char llvm_cbe_tmp__264;
  unsigned int llvm_cbe_tmp__265;
  unsigned char *llvm_cbe_tmp__266;
  unsigned char llvm_cbe_tmp__267;
  unsigned int llvm_cbe_tmp__268;
  unsigned short llvm_cbe_tmp__269;
  unsigned int llvm_cbe_tmp__270;
  unsigned int llvm_cbe_tmp__271;
  unsigned int llvm_cbe_tmp__272;
  unsigned int llvm_cbe_tmp3890_2e_lobit;
  unsigned int llvm_cbe_tmp__273;
  unsigned int llvm_cbe_tmp__273__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__274;
  unsigned int llvm_cbe_tmp__275;
  unsigned int llvm_cbe_tmp__276;
  unsigned char *llvm_cbe_tmp__277;
  unsigned char llvm_cbe_tmp__278;
  unsigned char *llvm_cbe_tmp__279;
  unsigned char llvm_cbe_tmp__280;
  unsigned int llvm_cbe_tmp__281;
  unsigned int llvm_cbe_tmp__282;
  unsigned short llvm_cbe_tmp__283;
  unsigned char llvm_cbe_tmp__284;
  unsigned char llvm_cbe_tmp__285;
  unsigned int llvm_cbe_tmp__286;
  unsigned int llvm_cbe_tmp__287;
  unsigned char *llvm_cbe_tmp__288;
  unsigned char llvm_cbe_tmp__289;
  unsigned char *llvm_cbe_tmp__290;
  unsigned char llvm_cbe_tmp__291;
  unsigned int llvm_cbe_tmp__292;
  unsigned int llvm_cbe_tmp__293;
  unsigned short llvm_cbe_tmp__294;
  unsigned char llvm_cbe_tmp__295;
  unsigned char llvm_cbe_tmp__296;
  unsigned char llvm_cbe_tmp__297;
  unsigned char llvm_cbe_tmp__298;
  unsigned int llvm_cbe_tmp__299;
  unsigned char llvm_cbe_tmp__300;
  unsigned char llvm_cbe_tmp__301;
  unsigned int llvm_cbe_tmp__302;
  unsigned int llvm_cbe_tmp__303;
  unsigned char llvm_cbe_tmp__304;
  unsigned char llvm_cbe_tmp__305;
  unsigned int llvm_cbe_tmp__306;
  unsigned int llvm_cbe_tmp__307;
  unsigned int llvm_cbe_tmp__308;
  unsigned int llvm_cbe_tmp__309;
  unsigned char llvm_cbe_tmp__310;
  unsigned char llvm_cbe_tmp__311;
  unsigned int llvm_cbe_tmp__312;
  unsigned int llvm_cbe_tmp__313;
  unsigned int llvm_cbe__2e_lobit3914;
  unsigned int llvm_cbe_tmp__314;
  unsigned int llvm_cbe_tmp__314__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__315;
  unsigned char llvm_cbe_tmp__316;
  unsigned int llvm_cbe_tmp__317;
  unsigned char llvm_cbe_tmp__318;
  unsigned int llvm_cbe_tmp__319;
  unsigned short llvm_cbe_tmp__320;
  unsigned int llvm_cbe__2e_lobit3912;
  unsigned int llvm_cbe_tmp__321;
  unsigned int llvm_cbe_tmp__321__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__322;
  unsigned char *llvm_cbe_tmp__323;
  unsigned int llvm_cbe_tmp__324;
  unsigned char llvm_cbe_tmp__325;
  unsigned char llvm_cbe_tmp__326;
  unsigned int llvm_cbe_tmp__327;
  unsigned char *llvm_cbe_tmp__328;
  unsigned char llvm_cbe_tmp__329;
  unsigned char llvm_cbe_tmp__330;
  unsigned char *llvm_cbe_tmp__331;
  unsigned char llvm_cbe_tmp__332;
  unsigned char *llvm_cbe_tmp__333;
  unsigned char llvm_cbe_tmp__334;
  unsigned int llvm_cbe_tmp__335;
  unsigned int llvm_cbe_tmp__336;
  unsigned short llvm_cbe_tmp__337;
  unsigned int llvm_cbe_tmp__338;
  unsigned char *llvm_cbe_tmp__339;
  unsigned char llvm_cbe_tmp__340;
  unsigned char *llvm_cbe_tmp__341;
  unsigned char llvm_cbe_tmp__342;
  unsigned int llvm_cbe_tmp__343;
  unsigned int llvm_cbe_tmp__344;
  unsigned char llvm_cbe_tmp__345;
  unsigned char llvm_cbe_tmp__346;
  unsigned int llvm_cbe_tmp__347;
  unsigned char *llvm_cbe_tmp__348;
  unsigned char llvm_cbe_tmp__349;
  unsigned char *llvm_cbe_tmp__350;
  unsigned char llvm_cbe_tmp__351;
  unsigned int llvm_cbe_tmp__352;
  unsigned int llvm_cbe_tmp__353;
  unsigned int llvm_cbe_tmp__354;
  unsigned char llvm_cbe_tmp__355;
  unsigned char llvm_cbe_tmp__356;
  unsigned char llvm_cbe_tmp__357;
  unsigned char llvm_cbe_tmp__358;
  unsigned char llvm_cbe_tmp__359;
  unsigned int llvm_cbe_tmp__360;
  unsigned int llvm_cbe_tmp__361;
  unsigned char llvm_cbe_tmp__362;
  unsigned int llvm_cbe_tmp__363;
  unsigned int llvm_cbe_tmp__364;
  unsigned int llvm_cbe_tmp__365;
  unsigned int llvm_cbe_tmp3885_2e_lobit;
  unsigned int llvm_cbe_tmp__366;
  unsigned int llvm_cbe_tmp__366__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__367;
  unsigned int llvm_cbe_tmp__367__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__368;
  unsigned int llvm_cbe_tmp__368__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__369;
  unsigned int llvm_cbe_tmp__369__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__370;
  unsigned int llvm_cbe_tmp__371;
  unsigned int llvm_cbe_tmp__372;
  unsigned int llvm_cbe_tmp__373;
  unsigned int llvm_cbe_tmp__374;
  unsigned int llvm_cbe_tmp__375;
  unsigned int llvm_cbe_tmp__376;
  unsigned char llvm_cbe_tmp__377;
  unsigned int llvm_cbe_tmp__378;
  unsigned int llvm_cbe_tmp__379;
  unsigned char llvm_cbe_tmp__380;
  unsigned char llvm_cbe_tmp__381;
  unsigned char llvm_cbe_tmp__382;
  unsigned char llvm_cbe_tmp__383;
  unsigned short llvm_cbe_tmp__384;
  unsigned int llvm_cbe_tmp__385;
  unsigned int llvm_cbe_tmp__386;
  unsigned char *llvm_cbe_tmp__387;
  unsigned char llvm_cbe_tmp__388;
  unsigned char *llvm_cbe_tmp__389;
  unsigned char llvm_cbe_tmp__390;
  unsigned int llvm_cbe_tmp__391;
  unsigned char llvm_cbe_tmp__392;
  unsigned char llvm_cbe_tmp__393;
  unsigned char llvm_cbe_tmp__394;
  unsigned short llvm_cbe_tmp__395;
  unsigned int llvm_cbe_tmp__396;
  unsigned char llvm_cbe_tmp__397;
  unsigned char llvm_cbe_tmp__398;
  unsigned char llvm_cbe_tmp__399;
  unsigned char llvm_cbe_tmp__400;
  unsigned short llvm_cbe_tmp__401;
  unsigned int llvm_cbe_tmp__402;
  unsigned char *llvm_cbe_tmp__403;
  unsigned char llvm_cbe_tmp__404;
  unsigned int llvm_cbe_tmp__405;
  unsigned char *llvm_cbe_tmp__406;
  unsigned char llvm_cbe_tmp__407;
  unsigned int llvm_cbe_tmp__408;
  unsigned short llvm_cbe_tmp__409;
  unsigned int llvm_cbe__2e_lobit3919;
  unsigned int llvm_cbe_tmp__410;
  unsigned int llvm_cbe_tmp__410__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__411;
  unsigned short llvm_cbe_tmp__411__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__412;
  unsigned char llvm_cbe_tmp__413;
  unsigned char llvm_cbe_tmp__414;
  unsigned char llvm_cbe_tmp__415;
  unsigned short llvm_cbe_tmp__416;
  unsigned int llvm_cbe_tmp__417;
  unsigned char *llvm_cbe_tmp__418;
  unsigned char llvm_cbe_tmp__419;
  unsigned int llvm_cbe_tmp__420;
  unsigned char *llvm_cbe_tmp__421;
  unsigned char llvm_cbe_tmp__422;
  unsigned int llvm_cbe_tmp__423;
  unsigned short llvm_cbe_tmp__424;
  unsigned int llvm_cbe_tmp__425;
  unsigned int llvm_cbe_tmp__426;
  unsigned int llvm_cbe_tmp__427;
  unsigned int llvm_cbe__2e_lobit3918;
  unsigned int llvm_cbe_tmp__428;
  unsigned int llvm_cbe_tmp__428__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6806;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6806__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__429;
  unsigned short llvm_cbe_tmp__429__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5957;
  unsigned int llvm_cbe__2e_rle5957__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5924;
  unsigned int llvm_cbe__2e_rle5924__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5892;
  unsigned int llvm_cbe__2e_rle5892__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__430;
  unsigned char llvm_cbe_tmp__431;
  unsigned char llvm_cbe_tmp__432;
  unsigned short llvm_cbe_tmp__433;
  unsigned char llvm_cbe_tmp__434;
  unsigned int llvm_cbe_tmp__435;
  unsigned char *llvm_cbe_tmp__436;
  unsigned char llvm_cbe_tmp__437;
  unsigned char *llvm_cbe_tmp__438;
  unsigned char llvm_cbe_tmp__439;
  unsigned int llvm_cbe_tmp__440;
  unsigned char llvm_cbe_tmp__441;
  unsigned short llvm_cbe__2e_pre5991;
  unsigned short llvm_cbe_tmp__442;
  unsigned short llvm_cbe_tmp__442__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__443;
  unsigned short llvm_cbe_tmp__443__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__444;
  unsigned char *llvm_cbe_tmp__445;
  unsigned char llvm_cbe_tmp__446;
  unsigned char *llvm_cbe_tmp__447;
  unsigned char llvm_cbe_tmp__448;
  unsigned int llvm_cbe_tmp__449;
  unsigned char *llvm_cbe_tmp__450;
  unsigned char llvm_cbe_tmp__451;
  unsigned char *llvm_cbe_tmp__452;
  unsigned char llvm_cbe_tmp__453;
  unsigned int llvm_cbe_tmp__454;
  unsigned char llvm_cbe_tmp__455;
  unsigned short llvm_cbe_tmp__456;
  unsigned int llvm_cbe_tmp__457;
  unsigned char llvm_cbe_tmp__458;
  unsigned char llvm_cbe_tmp__459;
  unsigned int llvm_cbe_tmp__460;
  unsigned short llvm_cbe_tmp__461;
  unsigned int llvm_cbe_tmp__462;
  unsigned int llvm_cbe_tmp__463;
  unsigned int llvm_cbe_tmp__464;
  unsigned int llvm_cbe_tmp__465;
  unsigned int llvm_cbe_tmp__466;
  unsigned char llvm_cbe_tmp__467;
  unsigned char llvm_cbe_tmp__468;
  unsigned int llvm_cbe_tmp__469;
  unsigned int llvm_cbe_tmp__470;
  unsigned int llvm_cbe__2e_lobit3928;
  unsigned int llvm_cbe_tmp__471;
  unsigned int llvm_cbe_tmp__471__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__472;
  unsigned char llvm_cbe_tmp__473;
  unsigned char llvm_cbe_tmp__474;
  unsigned int llvm_cbe_tmp__475;
  unsigned char llvm_cbe_tmp__476;
  unsigned char llvm_cbe_tmp__477;
  unsigned char llvm_cbe_tmp__478;
  unsigned short llvm_cbe_tmp__479;
  unsigned int llvm_cbe_tmp__480;
  unsigned int llvm_cbe_tmp__481;
  unsigned char *llvm_cbe_tmp__482;
  unsigned char llvm_cbe_tmp__483;
  unsigned int llvm_cbe_tmp__484;
  unsigned char *llvm_cbe_tmp__485;
  unsigned char llvm_cbe_tmp__486;
  unsigned int llvm_cbe_tmp__487;
  unsigned char *llvm_cbe_tmp__488;
  unsigned char llvm_cbe_tmp__489;
  unsigned int llvm_cbe_tmp__490;
  unsigned short llvm_cbe_tmp__491;
  unsigned int llvm_cbe__2e_lobit3927;
  unsigned int llvm_cbe_tmp__492;
  unsigned int llvm_cbe_tmp__492__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__493;
  unsigned char *llvm_cbe_tmp__494;
  unsigned char *llvm_cbe_tmp__495;
  unsigned int llvm_cbe_tmp__496;
  unsigned char *llvm_cbe_tmp__497;
  unsigned char llvm_cbe_tmp__498;
  unsigned char *llvm_cbe_tmp__499;
  unsigned char llvm_cbe_tmp__500;
  unsigned char llvm_cbe_tmp__501;
  unsigned char llvm_cbe_tmp__502;
  unsigned int llvm_cbe_tmp__503;
  unsigned char llvm_cbe_tmp__504;
  unsigned char llvm_cbe_tmp__505;
  unsigned int llvm_cbe_tmp__506;
  unsigned char *llvm_cbe_tmp__507;
  unsigned char llvm_cbe_tmp__508;
  unsigned char *llvm_cbe_tmp__509;
  unsigned char llvm_cbe_tmp__510;
  unsigned int llvm_cbe_tmp__511;
  unsigned int llvm_cbe_tmp__512;
  unsigned int llvm_cbe_tmp__513;
  unsigned int llvm_cbe_storemerge3926;
  unsigned int llvm_cbe_storemerge3926__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__514;
  unsigned char llvm_cbe_tmp459_2e_05779;
  unsigned char llvm_cbe_tmp459_2e_05779__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__515;
  unsigned int llvm_cbe_tmp__515__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__516;
  unsigned char llvm_cbe_tmp__517;
  unsigned int llvm_cbe_tmp__518;
  unsigned int llvm_cbe_tmp__519;
  unsigned int llvm_cbe_tmp__520;
  unsigned short llvm_cbe_tmp__521;
  unsigned int llvm_cbe_tmp__522;
  unsigned int llvm_cbe_tmp__523;
  unsigned char llvm_cbe_tmp__524;
  unsigned char llvm_cbe_tmp__525;
  unsigned int llvm_cbe_tmp__526;
  unsigned char llvm_cbe_tmp__527;
  unsigned char llvm_cbe_tmp__528;
  unsigned int llvm_cbe_tmp__529;
  unsigned char *llvm_cbe_tmp__530;
  unsigned char llvm_cbe_tmp__531;
  unsigned char llvm_cbe_tmp__532;
  unsigned int llvm_cbe_tmp__533;
  unsigned short llvm_cbe_tmp58665881;
  unsigned short llvm_cbe__2e_pre6745;
  unsigned char llvm_cbe_tmp__534;
  unsigned char llvm_cbe_tmp__535;
  unsigned int llvm_cbe_tmp__536;
  unsigned int llvm_cbe_tmp__537;
  unsigned int llvm_cbe_tmp__538;
  unsigned int llvm_cbe_tmp__539;
  unsigned char llvm_cbe_tmp__540;
  unsigned short llvm_cbe_tmp__541;
  unsigned char llvm_cbe_tmp__542;
  unsigned short llvm_cbe_tmp__543;
  unsigned char llvm_cbe_tmp476_2e_05787;
  unsigned char llvm_cbe_tmp476_2e_05787__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__544;
  unsigned int llvm_cbe_tmp__544__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__545;
  unsigned char llvm_cbe_tmp__546;
  unsigned int llvm_cbe_tmp__547;
  unsigned int llvm_cbe_tmp__548;
  unsigned int llvm_cbe_tmp__549;
  unsigned short llvm_cbe_tmp__550;
  unsigned char llvm_cbe_tmp__551;
  unsigned char llvm_cbe_tmp__552;
  unsigned int llvm_cbe_tmp__553;
  unsigned char llvm_cbe_tmp__554;
  unsigned char llvm_cbe_tmp__555;
  unsigned int llvm_cbe_tmp__556;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6808;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6808__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__557;
  unsigned short llvm_cbe_tmp__557__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5959;
  unsigned int llvm_cbe__2e_rle5959__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5926;
  unsigned int llvm_cbe__2e_rle5926__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5894;
  unsigned int llvm_cbe__2e_rle5894__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__558;
  unsigned char llvm_cbe_tmp__559;
  unsigned char llvm_cbe_tmp__560;
  unsigned short llvm_cbe_tmp__561;
  unsigned short llvm_cbe_tmp__562;
  unsigned int llvm_cbe_tmp__563;
  unsigned char llvm_cbe_tmp__564;
  unsigned char llvm_cbe_tmp__565;
  unsigned char llvm_cbe_tmp__566;
  unsigned short llvm_cbe_tmp__567;
  unsigned int llvm_cbe_tmp__568;
  unsigned int llvm_cbe_tmp__569;
  unsigned int llvm_cbe_tmp__570;
  unsigned int llvm_cbe_tmp__571;
  unsigned char *llvm_cbe_tmp__572;
  unsigned char llvm_cbe_tmp__573;
  unsigned char *llvm_cbe_tmp__574;
  unsigned char llvm_cbe_tmp__575;
  unsigned int llvm_cbe_tmp__576;
  unsigned char *llvm_cbe_tmp__577;
  unsigned char *llvm_cbe_tmp__578;
  unsigned char *llvm_cbe_tmp__579;
  unsigned char llvm_cbe_tmp__580;
  unsigned char *llvm_cbe_tmp__581;
  unsigned char llvm_cbe_tmp__582;
  unsigned int llvm_cbe_tmp__583;
  unsigned char llvm_cbe_tmp__584;
  unsigned char llvm_cbe_tmp__585;
  unsigned char llvm_cbe_tmp__586;
  unsigned int llvm_cbe_tmp__587;
  unsigned char *llvm_cbe_tmp__588;
  unsigned char llvm_cbe_tmp__589;
  unsigned char llvm_cbe_tmp__590;
  unsigned char *llvm_cbe_tmp__591;
  unsigned char llvm_cbe_tmp__592;
  unsigned int llvm_cbe_tmp__593;
  unsigned char llvm_cbe_tmp__594;
  unsigned char llvm_cbe_tmp__595;
  unsigned int llvm_cbe_tmp__596;
  unsigned char llvm_cbe_tmp__597;
  unsigned char llvm_cbe_tmp__598;
  unsigned short llvm_cbe_tmp__599;
  unsigned int llvm_cbe_tmp__600;
  unsigned char *llvm_cbe_tmp__601;
  unsigned char llvm_cbe_tmp__602;
  unsigned char *llvm_cbe_tmp__603;
  unsigned char llvm_cbe_tmp__604;
  unsigned int llvm_cbe_tmp__605;
  unsigned char llvm_cbe_tmp__606;
  unsigned char llvm_cbe_tmp__607;
  unsigned int llvm_cbe_tmp__608;
  unsigned char llvm_cbe_tmp__609;
  unsigned char llvm_cbe_tmp__610;
  unsigned char llvm_cbe_tmp__611;
  unsigned char llvm_cbe_tmp__612;
  unsigned short llvm_cbe_tmp__613;
  unsigned short llvm_cbe_tmp__614;
  unsigned int llvm_cbe_tmp__615;
  unsigned char llvm_cbe_tmp__616;
  unsigned char llvm_cbe_tmp__617;
  unsigned char llvm_cbe_tmp__618;
  unsigned short llvm_cbe_tmp__619;
  unsigned int llvm_cbe_tmp__620;
  unsigned int llvm_cbe_tmp__621;
  unsigned char llvm_cbe_tmp__622;
  unsigned int llvm_cbe_tmp__623;
  unsigned char llvm_cbe_tmp__624;
  unsigned int llvm_cbe_tmp__625;
  unsigned char *llvm_cbe_tmp__626;
  unsigned char llvm_cbe_tmp__627;
  unsigned int llvm_cbe_tmp__628;
  unsigned char *llvm_cbe_tmp__629;
  unsigned char llvm_cbe_tmp__630;
  unsigned int llvm_cbe_tmp__631;
  unsigned short llvm_cbe_tmp__632;
  unsigned int llvm_cbe_tmp3991_2e_lobit;
  unsigned int llvm_cbe_tmp__633;
  unsigned int llvm_cbe_tmp__633__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__634;
  unsigned short llvm_cbe_tmp__634__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__635;
  unsigned char llvm_cbe_tmp__636;
  unsigned char llvm_cbe_tmp__637;
  unsigned char llvm_cbe_tmp__638;
  unsigned short llvm_cbe_tmp__639;
  unsigned int llvm_cbe_tmp__640;
  unsigned int llvm_cbe_tmp__641;
  unsigned int llvm_cbe_tmp__642;
  unsigned char llvm_cbe_tmp__643;
  unsigned int llvm_cbe_tmp__644;
  unsigned char llvm_cbe_tmp__645;
  unsigned int llvm_cbe_tmp__646;
  unsigned char *llvm_cbe_tmp__647;
  unsigned char llvm_cbe_tmp__648;
  unsigned int llvm_cbe_tmp__649;
  unsigned char *llvm_cbe_tmp__650;
  unsigned char llvm_cbe_tmp__651;
  unsigned int llvm_cbe_tmp__652;
  unsigned short llvm_cbe_tmp__653;
  unsigned int llvm_cbe_tmp3993_2e_lobit;
  unsigned int llvm_cbe_tmp__654;
  unsigned int llvm_cbe_tmp__654__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__655;
  unsigned char llvm_cbe_tmp__656;
  unsigned int llvm_cbe_tmp__657;
  unsigned short llvm_cbe_tmp__658;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6814;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6814__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__659;
  unsigned short llvm_cbe_tmp__659__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__660;
  unsigned char *llvm_cbe_tmp__661;
  unsigned char llvm_cbe_tmp__662;
  unsigned int llvm_cbe_tmp__663;
  unsigned char *llvm_cbe_tmp__664;
  unsigned char llvm_cbe_tmp__665;
  unsigned int llvm_cbe_tmp__666;
  unsigned short llvm_cbe_tmp__667;
  unsigned int llvm_cbe_tmp__668;
  unsigned short llvm_cbe_tmp__669;
  unsigned int llvm_cbe_tmp3995;
  unsigned int llvm_cbe_tmp__670;
  unsigned int llvm_cbe_tmp__670__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6813;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6813__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__671;
  unsigned short llvm_cbe_tmp__671__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__672;
  unsigned int llvm_cbe__2e_lobit3930;
  unsigned int llvm_cbe_tmp__673;
  unsigned int llvm_cbe_tmp__673__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__674;
  unsigned char llvm_cbe_tmp__675;
  unsigned short llvm_cbe_tmp__676;
  unsigned int llvm_cbe_tmp__677;
  unsigned int llvm_cbe_tmp__678;
  unsigned char *llvm_cbe_tmp__679;
  unsigned char llvm_cbe_tmp__680;
  unsigned int llvm_cbe_tmp__681;
  unsigned char *llvm_cbe_tmp__682;
  unsigned char llvm_cbe_tmp__683;
  unsigned int llvm_cbe_tmp__684;
  unsigned char *llvm_cbe_tmp__685;
  unsigned char llvm_cbe_tmp__686;
  unsigned int llvm_cbe_tmp__687;
  unsigned char *llvm_cbe_tmp__688;
  unsigned char llvm_cbe_tmp__689;
  unsigned int llvm_cbe_tmp__690;
  unsigned short llvm_cbe_tmp__691;
  unsigned int llvm_cbe_tmp3932_2e_lobit;
  unsigned int llvm_cbe_tmp__692;
  unsigned int llvm_cbe_tmp__692__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_lobit3938;
  unsigned int llvm_cbe_tmp__693;
  unsigned int llvm_cbe_tmp__693__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__694;
  unsigned char llvm_cbe_tmp__695;
  unsigned char *llvm_cbe_tmp__696;
  unsigned char llvm_cbe_tmp__697;
  unsigned int llvm_cbe_tmp__698;
  unsigned char *llvm_cbe_tmp__699;
  unsigned char llvm_cbe_tmp__700;
  unsigned int llvm_cbe_tmp__701;
  unsigned char *llvm_cbe_tmp__702;
  unsigned char llvm_cbe_tmp__703;
  unsigned int llvm_cbe_tmp__704;
  unsigned short llvm_cbe_tmp__705;
  unsigned int llvm_cbe__2e_lobit3937;
  unsigned int llvm_cbe_tmp__706;
  unsigned int llvm_cbe_tmp__706__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__707;
  unsigned char llvm_cbe_tmp__708;
  unsigned char llvm_cbe_tmp__709;
  unsigned short llvm_cbe_tmp__710;
  unsigned int llvm_cbe_tmp__711;
  unsigned char *llvm_cbe_tmp__712;
  unsigned char llvm_cbe_tmp__713;
  unsigned short llvm_cbe_tmp__714;
  unsigned char *llvm_cbe_tmp__715;
  unsigned char llvm_cbe_tmp__716;
  unsigned short llvm_cbe_tmp__717;
  unsigned int llvm_cbe_tmp__718;
  unsigned char llvm_cbe_tmp__719;
  unsigned char llvm_cbe_tmp__720;
  unsigned int llvm_cbe_tmp3944;
  unsigned int llvm_cbe_tmp__721;
  unsigned int llvm_cbe_tmp__721__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__722;
  unsigned char *llvm_cbe_tmp__723;
  unsigned char llvm_cbe_tmp__724;
  unsigned int llvm_cbe_tmp__725;
  unsigned char *llvm_cbe_tmp__726;
  unsigned char llvm_cbe_tmp__727;
  unsigned int llvm_cbe_tmp__728;
  unsigned short llvm_cbe_tmp__729;
  unsigned int llvm_cbe_tmp3942;
  unsigned int llvm_cbe_tmp__730;
  unsigned int llvm_cbe_tmp__730__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__731;
  unsigned char llvm_cbe_tmp__732;
  unsigned char llvm_cbe_tmp__733;
  unsigned short llvm_cbe_tmp__734;
  unsigned int llvm_cbe_tmp__735;
  unsigned char llvm_cbe_tmp__736;
  unsigned char llvm_cbe_tmp__737;
  unsigned char llvm_cbe_tmp__738;
  unsigned short llvm_cbe_tmp__739;
  unsigned int llvm_cbe_tmp__740;
  unsigned char llvm_cbe_tmp__741;
  unsigned char llvm_cbe_tmp__742;
  unsigned char llvm_cbe_tmp__743;
  unsigned short llvm_cbe_tmp__744;
  unsigned int llvm_cbe_tmp__745;
  unsigned char *llvm_cbe_tmp__746;
  unsigned char llvm_cbe_tmp__747;
  unsigned char llvm_cbe_tmp__748;
  unsigned char llvm_cbe_tmp__749;
  unsigned char *llvm_cbe_tmp__750;
  unsigned char llvm_cbe_tmp__751;
  unsigned int llvm_cbe_tmp__752;
  unsigned int llvm_cbe_tmp__753;
  unsigned char llvm_cbe_tmp__754;
  unsigned int llvm_cbe_tmp3940_2e_lobit;
  unsigned int llvm_cbe_tmp__755;
  unsigned int llvm_cbe_tmp__755__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__756;
  unsigned char llvm_cbe_tmp__757;
  unsigned int llvm_cbe_tmp__758;
  unsigned char *llvm_cbe_tmp__759;
  unsigned char llvm_cbe_tmp__760;
  unsigned int llvm_cbe_tmp__761;
  unsigned char *llvm_cbe_tmp__762;
  unsigned char llvm_cbe_tmp__763;
  unsigned int llvm_cbe_tmp__764;
  unsigned short llvm_cbe_tmp__765;
  unsigned char llvm_cbe_tmp__766;
  unsigned char llvm_cbe_tmp__767;
  unsigned char llvm_cbe_tmp__768;
  unsigned short llvm_cbe_tmp__769;
  unsigned int llvm_cbe_tmp__770;
  unsigned char llvm_cbe_tmp__771;
  unsigned char llvm_cbe_tmp__772;
  unsigned char llvm_cbe_tmp__773;
  unsigned int llvm_cbe_tmp__774;
  unsigned char *llvm_cbe_tmp__775;
  unsigned char llvm_cbe_tmp__776;
  unsigned char *llvm_cbe_tmp__777;
  unsigned char llvm_cbe_tmp__778;
  unsigned int llvm_cbe_tmp__779;
  unsigned int llvm_cbe_tmp__780;
  unsigned char llvm_cbe_tmp__781;
  unsigned char llvm_cbe_tmp__782;
  unsigned int llvm_cbe_tmp__783;
  unsigned char llvm_cbe_tmp__784;
  unsigned char llvm_cbe_tmp__785;
  unsigned int llvm_cbe_tmp__786;
  unsigned short llvm_cbe_tmp__787;
  unsigned int llvm_cbe_tmp__788;
  unsigned char llvm_cbe_tmp__789;
  unsigned char llvm_cbe_tmp__790;
  unsigned char llvm_cbe_tmp__791;
  unsigned int llvm_cbe_tmp__792;
  unsigned char *llvm_cbe_tmp__793;
  unsigned char llvm_cbe_tmp__794;
  unsigned char *llvm_cbe_tmp__795;
  unsigned char llvm_cbe_tmp__796;
  unsigned int llvm_cbe_tmp__797;
  unsigned char llvm_cbe_tmp__798;
  unsigned short llvm_cbe_tmp__799;
  unsigned short llvm_cbe_tmp__799__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__800;
  unsigned char llvm_cbe_tmp__801;
  unsigned char llvm_cbe_tmp__802;
  unsigned char llvm_cbe_tmp__803;
  unsigned short llvm_cbe_tmp__804;
  unsigned int llvm_cbe_tmp__805;
  unsigned char *llvm_cbe_tmp__806;
  unsigned char llvm_cbe_tmp__807;
  unsigned int llvm_cbe_tmp__808;
  unsigned char *llvm_cbe_tmp__809;
  unsigned char llvm_cbe_tmp__810;
  unsigned int llvm_cbe_tmp__811;
  unsigned short llvm_cbe_tmp__812;
  unsigned int llvm_cbe_tmp4016;
  unsigned int llvm_cbe_tmp__813;
  unsigned int llvm_cbe_tmp__813__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6811;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6811__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__814;
  unsigned short llvm_cbe_tmp__814__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__815;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6810;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6810__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__816;
  unsigned short llvm_cbe_tmp__816__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__817;
  unsigned int llvm_cbe_tmp__818;
  unsigned char *llvm_cbe_tmp__819;
  unsigned char llvm_cbe_tmp__820;
  unsigned char *llvm_cbe_tmp__821;
  unsigned char llvm_cbe_tmp__822;
  unsigned int llvm_cbe_tmp__823;
  unsigned char *llvm_cbe_tmp__824;
  unsigned char llvm_cbe_tmp__825;
  unsigned char llvm_cbe_tmp__826;
  unsigned char llvm_cbe_tmp__827;
  unsigned char llvm_cbe_tmp__828;
  unsigned int llvm_cbe_tmp__829;
  unsigned int llvm_cbe_tmp__830;
  unsigned int llvm_cbe_tmp__831;
  unsigned char llvm_cbe_tmp__832;
  unsigned char llvm_cbe_tmp__833;
  unsigned short llvm_cbe_tmp__834;
  unsigned int llvm_cbe_tmp4024_2e_lobit;
  unsigned int llvm_cbe_tmp__835;
  unsigned int llvm_cbe_tmp__835__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__836;
  unsigned char llvm_cbe_tmp__837;
  unsigned int llvm_cbe_tmp__838;
  unsigned char llvm_cbe_tmp__839;
  unsigned char llvm_cbe_tmp__840;
  unsigned int llvm_cbe_tmp__841;
  unsigned int llvm_cbe_tmp__842;
  unsigned int llvm_cbe_tmp__843;
  unsigned int llvm_cbe_tmp__844;
  unsigned char llvm_cbe_tmp__845;
  unsigned char llvm_cbe_tmp__846;
  unsigned short llvm_cbe_tmp__847;
  unsigned char llvm_cbe_tmp__848;
  unsigned char llvm_cbe_tmp__849;
  unsigned char llvm_cbe_tmp__850;
  unsigned short llvm_cbe_tmp__851;
  unsigned int llvm_cbe_tmp__852;
  unsigned char *llvm_cbe_tmp__853;
  unsigned char llvm_cbe_tmp__854;
  unsigned int llvm_cbe_tmp__855;
  unsigned int llvm_cbe__2e_lobit4038;
  unsigned char llvm_cbe_tmp__856;
  unsigned char llvm_cbe_tmp__857;
  unsigned char llvm_cbe_tmp__858;
  unsigned short llvm_cbe__2e_pre6046;
  unsigned short llvm_cbe__2e_pre6053;
  unsigned short llvm_cbe__2e_pre6053__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__859;
  unsigned short llvm_cbe_tmp__859__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__860;
  unsigned short llvm_cbe_tmp__860__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__861;
  unsigned short llvm_cbe_tmp__861__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__862;
  unsigned short llvm_cbe_tmp__862__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__863;
  unsigned short llvm_cbe_tmp__863__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__864;
  unsigned short llvm_cbe_tmp__864__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__865;
  unsigned char llvm_cbe_tmp__866;
  unsigned short llvm_cbe_tmp__867;
  unsigned char *llvm_cbe_tmp__868;
  unsigned char llvm_cbe_tmp__869;
  unsigned int llvm_cbe_tmp__870;
  unsigned char *llvm_cbe_tmp__871;
  unsigned char llvm_cbe_tmp__872;
  unsigned int llvm_cbe_tmp__873;
  unsigned short llvm_cbe_tmp__874;
  unsigned int llvm_cbe__2e_lobit4044;
  unsigned int llvm_cbe_tmp__875;
  unsigned int llvm_cbe_tmp__875__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__876;
  unsigned char *llvm_cbe_tmp__877;
  unsigned char llvm_cbe_tmp__878;
  unsigned char *llvm_cbe_tmp__879;
  unsigned char llvm_cbe_tmp__880;
  unsigned int llvm_cbe_tmp__881;
  unsigned int llvm_cbe_tmp__882;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6822;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6822__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__883;
  unsigned short llvm_cbe_tmp__883__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5961;
  unsigned int llvm_cbe__2e_rle5961__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5927;
  unsigned int llvm_cbe__2e_rle5927__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5896;
  unsigned int llvm_cbe__2e_rle5896__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__884;
  unsigned char llvm_cbe_tmp__885;
  unsigned char llvm_cbe_tmp__886;
  unsigned short llvm_cbe_tmp__887;
  unsigned int llvm_cbe__2e_lobit4071;
  unsigned int llvm_cbe_tmp__888;
  unsigned int llvm_cbe_tmp__888__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__889;
  unsigned char llvm_cbe_tmp__890;
  unsigned char llvm_cbe_tmp__891;
  unsigned int llvm_cbe_tmp__892;
  unsigned int llvm_cbe_tmp__893;
  unsigned int llvm_cbe_tmp__894;
  unsigned short llvm_cbe_tmp__895;
  unsigned int llvm_cbe_tmp__896;
  unsigned char llvm_cbe_tmp__897;
  unsigned char llvm_cbe_tmp__898;
  unsigned short llvm_cbe_tmp__899;
  unsigned int llvm_cbe__2e_lobit4072;
  unsigned int llvm_cbe_tmp__900;
  unsigned int llvm_cbe_tmp__900__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__901;
  unsigned char llvm_cbe_tmp__902;
  unsigned char llvm_cbe_tmp__903;
  unsigned int llvm_cbe_tmp__904;
  unsigned int llvm_cbe_tmp__905;
  unsigned int llvm_cbe_tmp__906;
  unsigned short llvm_cbe_tmp__907;
  unsigned int llvm_cbe_tmp__908;
  unsigned char llvm_cbe_tmp__909;
  unsigned char llvm_cbe_tmp__910;
  unsigned short llvm_cbe_tmp__911;
  unsigned int llvm_cbe__2e_lobit4073;
  unsigned int llvm_cbe_tmp__912;
  unsigned int llvm_cbe_tmp__912__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__913;
  unsigned char llvm_cbe_tmp__914;
  unsigned char llvm_cbe_tmp__915;
  unsigned char llvm_cbe_tmp__916;
  unsigned char llvm_cbe_tmp__917;
  unsigned char llvm_cbe_tmp__918;
  unsigned char *llvm_cbe_tmp__919;
  unsigned char llvm_cbe_tmp__920;
  unsigned char *llvm_cbe_tmp__921;
  unsigned char llvm_cbe_tmp__922;
  unsigned char llvm_cbe_tmp__923;
  unsigned char llvm_cbe_tmp__924;
  unsigned char llvm_cbe_tmp__925;
  unsigned char llvm_cbe_tmp__926;
  unsigned short llvm_cbe_tmp__927;
  unsigned int llvm_cbe_tmp__928;
  unsigned char *llvm_cbe_tmp__929;
  unsigned char llvm_cbe_tmp__930;
  unsigned char *llvm_cbe_tmp__931;
  unsigned char llvm_cbe_tmp__932;
  unsigned int llvm_cbe_tmp__933;
  unsigned char llvm_cbe_tmp__934;
  unsigned char llvm_cbe_tmp__935;
  unsigned char llvm_cbe_tmp__936;
  unsigned short llvm_cbe_tmp__937;
  unsigned int llvm_cbe_tmp__938;
  unsigned char *llvm_cbe_tmp__939;
  unsigned char llvm_cbe_tmp__940;
  unsigned int llvm_cbe_tmp__941;
  unsigned char *llvm_cbe_tmp__942;
  unsigned char llvm_cbe_tmp__943;
  unsigned int llvm_cbe_tmp__944;
  unsigned short llvm_cbe_tmp__945;
  unsigned int llvm_cbe__2e_lobit4075;
  unsigned int llvm_cbe_tmp__946;
  unsigned int llvm_cbe_tmp__946__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_lobit4079;
  unsigned int llvm_cbe_tmp__947;
  unsigned int llvm_cbe_tmp__947__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__948;
  unsigned char llvm_cbe_tmp__949;
  unsigned char llvm_cbe_tmp__950;
  unsigned short llvm_cbe_tmp__951;
  unsigned int llvm_cbe_tmp__952;
  unsigned char *llvm_cbe_tmp__953;
  unsigned char llvm_cbe_tmp__954;
  unsigned int llvm_cbe_tmp__955;
  unsigned char *llvm_cbe_tmp__956;
  unsigned char llvm_cbe_tmp__957;
  unsigned int llvm_cbe_tmp__958;
  unsigned short llvm_cbe_tmp__959;
  unsigned int llvm_cbe_tmp__960;
  unsigned int llvm_cbe_tmp__961;
  unsigned int llvm_cbe_tmp__962;
  unsigned int llvm_cbe_tmp4078;
  unsigned int llvm_cbe_tmp__963;
  unsigned int llvm_cbe_tmp__963__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp4081_2e_lobit;
  unsigned int llvm_cbe_tmp__964;
  unsigned int llvm_cbe_tmp__964__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__965;
  unsigned char llvm_cbe_tmp__966;
  unsigned char llvm_cbe_tmp__967;
  unsigned char *llvm_cbe_tmp__968;
  unsigned char llvm_cbe_tmp__969;
  unsigned char llvm_cbe_tmp__970;
  unsigned char llvm_cbe_tmp__971;
  unsigned int llvm_cbe_tmp__972;
  unsigned int llvm_cbe_tmp__973;
  unsigned char llvm_cbe_tmp__974;
  unsigned int llvm_cbe_tmp4083_2e_lobit;
  unsigned int llvm_cbe_tmp__975;
  unsigned int llvm_cbe_tmp__975__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__976;
  unsigned char llvm_cbe_tmp__977;
  unsigned char llvm_cbe_tmp__978;
  unsigned short llvm_cbe_tmp__979;
  unsigned int llvm_cbe_tmp__980;
  unsigned char *llvm_cbe_tmp__981;
  unsigned char llvm_cbe_tmp__982;
  unsigned char *llvm_cbe_tmp__983;
  unsigned char llvm_cbe_tmp__984;
  unsigned short llvm_cbe_tmp__985;
  unsigned int llvm_cbe_tmp__986;
  unsigned char llvm_cbe_tmp__987;
  unsigned char llvm_cbe_tmp__988;
  unsigned char llvm_cbe_tmp__989;
  unsigned short llvm_cbe_tmp__990;
  unsigned int llvm_cbe_tmp__991;
  unsigned int llvm_cbe_tmp__992;
  unsigned char *llvm_cbe_tmp__993;
  unsigned char llvm_cbe_tmp__994;
  unsigned char *llvm_cbe_tmp__995;
  unsigned char llvm_cbe_tmp__996;
  unsigned char llvm_cbe_tmp__997;
  unsigned char llvm_cbe_tmp__998;
  unsigned char llvm_cbe_tmp__999;
  unsigned short llvm_cbe_tmp__1000;
  unsigned int llvm_cbe_tmp__1001;
  unsigned int llvm_cbe_tmp__1002;
  unsigned char *llvm_cbe_tmp__1003;
  unsigned char llvm_cbe_tmp__1004;
  unsigned char *llvm_cbe_tmp__1005;
  unsigned char llvm_cbe_tmp__1006;
  unsigned int llvm_cbe_tmp__1007;
  unsigned int llvm_cbe_tmp__1008;
  unsigned char *llvm_cbe_tmp__1009;
  unsigned char llvm_cbe_tmp__1010;
  unsigned char *llvm_cbe_tmp__1011;
  unsigned char llvm_cbe_tmp__1012;
  unsigned int llvm_cbe_tmp__1013;
  unsigned int llvm_cbe_tmp__1014;
  unsigned short llvm_cbe_tmp__1015;
  unsigned char llvm_cbe_tmp__1016;
  unsigned int llvm_cbe_tmp__1017;
  unsigned int llvm_cbe_tmp__1018;
  unsigned char *llvm_cbe_tmp__1019;
  unsigned char llvm_cbe_tmp__1020;
  unsigned char *llvm_cbe_tmp__1021;
  unsigned char llvm_cbe_tmp__1022;
  unsigned int llvm_cbe_tmp__1023;
  unsigned int llvm_cbe_tmp__1024;
  unsigned short llvm_cbe_tmp__1025;
  unsigned int llvm_cbe_tmp__1026;
  unsigned char llvm_cbe_tmp__1027;
  unsigned int llvm_cbe_tmp__1028;
  unsigned char *llvm_cbe_tmp__1029;
  unsigned char llvm_cbe_tmp__1030;
  unsigned int llvm_cbe_tmp__1031;
  unsigned int llvm_cbe_tmp__1032;
  unsigned char llvm_cbe_tmp__1033;
  unsigned int llvm_cbe_tmp4091_2e_lobit;
  unsigned int llvm_cbe_tmp__1034;
  unsigned int llvm_cbe_tmp__1034__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1035;
  unsigned char llvm_cbe_tmp__1036;
  unsigned int llvm_cbe_tmp__1037;
  unsigned char *llvm_cbe_tmp__1038;
  unsigned char llvm_cbe_tmp__1039;
  unsigned int llvm_cbe_tmp__1040;
  unsigned int llvm_cbe_tmp__1041;
  unsigned char llvm_cbe_tmp__1042;
  unsigned int llvm_cbe_tmp4093_2e_lobit;
  unsigned int llvm_cbe_tmp__1043;
  unsigned int llvm_cbe_tmp__1043__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1044;
  unsigned int llvm_cbe_tmp__1045;
  unsigned char *llvm_cbe_tmp__1046;
  unsigned char llvm_cbe_tmp__1047;
  unsigned int llvm_cbe_tmp__1048;
  unsigned char llvm_cbe_tmp__1049;
  unsigned int llvm_cbe_tmp__1050;
  unsigned char *llvm_cbe_tmp__1051;
  unsigned char llvm_cbe_tmp__1052;
  unsigned char *llvm_cbe_tmp__1053;
  unsigned char llvm_cbe_tmp__1054;
  unsigned char llvm_cbe_tmp__1055;
  unsigned int llvm_cbe_tmp__1056;
  unsigned char *llvm_cbe_tmp__1057;
  unsigned char llvm_cbe_tmp__1058;
  unsigned int llvm_cbe_tmp__1059;
  unsigned short llvm_cbe_tmp__1060;
  unsigned int llvm_cbe__2e_lobit4113;
  unsigned int llvm_cbe_tmp__1061;
  unsigned int llvm_cbe_tmp__1061__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__1062;
  unsigned char llvm_cbe_tmp__1063;
  unsigned char llvm_cbe_tmp__1064;
  unsigned char llvm_cbe_tmp__1065;
  unsigned char llvm_cbe_tmp__1066;
  unsigned char llvm_cbe_tmp__1067;
  unsigned int llvm_cbe_tmp__1068;
  unsigned char *llvm_cbe_tmp__1069;
  unsigned char llvm_cbe_tmp__1070;
  unsigned char llvm_cbe_tmp__1071;
  unsigned int llvm_cbe_tmp__1072;
  unsigned char llvm_cbe_tmp__1073;
  unsigned char llvm_cbe_tmp__1074;
  unsigned int llvm_cbe_tmp__1075;
  unsigned char *llvm_cbe_tmp__1076;
  unsigned char llvm_cbe_tmp__1077;
  unsigned int llvm_cbe_tmp__1078;
  unsigned char llvm_cbe_tmp__1079;
  unsigned short llvm_cbe_tmp__1080;
  unsigned int llvm_cbe_tmp4095_2e_lobit;
  unsigned int llvm_cbe_tmp__1081;
  unsigned int llvm_cbe_tmp__1081__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1082;
  unsigned char *llvm_cbe_tmp__1083;
  unsigned char llvm_cbe_tmp__1084;
  unsigned char *llvm_cbe_tmp__1085;
  unsigned char llvm_cbe_tmp__1086;
  unsigned char llvm_cbe_tmp__1087;
  unsigned int llvm_cbe_tmp__1088;
  unsigned char llvm_cbe_tmp__1089;
  unsigned char llvm_cbe_tmp__1090;
  unsigned int llvm_cbe_tmp__1091;
  unsigned char llvm_cbe_tmp__1092;
  unsigned int llvm_cbe_tmp__1093;
  unsigned short llvm_cbe_tmp__1094;
  unsigned int llvm_cbe_tmp4097_2e_lobit;
  unsigned int llvm_cbe_tmp__1095;
  unsigned int llvm_cbe_tmp__1095__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1096;
  unsigned char llvm_cbe_tmp__1097;
  unsigned int llvm_cbe_tmp__1098;
  unsigned int llvm_cbe_tmp__1099;
  unsigned char llvm_cbe_tmp__1100;
  unsigned int llvm_cbe_tmp__1101;
  unsigned char llvm_cbe_tmp__1102;
  unsigned char llvm_cbe_tmp__1103;
  unsigned int llvm_cbe_tmp__1104;
  unsigned char llvm_cbe_tmp__1105;
  unsigned int llvm_cbe_tmp__1106;
  unsigned short llvm_cbe_tmp__1107;
  unsigned int llvm_cbe_tmp4099_2e_lobit;
  unsigned int llvm_cbe_tmp__1108;
  unsigned int llvm_cbe_tmp__1108__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1109;
  unsigned char *llvm_cbe_tmp__1110;
  unsigned char llvm_cbe_tmp__1111;
  unsigned char *llvm_cbe_tmp__1112;
  unsigned char llvm_cbe_tmp__1113;
  unsigned int llvm_cbe_tmp__1114;
  unsigned char llvm_cbe_tmp__1115;
  unsigned char llvm_cbe_tmp__1116;
  unsigned int llvm_cbe_tmp__1117;
  unsigned char llvm_cbe_tmp__1118;
  unsigned char llvm_cbe_tmp__1119;
  unsigned char llvm_cbe_tmp__1120;
  unsigned char llvm_cbe_tmp__1121;
  unsigned short llvm_cbe_tmp__1122;
  unsigned short llvm_cbe_tmp__1123;
  unsigned char llvm_cbe_tmp__1124;
  unsigned char llvm_cbe_tmp__1125;
  unsigned char llvm_cbe_tmp__1126;
  unsigned short llvm_cbe_tmp__1127;
  unsigned int llvm_cbe_tmp__1128;
  unsigned char *llvm_cbe_tmp__1129;
  unsigned char llvm_cbe_tmp__1130;
  unsigned int llvm_cbe_tmp__1131;
  unsigned char *llvm_cbe_tmp__1132;
  unsigned char llvm_cbe_tmp__1133;
  unsigned int llvm_cbe_tmp__1134;
  unsigned short llvm_cbe_tmp__1135;
  unsigned int llvm_cbe__2e_lobit4100;
  unsigned int llvm_cbe_tmp__1136;
  unsigned int llvm_cbe_tmp__1136__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1137;
  unsigned char llvm_cbe_tmp__1138;
  unsigned char llvm_cbe_tmp__1139;
  unsigned short llvm_cbe_tmp__1140;
  unsigned int llvm_cbe_tmp__1141;
  unsigned char llvm_cbe_tmp__1142;
  unsigned char llvm_cbe_tmp__1143;
  unsigned char llvm_cbe_tmp__1144;
  unsigned short llvm_cbe_tmp__1145;
  unsigned int llvm_cbe_tmp__1146;
  unsigned char llvm_cbe_tmp__1147;
  unsigned int llvm_cbe_tmp__1148;
  unsigned char *llvm_cbe_tmp__1149;
  unsigned char llvm_cbe_tmp__1150;
  unsigned char *llvm_cbe_tmp__1151;
  unsigned char llvm_cbe_tmp__1152;
  unsigned int llvm_cbe_tmp__1153;
  unsigned short llvm_cbe_tmp__1154;
  unsigned int llvm_cbe_tmp__1155;
  unsigned short llvm_cbe__2e_pre6068_2e_rle6977;
  unsigned short llvm_cbe__2e_pre6068_2e_rle6977__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1156;
  unsigned short llvm_cbe_tmp__1156__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1157;
  unsigned short llvm_cbe__2e_pre6068_2e_rle6975;
  unsigned short llvm_cbe__2e_pre6068_2e_rle6975__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1158;
  unsigned short llvm_cbe_tmp__1158__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1159;
  unsigned short llvm_cbe_tmp__1160;
  unsigned short llvm_cbe_tmp__1160__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__1161;
  unsigned char llvm_cbe_tmp__1162;
  unsigned int llvm_cbe_tmp__1163;
  unsigned int llvm_cbe_tmp__1164;
  unsigned char llvm_cbe_tmp__1165;
  unsigned int llvm_cbe_tmp__1166;
  unsigned short llvm_cbe_tmp__1167;
  unsigned int llvm_cbe_tmp__1168;
  unsigned char llvm_cbe_tmp__1169;
  unsigned char llvm_cbe_tmp__1170;
  unsigned char llvm_cbe_tmp__1171;
  unsigned short llvm_cbe_tmp__1172;
  unsigned int llvm_cbe_tmp__1173;
  unsigned int llvm_cbe_tmp__1174;
  unsigned char *llvm_cbe_tmp__1175;
  unsigned char llvm_cbe_tmp__1176;
  unsigned int llvm_cbe_tmp__1177;
  unsigned char *llvm_cbe_tmp__1178;
  unsigned char llvm_cbe_tmp__1179;
  unsigned int llvm_cbe_tmp__1180;
  unsigned short llvm_cbe_tmp__1181;
  unsigned int llvm_cbe__2e_lobit4052;
  unsigned int llvm_cbe_tmp__1182;
  unsigned int llvm_cbe_tmp__1182__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1183;
  unsigned char llvm_cbe_tmp__1184;
  unsigned char llvm_cbe_tmp__1185;
  unsigned short llvm_cbe_tmp__1186;
  unsigned int llvm_cbe_tmp__1187;
  unsigned int llvm_cbe_tmp__1188;
  unsigned char llvm_cbe_tmp__1189;
  unsigned char llvm_cbe_tmp__1190;
  unsigned int llvm_cbe_tmp__1191;
  unsigned char *llvm_cbe_tmp__1192;
  unsigned char llvm_cbe_tmp__1193;
  unsigned int llvm_cbe_tmp__1194;
  unsigned int llvm_cbe_tmp__1195;
  unsigned char llvm_cbe_tmp__1196;
  unsigned int llvm_cbe_tmp__1197;
  unsigned char llvm_cbe_tmp__1198;
  unsigned char llvm_cbe_tmp__1199;
  unsigned char llvm_cbe_tmp__1200;
  unsigned short llvm_cbe_tmp__1201;
  unsigned int llvm_cbe_tmp__1202;
  unsigned int llvm_cbe_tmp4122_2e_lobit;
  unsigned int llvm_cbe_tmp__1203;
  unsigned int llvm_cbe_tmp__1203__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6824;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6824__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1204;
  unsigned short llvm_cbe_tmp__1204__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1205;
  unsigned int llvm_cbe_tmp__1206;
  unsigned char llvm_cbe_tmp__1207;
  unsigned char llvm_cbe_tmp__1208;
  unsigned int llvm_cbe_tmp__1209;
  unsigned char *llvm_cbe_tmp__1210;
  unsigned char llvm_cbe_tmp__1211;
  unsigned char *llvm_cbe_tmp__1212;
  unsigned char llvm_cbe_tmp__1213;
  unsigned int llvm_cbe_tmp__1214;
  unsigned int llvm_cbe_tmp__1215;
  unsigned int llvm_cbe__2e_mask4125;
  unsigned int llvm_cbe_tmp__1216;
  unsigned int llvm_cbe_tmp__1217;
  unsigned char llvm_cbe_tmp__1218;
  unsigned char llvm_cbe_tmp__1219;
  unsigned short llvm_cbe_tmp__1220;
  unsigned int llvm_cbe_tmp__1221;
  unsigned short llvm_cbe_tmp__1222;
  unsigned short llvm_cbe_tmp__1222__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1223;
  unsigned short llvm_cbe_tmp__1223__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1224;
  unsigned char llvm_cbe_tmp__1225;
  unsigned char llvm_cbe_tmp__1226;
  unsigned char llvm_cbe_tmp__1227;
  unsigned short llvm_cbe_tmp__1228;
  unsigned int llvm_cbe_tmp__1229;
  unsigned char *llvm_cbe_tmp__1230;
  unsigned char llvm_cbe_tmp__1231;
  unsigned char *llvm_cbe_tmp__1232;
  unsigned char llvm_cbe_tmp__1233;
  unsigned short llvm_cbe_tmp__1234;
  unsigned int llvm_cbe_tmp__1235;
  unsigned short llvm_cbe_tmp__1236;
  unsigned short llvm_cbe_tmp__1236__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1237;
  unsigned char *llvm_cbe_tmp__1238;
  unsigned char llvm_cbe_tmp__1239;
  unsigned int llvm_cbe_tmp__1240;
  unsigned char *llvm_cbe_tmp__1241;
  unsigned char llvm_cbe_tmp__1242;
  unsigned int llvm_cbe_tmp__1243;
  unsigned short llvm_cbe_tmp__1244;
  unsigned int llvm_cbe_tmp4815;
  unsigned int llvm_cbe_tmp__1245;
  unsigned int llvm_cbe_tmp__1245__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1246;
  unsigned int llvm_cbe_tmp__1247;
  unsigned short llvm_cbe_tmp__1248;
  unsigned int llvm_cbe_tmp__1249;
  unsigned int llvm_cbe_tmp__1250;
  unsigned int llvm_cbe_tmp__1251;
  unsigned char llvm_cbe_tmp__1252;
  unsigned char llvm_cbe_tmp__1253;
  unsigned int llvm_cbe_tmp__1254;
  unsigned int llvm_cbe_tmp__1255;
  unsigned int llvm_cbe_tmp__1256;
  unsigned char *llvm_cbe_tmp__1257;
  unsigned char llvm_cbe_tmp__1258;
  unsigned int llvm_cbe_tmp__1259;
  unsigned char *llvm_cbe_tmp__1260;
  unsigned char llvm_cbe_tmp__1261;
  unsigned int llvm_cbe_tmp__1262;
  unsigned int llvm_cbe_tmp__1263;
  unsigned short llvm_cbe_tmp__1264;
  unsigned char *llvm_cbe_tmp__1265;
  unsigned char llvm_cbe_tmp__1266;
  unsigned char *llvm_cbe_tmp__1267;
  unsigned char llvm_cbe_tmp__1268;
  unsigned int llvm_cbe_tmp__1269;
  unsigned int llvm_cbe_tmp__1270;
  unsigned int llvm_cbe__2e_mask4132;
  unsigned int llvm_cbe_tmp__1271;
  unsigned char llvm_cbe_tmp__1272;
  unsigned short llvm_cbe_tmp__1273;
  unsigned short llvm_cbe_tmp__1273__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1274;
  unsigned char llvm_cbe_tmp__1275;
  unsigned char llvm_cbe_tmp__1276;
  unsigned char llvm_cbe_tmp__1277;
  unsigned short llvm_cbe__2e_pre6782;
  unsigned short llvm_cbe_tmp__1278;
  unsigned short llvm_cbe_tmp__1278__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1279;
  unsigned short llvm_cbe_tmp__1280;
  unsigned int llvm_cbe_tmp__1281;
  unsigned char *llvm_cbe_tmp__1282;
  unsigned char llvm_cbe_tmp__1283;
  unsigned char *llvm_cbe_tmp__1284;
  unsigned char llvm_cbe_tmp__1285;
  unsigned int llvm_cbe_tmp__1286;
  unsigned int llvm_cbe_tmp__1287;
  unsigned short llvm_cbe_tmp__1288;
  unsigned int llvm_cbe_tmp__1289;
  unsigned int llvm_cbe_tmp__1290;
  unsigned int llvm_cbe_tmp__1291;
  unsigned char llvm_cbe_tmp__1292;
  unsigned char llvm_cbe_tmp__1293;
  unsigned short llvm_cbe_tmp__1294;
  unsigned short llvm_cbe_tmp__1295;
  unsigned int llvm_cbe_tmp__1296;
  unsigned char llvm_cbe_tmp__1297;
  unsigned char llvm_cbe_tmp__1298;
  unsigned char llvm_cbe_tmp__1299;
  unsigned int llvm_cbe_tmp__1300;
  unsigned int llvm_cbe_tmp__1301;
  unsigned int llvm_cbe_tmp__1302;
  unsigned short llvm_cbe_tmp__1303;
  unsigned int llvm_cbe_tmp__1304;
  unsigned char llvm_cbe_tmp__1305;
  unsigned char llvm_cbe_tmp__1306;
  unsigned short llvm_cbe_tmp__1307;
  unsigned short llvm_cbe_tmp__1308;
  unsigned int llvm_cbe_tmp__1309;
  unsigned char llvm_cbe_tmp__1310;
  unsigned char llvm_cbe_tmp__1311;
  unsigned char llvm_cbe_tmp__1312;
  unsigned short llvm_cbe_tmp__1313;
  unsigned int llvm_cbe_tmp__1314;
  unsigned int llvm_cbe_tmp__1315;
  unsigned int llvm_cbe_tmp__1316;
  unsigned char llvm_cbe_tmp__1317;
  unsigned char llvm_cbe_tmp__1318;
  unsigned int llvm_cbe_tmp__1319;
  unsigned char *llvm_cbe_tmp__1320;
  unsigned char llvm_cbe_tmp__1321;
  unsigned char *llvm_cbe_tmp__1322;
  unsigned char llvm_cbe_tmp__1323;
  unsigned char llvm_cbe_tmp__1324;
  unsigned int llvm_cbe_tmp__1325;
  unsigned int llvm_cbe_tmp__1326;
  unsigned short llvm_cbe_tmp__1327;
  unsigned short llvm_cbe_tmp__1328;
  unsigned char llvm_cbe_tmp__1329;
  unsigned char llvm_cbe_tmp__1330;
  unsigned char llvm_cbe_tmp__1331;
  unsigned short llvm_cbe__2e_pre6788;
  unsigned short llvm_cbe_tmp__1332;
  unsigned short llvm_cbe_tmp__1332__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1333;
  unsigned short llvm_cbe_tmp__1333__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1334;
  unsigned short llvm_cbe_tmp__1334__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1335;
  unsigned short llvm_cbe_tmp__1335__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1336;
  unsigned int llvm_cbe_tmp__1337;
  unsigned char llvm_cbe_tmp__1338;
  unsigned int llvm_cbe_tmp__1339;
  unsigned int llvm_cbe_tmp__1340;
  unsigned short llvm_cbe_tmp__1341;
  unsigned int llvm_cbe_tmp__1342;
  unsigned short llvm_cbe_tmp__1343;
  unsigned int llvm_cbe_tmp__1344;
  unsigned char llvm_cbe_tmp__1345;
  unsigned char llvm_cbe_tmp__1346;
  unsigned char llvm_cbe_tmp__1347;
  unsigned short llvm_cbe_tmp__1348;
  unsigned int llvm_cbe_tmp__1349;
  unsigned char *llvm_cbe_tmp__1350;
  unsigned char llvm_cbe_tmp__1351;
  unsigned short llvm_cbe_tmp__1352;
  unsigned char *llvm_cbe_tmp__1353;
  unsigned char llvm_cbe_tmp__1354;
  unsigned short llvm_cbe_tmp__1355;
  unsigned int llvm_cbe_tmp__1356;
  unsigned char llvm_cbe_tmp__1357;
  unsigned char llvm_cbe_tmp__1358;
  unsigned short llvm_cbe_tmp__1359;
  unsigned int llvm_cbe_tmp__1360;
  unsigned char llvm_cbe_tmp__1361;
  unsigned char llvm_cbe_tmp__1362;
  unsigned char llvm_cbe_tmp__1363;
  unsigned short llvm_cbe_tmp__1364;
  unsigned int llvm_cbe_tmp__1365;
  unsigned char llvm_cbe_tmp__1366;
  unsigned int llvm_cbe_tmp__1367;
  unsigned char llvm_cbe_tmp__1368;
  unsigned int llvm_cbe_tmp__1369;
  unsigned char *llvm_cbe_tmp__1370;
  unsigned char llvm_cbe_tmp__1371;
  unsigned int llvm_cbe_tmp__1372;
  unsigned char *llvm_cbe_tmp__1373;
  unsigned char llvm_cbe_tmp__1374;
  unsigned int llvm_cbe_tmp__1375;
  unsigned short llvm_cbe_tmp__1376;
  unsigned int llvm_cbe_tmp3847_2e_lobit;
  unsigned int llvm_cbe_tmp__1377;
  unsigned int llvm_cbe_tmp__1377__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1378;
  unsigned int llvm_cbe_tmp__1379;
  unsigned char *llvm_cbe_tmp__1380;
  unsigned char llvm_cbe_tmp__1381;
  unsigned int llvm_cbe_tmp__1382;
  unsigned char *llvm_cbe_tmp__1383;
  unsigned char llvm_cbe_tmp__1384;
  unsigned int llvm_cbe_tmp__1385;
  unsigned int llvm_cbe_tmp__1386;
  unsigned short llvm_cbe_tmp__1387;
  unsigned int llvm_cbe_tmp__1388;
  unsigned int llvm_cbe_tmp__1389;
  unsigned char *llvm_cbe_tmp__1390;
  unsigned char llvm_cbe_tmp__1391;
  unsigned int llvm_cbe_tmp__1392;
  unsigned char *llvm_cbe_tmp__1393;
  unsigned char llvm_cbe_tmp__1394;
  unsigned int llvm_cbe_tmp__1395;
  unsigned short llvm_cbe_tmp__1396;
  unsigned int llvm_cbe__2e_lobit;
  unsigned int llvm_cbe_tmp__1397;
  unsigned int llvm_cbe_tmp__1397__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1398;
  unsigned int llvm_cbe_tmp__1399;
  unsigned char llvm_cbe_tmp__1400;
  unsigned int llvm_cbe_tmp__1401;
  unsigned int llvm_cbe_tmp__1402;
  unsigned short llvm_cbe_tmp__1403;
  unsigned int llvm_cbe_tmp__1404;
  unsigned char llvm_cbe_tmp__1405;
  unsigned char llvm_cbe_tmp__1406;
  unsigned char llvm_cbe_tmp__1407;
  unsigned short llvm_cbe_tmp__1408;
  unsigned int llvm_cbe_tmp__1409;
  unsigned char llvm_cbe_tmp__1410;
  unsigned char llvm_cbe_tmp__1411;
  unsigned char llvm_cbe_tmp__1412;
  unsigned short llvm_cbe_tmp__1413;
  unsigned int llvm_cbe_tmp__1414;
  unsigned char llvm_cbe_tmp__1415;
  unsigned char llvm_cbe_tmp__1416;
  unsigned int llvm_cbe_tmp__1417;
  unsigned int llvm_cbe_tmp__1418;
  unsigned short llvm_cbe_tmp__1419;
  unsigned short llvm_cbe_tmp__1419__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1420;
  unsigned char llvm_cbe_tmp__1421;
  unsigned char llvm_cbe_tmp__1422;
  unsigned char llvm_cbe_tmp__1423;
  unsigned short llvm_cbe_tmp__1424;
  unsigned int llvm_cbe_tmp__1425;
  unsigned char llvm_cbe_tmp__1426;
  unsigned char llvm_cbe_tmp__1427;
  unsigned char llvm_cbe_tmp__1428;
  unsigned short llvm_cbe_tmp__1429;
  unsigned int llvm_cbe_tmp__1430;
  unsigned char *llvm_cbe_tmp__1431;
  unsigned char llvm_cbe_tmp__1432;
  unsigned char *llvm_cbe_tmp__1433;
  unsigned char llvm_cbe_tmp__1434;
  unsigned short llvm_cbe_tmp__1435;
  unsigned char llvm_cbe_tmp__1436;
  unsigned char llvm_cbe_tmp__1437;
  unsigned char llvm_cbe_tmp__1438;
  unsigned short llvm_cbe_tmp__1439;
  unsigned int llvm_cbe_tmp__1440;
  unsigned char llvm_cbe_tmp__1441;
  unsigned char llvm_cbe_tmp__1442;
  unsigned char llvm_cbe_tmp__1443;
  unsigned char llvm_cbe_tmp__1444;
  unsigned int llvm_cbe_tmp__1445;
  unsigned int llvm_cbe_tmp__1446;
  unsigned int llvm_cbe_tmp__1447;
  unsigned short llvm_cbe_tmp__1448;
  unsigned int llvm_cbe_tmp__1449;
  unsigned char llvm_cbe_tmp__1450;
  unsigned char llvm_cbe_tmp__1451;
  unsigned short llvm_cbe_tmp__1452;
  unsigned char llvm_cbe_tmp__1453;
  unsigned int llvm_cbe_tmp__1454;
  unsigned int llvm_cbe_tmp__1455;
  unsigned int llvm_cbe_tmp__1456;
  unsigned short llvm_cbe_tmp__1457;
  unsigned int llvm_cbe_tmp__1458;
  unsigned int llvm_cbe_tmp__1459;
  unsigned char llvm_cbe_tmp__1460;
  unsigned char llvm_cbe_tmp__1461;
  unsigned int llvm_cbe_tmp__1462;
  unsigned short llvm_cbe_tmp__1463;
  unsigned char llvm_cbe_tmp__1464;
  unsigned char llvm_cbe_tmp__1465;
  unsigned char llvm_cbe_tmp__1466;
  unsigned int llvm_cbe_tmp__1467;
  unsigned int llvm_cbe_tmp__1468;
  unsigned char llvm_cbe_tmp__1469;
  unsigned int llvm_cbe_tmp3853_2e_lobit;
  unsigned int llvm_cbe_tmp__1470;
  unsigned int llvm_cbe_tmp__1470__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1471;
  unsigned short llvm_cbe__2e_pre6071_2e_pre;
  unsigned short llvm_cbe__2e_pre6071_2e_pre__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6070_2e_pre;
  unsigned short llvm_cbe__2e_pre6070_2e_pre__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6069_2e_pre;
  unsigned short llvm_cbe__2e_pre6069_2e_pre__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6068_2e_pre;
  unsigned short llvm_cbe__2e_pre6068_2e_pre__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6066;
  unsigned short llvm_cbe__2e_pre6066__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6064;
  unsigned short llvm_cbe__2e_pre6064__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1472;
  unsigned char llvm_cbe_tmp__1473;
  unsigned int llvm_cbe_tmp__1474;
  unsigned char llvm_cbe_tmp__1475;
  unsigned short llvm_cbe__2e_pre6071;
  unsigned short llvm_cbe__2e_pre6071__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6070;
  unsigned short llvm_cbe__2e_pre6070__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6069;
  unsigned short llvm_cbe__2e_pre6069__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6068;
  unsigned short llvm_cbe__2e_pre6068__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1476;
  unsigned short llvm_cbe_tmp__1476__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1477;
  unsigned short llvm_cbe_tmp__1477__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1478;
  unsigned short llvm_cbe_tmp__1478__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1479;
  unsigned short llvm_cbe_tmp__1479__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1480;
  unsigned short llvm_cbe_tmp__1480__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1481;
  unsigned short llvm_cbe_tmp__1481__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1482;
  unsigned int llvm_cbe_tmp__1483;
  unsigned char llvm_cbe_tmp__1484;
  unsigned char llvm_cbe_tmp__1485;
  unsigned short llvm_cbe_tmp__1486;
  unsigned int llvm_cbe_tmp__1487;
  unsigned short llvm_cbe__2e_rle5996;
  unsigned short llvm_cbe__2e_rle5996__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1488;
  unsigned int llvm_cbe_tmp__1489;
  unsigned char llvm_cbe_tmp__1490;
  unsigned int llvm_cbe_tmp__1491;
  unsigned short llvm_cbe_tmp__1492;
  unsigned int llvm_cbe_tmp4612;
  unsigned int llvm_cbe_tmp__1493;
  unsigned int llvm_cbe_tmp__1493__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1494;
  unsigned short llvm_cbe_tmp__1494__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1495;
  unsigned char llvm_cbe_tmp__1496;
  unsigned char llvm_cbe_tmp__1497;
  unsigned char llvm_cbe_tmp__1498;
  unsigned char llvm_cbe_tmp__1499;
  unsigned char llvm_cbe_tmp__1500;
  unsigned short llvm_cbe_tmp__1501;
  unsigned int llvm_cbe_tmp__1502;
  unsigned char llvm_cbe_tmp__1503;
  unsigned char llvm_cbe_tmp__1504;
  unsigned char llvm_cbe_tmp__1505;
  unsigned char llvm_cbe_tmp__1506;
  unsigned char llvm_cbe_tmp__1507;
  unsigned int llvm_cbe_tmp__1508;
  unsigned int llvm_cbe_tmp__1509;
  unsigned int llvm_cbe_tmp__1510;
  unsigned short llvm_cbe_tmp__1511;
  unsigned int llvm_cbe_tmp__1512;
  unsigned char llvm_cbe_tmp__1513;
  unsigned char llvm_cbe_tmp__1514;
  unsigned short llvm_cbe_tmp__1515;
  unsigned char llvm_cbe_tmp__1516;
  unsigned int llvm_cbe_tmp__1517;
  unsigned char llvm_cbe_tmp__1518;
  unsigned int llvm_cbe_tmp__1519;
  unsigned char llvm_cbe_tmp__1520;
  unsigned short llvm_cbe_tmp__1521;
  unsigned int llvm_cbe__2e_lobit4610;
  unsigned int llvm_cbe_tmp__1522;
  unsigned int llvm_cbe_tmp__1522__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1523;
  unsigned int llvm_cbe_tmp__1524;
  unsigned int llvm_cbe_tmp__1525;
  unsigned char *llvm_cbe_tmp__1526;
  unsigned char llvm_cbe_tmp__1527;
  unsigned short llvm_cbe_tmp__1528;
  unsigned char *llvm_cbe_tmp__1529;
  unsigned char llvm_cbe_tmp__1530;
  unsigned short llvm_cbe_tmp__1531;
  unsigned int llvm_cbe_tmp__1532;
  unsigned char llvm_cbe_tmp__1533;
  unsigned char llvm_cbe_tmp__1534;
  unsigned char llvm_cbe_tmp__1535;
  unsigned char llvm_cbe_tmp__1536;
  unsigned short llvm_cbe_tmp__1537;
  unsigned int llvm_cbe_tmp__1538;
  unsigned char llvm_cbe_tmp__1539;
  unsigned char llvm_cbe_tmp__1540;
  unsigned char llvm_cbe_tmp__1541;
  unsigned char llvm_cbe_tmp__1542;
  unsigned char llvm_cbe_tmp__1543;
  unsigned short llvm_cbe_tmp__1544;
  unsigned int llvm_cbe_tmp__1545;
  unsigned char llvm_cbe_tmp__1546;
  unsigned char llvm_cbe_tmp__1547;
  unsigned int llvm_cbe_tmp__1548;
  unsigned char *llvm_cbe_tmp__1549;
  unsigned char llvm_cbe_tmp__1550;
  unsigned int llvm_cbe_tmp__1551;
  unsigned char *llvm_cbe_tmp__1552;
  unsigned char llvm_cbe_tmp__1553;
  unsigned int llvm_cbe_tmp__1554;
  unsigned short llvm_cbe_tmp__1555;
  unsigned int llvm_cbe_tmp__1556;
  unsigned int llvm_cbe_tmp__1557;
  unsigned int llvm_cbe_tmp__1558;
  unsigned int llvm_cbe_tmp4609;
  unsigned int llvm_cbe_tmp__1559;
  unsigned int llvm_cbe_tmp__1559__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1560;
  unsigned char llvm_cbe_tmp__1561;
  unsigned short llvm_cbe_tmp__1562;
  unsigned short llvm_cbe_tmp__1563;
  unsigned short llvm_cbe_tmp__1563__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1564;
  unsigned short llvm_cbe_tmp__1565;
  unsigned short llvm_cbe_tmp__1565__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1566;
  unsigned int llvm_cbe_tmp__1567;
  unsigned char llvm_cbe_tmp__1568;
  unsigned int llvm_cbe_tmp__1569;
  unsigned char *llvm_cbe_tmp__1570;
  unsigned char llvm_cbe_tmp__1571;
  unsigned char llvm_cbe_tmp__1572;
  unsigned int llvm_cbe_tmp__1573;
  unsigned char llvm_cbe_tmp__1574;
  unsigned char llvm_cbe_tmp__1575;
  unsigned char *llvm_cbe_tmp__1576;
  unsigned char llvm_cbe_tmp__1577;
  unsigned char *llvm_cbe_tmp__1578;
  unsigned char llvm_cbe_tmp__1579;
  unsigned int llvm_cbe_tmp__1580;
  unsigned char llvm_cbe_tmp__1581;
  unsigned char llvm_cbe_tmp__1582;
  unsigned char llvm_cbe_tmp__1583;
  unsigned char llvm_cbe_tmp__1584;
  unsigned int llvm_cbe_tmp__1585;
  unsigned char llvm_cbe_tmp__1586;
  unsigned int llvm_cbe_tmp__1587;
  unsigned char llvm_cbe_tmp__1588;
  unsigned char llvm_cbe_tmp__1589;
  unsigned int llvm_cbe_tmp__1590;
  unsigned char *llvm_cbe_tmp__1591;
  unsigned char llvm_cbe_tmp__1592;
  unsigned int llvm_cbe_tmp__1593;
  unsigned short llvm_cbe_tmp__1594;
  unsigned int llvm_cbe_tmp3975_2e_lobit;
  unsigned int llvm_cbe_tmp__1595;
  unsigned int llvm_cbe_tmp__1595__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1596;
  unsigned short llvm_cbe_tmp__1596__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1597;
  unsigned char llvm_cbe_tmp__1598;
  unsigned char llvm_cbe_tmp__1599;
  unsigned char llvm_cbe_tmp__1600;
  unsigned short llvm_cbe_tmp__1601;
  unsigned int llvm_cbe_tmp__1602;
  unsigned char llvm_cbe_tmp__1603;
  unsigned char llvm_cbe_tmp__1604;
  unsigned char llvm_cbe_tmp__1605;
  unsigned short llvm_cbe_tmp__1606;
  unsigned int llvm_cbe_tmp__1607;
  unsigned int llvm_cbe_tmp__1608;
  unsigned char llvm_cbe_tmp__1609;
  unsigned int llvm_cbe_tmp__1610;
  unsigned char llvm_cbe_tmp__1611;
  unsigned int llvm_cbe_tmp__1612;
  unsigned char *llvm_cbe_tmp__1613;
  unsigned char llvm_cbe_tmp__1614;
  unsigned int llvm_cbe_tmp__1615;
  unsigned char *llvm_cbe_tmp__1616;
  unsigned char llvm_cbe_tmp__1617;
  unsigned int llvm_cbe_tmp__1618;
  unsigned short llvm_cbe_tmp__1619;
  unsigned int llvm_cbe_tmp__1620;
  unsigned int llvm_cbe_tmp__1621;
  unsigned int llvm_cbe_tmp__1622;
  unsigned int llvm_cbe_tmp4007_2e_lobit;
  unsigned int llvm_cbe_tmp__1623;
  unsigned int llvm_cbe_tmp__1623__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6972;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6972__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1624;
  unsigned short llvm_cbe_tmp__1624__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5989;
  unsigned int llvm_cbe__2e_rle5989__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5954;
  unsigned int llvm_cbe__2e_rle5954__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5921;
  unsigned int llvm_cbe__2e_rle5921__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1625;
  unsigned char llvm_cbe_tmp__1626;
  unsigned char llvm_cbe_tmp__1627;
  unsigned short llvm_cbe_tmp__1628;
  unsigned char llvm_cbe_tmp__1629;
  unsigned char *llvm_cbe_tmp__1630;
  unsigned int llvm_cbe_tmp__1631;
  unsigned char *llvm_cbe_tmp__1632;
  unsigned char llvm_cbe_tmp__1633;
  unsigned int llvm_cbe_tmp__1634;
  unsigned char *llvm_cbe_tmp__1635;
  unsigned char *llvm_cbe_tmp__1636;
  unsigned char *llvm_cbe_tmp__1637;
  unsigned char llvm_cbe_tmp__1638;
  unsigned char *llvm_cbe_tmp__1639;
  unsigned char llvm_cbe_tmp__1640;
  unsigned int llvm_cbe_tmp__1641;
  unsigned char llvm_cbe_tmp__1642;
  unsigned char llvm_cbe_tmp__1643;
  unsigned char llvm_cbe_tmp__1644;
  unsigned char llvm_cbe_tmp__1645;
  unsigned int llvm_cbe_tmp__1646;
  unsigned char llvm_cbe_tmp__1647;
  unsigned char llvm_cbe_tmp__1648;
  unsigned int llvm_cbe_tmp__1649;
  unsigned int llvm_cbe_tmp__1650;
  unsigned short llvm_cbe_tmp__1651;
  unsigned int llvm_cbe_tmp3952_2e_lobit;
  unsigned int llvm_cbe_tmp__1652;
  unsigned int llvm_cbe_tmp__1652__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1653;
  unsigned char *llvm_cbe_tmp__1654;
  unsigned char llvm_cbe_tmp__1655;
  unsigned char *llvm_cbe_tmp__1656;
  unsigned char llvm_cbe_tmp__1657;
  unsigned char *llvm_cbe_tmp__1658;
  unsigned char llvm_cbe_tmp__1659;
  unsigned char llvm_cbe_tmp__1660;
  unsigned int llvm_cbe_tmp__1661;
  unsigned char llvm_cbe_tmp__1662;
  unsigned char llvm_cbe_tmp__1663;
  unsigned int llvm_cbe_tmp__1664;
  unsigned char llvm_cbe_tmp__1665;
  unsigned int llvm_cbe_tmp__1666;
  unsigned short llvm_cbe_tmp__1667;
  unsigned int llvm_cbe_tmp3954_2e_lobit;
  unsigned int llvm_cbe_tmp__1668;
  unsigned int llvm_cbe_tmp__1668__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1669;
  unsigned int llvm_cbe_tmp__1670;
  unsigned char llvm_cbe_tmp__1671;
  unsigned int llvm_cbe_tmp__1672;
  unsigned short llvm_cbe_tmp__1673;
  unsigned int llvm_cbe__2e_lobit3956;
  unsigned int llvm_cbe_tmp__1674;
  unsigned int llvm_cbe_tmp__1674__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1675;
  unsigned char llvm_cbe_tmp__1676;
  unsigned char llvm_cbe_tmp__1677;
  unsigned short llvm_cbe_tmp__1678;
  unsigned int llvm_cbe_tmp__1679;
  unsigned char *llvm_cbe_tmp__1680;
  unsigned char llvm_cbe_tmp__1681;
  unsigned char *llvm_cbe_tmp__1682;
  unsigned char llvm_cbe_tmp__1683;
  unsigned short llvm_cbe_tmp__1684;
  unsigned char llvm_cbe_tmp__1685;
  unsigned char llvm_cbe_tmp__1686;
  unsigned char llvm_cbe_tmp__1687;
  unsigned short llvm_cbe_tmp__1688;
  unsigned int llvm_cbe_tmp__1689;
  unsigned char llvm_cbe_tmp__1690;
  unsigned char llvm_cbe_tmp__1691;
  unsigned int llvm_cbe_tmp__1692;
  unsigned short llvm_cbe_tmp__1693;
  unsigned int llvm_cbe_tmp__1694;
  unsigned int llvm_cbe_tmp__1695;
  unsigned int llvm_cbe_tmp__1696;
  unsigned char llvm_cbe_tmp__1697;
  unsigned char llvm_cbe_tmp__1698;
  unsigned char llvm_cbe_tmp__1699;
  unsigned short llvm_cbe_tmp__1700;
  unsigned int llvm_cbe_tmp__1701;
  unsigned int llvm_cbe_tmp__1702;
  unsigned char llvm_cbe_tmp__1703;
  unsigned char *llvm_cbe_tmp__1704;
  unsigned char llvm_cbe_tmp__1705;
  unsigned int llvm_cbe_tmp__1706;
  unsigned char *llvm_cbe_tmp__1707;
  unsigned int llvm_cbe_tmp__1708;
  unsigned int llvm_cbe_tmp__1709;
  unsigned char *llvm_cbe_tmp__1710;
  unsigned char llvm_cbe_tmp__1711;
  unsigned int llvm_cbe_tmp__1712;
  unsigned char llvm_cbe_tmp__1713;
  unsigned int llvm_cbe_tmp__1714;
  unsigned char llvm_cbe_tmp__1715;
  unsigned int llvm_cbe_tmp__1716;
  unsigned int llvm_cbe_tmp__1717;
  unsigned short llvm_cbe_tmp__1718;
  unsigned int llvm_cbe_tmp__1719;
  unsigned char *llvm_cbe_tmp__1720;
  unsigned char llvm_cbe_tmp__1721;
  unsigned char *llvm_cbe_tmp__1722;
  unsigned char llvm_cbe_tmp__1723;
  unsigned int llvm_cbe_tmp__1724;
  unsigned int llvm_cbe_tmp4135_2e_lobit;
  unsigned int llvm_cbe_tmp__1725;
  unsigned int llvm_cbe_tmp__1725__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1726;
  unsigned char llvm_cbe_tmp__1727;
  unsigned char llvm_cbe_tmp__1728;
  unsigned int llvm_cbe_tmp__1729;
  unsigned int llvm_cbe_tmp__1730;
  unsigned int llvm_cbe_tmp__1731;
  unsigned short llvm_cbe_tmp__1732;
  unsigned int llvm_cbe_tmp__1733;
  unsigned char llvm_cbe_tmp__1734;
  unsigned char llvm_cbe_tmp__1735;
  unsigned short llvm_cbe_tmp__1736;
  unsigned short llvm_cbe_tmp__1737;
  unsigned int llvm_cbe_tmp__1738;
  unsigned int llvm_cbe_tmp__1739;
  unsigned int llvm_cbe_tmp__1740;
  unsigned char *llvm_cbe_tmp__1741;
  unsigned char llvm_cbe_tmp__1742;
  unsigned char *llvm_cbe_tmp__1743;
  unsigned char llvm_cbe_tmp__1744;
  unsigned int llvm_cbe_tmp__1745;
  unsigned char llvm_cbe_tmp__1746;
  unsigned char llvm_cbe_tmp__1747;
  unsigned short llvm_cbe__2e_pre6212;
  unsigned short llvm_cbe_tmp__1748;
  unsigned short llvm_cbe_tmp__1748__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1749;
  unsigned short llvm_cbe_tmp__1749__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1750;
  unsigned short llvm_cbe_tmp__1750__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1751;
  unsigned short llvm_cbe_tmp__1751__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1752;
  unsigned int llvm_cbe_tmp__1753;
  unsigned char llvm_cbe_tmp__1754;
  unsigned int llvm_cbe_tmp__1755;
  unsigned short llvm_cbe_tmp__1756;
  unsigned int llvm_cbe__2e_lobit4149;
  unsigned int llvm_cbe_tmp__1757;
  unsigned int llvm_cbe_tmp__1757__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1758;
  unsigned int llvm_cbe_tmp__1759;
  unsigned int llvm_cbe_tmp__1760;
  unsigned char *llvm_cbe_tmp__1761;
  unsigned char llvm_cbe_tmp__1762;
  unsigned char *llvm_cbe_tmp__1763;
  unsigned char llvm_cbe_tmp__1764;
  unsigned int llvm_cbe_tmp__1765;
  unsigned short llvm_cbe_tmp__1766;
  unsigned int llvm_cbe_tmp__1767;
  unsigned char llvm_cbe_tmp__1768;
  unsigned char llvm_cbe_tmp__1769;
  unsigned int llvm_cbe_tmp__1770;
  unsigned char llvm_cbe_tmp__1771;
  unsigned char llvm_cbe_tmp__1772;
  unsigned short llvm_cbe_tmp__1773;
  unsigned int llvm_cbe_tmp__1774;
  unsigned char *llvm_cbe_tmp__1775;
  unsigned char llvm_cbe_tmp__1776;
  unsigned char llvm_cbe_tmp__1777;
  unsigned char llvm_cbe_tmp__1778;
  unsigned char llvm_cbe_tmp__1779;
  unsigned char llvm_cbe_tmp__1780;
  unsigned int llvm_cbe_tmp__1781;
  unsigned int llvm_cbe_tmp__1782;
  unsigned char llvm_cbe_tmp__1783;
  unsigned int llvm_cbe_tmp4143_2e_lobit;
  unsigned int llvm_cbe_tmp__1784;
  unsigned int llvm_cbe_tmp__1784__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1785;
  unsigned char llvm_cbe_tmp__1786;
  unsigned char llvm_cbe_tmp__1787;
  unsigned int llvm_cbe_tmp__1788;
  unsigned int llvm_cbe_tmp__1789;
  unsigned char llvm_cbe_tmp__1790;
  unsigned char llvm_cbe_tmp__1791;
  unsigned short llvm_cbe_tmp__1792;
  unsigned int llvm_cbe_tmp__1793;
  unsigned int llvm_cbe_tmp__1794;
  unsigned char llvm_cbe_tmp__1795;
  unsigned char llvm_cbe_tmp__1796;
  unsigned int llvm_cbe_tmp__1797;
  unsigned char llvm_cbe_tmp__1798;
  unsigned char llvm_cbe_tmp__1799;
  unsigned int llvm_cbe_tmp__1800;
  unsigned int llvm_cbe_tmp__1801;
  unsigned char *llvm_cbe_tmp__1802;
  unsigned char *llvm_cbe_tmp__1803;
  unsigned char llvm_cbe_tmp__1804;
  unsigned char llvm_cbe_tmp__1805;
  unsigned int llvm_cbe_tmp__1806;
  unsigned char llvm_cbe_tmp__1807;
  unsigned int llvm_cbe_tmp__1808;
  unsigned short llvm_cbe_tmp__1809;
  unsigned int llvm_cbe__2e_lobit4151;
  unsigned int llvm_cbe_tmp__1810;
  unsigned int llvm_cbe_tmp__1810__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1811;
  unsigned char *llvm_cbe_tmp__1812;
  unsigned char llvm_cbe_tmp__1813;
  unsigned char *llvm_cbe_tmp__1814;
  unsigned char llvm_cbe_tmp__1815;
  unsigned int llvm_cbe_tmp__1816;
  unsigned char llvm_cbe_tmp__1817;
  unsigned char llvm_cbe_tmp__1818;
  unsigned int llvm_cbe_tmp__1819;
  unsigned int llvm_cbe_tmp__1820;
  unsigned int llvm_cbe__2e_lobit4141;
  unsigned int llvm_cbe_tmp__1821;
  unsigned int llvm_cbe_tmp__1821__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1822;
  unsigned char llvm_cbe_tmp__1823;
  unsigned short llvm_cbe_tmp__1824;
  unsigned int llvm_cbe_tmp__1825;
  unsigned char llvm_cbe_tmp__1826;
  unsigned char llvm_cbe_tmp__1827;
  unsigned int llvm_cbe_tmp__1828;
  unsigned char llvm_cbe_tmp__1829;
  unsigned char llvm_cbe_tmp__1830;
  unsigned int llvm_cbe_tmp__1831;
  unsigned char llvm_cbe_tmp__1832;
  unsigned char llvm_cbe_tmp__1833;
  unsigned int llvm_cbe_tmp__1834;
  unsigned int llvm_cbe_tmp__1835;
  unsigned char llvm_cbe_tmp__1836;
  unsigned char llvm_cbe_tmp__1837;
  unsigned int llvm_cbe_tmp__1838;
  unsigned int llvm_cbe_tmp__1839;
  unsigned short llvm_cbe_tmp__1840;
  unsigned short llvm_cbe_tmp__1840__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1841;
  unsigned short llvm_cbe_tmp__1842;
  unsigned short llvm_cbe_tmp__1842__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1843;
  unsigned char llvm_cbe_tmp__1844;
  unsigned char llvm_cbe_tmp__1845;
  unsigned int llvm_cbe_tmp__1846;
  unsigned char *llvm_cbe_tmp__1847;
  unsigned char llvm_cbe_tmp__1848;
  unsigned char llvm_cbe_tmp__1849;
  unsigned int llvm_cbe_tmp__1850;
  unsigned char llvm_cbe_tmp__1851;
  unsigned char llvm_cbe_tmp__1852;
  unsigned int llvm_cbe_tmp__1853;
  unsigned int llvm_cbe_tmp__1854;
  unsigned char llvm_cbe_tmp__1855;
  unsigned char llvm_cbe_tmp__1856;
  unsigned int llvm_cbe_tmp__1857;
  unsigned char llvm_cbe_tmp__1858;
  unsigned char llvm_cbe_tmp__1859;
  unsigned char llvm_cbe_tmp__1860;
  unsigned short llvm_cbe_tmp__1861;
  unsigned int llvm_cbe_tmp__1862;
  unsigned char llvm_cbe_tmp__1863;
  unsigned char llvm_cbe_tmp__1864;
  unsigned char llvm_cbe_tmp__1865;
  unsigned char llvm_cbe_tmp__1866;
  unsigned char llvm_cbe_tmp__1867;
  unsigned int llvm_cbe_tmp__1868;
  unsigned int llvm_cbe_tmp__1869;
  unsigned char llvm_cbe_tmp__1870;
  unsigned int llvm_cbe_tmp4154_2e_lobit;
  unsigned int llvm_cbe_tmp__1871;
  unsigned int llvm_cbe_tmp__1871__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__1872;
  unsigned int llvm_cbe_tmp__1873;
  unsigned char llvm_cbe_tmp__1874;
  unsigned char llvm_cbe_tmp__1875;
  unsigned char llvm_cbe_tmp__1876;
  unsigned char llvm_cbe_tmp__1877;
  unsigned char llvm_cbe_tmp__1878;
  unsigned short llvm_cbe_tmp__1879;
  unsigned int llvm_cbe_tmp__1880;
  unsigned char llvm_cbe_tmp__1881;
  unsigned char llvm_cbe_tmp__1882;
  unsigned char llvm_cbe_tmp__1883;
  unsigned short llvm_cbe_tmp__1884;
  unsigned int llvm_cbe_tmp__1885;
  unsigned char llvm_cbe_tmp__1886;
  unsigned char llvm_cbe_tmp__1887;
  unsigned char llvm_cbe_tmp__1888;
  unsigned short llvm_cbe_tmp__1889;
  unsigned int llvm_cbe_tmp__1890;
  unsigned char *llvm_cbe_tmp__1891;
  unsigned char llvm_cbe_tmp__1892;
  unsigned int llvm_cbe_tmp__1893;
  unsigned char *llvm_cbe_tmp__1894;
  unsigned char llvm_cbe_tmp__1895;
  unsigned int llvm_cbe_tmp__1896;
  unsigned int llvm_cbe_tmp__1897;
  unsigned short llvm_cbe_tmp__1898;
  unsigned char llvm_cbe_tmp__1899;
  unsigned char llvm_cbe_tmp__1900;
  unsigned char llvm_cbe_tmp__1901;
  unsigned short llvm_cbe_tmp__1902;
  unsigned int llvm_cbe_tmp__1903;
  unsigned char llvm_cbe_tmp__1904;
  unsigned char llvm_cbe_tmp__1905;
  unsigned char llvm_cbe_tmp__1906;
  unsigned short llvm_cbe_tmp__1907;
  unsigned int llvm_cbe_tmp__1908;
  unsigned char llvm_cbe_tmp__1909;
  unsigned char llvm_cbe_tmp__1910;
  unsigned int llvm_cbe_tmp__1911;
  unsigned int llvm_cbe_tmp__1912;
  unsigned char *llvm_cbe_tmp__1913;
  unsigned char llvm_cbe_tmp__1914;
  unsigned char *llvm_cbe_tmp__1915;
  unsigned char llvm_cbe_tmp__1916;
  unsigned int llvm_cbe_tmp__1917;
  unsigned char llvm_cbe_tmp__1918;
  unsigned int llvm_cbe_tmp__1919;
  unsigned char llvm_cbe_tmp__1920;
  unsigned int llvm_cbe_tmp__1921;
  unsigned short llvm_cbe_tmp__1922;
  unsigned int llvm_cbe__2e_lobit4171;
  unsigned int llvm_cbe_tmp__1923;
  unsigned int llvm_cbe_tmp__1923__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1924;
  unsigned char llvm_cbe_tmp__1925;
  unsigned char llvm_cbe_tmp__1926;
  unsigned short llvm_cbe_tmp__1927;
  unsigned int llvm_cbe_tmp__1928;
  unsigned char llvm_cbe_tmp__1929;
  unsigned char llvm_cbe_tmp__1930;
  unsigned char llvm_cbe_tmp__1931;
  unsigned short llvm_cbe_tmp__1932;
  unsigned int llvm_cbe_tmp__1933;
  unsigned char llvm_cbe_tmp__1934;
  unsigned char llvm_cbe_tmp__1935;
  unsigned char llvm_cbe_tmp__1936;
  unsigned short llvm_cbe_tmp__1937;
  unsigned int llvm_cbe_tmp__1938;
  unsigned char *llvm_cbe_tmp__1939;
  unsigned char llvm_cbe_tmp__1940;
  unsigned int llvm_cbe_tmp__1941;
  unsigned char *llvm_cbe_tmp__1942;
  unsigned char llvm_cbe_tmp__1943;
  unsigned int llvm_cbe_tmp__1944;
  unsigned int llvm_cbe_tmp__1945;
  unsigned short llvm_cbe_tmp__1946;
  unsigned char llvm_cbe_tmp__1947;
  unsigned char llvm_cbe_tmp__1948;
  unsigned char llvm_cbe_tmp__1949;
  unsigned short llvm_cbe_tmp__1950;
  unsigned int llvm_cbe_tmp__1951;
  unsigned int llvm_cbe_tmp4176_2e_lobit;
  unsigned int llvm_cbe_tmp__1952;
  unsigned int llvm_cbe_tmp__1952__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1953;
  unsigned char llvm_cbe_tmp__1954;
  unsigned char llvm_cbe_tmp__1955;
  unsigned int llvm_cbe_tmp__1956;
  unsigned int llvm_cbe_tmp__1957;
  unsigned char llvm_cbe_tmp__1958;
  unsigned int llvm_cbe_tmp4178_2e_lobit;
  unsigned int llvm_cbe_tmp__1959;
  unsigned int llvm_cbe_tmp__1959__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__1960;
  unsigned char *llvm_cbe_tmp__1961;
  unsigned char llvm_cbe_tmp__1962;
  unsigned char *llvm_cbe_tmp__1963;
  unsigned int llvm_cbe_tmp__1964;
  unsigned char *llvm_cbe_tmp__1965;
  unsigned char llvm_cbe_tmp__1966;
  unsigned int llvm_cbe_tmp__1967;
  unsigned char *llvm_cbe_tmp__1968;
  unsigned char llvm_cbe_tmp__1969;
  unsigned int llvm_cbe_tmp__1970;
  unsigned char llvm_cbe_tmp__1971;
  unsigned short llvm_cbe_tmp__1972;
  unsigned int llvm_cbe_tmp4181;
  unsigned int llvm_cbe_tmp__1973;
  unsigned int llvm_cbe_tmp__1973__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__1974;
  unsigned char llvm_cbe_tmp__1975;
  unsigned char llvm_cbe_tmp__1976;
  unsigned int llvm_cbe_tmp__1977;
  unsigned int llvm_cbe_tmp__1978;
  unsigned char llvm_cbe_tmp__1979;
  unsigned char llvm_cbe_tmp__1980;
  unsigned char llvm_cbe_tmp__1981;
  unsigned short llvm_cbe_tmp__1982;
  unsigned int llvm_cbe_tmp__1983;
  unsigned char llvm_cbe_tmp__1984;
  unsigned char llvm_cbe_tmp__1985;
  unsigned char llvm_cbe_tmp__1986;
  unsigned short llvm_cbe_tmp__1987;
  unsigned int llvm_cbe_tmp__1988;
  unsigned int llvm_cbe_tmp__1989;
  unsigned char llvm_cbe_tmp__1990;
  unsigned char llvm_cbe_tmp__1991;
  unsigned int llvm_cbe_tmp__1992;
  unsigned int llvm_cbe_tmp__1993;
  unsigned short llvm_cbe_tmp__1994;
  unsigned int llvm_cbe_tmp__1995;
  unsigned int llvm_cbe_tmp__1996;
  unsigned int llvm_cbe_tmp__1997;
  unsigned char *llvm_cbe_tmp__1998;
  unsigned char *llvm_cbe_tmp__1999;
  unsigned char llvm_cbe_tmp__2000;
  unsigned char *llvm_cbe_tmp__2001;
  unsigned char llvm_cbe_tmp__2002;
  unsigned int llvm_cbe_tmp__2003;
  unsigned char *llvm_cbe_tmp__2004;
  unsigned char llvm_cbe_tmp__2005;
  unsigned int llvm_cbe_tmp__2006;
  unsigned short llvm_cbe_tmp__2007;
  unsigned int llvm_cbe_tmp4163;
  unsigned int llvm_cbe_tmp__2008;
  unsigned int llvm_cbe_tmp__2008__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2009;
  unsigned char llvm_cbe_tmp__2010;
  unsigned int llvm_cbe_tmp__2011;
  unsigned char llvm_cbe_tmp__2012;
  unsigned char llvm_cbe_tmp__2013;
  unsigned char llvm_cbe_tmp__2014;
  unsigned char llvm_cbe_tmp__2015;
  unsigned int llvm_cbe_tmp__2016;
  unsigned short llvm_cbe_tmp__2017;
  unsigned int llvm_cbe_tmp__2018;
  unsigned char *llvm_cbe_tmp__2019;
  unsigned char llvm_cbe_tmp__2020;
  unsigned char *llvm_cbe_tmp__2021;
  unsigned char llvm_cbe_tmp__2022;
  unsigned char llvm_cbe_tmp__2023;
  unsigned char llvm_cbe_tmp__2024;
  unsigned int llvm_cbe_tmp__2025;
  unsigned char *llvm_cbe_tmp__2026;
  unsigned char llvm_cbe_tmp__2027;
  unsigned char *llvm_cbe_tmp__2028;
  unsigned char llvm_cbe_tmp__2029;
  unsigned int llvm_cbe_tmp__2030;
  unsigned int llvm_cbe_tmp__2031;
  unsigned char llvm_cbe_tmp__2032;
  unsigned char llvm_cbe_tmp__2033;
  unsigned char llvm_cbe_tmp__2034;
  unsigned char llvm_cbe_tmp__2035;
  unsigned int llvm_cbe_tmp__2036;
  unsigned short llvm_cbe_tmp__2037;
  unsigned char llvm_cbe_tmp__2038;
  unsigned char llvm_cbe_tmp__2039;
  unsigned int llvm_cbe_tmp__2040;
  unsigned char llvm_cbe_tmp__2041;
  unsigned short llvm_cbe_tmp__2042;
  unsigned short llvm_cbe_tmp__2042__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2043;
  unsigned char llvm_cbe_tmp__2044;
  unsigned char llvm_cbe_tmp__2045;
  unsigned char llvm_cbe_tmp__2046;
  unsigned char llvm_cbe_tmp__2047;
  unsigned int llvm_cbe_tmp__2048;
  unsigned int llvm_cbe_tmp__2049;
  unsigned int llvm_cbe_tmp__2050;
  unsigned short llvm_cbe_tmp__2051;
  unsigned int llvm_cbe_tmp__2052;
  unsigned char *llvm_cbe_tmp__2053;
  unsigned char llvm_cbe_tmp__2054;
  unsigned char *llvm_cbe_tmp__2055;
  unsigned char llvm_cbe_tmp__2056;
  unsigned short llvm_cbe_tmp__2057;
  unsigned short llvm_cbe_tmp__2057__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2058;
  unsigned int llvm_cbe_tmp__2059;
  unsigned char *llvm_cbe_tmp__2060;
  unsigned char llvm_cbe_tmp__2061;
  unsigned char *llvm_cbe_tmp__2062;
  unsigned char llvm_cbe_tmp__2063;
  unsigned int llvm_cbe_tmp__2064;
  unsigned short llvm_cbe_tmp__2065;
  unsigned int llvm_cbe_tmp__2066;
  unsigned char *llvm_cbe_tmp__2067;
  unsigned char llvm_cbe_tmp__2068;
  unsigned int llvm_cbe_tmp__2069;
  unsigned char *llvm_cbe_tmp__2070;
  unsigned char llvm_cbe_tmp__2071;
  unsigned int llvm_cbe_tmp__2072;
  unsigned short llvm_cbe_tmp__2073;
  unsigned int llvm_cbe__2e_lobit4168;
  unsigned int llvm_cbe_tmp__2074;
  unsigned int llvm_cbe_tmp__2074__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2075;
  unsigned char *llvm_cbe_tmp__2076;
  unsigned char llvm_cbe_tmp__2077;
  unsigned char *llvm_cbe_tmp__2078;
  unsigned char llvm_cbe_tmp__2079;
  unsigned int llvm_cbe_tmp__2080;
  unsigned char llvm_cbe_tmp__2081;
  unsigned char llvm_cbe_tmp__2082;
  unsigned char llvm_cbe_tmp__2083;
  unsigned char llvm_cbe_tmp__2084;
  unsigned int llvm_cbe_tmp__2085;
  unsigned int llvm_cbe_tmp__2086;
  unsigned int llvm_cbe_tmp__2087;
  unsigned short llvm_cbe_tmp__2088;
  unsigned int llvm_cbe_tmp__2089;
  unsigned char *llvm_cbe_tmp__2090;
  unsigned char llvm_cbe_tmp__2091;
  unsigned int llvm_cbe_tmp__2092;
  unsigned char *llvm_cbe_tmp__2093;
  unsigned char llvm_cbe_tmp__2094;
  unsigned int llvm_cbe_tmp__2095;
  unsigned short llvm_cbe_tmp__2096;
  unsigned int llvm_cbe_tmp4166;
  unsigned int llvm_cbe_tmp__2097;
  unsigned int llvm_cbe_tmp__2097__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2098;
  unsigned short llvm_cbe_tmp__2098__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2099;
  unsigned char *llvm_cbe_tmp__2100;
  unsigned char llvm_cbe_tmp__2101;
  unsigned int llvm_cbe_tmp__2102;
  unsigned char *llvm_cbe_tmp__2103;
  unsigned char llvm_cbe_tmp__2104;
  unsigned int llvm_cbe_tmp__2105;
  unsigned short llvm_cbe_tmp__2106;
  unsigned int llvm_cbe_tmp__2107;
  unsigned int llvm_cbe_tmp__2108;
  unsigned int llvm_cbe_tmp__2109;
  unsigned int llvm_cbe__2e_lobit4164;
  unsigned int llvm_cbe_tmp__2110;
  unsigned int llvm_cbe_tmp__2110__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5965;
  unsigned int llvm_cbe__2e_rle5965__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5931;
  unsigned int llvm_cbe__2e_rle5931__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5899;
  unsigned int llvm_cbe__2e_rle5899__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2111;
  unsigned int llvm_cbe_tmp__2112;
  unsigned char llvm_cbe_tmp__2113;
  unsigned char llvm_cbe_tmp__2114;
  unsigned short llvm_cbe_tmp__2115;
  unsigned int llvm_cbe__2e_pre_2d_phi7035;
  unsigned int llvm_cbe__2e_pre_2d_phi7035__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2116;
  unsigned char llvm_cbe_tmp__2117;
  unsigned char llvm_cbe_tmp__2118;
  unsigned int llvm_cbe_tmp__2119;
  unsigned int llvm_cbe_tmp__2120;
  unsigned int llvm_cbe_storemerge4753_2e_in_2e_in;
  unsigned int llvm_cbe_storemerge4753_2e_in_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge4752_2e_in_2e_in_2e_in;
  unsigned int llvm_cbe_storemerge4752_2e_in_2e_in_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge4188_2e_in_2e_in;
  unsigned int llvm_cbe_storemerge4188_2e_in_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2121;
  unsigned int llvm_cbe_tmp__2122;
  unsigned int llvm_cbe_tmp__2123;
  unsigned char *llvm_cbe_tmp__2124;
  unsigned char *llvm_cbe_tmp__2125;
  unsigned int llvm_cbe_tmp__2126;
  unsigned char *llvm_cbe_tmp__2127;
  unsigned char *llvm_cbe_tmp__2128;
  unsigned char llvm_cbe_tmp__2129;
  unsigned char llvm_cbe_tmp__2130;
  unsigned int llvm_cbe_tmp__2131;
  unsigned int llvm_cbe_tmp__2132;
  unsigned char *llvm_cbe_tmp__2133;
  unsigned char llvm_cbe_tmp__2134;
  unsigned char *llvm_cbe_tmp__2135;
  unsigned char llvm_cbe_tmp__2136;
  unsigned int llvm_cbe_tmp__2137;
  unsigned char llvm_cbe_tmp__2138;
  unsigned char llvm_cbe_tmp__2139;
  unsigned char llvm_cbe_tmp__2140;
  unsigned char llvm_cbe_tmp__2141;
  unsigned short llvm_cbe_tmp__2142;
  unsigned short llvm_cbe_tmp__2143;
  unsigned int llvm_cbe_tmp__2144;
  unsigned int llvm_cbe_tmp__2145;
  unsigned int llvm_cbe_tmp__2146;
  unsigned int llvm_cbe_tmp__2147;
  unsigned char *llvm_cbe_tmp__2148;
  unsigned char llvm_cbe_tmp__2149;
  unsigned char *llvm_cbe_tmp__2150;
  unsigned char llvm_cbe_tmp__2151;
  unsigned int llvm_cbe_tmp__2152;
  unsigned char llvm_cbe_tmp__2153;
  unsigned char llvm_cbe_tmp__2154;
  unsigned int llvm_cbe_tmp__2155;
  unsigned int llvm_cbe_tmp__2156;
  unsigned char *llvm_cbe_tmp__2157;
  unsigned char *llvm_cbe_tmp__2158;
  unsigned int llvm_cbe_tmp__2159;
  unsigned int llvm_cbe_tmp__2160;
  unsigned int llvm_cbe_tmp__2161;
  unsigned int llvm_cbe_tmp__2162;
  unsigned char *llvm_cbe_tmp__2163;
  unsigned char llvm_cbe_tmp__2164;
  unsigned char *llvm_cbe_tmp__2165;
  unsigned char llvm_cbe_tmp__2166;
  unsigned int llvm_cbe_tmp__2167;
  unsigned char *llvm_cbe_tmp__2168;
  unsigned char llvm_cbe_tmp__2169;
  unsigned char *llvm_cbe_tmp__2170;
  unsigned char llvm_cbe_tmp__2171;
  unsigned char llvm_cbe_tmp__2172;
  unsigned char llvm_cbe_tmp__2173;
  unsigned int llvm_cbe_tmp__2174;
  unsigned char llvm_cbe_tmp__2175;
  unsigned char llvm_cbe_tmp__2176;
  unsigned int llvm_cbe_tmp__2177;
  unsigned char llvm_cbe_tmp__2178;
  unsigned char llvm_cbe_tmp__2179;
  unsigned int llvm_cbe_tmp__2180;
  unsigned char llvm_cbe_tmp__2181;
  unsigned char llvm_cbe_tmp__2182;
  unsigned char llvm_cbe_tmp__2183;
  unsigned char llvm_cbe_tmp__2184;
  unsigned short llvm_cbe_tmp__2185;
  unsigned short llvm_cbe_tmp__2186;
  unsigned int llvm_cbe_tmp__2187;
  unsigned int llvm_cbe_tmp__2188;
  unsigned int llvm_cbe_tmp__2189;
  unsigned char llvm_cbe_tmp__2190;
  unsigned char llvm_cbe_tmp__2191;
  unsigned int llvm_cbe_tmp__2192;
  unsigned char llvm_cbe_tmp__2193;
  unsigned char llvm_cbe_tmp__2194;
  unsigned int llvm_cbe_tmp__2195;
  unsigned char llvm_cbe_tmp__2196;
  unsigned char llvm_cbe_tmp__2197;
  unsigned char llvm_cbe_tmp__2198;
  unsigned char llvm_cbe_tmp__2199;
  unsigned short llvm_cbe_tmp__2200;
  unsigned short llvm_cbe_tmp__2201;
  unsigned int llvm_cbe_tmp__2202;
  unsigned int llvm_cbe_tmp__2203;
  unsigned int llvm_cbe_tmp__2204;
  unsigned char llvm_cbe_tmp__2205;
  unsigned char llvm_cbe_tmp__2206;
  unsigned int llvm_cbe_tmp__2207;
  unsigned char llvm_cbe_tmp__2208;
  unsigned char llvm_cbe_tmp__2209;
  unsigned int llvm_cbe_tmp__2210;
  unsigned char llvm_cbe_tmp__2211;
  unsigned char llvm_cbe_tmp__2212;
  unsigned char llvm_cbe_tmp__2213;
  unsigned char llvm_cbe_tmp__2214;
  unsigned short llvm_cbe_tmp__2215;
  unsigned short llvm_cbe_tmp__2216;
  unsigned int llvm_cbe_tmp__2217;
  unsigned int llvm_cbe_tmp__2218;
  unsigned int llvm_cbe_tmp__2219;
  unsigned int llvm_cbe__2e_rle5967;
  unsigned int llvm_cbe__2e_rle5967__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5933;
  unsigned int llvm_cbe__2e_rle5933__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5901;
  unsigned int llvm_cbe__2e_rle5901__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2220;
  unsigned char llvm_cbe_tmp__2221;
  unsigned short llvm_cbe_tmp__2222;
  unsigned char llvm_cbe_tmp__2223;
  unsigned char llvm_cbe_tmp__2224;
  unsigned int llvm_cbe_tmp__2225;
  unsigned int llvm_cbe_tmp__2226;
  unsigned short llvm_cbe_tmp__2227;
  unsigned int llvm_cbe_tmp__2228;
  unsigned int llvm_cbe_tmp__2229;
  unsigned char llvm_cbe_tmp__2230;
  unsigned char llvm_cbe_tmp__2231;
  unsigned int llvm_cbe_tmp__2232;
  unsigned int llvm_cbe_tmp__2233;
  unsigned int llvm_cbe_tmp__2234;
  unsigned int llvm_cbe_tmp__2235;
  unsigned int llvm_cbe_tmp__2236;
  unsigned char llvm_cbe_tmp__2237;
  unsigned char llvm_cbe_tmp__2238;
  unsigned int llvm_cbe_tmp__2239;
  unsigned int llvm_cbe_tmp__2240;
  unsigned int llvm_cbe_tmp__2241;
  unsigned char llvm_cbe_tmp__2242;
  unsigned char llvm_cbe_tmp__2243;
  unsigned int llvm_cbe_tmp__2244;
  unsigned int llvm_cbe_tmp__2245;
  unsigned char *llvm_cbe_tmp__2246;
  unsigned char *llvm_cbe_tmp__2247;
  unsigned char llvm_cbe_tmp__2248;
  unsigned char llvm_cbe_tmp__2249;
  unsigned int llvm_cbe_tmp__2250;
  unsigned int llvm_cbe_tmp__2251;
  unsigned int llvm_cbe_tmp__2252;
  unsigned char *llvm_cbe_tmp__2253;
  unsigned int llvm_cbe_tmp__2254;
  unsigned char *llvm_cbe_tmp__2255;
  unsigned char *llvm_cbe_tmp__2256;
  unsigned int llvm_cbe_tmp__2257;
  unsigned char *llvm_cbe_tmp__2258;
  unsigned char *llvm_cbe_tmp__2259;
  unsigned char llvm_cbe_tmp__2260;
  unsigned char llvm_cbe_tmp__2261;
  unsigned int llvm_cbe_tmp__2262;
  unsigned int llvm_cbe_tmp__2263;
  unsigned int llvm_cbe_tmp__2264;
  unsigned char llvm_cbe_tmp__2265;
  unsigned char llvm_cbe_tmp__2266;
  unsigned char llvm_cbe_tmp__2267;
  unsigned int llvm_cbe_tmp__2268;
  unsigned char llvm_cbe_tmp__2269;
  unsigned int llvm_cbe_tmp__2270;
  unsigned short llvm_cbe_tmp__2271;
  unsigned int llvm_cbe_tmp__2272;
  unsigned int llvm_cbe_tmp__2273;
  unsigned int llvm_cbe_tmp__2274;
  unsigned int llvm_cbe_tmp__2275;
  unsigned int llvm_cbe__2e_lobit4193;
  unsigned int llvm_cbe_tmp__2276;
  unsigned int llvm_cbe_tmp__2276__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2277;
  unsigned char llvm_cbe_tmp__2278;
  unsigned char llvm_cbe_tmp__2279;
  unsigned int llvm_cbe_tmp__2280;
  unsigned char llvm_cbe_tmp__2281;
  unsigned int llvm_cbe_tmp__2282;
  unsigned char llvm_cbe_tmp__2283;
  unsigned int llvm_cbe_tmp__2284;
  unsigned int llvm_cbe_tmp__2285;
  unsigned char llvm_cbe_tmp__2286;
  unsigned int llvm_cbe_tmp__2287;
  unsigned char llvm_cbe_tmp__2288;
  unsigned int llvm_cbe_tmp__2289;
  unsigned int llvm_cbe_tmp__2290;
  unsigned int llvm_cbe_tmp__2291;
  unsigned char *llvm_cbe_tmp__2292;
  unsigned char *llvm_cbe_tmp__2293;
  unsigned int llvm_cbe_tmp__2294;
  unsigned char *llvm_cbe_tmp__2295;
  unsigned char *llvm_cbe_tmp__2296;
  unsigned char llvm_cbe_tmp__2297;
  unsigned char llvm_cbe_tmp__2298;
  unsigned int llvm_cbe_tmp__2299;
  unsigned int llvm_cbe_tmp__2300;
  unsigned int llvm_cbe_tmp__2301;
  unsigned char llvm_cbe_tmp__2302;
  unsigned char llvm_cbe_tmp__2303;
  unsigned char llvm_cbe_tmp__2304;
  unsigned char llvm_cbe_tmp__2305;
  unsigned short llvm_cbe_tmp__2306;
  unsigned short llvm_cbe_tmp__2307;
  unsigned int llvm_cbe_tmp__2308;
  unsigned int llvm_cbe_tmp__2309;
  unsigned int llvm_cbe_tmp__2310;
  unsigned int llvm_cbe_tmp__2311;
  unsigned int llvm_cbe_tmp__2312;
  unsigned char *llvm_cbe_tmp__2313;
  unsigned char *llvm_cbe_tmp__2314;
  unsigned char *llvm_cbe_tmp__2315;
  unsigned char *llvm_cbe_tmp__2316;
  unsigned int llvm_cbe_tmp__2317;
  unsigned char *llvm_cbe_tmp__2318;
  unsigned char *llvm_cbe_tmp__2319;
  unsigned char llvm_cbe_tmp__2320;
  unsigned int llvm_cbe_tmp__2321;
  unsigned char llvm_cbe_tmp__2322;
  unsigned int llvm_cbe_tmp__2323;
  unsigned short llvm_cbe_tmp__2324;
  unsigned int llvm_cbe_tmp__2325;
  unsigned int llvm_cbe_tmp__2326;
  unsigned int llvm_cbe__2e_lobit4194;
  unsigned int llvm_cbe_tmp__2327;
  unsigned int llvm_cbe_tmp__2327__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2328;
  unsigned char llvm_cbe_tmp__2329;
  unsigned int llvm_cbe_tmp__2330;
  unsigned char llvm_cbe_tmp__2331;
  unsigned char llvm_cbe_tmp__2332;
  unsigned char llvm_cbe_tmp__2333;
  unsigned char llvm_cbe_tmp__2334;
  unsigned int llvm_cbe_tmp__2335;
  unsigned int llvm_cbe_tmp__2336;
  unsigned int llvm_cbe_tmp__2337;
  unsigned char llvm_cbe_tmp__2338;
  unsigned char llvm_cbe_tmp__2339;
  unsigned char llvm_cbe_tmp__2340;
  unsigned char llvm_cbe_tmp__2341;
  unsigned int llvm_cbe_tmp__2342;
  unsigned char llvm_cbe_tmp__2343;
  unsigned char llvm_cbe_tmp__2344;
  unsigned char llvm_cbe_tmp__2345;
  unsigned int llvm_cbe_tmp__2346;
  unsigned char llvm_cbe_tmp__2347;
  unsigned int llvm_cbe_tmp__2348;
  unsigned int llvm_cbe_tmp__2349;
  unsigned int llvm_cbe_tmp__2350;
  unsigned int llvm_cbe__2e_lobit4283;
  unsigned int llvm_cbe_tmp__2351;
  unsigned int llvm_cbe_tmp__2351__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2352;
  unsigned int llvm_cbe_tmp__2353;
  unsigned char *llvm_cbe_tmp__2354;
  unsigned char llvm_cbe_tmp__2355;
  unsigned char *llvm_cbe_tmp__2356;
  unsigned char llvm_cbe_tmp__2357;
  unsigned int llvm_cbe_tmp__2358;
  unsigned int llvm_cbe_tmp__2359;
  unsigned char llvm_cbe_tmp__2360;
  unsigned char llvm_cbe_tmp__2361;
  unsigned int llvm_cbe_tmp__2362;
  unsigned int llvm_cbe_tmp__2363;
  unsigned int llvm_cbe_ST_AGT_2e_tmp_2e_0;
  unsigned int llvm_cbe_ST_AGT_2e_tmp_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_ST_LGT_2e_tmp_2e_0;
  unsigned int llvm_cbe_ST_LGT_2e_tmp_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2364;
  unsigned int llvm_cbe_tmp__2365;
  unsigned int llvm_cbe_tmp__2366;
  unsigned char *llvm_cbe_tmp__2367;
  unsigned char *llvm_cbe_tmp__2368;
  unsigned int llvm_cbe_tmp__2369;
  unsigned char *llvm_cbe_tmp__2370;
  unsigned char llvm_cbe_tmp__2371;
  unsigned int llvm_cbe_tmp__2372;
  unsigned int llvm_cbe_tmp__2373;
  unsigned char *llvm_cbe_tmp__2374;
  unsigned char *llvm_cbe_tmp__2375;
  unsigned char llvm_cbe_tmp__2376;
  unsigned char llvm_cbe_tmp__2377;
  unsigned char llvm_cbe_tmp__2378;
  unsigned char llvm_cbe_tmp__2379;
  unsigned char llvm_cbe_tmp__2380;
  unsigned int llvm_cbe_tmp__2381;
  unsigned int llvm_cbe_tmp__2382;
  unsigned char llvm_cbe_tmp__2383;
  unsigned int llvm_cbe_tmp4196_2e_lobit;
  unsigned int llvm_cbe_tmp__2384;
  unsigned int llvm_cbe_tmp__2384__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__2385;
  unsigned char llvm_cbe_tmp__2386;
  unsigned char *llvm_cbe_tmp__2387;
  unsigned char llvm_cbe_tmp__2388;
  unsigned int llvm_cbe_tmp__2389;
  unsigned short llvm_cbe_tmp__2390;
  unsigned char llvm_cbe_tmp__2391;
  unsigned char llvm_cbe_tmp__2392;
  unsigned char *llvm_cbe_tmp__2393;
  unsigned char *llvm_cbe_tmp__2394;
  unsigned int llvm_cbe_tmp__2395;
  unsigned char *llvm_cbe_tmp__2396;
  unsigned char *llvm_cbe_tmp__2397;
  unsigned char llvm_cbe_tmp__2398;
  unsigned int llvm_cbe_tmp__2399;
  unsigned char llvm_cbe_tmp__2400;
  unsigned char llvm_cbe_tmp__2401;
  unsigned int llvm_cbe_tmp__2402;
  unsigned char llvm_cbe_tmp__2403;
  unsigned int llvm_cbe_tmp__2404;
  unsigned short llvm_cbe_tmp__2405;
  unsigned int llvm_cbe_tmp4198_2e_lobit;
  unsigned int llvm_cbe_tmp__2406;
  unsigned int llvm_cbe_tmp__2406__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2407;
  unsigned char llvm_cbe_tmp__2408;
  unsigned char llvm_cbe_tmp__2409;
  unsigned int llvm_cbe_tmp__2410;
  unsigned char *llvm_cbe_tmp__2411;
  unsigned char *llvm_cbe_tmp__2412;
  unsigned char *llvm_cbe_tmp__2413;
  unsigned char llvm_cbe_tmp__2414;
  unsigned int llvm_cbe_tmp__2415;
  unsigned char *llvm_cbe_tmp__2416;
  unsigned char llvm_cbe_tmp__2417;
  unsigned int llvm_cbe_tmp__2418;
  unsigned short llvm_cbe_tmp__2419;
  unsigned int llvm_cbe_tmp4275;
  unsigned int llvm_cbe_tmp__2420;
  unsigned int llvm_cbe_tmp__2420__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2421;
  unsigned char llvm_cbe_tmp__2422;
  unsigned char llvm_cbe_tmp__2423;
  unsigned int llvm_cbe_tmp__2424;
  unsigned int llvm_cbe_tmp__2425;
  unsigned char *llvm_cbe_tmp__2426;
  unsigned short llvm_cbe_tmp__2427;
  unsigned short llvm_cbe_tmp__2427__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2428;
  unsigned char llvm_cbe_tmp__2429;
  unsigned char llvm_cbe_tmp__2430;
  unsigned char *llvm_cbe_tmp__2431;
  unsigned char llvm_cbe_tmp__2432;
  unsigned char *llvm_cbe_tmp__2433;
  unsigned char llvm_cbe_tmp__2434;
  unsigned char llvm_cbe_tmp__2435;
  unsigned char *llvm_cbe_tmp__2436;
  unsigned char llvm_cbe_tmp__2437;
  unsigned int llvm_cbe_tmp__2438;
  unsigned int llvm_cbe_tmp__2439;
  unsigned char llvm_cbe_tmp__2440;
  unsigned int llvm_cbe_tmp4200_2e_lobit;
  unsigned int llvm_cbe_tmp__2441;
  unsigned int llvm_cbe_tmp__2441__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2442;
  unsigned char llvm_cbe_tmp__2443;
  unsigned char llvm_cbe_tmp__2444;
  unsigned char llvm_cbe_tmp__2445;
  unsigned short llvm_cbe_tmp__2446;
  unsigned int llvm_cbe_tmp__2447;
  unsigned char *llvm_cbe_tmp__2448;
  unsigned char llvm_cbe_tmp__2449;
  unsigned char *llvm_cbe_tmp__2450;
  unsigned char llvm_cbe_tmp__2451;
  unsigned char llvm_cbe_tmp__2452;
  unsigned char *llvm_cbe_tmp__2453;
  unsigned char llvm_cbe_tmp__2454;
  unsigned int llvm_cbe_tmp__2455;
  unsigned int llvm_cbe_tmp__2456;
  unsigned char llvm_cbe_tmp__2457;
  unsigned int llvm_cbe_tmp4202_2e_lobit;
  unsigned int llvm_cbe_tmp__2458;
  unsigned int llvm_cbe_tmp__2458__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2459;
  unsigned char llvm_cbe_tmp__2460;
  unsigned char llvm_cbe_tmp__2461;
  unsigned char *llvm_cbe_tmp__2462;
  unsigned char llvm_cbe_tmp__2463;
  unsigned int llvm_cbe_tmp__2464;
  unsigned int llvm_cbe_tmp__2465;
  unsigned char llvm_cbe_tmp__2466;
  unsigned int llvm_cbe_tmp4204_2e_lobit;
  unsigned int llvm_cbe_tmp__2467;
  unsigned int llvm_cbe_tmp__2467__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2468;
  unsigned int llvm_cbe_tmp__2469;
  unsigned int llvm_cbe_tmp__2470;
  unsigned int llvm_cbe_tmp__2471;
  unsigned char *llvm_cbe_tmp__2472;
  unsigned char llvm_cbe_tmp__2473;
  unsigned int llvm_cbe_tmp__2474;
  unsigned char *llvm_cbe_tmp__2475;
  unsigned char llvm_cbe_tmp__2476;
  unsigned int llvm_cbe_tmp__2477;
  unsigned short llvm_cbe_tmp__2478;
  unsigned int llvm_cbe_tmp4238;
  unsigned int llvm_cbe_tmp__2479;
  unsigned int llvm_cbe_tmp__2479__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2480;
  unsigned char *llvm_cbe_tmp__2481;
  unsigned char llvm_cbe_tmp__2482;
  unsigned int llvm_cbe_tmp__2483;
  unsigned char *llvm_cbe_tmp__2484;
  unsigned char llvm_cbe_tmp__2485;
  unsigned int llvm_cbe_tmp__2486;
  unsigned short llvm_cbe_tmp__2487;
  unsigned int llvm_cbe_tmp4236;
  unsigned int llvm_cbe_tmp__2488;
  unsigned int llvm_cbe_tmp__2488__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2489;
  unsigned char *llvm_cbe_tmp__2490;
  unsigned char llvm_cbe_tmp__2491;
  unsigned int llvm_cbe_tmp__2492;
  unsigned char *llvm_cbe_tmp__2493;
  unsigned char llvm_cbe_tmp__2494;
  unsigned int llvm_cbe_tmp__2495;
  unsigned short llvm_cbe_tmp__2496;
  unsigned int llvm_cbe__2e_lobit4234;
  unsigned int llvm_cbe_tmp__2497;
  unsigned int llvm_cbe_tmp__2497__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__2498;
  unsigned char *llvm_cbe_tmp__2499;
  unsigned char *llvm_cbe_tmp__2500;
  unsigned char *llvm_cbe_tmp__2501;
  unsigned char llvm_cbe_tmp__2502;
  unsigned int llvm_cbe_tmp__2503;
  unsigned char llvm_cbe_tmp__2504;
  unsigned int llvm_cbe_tmp__2505;
  unsigned char llvm_cbe_tmp__2506;
  unsigned char llvm_cbe_tmp__2507;
  unsigned char llvm_cbe_tmp__2508;
  unsigned char *llvm_cbe_tmp__2509;
  unsigned char llvm_cbe_tmp__2510;
  unsigned char llvm_cbe_tmp__2511;
  unsigned char llvm_cbe_tmp__2512;
  unsigned char llvm_cbe_tmp__2513;
  unsigned char *llvm_cbe_tmp__2514;
  unsigned char llvm_cbe_tmp__2515;
  unsigned int llvm_cbe_tmp__2516;
  unsigned int llvm_cbe_tmp__2517;
  unsigned char llvm_cbe_tmp__2518;
  unsigned int llvm_cbe_tmp4212_2e_lobit;
  unsigned int llvm_cbe_tmp__2519;
  unsigned int llvm_cbe_tmp__2519__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2520;
  unsigned char llvm_cbe_tmp__2521;
  unsigned char llvm_cbe_tmp__2522;
  unsigned char llvm_cbe_tmp__2523;
  unsigned char *llvm_cbe_tmp__2524;
  unsigned char llvm_cbe_tmp__2525;
  unsigned int llvm_cbe_tmp__2526;
  unsigned int llvm_cbe_tmp__2527;
  unsigned char llvm_cbe_tmp__2528;
  unsigned int llvm_cbe_tmp4221_2e_lobit;
  unsigned int llvm_cbe_tmp__2529;
  unsigned int llvm_cbe_tmp__2529__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2530;
  unsigned char llvm_cbe_tmp__2531;
  unsigned char llvm_cbe_tmp__2532;
  unsigned int llvm_cbe_tmp__2533;
  unsigned char llvm_cbe_tmp__2534;
  unsigned int llvm_cbe_tmp__2535;
  unsigned short llvm_cbe_tmp__2536;
  unsigned int llvm_cbe__2e_lobit4226;
  unsigned int llvm_cbe_tmp__2537;
  unsigned int llvm_cbe_tmp__2537__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2538;
  unsigned short llvm_cbe_tmp__2538__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2539;
  unsigned char llvm_cbe_tmp__2540;
  unsigned char llvm_cbe_tmp__2541;
  unsigned short llvm_cbe_tmp__2542;
  unsigned char llvm_cbe_tmp__2543;
  unsigned short llvm_cbe_tmp__2544;
  unsigned int llvm_cbe_tmp__2545;
  unsigned int llvm_cbe_tmp__2546;
  unsigned char *llvm_cbe_tmp__2547;
  unsigned char llvm_cbe_tmp__2548;
  unsigned int llvm_cbe_tmp__2549;
  unsigned char *llvm_cbe_tmp__2550;
  unsigned char llvm_cbe_tmp__2551;
  unsigned int llvm_cbe_tmp__2552;
  unsigned short llvm_cbe_tmp__2553;
  unsigned int llvm_cbe_tmp4225;
  unsigned int llvm_cbe_tmp__2554;
  unsigned int llvm_cbe_tmp__2554__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2555;
  unsigned char *llvm_cbe_tmp__2556;
  unsigned char llvm_cbe_tmp__2557;
  unsigned int llvm_cbe_tmp__2558;
  unsigned char *llvm_cbe_tmp__2559;
  unsigned char llvm_cbe_tmp__2560;
  unsigned int llvm_cbe_tmp__2561;
  unsigned short llvm_cbe_tmp__2562;
  unsigned int llvm_cbe_tmp4223;
  unsigned int llvm_cbe_tmp__2563;
  unsigned int llvm_cbe_tmp__2563__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2564;
  unsigned char llvm_cbe_tmp__2565;
  unsigned char llvm_cbe_tmp__2566;
  unsigned char llvm_cbe_tmp__2567;
  unsigned char llvm_cbe_tmp__2568;
  unsigned char *llvm_cbe_tmp__2569;
  unsigned char llvm_cbe_tmp__2570;
  unsigned char llvm_cbe_tmp__2571;
  unsigned char llvm_cbe_tmp__2572;
  unsigned char llvm_cbe_tmp__2573;
  unsigned char llvm_cbe_tmp__2574;
  unsigned char *llvm_cbe_tmp__2575;
  unsigned char llvm_cbe_tmp__2576;
  unsigned char llvm_cbe_tmp__2577;
  unsigned char llvm_cbe_tmp__2578;
  unsigned char llvm_cbe_tmp__2579;
  unsigned char *llvm_cbe_tmp__2580;
  unsigned char llvm_cbe_tmp__2581;
  unsigned char llvm_cbe_tmp__2582;
  unsigned int llvm_cbe_tmp__2583;
  unsigned char llvm_cbe_tmp__2584;
  unsigned int llvm_cbe_tmp__2585;
  unsigned char llvm_cbe_tmp__2586;
  unsigned int llvm_cbe_tmp__2587;
  unsigned char llvm_cbe_tmp__2588;
  unsigned int llvm_cbe_tmp__2589;
  unsigned char llvm_cbe_tmp__2590;
  unsigned int llvm_cbe_tmp__2591;
  unsigned char llvm_cbe_tmp__2592;
  unsigned int llvm_cbe_tmp__2593;
  unsigned short llvm_cbe_tmp__2594;
  unsigned int llvm_cbe_tmp__2595;
  unsigned int llvm_cbe_tmp__2596;
  unsigned int llvm_cbe_tmp__2597;
  unsigned int llvm_cbe_tmp__2598;
  unsigned int llvm_cbe__2e_lobit4260;
  unsigned int llvm_cbe_tmp__2599;
  unsigned int llvm_cbe_tmp__2599__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp4249_2e_lobit;
  unsigned int llvm_cbe_tmp__2600;
  unsigned int llvm_cbe_tmp__2600__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2601;
  unsigned char *llvm_cbe_tmp__2602;
  unsigned char llvm_cbe_tmp__2603;
  unsigned int llvm_cbe_tmp__2604;
  unsigned char *llvm_cbe_tmp__2605;
  unsigned char llvm_cbe_tmp__2606;
  unsigned int llvm_cbe_tmp__2607;
  unsigned short llvm_cbe_tmp__2608;
  unsigned int llvm_cbe_tmp4256;
  unsigned int llvm_cbe_tmp__2609;
  unsigned int llvm_cbe_tmp__2609__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2610;
  unsigned char llvm_cbe_tmp__2611;
  unsigned char llvm_cbe_tmp__2612;
  unsigned char *llvm_cbe_tmp__2613;
  unsigned char llvm_cbe_tmp__2614;
  unsigned int llvm_cbe_tmp__2615;
  unsigned int llvm_cbe_tmp__2616;
  unsigned char llvm_cbe_tmp__2617;
  unsigned int llvm_cbe_tmp4251_2e_lobit;
  unsigned short llvm_cbe_tmp__2618;
  unsigned short llvm_cbe_tmp__2618__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge5801;
  unsigned int llvm_cbe_storemerge5801__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2619;
  unsigned char llvm_cbe_tmp__2620;
  unsigned char llvm_cbe_tmp__2621;
  unsigned char llvm_cbe_tmp__2622;
  unsigned short llvm_cbe__2e_pre6369;
  unsigned int llvm_cbe_tmp__2623;
  unsigned int llvm_cbe_tmp__2624;
  unsigned char *llvm_cbe_tmp__2625;
  unsigned char llvm_cbe_tmp__2626;
  unsigned char *llvm_cbe_tmp__2627;
  unsigned char llvm_cbe_tmp__2628;
  unsigned char llvm_cbe_tmp__2629;
  unsigned char *llvm_cbe_tmp__2630;
  unsigned char llvm_cbe_tmp__2631;
  unsigned int llvm_cbe_tmp__2632;
  unsigned int llvm_cbe_tmp__2633;
  unsigned char llvm_cbe_tmp__2634;
  unsigned int llvm_cbe_tmp__2635;
  unsigned char *llvm_cbe_tmp__2636;
  unsigned char *llvm_cbe_tmp__2637;
  unsigned char *llvm_cbe_tmp__2638;
  unsigned char *llvm_cbe_tmp__2639;
  unsigned char llvm_cbe_tmp__2640;
  unsigned char llvm_cbe_tmp__2641;
  unsigned int llvm_cbe_tmp__2642;
  unsigned char llvm_cbe_tmp__2643;
  unsigned char llvm_cbe_tmp__2644;
  unsigned int llvm_cbe_tmp__2645;
  unsigned int llvm_cbe_tmp__2646;
  unsigned int llvm_cbe_tmp__2647;
  unsigned char *llvm_cbe_tmp__2648;
  unsigned char *llvm_cbe_tmp__2649;
  unsigned char llvm_cbe_tmp__2650;
  unsigned char llvm_cbe_tmp__2651;
  unsigned int llvm_cbe_tmp__2652;
  unsigned char llvm_cbe_tmp__2653;
  unsigned char llvm_cbe_tmp__2654;
  unsigned char llvm_cbe_tmp__2655;
  unsigned int llvm_cbe_tmp__2656;
  unsigned char llvm_cbe_tmp__2657;
  unsigned char llvm_cbe_tmp__2658;
  unsigned int llvm_cbe_tmp__2659;
  unsigned char *llvm_cbe_tmp__2660;
  unsigned char llvm_cbe_tmp__2661;
  unsigned int llvm_cbe_tmp__2662;
  unsigned char *llvm_cbe_tmp__2663;
  unsigned char llvm_cbe_tmp__2664;
  unsigned int llvm_cbe_tmp__2665;
  unsigned int llvm_cbe_tmp__2666;
  unsigned char llvm_cbe_tmp__2667;
  unsigned char llvm_cbe_tmp__2668;
  unsigned int llvm_cbe_tmp__2669;
  unsigned char *llvm_cbe_tmp__2670;
  unsigned char llvm_cbe_tmp__2671;
  unsigned int llvm_cbe_tmp__2672;
  unsigned char *llvm_cbe_tmp__2673;
  unsigned char llvm_cbe_tmp__2674;
  unsigned int llvm_cbe_tmp__2675;
  unsigned int llvm_cbe_tmp__2676;
  unsigned int llvm_cbe_tmp__2677;
  unsigned char *llvm_cbe_tmp__2678;
  unsigned char llvm_cbe_tmp__2679;
  unsigned char llvm_cbe_tmp__2680;
  unsigned char llvm_cbe_tmp__2681;
  unsigned short llvm_cbe_tmp__2682;
  unsigned int llvm_cbe_tmp__2683;
  unsigned char *llvm_cbe_tmp__2684;
  unsigned char llvm_cbe_tmp__2685;
  unsigned char *llvm_cbe_tmp__2686;
  unsigned char llvm_cbe_tmp__2687;
  unsigned int llvm_cbe_tmp__2688;
  unsigned char llvm_cbe_tmp__2689;
  unsigned int llvm_cbe_tmp__2690;
  unsigned char *llvm_cbe_tmp__2691;
  unsigned char llvm_cbe_tmp__2692;
  unsigned int llvm_cbe_tmp__2693;
  unsigned int llvm_cbe_tmp__2694;
  unsigned char llvm_cbe_tmp__2695;
  unsigned int llvm_cbe_tmp4287_2e_lobit;
  unsigned int llvm_cbe_tmp__2696;
  unsigned int llvm_cbe_tmp__2696__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__2697;
  unsigned char llvm_cbe_tmp__2698;
  unsigned char *llvm_cbe_tmp__2699;
  unsigned char llvm_cbe_tmp__2700;
  unsigned int llvm_cbe_tmp__2701;
  unsigned char *llvm_cbe_tmp__2702;
  unsigned char llvm_cbe_tmp__2703;
  unsigned int llvm_cbe_tmp__2704;
  unsigned short llvm_cbe_tmp__2705;
  unsigned int llvm_cbe_tmp4322;
  unsigned int llvm_cbe_tmp__2706;
  unsigned int llvm_cbe_tmp__2706__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2707;
  unsigned char llvm_cbe_tmp__2708;
  unsigned char llvm_cbe_tmp__2709;
  unsigned int llvm_cbe_tmp__2710;
  unsigned char *llvm_cbe_tmp__2711;
  unsigned char *llvm_cbe_tmp__2712;
  unsigned char llvm_cbe_tmp__2713;
  unsigned char llvm_cbe_tmp__2714;
  unsigned int llvm_cbe_tmp__2715;
  unsigned char llvm_cbe_tmp__2716;
  unsigned char llvm_cbe_tmp__2717;
  unsigned short llvm_cbe_tmp__2718;
  unsigned int llvm_cbe_tmp__2719;
  unsigned int llvm_cbe_tmp__2720;
  unsigned int llvm_cbe_tmp__2721;
  unsigned char *llvm_cbe_tmp__2722;
  unsigned char llvm_cbe_tmp__2723;
  unsigned int llvm_cbe_tmp__2724;
  unsigned char *llvm_cbe_tmp__2725;
  unsigned char llvm_cbe_tmp__2726;
  unsigned int llvm_cbe_tmp__2727;
  unsigned short llvm_cbe_tmp__2728;
  unsigned int llvm_cbe_tmp4319;
  unsigned int llvm_cbe_tmp__2729;
  unsigned int llvm_cbe_tmp__2729__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2730;
  unsigned char llvm_cbe_tmp__2731;
  unsigned char llvm_cbe_tmp__2732;
  unsigned short llvm_cbe_tmp__2733;
  unsigned int llvm_cbe_tmp__2734;
  unsigned short llvm_cbe_tmp__2735;
  unsigned int llvm_cbe_tmp__2736;
  unsigned int llvm_cbe_tmp__2737;
  unsigned int llvm_cbe_tmp__2738;
  unsigned char *llvm_cbe_tmp__2739;
  unsigned char llvm_cbe_tmp__2740;
  unsigned int llvm_cbe_tmp__2741;
  unsigned char *llvm_cbe_tmp__2742;
  unsigned char llvm_cbe_tmp__2743;
  unsigned int llvm_cbe_tmp__2744;
  unsigned short llvm_cbe_tmp__2745;
  unsigned int llvm_cbe_tmp4316;
  unsigned int llvm_cbe_tmp__2746;
  unsigned int llvm_cbe_tmp__2746__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2747;
  unsigned char llvm_cbe_tmp__2748;
  unsigned char llvm_cbe_tmp__2749;
  unsigned short llvm_cbe_tmp__2750;
  unsigned int llvm_cbe_tmp__2751;
  unsigned char *llvm_cbe_tmp__2752;
  unsigned int llvm_cbe_tmp__2753;
  unsigned char *llvm_cbe_tmp__2754;
  unsigned char llvm_cbe_tmp__2755;
  unsigned char *llvm_cbe_tmp__2756;
  unsigned char llvm_cbe_tmp__2757;
  unsigned char llvm_cbe_tmp__2758;
  unsigned int llvm_cbe_tmp__2759;
  unsigned int llvm_cbe_tmp__2760;
  unsigned char llvm_cbe_tmp__2761;
  unsigned char llvm_cbe_tmp__2762;
  unsigned int llvm_cbe_tmp__2763;
  unsigned short llvm_cbe_tmp__2764;
  unsigned short llvm_cbe_tmp__2764__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2765;
  unsigned int llvm_cbe_tmp__2766;
  unsigned char *llvm_cbe_tmp__2767;
  unsigned char llvm_cbe_tmp__2768;
  unsigned char *llvm_cbe_tmp__2769;
  unsigned char llvm_cbe_tmp__2770;
  unsigned int llvm_cbe_tmp__2771;
  unsigned char llvm_cbe_tmp__2772;
  unsigned int llvm_cbe_tmp__2773;
  unsigned char llvm_cbe_tmp__2774;
  unsigned int llvm_cbe_tmp__2775;
  unsigned char *llvm_cbe_tmp__2776;
  unsigned char llvm_cbe_tmp__2777;
  unsigned int llvm_cbe_tmp__2778;
  unsigned char *llvm_cbe_tmp__2779;
  unsigned char llvm_cbe_tmp__2780;
  unsigned int llvm_cbe_tmp__2781;
  unsigned short llvm_cbe_tmp__2782;
  unsigned int llvm_cbe_tmp4289_2e_lobit;
  unsigned int llvm_cbe_tmp__2783;
  unsigned int llvm_cbe_tmp__2783__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2784;
  unsigned char llvm_cbe_tmp__2785;
  unsigned char llvm_cbe_tmp__2786;
  unsigned short llvm_cbe_tmp__2787;
  unsigned int llvm_cbe_tmp__2788;
  unsigned char llvm_cbe_tmp__2789;
  unsigned char llvm_cbe_tmp__2790;
  unsigned char llvm_cbe_tmp__2791;
  unsigned short llvm_cbe__2e_pre6395;
  unsigned short llvm_cbe_tmp__2792;
  unsigned short llvm_cbe_tmp__2792__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2793;
  unsigned short llvm_cbe_tmp__2793__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2794;
  unsigned char llvm_cbe_tmp__2795;
  unsigned char llvm_cbe_tmp__2796;
  unsigned int llvm_cbe_tmp__2797;
  unsigned char llvm_cbe_tmp__2798;
  unsigned char llvm_cbe_tmp__2799;
  unsigned char llvm_cbe_tmp__2800;
  unsigned short llvm_cbe_tmp__2801;
  unsigned int llvm_cbe_tmp__2802;
  unsigned char *llvm_cbe_tmp__2803;
  unsigned char llvm_cbe_tmp__2804;
  unsigned char *llvm_cbe_tmp__2805;
  unsigned char llvm_cbe_tmp__2806;
  unsigned int llvm_cbe_tmp__2807;
  unsigned char llvm_cbe_tmp__2808;
  unsigned char llvm_cbe_tmp__2809;
  unsigned int llvm_cbe_tmp__2810;
  unsigned char llvm_cbe_tmp__2811;
  unsigned char llvm_cbe_tmp__2812;
  unsigned char llvm_cbe_tmp__2813;
  unsigned short llvm_cbe_tmp__2814;
  unsigned int llvm_cbe_tmp__2815;
  unsigned int llvm_cbe_tmp__2816;
  unsigned int llvm_cbe_tmp__2817;
  unsigned char llvm_cbe_tmp__2818;
  unsigned int llvm_cbe_tmp__2819;
  unsigned char llvm_cbe_tmp__2820;
  unsigned int llvm_cbe_tmp__2821;
  unsigned char *llvm_cbe_tmp__2822;
  unsigned char llvm_cbe_tmp__2823;
  unsigned int llvm_cbe_tmp__2824;
  unsigned char *llvm_cbe_tmp__2825;
  unsigned char llvm_cbe_tmp__2826;
  unsigned int llvm_cbe_tmp__2827;
  unsigned short llvm_cbe_tmp__2828;
  unsigned int llvm_cbe_tmp4291_2e_lobit;
  unsigned int llvm_cbe_tmp__2829;
  unsigned int llvm_cbe_tmp__2829__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__2830;
  unsigned char llvm_cbe_tmp__2831;
  unsigned char *llvm_cbe_tmp__2832;
  unsigned char llvm_cbe_tmp__2833;
  unsigned int llvm_cbe_tmp__2834;
  unsigned int llvm_cbe_tmp__2835;
  unsigned char llvm_cbe_tmp__2836;
  unsigned char llvm_cbe_tmp__2837;
  unsigned int llvm_cbe_tmp__2838;
  unsigned char *llvm_cbe_tmp__2839;
  unsigned char llvm_cbe_tmp__2840;
  unsigned char *llvm_cbe_tmp__2841;
  unsigned char llvm_cbe_tmp__2842;
  unsigned int llvm_cbe_tmp__2843;
  unsigned int llvm_cbe_tmp__2844;
  unsigned int llvm_cbe_tmp__2845;
  unsigned int llvm_cbe_storemerge4292;
  unsigned int llvm_cbe_storemerge4292__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2846;
  unsigned char llvm_cbe_tmp__2847;
  unsigned char llvm_cbe_tmp__2848;
  unsigned short llvm_cbe_tmp__2849;
  unsigned int llvm_cbe_tmp__2850;
  unsigned int llvm_cbe_tmp__2851;
  unsigned int llvm_cbe_tmp__2852;
  unsigned char *llvm_cbe_tmp__2853;
  unsigned char llvm_cbe_tmp__2854;
  unsigned int llvm_cbe_tmp__2855;
  unsigned char *llvm_cbe_tmp__2856;
  unsigned char llvm_cbe_tmp__2857;
  unsigned int llvm_cbe_tmp__2858;
  unsigned short llvm_cbe_tmp__2859;
  unsigned int llvm_cbe_tmp4305;
  unsigned int llvm_cbe_tmp__2860;
  unsigned int llvm_cbe_tmp__2860__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2861;
  unsigned char llvm_cbe_tmp__2862;
  unsigned char llvm_cbe_tmp__2863;
  unsigned char llvm_cbe_tmp__2864;
  unsigned char llvm_cbe_tmp__2865;
  unsigned char *llvm_cbe_tmp__2866;
  unsigned char llvm_cbe_tmp__2867;
  unsigned int llvm_cbe_tmp__2868;
  unsigned int llvm_cbe_tmp__2869;
  unsigned char llvm_cbe_tmp__2870;
  unsigned int llvm_cbe_tmp4294_2e_lobit;
  unsigned int llvm_cbe_tmp__2871;
  unsigned int llvm_cbe_tmp__2871__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2872;
  unsigned char *llvm_cbe_tmp__2873;
  unsigned char llvm_cbe_tmp__2874;
  unsigned int llvm_cbe_tmp__2875;
  unsigned char *llvm_cbe_tmp__2876;
  unsigned char llvm_cbe_tmp__2877;
  unsigned int llvm_cbe_tmp__2878;
  unsigned short llvm_cbe_tmp__2879;
  unsigned int llvm_cbe_tmp4300;
  unsigned int llvm_cbe_tmp__2880;
  unsigned int llvm_cbe_tmp__2880__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2881;
  unsigned int llvm_cbe_tmp__2882;
  unsigned char llvm_cbe_tmp__2883;
  unsigned int llvm_cbe_tmp__2884;
  unsigned short llvm_cbe_tmp__2885;
  unsigned int llvm_cbe_tmp4298;
  unsigned int llvm_cbe_tmp__2886;
  unsigned int llvm_cbe_tmp__2886__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2887;
  unsigned int llvm_cbe_tmp__2888;
  unsigned char *llvm_cbe_tmp__2889;
  unsigned char llvm_cbe_tmp__2890;
  unsigned int llvm_cbe_tmp__2891;
  unsigned char *llvm_cbe_tmp__2892;
  unsigned char llvm_cbe_tmp__2893;
  unsigned int llvm_cbe_tmp__2894;
  unsigned short llvm_cbe_tmp__2895;
  unsigned int llvm_cbe_tmp4296;
  unsigned int llvm_cbe_tmp__2896;
  unsigned int llvm_cbe_tmp__2896__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2897;
  unsigned char llvm_cbe_tmp__2898;
  unsigned int llvm_cbe_tmp__2899;
  unsigned short llvm_cbe_tmp__2900;
  unsigned short llvm_cbe__2e_pre6374_2e_rle6988;
  unsigned short llvm_cbe__2e_pre6374_2e_rle6988__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_rle6370;
  unsigned short llvm_cbe__2e_rle6370__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6376;
  unsigned short llvm_cbe__2e_pre6376__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6374;
  unsigned short llvm_cbe__2e_pre6374__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2901;
  unsigned short llvm_cbe_tmp__2901__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2902;
  unsigned short llvm_cbe_tmp__2902__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2903;
  unsigned short llvm_cbe_tmp__2903__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2904;
  unsigned short llvm_cbe_tmp__2904__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2905;
  unsigned char llvm_cbe_tmp__2906;
  unsigned char llvm_cbe_tmp__2907;
  unsigned char llvm_cbe_tmp__2908;
  unsigned short llvm_cbe_tmp__2909;
  unsigned int llvm_cbe_tmp__2910;
  unsigned int llvm_cbe_tmp__2911;
  unsigned char *llvm_cbe_tmp__2912;
  unsigned char llvm_cbe_tmp__2913;
  unsigned int llvm_cbe_tmp__2914;
  unsigned char *llvm_cbe_tmp__2915;
  unsigned char llvm_cbe_tmp__2916;
  unsigned int llvm_cbe_tmp__2917;
  unsigned short llvm_cbe_tmp__2918;
  unsigned int llvm_cbe__2e_lobit4383;
  unsigned int llvm_cbe_tmp__2919;
  unsigned int llvm_cbe_tmp__2919__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6846;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6846__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_rle6339;
  unsigned short llvm_cbe__2e_rle6339__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2920;
  unsigned char *llvm_cbe_tmp__2921;
  unsigned char *llvm_cbe_tmp__2922;
  unsigned char llvm_cbe_tmp__2923;
  unsigned int llvm_cbe_tmp__2924;
  unsigned int llvm_cbe_tmp__2925;
  unsigned short llvm_cbe_tmp__2926;
  unsigned int llvm_cbe__2e_lobit4393;
  unsigned int llvm_cbe_tmp__2927;
  unsigned int llvm_cbe_tmp__2927__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2928;
  unsigned int llvm_cbe_tmp__2929;
  unsigned char llvm_cbe_tmp__2930;
  unsigned int llvm_cbe_tmp__2931;
  unsigned char llvm_cbe_tmp__2932;
  unsigned int llvm_cbe_tmp__2933;
  unsigned short llvm_cbe_tmp__2934;
  unsigned int llvm_cbe_tmp4385_2e_lobit;
  unsigned int llvm_cbe_tmp__2935;
  unsigned int llvm_cbe_tmp__2935__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2936;
  unsigned short llvm_cbe_tmp__2936__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2937;
  unsigned char llvm_cbe_tmp__2938;
  unsigned char llvm_cbe_tmp__2939;
  unsigned int llvm_cbe_tmp__2940;
  unsigned char *llvm_cbe_tmp__2941;
  unsigned char llvm_cbe_tmp__2942;
  unsigned char *llvm_cbe_tmp__2943;
  unsigned char llvm_cbe_tmp__2944;
  unsigned int llvm_cbe_tmp__2945;
  unsigned char llvm_cbe_tmp__2946;
  unsigned short llvm_cbe_tmp__2947;
  unsigned int llvm_cbe_tmp__2948;
  unsigned char *llvm_cbe_tmp__2949;
  unsigned char llvm_cbe_tmp__2950;
  unsigned int llvm_cbe_tmp__2951;
  unsigned char *llvm_cbe_tmp__2952;
  unsigned char llvm_cbe_tmp__2953;
  unsigned int llvm_cbe_tmp__2954;
  unsigned short llvm_cbe_tmp__2955;
  unsigned int llvm_cbe__2e_lobit4388;
  unsigned int llvm_cbe_tmp__2956;
  unsigned int llvm_cbe_tmp__2956__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2957;
  unsigned short llvm_cbe_tmp__2957__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2958;
  unsigned char *llvm_cbe_tmp__2959;
  unsigned char llvm_cbe_tmp__2960;
  unsigned char *llvm_cbe_tmp__2961;
  unsigned char llvm_cbe_tmp__2962;
  unsigned int llvm_cbe_tmp__2963;
  unsigned char llvm_cbe_tmp__2964;
  unsigned short llvm_cbe_tmp__2965;
  unsigned int llvm_cbe_tmp__2966;
  unsigned char *llvm_cbe_tmp__2967;
  unsigned char llvm_cbe_tmp__2968;
  unsigned int llvm_cbe_tmp__2969;
  unsigned char *llvm_cbe_tmp__2970;
  unsigned char llvm_cbe_tmp__2971;
  unsigned int llvm_cbe_tmp__2972;
  unsigned short llvm_cbe_tmp__2973;
  unsigned int llvm_cbe_tmp4387;
  unsigned int llvm_cbe_tmp__2974;
  unsigned int llvm_cbe_tmp__2974__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__2975;
  unsigned short llvm_cbe_tmp__2975__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2976;
  unsigned char *llvm_cbe_tmp__2977;
  unsigned char llvm_cbe_tmp__2978;
  unsigned char llvm_cbe_tmp__2979;
  unsigned char llvm_cbe_tmp__2980;
  unsigned short llvm_cbe_tmp__2981;
  unsigned short llvm_cbe_tmp__2982;
  unsigned short llvm_cbe_tmp__2983;
  unsigned short llvm_cbe_tmp__2983__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2984;
  unsigned short llvm_cbe_tmp__2985;
  unsigned short llvm_cbe_tmp__2985__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__2986;
  unsigned char *llvm_cbe_tmp__2987;
  unsigned char llvm_cbe_tmp__2988;
  unsigned char *llvm_cbe_tmp__2989;
  unsigned char llvm_cbe_tmp__2990;
  unsigned char llvm_cbe_tmp__2991;
  unsigned char *llvm_cbe_tmp__2992;
  unsigned char llvm_cbe_tmp__2993;
  unsigned int llvm_cbe_tmp__2994;
  unsigned int llvm_cbe_tmp__2995;
  unsigned char llvm_cbe_tmp__2996;
  unsigned int llvm_cbe_tmp4525_2e_lobit;
  unsigned int llvm_cbe_tmp__2997;
  unsigned int llvm_cbe_tmp__2997__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__2998;
  unsigned char llvm_cbe_tmp__2999;
  unsigned char llvm_cbe_tmp__3000;
  unsigned char llvm_cbe_tmp__3001;
  unsigned short llvm_cbe_tmp__3002;
  unsigned int llvm_cbe_tmp__3003;
  unsigned int llvm_cbe_tmp__3004;
  unsigned char llvm_cbe_tmp__3005;
  unsigned char llvm_cbe_tmp__3006;
  unsigned char llvm_cbe_tmp__3007;
  unsigned char *llvm_cbe_tmp__3008;
  unsigned char llvm_cbe_tmp__3009;
  unsigned int llvm_cbe_tmp__3010;
  unsigned int llvm_cbe_tmp__3011;
  unsigned char llvm_cbe_tmp__3012;
  unsigned int llvm_cbe_tmp4527_2e_lobit;
  unsigned int llvm_cbe_tmp__3013;
  unsigned int llvm_cbe_tmp__3013__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3014;
  unsigned char *llvm_cbe_tmp__3015;
  unsigned char llvm_cbe_tmp__3016;
  unsigned int llvm_cbe_tmp__3017;
  unsigned char *llvm_cbe_tmp__3018;
  unsigned char llvm_cbe_tmp__3019;
  unsigned int llvm_cbe_tmp__3020;
  unsigned short llvm_cbe_tmp__3021;
  unsigned int llvm_cbe_tmp4530;
  unsigned int llvm_cbe_tmp__3022;
  unsigned int llvm_cbe_tmp__3022__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3023;
  unsigned int llvm_cbe_tmp__3024;
  unsigned char llvm_cbe_tmp__3025;
  unsigned int llvm_cbe_tmp__3026;
  unsigned short llvm_cbe_tmp__3027;
  unsigned int llvm_cbe__2e_lobit4528;
  unsigned int llvm_cbe_tmp__3028;
  unsigned int llvm_cbe_tmp__3028__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3029;
  unsigned short llvm_cbe_tmp__3030;
  unsigned short llvm_cbe_tmp__3030__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3031;
  unsigned short llvm_cbe_tmp__3031__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3032;
  unsigned short llvm_cbe_tmp__3032__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3033;
  unsigned char llvm_cbe_tmp__3034;
  unsigned char llvm_cbe_tmp__3035;
  unsigned int llvm_cbe_tmp__3036;
  unsigned char llvm_cbe_tmp__3037;
  unsigned char llvm_cbe_tmp__3038;
  unsigned int llvm_cbe_tmp__3039;
  unsigned short llvm_cbe_tmp__3040;
  unsigned char llvm_cbe_tmp__3041;
  unsigned char llvm_cbe_tmp__3042;
  unsigned short llvm_cbe_tmp__3043;
  unsigned int llvm_cbe_tmp__3044;
  unsigned char *llvm_cbe_tmp__3045;
  unsigned char llvm_cbe_tmp__3046;
  unsigned char *llvm_cbe_tmp__3047;
  unsigned char llvm_cbe_tmp__3048;
  unsigned int llvm_cbe_tmp__3049;
  unsigned short llvm_cbe_tmp__3050;
  unsigned int llvm_cbe_tmp__3051;
  unsigned char llvm_cbe_tmp__3052;
  unsigned char llvm_cbe_tmp__3053;
  unsigned int llvm_cbe_tmp__3054;
  unsigned int llvm_cbe_tmp__3055;
  unsigned short llvm_cbe_tmp__3056;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6833;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6833__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3057;
  unsigned short llvm_cbe_tmp__3057__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3058;
  unsigned char llvm_cbe_tmp__3059;
  unsigned int llvm_cbe_tmp__3060;
  unsigned int llvm_cbe_tmp__3061;
  unsigned int llvm_cbe_tmp__3062;
  unsigned int llvm_cbe_tmp__3063;
  unsigned int llvm_cbe_tmp__3064;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6832;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6832__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3065;
  unsigned short llvm_cbe_tmp__3065__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3066;
  unsigned int llvm_cbe_tmp__3066__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3067;
  unsigned int llvm_cbe_tmp__3067__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3068;
  unsigned int llvm_cbe_tmp__3068__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3069;
  unsigned int llvm_cbe_tmp__3070;
  unsigned int llvm_cbe_tmp__3071;
  unsigned int llvm_cbe_tmp__3072;
  unsigned int llvm_cbe_tmp__3073;
  unsigned int llvm_cbe_tmp__3074;
  unsigned int llvm_cbe_tmp__3075;
  unsigned char llvm_cbe_tmp__3076;
  unsigned int llvm_cbe_tmp__3077;
  unsigned int llvm_cbe_tmp__3078;
  unsigned int llvm_cbe_tmp__3079;
  unsigned char llvm_cbe_tmp__3080;
  unsigned char llvm_cbe_tmp__3081;
  unsigned short llvm_cbe_tmp__3082;
  unsigned short llvm_cbe_tmp__3083;
  unsigned char llvm_cbe_tmp__3084;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6843;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6843__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3085;
  unsigned short llvm_cbe_tmp__3085__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3086;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6842;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6842__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3087;
  unsigned short llvm_cbe_tmp__3087__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3088;
  unsigned char *llvm_cbe_tmp__3089;
  unsigned char *llvm_cbe_tmp__3090;
  unsigned int llvm_cbe_tmp__3091;
  unsigned char llvm_cbe_tmp__3092;
  unsigned char llvm_cbe_tmp__3093;
  unsigned char llvm_cbe_tmp__3094;
  unsigned int llvm_cbe_tmp__3095;
  unsigned int llvm_cbe_tmp__3096;
  unsigned short llvm_cbe_tmp__3097;
  unsigned char *llvm_cbe_tmp__3098;
  unsigned char *llvm_cbe_tmp__3099;
  unsigned int llvm_cbe_tmp__3100;
  unsigned char *llvm_cbe_tmp__3101;
  unsigned char llvm_cbe_tmp__3102;
  unsigned char *llvm_cbe_tmp__3103;
  unsigned char llvm_cbe_tmp__3104;
  unsigned int llvm_cbe_tmp__3105;
  unsigned char llvm_cbe_tmp__3106;
  unsigned char llvm_cbe_tmp__3107;
  unsigned char llvm_cbe_tmp__3108;
  unsigned char llvm_cbe_tmp__3109;
  unsigned int llvm_cbe_tmp__3110;
  unsigned char llvm_cbe_tmp__3111;
  unsigned char llvm_cbe_tmp__3112;
  unsigned char llvm_cbe_tmp__3113;
  unsigned char llvm_cbe_tmp__3114;
  unsigned int llvm_cbe_tmp__3115;
  unsigned char llvm_cbe_tmp__3116;
  unsigned char llvm_cbe_tmp__3117;
  unsigned char llvm_cbe_tmp__3118;
  unsigned char llvm_cbe_tmp__3119;
  unsigned int llvm_cbe_tmp__3120;
  unsigned char llvm_cbe_tmp__3121;
  unsigned char llvm_cbe_tmp__3122;
  unsigned char llvm_cbe_tmp__3123;
  unsigned int llvm_cbe_tmp__3124;
  unsigned char *llvm_cbe_tmp__3125;
  unsigned char *llvm_cbe_tmp__3126;
  unsigned char llvm_cbe_tmp__3127;
  unsigned int llvm_cbe_tmp__3128;
  unsigned char llvm_cbe_tmp__3129;
  unsigned char llvm_cbe_tmp__3130;
  unsigned int llvm_cbe_tmp__3131;
  unsigned char *llvm_cbe_tmp__3132;
  unsigned char *llvm_cbe_tmp__3133;
  unsigned char *llvm_cbe_tmp__3134;
  unsigned char *llvm_cbe_tmp__3135;
  unsigned char llvm_cbe_tmp__3136;
  unsigned int llvm_cbe_tmp__3137;
  unsigned char llvm_cbe_tmp__3138;
  unsigned char llvm_cbe_tmp__3139;
  unsigned char llvm_cbe_tmp__3140;
  unsigned char llvm_cbe_tmp__3141;
  unsigned int llvm_cbe_tmp__3142;
  unsigned char llvm_cbe_tmp__3143;
  unsigned char llvm_cbe_tmp__3144;
  unsigned char llvm_cbe_tmp__3145;
  unsigned int llvm_cbe_tmp__3146;
  unsigned char *llvm_cbe_tmp__3147;
  unsigned char llvm_cbe_tmp__3148;
  unsigned int llvm_cbe_tmp__3149;
  unsigned char *llvm_cbe_tmp__3150;
  unsigned char llvm_cbe_tmp__3151;
  unsigned int llvm_cbe_tmp__3152;
  unsigned int llvm_cbe_tmp__3153;
  unsigned char llvm_cbe_tmp__3154;
  unsigned char llvm_cbe_tmp__3155;
  unsigned int llvm_cbe_tmp__3156;
  unsigned char *llvm_cbe_tmp__3157;
  unsigned char llvm_cbe_tmp__3158;
  unsigned int llvm_cbe_tmp__3159;
  unsigned char *llvm_cbe_tmp__3160;
  unsigned char llvm_cbe_tmp__3161;
  unsigned int llvm_cbe_tmp__3162;
  unsigned int llvm_cbe_tmp__3163;
  unsigned char llvm_cbe_tmp__3164;
  unsigned char llvm_cbe_tmp__3165;
  unsigned char llvm_cbe_tmp__3166;
  unsigned short llvm_cbe_tmp__3167;
  unsigned int llvm_cbe_tmp__3168;
  unsigned char *llvm_cbe_tmp__3169;
  unsigned char llvm_cbe_tmp__3170;
  unsigned char *llvm_cbe_tmp__3171;
  unsigned char llvm_cbe_tmp__3172;
  unsigned int llvm_cbe_tmp__3173;
  unsigned char llvm_cbe_tmp__3174;
  unsigned int llvm_cbe_tmp__3175;
  unsigned char *llvm_cbe_tmp__3176;
  unsigned char llvm_cbe_tmp__3177;
  unsigned int llvm_cbe_tmp__3178;
  unsigned int llvm_cbe_tmp__3179;
  unsigned char llvm_cbe_tmp__3180;
  unsigned int llvm_cbe_tmp4329_2e_lobit;
  unsigned int llvm_cbe_tmp__3181;
  unsigned int llvm_cbe_tmp__3181__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__3182;
  unsigned char llvm_cbe_tmp__3183;
  unsigned char *llvm_cbe_tmp__3184;
  unsigned char llvm_cbe_tmp__3185;
  unsigned int llvm_cbe_tmp__3186;
  unsigned int llvm_cbe_tmp__3187;
  unsigned char llvm_cbe_tmp__3188;
  unsigned int llvm_cbe_tmp__3189;
  unsigned int llvm_cbe_tmp__3190;
  unsigned short llvm_cbe_tmp__3191;
  unsigned int llvm_cbe__2e_lobit4470;
  unsigned int llvm_cbe_tmp__3192;
  unsigned int llvm_cbe_tmp__3192__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3193;
  unsigned char llvm_cbe_tmp__3194;
  unsigned int llvm_cbe_tmp__3195;
  unsigned int llvm_cbe_tmp__3196;
  unsigned char *llvm_cbe_tmp__3197;
  unsigned char *llvm_cbe_tmp__3198;
  unsigned int llvm_cbe_tmp__3199;
  unsigned char *llvm_cbe_tmp__3200;
  unsigned char *llvm_cbe_tmp__3201;
  unsigned int llvm_cbe_tmp__3202;
  unsigned char *llvm_cbe_tmp__3203;
  unsigned char *llvm_cbe_tmp__3204;
  unsigned char llvm_cbe_tmp__3205;
  unsigned char llvm_cbe_tmp__3206;
  unsigned int llvm_cbe_tmp__3207;
  unsigned char llvm_cbe_tmp__3208;
  unsigned char llvm_cbe_tmp__3209;
  unsigned int llvm_cbe_tmp__3210;
  unsigned char llvm_cbe_tmp__3211;
  unsigned char llvm_cbe_tmp__3212;
  unsigned char llvm_cbe_tmp__3213;
  unsigned char llvm_cbe_tmp__3214;
  unsigned int llvm_cbe_tmp__3215;
  unsigned char llvm_cbe_tmp__3216;
  unsigned int llvm_cbe_tmp__3217;
  unsigned char llvm_cbe_tmp__3218;
  unsigned int llvm_cbe_tmp__3219;
  unsigned int llvm_cbe_tmp__3220;
  unsigned int llvm_cbe_tmp4469;
  unsigned int llvm_cbe_tmp__3221;
  unsigned int llvm_cbe_tmp__3221__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3222;
  unsigned int llvm_cbe_tmp__3223;
  unsigned char *llvm_cbe_tmp__3224;
  unsigned char llvm_cbe_tmp__3225;
  unsigned int llvm_cbe_tmp__3226;
  unsigned int llvm_cbe_tmp__3227;
  unsigned int llvm_cbe_tmp__3228;
  unsigned char *llvm_cbe_tmp__3229;
  unsigned char *llvm_cbe_tmp__3230;
  unsigned char llvm_cbe_tmp__3231;
  unsigned char llvm_cbe_tmp__3232;
  unsigned char llvm_cbe_tmp__3233;
  unsigned int llvm_cbe_tmp__3234;
  unsigned short llvm_cbe_tmp__3235;
  unsigned char llvm_cbe_tmp__3236;
  unsigned int llvm_cbe_tmp__3237;
  unsigned char llvm_cbe_tmp__3238;
  unsigned int llvm_cbe_tmp__3239;
  unsigned short llvm_cbe_tmp__3240;
  unsigned int llvm_cbe__2e_lobit4467;
  unsigned int llvm_cbe_tmp__3241;
  unsigned int llvm_cbe_tmp__3241__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3242;
  unsigned char *llvm_cbe_tmp__3243;
  unsigned char *llvm_cbe_tmp__3244;
  unsigned int llvm_cbe_tmp__3245;
  unsigned char llvm_cbe_tmp__3246;
  unsigned char llvm_cbe_tmp__3247;
  unsigned int llvm_cbe_tmp__3248;
  unsigned char llvm_cbe_tmp__3249;
  unsigned char llvm_cbe_tmp__3250;
  unsigned int llvm_cbe_tmp__3251;
  unsigned char llvm_cbe_tmp__3252;
  unsigned char llvm_cbe_tmp__3253;
  unsigned int llvm_cbe_tmp__3254;
  unsigned char *llvm_cbe_tmp__3255;
  unsigned char llvm_cbe_tmp__3256;
  unsigned char *llvm_cbe_tmp__3257;
  unsigned char llvm_cbe_tmp__3258;
  unsigned int llvm_cbe_tmp__3259;
  unsigned int llvm_cbe_tmp__3260;
  unsigned int llvm_cbe_tmp__3261;
  unsigned int llvm_cbe_storemerge4330;
  unsigned int llvm_cbe_storemerge4330__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3262;
  unsigned short llvm_cbe_tmp__3262__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3263;
  unsigned short llvm_cbe_tmp__3264;
  unsigned int llvm_cbe_tmp__3265;
  unsigned int llvm_cbe_tmp__3266;
  unsigned char *llvm_cbe_tmp__3267;
  unsigned char llvm_cbe_tmp__3268;
  unsigned int llvm_cbe_tmp__3269;
  unsigned char *llvm_cbe_tmp__3270;
  unsigned char llvm_cbe_tmp__3271;
  unsigned int llvm_cbe_tmp__3272;
  unsigned short llvm_cbe_tmp__3273;
  unsigned int llvm_cbe_tmp4466;
  unsigned int llvm_cbe_tmp__3274;
  unsigned int llvm_cbe_tmp__3274__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3275;
  unsigned int llvm_cbe_tmp__3276;
  unsigned char *llvm_cbe_tmp__3277;
  unsigned char llvm_cbe_tmp__3278;
  unsigned int llvm_cbe_tmp__3279;
  unsigned char *llvm_cbe_tmp__3280;
  unsigned char llvm_cbe_tmp__3281;
  unsigned int llvm_cbe_tmp__3282;
  unsigned short llvm_cbe_tmp__3283;
  unsigned int llvm_cbe_tmp4464;
  unsigned int llvm_cbe_tmp__3284;
  unsigned int llvm_cbe_tmp__3284__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3285;
  unsigned char llvm_cbe_tmp__3286;
  unsigned char llvm_cbe_tmp__3287;
  unsigned short llvm_cbe_tmp__3288;
  unsigned int llvm_cbe_tmp__3289;
  unsigned short llvm_cbe_tmp__3290;
  unsigned short llvm_cbe_tmp__3290__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3291;
  unsigned char llvm_cbe_tmp__3292;
  unsigned char llvm_cbe_tmp__3293;
  unsigned int llvm_cbe_tmp__3294;
  unsigned int llvm_cbe_tmp__3295;
  unsigned char llvm_cbe_tmp__3296;
  unsigned char llvm_cbe_tmp__3297;
  unsigned char llvm_cbe_tmp__3298;
  unsigned char llvm_cbe_tmp__3299;
  unsigned char llvm_cbe_tmp__3300;
  unsigned short llvm_cbe_tmp__3301;
  unsigned int llvm_cbe_tmp__3302;
  unsigned char *llvm_cbe_tmp__3303;
  unsigned char llvm_cbe_tmp__3304;
  unsigned char *llvm_cbe_tmp__3305;
  unsigned char llvm_cbe_tmp__3306;
  unsigned int llvm_cbe_tmp__3307;
  unsigned char llvm_cbe_tmp__3308;
  unsigned char llvm_cbe_tmp__3309;
  unsigned int llvm_cbe_tmp__3310;
  unsigned int llvm_cbe_tmp__3311;
  unsigned char *llvm_cbe_tmp__3312;
  unsigned char *llvm_cbe_tmp__3313;
  unsigned int llvm_cbe_tmp__3314;
  unsigned char llvm_cbe_tmp__3315;
  unsigned int llvm_cbe_tmp__3316;
  unsigned char llvm_cbe_tmp__3317;
  unsigned int llvm_cbe_tmp__3318;
  unsigned char *llvm_cbe_tmp__3319;
  unsigned char llvm_cbe_tmp__3320;
  unsigned int llvm_cbe_tmp__3321;
  unsigned char *llvm_cbe_tmp__3322;
  unsigned char llvm_cbe_tmp__3323;
  unsigned int llvm_cbe_tmp__3324;
  unsigned short llvm_cbe_tmp__3325;
  unsigned int llvm_cbe_tmp4332_2e_lobit;
  unsigned int llvm_cbe_tmp__3326;
  unsigned int llvm_cbe_tmp__3326__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3327;
  unsigned char llvm_cbe_tmp__3328;
  unsigned int llvm_cbe_tmp__3329;
  unsigned int llvm_cbe_tmp__3330;
  unsigned char llvm_cbe_tmp__3331;
  unsigned char llvm_cbe_tmp__3332;
  unsigned int llvm_cbe_tmp__3333;
  unsigned char llvm_cbe_tmp__3334;
  unsigned char llvm_cbe_tmp__3335;
  unsigned int llvm_cbe_tmp__3336;
  unsigned int llvm_cbe_tmp__3337;
  unsigned int llvm_cbe_tmp__3338;
  unsigned int llvm_cbe_storemerge4333;
  unsigned int llvm_cbe_storemerge4333__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3339;
  unsigned char llvm_cbe_tmp__3340;
  unsigned char llvm_cbe_tmp__3341;
  unsigned char llvm_cbe_tmp__3342;
  unsigned char llvm_cbe_tmp__3343;
  unsigned short llvm_cbe_tmp__3344;
  unsigned int llvm_cbe_tmp__3345;
  unsigned int llvm_cbe_tmp__3346;
  unsigned int llvm_cbe_tmp__3347;
  unsigned char *llvm_cbe_tmp__3348;
  unsigned char llvm_cbe_tmp__3349;
  unsigned int llvm_cbe_tmp__3350;
  unsigned char *llvm_cbe_tmp__3351;
  unsigned char llvm_cbe_tmp__3352;
  unsigned int llvm_cbe_tmp__3353;
  unsigned short llvm_cbe_tmp__3354;
  unsigned int llvm_cbe_tmp4457;
  unsigned int llvm_cbe_tmp__3355;
  unsigned int llvm_cbe_tmp__3355__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3356;
  unsigned char *llvm_cbe_tmp__3357;
  unsigned char llvm_cbe_tmp__3358;
  unsigned int llvm_cbe_tmp__3359;
  unsigned char *llvm_cbe_tmp__3360;
  unsigned char llvm_cbe_tmp__3361;
  unsigned int llvm_cbe_tmp__3362;
  unsigned short llvm_cbe_tmp__3363;
  unsigned int llvm_cbe_tmp4455;
  unsigned int llvm_cbe_tmp__3364;
  unsigned int llvm_cbe_tmp__3364__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__3365;
  unsigned char llvm_cbe_tmp__3366;
  unsigned char *llvm_cbe_tmp__3367;
  unsigned char llvm_cbe_tmp__3368;
  unsigned int llvm_cbe_tmp__3369;
  unsigned short llvm_cbe_tmp__3370;
  unsigned char llvm_cbe_tmp__3371;
  unsigned char llvm_cbe_tmp__3372;
  unsigned char llvm_cbe_tmp__3373;
  unsigned short llvm_cbe__2e_pre6423;
  unsigned short llvm_cbe_tmp__3374;
  unsigned short llvm_cbe_tmp__3374__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3375;
  unsigned short llvm_cbe_tmp__3375__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3376;
  unsigned int llvm_cbe_tmp__3377;
  unsigned int llvm_cbe_tmp__3378;
  unsigned int llvm_cbe_tmp__3379;
  unsigned char *llvm_cbe_tmp__3380;
  unsigned char llvm_cbe_tmp__3381;
  unsigned int llvm_cbe_tmp__3382;
  unsigned char *llvm_cbe_tmp__3383;
  unsigned char llvm_cbe_tmp__3384;
  unsigned int llvm_cbe_tmp__3385;
  unsigned short llvm_cbe_tmp__3386;
  unsigned int llvm_cbe_tmp4452;
  unsigned int llvm_cbe_tmp__3387;
  unsigned int llvm_cbe_tmp__3387__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3388;
  unsigned char llvm_cbe_tmp__3389;
  unsigned char llvm_cbe_tmp__3390;
  unsigned short llvm_cbe_tmp__3391;
  unsigned int llvm_cbe_tmp__3392;
  unsigned int llvm_cbe_tmp__3393;
  unsigned char *llvm_cbe_tmp__3394;
  unsigned char *llvm_cbe_tmp__3395;
  unsigned char llvm_cbe_tmp__3396;
  unsigned char llvm_cbe_tmp__3397;
  unsigned char llvm_cbe_tmp__3398;
  unsigned int llvm_cbe_tmp__3399;
  unsigned char *llvm_cbe_tmp__3400;
  unsigned char *llvm_cbe_tmp__3401;
  unsigned char llvm_cbe_tmp__3402;
  unsigned char llvm_cbe_tmp__3403;
  unsigned char llvm_cbe_tmp__3404;
  unsigned int llvm_cbe_tmp__3405;
  unsigned char llvm_cbe_tmp__3406;
  unsigned char llvm_cbe_tmp__3407;
  unsigned int llvm_cbe_tmp__3408;
  unsigned char llvm_cbe_tmp__3409;
  unsigned int llvm_cbe_tmp__3410;
  unsigned char *llvm_cbe_tmp__3411;
  unsigned char llvm_cbe_tmp__3412;
  unsigned int llvm_cbe_tmp__3413;
  unsigned char *llvm_cbe_tmp__3414;
  unsigned char llvm_cbe_tmp__3415;
  unsigned int llvm_cbe_tmp__3416;
  unsigned short llvm_cbe_tmp__3417;
  unsigned int llvm_cbe_tmp4335_2e_lobit;
  unsigned int llvm_cbe_tmp__3418;
  unsigned int llvm_cbe_tmp__3418__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3419;
  unsigned short llvm_cbe_tmp__3419__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3420;
  unsigned int llvm_cbe_tmp__3421;
  unsigned char llvm_cbe_tmp__3422;
  unsigned char llvm_cbe_tmp__3423;
  unsigned char llvm_cbe_tmp__3424;
  unsigned short llvm_cbe_tmp__3425;
  unsigned int llvm_cbe_tmp__3426;
  unsigned int llvm_cbe_tmp__3427;
  unsigned char *llvm_cbe_tmp__3428;
  unsigned char llvm_cbe_tmp__3429;
  unsigned char *llvm_cbe_tmp__3430;
  unsigned char llvm_cbe_tmp__3431;
  unsigned char llvm_cbe_tmp__3432;
  unsigned char llvm_cbe_tmp__3433;
  unsigned int llvm_cbe_tmp__3434;
  unsigned char llvm_cbe_tmp__3435;
  unsigned char llvm_cbe_tmp__3436;
  unsigned char llvm_cbe_tmp__3437;
  unsigned short llvm_cbe_tmp__3438;
  unsigned int llvm_cbe_tmp__3439;
  unsigned char llvm_cbe_tmp__3440;
  unsigned int llvm_cbe_tmp__3441;
  unsigned char llvm_cbe_tmp__3442;
  unsigned int llvm_cbe_tmp__3443;
  unsigned char *llvm_cbe_tmp__3444;
  unsigned char llvm_cbe_tmp__3445;
  unsigned int llvm_cbe_tmp__3446;
  unsigned char *llvm_cbe_tmp__3447;
  unsigned char llvm_cbe_tmp__3448;
  unsigned int llvm_cbe_tmp__3449;
  unsigned char llvm_cbe_tmp__3450;
  unsigned short llvm_cbe_tmp__3451;
  unsigned int llvm_cbe_tmp4337_2e_lobit;
  unsigned int llvm_cbe_tmp__3452;
  unsigned int llvm_cbe_tmp__3452__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3453;
  unsigned char *llvm_cbe_tmp__3454;
  unsigned char llvm_cbe_tmp__3455;
  unsigned char *llvm_cbe_tmp__3456;
  unsigned char llvm_cbe_tmp__3457;
  unsigned int llvm_cbe_tmp__3458;
  unsigned int llvm_cbe_tmp__3459;
  unsigned char llvm_cbe_tmp__3460;
  unsigned char llvm_cbe_tmp__3461;
  unsigned int llvm_cbe_tmp__3462;
  unsigned char *llvm_cbe_tmp__3463;
  unsigned char llvm_cbe_tmp__3464;
  unsigned char *llvm_cbe_tmp__3465;
  unsigned char llvm_cbe_tmp__3466;
  unsigned int llvm_cbe_tmp__3467;
  unsigned int llvm_cbe_tmp__3468;
  unsigned int llvm_cbe_tmp__3469;
  unsigned char llvm_cbe__2e_pre6428;
  unsigned char llvm_cbe_tmp__3470;
  unsigned char llvm_cbe_tmp__3470__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge4338;
  unsigned int llvm_cbe_storemerge4338__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3471;
  unsigned char llvm_cbe_tmp__3472;
  unsigned char llvm_cbe_tmp__3473;
  unsigned int llvm_cbe_tmp__3474;
  unsigned char llvm_cbe_tmp__3475;
  unsigned char llvm_cbe_tmp__3476;
  unsigned char llvm_cbe_tmp__3477;
  unsigned short llvm_cbe_tmp__3478;
  unsigned int llvm_cbe_tmp__3479;
  unsigned char *llvm_cbe_tmp__3480;
  unsigned char llvm_cbe_tmp__3481;
  unsigned int llvm_cbe_tmp__3482;
  unsigned char *llvm_cbe_tmp__3483;
  unsigned char llvm_cbe_tmp__3484;
  unsigned int llvm_cbe_tmp__3485;
  unsigned char *llvm_cbe_tmp__3486;
  unsigned char llvm_cbe_tmp__3487;
  unsigned int llvm_cbe_tmp__3488;
  unsigned char *llvm_cbe_tmp__3489;
  unsigned char llvm_cbe_tmp__3490;
  unsigned int llvm_cbe_tmp__3491;
  unsigned short llvm_cbe_tmp__3492;
  unsigned int llvm_cbe_tmp4340_2e_lobit;
  unsigned int llvm_cbe_tmp__3493;
  unsigned int llvm_cbe_tmp__3493__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3494;
  unsigned char *llvm_cbe_tmp__3495;
  unsigned char llvm_cbe_tmp__3496;
  unsigned char *llvm_cbe_tmp__3497;
  unsigned char llvm_cbe_tmp__3498;
  unsigned char llvm_cbe_tmp__3499;
  unsigned int llvm_cbe_tmp__3500;
  unsigned char llvm_cbe_tmp__3501;
  unsigned char llvm_cbe_tmp__3502;
  unsigned int llvm_cbe_tmp__3503;
  unsigned int llvm_cbe_tmp__3504;
  unsigned char llvm_cbe_tmp__3505;
  unsigned char llvm_cbe_tmp__3506;
  unsigned char llvm_cbe_tmp__3507;
  unsigned char llvm_cbe_tmp__3508;
  unsigned char llvm_cbe_tmp__3509;
  unsigned int llvm_cbe_tmp__3510;
  unsigned char llvm_cbe_tmp__3511;
  unsigned int llvm_cbe_tmp__3512;
  unsigned char *llvm_cbe_tmp__3513;
  unsigned char llvm_cbe_tmp__3514;
  unsigned int llvm_cbe_tmp__3515;
  unsigned char *llvm_cbe_tmp__3516;
  unsigned char llvm_cbe_tmp__3517;
  unsigned int llvm_cbe_tmp__3518;
  unsigned short llvm_cbe_tmp__3519;
  unsigned int llvm_cbe_tmp__3520;
  unsigned int llvm_cbe_tmp4342_2e_lobit;
  unsigned int llvm_cbe_tmp__3521;
  unsigned int llvm_cbe_tmp__3521__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3522;
  unsigned short llvm_cbe_tmp__3522__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3523;
  unsigned int llvm_cbe_tmp__3524;
  unsigned char *llvm_cbe_tmp__3525;
  unsigned char llvm_cbe_tmp__3526;
  unsigned int llvm_cbe_tmp__3527;
  unsigned char *llvm_cbe_tmp__3528;
  unsigned char llvm_cbe_tmp__3529;
  unsigned int llvm_cbe_tmp__3530;
  unsigned short llvm_cbe_tmp__3531;
  unsigned int llvm_cbe_tmp4357;
  unsigned int llvm_cbe_tmp__3532;
  unsigned int llvm_cbe_tmp__3532__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3533;
  unsigned char llvm_cbe_tmp__3534;
  unsigned int llvm_cbe_tmp__3535;
  unsigned char llvm_cbe_tmp__3536;
  unsigned int llvm_cbe_tmp__3537;
  unsigned char *llvm_cbe_tmp__3538;
  unsigned char llvm_cbe_tmp__3539;
  unsigned int llvm_cbe_tmp__3540;
  unsigned char *llvm_cbe_tmp__3541;
  unsigned char llvm_cbe_tmp__3542;
  unsigned int llvm_cbe_tmp__3543;
  unsigned short llvm_cbe_tmp__3544;
  unsigned int llvm_cbe_tmp__3545;
  unsigned int llvm_cbe_tmp__3546;
  unsigned int llvm_cbe_tmp__3546__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3547;
  unsigned short llvm_cbe_tmp__3547__PHI_TEMPORARY;
  bool llvm_cbe_storemerge4351_2e_in;
  bool llvm_cbe_storemerge4351_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3548;
  unsigned int llvm_cbe_tmp__3549;
  unsigned char *llvm_cbe_tmp__3550;
  unsigned char llvm_cbe_tmp__3551;
  unsigned char *llvm_cbe_tmp__3552;
  unsigned char llvm_cbe_tmp__3553;
  unsigned int llvm_cbe_tmp__3554;
  unsigned int llvm_cbe_tmp__3555;
  unsigned int llvm_cbe_tmp__3556;
  unsigned char *llvm_cbe_tmp__3557;
  unsigned char llvm_cbe_tmp__3558;
  unsigned char *llvm_cbe_tmp__3559;
  unsigned char llvm_cbe_tmp__3560;
  unsigned int llvm_cbe_tmp__3561;
  unsigned char llvm_cbe_tmp__3562;
  unsigned int llvm_cbe_tmp__3563;
  unsigned char llvm_cbe_tmp__3564;
  unsigned int llvm_cbe_tmp__3565;
  unsigned char *llvm_cbe_tmp__3566;
  unsigned char llvm_cbe_tmp__3567;
  unsigned int llvm_cbe_tmp__3568;
  unsigned char *llvm_cbe_tmp__3569;
  unsigned char llvm_cbe_tmp__3570;
  unsigned int llvm_cbe_tmp__3571;
  unsigned short llvm_cbe_tmp__3572;
  unsigned int llvm_cbe_tmp4359_2e_lobit;
  unsigned int llvm_cbe_tmp__3573;
  unsigned int llvm_cbe_tmp__3573__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3574;
  unsigned short llvm_cbe_tmp__3574__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3575;
  unsigned char llvm_cbe_tmp__3576;
  unsigned char llvm_cbe_tmp__3577;
  unsigned int llvm_cbe_tmp__3578;
  unsigned int llvm_cbe_tmp__3579;
  unsigned char llvm_cbe_tmp__3580;
  unsigned char llvm_cbe_tmp__3581;
  unsigned char llvm_cbe_tmp__3582;
  unsigned short llvm_cbe_tmp__3583;
  unsigned int llvm_cbe_tmp__3584;
  unsigned char *llvm_cbe_tmp__3585;
  unsigned char llvm_cbe_tmp__3586;
  unsigned char *llvm_cbe_tmp__3587;
  unsigned char llvm_cbe_tmp__3588;
  unsigned int llvm_cbe_tmp__3589;
  unsigned char *llvm_cbe_tmp__3590;
  unsigned char llvm_cbe_tmp__3591;
  unsigned char *llvm_cbe_tmp__3592;
  unsigned char llvm_cbe_tmp__3593;
  unsigned int llvm_cbe_tmp__3594;
  unsigned int llvm_cbe_tmp__3595;
  unsigned char *llvm_cbe_tmp__3596;
  unsigned char *llvm_cbe_tmp__3597;
  unsigned int llvm_cbe_tmp__3598;
  unsigned char llvm_cbe_tmp__3599;
  unsigned int llvm_cbe_tmp__3600;
  unsigned char llvm_cbe_tmp__3601;
  unsigned int llvm_cbe_tmp__3602;
  unsigned char *llvm_cbe_tmp__3603;
  unsigned char llvm_cbe_tmp__3604;
  unsigned int llvm_cbe_tmp__3605;
  unsigned char *llvm_cbe_tmp__3606;
  unsigned char llvm_cbe_tmp__3607;
  unsigned int llvm_cbe_tmp__3608;
  unsigned short llvm_cbe_tmp__3609;
  unsigned int llvm_cbe_tmp4361_2e_lobit;
  unsigned int llvm_cbe_tmp__3610;
  unsigned int llvm_cbe_tmp__3610__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3611;
  unsigned char llvm_cbe_tmp__3612;
  unsigned int llvm_cbe_tmp__3613;
  unsigned char llvm_cbe_tmp__3614;
  unsigned char llvm_cbe_tmp__3615;
  unsigned int llvm_cbe_tmp__3616;
  unsigned char llvm_cbe_tmp__3617;
  unsigned char llvm_cbe_tmp__3618;
  unsigned int llvm_cbe_tmp__3619;
  unsigned int llvm_cbe_tmp__3620;
  unsigned int llvm_cbe_tmp__3621;
  unsigned int llvm_cbe_storemerge4362;
  unsigned int llvm_cbe_storemerge4362__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3622;
  unsigned char *llvm_cbe_tmp__3623;
  unsigned char llvm_cbe_tmp__3624;
  unsigned char *llvm_cbe_tmp__3625;
  unsigned char llvm_cbe_tmp__3626;
  unsigned char llvm_cbe_tmp__3627;
  unsigned char *llvm_cbe_tmp__3628;
  unsigned char llvm_cbe_tmp__3629;
  unsigned int llvm_cbe_tmp__3630;
  unsigned int llvm_cbe_tmp__3631;
  unsigned char llvm_cbe_tmp__3632;
  unsigned int llvm_cbe_tmp4364_2e_lobit;
  unsigned int llvm_cbe_tmp__3633;
  unsigned int llvm_cbe_tmp__3633__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3634;
  unsigned char llvm_cbe_tmp__3635;
  unsigned char llvm_cbe_tmp__3636;
  unsigned char *llvm_cbe_tmp__3637;
  unsigned char llvm_cbe_tmp__3638;
  unsigned int llvm_cbe_tmp__3639;
  unsigned int llvm_cbe_tmp__3640;
  unsigned char llvm_cbe_tmp__3641;
  unsigned int llvm_cbe_tmp4366_2e_lobit;
  unsigned int llvm_cbe_tmp__3642;
  unsigned int llvm_cbe_tmp__3642__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3643;
  unsigned int llvm_cbe_tmp__3644;
  unsigned char llvm_cbe_tmp__3645;
  unsigned int llvm_cbe_tmp__3646;
  unsigned short llvm_cbe_tmp__3647;
  unsigned int llvm_cbe__2e_lobit4417;
  unsigned int llvm_cbe_tmp__3648;
  unsigned int llvm_cbe_tmp__3648__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3649;
  unsigned char *llvm_cbe_tmp__3650;
  unsigned char llvm_cbe_tmp__3651;
  unsigned int llvm_cbe_tmp__3652;
  unsigned char *llvm_cbe_tmp__3653;
  unsigned char llvm_cbe_tmp__3654;
  unsigned int llvm_cbe_tmp__3655;
  unsigned short llvm_cbe_tmp__3656;
  unsigned int llvm_cbe_tmp4416;
  unsigned int llvm_cbe_tmp__3657;
  unsigned int llvm_cbe_tmp__3657__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3658;
  unsigned char *llvm_cbe_tmp__3659;
  unsigned char llvm_cbe_tmp__3660;
  unsigned int llvm_cbe_tmp__3661;
  unsigned char *llvm_cbe_tmp__3662;
  unsigned char llvm_cbe_tmp__3663;
  unsigned int llvm_cbe_tmp__3664;
  unsigned short llvm_cbe_tmp__3665;
  unsigned int llvm_cbe_tmp4414;
  unsigned int llvm_cbe_tmp__3666;
  unsigned int llvm_cbe_tmp__3666__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3667;
  unsigned char llvm_cbe_tmp__3668;
  unsigned char llvm_cbe_tmp__3669;
  unsigned char *llvm_cbe_tmp__3670;
  unsigned char llvm_cbe_tmp__3671;
  unsigned int llvm_cbe_tmp__3672;
  unsigned int llvm_cbe_tmp__3673;
  unsigned char llvm_cbe_tmp__3674;
  unsigned int llvm_cbe_tmp4368_2e_lobit;
  unsigned int llvm_cbe_tmp__3675;
  unsigned int llvm_cbe_tmp__3675__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3676;
  unsigned int llvm_cbe_tmp__3677;
  unsigned char llvm_cbe_tmp__3678;
  unsigned int llvm_cbe_tmp__3679;
  unsigned short llvm_cbe_tmp__3680;
  unsigned int llvm_cbe_tmp4409;
  unsigned int llvm_cbe_tmp__3681;
  unsigned int llvm_cbe_tmp__3681__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3682;
  unsigned char *llvm_cbe_tmp__3683;
  unsigned char llvm_cbe_tmp__3684;
  unsigned char *llvm_cbe_tmp__3685;
  unsigned char llvm_cbe_tmp__3686;
  unsigned char llvm_cbe_tmp__3687;
  unsigned int llvm_cbe_tmp__3688;
  unsigned char llvm_cbe_tmp__3689;
  unsigned char llvm_cbe_tmp__3690;
  unsigned int llvm_cbe_tmp__3691;
  unsigned char llvm_cbe_tmp__3692;
  unsigned int llvm_cbe_tmp__3693;
  unsigned short llvm_cbe_tmp__3694;
  unsigned int llvm_cbe_tmp4370_2e_lobit;
  unsigned int llvm_cbe_tmp__3695;
  unsigned int llvm_cbe_tmp__3695__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3696;
  unsigned short llvm_cbe_tmp__3696__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3697;
  unsigned char llvm_cbe_tmp__3698;
  unsigned char llvm_cbe_tmp__3699;
  unsigned char *llvm_cbe_tmp__3700;
  unsigned char llvm_cbe_tmp__3701;
  unsigned char *llvm_cbe_tmp__3702;
  unsigned char llvm_cbe_tmp__3703;
  unsigned char llvm_cbe_tmp__3704;
  unsigned char *llvm_cbe_tmp__3705;
  unsigned char llvm_cbe_tmp__3706;
  unsigned int llvm_cbe_tmp__3707;
  unsigned int llvm_cbe_tmp__3708;
  unsigned char llvm_cbe_tmp__3709;
  unsigned int llvm_cbe_tmp4372_2e_lobit;
  unsigned int llvm_cbe_tmp__3710;
  unsigned int llvm_cbe_tmp__3710__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3711;
  unsigned char llvm_cbe_tmp__3712;
  unsigned char llvm_cbe_tmp__3713;
  unsigned char llvm_cbe_tmp__3714;
  unsigned short llvm_cbe_tmp__3715;
  unsigned int llvm_cbe_tmp__3716;
  unsigned char *llvm_cbe_tmp__3717;
  unsigned char llvm_cbe_tmp__3718;
  unsigned char *llvm_cbe_tmp__3719;
  unsigned char llvm_cbe_tmp__3720;
  unsigned char *llvm_cbe_tmp__3721;
  unsigned char llvm_cbe_tmp__3722;
  unsigned int llvm_cbe_tmp__3723;
  unsigned int llvm_cbe_tmp__3724;
  unsigned char llvm_cbe_tmp__3725;
  unsigned int llvm_cbe_tmp4374_2e_lobit;
  unsigned int llvm_cbe_tmp__3726;
  unsigned int llvm_cbe_tmp__3726__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3727;
  unsigned char llvm_cbe_tmp__3728;
  unsigned char llvm_cbe_tmp__3729;
  unsigned char *llvm_cbe_tmp__3730;
  unsigned char llvm_cbe_tmp__3731;
  unsigned int llvm_cbe_tmp__3732;
  unsigned int llvm_cbe_tmp__3733;
  unsigned char llvm_cbe_tmp__3734;
  unsigned int llvm_cbe_tmp4376_2e_lobit;
  unsigned int llvm_cbe_tmp__3735;
  unsigned int llvm_cbe_tmp__3735__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3736;
  unsigned int llvm_cbe_tmp__3737;
  unsigned int llvm_cbe_tmp__3738;
  unsigned char *llvm_cbe_tmp__3739;
  unsigned char llvm_cbe_tmp__3740;
  unsigned int llvm_cbe_tmp__3741;
  unsigned char *llvm_cbe_tmp__3742;
  unsigned char llvm_cbe_tmp__3743;
  unsigned int llvm_cbe_tmp__3744;
  unsigned short llvm_cbe_tmp__3745;
  unsigned int llvm_cbe_tmp4400;
  unsigned int llvm_cbe_tmp__3746;
  unsigned int llvm_cbe_tmp__3746__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3747;
  unsigned char *llvm_cbe_tmp__3748;
  unsigned char llvm_cbe_tmp__3749;
  unsigned int llvm_cbe_tmp__3750;
  unsigned char *llvm_cbe_tmp__3751;
  unsigned char llvm_cbe_tmp__3752;
  unsigned int llvm_cbe_tmp__3753;
  unsigned short llvm_cbe_tmp__3754;
  unsigned int llvm_cbe_tmp4398;
  unsigned int llvm_cbe_tmp__3755;
  unsigned int llvm_cbe_tmp__3755__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__3756;
  unsigned short llvm_cbe_tmp__3756__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3757;
  unsigned char llvm_cbe_tmp__3758;
  unsigned char llvm_cbe_tmp__3759;
  unsigned char llvm_cbe_tmp__3760;
  unsigned short llvm_cbe_tmp__3761;
  unsigned int llvm_cbe_tmp__3762;
  unsigned int llvm_cbe_tmp__3763;
  unsigned char *llvm_cbe_tmp__3764;
  unsigned char llvm_cbe_tmp__3765;
  unsigned int llvm_cbe_tmp__3766;
  unsigned char *llvm_cbe_tmp__3767;
  unsigned char llvm_cbe_tmp__3768;
  unsigned int llvm_cbe_tmp__3769;
  unsigned short llvm_cbe_tmp__3770;
  unsigned int llvm_cbe__2e_lobit4396;
  unsigned int llvm_cbe_tmp__3771;
  unsigned int llvm_cbe_tmp__3771__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3772;
  unsigned char *llvm_cbe_tmp__3773;
  unsigned char llvm_cbe_tmp__3774;
  unsigned int llvm_cbe_tmp__3775;
  unsigned char *llvm_cbe_tmp__3776;
  unsigned char llvm_cbe_tmp__3777;
  unsigned int llvm_cbe_tmp__3778;
  unsigned short llvm_cbe_tmp__3779;
  unsigned int llvm_cbe__2e_lobit4395;
  unsigned int llvm_cbe_tmp__3780;
  unsigned int llvm_cbe_tmp__3780__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__3781;
  unsigned char llvm_cbe_tmp__3782;
  unsigned int llvm_cbe_tmp__3783;
  unsigned char *llvm_cbe_tmp__3784;
  unsigned char llvm_cbe_tmp__3785;
  unsigned int llvm_cbe_tmp__3786;
  unsigned short llvm_cbe_tmp__3787;
  unsigned int llvm_cbe__2e_lobit4483;
  unsigned int llvm_cbe_tmp__3788;
  unsigned int llvm_cbe_tmp__3788__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3789;
  unsigned char llvm_cbe_tmp__3790;
  unsigned int llvm_cbe_tmp__3791;
  unsigned char llvm_cbe_tmp__3792;
  unsigned int llvm_cbe_tmp__3793;
  unsigned char *llvm_cbe_tmp__3794;
  unsigned char llvm_cbe_tmp__3795;
  unsigned int llvm_cbe_tmp__3796;
  unsigned char *llvm_cbe_tmp__3797;
  unsigned char llvm_cbe_tmp__3798;
  unsigned int llvm_cbe_tmp__3799;
  unsigned char llvm_cbe_tmp__3800;
  unsigned short llvm_cbe_tmp__3801;
  unsigned int llvm_cbe_tmp4478_2e_lobit;
  unsigned int llvm_cbe_tmp__3802;
  unsigned int llvm_cbe_tmp__3802__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3803;
  unsigned int llvm_cbe_tmp__3804;
  unsigned int llvm_cbe_tmp__3805;
  unsigned int llvm_cbe_tmp__3806;
  unsigned int llvm_cbe_tmp__3807;
  unsigned int llvm_cbe__2e_rle5968;
  unsigned int llvm_cbe__2e_rle5968__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5934;
  unsigned int llvm_cbe__2e_rle5934__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5902;
  unsigned int llvm_cbe__2e_rle5902__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3808;
  unsigned char llvm_cbe_tmp__3809;
  unsigned char llvm_cbe_tmp__3810;
  unsigned short llvm_cbe_tmp__3811;
  unsigned int llvm_cbe_tmp4486;
  unsigned int llvm_cbe_tmp__3812;
  unsigned int llvm_cbe_tmp__3812__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3813;
  unsigned int llvm_cbe_tmp__3814;
  unsigned short llvm_cbe_tmp__3815;
  unsigned int llvm_cbe_tmp__3816;
  unsigned char *llvm_cbe_tmp__3817;
  unsigned char llvm_cbe_tmp__3818;
  unsigned char *llvm_cbe_tmp__3819;
  unsigned char llvm_cbe_tmp__3820;
  unsigned char llvm_cbe_tmp__3821;
  unsigned char llvm_cbe_tmp__3822;
  unsigned int llvm_cbe_tmp__3823;
  unsigned char llvm_cbe_tmp__3824;
  unsigned char llvm_cbe_tmp__3825;
  unsigned int llvm_cbe_tmp__3826;
  unsigned char *llvm_cbe_tmp__3827;
  unsigned char llvm_cbe_tmp__3828;
  unsigned char *llvm_cbe_tmp__3829;
  unsigned char llvm_cbe_tmp__3830;
  unsigned int llvm_cbe_tmp__3831;
  unsigned int llvm_cbe_tmp__3832;
  unsigned int llvm_cbe_tmp__3833;
  unsigned int llvm_cbe_tmp__3834;
  unsigned char llvm_cbe_tmp__3835;
  unsigned char llvm_cbe_tmp__3836;
  unsigned short llvm_cbe_tmp__3837;
  unsigned char llvm_cbe_tmp__3838;
  unsigned char llvm_cbe_tmp__3839;
  unsigned short llvm_cbe_tmp__3840;
  unsigned int llvm_cbe_tmp__3841;
  unsigned int llvm_cbe_tmp__3842;
  unsigned char llvm_cbe_tmp__3843;
  unsigned int llvm_cbe__2e_pre7020;
  unsigned int llvm_cbe__2e_pre7022;
  unsigned int llvm_cbe_tmp__3844;
  unsigned int llvm_cbe_tmp__3845;
  unsigned int llvm_cbe__2e_pre_2d_phi7023;
  unsigned int llvm_cbe__2e_pre_2d_phi7023__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_pre_2d_phi7021;
  unsigned int llvm_cbe__2e_pre_2d_phi7021__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3846;
  unsigned int llvm_cbe_tmp__3847;
  unsigned char llvm_cbe_tmp__3848;
  unsigned char llvm_cbe_tmp__3849;
  unsigned int llvm_cbe_tmp__3850;
  unsigned char llvm_cbe_tmp__3851;
  unsigned char llvm_cbe_tmp__3852;
  unsigned int llvm_cbe_tmp__3853;
  unsigned int llvm_cbe_tmp__3854;
  unsigned int llvm_cbe_tmp__3855;
  unsigned int llvm_cbe_tmp__3856;
  unsigned int llvm_cbe_tmp__3857;
  unsigned char llvm_cbe_tmp__3858;
  unsigned char llvm_cbe_tmp__3859;
  unsigned short llvm_cbe_tmp__3860;
  unsigned char llvm_cbe__2e_pre6997;
  unsigned char llvm_cbe_tmp__3861;
  unsigned char llvm_cbe_tmp__3861__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3862;
  unsigned int llvm_cbe_tmp__3863;
  unsigned int llvm_cbe_tmp__3864;
  unsigned short llvm_cbe_tmp__3865;
  unsigned int llvm_cbe_tmp__3866;
  unsigned int llvm_cbe_tmp__3867;
  unsigned int llvm_cbe_tmp__3868;
  unsigned int llvm_cbe__2e_lobit4487;
  unsigned int llvm_cbe_tmp__3869;
  unsigned int llvm_cbe_tmp__3869__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_pre7024;
  unsigned int llvm_cbe__2e_pre_2d_phi7025;
  unsigned int llvm_cbe__2e_pre_2d_phi7025__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5969;
  unsigned int llvm_cbe__2e_rle5969__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5935;
  unsigned int llvm_cbe__2e_rle5935__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5903;
  unsigned int llvm_cbe__2e_rle5903__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3870;
  unsigned char llvm_cbe_tmp__3871;
  unsigned short llvm_cbe_tmp__3872;
  unsigned int llvm_cbe_tmp__3873;
  unsigned char llvm_cbe_tmp__3874;
  unsigned char llvm_cbe_tmp__3875;
  unsigned int llvm_cbe_tmp__3876;
  unsigned short llvm_cbe_tmp__3877;
  unsigned int llvm_cbe_tmp__3878;
  unsigned int llvm_cbe_tmp__3879;
  unsigned int llvm_cbe_tmp__3880;
  unsigned int llvm_cbe_tmp__3881;
  unsigned char *llvm_cbe_tmp__3882;
  unsigned char llvm_cbe_tmp__3883;
  unsigned int llvm_cbe_tmp__3884;
  unsigned char llvm_cbe_tmp__3885;
  unsigned char llvm_cbe_tmp__3886;
  unsigned int llvm_cbe_tmp__3887;
  unsigned char *llvm_cbe_tmp__3888;
  unsigned char *llvm_cbe_tmp__3889;
  unsigned char llvm_cbe_tmp__3890;
  unsigned int llvm_cbe_tmp__3891;
  unsigned int llvm_cbe_tmp__3892;
  unsigned short llvm_cbe_tmp__3893;
  unsigned int llvm_cbe_tmp4491;
  unsigned int llvm_cbe_tmp__3894;
  unsigned int llvm_cbe_tmp__3894__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_lobit4493;
  unsigned int llvm_cbe_tmp__3895;
  unsigned int llvm_cbe_tmp__3895__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3896;
  unsigned char llvm_cbe_tmp__3897;
  unsigned short llvm_cbe_tmp__3898;
  unsigned int llvm_cbe_tmp__3899;
  unsigned char llvm_cbe_tmp__3900;
  unsigned char llvm_cbe_tmp__3901;
  unsigned int llvm_cbe_tmp__3902;
  unsigned short llvm_cbe_tmp__3903;
  unsigned int llvm_cbe_tmp__3904;
  unsigned char *llvm_cbe_tmp__3905;
  unsigned char llvm_cbe_tmp__3906;
  unsigned int llvm_cbe_tmp__3907;
  unsigned char *llvm_cbe_tmp__3908;
  unsigned char llvm_cbe_tmp__3909;
  unsigned int llvm_cbe_tmp__3910;
  unsigned short llvm_cbe_tmp__3911;
  unsigned int llvm_cbe_tmp__3912;
  unsigned int llvm_cbe_tmp__3913;
  unsigned int llvm_cbe_tmp__3914;
  unsigned int llvm_cbe_tmp__3915;
  unsigned char *llvm_cbe_tmp__3916;
  unsigned char llvm_cbe_tmp__3917;
  unsigned int llvm_cbe_tmp__3918;
  unsigned char *llvm_cbe_tmp__3919;
  unsigned char llvm_cbe_tmp__3920;
  unsigned int llvm_cbe_tmp__3921;
  unsigned short llvm_cbe_tmp__3922;
  unsigned int llvm_cbe__2e_lobit4494;
  unsigned int llvm_cbe_tmp__3923;
  unsigned int llvm_cbe_tmp__3923__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3924;
  unsigned char *llvm_cbe_tmp__3925;
  unsigned char llvm_cbe_tmp__3926;
  unsigned char *llvm_cbe_tmp__3927;
  unsigned char llvm_cbe_tmp__3928;
  unsigned int llvm_cbe_tmp__3929;
  unsigned int llvm_cbe_tmp__3930;
  unsigned int llvm_cbe_tmp__3931;
  unsigned int llvm_cbe_tmp__3932;
  unsigned int llvm_cbe_tmp4497;
  unsigned int llvm_cbe_tmp__3933;
  unsigned int llvm_cbe_tmp__3933__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5972;
  unsigned int llvm_cbe__2e_rle5972__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5938;
  unsigned int llvm_cbe__2e_rle5938__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5906;
  unsigned int llvm_cbe__2e_rle5906__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3934;
  unsigned char llvm_cbe_tmp__3935;
  unsigned char llvm_cbe_tmp__3936;
  unsigned short llvm_cbe_tmp__3937;
  unsigned int llvm_cbe_tmp__3938;
  unsigned char *llvm_cbe_tmp__3939;
  unsigned char llvm_cbe_tmp__3940;
  unsigned int llvm_cbe_tmp__3941;
  unsigned char *llvm_cbe_tmp__3942;
  unsigned char llvm_cbe_tmp__3943;
  unsigned int llvm_cbe_tmp__3944;
  unsigned short llvm_cbe_tmp__3945;
  unsigned int llvm_cbe_tmp__3946;
  unsigned int llvm_cbe_tmp__3947;
  unsigned int llvm_cbe_tmp__3948;
  unsigned int llvm_cbe_tmp__3949;
  unsigned char *llvm_cbe_tmp__3950;
  unsigned char llvm_cbe_tmp__3951;
  unsigned int llvm_cbe_tmp__3952;
  unsigned char *llvm_cbe_tmp__3953;
  unsigned char llvm_cbe_tmp__3954;
  unsigned int llvm_cbe_tmp__3955;
  unsigned char llvm_cbe_tmp__3956;
  unsigned short llvm_cbe_tmp__3957;
  unsigned int llvm_cbe_tmp4499;
  unsigned int llvm_cbe_tmp__3958;
  unsigned int llvm_cbe_tmp__3958__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__3959;
  unsigned int llvm_cbe_tmp__3960;
  unsigned int llvm_cbe_tmp__3961;
  unsigned int llvm_cbe_tmp__3962;
  unsigned int llvm_cbe_tmp__3963;
  unsigned int llvm_cbe_tmp__3964;
  unsigned int llvm_cbe__2e_rle5974;
  unsigned int llvm_cbe__2e_rle5974__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5940;
  unsigned int llvm_cbe__2e_rle5940__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5908;
  unsigned int llvm_cbe__2e_rle5908__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3965;
  unsigned char llvm_cbe_tmp__3966;
  unsigned char llvm_cbe_tmp__3967;
  unsigned short llvm_cbe_tmp__3968;
  unsigned int llvm_cbe_tmp__3969;
  unsigned int llvm_cbe_tmp__3970;
  unsigned int llvm_cbe_tmp__3971;
  unsigned int llvm_cbe_tmp__3972;
  unsigned char llvm_cbe_tmp__3973;
  unsigned char llvm_cbe_tmp__3974;
  unsigned int llvm_cbe_tmp__3975;
  unsigned char llvm_cbe_tmp__3976;
  unsigned char llvm_cbe_tmp__3977;
  unsigned short llvm_cbe_tmp__3978;
  unsigned short llvm_cbe_tmp__3979;
  unsigned int llvm_cbe_tmp__3980;
  unsigned int llvm_cbe_tmp__3981;
  unsigned char llvm_cbe_tmp__3982;
  unsigned char llvm_cbe_tmp__3983;
  unsigned int llvm_cbe_tmp__3984;
  unsigned char *llvm_cbe_tmp__3985;
  unsigned char *llvm_cbe_tmp__3986;
  unsigned int llvm_cbe_tmp__3987;
  unsigned char llvm_cbe_tmp__3988;
  unsigned int llvm_cbe_tmp__3989;
  unsigned char llvm_cbe_tmp__3990;
  unsigned int llvm_cbe_tmp__3991;
  unsigned short llvm_cbe_tmp__3992;
  unsigned int llvm_cbe_tmp4503;
  unsigned int llvm_cbe_tmp__3993;
  unsigned int llvm_cbe_tmp__3993__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__3994;
  unsigned char llvm_cbe_tmp__3995;
  unsigned char llvm_cbe_tmp__3996;
  unsigned int llvm_cbe_tmp__3997;
  unsigned short llvm_cbe_tmp__3998;
  unsigned int llvm_cbe_tmp__3999;
  unsigned int llvm_cbe_tmp__4000;
  unsigned int llvm_cbe_tmp__4001;
  unsigned char llvm_cbe_tmp__4002;
  unsigned char llvm_cbe_tmp__4003;
  unsigned short llvm_cbe_tmp__4004;
  unsigned int llvm_cbe_tmp__4005;
  unsigned char *llvm_cbe_tmp__4006;
  unsigned char llvm_cbe_tmp__4007;
  unsigned int llvm_cbe_tmp__4008;
  unsigned char *llvm_cbe_tmp__4009;
  unsigned char llvm_cbe_tmp__4010;
  unsigned int llvm_cbe_tmp__4011;
  unsigned short llvm_cbe_tmp__4012;
  unsigned int llvm_cbe_tmp4506;
  unsigned int llvm_cbe_tmp__4013;
  unsigned int llvm_cbe_tmp__4013__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4014;
  unsigned char *llvm_cbe_tmp__4015;
  unsigned char llvm_cbe_tmp__4016;
  unsigned int llvm_cbe_tmp__4017;
  unsigned char *llvm_cbe_tmp__4018;
  unsigned char llvm_cbe_tmp__4019;
  unsigned int llvm_cbe_tmp__4020;
  unsigned short llvm_cbe_tmp__4021;
  unsigned int llvm_cbe_tmp4508;
  unsigned int llvm_cbe_tmp__4022;
  unsigned int llvm_cbe_tmp__4022__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4023;
  unsigned int llvm_cbe_tmp__4024;
  unsigned int llvm_cbe_tmp__4025;
  unsigned char llvm_cbe_tmp__4026;
  unsigned char llvm_cbe_tmp__4027;
  unsigned int llvm_cbe_tmp__4028;
  unsigned int llvm_cbe_tmp__4029;
  unsigned int llvm_cbe_tmp__4030;
  unsigned int llvm_cbe_tmp__4031;
  unsigned int llvm_cbe_tmp__4032;
  unsigned int llvm_cbe_tmp__4033;
  unsigned char *llvm_cbe_tmp__4034;
  unsigned char llvm_cbe_tmp__4035;
  unsigned char *llvm_cbe_tmp__4036;
  unsigned char llvm_cbe_tmp__4037;
  unsigned int llvm_cbe_tmp__4038;
  unsigned int llvm_cbe_tmp__4039;
  unsigned short llvm_cbe_tmp__4040;
  unsigned int llvm_cbe_tmp__4041;
  unsigned int llvm_cbe_tmp__4042;
  unsigned char *llvm_cbe_tmp__4043;
  unsigned char llvm_cbe_tmp__4044;
  unsigned int llvm_cbe_tmp__4045;
  unsigned char *llvm_cbe_tmp__4046;
  unsigned char llvm_cbe_tmp__4047;
  unsigned int llvm_cbe_tmp__4048;
  unsigned char llvm_cbe_tmp__4049;
  unsigned short llvm_cbe_tmp__4050;
  unsigned int llvm_cbe_tmp4520;
  unsigned int llvm_cbe_tmp__4051;
  unsigned int llvm_cbe_tmp__4051__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4052;
  unsigned int llvm_cbe_tmp__4053;
  unsigned char *llvm_cbe_tmp__4054;
  unsigned char llvm_cbe_tmp__4055;
  unsigned char *llvm_cbe_tmp__4056;
  unsigned char llvm_cbe_tmp__4057;
  unsigned int llvm_cbe_tmp__4058;
  unsigned char llvm_cbe_tmp__4059;
  unsigned char llvm_cbe_tmp__4060;
  unsigned short llvm_cbe_tmp__4061;
  unsigned short llvm_cbe_tmp__4062;
  unsigned int llvm_cbe_tmp__4063;
  unsigned char *llvm_cbe_tmp__4064;
  unsigned char llvm_cbe_tmp__4065;
  unsigned int llvm_cbe_tmp__4066;
  unsigned char *llvm_cbe_tmp__4067;
  unsigned char llvm_cbe_tmp__4068;
  unsigned int llvm_cbe_tmp__4069;
  unsigned short llvm_cbe_tmp__4070;
  unsigned int llvm_cbe__2e_lobit4517;
  unsigned int llvm_cbe_tmp__4071;
  unsigned int llvm_cbe_tmp__4071__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4072;
  unsigned int llvm_cbe_tmp__4073;
  unsigned int llvm_cbe_tmp__4074;
  unsigned char *llvm_cbe_tmp__4075;
  unsigned char llvm_cbe_tmp__4076;
  unsigned int llvm_cbe_tmp__4077;
  unsigned char *llvm_cbe_tmp__4078;
  unsigned char llvm_cbe_tmp__4079;
  unsigned int llvm_cbe_tmp__4080;
  unsigned char *llvm_cbe_tmp__4081;
  unsigned char llvm_cbe_tmp__4082;
  unsigned int llvm_cbe_tmp__4083;
  unsigned char *llvm_cbe_tmp__4084;
  unsigned char llvm_cbe_tmp__4085;
  unsigned int llvm_cbe_tmp__4086;
  unsigned char llvm_cbe_tmp__4087;
  unsigned short llvm_cbe_tmp__4088;
  unsigned int llvm_cbe_tmp4512_2e_lobit;
  unsigned int llvm_cbe_tmp__4089;
  unsigned int llvm_cbe_tmp__4089__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4090;
  unsigned char llvm_cbe_tmp__4091;
  unsigned char llvm_cbe_tmp__4092;
  unsigned int llvm_cbe_tmp__4093;
  unsigned char llvm_cbe_tmp__4094;
  unsigned char llvm_cbe_tmp__4095;
  unsigned char *llvm_cbe_tmp__4096;
  unsigned char llvm_cbe_tmp__4097;
  unsigned char *llvm_cbe_tmp__4098;
  unsigned char llvm_cbe_tmp__4099;
  unsigned int llvm_cbe_tmp__4100;
  unsigned int llvm_cbe_tmp__4101;
  unsigned int llvm_cbe_tmp__4102;
  unsigned char llvm_cbe_tmp__4103;
  unsigned char llvm_cbe_tmp__4104;
  unsigned int llvm_cbe_tmp__4105;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6883;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6883__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4106;
  unsigned short llvm_cbe_tmp__4106__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4107;
  unsigned int llvm_cbe_tmp__4108;
  unsigned char llvm_cbe_tmp__4109;
  unsigned char llvm_cbe_tmp__4110;
  unsigned int llvm_cbe_tmp__4111;
  unsigned char llvm_cbe_tmp__4112;
  unsigned char llvm_cbe_tmp__4113;
  unsigned short llvm_cbe_tmp__4114;
  unsigned short llvm_cbe_tmp__4115;
  unsigned int llvm_cbe_tmp__4116;
  unsigned int llvm_cbe_tmp__4117;
  unsigned int llvm_cbe_tmp__4118;
  unsigned char llvm_cbe_tmp__4119;
  unsigned char llvm_cbe_tmp__4120;
  unsigned short llvm_cbe_tmp__4121;
  unsigned int llvm_cbe_tmp__4122;
  unsigned short llvm_cbe_tmp__4123;
  unsigned int llvm_cbe_tmp4544;
  unsigned int llvm_cbe_tmp__4124;
  unsigned int llvm_cbe_tmp__4124__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4125;
  unsigned char *llvm_cbe_tmp__4126;
  unsigned char llvm_cbe_tmp__4127;
  unsigned char *llvm_cbe_tmp__4128;
  unsigned char llvm_cbe_tmp__4129;
  unsigned int llvm_cbe_tmp__4130;
  unsigned short llvm_cbe_tmp__4131;
  unsigned int llvm_cbe_tmp__4132;
  unsigned int llvm_cbe_tmp__4133;
  unsigned char *llvm_cbe_tmp__4134;
  unsigned char llvm_cbe_tmp__4135;
  unsigned char *llvm_cbe_tmp__4136;
  unsigned char llvm_cbe_tmp__4137;
  unsigned char llvm_cbe_tmp__4138;
  unsigned char llvm_cbe_tmp__4139;
  unsigned int llvm_cbe_tmp__4140;
  unsigned char llvm_cbe_tmp__4141;
  unsigned char llvm_cbe_tmp__4142;
  unsigned char *llvm_cbe_tmp__4143;
  unsigned char llvm_cbe_tmp__4144;
  unsigned int llvm_cbe_tmp__4145;
  unsigned int llvm_cbe_tmp__4146;
  unsigned char llvm_cbe_tmp__4147;
  unsigned int llvm_cbe_tmp4523_2e_lobit;
  unsigned int llvm_cbe_tmp__4148;
  unsigned int llvm_cbe_tmp__4148__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4149;
  unsigned short llvm_cbe_tmp__4149__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4150;
  unsigned char *llvm_cbe_tmp__4151;
  unsigned char llvm_cbe_tmp__4152;
  unsigned char *llvm_cbe_tmp__4153;
  unsigned char llvm_cbe_tmp__4154;
  unsigned int llvm_cbe_tmp__4155;
  unsigned char llvm_cbe_tmp__4156;
  unsigned short llvm_cbe_tmp__4157;
  unsigned int llvm_cbe_tmp__4158;
  unsigned int llvm_cbe_tmp__4159;
  unsigned int llvm_cbe_tmp__4160;
  unsigned char *llvm_cbe_tmp__4161;
  unsigned char llvm_cbe_tmp__4162;
  unsigned int llvm_cbe_tmp__4163;
  unsigned char *llvm_cbe_tmp__4164;
  unsigned char llvm_cbe_tmp__4165;
  unsigned int llvm_cbe_tmp__4166;
  unsigned short llvm_cbe_tmp__4167;
  unsigned int llvm_cbe_tmp4539;
  unsigned int llvm_cbe_tmp__4168;
  unsigned int llvm_cbe_tmp__4168__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4169;
  unsigned char llvm_cbe_tmp__4170;
  unsigned char llvm_cbe_tmp__4171;
  unsigned int llvm_cbe_tmp__4172;
  unsigned int llvm_cbe_tmp__4173;
  unsigned int llvm_cbe_tmp__4174;
  unsigned int llvm_cbe_tmp__4175;
  unsigned int llvm_cbe_tmp__4176;
  unsigned int llvm_cbe_tmp__4177;
  unsigned char llvm_cbe_tmp__4178;
  unsigned int llvm_cbe_tmp__4179;
  unsigned char llvm_cbe_tmp__4180;
  unsigned int llvm_cbe_tmp__4181;
  unsigned int llvm_cbe_tmp__4182;
  unsigned int llvm_cbe_tmp__4183;
  unsigned int llvm_cbe_tmp__4184;
  unsigned char *llvm_cbe_tmp__4185;
  unsigned char llvm_cbe_tmp__4186;
  unsigned char llvm_cbe_tmp__4187;
  unsigned char llvm_cbe_tmp__4188;
  unsigned int llvm_cbe_tmp__4189;
  unsigned short llvm_cbe_tmp__4190;
  unsigned int llvm_cbe_tmp__4191;
  unsigned char *llvm_cbe_tmp__4192;
  unsigned char llvm_cbe_tmp__4193;
  unsigned char *llvm_cbe_tmp__4194;
  unsigned char llvm_cbe_tmp__4195;
  unsigned int llvm_cbe_tmp__4196;
  unsigned char llvm_cbe_tmp__4197;
  unsigned short llvm_cbe_tmp__4198;
  unsigned int llvm_cbe_tmp__4199;
  unsigned char *llvm_cbe_tmp__4200;
  unsigned char llvm_cbe_tmp__4201;
  unsigned char *llvm_cbe_tmp__4202;
  unsigned char llvm_cbe_tmp__4203;
  unsigned char llvm_cbe_tmp__4204;
  unsigned char llvm_cbe_tmp__4205;
  unsigned int llvm_cbe_tmp__4206;
  unsigned int llvm_cbe_tmp__4207;
  unsigned int llvm_cbe_tmp__4208;
  unsigned char llvm_cbe_tmp__4209;
  unsigned char llvm_cbe_tmp__4210;
  unsigned int llvm_cbe_tmp__4211;
  unsigned short llvm_cbe_tmp__4212;
  unsigned short llvm_cbe_tmp__4212__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4213;
  unsigned char *llvm_cbe_tmp__4214;
  unsigned char llvm_cbe_tmp__4215;
  unsigned char *llvm_cbe_tmp__4216;
  unsigned char llvm_cbe_tmp__4217;
  unsigned int llvm_cbe_tmp__4218;
  unsigned char llvm_cbe_tmp__4219;
  unsigned short llvm_cbe_tmp__4220;
  unsigned int llvm_cbe_tmp__4221;
  unsigned int llvm_cbe_tmp__4222;
  unsigned char llvm_cbe_tmp__4223;
  unsigned int llvm_cbe_tmp__4224;
  unsigned char llvm_cbe_tmp__4225;
  unsigned char *llvm_cbe_tmp__4226;
  unsigned char llvm_cbe_tmp__4227;
  unsigned int llvm_cbe_tmp__4228;
  unsigned char *llvm_cbe_tmp__4229;
  unsigned char llvm_cbe_tmp__4230;
  unsigned int llvm_cbe_tmp__4231;
  unsigned short llvm_cbe_tmp__4232;
  unsigned int llvm_cbe_tmp4652_2e_lobit;
  unsigned int llvm_cbe_tmp__4233;
  unsigned int llvm_cbe_tmp__4233__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4234;
  unsigned char llvm_cbe_tmp__4235;
  unsigned char llvm_cbe_tmp__4236;
  unsigned int llvm_cbe_tmp__4237;
  unsigned int llvm_cbe_tmp__4238;
  unsigned char llvm_cbe_tmp__4239;
  unsigned char llvm_cbe_tmp__4240;
  unsigned int llvm_cbe_tmp__4241;
  unsigned int llvm_cbe_tmp__4242;
  unsigned char llvm_cbe_tmp__4243;
  unsigned char llvm_cbe_tmp__4244;
  unsigned int llvm_cbe_tmp__4245;
  unsigned short llvm_cbe_tmp__4246;
  unsigned short llvm_cbe_tmp__4246__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4247;
  unsigned char *llvm_cbe_tmp__4248;
  unsigned char llvm_cbe_tmp__4249;
  unsigned char *llvm_cbe_tmp__4250;
  unsigned char llvm_cbe_tmp__4251;
  unsigned int llvm_cbe_tmp__4252;
  unsigned char llvm_cbe_tmp__4253;
  unsigned short llvm_cbe_tmp__4254;
  unsigned int llvm_cbe_tmp__4255;
  unsigned int llvm_cbe_tmp__4256;
  unsigned char llvm_cbe_tmp__4257;
  unsigned int llvm_cbe_tmp__4258;
  unsigned char llvm_cbe_tmp__4259;
  unsigned char *llvm_cbe_tmp__4260;
  unsigned char llvm_cbe_tmp__4261;
  unsigned int llvm_cbe_tmp__4262;
  unsigned char *llvm_cbe_tmp__4263;
  unsigned char llvm_cbe_tmp__4264;
  unsigned int llvm_cbe_tmp__4265;
  unsigned short llvm_cbe_tmp__4266;
  unsigned int llvm_cbe_tmp4659_2e_lobit;
  unsigned int llvm_cbe_tmp__4267;
  unsigned int llvm_cbe_tmp__4267__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4268;
  unsigned short llvm_cbe_tmp__4268__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4269;
  unsigned char *llvm_cbe_tmp__4270;
  unsigned char llvm_cbe_tmp__4271;
  unsigned char *llvm_cbe_tmp__4272;
  unsigned char llvm_cbe_tmp__4273;
  unsigned int llvm_cbe_tmp__4274;
  unsigned char llvm_cbe_tmp__4275;
  unsigned char llvm_cbe_tmp__4276;
  unsigned short llvm_cbe_tmp__4277;
  unsigned int llvm_cbe_tmp__4278;
  unsigned char *llvm_cbe_tmp__4279;
  unsigned char llvm_cbe_tmp__4280;
  unsigned char *llvm_cbe_tmp__4281;
  unsigned char llvm_cbe_tmp__4282;
  unsigned int llvm_cbe_tmp__4283;
  unsigned short llvm_cbe_tmp__4284;
  unsigned short llvm_cbe_tmp__4284__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4285;
  unsigned char *llvm_cbe_tmp__4286;
  unsigned char llvm_cbe_tmp__4287;
  unsigned char *llvm_cbe_tmp__4288;
  unsigned char llvm_cbe_tmp__4289;
  unsigned int llvm_cbe_tmp__4290;
  unsigned char llvm_cbe_tmp__4291;
  unsigned short llvm_cbe_tmp__4292;
  unsigned int llvm_cbe_tmp__4293;
  unsigned char llvm_cbe_tmp__4294;
  unsigned char llvm_cbe_tmp__4295;
  unsigned int llvm_cbe_tmp__4296;
  unsigned short llvm_cbe_tmp__4297;
  unsigned short llvm_cbe_tmp__4298;
  unsigned int llvm_cbe_tmp__4299;
  unsigned char *llvm_cbe_tmp__4300;
  unsigned char llvm_cbe_tmp__4301;
  unsigned int llvm_cbe_tmp__4302;
  unsigned char *llvm_cbe_tmp__4303;
  unsigned char llvm_cbe_tmp__4304;
  unsigned int llvm_cbe_tmp__4305;
  unsigned short llvm_cbe_tmp__4306;
  unsigned int llvm_cbe__2e_lobit4660;
  unsigned int llvm_cbe_tmp__4307;
  unsigned int llvm_cbe_tmp__4307__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4308;
  unsigned int llvm_cbe_tmp__4309;
  unsigned char *llvm_cbe_tmp__4310;
  unsigned char llvm_cbe_tmp__4311;
  unsigned char *llvm_cbe_tmp__4312;
  unsigned char llvm_cbe_tmp__4313;
  unsigned int llvm_cbe_tmp__4314;
  unsigned int llvm_cbe_tmp__4315;
  unsigned char *llvm_cbe_tmp__4316;
  unsigned char llvm_cbe_tmp__4317;
  unsigned char *llvm_cbe_tmp__4318;
  unsigned char llvm_cbe_tmp__4319;
  unsigned int llvm_cbe_tmp__4320;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6889;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6889__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4321;
  unsigned short llvm_cbe_tmp__4321__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4322;
  unsigned int llvm_cbe_tmp__4323;
  unsigned int llvm_cbe_tmp__4324;
  unsigned int llvm_cbe_tmp__4325;
  unsigned int llvm_cbe_tmp__4326;
  unsigned char llvm_cbe_tmp__4327;
  unsigned char llvm_cbe_tmp__4328;
  unsigned short llvm_cbe_tmp__4329;
  unsigned int llvm_cbe_tmp__4330;
  unsigned char *llvm_cbe_tmp__4331;
  unsigned char llvm_cbe_tmp__4332;
  unsigned char *llvm_cbe_tmp__4333;
  unsigned char llvm_cbe_tmp__4334;
  unsigned int llvm_cbe_tmp__4335;
  unsigned short llvm_cbe_tmp__4336;
  unsigned int llvm_cbe_tmp__4337;
  unsigned char llvm_cbe_tmp__4338;
  unsigned char llvm_cbe_tmp__4339;
  unsigned int llvm_cbe_tmp__4340;
  unsigned int llvm_cbe_tmp__4341;
  unsigned short llvm_cbe_tmp__4342;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6897;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6897__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4343;
  unsigned short llvm_cbe_tmp__4343__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4344;
  unsigned char llvm_cbe_tmp__4345;
  unsigned char llvm_cbe_tmp__4346;
  unsigned int llvm_cbe_tmp__4347;
  unsigned int llvm_cbe_tmp__4348;
  unsigned int llvm_cbe_tmp__4349;
  unsigned int llvm_cbe_tmp__4350;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6896;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6896__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4351;
  unsigned short llvm_cbe_tmp__4351__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5975;
  unsigned int llvm_cbe__2e_rle5975__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5941;
  unsigned int llvm_cbe__2e_rle5941__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5909;
  unsigned int llvm_cbe__2e_rle5909__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4352;
  unsigned char llvm_cbe_tmp__4353;
  unsigned char llvm_cbe_tmp__4354;
  unsigned short llvm_cbe_tmp__4355;
  unsigned int llvm_cbe_tmp__4356;
  unsigned char llvm_cbe_tmp__4357;
  unsigned char llvm_cbe_tmp__4358;
  unsigned int llvm_cbe_tmp__4359;
  unsigned int llvm_cbe_tmp__4360;
  unsigned char llvm_cbe_tmp__4361;
  unsigned int llvm_cbe_tmp__4362;
  unsigned short llvm_cbe_tmp__4363;
  unsigned short llvm_cbe_tmp__4363__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4364;
  unsigned int llvm_cbe_tmp__4365;
  unsigned char *llvm_cbe_tmp__4366;
  unsigned char llvm_cbe_tmp__4367;
  unsigned int llvm_cbe_tmp__4368;
  unsigned char *llvm_cbe_tmp__4369;
  unsigned char llvm_cbe_tmp__4370;
  unsigned int llvm_cbe_tmp__4371;
  unsigned short llvm_cbe_tmp__4372;
  unsigned int llvm_cbe__2e_lobit4594;
  unsigned int llvm_cbe_tmp__4373;
  unsigned int llvm_cbe_tmp__4373__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4374;
  unsigned char llvm_cbe_tmp__4375;
  unsigned char llvm_cbe_tmp__4376;
  unsigned short llvm_cbe_tmp__4377;
  unsigned int llvm_cbe_tmp__4378;
  unsigned char llvm_cbe_tmp__4379;
  unsigned char llvm_cbe_tmp__4380;
  unsigned char llvm_cbe_tmp__4381;
  unsigned short llvm_cbe_tmp__4382;
  unsigned int llvm_cbe_tmp__4383;
  unsigned char *llvm_cbe_tmp__4384;
  unsigned char llvm_cbe_tmp__4385;
  unsigned char llvm_cbe_tmp__4386;
  unsigned char llvm_cbe_tmp__4387;
  unsigned short llvm_cbe_tmp__4388;
  unsigned int llvm_cbe_tmp__4389;
  unsigned char llvm_cbe_tmp__4390;
  unsigned char llvm_cbe_tmp__4391;
  unsigned char llvm_cbe_tmp__4392;
  unsigned short llvm_cbe_tmp__4393;
  unsigned int llvm_cbe_tmp__4394;
  unsigned char llvm_cbe_tmp__4395;
  unsigned char llvm_cbe_tmp__4396;
  unsigned char llvm_cbe_tmp__4397;
  unsigned short llvm_cbe_tmp__4398;
  unsigned int llvm_cbe_tmp__4399;
  unsigned int llvm_cbe_tmp__4400;
  unsigned char llvm_cbe_tmp__4401;
  unsigned char llvm_cbe_tmp__4402;
  unsigned int llvm_cbe_tmp__4403;
  unsigned int llvm_cbe_tmp__4404;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6899;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6899__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4405;
  unsigned short llvm_cbe_tmp__4405__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4406;
  unsigned int llvm_cbe_tmp__4407;
  unsigned char *llvm_cbe_tmp__4408;
  unsigned char llvm_cbe_tmp__4409;
  unsigned char *llvm_cbe_tmp__4410;
  unsigned char llvm_cbe_tmp__4411;
  unsigned int llvm_cbe_tmp__4412;
  unsigned char llvm_cbe_tmp__4413;
  unsigned char llvm_cbe_tmp__4414;
  unsigned int llvm_cbe_tmp__4415;
  unsigned int llvm_cbe_tmp__4416;
  unsigned int llvm_cbe_tmp__4417;
  unsigned int llvm_cbe_tmp__4418;
  unsigned int llvm_cbe_tmp__4419;
  unsigned char llvm_cbe_tmp__4420;
  unsigned char llvm_cbe_tmp__4421;
  unsigned short llvm_cbe_tmp__4422;
  unsigned short llvm_cbe_tmp__4423;
  unsigned int llvm_cbe_tmp__4424;
  unsigned char llvm_cbe_tmp__4425;
  unsigned char llvm_cbe_tmp__4426;
  unsigned char llvm_cbe_tmp__4427;
  unsigned short llvm_cbe_tmp__4428;
  unsigned int llvm_cbe_tmp__4429;
  unsigned char llvm_cbe_tmp__4430;
  unsigned char llvm_cbe_tmp__4431;
  unsigned char llvm_cbe_tmp__4432;
  unsigned char llvm_cbe_tmp__4433;
  unsigned short llvm_cbe_tmp__4434;
  unsigned int llvm_cbe_tmp__4435;
  unsigned char llvm_cbe_tmp__4436;
  unsigned char llvm_cbe_tmp__4437;
  unsigned char llvm_cbe_tmp__4438;
  unsigned short llvm_cbe_tmp__4439;
  unsigned int llvm_cbe_tmp__4440;
  unsigned char llvm_cbe_tmp__4441;
  unsigned char llvm_cbe_tmp__4442;
  unsigned char llvm_cbe_tmp__4443;
  unsigned short llvm_cbe_tmp__4444;
  unsigned int llvm_cbe_tmp__4445;
  unsigned short llvm_cbe_tmp__4446;
  unsigned short llvm_cbe_tmp__4446__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4447;
  unsigned char llvm_cbe_tmp__4448;
  unsigned char llvm_cbe_tmp__4449;
  unsigned int llvm_cbe_tmp__4450;
  unsigned char *llvm_cbe_tmp__4451;
  unsigned char llvm_cbe_tmp__4452;
  unsigned char *llvm_cbe_tmp__4453;
  unsigned char llvm_cbe_tmp__4454;
  unsigned int llvm_cbe_tmp__4455;
  unsigned char llvm_cbe_tmp__4456;
  unsigned char llvm_cbe_tmp__4457;
  unsigned short llvm_cbe_tmp__4458;
  unsigned int llvm_cbe_tmp__4459;
  unsigned int llvm_cbe_tmp__4460;
  unsigned char *llvm_cbe_tmp__4461;
  unsigned char llvm_cbe_tmp__4462;
  unsigned int llvm_cbe_tmp__4463;
  unsigned char *llvm_cbe_tmp__4464;
  unsigned char llvm_cbe_tmp__4465;
  unsigned int llvm_cbe_tmp__4466;
  unsigned short llvm_cbe_tmp__4467;
  unsigned int llvm_cbe_tmp4590;
  unsigned int llvm_cbe_tmp__4468;
  unsigned int llvm_cbe_tmp__4468__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4469;
  unsigned char *llvm_cbe_tmp__4470;
  unsigned char llvm_cbe_tmp__4471;
  unsigned int llvm_cbe_tmp__4472;
  unsigned char *llvm_cbe_tmp__4473;
  unsigned char llvm_cbe_tmp__4474;
  unsigned int llvm_cbe_tmp__4475;
  unsigned char llvm_cbe_tmp__4476;
  unsigned short llvm_cbe_tmp__4477;
  unsigned int llvm_cbe_tmp4588;
  unsigned int llvm_cbe_tmp__4478;
  unsigned int llvm_cbe_tmp__4478__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4479;
  unsigned int llvm_cbe_tmp__4480;
  unsigned int llvm_cbe_tmp__4481;
  unsigned int llvm_cbe_tmp__4482;
  unsigned int llvm_cbe_tmp__4483;
  unsigned char llvm_cbe_tmp__4484;
  unsigned char llvm_cbe_tmp__4485;
  unsigned short llvm_cbe_tmp__4486;
  unsigned int llvm_cbe_tmp__4487;
  unsigned int llvm_cbe_tmp__4488;
  unsigned int llvm_cbe_tmp__4489;
  unsigned char llvm_cbe_tmp__4490;
  unsigned char llvm_cbe_tmp__4491;
  unsigned int llvm_cbe_tmp__4492;
  unsigned int llvm_cbe_tmp__4493;
  unsigned int llvm_cbe__2e_lobit4546;
  unsigned int llvm_cbe_tmp__4494;
  unsigned int llvm_cbe_tmp__4494__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4495;
  unsigned char llvm_cbe_tmp__4496;
  unsigned int llvm_cbe_tmp__4497;
  unsigned int llvm_cbe_tmp__4498;
  unsigned char llvm_cbe_tmp__4499;
  unsigned char llvm_cbe_tmp__4500;
  unsigned int llvm_cbe_tmp__4501;
  unsigned int llvm_cbe_tmp__4502;
  unsigned int llvm_cbe_tmp__4503;
  unsigned int llvm_cbe_tmp__4504;
  unsigned char llvm_cbe_tmp__4505;
  unsigned char llvm_cbe_tmp__4506;
  unsigned short llvm_cbe_tmp__4507;
  unsigned int llvm_cbe_tmp4548;
  unsigned int llvm_cbe_tmp__4508;
  unsigned int llvm_cbe_tmp__4508__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4509;
  unsigned int llvm_cbe_tmp__4510;
  unsigned int llvm_cbe_tmp__4511;
  unsigned char *llvm_cbe_tmp__4512;
  unsigned char llvm_cbe_tmp__4513;
  unsigned int llvm_cbe_tmp__4514;
  unsigned char *llvm_cbe_tmp__4515;
  unsigned char llvm_cbe_tmp__4516;
  unsigned int llvm_cbe_tmp__4517;
  unsigned short llvm_cbe_tmp__4518;
  unsigned int llvm_cbe__2e_lobit4704;
  unsigned int llvm_cbe_tmp__4519;
  unsigned int llvm_cbe_tmp__4519__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4520;
  unsigned char llvm_cbe_tmp__4521;
  unsigned char llvm_cbe_tmp__4522;
  unsigned int llvm_cbe_tmp__4523;
  unsigned int llvm_cbe_tmp__4524;
  unsigned char *llvm_cbe_tmp__4525;
  unsigned char llvm_cbe_tmp__4526;
  unsigned char *llvm_cbe_tmp__4527;
  unsigned char llvm_cbe_tmp__4528;
  unsigned char llvm_cbe_tmp__4529;
  unsigned int llvm_cbe_tmp__4530;
  unsigned char llvm_cbe_tmp__4531;
  unsigned char llvm_cbe_tmp__4532;
  unsigned int llvm_cbe_tmp__4533;
  unsigned char llvm_cbe_tmp__4534;
  unsigned int llvm_cbe_tmp__4535;
  unsigned short llvm_cbe_tmp__4536;
  unsigned int llvm_cbe_tmp4699_2e_lobit;
  unsigned int llvm_cbe_tmp__4537;
  unsigned int llvm_cbe_tmp__4537__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__4538;
  unsigned char *llvm_cbe_tmp__4539;
  unsigned char llvm_cbe_tmp__4540;
  unsigned char llvm_cbe_tmp__4541;
  unsigned int llvm_cbe_tmp__4542;
  unsigned int llvm_cbe_tmp__4543;
  unsigned int llvm_cbe_tmp__4544;
  unsigned char llvm_cbe_tmp__4545;
  unsigned char llvm_cbe_tmp__4546;
  unsigned int llvm_cbe_tmp__4547;
  unsigned short llvm_cbe_tmp__4548;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6905;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6905__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4549;
  unsigned short llvm_cbe_tmp__4549__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4550;
  unsigned int llvm_cbe_tmp__4551;
  unsigned char llvm_cbe_tmp__4552;
  unsigned char llvm_cbe_tmp__4553;
  unsigned int llvm_cbe_tmp__4554;
  unsigned int llvm_cbe_tmp__4555;
  unsigned char llvm_cbe_tmp__4556;
  unsigned char llvm_cbe_tmp__4557;
  unsigned int llvm_cbe_tmp__4558;
  unsigned int llvm_cbe_tmp__4559;
  unsigned char *llvm_cbe_tmp__4560;
  unsigned char llvm_cbe_tmp__4561;
  unsigned int llvm_cbe_tmp__4562;
  unsigned char *llvm_cbe_tmp__4563;
  unsigned char llvm_cbe_tmp__4564;
  unsigned int llvm_cbe_tmp__4565;
  unsigned short llvm_cbe_tmp__4566;
  unsigned int llvm_cbe_tmp__4567;
  unsigned int llvm_cbe_tmp__4568;
  unsigned int llvm_cbe_tmp__4569;
  unsigned int llvm_cbe_tmp4576;
  unsigned int llvm_cbe_tmp__4570;
  unsigned int llvm_cbe_tmp__4570__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4571;
  unsigned char llvm_cbe_tmp__4572;
  unsigned short llvm_cbe_tmp__4573;
  unsigned int llvm_cbe_tmp__4574;
  unsigned char llvm_cbe_tmp__4575;
  unsigned char llvm_cbe_tmp__4576;
  unsigned int llvm_cbe_tmp__4577;
  unsigned short llvm_cbe_tmp__4578;
  unsigned int llvm_cbe__2e_pre_2d_phi7027;
  unsigned int llvm_cbe__2e_pre_2d_phi7027__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4579;
  unsigned char llvm_cbe_tmp__4580;
  unsigned char llvm_cbe_tmp__4581;
  unsigned char llvm_cbe_tmp__4582;
  unsigned int llvm_cbe_tmp__4583;
  unsigned char *llvm_cbe_tmp__4584;
  unsigned char llvm_cbe_tmp__4585;
  unsigned int llvm_cbe_tmp__4586;
  unsigned char llvm_cbe_tmp__4587;
  unsigned int llvm_cbe_tmp__4588;
  unsigned int llvm_cbe_tmp__4589;
  unsigned short llvm_cbe_tmp__4590;
  unsigned int llvm_cbe_tmp4555;
  unsigned int llvm_cbe_tmp__4591;
  unsigned int llvm_cbe_tmp__4591__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6909;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6909__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4592;
  unsigned short llvm_cbe_tmp__4592__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4593;
  unsigned char llvm_cbe_tmp__4594;
  unsigned char llvm_cbe_tmp__4595;
  unsigned int llvm_cbe_tmp__4596;
  unsigned int llvm_cbe_tmp__4597;
  unsigned int llvm_cbe_tmp__4598;
  unsigned char *llvm_cbe_tmp__4599;
  unsigned char llvm_cbe_tmp__4600;
  unsigned char *llvm_cbe_tmp__4601;
  unsigned char llvm_cbe_tmp__4602;
  unsigned int llvm_cbe_tmp__4603;
  unsigned char llvm_cbe_tmp__4604;
  unsigned int llvm_cbe_tmp__4605;
  unsigned char llvm_cbe_tmp__4606;
  unsigned char llvm_cbe_tmp__4607;
  unsigned int llvm_cbe_tmp__4608;
  unsigned int llvm_cbe_tmp__4609;
  unsigned short llvm_cbe_tmp__4610;
  unsigned short llvm_cbe_tmp__4610__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4611;
  unsigned int llvm_cbe_tmp__4612;
  unsigned char llvm_cbe_tmp__4613;
  unsigned char llvm_cbe_tmp__4614;
  unsigned int llvm_cbe_tmp__4615;
  unsigned int llvm_cbe_tmp__4616;
  unsigned char llvm_cbe_tmp__4617;
  unsigned char llvm_cbe_tmp__4618;
  unsigned int llvm_cbe_tmp__4619;
  unsigned int llvm_cbe_tmp__4620;
  unsigned char llvm_cbe_tmp__4621;
  unsigned char llvm_cbe_tmp__4622;
  unsigned int llvm_cbe_tmp__4623;
  unsigned char llvm_cbe_tmp__4624;
  unsigned int llvm_cbe_tmp__4625;
  unsigned short llvm_cbe_tmp__4626;
  unsigned int llvm_cbe_tmp4571;
  unsigned int llvm_cbe_tmp__4627;
  unsigned int llvm_cbe_tmp__4627__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4628;
  unsigned int llvm_cbe_tmp__4629;
  unsigned char llvm_cbe_tmp__4630;
  unsigned int llvm_cbe_tmp__4631;
  unsigned short llvm_cbe_tmp__4632;
  unsigned int llvm_cbe__2e_lobit4558;
  unsigned int llvm_cbe_tmp__4633;
  unsigned int llvm_cbe_tmp__4633__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4634;
  unsigned char llvm_cbe_tmp__4635;
  unsigned char llvm_cbe_tmp__4636;
  unsigned char llvm_cbe_tmp__4637;
  unsigned int llvm_cbe_tmp__4638;
  unsigned char llvm_cbe_tmp__4639;
  unsigned int llvm_cbe_tmp__4640;
  unsigned char llvm_cbe_tmp__4641;
  unsigned int llvm_cbe_tmp__4642;
  unsigned char *llvm_cbe_tmp__4643;
  unsigned char llvm_cbe_tmp__4644;
  unsigned int llvm_cbe_tmp__4645;
  unsigned char *llvm_cbe_tmp__4646;
  unsigned char llvm_cbe_tmp__4647;
  unsigned int llvm_cbe_tmp__4648;
  unsigned short llvm_cbe_tmp__4649;
  unsigned int llvm_cbe_tmp4560_2e_lobit;
  unsigned int llvm_cbe_tmp__4650;
  unsigned int llvm_cbe_tmp__4650__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4651;
  unsigned int llvm_cbe_tmp__4652;
  unsigned char llvm_cbe_tmp__4653;
  unsigned int llvm_cbe_tmp__4654;
  unsigned short llvm_cbe_tmp__4655;
  unsigned int llvm_cbe__2e_lobit4565;
  unsigned int llvm_cbe_tmp__4656;
  unsigned int llvm_cbe_tmp__4656__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4657;
  unsigned int llvm_cbe_tmp__4658;
  unsigned char llvm_cbe_tmp__4659;
  unsigned int llvm_cbe_tmp__4660;
  unsigned short llvm_cbe_tmp__4661;
  unsigned int llvm_cbe_tmp4564;
  unsigned int llvm_cbe_tmp__4662;
  unsigned int llvm_cbe_tmp__4662__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4663;
  unsigned char llvm_cbe_tmp__4664;
  unsigned int llvm_cbe_tmp__4665;
  unsigned short llvm_cbe_tmp__4666;
  unsigned int llvm_cbe_tmp__4667;
  unsigned char llvm_cbe_tmp__4668;
  unsigned int llvm_cbe_tmp__4669;
  unsigned char llvm_cbe_tmp__4670;
  unsigned char llvm_cbe_tmp__4671;
  unsigned int llvm_cbe_tmp__4672;
  unsigned char llvm_cbe_tmp__4673;
  unsigned int llvm_cbe_tmp__4674;
  unsigned short llvm_cbe_tmp__4675;
  unsigned int llvm_cbe_tmp4574_2e_lobit;
  unsigned int llvm_cbe_tmp__4676;
  unsigned int llvm_cbe_tmp__4676__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4677;
  unsigned char llvm_cbe_tmp__4678;
  unsigned int llvm_cbe_tmp__4679;
  unsigned char llvm_cbe_tmp__4680;
  unsigned char llvm_cbe_tmp__4681;
  unsigned int llvm_cbe_tmp__4682;
  unsigned char llvm_cbe_tmp__4683;
  unsigned int llvm_cbe_tmp__4684;
  unsigned short llvm_cbe_tmp__4685;
  unsigned int llvm_cbe_tmp4582_2e_lobit;
  unsigned int llvm_cbe__2e_pre7026_2e_pre;
  unsigned int llvm_cbe__2e_pre7026_2e_pre_2d_phi;
  unsigned int llvm_cbe__2e_pre7026_2e_pre_2d_phi__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4686;
  unsigned int llvm_cbe_tmp__4686__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_rle7002;
  unsigned short llvm_cbe__2e_rle7002__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4687;
  unsigned short llvm_cbe_tmp__4687__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4688;
  unsigned short llvm_cbe_tmp__4689;
  unsigned int llvm_cbe_tmp__4690;
  unsigned short llvm_cbe_tmp__4691;
  unsigned short llvm_cbe_tmp__4691__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4692;
  unsigned int llvm_cbe_tmp__4693;
  unsigned char llvm_cbe_tmp__4694;
  unsigned char llvm_cbe_tmp__4695;
  unsigned int llvm_cbe_tmp__4696;
  unsigned int llvm_cbe_tmp__4697;
  unsigned short llvm_cbe_tmp__4698;
  unsigned short llvm_cbe_tmp__4698__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4699;
  unsigned char *llvm_cbe_tmp__4700;
  unsigned char llvm_cbe_tmp__4701;
  unsigned char *llvm_cbe_tmp__4702;
  unsigned char llvm_cbe_tmp__4703;
  unsigned int llvm_cbe_tmp__4704;
  unsigned char llvm_cbe_tmp__4705;
  unsigned char llvm_cbe_tmp__4706;
  unsigned int llvm_cbe_tmp__4707;
  unsigned char llvm_cbe_tmp__4708;
  unsigned int llvm_cbe_tmp__4709;
  unsigned short llvm_cbe_tmp__4710;
  unsigned int llvm_cbe__2e_lobit4706;
  unsigned int llvm_cbe_tmp__4711;
  unsigned int llvm_cbe_tmp__4711__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4712;
  unsigned int llvm_cbe_tmp__4713;
  unsigned int llvm_cbe_tmp__4714;
  unsigned int llvm_cbe_tmp__4715;
  unsigned int llvm_cbe_tmp__4716;
  unsigned int llvm_cbe_tmp__4717;
  unsigned char llvm_cbe_tmp__4718;
  unsigned char llvm_cbe_tmp__4719;
  unsigned int llvm_cbe_tmp__4720;
  unsigned int llvm_cbe_tmp__4721;
  unsigned int llvm_cbe_tmp__4722;
  unsigned char llvm_cbe_tmp__4723;
  unsigned char llvm_cbe_tmp__4724;
  unsigned int llvm_cbe_tmp__4725;
  unsigned int llvm_cbe_tmp__4726;
  unsigned char llvm_cbe_tmp__4727;
  unsigned char llvm_cbe_tmp__4728;
  unsigned char llvm_cbe_tmp__4729;
  unsigned short llvm_cbe_tmp__4730;
  unsigned int llvm_cbe_tmp__4731;
  unsigned int llvm_cbe_tmp__4732;
  unsigned char *llvm_cbe_tmp__4733;
  unsigned char llvm_cbe_tmp__4734;
  unsigned char *llvm_cbe_tmp__4735;
  unsigned char llvm_cbe_tmp__4736;
  unsigned int llvm_cbe_tmp__4737;
  unsigned char llvm_cbe_tmp__4738;
  unsigned char llvm_cbe_tmp__4739;
  unsigned char llvm_cbe_tmp__4740;
  unsigned short llvm_cbe_tmp__4741;
  unsigned int llvm_cbe_tmp__4742;
  unsigned int llvm_cbe_tmp__4743;
  unsigned char llvm_cbe_tmp__4744;
  unsigned char llvm_cbe_tmp__4745;
  unsigned int llvm_cbe_tmp__4746;
  unsigned int llvm_cbe_tmp__4747;
  unsigned int llvm_cbe_tmp__4748;
  unsigned int llvm_cbe_tmp__4749;
  unsigned char llvm_cbe_tmp__4750;
  unsigned char llvm_cbe_tmp__4751;
  unsigned int llvm_cbe_tmp__4752;
  unsigned int llvm_cbe_tmp__4753;
  unsigned char *llvm_cbe_tmp__4754;
  unsigned char *llvm_cbe_tmp__4755;
  unsigned int llvm_cbe_tmp__4756;
  unsigned char llvm_cbe_tmp__4757;
  unsigned char llvm_cbe_tmp__4758;
  unsigned int llvm_cbe_tmp__4759;
  unsigned char llvm_cbe_tmp__4760;
  unsigned char llvm_cbe_tmp__4761;
  unsigned int llvm_cbe_tmp__4762;
  unsigned short llvm_cbe_tmp__4763;
  unsigned char llvm_cbe_tmp__4764;
  unsigned char llvm_cbe_tmp__4765;
  unsigned int llvm_cbe_tmp__4766;
  unsigned short llvm_cbe_tmp__4767;
  unsigned short llvm_cbe_tmp__4767__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4768;
  unsigned char llvm_cbe_tmp__4769;
  unsigned char llvm_cbe_tmp__4770;
  unsigned int llvm_cbe_tmp__4771;
  unsigned int llvm_cbe_tmp__4772;
  unsigned char llvm_cbe_tmp__4773;
  unsigned char llvm_cbe_tmp__4774;
  unsigned int llvm_cbe_tmp__4775;
  unsigned int llvm_cbe_tmp__4776;
  unsigned int llvm_cbe_tmp__4777;
  unsigned char llvm_cbe_tmp__4778;
  unsigned char llvm_cbe_tmp__4779;
  unsigned int llvm_cbe_tmp__4780;
  unsigned int llvm_cbe_tmp__4781;
  unsigned char llvm_cbe_tmp__4782;
  unsigned char llvm_cbe_tmp__4783;
  unsigned int llvm_cbe_tmp__4784;
  unsigned int llvm_cbe_tmp__4785;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6910;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6910__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4786;
  unsigned short llvm_cbe_tmp__4786__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5977;
  unsigned int llvm_cbe__2e_rle5977__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5943;
  unsigned int llvm_cbe__2e_rle5943__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5911;
  unsigned int llvm_cbe__2e_rle5911__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4787;
  unsigned char llvm_cbe_tmp__4788;
  unsigned char llvm_cbe_tmp__4789;
  unsigned short llvm_cbe_tmp__4790;
  unsigned char llvm_cbe_tmp__4791;
  unsigned char llvm_cbe_tmp__4792;
  unsigned char llvm_cbe_tmp__4793;
  unsigned char llvm_cbe_tmp__4794;
  unsigned int llvm_cbe_tmp__4795;
  unsigned short llvm_cbe_tmp__4796;
  unsigned short llvm_cbe_tmp__4796__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4797;
  unsigned int llvm_cbe__2e_lobit4607;
  unsigned int llvm_cbe_tmp__4798;
  unsigned int llvm_cbe_tmp__4798__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4799;
  unsigned short llvm_cbe_tmp__4800;
  unsigned int llvm_cbe_tmp__4801;
  unsigned int llvm_cbe_tmp__4802;
  unsigned char *llvm_cbe_tmp__4803;
  unsigned char llvm_cbe_tmp__4804;
  unsigned int llvm_cbe_tmp__4805;
  unsigned char *llvm_cbe_tmp__4806;
  unsigned char llvm_cbe_tmp__4807;
  unsigned int llvm_cbe_tmp__4808;
  unsigned short llvm_cbe_tmp__4809;
  unsigned int llvm_cbe__2e_lobit4606;
  unsigned int llvm_cbe_tmp__4810;
  unsigned int llvm_cbe_tmp__4810__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4811;
  unsigned char *llvm_cbe_tmp__4812;
  unsigned char llvm_cbe_tmp__4813;
  unsigned int llvm_cbe_tmp__4814;
  unsigned char *llvm_cbe_tmp__4815;
  unsigned char llvm_cbe_tmp__4816;
  unsigned int llvm_cbe_tmp__4817;
  unsigned short llvm_cbe_tmp__4818;
  unsigned int llvm_cbe_tmp4605;
  unsigned int llvm_cbe_tmp__4819;
  unsigned int llvm_cbe_tmp__4819__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4820;
  unsigned short llvm_cbe_tmp__4820__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4821;
  unsigned char *llvm_cbe_tmp__4822;
  unsigned char llvm_cbe_tmp__4823;
  unsigned char *llvm_cbe_tmp__4824;
  unsigned char llvm_cbe_tmp__4825;
  unsigned int llvm_cbe_tmp__4826;
  unsigned char llvm_cbe_tmp__4827;
  unsigned short llvm_cbe_tmp__4828;
  unsigned int llvm_cbe_tmp__4829;
  unsigned int llvm_cbe_tmp__4830;
  unsigned char *llvm_cbe_tmp__4831;
  unsigned char llvm_cbe_tmp__4832;
  unsigned int llvm_cbe_tmp__4833;
  unsigned char *llvm_cbe_tmp__4834;
  unsigned char llvm_cbe_tmp__4835;
  unsigned int llvm_cbe_tmp__4836;
  unsigned short llvm_cbe_tmp__4837;
  unsigned int llvm_cbe_tmp__4838;
  unsigned int llvm_cbe_tmp__4839;
  unsigned int llvm_cbe_tmp__4840;
  unsigned int llvm_cbe_tmp4599;
  unsigned int llvm_cbe_tmp__4841;
  unsigned int llvm_cbe_tmp__4841__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4842;
  unsigned char llvm_cbe_tmp__4843;
  unsigned short llvm_cbe_tmp__4844;
  unsigned int llvm_cbe_tmp__4845;
  unsigned char *llvm_cbe_tmp__4846;
  unsigned char llvm_cbe_tmp__4847;
  unsigned char *llvm_cbe_tmp__4848;
  unsigned char llvm_cbe_tmp__4849;
  unsigned int llvm_cbe_tmp__4850;
  unsigned int llvm_cbe_tmp__4851;
  unsigned int llvm_cbe_tmp__4852;
  unsigned char llvm_cbe_tmp__4853;
  unsigned char llvm_cbe_tmp__4854;
  unsigned int llvm_cbe_tmp__4855;
  unsigned char *llvm_cbe_tmp__4856;
  unsigned char *llvm_cbe_tmp__4857;
  unsigned char llvm_cbe_tmp__4858;
  unsigned char llvm_cbe_tmp__4859;
  unsigned int llvm_cbe_tmp__4860;
  unsigned char llvm_cbe_tmp__4861;
  unsigned char llvm_cbe_tmp__4862;
  unsigned int llvm_cbe_tmp__4863;
  unsigned short llvm_cbe_tmp__4864;
  unsigned short llvm_cbe_tmp__4864__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4865;
  unsigned char llvm_cbe_tmp__4866;
  unsigned char llvm_cbe_tmp__4867;
  unsigned char llvm_cbe_tmp__4868;
  unsigned short llvm_cbe_tmp__4869;
  unsigned int llvm_cbe_tmp__4870;
  unsigned char llvm_cbe_tmp__4871;
  unsigned char llvm_cbe_tmp__4872;
  unsigned char llvm_cbe_tmp__4873;
  unsigned short llvm_cbe_tmp__4874;
  unsigned char llvm_cbe_tmp__4875;
  unsigned int llvm_cbe_tmp__4876;
  unsigned int llvm_cbe_tmp__4877;
  unsigned int llvm_cbe_tmp__4878;
  unsigned short llvm_cbe_tmp__4879;
  unsigned int llvm_cbe_tmp__4880;
  unsigned char llvm_cbe_tmp__4881;
  unsigned char llvm_cbe_tmp__4882;
  unsigned short llvm_cbe_tmp__4883;
  unsigned int llvm_cbe__2e_pre_2d_phi7031;
  unsigned int llvm_cbe__2e_pre_2d_phi7031__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4884;
  unsigned char llvm_cbe_tmp__4885;
  unsigned char llvm_cbe_tmp__4886;
  unsigned short llvm_cbe_tmp__4887;
  unsigned int llvm_cbe_tmp__4888;
  unsigned char llvm_cbe_tmp__4889;
  unsigned char llvm_cbe_tmp__4890;
  unsigned char llvm_cbe_tmp__4891;
  unsigned short llvm_cbe_tmp__4892;
  unsigned int llvm_cbe_tmp__4893;
  unsigned short llvm_cbe_tmp__4894;
  unsigned short llvm_cbe_tmp__4894__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4895;
  unsigned char *llvm_cbe_tmp__4896;
  unsigned char llvm_cbe_tmp__4897;
  unsigned char *llvm_cbe_tmp__4898;
  unsigned char llvm_cbe_tmp__4899;
  unsigned int llvm_cbe_tmp__4900;
  unsigned char llvm_cbe_tmp__4901;
  unsigned short llvm_cbe_tmp__4902;
  unsigned int llvm_cbe_tmp__4903;
  unsigned int llvm_cbe_tmp__4904;
  unsigned char *llvm_cbe_tmp__4905;
  unsigned char llvm_cbe_tmp__4906;
  unsigned int llvm_cbe_tmp__4907;
  unsigned char *llvm_cbe_tmp__4908;
  unsigned char llvm_cbe_tmp__4909;
  unsigned int llvm_cbe_tmp__4910;
  unsigned short llvm_cbe_tmp__4911;
  unsigned int llvm_cbe_tmp__4912;
  unsigned int llvm_cbe_tmp__4913;
  unsigned int llvm_cbe_tmp__4914;
  unsigned int llvm_cbe_tmp4708;
  unsigned int llvm_cbe_tmp__4915;
  unsigned int llvm_cbe_tmp__4915__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4916;
  unsigned char llvm_cbe_tmp__4917;
  unsigned short llvm_cbe_tmp__4918;
  unsigned short llvm_cbe_tmp__4919;
  unsigned short llvm_cbe_tmp__4919__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4920;
  unsigned char *llvm_cbe_tmp__4921;
  unsigned char llvm_cbe_tmp__4922;
  unsigned int llvm_cbe_tmp__4923;
  unsigned char *llvm_cbe_tmp__4924;
  unsigned char llvm_cbe_tmp__4925;
  unsigned int llvm_cbe_tmp__4926;
  unsigned short llvm_cbe_tmp__4927;
  unsigned int llvm_cbe_tmp4799;
  unsigned int llvm_cbe_tmp__4928;
  unsigned int llvm_cbe_tmp__4928__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4929;
  unsigned short llvm_cbe_tmp__4929__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4930;
  unsigned char llvm_cbe_tmp__4931;
  unsigned char llvm_cbe_tmp__4932;
  unsigned char llvm_cbe_tmp__4933;
  unsigned short llvm_cbe_tmp__4934;
  unsigned int llvm_cbe_tmp__4935;
  unsigned int llvm_cbe_tmp__4936;
  unsigned char *llvm_cbe_tmp__4937;
  unsigned char llvm_cbe_tmp__4938;
  unsigned char *llvm_cbe_tmp__4939;
  unsigned char llvm_cbe_tmp__4940;
  unsigned int llvm_cbe_tmp__4941;
  unsigned char llvm_cbe_tmp__4942;
  unsigned char llvm_cbe_tmp__4943;
  unsigned char llvm_cbe_tmp__4944;
  unsigned short llvm_cbe_tmp__4945;
  unsigned char llvm_cbe_tmp__4946;
  unsigned char llvm_cbe_tmp__4947;
  unsigned int llvm_cbe_tmp__4948;
  unsigned int llvm_cbe_tmp__4949;
  unsigned int llvm_cbe_tmp__4950;
  unsigned short llvm_cbe_tmp__4951;
  unsigned int llvm_cbe_tmp__4952;
  unsigned char llvm_cbe_tmp__4953;
  unsigned char llvm_cbe_tmp__4954;
  unsigned short llvm_cbe_tmp__4955;
  unsigned int llvm_cbe__2e_lobit4613;
  unsigned int llvm_cbe_tmp__4956;
  unsigned int llvm_cbe_tmp__4956__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6944;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6944__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__4957;
  unsigned short llvm_cbe_tmp__4957__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4958;
  unsigned int llvm_cbe_tmp__4959;
  unsigned int llvm_cbe_tmp__4960;
  unsigned char *llvm_cbe_tmp__4961;
  unsigned char llvm_cbe_tmp__4962;
  unsigned int llvm_cbe_tmp__4963;
  unsigned char *llvm_cbe_tmp__4964;
  unsigned char llvm_cbe_tmp__4965;
  unsigned int llvm_cbe_tmp__4966;
  unsigned short llvm_cbe_tmp__4967;
  unsigned int llvm_cbe__2e_lobit4692;
  unsigned int llvm_cbe_tmp__4968;
  unsigned int llvm_cbe_tmp__4968__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4969;
  unsigned char llvm_cbe_tmp__4970;
  unsigned int llvm_cbe_tmp__4971;
  unsigned short llvm_cbe_tmp__4972;
  unsigned int llvm_cbe_tmp__4973;
  unsigned char llvm_cbe_tmp__4974;
  unsigned char llvm_cbe_tmp__4975;
  unsigned int llvm_cbe_tmp__4976;
  unsigned short llvm_cbe_tmp__4977;
  unsigned short llvm_cbe_tmp__4977__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__4978;
  unsigned char llvm_cbe_tmp__4979;
  unsigned char *llvm_cbe_tmp__4980;
  unsigned int llvm_cbe_tmp4615;
  unsigned int llvm_cbe_tmp__4981;
  unsigned int llvm_cbe_tmp__4981__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__4982;
  unsigned int llvm_cbe_tmp__4983;
  unsigned short llvm_cbe_tmp__4984;
  unsigned int llvm_cbe_tmp__4985;
  unsigned int llvm_cbe_tmp__4986;
  unsigned int llvm_cbe_tmp__4987;
  unsigned char llvm_cbe_tmp__4988;
  unsigned char llvm_cbe_tmp__4989;
  unsigned int llvm_cbe_tmp__4990;
  unsigned int llvm_cbe_tmp__4991;
  unsigned int llvm_cbe_tmp__4992;
  unsigned int llvm_cbe_tmp__4993;
  unsigned int llvm_cbe_tmp__4994;
  unsigned int llvm_cbe_tmp__4995;
  unsigned int llvm_cbe_tmp__4996;
  unsigned char *llvm_cbe_tmp__4997;
  unsigned char llvm_cbe_tmp__4998;
  unsigned char *llvm_cbe_tmp__4999;
  unsigned char llvm_cbe_tmp__5000;
  unsigned char llvm_cbe_tmp__5001;
  unsigned int llvm_cbe_tmp__5002;
  unsigned char llvm_cbe_tmp__5003;
  unsigned int llvm_cbe_tmp__5004;
  unsigned char *llvm_cbe_tmp__5005;
  unsigned char llvm_cbe_tmp__5006;
  unsigned int llvm_cbe_tmp__5007;
  unsigned char *llvm_cbe_tmp__5008;
  unsigned char llvm_cbe_tmp__5009;
  unsigned int llvm_cbe_tmp__5010;
  unsigned short llvm_cbe_tmp__5011;
  unsigned int llvm_cbe_tmp4623_2e_lobit;
  unsigned int llvm_cbe_tmp__5012;
  unsigned int llvm_cbe_tmp__5012__PHI_TEMPORARY;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6949;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6949__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5013;
  unsigned short llvm_cbe_tmp__5013__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5014;
  unsigned short llvm_cbe_tmp__5015;
  unsigned short llvm_cbe_tmp__5015__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5016;
  unsigned char llvm_cbe_tmp__5017;
  unsigned char llvm_cbe_tmp__5018;
  unsigned int llvm_cbe_tmp__5019;
  unsigned int llvm_cbe_tmp__5020;
  unsigned char llvm_cbe_tmp__5021;
  unsigned char llvm_cbe_tmp__5022;
  unsigned int llvm_cbe_tmp__5023;
  unsigned int llvm_cbe_tmp__5024;
  unsigned char *llvm_cbe_tmp__5025;
  unsigned char *llvm_cbe_tmp__5026;
  unsigned char llvm_cbe_tmp__5027;
  unsigned char *llvm_cbe_tmp__5028;
  unsigned char llvm_cbe_tmp__5029;
  unsigned int llvm_cbe__2e_masked4906;
  unsigned int llvm_cbe_tmp__5030;
  unsigned int llvm_cbe_tmp__5031;
  unsigned char llvm_cbe_tmp__5032;
  unsigned char llvm_cbe_tmp__5033;
  unsigned char llvm_cbe_tmp__5034;
  unsigned short llvm_cbe_tmp__5035;
  unsigned int llvm_cbe_tmp__5036;
  unsigned char llvm_cbe_tmp__5037;
  unsigned char llvm_cbe_tmp__5038;
  unsigned char llvm_cbe_tmp__5039;
  unsigned short llvm_cbe_tmp__5040;
  unsigned int llvm_cbe_tmp__5041;
  unsigned int llvm_cbe_tmp__5042;
  unsigned char llvm_cbe_tmp__5043;
  unsigned char llvm_cbe_tmp__5044;
  unsigned int llvm_cbe_tmp__5045;
  unsigned int llvm_cbe_tmp__5046;
  unsigned short llvm_cbe_tmp__5047;
  unsigned short llvm_cbe_tmp__5047__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5048;
  unsigned char llvm_cbe_tmp__5049;
  unsigned char llvm_cbe_tmp__5050;
  unsigned char llvm_cbe_tmp__5051;
  unsigned char llvm_cbe_tmp__5052;
  unsigned short llvm_cbe_tmp__5053;
  unsigned int llvm_cbe_tmp__5054;
  unsigned char *llvm_cbe_tmp__5055;
  unsigned char llvm_cbe_tmp__5056;
  unsigned char *llvm_cbe_tmp__5057;
  unsigned char llvm_cbe_tmp__5058;
  unsigned int llvm_cbe_tmp__5059;
  unsigned short llvm_cbe_tmp__5060;
  unsigned int llvm_cbe_tmp__5061;
  unsigned char llvm_cbe_tmp__5062;
  unsigned int llvm_cbe_tmp__5063;
  unsigned int llvm_cbe_tmp__5064;
  unsigned short llvm_cbe_tmp__5065;
  unsigned int llvm_cbe_tmp4769;
  unsigned int llvm_cbe_tmp__5066;
  unsigned int llvm_cbe_tmp__5066__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5067;
  unsigned int llvm_cbe_tmp__5068;
  unsigned short llvm_cbe_tmp__5069;
  unsigned int llvm_cbe_tmp__5070;
  unsigned int llvm_cbe_tmp__5071;
  unsigned short llvm_cbe__2e_rle7010;
  unsigned short llvm_cbe__2e_rle7010__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5072;
  unsigned int llvm_cbe_tmp__5072__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5073;
  unsigned int llvm_cbe_tmp__5073__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5074;
  unsigned short llvm_cbe_tmp__5074__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5075;
  unsigned int llvm_cbe_tmp__5076;
  unsigned char llvm_cbe_tmp__5077;
  unsigned char llvm_cbe_tmp__5078;
  unsigned int llvm_cbe_tmp__5079;
  unsigned char llvm_cbe_tmp__5080;
  unsigned char llvm_cbe_tmp__5081;
  unsigned int llvm_cbe_tmp__5082;
  unsigned int llvm_cbe_tmp__5083;
  unsigned int llvm_cbe_tmp__5084;
  unsigned int llvm_cbe__2e_rle5980;
  unsigned int llvm_cbe__2e_rle5980__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5946;
  unsigned int llvm_cbe__2e_rle5946__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5912;
  unsigned int llvm_cbe__2e_rle5912__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5085;
  unsigned char llvm_cbe_tmp__5086;
  unsigned char llvm_cbe_tmp__5087;
  unsigned short llvm_cbe_tmp__5088;
  unsigned int llvm_cbe_tmp4765;
  unsigned int llvm_cbe_tmp__5089;
  unsigned int llvm_cbe_tmp__5089__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp__5090;
  unsigned char llvm_cbe_tmp__5091;
  unsigned int llvm_cbe_tmp__5092;
  unsigned char *llvm_cbe_tmp__5093;
  unsigned char llvm_cbe_tmp__5094;
  unsigned int llvm_cbe_tmp__5095;
  unsigned short llvm_cbe_tmp__5096;
  unsigned int llvm_cbe_tmp4763;
  unsigned int llvm_cbe_tmp__5097;
  unsigned int llvm_cbe_tmp__5097__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5098;
  unsigned short llvm_cbe_tmp__5098__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5099;
  unsigned char *llvm_cbe_tmp__5100;
  unsigned char llvm_cbe_tmp__5101;
  unsigned char llvm_cbe_tmp__5102;
  unsigned int llvm_cbe_tmp__5103;
  unsigned short llvm_cbe_tmp58555885;
  unsigned short llvm_cbe__2e_pre6738;
  unsigned char llvm_cbe_tmp__5104;
  unsigned char llvm_cbe_tmp__5105;
  unsigned int llvm_cbe_tmp__5106;
  unsigned int llvm_cbe_tmp__5107;
  unsigned int llvm_cbe_tmp__5108;
  unsigned int llvm_cbe_tmp__5109;
  unsigned char llvm_cbe_tmp__5110;
  unsigned short llvm_cbe_tmp__5111;
  unsigned char llvm_cbe_tmp__5112;
  unsigned short llvm_cbe_tmp__5113;
  unsigned int llvm_cbe_tmp__5114;
  unsigned char llvm_cbe_tmp__5115;
  unsigned char *llvm_cbe_tmp__5116;
  unsigned int llvm_cbe_tmp__5117;
  unsigned char *llvm_cbe_tmp__5118;
  unsigned char llvm_cbe_tmp__5119;
  unsigned int llvm_cbe_tmp__5120;
  unsigned int llvm_cbe_tmp__5121;
  unsigned short llvm_cbe_tmp__5122;
  unsigned char llvm_cbe_tmp__5123;
  unsigned char llvm_cbe_tmp__5124;
  unsigned int llvm_cbe_tmp__5125;
  unsigned int llvm_cbe_tmp__5126;
  unsigned int llvm_cbe_tmp__5127;
  unsigned char llvm_cbe_tmp__5128;
  unsigned char llvm_cbe_tmp__5129;
  unsigned char llvm_cbe_tmp__5130;
  unsigned char llvm_cbe_tmp__5131;
  unsigned short llvm_cbe__2e_pre6735;
  unsigned short llvm_cbe_tmp__5132;
  unsigned short llvm_cbe_tmp__5132__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5133;
  unsigned char *llvm_cbe_tmp__5134;
  unsigned char llvm_cbe_tmp__5135;
  unsigned int llvm_cbe_tmp__5136;
  unsigned char *llvm_cbe_tmp__5137;
  unsigned char llvm_cbe_tmp__5138;
  unsigned int llvm_cbe_tmp__5139;
  unsigned short llvm_cbe_tmp__5140;
  unsigned int llvm_cbe__2e_lobit4620;
  unsigned int llvm_cbe_tmp__5141;
  unsigned int llvm_cbe_tmp__5141__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5142;
  unsigned int llvm_cbe_tmp__5143;
  unsigned char llvm_cbe_tmp__5144;
  unsigned char llvm_cbe_tmp__5145;
  unsigned int llvm_cbe_tmp__5146;
  unsigned char llvm_cbe_tmp__5147;
  unsigned char llvm_cbe_tmp__5148;
  unsigned int llvm_cbe_tmp__5149;
  unsigned int llvm_cbe_tmp__5150;
  unsigned int llvm_cbe_tmp__5151;
  unsigned char llvm_cbe_tmp__5152;
  unsigned char llvm_cbe_tmp__5153;
  unsigned int llvm_cbe_tmp__5154;
  unsigned int llvm_cbe_tmp__5155;
  unsigned int llvm_cbe_tmp4629;
  unsigned int llvm_cbe_tmp__5156;
  unsigned int llvm_cbe_tmp__5156__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5157;
  unsigned int llvm_cbe_tmp__5158;
  unsigned char llvm_cbe_tmp__5159;
  unsigned char llvm_cbe_tmp__5160;
  unsigned int llvm_cbe_tmp__5161;
  unsigned int llvm_cbe_tmp__5162;
  unsigned int llvm_cbe_tmp__5163;
  unsigned int llvm_cbe_tmp__5164;
  unsigned int llvm_cbe_tmp__5165;
  unsigned char llvm_cbe_tmp__5166;
  unsigned char llvm_cbe_tmp__5167;
  unsigned short llvm_cbe_tmp__5168;
  unsigned char llvm_cbe_tmp__5169;
  unsigned int llvm_cbe_tmp__5170;
  unsigned char llvm_cbe_tmp__5171;
  unsigned char llvm_cbe_tmp__5172;
  unsigned int llvm_cbe_tmp__5173;
  unsigned char llvm_cbe_tmp__5174;
  unsigned int llvm_cbe_tmp__5175;
  unsigned short llvm_cbe_tmp__5176;
  unsigned int llvm_cbe_tmp4634_2e_lobit;
  unsigned int llvm_cbe_tmp__5177;
  unsigned int llvm_cbe_tmp__5177__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5178;
  unsigned char llvm_cbe_tmp__5179;
  unsigned short llvm_cbe_tmp__5180;
  unsigned short llvm_cbe_tmp__5181;
  unsigned short llvm_cbe_tmp__5182;
  unsigned int llvm_cbe_tmp__5183;
  unsigned int llvm_cbe_tmp__5184;
  unsigned char llvm_cbe_tmp__5185;
  unsigned char llvm_cbe_tmp__5186;
  unsigned int llvm_cbe_tmp__5187;
  unsigned int llvm_cbe_tmp__5188;
  unsigned char llvm_cbe_tmp__5189;
  unsigned char llvm_cbe_tmp__5190;
  unsigned int llvm_cbe_tmp__5191;
  unsigned int llvm_cbe_tmp__5192;
  unsigned int llvm_cbe_tmp__5193;
  unsigned char *llvm_cbe_tmp__5194;
  unsigned char llvm_cbe_tmp__5195;
  unsigned int llvm_cbe_tmp__5196;
  unsigned char *llvm_cbe_tmp__5197;
  unsigned char llvm_cbe_tmp__5198;
  unsigned int llvm_cbe_tmp__5199;
  unsigned short llvm_cbe_tmp__5200;
  unsigned int llvm_cbe_tmp__5201;
  unsigned int llvm_cbe_tmp__5202;
  unsigned int llvm_cbe_tmp__5203;
  unsigned int llvm_cbe_tmp4761;
  unsigned int llvm_cbe_tmp__5204;
  unsigned int llvm_cbe_tmp__5204__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5205;
  unsigned char llvm_cbe_tmp__5206;
  unsigned short llvm_cbe_tmp__5207;
  unsigned char llvm_cbe_tmp__5208;
  unsigned char llvm_cbe_tmp__5209;
  unsigned int llvm_cbe_tmp__5210;
  unsigned int llvm_cbe_tmp__5211;
  unsigned int llvm_cbe_tmp__5212;
  unsigned int llvm_cbe_tmp__5213;
  unsigned char llvm_cbe_tmp__5214;
  unsigned char llvm_cbe_tmp__5215;
  unsigned short llvm_cbe_tmp__5216;
  unsigned char llvm_cbe_tmp__5217;
  unsigned int llvm_cbe_tmp__5218;
  unsigned short llvm_cbe__2e_rle7005;
  unsigned short llvm_cbe__2e_rle7005__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5219;
  unsigned short llvm_cbe_tmp__5219__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5220;
  unsigned short llvm_cbe_tmp__5221;
  unsigned short llvm_cbe_tmp__5221__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5222;
  unsigned char llvm_cbe_tmp__5223;
  unsigned char llvm_cbe_tmp__5224;
  unsigned int llvm_cbe_tmp__5225;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6950;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6950__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5226;
  unsigned short llvm_cbe_tmp__5226__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5227;
  unsigned char llvm_cbe_tmp__5228;
  unsigned int llvm_cbe_tmp__5229;
  unsigned int llvm_cbe_tmp__5230;
  unsigned int llvm_cbe_tmp4641;
  unsigned int llvm_cbe_tmp__5231;
  unsigned int llvm_cbe_tmp__5231__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5232;
  unsigned char llvm_cbe_tmp__5233;
  unsigned int llvm_cbe_tmp__5234;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6953;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6953__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5235;
  unsigned short llvm_cbe_tmp__5235__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5236;
  unsigned int llvm_cbe_tmp__5237;
  unsigned int llvm_cbe_tmp__5238;
  unsigned char *llvm_cbe_tmp__5239;
  unsigned char llvm_cbe_tmp__5240;
  unsigned int llvm_cbe_tmp__5241;
  unsigned char *llvm_cbe_tmp__5242;
  unsigned char llvm_cbe_tmp__5243;
  unsigned int llvm_cbe_tmp__5244;
  unsigned short llvm_cbe_tmp__5245;
  unsigned int llvm_cbe__2e_lobit4795;
  unsigned int llvm_cbe_tmp__5246;
  unsigned int llvm_cbe_tmp__5246__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5247;
  unsigned char llvm_cbe_tmp__5248;
  unsigned int llvm_cbe_tmp__5249;
  unsigned int llvm_cbe_tmp__5250;
  unsigned char llvm_cbe_tmp__5251;
  unsigned char llvm_cbe_tmp__5252;
  unsigned int llvm_cbe_tmp__5253;
  unsigned char llvm_cbe_tmp__5254;
  unsigned char llvm_cbe_tmp__5255;
  unsigned int llvm_cbe_tmp4643_2e_lobit;
  unsigned int llvm_cbe_tmp__5256;
  unsigned int llvm_cbe_tmp__5256__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5257;
  unsigned char llvm_cbe_tmp__5258;
  unsigned char llvm_cbe_tmp__5259;
  unsigned int llvm_cbe_tmp__5260;
  unsigned int llvm_cbe_tmp__5261;
  unsigned int llvm_cbe_tmp__5262;
  unsigned char llvm_cbe_tmp__5263;
  unsigned char llvm_cbe_tmp__5264;
  unsigned int llvm_cbe_tmp__5265;
  unsigned short llvm_cbe_tmp__5266;
  unsigned int llvm_cbe_tmp__5267;
  unsigned char llvm_cbe_tmp__5268;
  unsigned char llvm_cbe_tmp__5269;
  unsigned int llvm_cbe_tmp__5270;
  unsigned short llvm_cbe_tmp__5271;
  bool llvm_cbe_storemerge4667_2e_in;
  bool llvm_cbe_storemerge4667_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5272;
  unsigned char llvm_cbe_tmp__5273;
  unsigned char llvm_cbe_tmp__5274;
  unsigned char llvm_cbe_tmp__5275;
  unsigned int llvm_cbe_tmp__5276;
  unsigned int llvm_cbe_tmp__5277;
  unsigned char llvm_cbe_tmp__5278;
  unsigned char llvm_cbe_tmp__5279;
  unsigned int llvm_cbe_tmp__5280;
  unsigned int llvm_cbe_tmp__5281;
  unsigned char llvm_cbe_tmp__5282;
  unsigned char llvm_cbe_tmp__5283;
  unsigned int llvm_cbe_tmp__5284;
  unsigned short llvm_cbe_tmp__5285;
  unsigned int llvm_cbe_tmp4686;
  unsigned int llvm_cbe_tmp__5286;
  unsigned int llvm_cbe_tmp__5286__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5287;
  unsigned char llvm_cbe_tmp__5288;
  unsigned int llvm_cbe_tmp__5289;
  unsigned char *llvm_cbe_tmp__5290;
  unsigned char llvm_cbe_tmp__5291;
  unsigned char llvm_cbe_tmp__5292;
  unsigned char llvm_cbe_tmp__5293;
  unsigned char llvm_cbe_tmp__5294;
  unsigned short llvm_cbe_tmp__5295;
  unsigned int llvm_cbe_tmp__5296;
  unsigned int llvm_cbe_tmp__5297;
  unsigned int llvm_cbe_tmp__5298;
  unsigned char llvm_cbe_tmp__5299;
  unsigned char llvm_cbe_tmp__5300;
  unsigned int llvm_cbe_tmp__5301;
  unsigned int llvm_cbe_tmp__5302;
  unsigned char llvm_cbe_tmp__5303;
  unsigned char llvm_cbe_tmp__5304;
  unsigned char llvm_cbe_tmp__5305;
  unsigned char llvm_cbe_tmp__5306;
  unsigned char llvm_cbe_tmp__5307;
  unsigned char llvm_cbe_tmp__5308;
  unsigned short llvm_cbe_tmp__5309;
  unsigned int llvm_cbe_tmp__5310;
  unsigned char llvm_cbe_tmp__5311;
  unsigned char llvm_cbe_tmp__5312;
  unsigned char llvm_cbe_tmp__5313;
  unsigned short llvm_cbe_tmp__5314;
  unsigned int llvm_cbe_tmp__5315;
  unsigned int llvm_cbe_tmp__5316;
  unsigned char llvm_cbe_tmp__5317;
  unsigned char llvm_cbe_tmp__5318;
  unsigned char llvm_cbe_tmp__5319;
  unsigned char llvm_cbe_tmp__5320;
  unsigned short llvm_cbe_tmp__5321;
  unsigned short llvm_cbe_tmp__5322;
  unsigned char llvm_cbe_tmp__5323;
  unsigned char llvm_cbe_tmp__5324;
  unsigned char llvm_cbe_tmp__5325;
  unsigned char llvm_cbe_tmp__5326;
  unsigned short llvm_cbe_tmp__5327;
  unsigned int llvm_cbe_tmp__5328;
  unsigned char llvm_cbe_tmp__5329;
  unsigned char llvm_cbe_tmp__5330;
  unsigned short llvm_cbe_tmp__5331;
  unsigned char llvm_cbe_tmp__5332;
  unsigned char llvm_cbe_tmp__5333;
  unsigned short llvm_cbe_tmp__5334;
  unsigned int llvm_cbe_tmp__5335;
  unsigned char llvm_cbe_tmp__5336;
  unsigned char llvm_cbe_tmp__5337;
  unsigned char llvm_cbe_tmp__5338;
  unsigned short llvm_cbe_tmp__5339;
  unsigned int llvm_cbe_tmp__5340;
  unsigned char *llvm_cbe_tmp__5341;
  unsigned char llvm_cbe_tmp__5342;
  unsigned int llvm_cbe_tmp__5343;
  unsigned char *llvm_cbe_tmp__5344;
  unsigned char llvm_cbe_tmp__5345;
  unsigned int llvm_cbe_tmp__5346;
  unsigned short llvm_cbe_tmp__5347;
  unsigned int llvm_cbe__2e_lobit4682;
  unsigned int llvm_cbe_tmp__5348;
  unsigned int llvm_cbe_tmp__5348__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5349;
  unsigned char llvm_cbe_tmp__5350;
  unsigned char llvm_cbe_tmp__5351;
  unsigned char llvm_cbe_tmp__5352;
  unsigned short llvm_cbe_tmp__5353;
  unsigned int llvm_cbe_tmp__5354;
  unsigned int llvm_cbe_tmp__5355;
  unsigned char *llvm_cbe_tmp__5356;
  unsigned char llvm_cbe_tmp__5357;
  unsigned int llvm_cbe_tmp__5358;
  unsigned char *llvm_cbe_tmp__5359;
  unsigned char llvm_cbe_tmp__5360;
  unsigned int llvm_cbe_tmp__5361;
  unsigned char llvm_cbe_tmp__5362;
  unsigned short llvm_cbe_tmp__5363;
  unsigned int llvm_cbe__2e_lobit4680;
  unsigned int llvm_cbe_tmp__5364;
  unsigned int llvm_cbe_tmp__5364__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5365;
  unsigned int llvm_cbe_tmp__5366;
  unsigned char *llvm_cbe_tmp__5367;
  unsigned char llvm_cbe_tmp__5368;
  unsigned int llvm_cbe_tmp__5369;
  unsigned char *llvm_cbe_tmp__5370;
  unsigned char llvm_cbe_tmp__5371;
  unsigned int llvm_cbe_tmp__5372;
  unsigned short llvm_cbe_tmp__5373;
  unsigned int llvm_cbe_tmp4679;
  unsigned int llvm_cbe_tmp__5374;
  unsigned int llvm_cbe_tmp__5374__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5375;
  unsigned int llvm_cbe_tmp__5376;
  unsigned char llvm_cbe_tmp__5377;
  unsigned char llvm_cbe_tmp__5378;
  unsigned char llvm_cbe_tmp__5379;
  unsigned int llvm_cbe_tmp__5380;
  unsigned int llvm_cbe_tmp__5381;
  unsigned char llvm_cbe_tmp__5382;
  unsigned char llvm_cbe_tmp__5383;
  unsigned int llvm_cbe_tmp__5384;
  unsigned int llvm_cbe_tmp__5385;
  unsigned short llvm_cbe_tmp__5386;
  unsigned char llvm_cbe_tmp__5387;
  unsigned int llvm_cbe_tmp__5388;
  unsigned char llvm_cbe_tmp__5389;
  unsigned int llvm_cbe_tmp__5390;
  unsigned short llvm_cbe_tmp__5391;
  unsigned int llvm_cbe__2e_lobit4694;
  unsigned int llvm_cbe_tmp__5392;
  unsigned int llvm_cbe_tmp__5392__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5393;
  unsigned int llvm_cbe_tmp__5394;
  unsigned int llvm_cbe__2e_pre_2d_phi7033;
  unsigned int llvm_cbe__2e_pre_2d_phi7033__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5395;
  unsigned int llvm_cbe_tmp__5396;
  unsigned char llvm_cbe_tmp__5397;
  unsigned char llvm_cbe_tmp__5398;
  unsigned char llvm_cbe_tmp__5399;
  unsigned char llvm_cbe_tmp__5400;
  unsigned short llvm_cbe_tmp__5401;
  unsigned short llvm_cbe_tmp__5402;
  unsigned char llvm_cbe_tmp__5403;
  unsigned int llvm_cbe_tmp__5404;
  unsigned char llvm_cbe_tmp__5405;
  unsigned char llvm_cbe_tmp__5406;
  unsigned int llvm_cbe_tmp__5407;
  unsigned char llvm_cbe_tmp__5408;
  unsigned int llvm_cbe_tmp__5409;
  unsigned short llvm_cbe_tmp__5410;
  unsigned int llvm_cbe_tmp4710_2e_lobit;
  unsigned int llvm_cbe_tmp__5411;
  unsigned int llvm_cbe_tmp__5411__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_pre7032;
  unsigned int llvm_cbe__2e_pre7030;
  unsigned int llvm_cbe_tmp4718_2e_lobit;
  unsigned int llvm_cbe_tmp__5412;
  unsigned int llvm_cbe_tmp__5412__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5413;
  unsigned int llvm_cbe_tmp4724_2e_lobit;
  unsigned int llvm_cbe_tmp__5414;
  unsigned int llvm_cbe_tmp__5414__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5415;
  unsigned int llvm_cbe_tmp__5416;
  unsigned char llvm_cbe_tmp__5417;
  unsigned char llvm_cbe_tmp__5418;
  unsigned int llvm_cbe_tmp__5419;
  unsigned char *llvm_cbe_tmp__5420;
  unsigned char llvm_cbe_tmp__5421;
  unsigned int llvm_cbe_tmp__5422;
  unsigned char *llvm_cbe_tmp__5423;
  unsigned char llvm_cbe_tmp__5424;
  unsigned int llvm_cbe_tmp__5425;
  unsigned short llvm_cbe_tmp__5426;
  unsigned int llvm_cbe__2e_lobit4729;
  unsigned int llvm_cbe_tmp__5427;
  unsigned int llvm_cbe_tmp__5427__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5428;
  unsigned int llvm_cbe_tmp__5429;
  unsigned char llvm_cbe_tmp__5430;
  unsigned char llvm_cbe_tmp__5431;
  unsigned int llvm_cbe_tmp__5432;
  unsigned char llvm_cbe_tmp__5433;
  unsigned int llvm_cbe_tmp__5434;
  unsigned char llvm_cbe_tmp__5435;
  unsigned char llvm_cbe_tmp__5436;
  unsigned short llvm_cbe_tmp__5437;
  unsigned int llvm_cbe_tmp4731_2e_lobit;
  unsigned int llvm_cbe_tmp__5438;
  unsigned int llvm_cbe_tmp__5438__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5439;
  unsigned int llvm_cbe_tmp__5440;
  unsigned int llvm_cbe_tmp__5441;
  unsigned char *llvm_cbe_tmp__5442;
  unsigned char llvm_cbe_tmp__5443;
  unsigned int llvm_cbe_tmp__5444;
  unsigned char *llvm_cbe_tmp__5445;
  unsigned char llvm_cbe_tmp__5446;
  unsigned int llvm_cbe_tmp__5447;
  unsigned short llvm_cbe_tmp__5448;
  unsigned int llvm_cbe__2e_lobit4732;
  unsigned int llvm_cbe_tmp__5449;
  unsigned int llvm_cbe_tmp__5449__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5450;
  unsigned char *llvm_cbe_tmp__5451;
  unsigned char llvm_cbe_tmp__5452;
  unsigned int llvm_cbe_tmp__5453;
  unsigned char *llvm_cbe_tmp__5454;
  unsigned char llvm_cbe_tmp__5455;
  unsigned int llvm_cbe_tmp__5456;
  unsigned short llvm_cbe_tmp__5457;
  unsigned int llvm_cbe_tmp4738;
  unsigned int llvm_cbe_tmp__5458;
  unsigned int llvm_cbe_tmp__5458__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_pre7036;
  unsigned char *llvm_cbe__2e_pre_2d_phi7045;
  unsigned char *llvm_cbe__2e_pre_2d_phi7045__PHI_TEMPORARY;
  unsigned char *llvm_cbe__2e_pre_2d_phi7041;
  unsigned char *llvm_cbe__2e_pre_2d_phi7041__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5459;
  unsigned char llvm_cbe_tmp__5460;
  unsigned char llvm_cbe_tmp__5461;
  unsigned int llvm_cbe_tmp__5462;
  unsigned short llvm_cbe_tmp__5463;
  unsigned int llvm_cbe__2e_pre_2d_phi7037;
  unsigned int llvm_cbe__2e_pre_2d_phi7037__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5464;
  unsigned int llvm_cbe_tmp__5465;
  unsigned char *llvm_cbe_tmp__5466;
  unsigned char llvm_cbe_tmp__5467;
  unsigned int llvm_cbe_tmp__5468;
  unsigned char *llvm_cbe_tmp__5469;
  unsigned char llvm_cbe_tmp__5470;
  unsigned int llvm_cbe_tmp__5471;
  unsigned short llvm_cbe_tmp__5472;
  unsigned int llvm_cbe__2e_lobit4742;
  unsigned int llvm_cbe__2e_pre7046_2e_pre;
  unsigned int llvm_cbe__2e_pre7046_2e_pre_2d_phi;
  unsigned int llvm_cbe__2e_pre7046_2e_pre_2d_phi__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5473;
  unsigned int llvm_cbe_tmp__5473__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_pre_2d_phi7047;
  unsigned int llvm_cbe__2e_pre_2d_phi7047__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5474;
  unsigned int llvm_cbe_tmp__5475;
  unsigned char *llvm_cbe_tmp__5476;
  unsigned char llvm_cbe_tmp__5477;
  unsigned int llvm_cbe_tmp__5478;
  unsigned char *llvm_cbe_tmp__5479;
  unsigned char llvm_cbe_tmp__5480;
  unsigned int llvm_cbe_tmp__5481;
  unsigned short llvm_cbe_tmp__5482;
  unsigned int llvm_cbe__2e_lobit4741;
  unsigned int llvm_cbe__2e_pre7028_2e_pre;
  unsigned int llvm_cbe__2e_pre7028_2e_pre_2d_phi;
  unsigned int llvm_cbe__2e_pre7028_2e_pre_2d_phi__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5483;
  unsigned int llvm_cbe_tmp__5483__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5484;
  unsigned char llvm_cbe_tmp__5485;
  unsigned int llvm_cbe_tmp__5486;
  unsigned int llvm_cbe_tmp__5487;
  unsigned char llvm_cbe_tmp__5488;
  unsigned char llvm_cbe_tmp__5489;
  unsigned int llvm_cbe_tmp__5490;
  unsigned int llvm_cbe_tmp4744;
  unsigned int llvm_cbe_tmp__5491;
  unsigned int llvm_cbe_tmp__5491__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5492;
  unsigned char llvm_cbe_tmp__5493;
  unsigned char llvm_cbe_tmp__5494;
  unsigned short llvm_cbe_tmp__5495;
  unsigned int llvm_cbe_tmp__5496;
  unsigned char *llvm_cbe_tmp__5497;
  unsigned char llvm_cbe_tmp__5498;
  unsigned char *llvm_cbe_tmp__5499;
  unsigned char llvm_cbe_tmp__5500;
  unsigned int llvm_cbe_tmp__5501;
  unsigned int llvm_cbe_tmp__5502;
  unsigned short llvm_cbe_tmp__5503;
  unsigned int llvm_cbe__2e_pre7034;
  unsigned int llvm_cbe__2e_rle5983;
  unsigned int llvm_cbe__2e_rle5983__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5949;
  unsigned int llvm_cbe__2e_rle5949__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5915;
  unsigned int llvm_cbe__2e_rle5915__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5504;
  unsigned char llvm_cbe_tmp__5505;
  unsigned char llvm_cbe_tmp__5506;
  unsigned short llvm_cbe_tmp__5507;
  unsigned int llvm_cbe_tmp__5508;
  unsigned char *llvm_cbe_tmp__5509;
  unsigned char *llvm_cbe_tmp__5510;
  unsigned int llvm_cbe_tmp__5511;
  unsigned int llvm_cbe_tmp__5512;
  unsigned int llvm_cbe__2e_pre7048;
  unsigned char *llvm_cbe__2e_pre7050;
  unsigned char *llvm_cbe__2e_pre7054;
  unsigned char *llvm_cbe__2e_pre_2d_phi7055;
  unsigned char *llvm_cbe__2e_pre_2d_phi7055__PHI_TEMPORARY;
  unsigned char *llvm_cbe__2e_pre_2d_phi7051;
  unsigned char *llvm_cbe__2e_pre_2d_phi7051__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5513;
  unsigned int llvm_cbe_tmp__5514;
  unsigned char *llvm_cbe_tmp__5515;
  unsigned char llvm_cbe_tmp__5516;
  unsigned char *llvm_cbe_tmp__5517;
  unsigned char llvm_cbe_tmp__5518;
  unsigned int llvm_cbe_tmp__5519;
  unsigned char llvm_cbe_tmp__5520;
  unsigned char llvm_cbe_tmp__5521;
  unsigned int llvm_cbe_tmp__5522;
  unsigned char llvm_cbe_tmp__5523;
  unsigned char llvm_cbe_tmp__5524;
  unsigned int llvm_cbe_tmp__5525;
  unsigned char llvm_cbe_tmp__5526;
  unsigned char llvm_cbe_tmp__5527;
  unsigned int llvm_cbe_tmp__5528;
  unsigned char llvm_cbe_tmp__5529;
  unsigned char llvm_cbe_tmp__5530;
  unsigned int llvm_cbe_tmp__5531;
  unsigned char llvm_cbe_tmp__5532;
  unsigned char llvm_cbe_tmp__5533;
  unsigned int llvm_cbe_tmp__5534;
  unsigned char llvm_cbe_tmp__5535;
  unsigned char *llvm_cbe_tmp__5536;
  unsigned char llvm_cbe_tmp__5537;
  unsigned char *llvm_cbe_tmp__5538;
  unsigned char llvm_cbe_tmp__5539;
  unsigned short llvm_cbe_tmp__5540;
  unsigned int llvm_cbe_tmp__5541;
  unsigned int llvm_cbe_tmp__5542;
  unsigned int llvm_cbe_tmp__5543;
  unsigned char *llvm_cbe_tmp__5544;
  unsigned char llvm_cbe_tmp__5545;
  unsigned char *llvm_cbe_tmp__5546;
  unsigned char llvm_cbe_tmp__5547;
  unsigned int llvm_cbe_tmp__5548;
  unsigned char llvm_cbe_tmp__5549;
  unsigned int llvm_cbe_tmp__5550;
  unsigned char llvm_cbe_tmp__5551;
  unsigned int llvm_cbe_tmp__5552;
  unsigned short llvm_cbe_tmp__5553;
  unsigned int llvm_cbe__2e_lobit4756;
  unsigned int llvm_cbe_tmp__5554;
  unsigned int llvm_cbe_tmp__5554__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_lobit4755;
  unsigned int llvm_cbe_tmp__5555;
  unsigned int llvm_cbe_tmp__5555__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5556;
  unsigned char *llvm_cbe_tmp__5557;
  unsigned char llvm_cbe_tmp__5558;
  unsigned int llvm_cbe_tmp__5559;
  unsigned char *llvm_cbe_tmp__5560;
  unsigned char llvm_cbe_tmp__5561;
  unsigned int llvm_cbe_tmp__5562;
  unsigned short llvm_cbe_tmp__5563;
  unsigned int llvm_cbe_tmp4758;
  unsigned int llvm_cbe_tmp__5564;
  unsigned int llvm_cbe_tmp__5564__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5565;
  unsigned char llvm_cbe_tmp__5566;
  unsigned char llvm_cbe_tmp__5567;
  unsigned int llvm_cbe_tmp__5568;
  unsigned int llvm_cbe_tmp__5569;
  unsigned int llvm_cbe_tmp__5570;
  unsigned int llvm_cbe_tmp__5571;
  unsigned int llvm_cbe_tmp__5572;
  unsigned short llvm_cbe_tmp__5573;
  unsigned short llvm_cbe_tmp__5573__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5574;
  unsigned char llvm_cbe_tmp__5575;
  unsigned char llvm_cbe_tmp__5576;
  unsigned int llvm_cbe_tmp__5577;
  unsigned char *llvm_cbe_tmp__5578;
  unsigned char *llvm_cbe_tmp__5579;
  unsigned char llvm_cbe_tmp__5580;
  unsigned int llvm_cbe_tmp__5581;
  unsigned int llvm_cbe_tmp__5582;
  unsigned short llvm_cbe_tmp__5583;
  unsigned int llvm_cbe__2e_lobit4776;
  unsigned int llvm_cbe_tmp__5584;
  unsigned int llvm_cbe_tmp__5584__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5585;
  unsigned char llvm_cbe_tmp__5586;
  unsigned char llvm_cbe_tmp__5587;
  unsigned short llvm_cbe_tmp__5588;
  unsigned int llvm_cbe_tmp__5589;
  unsigned char llvm_cbe_tmp__5590;
  unsigned char llvm_cbe_tmp__5591;
  unsigned char llvm_cbe_tmp__5592;
  unsigned char llvm_cbe_tmp__5593;
  unsigned char llvm_cbe_tmp__5594;
  unsigned char llvm_cbe_tmp__5595;
  unsigned int llvm_cbe_tmp__5596;
  unsigned int llvm_cbe_tmp__5597;
  unsigned int llvm_cbe_tmp__5598;
  unsigned char llvm_cbe_tmp__5599;
  unsigned char llvm_cbe_tmp__5600;
  unsigned int llvm_cbe_tmp__5601;
  unsigned int llvm_cbe_tmp__5602;
  unsigned int llvm_cbe_tmp__5603;
  unsigned int llvm_cbe__2e_rle5984;
  unsigned int llvm_cbe__2e_rle5984__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5950;
  unsigned int llvm_cbe__2e_rle5950__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5916;
  unsigned int llvm_cbe__2e_rle5916__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5604;
  unsigned int llvm_cbe_tmp__5605;
  unsigned char llvm_cbe_tmp__5606;
  unsigned char llvm_cbe_tmp__5607;
  unsigned short llvm_cbe_tmp__5608;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6926;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5609;
  unsigned short llvm_cbe_tmp__5609__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5610;
  unsigned int llvm_cbe_tmp__5611;
  unsigned char *llvm_cbe_tmp__5612;
  unsigned char llvm_cbe_tmp__5613;
  unsigned int llvm_cbe_tmp__5614;
  unsigned char llvm_cbe_tmp__5615;
  unsigned char *llvm_cbe_tmp__5616;
  unsigned char llvm_cbe_tmp__5617;
  unsigned char *llvm_cbe_tmp__5618;
  unsigned char llvm_cbe_tmp__5619;
  unsigned int llvm_cbe_tmp__5620;
  unsigned int llvm_cbe_tmp__5621;
  unsigned short llvm_cbe_tmp__5622;
  unsigned int llvm_cbe_tmp__5623;
  unsigned int llvm_cbe_tmp__5624;
  unsigned int llvm_cbe_tmp__5625;
  unsigned int llvm_cbe_tmp4810;
  unsigned int llvm_cbe_tmp__5626;
  unsigned int llvm_cbe_tmp__5626__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5627;
  unsigned char llvm_cbe_tmp__5628;
  unsigned short llvm_cbe_tmp__5629;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6948;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6948__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5630;
  unsigned short llvm_cbe_tmp__5630__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5631;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6947;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6947__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5632;
  unsigned short llvm_cbe_tmp__5632__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5633;
  unsigned char *llvm_cbe_tmp__5634;
  unsigned char llvm_cbe_tmp__5635;
  unsigned int llvm_cbe_tmp__5636;
  unsigned char *llvm_cbe_tmp__5637;
  unsigned char llvm_cbe_tmp__5638;
  unsigned int llvm_cbe_tmp__5639;
  unsigned short llvm_cbe_tmp__5640;
  unsigned int llvm_cbe__2e_lobit4794;
  unsigned int llvm_cbe_tmp__5641;
  unsigned int llvm_cbe_tmp__5641__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5642;
  unsigned int llvm_cbe_tmp__5643;
  unsigned int llvm_cbe_tmp__5644;
  unsigned int llvm_cbe_tmp__5645;
  unsigned char llvm_cbe_tmp__5646;
  unsigned char llvm_cbe_tmp__5647;
  unsigned short llvm_cbe_tmp__5648;
  unsigned int llvm_cbe__2e_pre_2d_phi7029;
  unsigned int llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5649;
  unsigned int llvm_cbe_tmp__5650;
  unsigned char *llvm_cbe_tmp__5651;
  unsigned char llvm_cbe_tmp__5652;
  unsigned int llvm_cbe_tmp__5653;
  unsigned char *llvm_cbe_tmp__5654;
  unsigned char llvm_cbe_tmp__5655;
  unsigned int llvm_cbe_tmp__5656;
  unsigned short llvm_cbe_tmp__5657;
  unsigned int llvm_cbe__2e_lobit4777;
  unsigned int llvm_cbe_tmp__5658;
  unsigned int llvm_cbe_tmp__5658__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5659;
  unsigned char llvm_cbe_tmp__5660;
  unsigned int llvm_cbe_tmp__5661;
  unsigned short llvm_cbe_tmp__5662;
  unsigned int llvm_cbe_tmp__5663;
  unsigned int llvm_cbe_tmp__5664;
  unsigned char llvm_cbe_tmp__5665;
  unsigned char llvm_cbe_tmp__5666;
  unsigned int llvm_cbe_tmp__5667;
  unsigned char *llvm_cbe_tmp__5668;
  unsigned char llvm_cbe_tmp__5669;
  unsigned int llvm_cbe_tmp__5670;
  unsigned char llvm_cbe_tmp__5671;
  unsigned int llvm_cbe_tmp__5672;
  unsigned char llvm_cbe_tmp__5673;
  unsigned int llvm_cbe_tmp__5674;
  unsigned char llvm_cbe_tmp__5675;
  unsigned char llvm_cbe_tmp__5676;
  unsigned short llvm_cbe_tmp__5677;
  unsigned int llvm_cbe_tmp4779_2e_lobit;
  unsigned int llvm_cbe_tmp__5678;
  unsigned int llvm_cbe_tmp__5678__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5679;
  unsigned int llvm_cbe_tmp__5680;
  unsigned char llvm_cbe_tmp__5681;
  unsigned char llvm_cbe_tmp__5682;
  unsigned char llvm_cbe_tmp__5683;
  unsigned short llvm_cbe_tmp__5684;
  unsigned int llvm_cbe_tmp__5685;
  unsigned int llvm_cbe_tmp__5686;
  unsigned char *llvm_cbe_tmp__5687;
  unsigned char llvm_cbe_tmp__5688;
  unsigned char *llvm_cbe_tmp__5689;
  unsigned char llvm_cbe_tmp__5690;
  unsigned int llvm_cbe_tmp__5691;
  unsigned char llvm_cbe_tmp__5692;
  unsigned char llvm_cbe_tmp__5693;
  unsigned char llvm_cbe_tmp__5694;
  unsigned short llvm_cbe_tmp__5695;
  unsigned int llvm_cbe_tmp__5696;
  unsigned short llvm_cbe_tmp__5697;
  unsigned short llvm_cbe_tmp__5697__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5698;
  unsigned char *llvm_cbe_tmp__5699;
  unsigned char llvm_cbe_tmp__5700;
  unsigned char *llvm_cbe_tmp__5701;
  unsigned char llvm_cbe_tmp__5702;
  unsigned int llvm_cbe_tmp__5703;
  unsigned char llvm_cbe_tmp__5704;
  unsigned short llvm_cbe_tmp__5705;
  unsigned int llvm_cbe_tmp__5706;
  unsigned char *llvm_cbe_tmp__5707;
  unsigned char llvm_cbe_tmp__5708;
  unsigned int llvm_cbe_tmp__5709;
  unsigned char *llvm_cbe_tmp__5710;
  unsigned char llvm_cbe_tmp__5711;
  unsigned int llvm_cbe_tmp__5712;
  unsigned short llvm_cbe_tmp__5713;
  unsigned int llvm_cbe_tmp4784;
  unsigned int llvm_cbe_tmp__5714;
  unsigned int llvm_cbe_tmp__5714__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5715;
  unsigned char llvm_cbe_tmp__5716;
  unsigned char llvm_cbe_tmp__5717;
  unsigned char llvm_cbe_tmp__5718;
  unsigned char llvm_cbe_tmp__5719;
  unsigned int llvm_cbe_tmp__5720;
  unsigned char llvm_cbe_tmp__5721;
  unsigned char llvm_cbe_tmp__5722;
  unsigned int llvm_cbe_tmp__5723;
  unsigned char *llvm_cbe_tmp__5724;
  unsigned char llvm_cbe_tmp__5725;
  unsigned int llvm_cbe_tmp__5726;
  unsigned char *llvm_cbe_tmp__5727;
  unsigned char llvm_cbe_tmp__5728;
  unsigned int llvm_cbe_tmp__5729;
  unsigned short llvm_cbe_tmp__5730;
  unsigned int llvm_cbe__2e_lobit4781;
  unsigned int llvm_cbe_tmp__5731;
  unsigned int llvm_cbe_tmp__5731__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5732;
  unsigned char llvm_cbe_tmp__5733;
  unsigned char llvm_cbe_tmp__5734;
  unsigned int llvm_cbe_tmp__5735;
  unsigned char llvm_cbe_tmp__5736;
  unsigned char llvm_cbe_tmp__5737;
  unsigned int llvm_cbe_tmp__5738;
  unsigned short llvm_cbe_tmp__5739;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6957;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6957__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5740;
  unsigned short llvm_cbe_tmp__5740__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5741;
  unsigned char llvm_cbe_tmp__5742;
  unsigned char llvm_cbe_tmp__5743;
  unsigned int llvm_cbe_tmp__5744;
  unsigned int llvm_cbe_tmp__5745;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6956;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6956__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5746;
  unsigned short llvm_cbe_tmp__5746__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5747;
  unsigned int llvm_cbe_tmp__5748;
  unsigned char llvm_cbe_tmp__5749;
  unsigned char llvm_cbe_tmp__5750;
  unsigned int llvm_cbe_tmp__5751;
  unsigned char *llvm_cbe_tmp__5752;
  unsigned char *llvm_cbe_tmp__5753;
  unsigned char *llvm_cbe_tmp__5754;
  unsigned char llvm_cbe_tmp__5755;
  unsigned int llvm_cbe_tmp__5756;
  unsigned char *llvm_cbe_tmp__5757;
  unsigned char llvm_cbe_tmp__5758;
  unsigned int llvm_cbe_tmp__5759;
  unsigned short llvm_cbe_tmp__5760;
  unsigned int llvm_cbe__2e_lobit4797;
  unsigned int llvm_cbe_tmp__5761;
  unsigned int llvm_cbe_tmp__5761__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5762;
  unsigned char llvm_cbe_tmp__5763;
  unsigned char llvm_cbe_tmp__5764;
  unsigned char llvm_cbe_tmp__5765;
  unsigned short llvm_cbe_tmp__5766;
  unsigned short llvm_cbe_tmp__5767;
  unsigned int llvm_cbe_tmp__5768;
  unsigned int llvm_cbe_tmp__5769;
  unsigned int llvm_cbe_tmp__5770;
  unsigned int llvm_cbe_tmp__5771;
  unsigned int llvm_cbe_tmp__5772;
  unsigned char *llvm_cbe_tmp__5773;
  unsigned char llvm_cbe_tmp__5774;
  unsigned int llvm_cbe_tmp__5775;
  unsigned char *llvm_cbe_tmp__5776;
  unsigned char llvm_cbe_tmp__5777;
  unsigned int llvm_cbe_tmp__5778;
  unsigned short llvm_cbe_tmp__5779;
  unsigned int llvm_cbe__2e_lobit4796;
  unsigned int llvm_cbe_tmp__5780;
  unsigned int llvm_cbe_tmp__5780__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5781;
  unsigned char llvm_cbe_tmp__5782;
  unsigned int llvm_cbe_tmp__5783;
  unsigned char llvm_cbe_tmp__5784;
  unsigned char llvm_cbe_tmp__5785;
  unsigned char llvm_cbe_tmp__5786;
  unsigned int llvm_cbe_tmp4791;
  unsigned int llvm_cbe_tmp__5787;
  unsigned int llvm_cbe_tmp__5787__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5788;
  unsigned char llvm_cbe_tmp__5789;
  unsigned char llvm_cbe_tmp__5790;
  unsigned int llvm_cbe_tmp__5791;
  unsigned char *llvm_cbe_tmp__5792;
  unsigned char *llvm_cbe_tmp__5793;
  unsigned char *llvm_cbe_tmp__5794;
  unsigned char llvm_cbe_tmp__5795;
  unsigned int llvm_cbe_tmp__5796;
  unsigned char *llvm_cbe_tmp__5797;
  unsigned char llvm_cbe_tmp__5798;
  unsigned int llvm_cbe_tmp__5799;
  unsigned short llvm_cbe_tmp__5800;
  unsigned int llvm_cbe__2e_lobit4789;
  unsigned int llvm_cbe_tmp__5801;
  unsigned int llvm_cbe_tmp__5801__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5802;
  unsigned char llvm_cbe_tmp__5803;
  unsigned char llvm_cbe_tmp__5804;
  unsigned char llvm_cbe_tmp__5805;
  unsigned short llvm_cbe_tmp__5806;
  unsigned short llvm_cbe_tmp__5807;
  unsigned int llvm_cbe_tmp__5808;
  unsigned int llvm_cbe_tmp__5809;
  unsigned int llvm_cbe_tmp__5810;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6933;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6933__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5811;
  unsigned short llvm_cbe_tmp__5811__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5812;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6927;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6927__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5813;
  unsigned short llvm_cbe_tmp__5813__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5814;
  unsigned int llvm_cbe_tmp__5815;
  unsigned char llvm_cbe_tmp__5816;
  unsigned char llvm_cbe_tmp__5817;
  unsigned int llvm_cbe_tmp__5818;
  unsigned char *llvm_cbe_tmp__5819;
  unsigned char llvm_cbe_tmp__5820;
  unsigned char llvm_cbe_tmp__5821;
  unsigned char llvm_cbe_tmp__5822;
  unsigned short llvm_cbe_tmp__5823;
  unsigned short llvm_cbe_tmp__5824;
  unsigned char llvm_cbe_tmp__5825;
  unsigned char llvm_cbe_tmp__5826;
  unsigned char llvm_cbe_tmp__5827;
  unsigned short llvm_cbe_tmp__5828;
  unsigned int llvm_cbe_tmp__5829;
  unsigned char llvm_cbe_tmp__5830;
  unsigned char llvm_cbe_tmp__5831;
  unsigned char llvm_cbe_tmp__5832;
  unsigned short llvm_cbe_tmp__5833;
  unsigned int llvm_cbe_tmp__5834;
  unsigned char llvm_cbe_tmp__5835;
  unsigned int llvm_cbe_tmp__5836;
  unsigned char llvm_cbe_tmp__5837;
  unsigned char llvm_cbe_tmp__5838;
  unsigned int llvm_cbe_tmp__5839;
  unsigned char llvm_cbe_tmp__5840;
  unsigned int llvm_cbe_tmp__5841;
  unsigned short llvm_cbe_tmp__5842;
  unsigned int llvm_cbe_tmp4793_2e_lobit;
  unsigned int llvm_cbe_tmp__5843;
  unsigned int llvm_cbe_tmp__5843__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5844;
  unsigned short llvm_cbe_tmp__5844__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5845;
  unsigned char *llvm_cbe_tmp__5846;
  unsigned char llvm_cbe_tmp__5847;
  unsigned char *llvm_cbe_tmp__5848;
  unsigned char llvm_cbe_tmp__5849;
  unsigned int llvm_cbe_tmp__5850;
  unsigned char llvm_cbe_tmp__5851;
  unsigned short llvm_cbe_tmp__5852;
  unsigned int llvm_cbe_tmp__5853;
  unsigned char *llvm_cbe_tmp__5854;
  unsigned char llvm_cbe_tmp__5855;
  unsigned int llvm_cbe_tmp__5856;
  unsigned char *llvm_cbe_tmp__5857;
  unsigned char llvm_cbe_tmp__5858;
  unsigned int llvm_cbe_tmp__5859;
  unsigned short llvm_cbe_tmp__5860;
  unsigned int llvm_cbe_tmp4804;
  unsigned int llvm_cbe_tmp__5861;
  unsigned int llvm_cbe_tmp__5861__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5862;
  unsigned int llvm_cbe_tmp__5863;
  unsigned char llvm_cbe_tmp__5864;
  unsigned char llvm_cbe_tmp__5865;
  unsigned char llvm_cbe_tmp__5866;
  unsigned char llvm_cbe_tmp__5867;
  unsigned int llvm_cbe_tmp__5868;
  unsigned int llvm_cbe_tmp__5869;
  unsigned int llvm_cbe_tmp__5870;
  unsigned int llvm_cbe_tmp__5871;
  unsigned int llvm_cbe_tmp__5872;
  unsigned char llvm_cbe_tmp__5873;
  unsigned char llvm_cbe_tmp__5874;
  unsigned int llvm_cbe_tmp__5875;
  unsigned char llvm_cbe_tmp__5876;
  unsigned char llvm_cbe_tmp__5877;
  unsigned int llvm_cbe_tmp__5878;
  unsigned short llvm_cbe_tmp__5879;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6969;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6969__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5880;
  unsigned short llvm_cbe_tmp__5880__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5986;
  unsigned int llvm_cbe__2e_rle5986__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5952;
  unsigned int llvm_cbe__2e_rle5952__PHI_TEMPORARY;
  unsigned int llvm_cbe__2e_rle5918;
  unsigned int llvm_cbe__2e_rle5918__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5881;
  unsigned char llvm_cbe_tmp__5882;
  unsigned char llvm_cbe_tmp__5883;
  unsigned short llvm_cbe_tmp__5884;
  unsigned int llvm_cbe_tmp__5885;
  unsigned short llvm_cbe_tmp__5886;
  unsigned short llvm_cbe_tmp__5886__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5887;
  unsigned char llvm_cbe_tmp__5888;
  unsigned char llvm_cbe_tmp__5889;
  unsigned char llvm_cbe_tmp__5890;
  unsigned char llvm_cbe_tmp__5891;
  unsigned short llvm_cbe_tmp__5892;
  unsigned int llvm_cbe_tmp__5893;
  unsigned char llvm_cbe_tmp__5894;
  unsigned char llvm_cbe_tmp__5895;
  unsigned char llvm_cbe_tmp__5896;
  unsigned char llvm_cbe_tmp__5897;
  unsigned char llvm_cbe_tmp__5898;
  unsigned char llvm_cbe_tmp__5899;
  unsigned short llvm_cbe_tmp__5900;
  unsigned int llvm_cbe_tmp__5901;
  unsigned char llvm_cbe_tmp__5902;
  unsigned char llvm_cbe_tmp__5903;
  unsigned char llvm_cbe_tmp__5904;
  unsigned short llvm_cbe_tmp__5905;
  unsigned int llvm_cbe_tmp__5906;
  unsigned int llvm_cbe_tmp__5907;
  unsigned char llvm_cbe_tmp__5908;
  unsigned char llvm_cbe_tmp__5909;
  unsigned int llvm_cbe_tmp__5910;
  unsigned int llvm_cbe_tmp__5911;
  unsigned char llvm_cbe_tmp__5912;
  unsigned int llvm_cbe_tmp__5913;
  unsigned char llvm_cbe_tmp__5914;
  unsigned int llvm_cbe_tmp__5915;
  unsigned short llvm_cbe_tmp__5916;
  unsigned int llvm_cbe__2e_lobit4766;
  unsigned int llvm_cbe_tmp__5917;
  unsigned int llvm_cbe_tmp__5917__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5918;
  unsigned int llvm_cbe_tmp__5919;
  unsigned char llvm_cbe_tmp__5920;
  unsigned char llvm_cbe_tmp__5921;
  unsigned char llvm_cbe_tmp__5922;
  unsigned int llvm_cbe_tmp__5923;
  unsigned int llvm_cbe_tmp__5924;
  unsigned int llvm_cbe_tmp__5925;
  unsigned short llvm_cbe_tmp__5926;
  unsigned int llvm_cbe_tmp__5927;
  unsigned char llvm_cbe_tmp__5928;
  unsigned char llvm_cbe_tmp__5929;
  unsigned short llvm_cbe_tmp__5930;
  unsigned int llvm_cbe_tmp__5931;
  unsigned char llvm_cbe_tmp__5932;
  unsigned char llvm_cbe_tmp__5933;
  unsigned char llvm_cbe_tmp__5934;
  unsigned short llvm_cbe_tmp__5935;
  unsigned int llvm_cbe_tmp__5936;
  unsigned char llvm_cbe_tmp__5937;
  unsigned char llvm_cbe_tmp__5938;
  unsigned char llvm_cbe_tmp__5939;
  unsigned short llvm_cbe_tmp__5940;
  unsigned int llvm_cbe_tmp__5941;
  unsigned char llvm_cbe_tmp__5942;
  unsigned int llvm_cbe_tmp__5943;
  unsigned char llvm_cbe_tmp__5944;
  unsigned char llvm_cbe_tmp__5945;
  unsigned int llvm_cbe_tmp__5946;
  unsigned char llvm_cbe_tmp__5947;
  unsigned int llvm_cbe_tmp__5948;
  unsigned short llvm_cbe_tmp__5949;
  unsigned int llvm_cbe_tmp4746_2e_lobit;
  unsigned int llvm_cbe_tmp__5950;
  unsigned int llvm_cbe_tmp__5950__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5951;
  unsigned short llvm_cbe_tmp__5951__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5952;
  unsigned char llvm_cbe_tmp__5953;
  unsigned char llvm_cbe_tmp__5954;
  unsigned int llvm_cbe_tmp__5955;
  unsigned char *llvm_cbe_tmp__5956;
  unsigned char llvm_cbe_tmp__5957;
  unsigned char *llvm_cbe_tmp__5958;
  unsigned char llvm_cbe_tmp__5959;
  unsigned int llvm_cbe_tmp__5960;
  unsigned char llvm_cbe_tmp__5961;
  unsigned short llvm_cbe_tmp__5962;
  unsigned int llvm_cbe_tmp__5963;
  unsigned int llvm_cbe_tmp__5964;
  unsigned char *llvm_cbe_tmp__5965;
  unsigned char llvm_cbe_tmp__5966;
  unsigned int llvm_cbe_tmp__5967;
  unsigned char *llvm_cbe_tmp__5968;
  unsigned char llvm_cbe_tmp__5969;
  unsigned int llvm_cbe_tmp__5970;
  unsigned short llvm_cbe_tmp__5971;
  unsigned int llvm_cbe_tmp__5972;
  unsigned int llvm_cbe_tmp__5973;
  unsigned int llvm_cbe_tmp__5974;
  unsigned int llvm_cbe__2e_lobit4747;
  unsigned int llvm_cbe_tmp__5975;
  unsigned int llvm_cbe_tmp__5975__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5976;
  unsigned char llvm_cbe_tmp__5977;
  unsigned short llvm_cbe_tmp__5978;
  unsigned int llvm_cbe__2e_lobit4811;
  unsigned int llvm_cbe_tmp__5979;
  unsigned int llvm_cbe_tmp__5979__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp__5980;
  unsigned short llvm_cbe_tmp__5981;
  unsigned int llvm_cbe_tmp__5982;
  unsigned char *llvm_cbe_tmp__5983;
  unsigned char llvm_cbe_tmp__5984;
  unsigned char *llvm_cbe_tmp__5985;
  unsigned char llvm_cbe_tmp__5986;
  unsigned short llvm_cbe_tmp__5987;
  unsigned int llvm_cbe_tmp__5988;
  unsigned int llvm_cbe_tmp__5989;
  unsigned char llvm_cbe_tmp__5990;
  unsigned char llvm_cbe_tmp__5991;
  unsigned short llvm_cbe_tmp__5992;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6803;
  unsigned short llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5993;
  unsigned int llvm_cbe_tmp__5993__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5994;
  unsigned int llvm_cbe_tmp__5994__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp__5995;
  unsigned int llvm_cbe_tmp__5995__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5996;
  unsigned short llvm_cbe_tmp__5996__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5997;
  unsigned short llvm_cbe_tmp__5997__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5998;
  unsigned short llvm_cbe_tmp__5998__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp__5999;
  unsigned int llvm_cbe_tmp__6000;
  unsigned int llvm_cbe_tmp__6001;
  unsigned int llvm_cbe_tmp__6002;
  unsigned char llvm_cbe_tmp__6003;
  unsigned char llvm_cbe_tmp__6004;
  unsigned int llvm_cbe_tmp__6005;
  unsigned int llvm_cbe_tmp__6006;
  unsigned char *llvm_cbe_tmp__6007;
  unsigned char llvm_cbe_tmp__6008;
  unsigned char *llvm_cbe_tmp__6009;
  unsigned char llvm_cbe_tmp__6010;
  unsigned int llvm_cbe_tmp__6011;
  unsigned char llvm_cbe_tmp__6012;
  unsigned char llvm_cbe_tmp__6013;
  unsigned int llvm_cbe_tmp__6014;
  unsigned int llvm_cbe_tmp__6015;
  unsigned int llvm_cbe_tmp__6016;
  unsigned int llvm_cbe_tmp__6017;
  unsigned char *llvm_cbe_tmp__6018;
  unsigned char llvm_cbe_tmp__6019;
  unsigned char *llvm_cbe_tmp__6020;
  unsigned char llvm_cbe_tmp__6021;
  unsigned int llvm_cbe_tmp__6022;
  unsigned int llvm_cbe_tmp__6023;
  unsigned char *llvm_cbe_tmp__6024;
  unsigned char llvm_cbe_tmp__6025;
  unsigned char *llvm_cbe_tmp__6026;
  unsigned char llvm_cbe_tmp__6027;
  unsigned int llvm_cbe_tmp__6028;
  unsigned char *llvm_cbe_tmp__6029;
  unsigned char llvm_cbe_tmp__6030;
  unsigned char *llvm_cbe_tmp__6031;
  unsigned char llvm_cbe_tmp__6032;
  unsigned int llvm_cbe_tmp__6033;
  unsigned int llvm_cbe_tmp__6034;
  unsigned char llvm_cbe_tmp__6035;
  unsigned char llvm_cbe_tmp__6036;
  unsigned int llvm_cbe_tmp__6037;
  unsigned short llvm_cbe_tmp__6038;
  unsigned int llvm_cbe_tmp__6039;
  unsigned char *llvm_cbe_tmp__6040;
  unsigned char llvm_cbe_tmp__6041;
  unsigned char *llvm_cbe_tmp__6042;
  unsigned char llvm_cbe_tmp__6043;
  unsigned int llvm_cbe_tmp__6044;
  unsigned int llvm_cbe_tmp__6045;
  unsigned char *llvm_cbe_tmp__6046;
  unsigned char llvm_cbe_tmp__6047;
  unsigned char *llvm_cbe_tmp__6048;
  unsigned char llvm_cbe_tmp__6049;
  unsigned char llvm_cbe_tmp__6050;
  unsigned int llvm_cbe_tmp__6051;
  unsigned int llvm_cbe_tmp__6052;
  unsigned int llvm_cbe_tmp__6053;
  unsigned char *llvm_cbe_tmp__6054;
  unsigned char llvm_cbe_tmp__6055;
  unsigned char *llvm_cbe_tmp__6056;
  unsigned char llvm_cbe_tmp__6057;
  unsigned int llvm_cbe_tmp__6058;
  unsigned int llvm_cbe_tmp__6059;
  unsigned int llvm_cbe_tmp__6060;
  unsigned int llvm_cbe_tmp__6061;
  unsigned int llvm_cbe_tmp__6062;
  unsigned int llvm_cbe_tmp__6063;
  unsigned char llvm_cbe_tmp__6064;
  unsigned char llvm_cbe_tmp__6065;
  unsigned char *llvm_cbe_tmp__6066;
  unsigned char *llvm_cbe_tmp__6067;
  unsigned char llvm_cbe_tmp__6068;
  unsigned int llvm_cbe_tmp__6069;
  unsigned char llvm_cbe_tmp__6070;
  unsigned char llvm_cbe_tmp__6071;
  unsigned int llvm_cbe_tmp__6072;
  unsigned char *llvm_cbe_tmp__6073;
  unsigned char llvm_cbe_tmp__6074;
  unsigned char *llvm_cbe_tmp__6075;
  unsigned char llvm_cbe_tmp__6076;
  unsigned int llvm_cbe_tmp__6077;
  unsigned short llvm_cbe_tmp__6078;
  unsigned int llvm_cbe_tmp__6079;
  unsigned int llvm_cbe_tmp__6080;
  unsigned char llvm_cbe_tmp__6081;
  unsigned char llvm_cbe_tmp__6082;
  unsigned char llvm_cbe_tmp__6083;
  unsigned short llvm_cbe_tmp__6084;
  unsigned int llvm_cbe_tmp__6085;
  unsigned char llvm_cbe_tmp__6086;
  unsigned char llvm_cbe_tmp__6087;
  unsigned char llvm_cbe_tmp__6088;
  unsigned short llvm_cbe__2e_pre_2e_pre;
  unsigned int llvm_cbe_tmp__6089;
  unsigned int llvm_cbe_tmp__6090;
  unsigned char llvm_cbe_tmp__6091;
  unsigned char *llvm_cbe_tmp__6092;
  unsigned char llvm_cbe_tmp__6093;
  unsigned int llvm_cbe_tmp__6094;
  unsigned char *llvm_cbe_tmp__6095;
  unsigned char llvm_cbe_tmp__6096;
  unsigned int llvm_cbe_tmp__6097;
  unsigned int llvm_cbe_tmp__6098;
  unsigned short llvm_cbe_tmp__6099;
  unsigned int llvm_cbe_tmp__6100;
  unsigned int llvm_cbe_tmp__6101;
  unsigned char llvm_cbe_tmp__6102;
  unsigned char *llvm_cbe_tmp__6103;
  unsigned char llvm_cbe_tmp__6104;
  unsigned int llvm_cbe_tmp__6105;
  unsigned char *llvm_cbe_tmp__6106;
  unsigned char llvm_cbe_tmp__6107;
  unsigned int llvm_cbe_tmp__6108;
  unsigned int llvm_cbe_tmp__6109;
  unsigned short llvm_cbe_tmp__6110;
  unsigned int llvm_cbe_tmp__6111;
  unsigned char *llvm_cbe_tmp__6112;
  unsigned char llvm_cbe_tmp__6113;
  unsigned int llvm_cbe_tmp__6114;
  unsigned char *llvm_cbe_tmp__6115;
  unsigned char llvm_cbe_tmp__6116;
  unsigned int llvm_cbe_tmp__6117;
  unsigned int llvm_cbe_tmp__6118;
  unsigned int llvm_cbe_tmp__6119;
  unsigned char *llvm_cbe_tmp__6120;
  unsigned char llvm_cbe_tmp__6121;
  unsigned char *llvm_cbe_tmp__6122;
  unsigned char llvm_cbe_tmp__6123;
  unsigned int llvm_cbe_tmp__6124;
  unsigned int llvm_cbe_tmp__6125;
  unsigned short llvm_cbe_tmp__6126;
  unsigned int llvm_cbe_tmp__6127;
  unsigned int llvm_cbe_tmp__6128;
  unsigned int llvm_cbe_tmp__6129;
  unsigned char llvm_cbe_tmp__6130;
  unsigned char llvm_cbe_tmp__6131;
  unsigned int llvm_cbe_tmp__6132;
  unsigned int llvm_cbe_tmp__6133;
  unsigned int llvm_cbe_tmp__6134;
  unsigned int llvm_cbe_tmp__6135;
  unsigned char *llvm_cbe_tmp__6136;
  unsigned char llvm_cbe_tmp__6137;
  unsigned int llvm_cbe_tmp__6138;
  unsigned char *llvm_cbe_tmp__6139;
  unsigned char llvm_cbe_tmp__6140;
  unsigned int llvm_cbe_tmp__6141;
  unsigned short llvm_cbe_tmp__6142;
  unsigned int llvm_cbe_tmp__6143;
  unsigned char llvm_cbe_tmp__6144;
  unsigned char llvm_cbe_tmp__6145;
  unsigned char llvm_cbe_tmp__6146;
  unsigned short llvm_cbe_tmp__6147;
  unsigned int llvm_cbe_tmp__6148;
  unsigned char *llvm_cbe_tmp__6149;
  unsigned char llvm_cbe_tmp__6150;
  unsigned char *llvm_cbe_tmp__6151;
  unsigned char llvm_cbe_tmp__6152;
  unsigned int llvm_cbe_tmp__6153;
  unsigned int llvm_cbe_tmp__6154;
  unsigned char llvm_cbe_tmp__6155;
  unsigned char llvm_cbe_tmp__6156;
  unsigned int llvm_cbe_tmp__6157;
  unsigned char *llvm_cbe_tmp__6158;
  unsigned char llvm_cbe_tmp__6159;
  unsigned int llvm_cbe_tmp__6160;
  unsigned char *llvm_cbe_tmp__6161;
  unsigned char llvm_cbe_tmp__6162;
  unsigned int llvm_cbe_tmp__6163;
  unsigned short llvm_cbe_tmp__6164;
  unsigned int llvm_cbe_tmp__6165;
  unsigned int llvm_cbe_tmp__6166;
  unsigned char llvm_cbe_tmp__6167;
  unsigned char llvm_cbe_tmp__6168;
  unsigned int llvm_cbe_tmp__6169;
  unsigned int llvm_cbe_tmp__6170;
  unsigned int llvm_cbe_tmp__6171;
  unsigned char llvm_cbe_tmp__6172;
  unsigned char llvm_cbe_tmp__6173;
  unsigned int llvm_cbe_tmp__6174;
  unsigned int llvm_cbe_tmp__6175;
  unsigned char llvm_cbe_tmp__6176;
  unsigned int llvm_cbe_tmp__6177;
  unsigned char *llvm_cbe_tmp__6178;
  unsigned char llvm_cbe_tmp__6179;
  unsigned int llvm_cbe_tmp__6180;
  unsigned int llvm_cbe__2e_mask3881;
  unsigned int llvm_cbe_tmp__6181;
  unsigned int llvm_cbe_tmp__6182;
  unsigned char *llvm_cbe_tmp__6183;
  unsigned char llvm_cbe_tmp__6184;
  unsigned char *llvm_cbe_tmp__6185;
  unsigned char llvm_cbe_tmp__6186;
  unsigned int llvm_cbe_tmp__6187;
  unsigned int llvm_cbe_tmp__6188;
  unsigned char *llvm_cbe_tmp__6189;
  unsigned char llvm_cbe_tmp__6190;
  unsigned char *llvm_cbe_tmp__6191;
  unsigned char llvm_cbe_tmp__6192;
  unsigned char llvm_cbe_tmp__6193;
  unsigned int llvm_cbe_tmp__6194;
  unsigned int llvm_cbe_tmp__6195;
  unsigned int llvm_cbe_tmp__6196;
  unsigned int llvm_cbe_tmp__6197;
  unsigned int llvm_cbe_tmp__6198;
  unsigned int llvm_cbe_tmp__6199;
  unsigned char *llvm_cbe_tmp__6200;
  unsigned char llvm_cbe_tmp__6201;
  unsigned char *llvm_cbe_tmp__6202;
  unsigned char llvm_cbe_tmp__6203;
  unsigned char llvm_cbe_tmp__6204;
  unsigned char llvm_cbe_tmp__6205;
  unsigned int llvm_cbe_tmp__6206;
  unsigned int llvm_cbe_tmp__6207;
  unsigned int llvm_cbe_tmp__6208;
  unsigned int llvm_cbe_tmp__6209;
  unsigned int llvm_cbe_tmp__6210;
  unsigned int llvm_cbe_tmp__6211;
  unsigned int llvm_cbe_tmp__6212;
  unsigned char *llvm_cbe_tmp__6213;
  unsigned char llvm_cbe_tmp__6214;
  unsigned char *llvm_cbe_tmp__6215;
  unsigned char llvm_cbe_tmp__6216;
  unsigned int llvm_cbe_tmp__6217;
  unsigned char llvm_cbe_tmp__6218;
  unsigned char llvm_cbe_tmp__6219;
  unsigned int llvm_cbe_tmp__6220;
  unsigned int llvm_cbe_tmp__6221;
  unsigned int llvm_cbe_tmp__6222;
  unsigned int llvm_cbe_tmp__6223;
  unsigned int llvm_cbe_tmp__6224;
  unsigned int llvm_cbe_tmp__6225;
  unsigned char llvm_cbe_tmp__6226;
  unsigned char llvm_cbe_tmp__6227;
  unsigned int llvm_cbe_tmp__6228;
  unsigned int llvm_cbe_tmp__6229;
  unsigned int llvm_cbe_tmp__6230;
  unsigned int llvm_cbe_tmp__6231;
  unsigned char *llvm_cbe_tmp__6232;
  unsigned char llvm_cbe_tmp__6233;
  unsigned char *llvm_cbe_tmp__6234;
  unsigned char llvm_cbe_tmp__6235;
  unsigned int llvm_cbe_tmp__6236;
  unsigned char llvm_cbe_tmp__6237;
  unsigned char llvm_cbe_tmp__6238;
  unsigned int llvm_cbe_tmp__6239;
  unsigned int llvm_cbe_tmp__6240;
  unsigned int llvm_cbe_tmp__6241;
  unsigned char *llvm_cbe_tmp__6242;
  unsigned char llvm_cbe_tmp__6243;
  unsigned char *llvm_cbe_tmp__6244;
  unsigned char llvm_cbe_tmp__6245;
  unsigned int llvm_cbe_tmp__6246;
  unsigned char llvm_cbe_tmp__6247;
  unsigned char llvm_cbe_tmp__6248;
  unsigned int llvm_cbe_tmp__6249;
  unsigned int llvm_cbe_tmp__6250;
  unsigned int llvm_cbe_tmp__6251;
  unsigned char llvm_cbe_tmp__6252;
  unsigned int llvm_cbe_tmp__6253;
  unsigned int llvm_cbe_tmp__6254;
  unsigned char *llvm_cbe_tmp__6255;
  unsigned char llvm_cbe_tmp__6256;
  unsigned char *llvm_cbe_tmp__6257;
  unsigned char llvm_cbe_tmp__6258;
  unsigned int llvm_cbe_tmp__6259;
  unsigned int llvm_cbe_tmp__6260;
  unsigned short llvm_cbe_tmp__6261;
  unsigned int llvm_cbe_tmp__6262;
  unsigned char llvm_cbe_tmp__6263;
  unsigned int llvm_cbe_tmp__6264;
  unsigned char *llvm_cbe_tmp__6265;
  unsigned char llvm_cbe_tmp__6266;
  unsigned char *llvm_cbe_tmp__6267;
  unsigned char llvm_cbe_tmp__6268;
  unsigned int llvm_cbe_tmp__6269;
  unsigned short llvm_cbe_tmp__6270;
  unsigned int llvm_cbe_tmp__6271;
  unsigned char llvm_cbe_tmp__6272;
  unsigned int llvm_cbe_tmp__6273;
  unsigned char llvm_cbe_tmp__6274;
  unsigned int llvm_cbe_tmp__6275;
  unsigned int llvm_cbe_tmp__6276;
  unsigned char llvm_cbe_tmp__6277;
  unsigned char llvm_cbe_tmp__6278;
  unsigned int llvm_cbe_tmp__6279;
  unsigned char *llvm_cbe_tmp__6280;
  unsigned char *llvm_cbe_tmp__6281;
  unsigned char *llvm_cbe_tmp__6282;
  unsigned char llvm_cbe_tmp__6283;
  unsigned int llvm_cbe_tmp__6284;
  unsigned char *llvm_cbe_tmp__6285;
  unsigned char llvm_cbe_tmp__6286;
  unsigned int llvm_cbe_tmp__6287;
  unsigned char *llvm_cbe_tmp__6288;
  unsigned char llvm_cbe_tmp__6289;
  unsigned char *llvm_cbe_tmp__6290;
  unsigned char llvm_cbe_tmp__6291;
  unsigned int llvm_cbe_tmp__6292;
  unsigned char llvm_cbe_tmp__6293;
  unsigned char llvm_cbe_tmp__6294;
  unsigned int llvm_cbe_tmp__6295;
  unsigned char llvm_cbe_tmp__6296;
  unsigned char llvm_cbe_tmp__6297;
  unsigned int llvm_cbe_tmp__6298;
  unsigned char *llvm_cbe_tmp__6299;
  unsigned char *llvm_cbe_tmp__6300;
  unsigned char llvm_cbe_tmp__6301;
  unsigned int llvm_cbe_tmp__6302;
  unsigned int llvm_cbe_tmp__6303;
  unsigned short llvm_cbe_tmp__6304;
  unsigned int llvm_cbe_tmp__6305;
  unsigned char llvm_cbe_tmp__6306;
  unsigned char llvm_cbe_tmp__6307;
  unsigned char llvm_cbe_tmp__6308;
  unsigned int llvm_cbe_tmp__6309;
  unsigned int llvm_cbe_tmp__6310;
  unsigned int llvm_cbe_tmp__6311;
  unsigned short llvm_cbe_tmp__6312;
  unsigned int llvm_cbe_tmp__6313;
  unsigned char llvm_cbe_tmp__6314;
  unsigned char llvm_cbe_tmp__6315;
  unsigned short llvm_cbe_tmp__6316;
  unsigned int llvm_cbe_tmp__6317;
  unsigned char *llvm_cbe_tmp__6318;
  unsigned char llvm_cbe_tmp__6319;
  unsigned char *llvm_cbe_tmp__6320;
  unsigned char llvm_cbe_tmp__6321;
  unsigned int llvm_cbe_tmp__6322;
  unsigned char llvm_cbe_tmp__6323;
  unsigned char llvm_cbe_tmp__6324;
  unsigned char llvm_cbe_tmp__6325;
  unsigned int llvm_cbe_tmp__6326;
  unsigned int llvm_cbe_tmp__6327;
  unsigned char llvm_cbe_tmp__6328;
  unsigned char llvm_cbe_tmp__6329;
  unsigned int llvm_cbe_tmp__6330;
  unsigned int llvm_cbe_tmp__6331;
  unsigned int llvm_cbe_tmp__6332;
  unsigned int llvm_cbe_tmp__6333;
  unsigned int llvm_cbe_tmp__6334;
  unsigned char llvm_cbe_tmp__6335;
  unsigned char llvm_cbe_tmp__6336;
  unsigned short llvm_cbe_tmp__6337;
  unsigned int llvm_cbe_tmp__6338;
  unsigned int llvm_cbe_tmp__6339;
  unsigned int llvm_cbe_tmp__6340;
  unsigned char *llvm_cbe_tmp__6341;
  unsigned char llvm_cbe_tmp__6342;
  unsigned char *llvm_cbe_tmp__6343;
  unsigned char llvm_cbe_tmp__6344;
  unsigned char llvm_cbe_tmp__6345;
  unsigned char llvm_cbe_tmp__6346;
  unsigned int llvm_cbe_tmp__6347;
  unsigned int llvm_cbe_tmp__6348;
  unsigned char *llvm_cbe_tmp__6349;
  unsigned char llvm_cbe_tmp__6350;
  unsigned int llvm_cbe_tmp__6351;
  unsigned char *llvm_cbe_tmp__6352;
  unsigned char llvm_cbe_tmp__6353;
  unsigned int llvm_cbe_tmp__6354;
  unsigned short llvm_cbe_tmp__6355;
  unsigned int llvm_cbe_tmp__6356;
  unsigned char llvm_cbe_tmp__6357;
  unsigned char llvm_cbe_tmp__6358;
  unsigned char llvm_cbe_tmp__6359;
  unsigned short llvm_cbe_tmp__6360;
  unsigned int llvm_cbe_tmp__6361;
  unsigned int llvm_cbe_tmp__6362;
  unsigned int llvm_cbe_tmp__6363;
  unsigned int llvm_cbe_tmp__6364;
  unsigned int llvm_cbe_tmp__6365;
  unsigned char *llvm_cbe_tmp__6366;
  unsigned char llvm_cbe_tmp__6367;
  unsigned int llvm_cbe_tmp__6368;
  unsigned char *llvm_cbe_tmp__6369;
  unsigned char llvm_cbe_tmp__6370;
  unsigned int llvm_cbe_tmp__6371;
  unsigned int llvm_cbe_tmp__6372;
  unsigned short llvm_cbe_tmp__6373;
  unsigned int llvm_cbe_tmp__6374;
  unsigned char *llvm_cbe_tmp__6375;
  unsigned char llvm_cbe_tmp__6376;
  unsigned int llvm_cbe_tmp__6377;
  unsigned char *llvm_cbe_tmp__6378;
  unsigned char llvm_cbe_tmp__6379;
  unsigned int llvm_cbe_tmp__6380;
  unsigned int llvm_cbe_tmp__6381;
  unsigned short llvm_cbe_tmp__6382;
  unsigned int llvm_cbe_tmp__6383;
  unsigned int llvm_cbe_tmp__6384;
  unsigned int llvm_cbe_tmp__6385;
  unsigned char *llvm_cbe_tmp__6386;
  unsigned char llvm_cbe_tmp__6387;
  unsigned int llvm_cbe_tmp__6388;
  unsigned char *llvm_cbe_tmp__6389;
  unsigned char llvm_cbe_tmp__6390;
  unsigned int llvm_cbe_tmp__6391;
  unsigned short llvm_cbe_tmp__6392;
  unsigned int llvm_cbe_tmp__6393;
  unsigned int llvm_cbe_tmp__6394;
  unsigned int llvm_cbe_tmp__6395;
  unsigned int llvm_cbe_tmp__6396;
  unsigned char *llvm_cbe_tmp__6397;
  unsigned char llvm_cbe_tmp__6398;
  unsigned int llvm_cbe_tmp__6399;
  unsigned char *llvm_cbe_tmp__6400;
  unsigned char llvm_cbe_tmp__6401;
  unsigned int llvm_cbe_tmp__6402;
  unsigned int llvm_cbe_tmp__6403;
  unsigned short llvm_cbe_tmp__6404;
  unsigned int llvm_cbe_tmp__6405;
  unsigned int llvm_cbe_tmp__6406;
  unsigned char *llvm_cbe_tmp__6407;
  unsigned char llvm_cbe_tmp__6408;
  unsigned int llvm_cbe_tmp__6409;
  unsigned char *llvm_cbe_tmp__6410;
  unsigned char llvm_cbe_tmp__6411;
  unsigned int llvm_cbe_tmp__6412;
  unsigned short llvm_cbe_tmp__6413;
  unsigned int llvm_cbe_tmp__6414;
  unsigned char *llvm_cbe_tmp__6415;
  unsigned char llvm_cbe_tmp__6416;
  unsigned char *llvm_cbe_tmp__6417;
  unsigned char llvm_cbe_tmp__6418;
  unsigned int llvm_cbe_tmp__6419;
  unsigned short llvm_cbe_tmp__6420;
  unsigned int llvm_cbe_tmp__6421;
  unsigned int llvm_cbe_tmp__6422;
  unsigned int llvm_cbe_tmp__6423;
  unsigned char *llvm_cbe_tmp__6424;
  unsigned char llvm_cbe_tmp__6425;
  unsigned char *llvm_cbe_tmp__6426;
  unsigned char llvm_cbe_tmp__6427;
  unsigned int llvm_cbe_tmp__6428;
  unsigned int llvm_cbe_tmp__6429;
  unsigned short llvm_cbe_tmp__6430;
  unsigned char llvm_cbe_tmp__6431;
  unsigned char llvm_cbe_tmp__6432;
  unsigned char llvm_cbe_tmp__6433;
  unsigned char llvm_cbe_tmp__6434;
  unsigned char llvm_cbe_tmp__6435;
  unsigned short llvm_cbe_tmp__6436;
  unsigned int llvm_cbe_tmp__6437;
  unsigned int llvm_cbe_tmp__6438;
  unsigned int llvm_cbe_tmp__6439;
  unsigned char llvm_cbe_tmp__6440;
  unsigned char llvm_cbe_tmp__6441;
  unsigned char llvm_cbe_tmp__6442;
  unsigned short llvm_cbe_tmp__6443;
  unsigned int llvm_cbe_tmp__6444;
  unsigned int llvm_cbe_tmp__6445;
  unsigned int llvm_cbe_tmp__6446;
  unsigned int llvm_cbe_tmp__6447;
  unsigned char llvm_cbe_tmp__6448;
  unsigned char llvm_cbe_tmp__6449;
  unsigned int llvm_cbe_tmp__6450;
  unsigned char *llvm_cbe_tmp__6451;
  unsigned char *llvm_cbe_tmp__6452;
  unsigned int llvm_cbe_tmp__6453;
  unsigned char llvm_cbe_tmp__6454;
  unsigned char llvm_cbe_tmp__6455;
  unsigned int llvm_cbe_tmp__6456;
  unsigned char llvm_cbe_tmp__6457;
  unsigned int llvm_cbe_tmp__6458;
  unsigned int llvm_cbe_tmp__6459;
  unsigned char llvm_cbe_tmp__6460;
  unsigned int llvm_cbe_tmp__6461;
  unsigned int llvm_cbe_tmp__6462;
  unsigned short llvm_cbe_tmp__6463;
  unsigned char llvm_cbe_tmp__6464;
  unsigned char llvm_cbe_tmp__6465;
  unsigned int llvm_cbe_tmp__6466;
  unsigned int llvm_cbe_tmp__6467;
  unsigned char llvm_cbe_tmp__6468;
  unsigned char llvm_cbe_tmp__6469;
  unsigned int llvm_cbe_tmp__6470;
  unsigned int llvm_cbe_tmp__6471;
  unsigned int llvm_cbe_tmp__6472;
  unsigned int llvm_cbe_tmp__6473;
  unsigned int llvm_cbe_tmp__6474;
  unsigned int llvm_cbe_tmp__6475;
  unsigned char llvm_cbe_tmp__6476;
  unsigned char llvm_cbe_tmp__6477;
  unsigned short llvm_cbe_tmp__6478;
  unsigned int llvm_cbe_tmp__6479;
  unsigned char llvm_cbe_tmp__6480;
  unsigned char llvm_cbe_tmp__6481;
  unsigned char llvm_cbe_tmp__6482;
  unsigned short llvm_cbe_tmp__6483;
  unsigned int llvm_cbe_tmp__6484;
  unsigned int llvm_cbe_tmp__6485;
  unsigned int llvm_cbe_tmp__6486;
  unsigned int llvm_cbe_tmp__6487;
  unsigned char llvm_cbe_tmp__6488;
  unsigned char llvm_cbe_tmp__6489;
  unsigned int llvm_cbe_tmp__6490;
  unsigned char *llvm_cbe_tmp__6491;
  unsigned char *llvm_cbe_tmp__6492;
  unsigned char *llvm_cbe_tmp__6493;
  unsigned char llvm_cbe_tmp__6494;
  unsigned char llvm_cbe_tmp__6495;
  unsigned char *llvm_cbe_tmp__6496;
  unsigned char llvm_cbe_tmp__6497;
  unsigned char *llvm_cbe_tmp__6498;
  unsigned char llvm_cbe_tmp__6499;
  unsigned char *llvm_cbe_tmp__6500;
  unsigned char llvm_cbe_tmp__6501;
  unsigned int llvm_cbe_tmp__6502;
  unsigned char llvm_cbe_tmp__6503;
  unsigned char llvm_cbe_tmp__6504;
  unsigned char llvm_cbe_tmp__6505;
  unsigned int llvm_cbe_tmp__6506;
  unsigned char llvm_cbe_tmp__6507;
  unsigned int llvm_cbe_tmp__6508;
  unsigned char llvm_cbe_tmp__6509;
  unsigned char llvm_cbe_tmp__6510;
  unsigned int llvm_cbe_tmp__6511;
  unsigned char llvm_cbe_tmp__6512;
  unsigned int llvm_cbe_tmp__6513;
  unsigned short llvm_cbe_tmp__6514;
  unsigned int llvm_cbe_tmp__6515;
  unsigned char llvm_cbe_tmp__6516;
  unsigned char *llvm_cbe_tmp__6517;
  unsigned char llvm_cbe_tmp__6518;
  unsigned int llvm_cbe_tmp__6519;
  unsigned int llvm_cbe__2e_mask4041;
  unsigned int llvm_cbe_tmp__6520;
  unsigned int llvm_cbe_tmp__6521;
  unsigned int llvm_cbe_tmp__6522;
  unsigned char llvm_cbe_tmp__6523;
  unsigned char llvm_cbe_tmp__6524;
  unsigned int llvm_cbe_tmp__6525;
  unsigned int llvm_cbe_tmp__6526;
  unsigned int llvm_cbe_tmp__6527;
  unsigned int llvm_cbe_tmp__6528;
  unsigned char llvm_cbe_tmp__6529;
  unsigned char llvm_cbe_tmp__6530;
  unsigned int llvm_cbe_tmp__6531;
  unsigned char *llvm_cbe_tmp__6532;
  unsigned char llvm_cbe_tmp__6533;
  unsigned int llvm_cbe_tmp__6534;
  unsigned int llvm_cbe_tmp__6535;
  unsigned char llvm_cbe_tmp__6536;
  unsigned int llvm_cbe_tmp__6537;
  unsigned int llvm_cbe_tmp__6538;
  unsigned int llvm_cbe_tmp__6539;
  unsigned int llvm_cbe_tmp__6540;
  unsigned char *llvm_cbe_tmp__6541;
  unsigned char llvm_cbe_tmp__6542;
  unsigned int llvm_cbe_tmp__6543;
  unsigned int llvm_cbe_tmp__6544;
  unsigned char *llvm_cbe_tmp__6545;
  unsigned char llvm_cbe_tmp__6546;
  unsigned int llvm_cbe_tmp__6547;
  unsigned int llvm_cbe_tmp__6548;
  unsigned short llvm_cbe_tmp__6549;
  unsigned char llvm_cbe_tmp__6550;
  unsigned char llvm_cbe_tmp__6551;
  unsigned int llvm_cbe_tmp__6552;
  unsigned char llvm_cbe_tmp__6553;
  unsigned char llvm_cbe_tmp__6554;
  unsigned int llvm_cbe_tmp__6555;
  unsigned int llvm_cbe_tmp__6556;
  unsigned int llvm_cbe_tmp__6557;
  unsigned char *llvm_cbe_tmp__6558;
  unsigned char llvm_cbe_tmp__6559;
  unsigned int llvm_cbe_tmp__6560;
  unsigned int llvm_cbe_tmp__6561;
  unsigned char *llvm_cbe_tmp__6562;
  unsigned char llvm_cbe_tmp__6563;
  unsigned int llvm_cbe_tmp__6564;
  unsigned int llvm_cbe_tmp__6565;
  unsigned short llvm_cbe_tmp__6566;
  unsigned char llvm_cbe_tmp__6567;
  unsigned char llvm_cbe_tmp__6568;
  unsigned int llvm_cbe_tmp__6569;
  unsigned char llvm_cbe_tmp__6570;
  unsigned char llvm_cbe_tmp__6571;
  unsigned int llvm_cbe_tmp__6572;
  unsigned int llvm_cbe_tmp__6573;
  unsigned char *llvm_cbe_tmp__6574;
  unsigned char llvm_cbe_tmp__6575;
  unsigned char *llvm_cbe_tmp__6576;
  unsigned char llvm_cbe_tmp__6577;
  unsigned int llvm_cbe_tmp__6578;
  unsigned char llvm_cbe_tmp__6579;
  unsigned int llvm_cbe_tmp__6580;
  unsigned int llvm_cbe_tmp__6581;
  unsigned int llvm_cbe_tmp__6582;
  unsigned short llvm_cbe_tmp__6583;
  unsigned int llvm_cbe_tmp__6584;
  unsigned char llvm_cbe_tmp__6585;
  unsigned char llvm_cbe_tmp__6586;
  unsigned short llvm_cbe_tmp__6587;
  unsigned int llvm_cbe_tmp__6588;
  unsigned char llvm_cbe_tmp__6589;
  unsigned char llvm_cbe_tmp__6590;
  unsigned char llvm_cbe_tmp__6591;
  unsigned short llvm_cbe_tmp__6592;
  unsigned int llvm_cbe_tmp__6593;
  unsigned char llvm_cbe_tmp__6594;
  unsigned char llvm_cbe_tmp__6595;
  unsigned char llvm_cbe_tmp__6596;
  unsigned short llvm_cbe_tmp__6597;
  unsigned int llvm_cbe_tmp__6598;
  unsigned int llvm_cbe_tmp__6599;
  unsigned char *llvm_cbe_tmp__6600;
  unsigned char llvm_cbe_tmp__6601;
  unsigned int llvm_cbe_tmp__6602;
  unsigned char *llvm_cbe_tmp__6603;
  unsigned char llvm_cbe_tmp__6604;
  unsigned int llvm_cbe_tmp__6605;
  unsigned short llvm_cbe_tmp__6606;
  unsigned int llvm_cbe_tmp__6607;
  unsigned char llvm_cbe_tmp__6608;
  unsigned char llvm_cbe_tmp__6609;
  unsigned char llvm_cbe_tmp__6610;
  unsigned short llvm_cbe_tmp__6611;
  unsigned int llvm_cbe_tmp__6612;
  unsigned char llvm_cbe_tmp__6613;
  unsigned char llvm_cbe_tmp__6614;
  unsigned char llvm_cbe_tmp__6615;
  unsigned short llvm_cbe_tmp__6616;
  unsigned int llvm_cbe_tmp__6617;
  unsigned int llvm_cbe_tmp__6618;
  unsigned char *llvm_cbe_tmp__6619;
  unsigned char llvm_cbe_tmp__6620;
  unsigned int llvm_cbe_tmp__6621;
  unsigned char *llvm_cbe_tmp__6622;
  unsigned char llvm_cbe_tmp__6623;
  unsigned int llvm_cbe_tmp__6624;
  unsigned short llvm_cbe_tmp__6625;
  unsigned int llvm_cbe_tmp__6626;
  unsigned char *llvm_cbe_tmp__6627;
  unsigned char llvm_cbe_tmp__6628;
  unsigned char *llvm_cbe_tmp__6629;
  unsigned char llvm_cbe_tmp__6630;
  unsigned int llvm_cbe_tmp__6631;
  unsigned char llvm_cbe_tmp__6632;
  unsigned int llvm_cbe_tmp__6633;
  unsigned char llvm_cbe_tmp__6634;
  unsigned char llvm_cbe_tmp__6635;
  unsigned char llvm_cbe_tmp__6636;
  unsigned short llvm_cbe_tmp__6637;
  unsigned int llvm_cbe_tmp__6638;
  unsigned char llvm_cbe_tmp__6639;
  unsigned char llvm_cbe_tmp__6640;
  unsigned char llvm_cbe_tmp__6641;
  unsigned short llvm_cbe_tmp__6642;
  unsigned int llvm_cbe_tmp__6643;
  unsigned int llvm_cbe_tmp__6644;
  unsigned char *llvm_cbe_tmp__6645;
  unsigned char llvm_cbe_tmp__6646;
  unsigned int llvm_cbe_tmp__6647;
  unsigned char *llvm_cbe_tmp__6648;
  unsigned char llvm_cbe_tmp__6649;
  unsigned int llvm_cbe_tmp__6650;
  unsigned short llvm_cbe_tmp__6651;
  unsigned int llvm_cbe_tmp__6652;
  unsigned char llvm_cbe_tmp__6653;
  unsigned int llvm_cbe_tmp__6654;
  unsigned char llvm_cbe_tmp__6655;
  unsigned int llvm_cbe_tmp__6656;
  unsigned char llvm_cbe_tmp__6657;
  unsigned char llvm_cbe_tmp__6658;
  unsigned char llvm_cbe_tmp__6659;
  unsigned short llvm_cbe_tmp__6660;
  unsigned int llvm_cbe_tmp__6661;
  unsigned int llvm_cbe_tmp__6662;
  unsigned char *llvm_cbe_tmp__6663;
  unsigned char llvm_cbe_tmp__6664;
  unsigned char *llvm_cbe_tmp__6665;
  unsigned char llvm_cbe_tmp__6666;
  unsigned int llvm_cbe_tmp__6667;
  unsigned char llvm_cbe_tmp__6668;
  unsigned char llvm_cbe_tmp__6669;
  unsigned char llvm_cbe_tmp__6670;
  unsigned short llvm_cbe_tmp__6671;
  unsigned int llvm_cbe_tmp__6672;
  unsigned int llvm_cbe_tmp__6673;
  unsigned char *llvm_cbe_tmp__6674;
  unsigned char llvm_cbe_tmp__6675;
  unsigned int llvm_cbe_tmp__6676;
  unsigned char *llvm_cbe_tmp__6677;
  unsigned char llvm_cbe_tmp__6678;
  unsigned int llvm_cbe_tmp__6679;
  unsigned short llvm_cbe_tmp__6680;
  unsigned int llvm_cbe_tmp__6681;
  unsigned char *llvm_cbe_tmp__6682;
  unsigned char llvm_cbe_tmp__6683;
  unsigned char llvm_cbe_tmp__6684;
  unsigned int llvm_cbe_tmp__6685;
  unsigned char *llvm_cbe_tmp__6686;
  unsigned char *llvm_cbe_tmp__6687;
  unsigned char llvm_cbe_tmp__6688;
  unsigned int llvm_cbe_tmp__6689;
  unsigned char *llvm_cbe_tmp__6690;
  unsigned int llvm_cbe_tmp__6691;
  unsigned char *llvm_cbe_tmp__6692;
  unsigned char llvm_cbe_tmp__6693;
  unsigned char llvm_cbe_tmp__6694;
  unsigned int llvm_cbe_tmp__6695;
  unsigned int llvm_cbe_tmp__6696;
  unsigned char llvm_cbe_tmp__6697;
  unsigned int llvm_cbe_tmp__6698;
  unsigned char llvm_cbe_tmp__6699;
  unsigned char llvm_cbe_tmp__6700;
  unsigned char llvm_cbe_tmp__6701;
  unsigned short llvm_cbe_tmp__6702;
  unsigned int llvm_cbe_tmp__6703;
  unsigned int llvm_cbe_tmp__6704;
  unsigned char *llvm_cbe_tmp__6705;
  unsigned char llvm_cbe_tmp__6706;
  unsigned char *llvm_cbe_tmp__6707;
  unsigned char llvm_cbe_tmp__6708;
  unsigned char llvm_cbe_tmp__6709;
  unsigned char llvm_cbe_tmp__6710;
  unsigned char llvm_cbe_tmp__6711;
  unsigned short llvm_cbe_tmp__6712;
  unsigned int llvm_cbe_tmp__6713;
  unsigned int llvm_cbe_tmp__6714;
  unsigned char *llvm_cbe_tmp__6715;
  unsigned char llvm_cbe_tmp__6716;
  unsigned char *llvm_cbe_tmp__6717;
  unsigned char llvm_cbe_tmp__6718;
  unsigned char llvm_cbe_tmp__6719;
  unsigned char llvm_cbe_tmp__6720;
  unsigned char llvm_cbe_tmp__6721;
  unsigned short llvm_cbe_tmp__6722;
  unsigned int llvm_cbe_tmp__6723;
  unsigned char llvm_cbe_tmp__6724;
  unsigned char llvm_cbe_tmp__6725;
  unsigned char llvm_cbe_tmp__6726;
  unsigned short llvm_cbe_tmp__6727;
  unsigned int llvm_cbe_tmp__6728;
  unsigned char llvm_cbe_tmp__6729;
  unsigned char llvm_cbe_tmp__6730;
  unsigned char llvm_cbe_tmp__6731;
  unsigned short llvm_cbe_tmp__6732;
  unsigned int llvm_cbe_tmp__6733;
  unsigned char llvm_cbe_tmp__6734;
  unsigned char llvm_cbe_tmp__6735;
  unsigned char llvm_cbe_tmp__6736;
  unsigned short llvm_cbe_tmp__6737;
  unsigned int llvm_cbe_tmp__6738;
  unsigned char *llvm_cbe_tmp__6739;
  unsigned char llvm_cbe_tmp__6740;
  unsigned char *llvm_cbe_tmp__6741;
  unsigned char llvm_cbe_tmp__6742;
  unsigned int llvm_cbe_tmp__6743;
  unsigned int llvm_cbe_tmp__6744;
  unsigned int llvm_cbe_tmp__6745;
  unsigned char llvm_cbe_tmp__6746;
  unsigned int llvm_cbe_tmp__6747;
  unsigned char llvm_cbe_tmp__6748;
  unsigned int llvm_cbe_tmp__6749;
  unsigned char *llvm_cbe_tmp__6750;
  unsigned char llvm_cbe_tmp__6751;
  unsigned int llvm_cbe_tmp__6752;
  unsigned char *llvm_cbe_tmp__6753;
  unsigned char llvm_cbe_tmp__6754;
  unsigned int llvm_cbe_tmp__6755;
  unsigned short llvm_cbe_tmp__6756;
  unsigned int llvm_cbe_tmp__6757;
  unsigned int llvm_cbe_tmp__6758;
  unsigned char llvm_cbe_tmp__6759;
  unsigned char llvm_cbe_tmp__6760;
  unsigned int llvm_cbe_tmp__6761;
  unsigned int llvm_cbe_tmp__6762;
  unsigned char llvm_cbe_tmp__6763;
  unsigned char llvm_cbe_tmp__6764;
  unsigned char llvm_cbe_tmp__6765;
  unsigned short llvm_cbe_tmp__6766;
  unsigned int llvm_cbe_tmp__6767;
  unsigned char llvm_cbe_tmp__6768;
  unsigned char llvm_cbe_tmp__6769;
  unsigned int llvm_cbe_tmp__6770;
  unsigned char llvm_cbe_tmp__6771;
  unsigned char llvm_cbe_tmp__6772;
  unsigned int llvm_cbe_tmp__6773;
  unsigned int llvm_cbe_tmp__6774;
  unsigned int llvm_cbe_tmp__6775;
  unsigned char llvm_cbe_tmp__6776;
  unsigned char llvm_cbe_tmp__6777;
  unsigned int llvm_cbe_tmp__6778;
  unsigned int llvm_cbe_tmp__6779;
  unsigned char llvm_cbe_tmp__6780;
  unsigned char llvm_cbe_tmp__6781;
  unsigned int llvm_cbe_tmp__6782;
  unsigned int llvm_cbe_tmp__6783;
  unsigned char llvm_cbe_tmp__6784;
  unsigned char llvm_cbe_tmp__6785;
  unsigned char llvm_cbe_tmp__6786;
  unsigned short llvm_cbe__2e_pre6064_2e_pre;
  unsigned int llvm_cbe_tmp__6787;
  unsigned char llvm_cbe_tmp__6788;
  unsigned char llvm_cbe_tmp__6789;
  unsigned char llvm_cbe_tmp__6790;
  unsigned short llvm_cbe_tmp__6791;
  unsigned int llvm_cbe_tmp__6792;
  unsigned char llvm_cbe_tmp__6793;
  unsigned char llvm_cbe_tmp__6794;
  unsigned char llvm_cbe_tmp__6795;
  unsigned int llvm_cbe_tmp__6796;
  unsigned int llvm_cbe_tmp__6797;
  unsigned char llvm_cbe_tmp__6798;
  unsigned int llvm_cbe_tmp__6799;
  unsigned char llvm_cbe_tmp__6800;
  unsigned char *llvm_cbe_tmp__6801;
  unsigned char llvm_cbe_tmp__6802;
  unsigned int llvm_cbe_tmp__6803;
  unsigned char *llvm_cbe_tmp__6804;
  unsigned char llvm_cbe_tmp__6805;
  unsigned int llvm_cbe_tmp__6806;
  unsigned short llvm_cbe_tmp__6807;
  unsigned int llvm_cbe_tmp__6808;
  unsigned int llvm_cbe_tmp__6809;
  unsigned int llvm_cbe_tmp__6810;
  unsigned char llvm_cbe_tmp__6811;
  unsigned char llvm_cbe_tmp__6812;
  unsigned int llvm_cbe_tmp__6813;
  unsigned int llvm_cbe_tmp__6814;
  unsigned int llvm_cbe_tmp__6815;
  unsigned int llvm_cbe_tmp__6816;
  unsigned char *llvm_cbe_tmp__6817;
  unsigned char llvm_cbe_tmp__6818;
  unsigned int llvm_cbe_tmp__6819;
  unsigned char *llvm_cbe_tmp__6820;
  unsigned char llvm_cbe_tmp__6821;
  unsigned int llvm_cbe_tmp__6822;
  unsigned short llvm_cbe_tmp__6823;
  unsigned int llvm_cbe_tmp__6824;
  unsigned int llvm_cbe_tmp__6825;
  unsigned int llvm_cbe_tmp__6826;
  unsigned int llvm_cbe_tmp__6827;
  unsigned char llvm_cbe_tmp__6828;
  unsigned char llvm_cbe_tmp__6829;
  unsigned int llvm_cbe_tmp__6830;
  unsigned int llvm_cbe_tmp__6831;
  unsigned char llvm_cbe_tmp__6832;
  unsigned int llvm_cbe_tmp__6833;
  unsigned int llvm_cbe_tmp__6834;
  unsigned char llvm_cbe_tmp__6835;
  unsigned char llvm_cbe_tmp__6836;
  unsigned int llvm_cbe_tmp__6837;
  unsigned int llvm_cbe_tmp__6838;
  unsigned int llvm_cbe_tmp__6839;
  unsigned char llvm_cbe_tmp__6840;
  unsigned char llvm_cbe_tmp__6841;
  unsigned int llvm_cbe_tmp__6842;
  unsigned int llvm_cbe_tmp__6843;
  unsigned int llvm_cbe_tmp__6844;
  unsigned int llvm_cbe_tmp__6845;
  unsigned int llvm_cbe_tmp__6846;
  unsigned char llvm_cbe_tmp__6847;
  unsigned char llvm_cbe_tmp__6848;
  unsigned int llvm_cbe_tmp__6849;
  unsigned int llvm_cbe_tmp__6850;
  unsigned int llvm_cbe_tmp__6851;
  unsigned int llvm_cbe_tmp__6852;
  unsigned char llvm_cbe_tmp__6853;
  unsigned char llvm_cbe_tmp__6854;
  unsigned int llvm_cbe_tmp__6855;
  unsigned int llvm_cbe_tmp__6856;
  unsigned int llvm_cbe_tmp__6857;
  unsigned int llvm_cbe_tmp__6858;
  unsigned char llvm_cbe_tmp__6859;
  unsigned char llvm_cbe_tmp__6860;
  unsigned int llvm_cbe_tmp__6861;
  unsigned int llvm_cbe_tmp__6862;
  unsigned int llvm_cbe_tmp__6863;
  unsigned int llvm_cbe_tmp__6864;
  unsigned int llvm_cbe_tmp__6865;
  unsigned char llvm_cbe_tmp__6866;
  unsigned char llvm_cbe_tmp__6867;
  unsigned int llvm_cbe_tmp__6868;
  unsigned int llvm_cbe_tmp__6869;
  unsigned int llvm_cbe_tmp__6870;
  unsigned int llvm_cbe_tmp__6871;
  unsigned char llvm_cbe_tmp__6872;
  unsigned char llvm_cbe_tmp__6873;
  unsigned int llvm_cbe_tmp__6874;
  unsigned int llvm_cbe_tmp__6875;
  unsigned int llvm_cbe_tmp__6876;
  unsigned int llvm_cbe_tmp__6877;
  unsigned char llvm_cbe_tmp__6878;
  unsigned char llvm_cbe_tmp__6879;
  unsigned int llvm_cbe_tmp__6880;
  unsigned int llvm_cbe_tmp__6881;
  unsigned int llvm_cbe_tmp__6882;
  unsigned int llvm_cbe_tmp__6883;
  unsigned char llvm_cbe_tmp__6884;
  unsigned char llvm_cbe_tmp__6885;
  unsigned int llvm_cbe_tmp__6886;
  unsigned int llvm_cbe_tmp__6887;
  unsigned char llvm_cbe_tmp__6888;
  unsigned char *llvm_cbe_tmp__6889;
  unsigned char llvm_cbe_tmp__6890;
  unsigned char *llvm_cbe_tmp__6891;
  unsigned char llvm_cbe_tmp__6892;
  unsigned short llvm_cbe_tmp__6893;
  unsigned int llvm_cbe_tmp__6894;
  unsigned int llvm_cbe_tmp__6895;
  unsigned int llvm_cbe_tmp__6896;
  unsigned char llvm_cbe_tmp__6897;
  unsigned char llvm_cbe_tmp__6898;
  unsigned int llvm_cbe_tmp__6899;
  unsigned int llvm_cbe_tmp__6900;
  unsigned int llvm_cbe_tmp__6901;
  unsigned int llvm_cbe_tmp__6902;
  unsigned char llvm_cbe_tmp__6903;
  unsigned char llvm_cbe_tmp__6904;
  unsigned int llvm_cbe_tmp__6905;
  unsigned int llvm_cbe_tmp__6906;
  unsigned int llvm_cbe_tmp__6907;
  unsigned int llvm_cbe_tmp__6908;
  unsigned char llvm_cbe_tmp__6909;
  unsigned char llvm_cbe_tmp__6910;
  unsigned int llvm_cbe_tmp__6911;
  unsigned int llvm_cbe_tmp__6912;
  unsigned int llvm_cbe_tmp__6913;
  unsigned int llvm_cbe_tmp__6914;
  unsigned int llvm_cbe_tmp__6915;
  unsigned char llvm_cbe_tmp__6916;
  unsigned char llvm_cbe_tmp__6917;
  unsigned int llvm_cbe_tmp__6918;
  unsigned int llvm_cbe_tmp__6919;
  unsigned int llvm_cbe_tmp__6920;
  unsigned int llvm_cbe_tmp__6921;
  unsigned char *llvm_cbe_tmp__6922;
  unsigned char llvm_cbe_tmp__6923;
  unsigned int llvm_cbe_tmp__6924;
  unsigned char *llvm_cbe_tmp__6925;
  unsigned char llvm_cbe_tmp__6926;
  unsigned int llvm_cbe_tmp__6927;
  unsigned short llvm_cbe_tmp__6928;
  unsigned int llvm_cbe_tmp__6929;
  unsigned int llvm_cbe_tmp__6930;
  unsigned char *llvm_cbe_tmp__6931;
  unsigned char *llvm_cbe_tmp__6932;
  unsigned int llvm_cbe_tmp__6933;
  unsigned char llvm_cbe_tmp__6934;
  unsigned char llvm_cbe_tmp__6935;
  unsigned int llvm_cbe_tmp__6936;
  unsigned char *llvm_cbe_tmp__6937;
  unsigned char *llvm_cbe_tmp__6938;
  unsigned char llvm_cbe_tmp__6939;
  unsigned char llvm_cbe_tmp__6940;
  unsigned int llvm_cbe_tmp__6941;
  unsigned short llvm_cbe_tmp__6942;
  unsigned int llvm_cbe_tmp__6943;
  unsigned char llvm_cbe_tmp__6944;
  unsigned char llvm_cbe_tmp__6945;
  unsigned int llvm_cbe_tmp__6946;
  unsigned short llvm_cbe_tmp__6947;
  unsigned int llvm_cbe_tmp__6948;
  unsigned char llvm_cbe_tmp__6949;
  unsigned char llvm_cbe_tmp__6950;
  unsigned int llvm_cbe_tmp__6951;
  unsigned short llvm_cbe_tmp__6952;
  unsigned int llvm_cbe_tmp__6953;
  unsigned char llvm_cbe_tmp__6954;
  unsigned char llvm_cbe_tmp__6955;
  unsigned int llvm_cbe_tmp__6956;
  unsigned short llvm_cbe_tmp__6957;
  unsigned int llvm_cbe_tmp__6958;
  unsigned char llvm_cbe_tmp__6959;
  unsigned int llvm_cbe_tmp__6960;
  unsigned int llvm_cbe_tmp__6961;
  unsigned char *llvm_cbe_tmp__6962;
  unsigned char llvm_cbe_tmp__6963;
  unsigned int llvm_cbe_tmp__6964;
  unsigned char *llvm_cbe_tmp__6965;
  unsigned char llvm_cbe_tmp__6966;
  unsigned int llvm_cbe_tmp__6967;
  unsigned short llvm_cbe_tmp__6968;
  unsigned int llvm_cbe_tmp__6969;
  unsigned int llvm_cbe_tmp__6970;
  unsigned int llvm_cbe_tmp__6971;
  unsigned int llvm_cbe_tmp__6972;
  unsigned int llvm_cbe_tmp__6973;
  unsigned int llvm_cbe_tmp__6974;
  unsigned int llvm_cbe_tmp__6975;
  unsigned int llvm_cbe_tmp__6976;
  unsigned int llvm_cbe_tmp__6977;
  unsigned char *llvm_cbe_tmp__6978;
  unsigned char llvm_cbe_tmp__6979;
  unsigned int llvm_cbe_tmp__6980;
  unsigned char *llvm_cbe_tmp__6981;
  unsigned char llvm_cbe_tmp__6982;
  unsigned int llvm_cbe_tmp__6983;
  unsigned short llvm_cbe_tmp__6984;
  unsigned int llvm_cbe_tmp__6985;
  unsigned int llvm_cbe_tmp__6986;
  unsigned char llvm_cbe_tmp__6987;
  unsigned char llvm_cbe_tmp__6988;
  unsigned int llvm_cbe_tmp__6989;
  unsigned char llvm_cbe_tmp__6990;
  unsigned char llvm_cbe_tmp__6991;
  unsigned int llvm_cbe_tmp__6992;
  unsigned int llvm_cbe_tmp__6993;
  unsigned char *llvm_cbe_tmp__6994;
  unsigned char llvm_cbe_tmp__6995;
  unsigned int llvm_cbe_tmp__6996;
  unsigned char *llvm_cbe_tmp__6997;
  unsigned char llvm_cbe_tmp__6998;
  unsigned int llvm_cbe_tmp__6999;
  unsigned short llvm_cbe_tmp__7000;
  unsigned int llvm_cbe_tmp__7001;
  unsigned int llvm_cbe_tmp__7002;
  unsigned char llvm_cbe_tmp__7003;
  unsigned char llvm_cbe_tmp__7004;
  unsigned short llvm_cbe_tmp__7005;
  unsigned char llvm_cbe_tmp__7006;
  unsigned short llvm_cbe_tmp__7007;
  unsigned int llvm_cbe_tmp__7008;
  unsigned int llvm_cbe_tmp__7009;
  unsigned char *llvm_cbe_tmp__7010;
  unsigned char llvm_cbe_tmp__7011;
  unsigned char *llvm_cbe_tmp__7012;
  unsigned char llvm_cbe_tmp__7013;
  unsigned char llvm_cbe_tmp__7014;
  unsigned char llvm_cbe_tmp__7015;
  unsigned int llvm_cbe_tmp__7016;
  unsigned int llvm_cbe_tmp__7017;
  unsigned int llvm_cbe_tmp__7018;
  unsigned char *llvm_cbe_tmp__7019;
  unsigned char *llvm_cbe_tmp__7020;
  unsigned int llvm_cbe_tmp__7021;
  unsigned char *llvm_cbe_tmp__7022;
  unsigned char llvm_cbe_tmp__7023;
  unsigned char *llvm_cbe_tmp__7024;
  unsigned char llvm_cbe_tmp__7025;
  unsigned short llvm_cbe_tmp__7026;
  unsigned int llvm_cbe_tmp__7027;
  unsigned int llvm_cbe_tmp__7028;
  unsigned char llvm_cbe_tmp__7029;
  unsigned char llvm_cbe_tmp__7030;
  unsigned int llvm_cbe_tmp__7031;
  unsigned char llvm_cbe_tmp__7032;
  unsigned int llvm_cbe_tmp__7033;
  unsigned char llvm_cbe_tmp__7034;
  unsigned short llvm_cbe_tmp__7035;
  unsigned int llvm_cbe_tmp__7036;
  unsigned int llvm_cbe_tmp__7037;
  unsigned char *llvm_cbe_tmp__7038;
  unsigned char llvm_cbe_tmp__7039;
  unsigned char *llvm_cbe_tmp__7040;
  unsigned char llvm_cbe_tmp__7041;
  unsigned int llvm_cbe_tmp__7042;
  unsigned char *llvm_cbe_tmp__7043;
  unsigned char llvm_cbe_tmp__7044;
  unsigned char *llvm_cbe_tmp__7045;
  unsigned char llvm_cbe_tmp__7046;
  unsigned short llvm_cbe_tmp__7047;
  unsigned short llvm_cbe_tmp__7048;
  unsigned int llvm_cbe_tmp__7049;
  unsigned int llvm_cbe_tmp__7050;
  unsigned int llvm_cbe_tmp__7051;
  unsigned char *llvm_cbe_tmp__7052;
  unsigned char llvm_cbe_tmp__7053;
  unsigned char *llvm_cbe_tmp__7054;
  unsigned char llvm_cbe_tmp__7055;
  unsigned int llvm_cbe_tmp__7056;
  unsigned int llvm_cbe_tmp__7057;
  unsigned char llvm_cbe_tmp__7058;
  unsigned char llvm_cbe_tmp__7059;
  unsigned short llvm_cbe_tmp__7060;
  unsigned int llvm_cbe_tmp__7061;
  unsigned char llvm_cbe_tmp__7062;
  unsigned char llvm_cbe_tmp__7063;
  unsigned char llvm_cbe_tmp__7064;
  unsigned char llvm_cbe_tmp__7065;
  unsigned short llvm_cbe_tmp__7066;
  unsigned int llvm_cbe_tmp__7067;
  unsigned int llvm_cbe_tmp__7068;
  unsigned char *llvm_cbe_tmp__7069;
  unsigned char llvm_cbe_tmp__7070;
  unsigned char *llvm_cbe_tmp__7071;
  unsigned char llvm_cbe_tmp__7072;
  unsigned char llvm_cbe_tmp__7073;
  unsigned char llvm_cbe_tmp__7074;
  unsigned char llvm_cbe_tmp__7075;
  unsigned char llvm_cbe_tmp__7076;
  unsigned short llvm_cbe_tmp__7077;
  unsigned short llvm_cbe_tmp__7078;
  unsigned int llvm_cbe_tmp__7079;
  unsigned int llvm_cbe_tmp__7080;
  unsigned int llvm_cbe_tmp__7081;
  unsigned int llvm_cbe_tmp__7082;
  unsigned int llvm_cbe_tmp__7083;
  unsigned char llvm_cbe_tmp__7084;
  unsigned char llvm_cbe_tmp__7085;
  unsigned int llvm_cbe_tmp__7086;
  unsigned int llvm_cbe_tmp__7087;
  unsigned char llvm_cbe_tmp__7088;
  unsigned char llvm_cbe_tmp__7089;
  unsigned int llvm_cbe_tmp__7090;
  unsigned int llvm_cbe_tmp__7091;
  unsigned int llvm_cbe_tmp__7092;
  unsigned char llvm_cbe_tmp__7093;
  unsigned char llvm_cbe_tmp__7094;
  unsigned int llvm_cbe_tmp__7095;
  unsigned int llvm_cbe_tmp__7096;
  unsigned char llvm_cbe_tmp__7097;
  unsigned char llvm_cbe_tmp__7098;
  unsigned int llvm_cbe_tmp__7099;
  unsigned char *llvm_cbe_tmp__7100;
  unsigned char llvm_cbe_tmp__7101;
  unsigned int llvm_cbe_tmp__7102;
  unsigned char llvm_cbe_tmp__7103;
  unsigned char llvm_cbe_tmp__7104;
  unsigned int llvm_cbe_tmp__7105;
  unsigned char *llvm_cbe_tmp__7106;
  unsigned char llvm_cbe_tmp__7107;
  unsigned char *llvm_cbe_tmp__7108;
  unsigned char llvm_cbe_tmp__7109;
  unsigned int llvm_cbe_tmp__7110;
  unsigned int llvm_cbe_tmp__7111;
  unsigned char llvm_cbe_tmp__7112;
  unsigned char llvm_cbe_tmp__7113;
  unsigned char llvm_cbe_tmp__7114;
  unsigned short llvm_cbe_tmp__7115;
  unsigned int llvm_cbe_tmp__7116;
  unsigned char llvm_cbe_tmp__7117;
  unsigned char llvm_cbe_tmp__7118;
  unsigned char llvm_cbe_tmp__7119;
  unsigned short llvm_cbe_tmp__7120;
  unsigned int llvm_cbe_tmp__7121;
  unsigned int llvm_cbe_tmp__7122;
  unsigned char *llvm_cbe_tmp__7123;
  unsigned char llvm_cbe_tmp__7124;
  unsigned int llvm_cbe_tmp__7125;
  unsigned char *llvm_cbe_tmp__7126;
  unsigned char llvm_cbe_tmp__7127;
  unsigned int llvm_cbe_tmp__7128;
  unsigned short llvm_cbe_tmp__7129;
  unsigned int llvm_cbe_tmp__7130;
  unsigned int llvm_cbe_tmp__7131;
  unsigned int llvm_cbe_tmp__7132;
  unsigned char llvm_cbe_tmp__7133;
  unsigned char llvm_cbe_tmp__7134;
  unsigned int llvm_cbe_tmp__7135;
  unsigned int llvm_cbe_tmp__7136;
  unsigned int llvm_cbe_tmp__7137;
  unsigned int llvm_cbe_tmp__7138;
  unsigned char llvm_cbe_tmp__7139;
  unsigned int llvm_cbe_tmp__7140;
  unsigned char llvm_cbe_tmp__7141;
  unsigned char llvm_cbe_tmp__7142;
  unsigned short llvm_cbe_tmp__7143;
  unsigned int llvm_cbe_tmp__7144;
  unsigned int llvm_cbe_tmp__7145;
  unsigned char llvm_cbe_tmp__7146;
  unsigned char llvm_cbe_tmp__7147;
  unsigned char llvm_cbe_tmp__7148;
  unsigned short llvm_cbe_tmp__7149;
  unsigned int llvm_cbe_tmp__7150;
  unsigned char llvm_cbe_tmp__7151;
  unsigned char llvm_cbe_tmp__7152;
  unsigned char llvm_cbe_tmp__7153;
  unsigned short llvm_cbe_tmp__7154;
  unsigned int llvm_cbe_tmp__7155;
  unsigned char *llvm_cbe_tmp__7156;
  unsigned char llvm_cbe_tmp__7157;
  unsigned int llvm_cbe_tmp__7158;
  unsigned char *llvm_cbe_tmp__7159;
  unsigned char llvm_cbe_tmp__7160;
  unsigned int llvm_cbe_tmp__7161;
  unsigned short llvm_cbe_tmp__7162;
  unsigned int llvm_cbe_tmp__7163;
  unsigned int llvm_cbe_tmp__7164;
  unsigned char *llvm_cbe_tmp__7165;
  unsigned char llvm_cbe_tmp__7166;
  unsigned char *llvm_cbe_tmp__7167;
  unsigned char llvm_cbe_tmp__7168;
  unsigned int llvm_cbe_tmp__7169;
  unsigned char llvm_cbe_tmp__7170;
  unsigned int llvm_cbe_tmp__7171;
  unsigned int llvm_cbe_tmp__7172;
  unsigned short llvm_cbe_tmp__7173;
  unsigned int llvm_cbe_tmp__7174;
  unsigned char llvm_cbe_tmp__7175;
  unsigned char llvm_cbe_tmp__7176;
  unsigned char llvm_cbe_tmp__7177;
  unsigned short llvm_cbe_tmp__7178;
  unsigned int llvm_cbe_tmp__7179;
  unsigned char llvm_cbe_tmp__7180;
  unsigned char llvm_cbe_tmp__7181;
  unsigned char llvm_cbe_tmp__7182;
  unsigned int llvm_cbe_tmp__7183;
  unsigned int llvm_cbe_tmp__7184;
  unsigned int llvm_cbe_tmp__7185;
  unsigned char llvm_cbe_tmp__7186;
  unsigned char llvm_cbe_tmp__7187;
  unsigned int llvm_cbe_tmp__7188;
  unsigned int llvm_cbe_tmp__7189;
  unsigned int llvm_cbe_tmp__7190;
  unsigned char *llvm_cbe_tmp__7191;
  unsigned char llvm_cbe_tmp__7192;
  unsigned char *llvm_cbe_tmp__7193;
  unsigned char llvm_cbe_tmp__7194;
  unsigned int llvm_cbe_tmp__7195;
  unsigned char llvm_cbe_tmp__7196;
  unsigned int llvm_cbe_tmp__7197;
  unsigned int llvm_cbe_tmp__7198;
  unsigned short llvm_cbe_tmp__7199;
  unsigned int llvm_cbe_tmp__7200;
  unsigned char llvm_cbe_tmp__7201;
  unsigned char llvm_cbe_tmp__7202;
  unsigned int llvm_cbe_tmp__7203;
  unsigned int llvm_cbe_tmp__7204;
  unsigned int llvm_cbe_tmp__7205;
  unsigned int llvm_cbe_tmp__7206;
  unsigned int llvm_cbe_tmp__7207;
  unsigned char *llvm_cbe_tmp__7208;
  unsigned char llvm_cbe_tmp__7209;
  unsigned char *llvm_cbe_tmp__7210;
  unsigned char llvm_cbe_tmp__7211;
  unsigned int llvm_cbe_tmp__7212;
  unsigned char *llvm_cbe_tmp__7213;
  unsigned char *llvm_cbe_tmp__7214;
  unsigned char *llvm_cbe_tmp__7215;
  unsigned char llvm_cbe_tmp__7216;
  unsigned int llvm_cbe_tmp__7217;
  unsigned char *llvm_cbe_tmp__7218;
  unsigned char llvm_cbe_tmp__7219;
  unsigned int llvm_cbe_tmp__7220;
  unsigned int llvm_cbe_tmp__7221;
  unsigned short llvm_cbe_tmp__7222;
  unsigned int llvm_cbe_tmp__7223;
  unsigned int llvm_cbe_tmp__7224;
  unsigned char *llvm_cbe_tmp__7225;
  unsigned char llvm_cbe_tmp__7226;
  unsigned int llvm_cbe_tmp__7227;
  unsigned char *llvm_cbe_tmp__7228;
  unsigned char llvm_cbe_tmp__7229;
  unsigned int llvm_cbe_tmp__7230;
  unsigned short llvm_cbe_tmp__7231;
  unsigned char llvm_cbe_tmp__7232;
  unsigned char llvm_cbe_tmp__7233;
  unsigned int llvm_cbe_tmp__7234;
  unsigned int llvm_cbe_tmp__7235;
  unsigned char *llvm_cbe_tmp__7236;
  unsigned char llvm_cbe_tmp__7237;
  unsigned char *llvm_cbe_tmp__7238;
  unsigned char llvm_cbe_tmp__7239;
  unsigned char llvm_cbe_tmp__7240;
  unsigned int llvm_cbe_tmp__7241;
  unsigned char llvm_cbe_tmp__7242;
  unsigned int llvm_cbe_tmp__7243;
  unsigned char llvm_cbe_tmp__7244;
  unsigned int llvm_cbe_tmp__7245;
  unsigned short llvm_cbe_tmp__7246;
  unsigned int llvm_cbe_tmp__7247;
  unsigned int llvm_cbe_tmp__7248;
  unsigned char llvm_cbe_tmp__7249;
  unsigned char llvm_cbe_tmp__7250;
  unsigned char llvm_cbe_tmp__7251;
  unsigned char llvm_cbe_tmp__7252;
  unsigned short llvm_cbe_tmp__7253;
  unsigned short llvm_cbe_tmp__7254;
  unsigned char llvm_cbe_tmp__7255;
  unsigned int llvm_cbe_tmp__7256;
  unsigned int llvm_cbe_tmp__7257;
  unsigned int llvm_cbe_tmp__7258;
  unsigned int llvm_cbe_tmp__7259;
  unsigned int llvm_cbe_tmp__7260;
  unsigned char llvm_cbe_tmp__7261;
  unsigned int llvm_cbe_tmp__7262;
  unsigned char llvm_cbe_tmp__7263;
  unsigned char llvm_cbe_tmp__7264;
  unsigned int llvm_cbe_tmp__7265;
  unsigned int llvm_cbe_tmp__7266;
  unsigned int llvm_cbe_tmp__7267;
  unsigned int llvm_cbe_tmp__7268;
  unsigned char llvm_cbe_tmp__7269;
  unsigned int llvm_cbe_tmp__7270;
  unsigned int llvm_cbe_tmp__7271;
  unsigned char *llvm_cbe_tmp__7272;
  unsigned char llvm_cbe_tmp__7273;
  unsigned int llvm_cbe_tmp__7274;
  unsigned char *llvm_cbe_tmp__7275;
  unsigned char llvm_cbe_tmp__7276;
  unsigned int llvm_cbe_tmp__7277;
  unsigned short llvm_cbe_tmp__7278;
  unsigned int llvm_cbe_tmp__7279;
  unsigned char llvm_cbe_tmp__7280;
  unsigned char llvm_cbe_tmp__7281;
  unsigned int llvm_cbe_tmp__7282;
  unsigned short llvm_cbe_tmp__7283;
  unsigned char llvm_cbe_tmp__7284;
  unsigned char llvm_cbe_tmp__7285;
  unsigned int llvm_cbe_tmp__7286;
  unsigned int llvm_cbe_tmp__7287;
  unsigned char *llvm_cbe_tmp__7288;
  unsigned char llvm_cbe_tmp__7289;
  unsigned int llvm_cbe_tmp__7290;
  unsigned char *llvm_cbe_tmp__7291;
  unsigned char llvm_cbe_tmp__7292;
  unsigned int llvm_cbe_tmp__7293;
  unsigned int llvm_cbe_tmp__7294;
  unsigned short llvm_cbe_tmp__7295;
  unsigned char llvm_cbe_tmp__7296;
  unsigned char llvm_cbe_tmp__7297;
  unsigned int llvm_cbe_tmp__7298;
  unsigned int llvm_cbe_tmp__7299;
  unsigned int llvm_cbe_tmp__7300;
  unsigned int llvm_cbe_tmp__7301;
  unsigned char llvm_cbe_tmp__7302;
  unsigned char llvm_cbe_tmp__7303;
  unsigned int llvm_cbe_tmp__7304;
  unsigned short llvm_cbe_tmp__7305;
  unsigned int llvm_cbe_tmp__7306;
  unsigned char llvm_cbe_tmp__7307;
  unsigned char llvm_cbe_tmp__7308;
  unsigned int llvm_cbe_tmp__7309;
  unsigned short llvm_cbe_tmp__7310;
  unsigned int llvm_cbe_tmp__7311;
  unsigned int llvm_cbe_tmp__7312;
  unsigned char llvm_cbe_tmp__7313;
  unsigned char llvm_cbe_tmp__7314;
  unsigned int llvm_cbe_tmp__7315;
  unsigned short llvm_cbe_tmp__7316;
  unsigned int llvm_cbe_tmp__7317;
  unsigned int llvm_cbe_tmp__7318;
  unsigned char llvm_cbe_tmp__7319;
  unsigned char llvm_cbe_tmp__7320;
  unsigned int llvm_cbe_tmp__7321;
  unsigned short llvm_cbe_tmp__7322;
  unsigned int llvm_cbe_tmp__7323;
  unsigned int llvm_cbe_tmp__7324;
  unsigned int llvm_cbe_tmp__7325;
  unsigned int llvm_cbe_tmp__7326;
  unsigned char llvm_cbe_tmp__7327;
  unsigned char llvm_cbe_tmp__7328;
  unsigned int llvm_cbe_tmp__7329;
  unsigned int llvm_cbe_tmp__7330;
  unsigned char llvm_cbe_tmp__7331;
  unsigned char llvm_cbe_tmp__7332;
  unsigned int llvm_cbe_tmp__7333;
  unsigned int llvm_cbe_tmp__7334;
  unsigned int llvm_cbe_tmp__7335;
  unsigned char llvm_cbe_tmp__7336;
  unsigned int llvm_cbe_tmp__7337;
  unsigned char llvm_cbe_tmp__7338;
  unsigned char llvm_cbe_tmp__7339;
  unsigned int llvm_cbe_tmp__7340;
  unsigned char llvm_cbe_tmp__7341;
  unsigned int llvm_cbe_tmp__7342;
  unsigned short llvm_cbe_tmp__7343;
  unsigned char llvm_cbe_tmp__7344;
  unsigned int llvm_cbe_tmp__7345;
  unsigned char llvm_cbe_tmp__7346;
  unsigned char llvm_cbe_tmp__7347;
  unsigned int llvm_cbe_tmp__7348;
  unsigned char llvm_cbe_tmp__7349;
  unsigned int llvm_cbe_tmp__7350;
  unsigned short llvm_cbe_tmp__7351;
  unsigned int llvm_cbe_tmp__7352;
  unsigned int llvm_cbe_tmp__7353;
  unsigned int llvm_cbe_tmp__7354;
  unsigned int llvm_cbe_tmp__7355;
  unsigned int llvm_cbe_tmp__7356;
  unsigned int llvm_cbe_tmp__7357;
  unsigned int llvm_cbe_tmp__7358;
  unsigned char llvm_cbe_tmp__7359;
  unsigned char *llvm_cbe_tmp__7360;
  unsigned char llvm_cbe_tmp__7361;
  unsigned int llvm_cbe_tmp__7362;
  unsigned char *llvm_cbe_tmp__7363;
  unsigned char llvm_cbe_tmp__7364;
  unsigned int llvm_cbe_tmp__7365;
  unsigned int llvm_cbe_tmp__7366;
  unsigned short llvm_cbe_tmp__7367;
  unsigned char llvm_cbe_tmp__7368;
  unsigned short llvm_cbe_tmp__7369;
  unsigned char llvm_cbe_tmp__7370;
  unsigned int llvm_cbe_tmp__7371;
  unsigned int llvm_cbe_tmp__7372;
  unsigned char *llvm_cbe_tmp__7373;
  unsigned char llvm_cbe_tmp__7374;
  unsigned char *llvm_cbe_tmp__7375;
  unsigned char llvm_cbe_tmp__7376;
  unsigned int llvm_cbe_tmp__7377;
  unsigned short llvm_cbe_tmp__7378;
  unsigned int llvm_cbe_tmp__7379;
  unsigned char *llvm_cbe__2e_pre7040;
  unsigned char *llvm_cbe__2e_pre7044;
  unsigned int llvm_cbe_tmp__7380;
  unsigned int llvm_cbe_tmp__7381;
  unsigned int llvm_cbe_tmp__7382;
  unsigned char llvm_cbe_tmp__7383;
  unsigned char llvm_cbe_tmp__7384;
  unsigned int llvm_cbe_tmp__7385;
  unsigned int llvm_cbe_tmp__7386;
  unsigned char llvm_cbe_tmp__7387;
  unsigned char llvm_cbe_tmp__7388;
  unsigned int llvm_cbe_tmp__7389;
  unsigned int llvm_cbe_tmp__7390;
  unsigned char *llvm_cbe_tmp__7391;
  unsigned char llvm_cbe_tmp__7392;
  unsigned int llvm_cbe_tmp__7393;
  unsigned char *llvm_cbe_tmp__7394;
  unsigned char llvm_cbe_tmp__7395;
  unsigned int llvm_cbe_tmp__7396;
  unsigned short llvm_cbe_tmp__7397;
  unsigned int llvm_cbe_tmp__7398;
  unsigned int llvm_cbe_tmp__7399;
  unsigned char llvm_cbe_tmp__7400;
  unsigned char llvm_cbe_tmp__7401;
  unsigned int llvm_cbe_tmp__7402;
  unsigned char llvm_cbe_tmp__7403;
  unsigned char *llvm_cbe_tmp__7404;
  unsigned int llvm_cbe_tmp__7405;
  unsigned char *llvm_cbe_tmp__7406;
  unsigned char llvm_cbe_tmp__7407;
  unsigned char llvm_cbe_tmp__7408;
  unsigned int llvm_cbe_tmp__7409;
  unsigned char llvm_cbe_tmp__7410;
  unsigned int llvm_cbe_tmp__7411;
  unsigned char *llvm_cbe_tmp__7412;
  unsigned char llvm_cbe_tmp__7413;
  unsigned char *llvm_cbe_tmp__7414;
  unsigned char llvm_cbe_tmp__7415;
  unsigned int llvm_cbe_tmp__7416;
  unsigned char llvm_cbe_tmp__7417;
  unsigned int llvm_cbe_tmp__7418;
  unsigned char llvm_cbe_tmp__7419;
  unsigned int llvm_cbe_tmp__7420;
  unsigned short llvm_cbe_tmp__7421;
  unsigned int llvm_cbe_tmp__7422;
  unsigned char llvm_cbe_tmp__7423;
  unsigned char llvm_cbe_tmp__7424;
  unsigned int llvm_cbe_tmp__7425;
  unsigned int llvm_cbe_tmp__7426;
  unsigned int llvm_cbe_tmp__7427;
  unsigned int llvm_cbe_tmp__7428;
  unsigned int llvm_cbe_tmp__7429;
  unsigned int llvm_cbe_tmp__7430;
  unsigned char llvm_cbe_tmp__7431;
  unsigned char llvm_cbe_tmp__7432;
  unsigned short llvm_cbe_tmp__7433;
  unsigned int llvm_cbe_tmp__7434;
  unsigned char llvm_cbe_tmp__7435;
  unsigned int llvm_cbe_tmp__7436;
  unsigned int llvm_cbe_tmp__7437;
  unsigned int llvm_cbe_tmp__7438;
  unsigned int llvm_cbe_tmp__7439;
  unsigned int llvm_cbe_tmp__7440;
  unsigned int llvm_cbe_tmp__7441;
  unsigned int llvm_cbe_tmp__7442;
  unsigned int llvm_cbe_tmp__7443;
  unsigned int llvm_cbe_tmp__7444;
  unsigned int llvm_cbe_tmp__7445;
  unsigned char llvm_cbe_tmp__7446;
  unsigned char llvm_cbe_tmp__7447;
  unsigned int llvm_cbe_tmp__7448;
  unsigned char llvm_cbe_tmp__7449;
  unsigned char llvm_cbe_tmp__7450;
  unsigned int llvm_cbe_tmp__7451;
  unsigned char *llvm_cbe_tmp__7452;
  unsigned char llvm_cbe_tmp__7453;
  unsigned int llvm_cbe_tmp__7454;
  unsigned char *llvm_cbe_tmp__7455;
  unsigned char llvm_cbe_tmp__7456;
  unsigned int llvm_cbe_tmp__7457;
  unsigned short llvm_cbe_tmp__7458;
  unsigned char llvm_cbe_tmp__7459;
  unsigned short llvm_cbe_tmp__7460;
  unsigned int llvm_cbe_tmp__7461;
  unsigned char llvm_cbe_tmp__7462;
  unsigned char llvm_cbe_tmp__7463;
  unsigned int llvm_cbe_tmp__7464;
  unsigned int llvm_cbe_tmp__7465;
  unsigned int llvm_cbe_tmp__7466;
  unsigned int llvm_cbe_tmp__7467;
  unsigned int llvm_cbe_tmp__7468;
  unsigned char llvm_cbe_tmp__7469;
  unsigned char llvm_cbe_tmp__7470;
  unsigned char llvm_cbe_tmp__7471;
  unsigned short llvm_cbe_tmp__7472;
  unsigned int llvm_cbe_tmp__7473;
  unsigned char llvm_cbe_tmp__7474;
  unsigned char llvm_cbe_tmp__7475;
  unsigned char llvm_cbe_tmp__7476;
  unsigned short llvm_cbe_tmp__7477;
  unsigned int llvm_cbe_tmp__7478;
  unsigned int llvm_cbe_tmp__7479;
  unsigned char *llvm_cbe_tmp__7480;
  unsigned char llvm_cbe_tmp__7481;
  unsigned int llvm_cbe_tmp__7482;
  unsigned char *llvm_cbe_tmp__7483;
  unsigned char llvm_cbe_tmp__7484;
  unsigned int llvm_cbe_tmp__7485;
  unsigned short llvm_cbe_tmp__7486;

  CODE_FOR_MAIN();
  llvm_cbe_tmp__1 = memcpy(((&RAM.array[((signed int )0u)])), ((&rom.array[((signed int )0u)])), 8192u);
   /*tail*/ init_os(llvm_cbe_argc, llvm_cbe_argv);
  llvm_cbe_tmp__2 = *(&WP);
  llvm_cbe_tmp__3 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3) + ((unsigned int )26u)))))])) = ((unsigned char )-104);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3) + ((unsigned int )27u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3) + ((unsigned int )28u)))))])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3) + ((unsigned int )29u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3) + ((unsigned int )30u)))))])) = ((unsigned char )-116);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3) + ((unsigned int )31u)))))])) = ((unsigned char )2);
  *(&ST_EQ) = 0u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3) + ((unsigned int )1u)))))])) = ((unsigned char )32);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  llvm_cbe_tmp__7__PHI_TEMPORARY = llvm_cbe_tmp__2;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_tmp__7487;

llvm_cbe_tmp__7488:
  llvm_cbe_tmp__5 = *(&PC);
  llvm_cbe_tmp__6 =  /*tail*/ printf(((&_2E_str.array[((signed int )0u)])), (((unsigned int )(unsigned short )llvm_cbe_tmp__5)));
  return 1u;
  do {     /* Syntactic loop '' to make GCC happy */
llvm_cbe_tmp__7487:
  llvm_cbe_tmp__7 = llvm_cbe_tmp__7__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  *(&ST_EQ) = llvm_cbe_storemerge;
  llvm_cbe_tmp__8 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7);
  llvm_cbe_tmp__9 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__8) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__10 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__8) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__11 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__9)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__10))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__8) + ((unsigned int )8u)))) & 65535u))])) = llvm_cbe_tmp__11;
  llvm_cbe_tmp__12 = *(&WP);
  llvm_cbe_tmp__13 = ((unsigned int )(unsigned short )llvm_cbe_tmp__12);
  llvm_cbe_tmp__14 = *((&RAM.array[((signed int )llvm_cbe_tmp__13)]));
  llvm_cbe_tmp__15 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__13) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__16 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__14)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__15));
  llvm_cbe_tmp__17 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__13) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__17)])) = llvm_cbe_tmp__14;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__17) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__15;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__16 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__16))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__16 == 0u)));
  llvm_cbe_tmp__18__PHI_TEMPORARY = llvm_cbe_tmp__12;   /* for PHI node */
  llvm_cbe_tmp__19__PHI_TEMPORARY = llvm_cbe_tmp__12;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5525;

llvm_cbe_tmp__7489:
  llvm_cbe_tmp__6002 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6003 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6002) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__6004 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6002) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__6005 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6004)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6003)) << 8u))) + ((unsigned int )33536u)));
  llvm_cbe_tmp__6006 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6002) + ((unsigned int )26u)))) & 65535u;
  llvm_cbe_tmp__6007 = (&RAM.array[((signed int )llvm_cbe_tmp__6006)]);
  llvm_cbe_tmp__6008 = *llvm_cbe_tmp__6007;
  llvm_cbe_tmp__6009 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6006) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6010 = *llvm_cbe_tmp__6009;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__6005 & 65534u))])) = llvm_cbe_tmp__6008;
  *((&RAM.array[((signed int )((llvm_cbe_tmp__6005 | 1u) & 65535u))])) = llvm_cbe_tmp__6010;
  *(&ST_EQ) = (((unsigned int )(bool )((((((unsigned int )(unsigned char )llvm_cbe_tmp__6008)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6010))) == 0u)));
  llvm_cbe_tmp__6011 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6002) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6012 = *((&RAM.array[((signed int )llvm_cbe_tmp__6011)]));
  llvm_cbe_tmp__6013 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6011) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6014 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6012)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6013));
  *llvm_cbe_tmp__6007 = llvm_cbe_tmp__6012;
  *llvm_cbe_tmp__6009 = llvm_cbe_tmp__6013;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6014 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6014))) > ((signed short )((unsigned short )0)))));
  llvm_cbe_tmp__6015 = ((unsigned int )(bool )(llvm_cbe_tmp__6014 == 0u));
  llvm_cbe_tmp__7__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp__6015;   /* for PHI node */
  goto llvm_cbe_tmp__7487;

  do {     /* Syntactic loop '._crit_edge5525' to make GCC happy */
llvm_cbe__2e__crit_edge5525:
  llvm_cbe_tmp__18 = llvm_cbe_tmp__18__PHI_TEMPORARY;
  llvm_cbe_tmp__19 = llvm_cbe_tmp__19__PHI_TEMPORARY;
  llvm_cbe_tmp__20 = ((unsigned int )(unsigned short )llvm_cbe_tmp__19);
  llvm_cbe_tmp__21 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__20) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__22 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__18))) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__23 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__20) + ((unsigned int )12u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__22)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__21)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__23);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__23 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__23) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__23 == ((unsigned char )0))));
  llvm_cbe_tmp__24 = *(&WP);
  llvm_cbe_tmp__25 = ((unsigned int )(unsigned short )llvm_cbe_tmp__24);
  llvm_cbe_tmp__26 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__25) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__27 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__25) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__28 = *((&RAM.array[((signed int )33773u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__26)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__27)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__28);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__28 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__28) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__28 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge4931;

llvm_cbe__2e__crit_edge4939:
  llvm_cbe_tmp__159 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__160 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__159) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__161 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__159) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__162 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__160)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__161))))));
  *((&RAM.array[((signed int )33779u)])) = llvm_cbe_tmp__162;
  llvm_cbe_tmp__163 = *(&WP);
  llvm_cbe_tmp__164 = ((unsigned int )(unsigned short )llvm_cbe_tmp__163);
  llvm_cbe_tmp__165 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__164) + ((unsigned int )18u)))))]);
  llvm_cbe_tmp__166 = *llvm_cbe_tmp__165;
  llvm_cbe_tmp__167 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__164) + ((unsigned int )19u)))))]);
  llvm_cbe_tmp__168 = *llvm_cbe_tmp__167;
  llvm_cbe__2e_masked4821 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__166)) << 8u) & 7936u;
  llvm_cbe_tmp__169 = llvm_cbe__2e_masked4821 | (((unsigned int )(unsigned char )llvm_cbe_tmp__168));
  *llvm_cbe_tmp__165 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe__2e_masked4821) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__167 = llvm_cbe_tmp__168;
  llvm_cbe_tmp__170 = ((unsigned int )(bool )(llvm_cbe_tmp__169 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__170;
  *(&ST_AGT) = llvm_cbe_tmp__170;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__169 == 0u)));
  llvm_cbe_tmp__171 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__164) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__172 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__164) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__173 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__171)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__172)))))) + ((unsigned short )((unsigned short )2))))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__164) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__173;
  llvm_cbe_tmp__174 = *(&WP);
  llvm_cbe_tmp__175 = ((unsigned int )(unsigned short )llvm_cbe_tmp__174);
  llvm_cbe_tmp__176 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__175) + ((unsigned int )12u)));
  llvm_cbe_tmp__177 = (&RAM.array[((signed int )llvm_cbe_tmp__176)]);
  llvm_cbe_tmp__178 = *llvm_cbe_tmp__177;
  *llvm_cbe_tmp__177 = (((unsigned char )(((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__178)) << 8u) & 57344u)) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__175) + ((unsigned int )13u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__179 = llvm_cbe_tmp__176 & 65535u;
  llvm_cbe_tmp__180 = (&RAM.array[((signed int )llvm_cbe_tmp__179)]);
  llvm_cbe_tmp__181 = *llvm_cbe_tmp__180;
  llvm_cbe_tmp__182 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__179) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__183 = *llvm_cbe_tmp__182;
  llvm_cbe_tmp__184 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__175) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__185 = *((&RAM.array[((signed int )llvm_cbe_tmp__184)]));
  llvm_cbe_tmp__186 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__184) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__187 = (((((unsigned int )(unsigned char )llvm_cbe_tmp__181)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__183))) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__185)) << 8u);
  llvm_cbe_tmp__188 = llvm_cbe_tmp__187 | (((unsigned int )(unsigned char )llvm_cbe_tmp__186));
  *llvm_cbe_tmp__180 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__187) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__182 = (((unsigned char )llvm_cbe_tmp__188));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__188 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__188))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__188 == 0u)));
  llvm_cbe_tmp__18__PHI_TEMPORARY = llvm_cbe_tmp__174;   /* for PHI node */
  llvm_cbe_tmp__19__PHI_TEMPORARY = llvm_cbe_tmp__174;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5525;

  do {     /* Syntactic loop '._crit_edge4931' to make GCC happy */
llvm_cbe__2e__crit_edge4931:
  llvm_cbe_tmp__29 = *((&RAM.array[((signed int )33660u)]));
  llvm_cbe_tmp__30 = *((&RAM.array[((signed int )283u)]));
  llvm_cbe_tmp__31 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__30)) ^ 255u) & (((unsigned int )(unsigned char )llvm_cbe_tmp__29));
  llvm_cbe_tmp__32 = ((unsigned char )llvm_cbe_tmp__31);
  *((&RAM.array[((signed int )33660u)])) = llvm_cbe_tmp__32;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__31 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__32) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__31 == 0u)));
  goto llvm_cbe__2e__crit_edge;

llvm_cbe__2e__crit_edge4940:
  llvm_cbe_tmp__155 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__156 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__155) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__157 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__155) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__158 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__156)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__157))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__155) + ((unsigned int )8u)))) & 65535u))])) = llvm_cbe_tmp__158;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__158 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__158) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__158 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge4931;

llvm_cbe_tmp__7490:
  llvm_cbe_tmp__6089 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6090 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6089) + ((unsigned int )8u)));
  llvm_cbe_tmp__6091 = *((&RAM.array[((signed int )33660u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__6090 & 65535u))])) = llvm_cbe_tmp__6091;
  llvm_cbe_tmp__6092 = (&RAM.array[((signed int )llvm_cbe_tmp__6090)]);
  llvm_cbe_tmp__6093 = *llvm_cbe_tmp__6092;
  llvm_cbe_tmp__6094 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6093);
  llvm_cbe_tmp__6095 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6089) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__6096 = *llvm_cbe_tmp__6095;
  llvm_cbe_tmp__6097 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6096)) | (llvm_cbe_tmp__6094 << 8u);
  llvm_cbe_tmp__6098 = llvm_cbe_tmp__6097 << 2u;
  *llvm_cbe_tmp__6092 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6097) >> ((unsigned int )6u))))));
  *llvm_cbe_tmp__6095 = (((unsigned char )llvm_cbe_tmp__6098));
  llvm_cbe_tmp__6099 = ((unsigned short )llvm_cbe_tmp__6098);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6099 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6099) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6099 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6094) >> ((unsigned int )6u)))) & 1u);
  if (((((((signed short )llvm_cbe_tmp__6099) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__6099 == ((unsigned short )0)))&1))) {
    goto llvm_cbe__2e__crit_edge4940;
  } else {
    goto llvm_cbe__2e__crit_edge4939;
  }

  do {     /* Syntactic loop '._crit_edge' to make GCC happy */
llvm_cbe__2e__crit_edge:
  *(&ST_IM) = 0u;
  llvm_cbe_tmp__33 = *(&WP);
  llvm_cbe_tmp__34 = ((unsigned int )(unsigned short )llvm_cbe_tmp__33);
  llvm_cbe_tmp__35 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__34) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__36 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__34) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__37 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__35)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__36))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__34) + ((unsigned int )18u)))) & 65535u))])) = llvm_cbe_tmp__37;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__37 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__37) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__37 == ((unsigned char )0))));
  llvm_cbe_tmp__38 = *(&WP);
  llvm_cbe_tmp__39 = ((unsigned int )(unsigned short )llvm_cbe_tmp__38);
  if (((((((signed char )llvm_cbe_tmp__37) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__37 == ((unsigned char )0)))&1))) {
    goto llvm_cbe__2e__crit_edge4927;
  } else {
    goto llvm_cbe_tmp__7491;
  }

llvm_cbe__2e__crit_edge5523:
  llvm_cbe_tmp__4 =  /*tail*/ GPL_interp_dispatch();
  if ((llvm_cbe_tmp__4 == 0u)) {
    goto llvm_cbe_tmp__7488;
  } else {
    goto llvm_cbe__2e__crit_edge;
  }

  do {     /* Syntactic loop '.backedge' to make GCC happy */
llvm_cbe__2e_backedge:
  llvm_cbe__2e_pre6053_2e_rle6803 = llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY;
  llvm_cbe_tmp__5993 = llvm_cbe_tmp__5993__PHI_TEMPORARY;
  llvm_cbe_tmp__5994 = llvm_cbe_tmp__5994__PHI_TEMPORARY;
  llvm_cbe_tmp__5995 = llvm_cbe_tmp__5995__PHI_TEMPORARY;
  llvm_cbe_tmp__5996 = llvm_cbe_tmp__5996__PHI_TEMPORARY;
  llvm_cbe_tmp__5997 = llvm_cbe_tmp__5997__PHI_TEMPORARY;
  llvm_cbe_tmp__5998 = llvm_cbe_tmp__5998__PHI_TEMPORARY;
  if ((((unsigned short )llvm_cbe_tmp__5998) < ((unsigned short )((unsigned short )8192)))) {
    goto llvm_cbe_tmp__7492;
  } else {
    goto llvm_cbe__2e__crit_edge5523;
  }

llvm_cbe_tmp__7493:
  llvm_cbe_tmp__90 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )16u)));
  llvm_cbe_tmp__91 = llvm_cbe_tmp__6034 & 65535u;
  llvm_cbe_tmp__92 = *((&RAM.array[((signed int )llvm_cbe_tmp__91)]));
  llvm_cbe_tmp__93 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__91) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__94 = llvm_cbe_tmp__90 & 65535u;
  llvm_cbe_tmp__95 = (&RAM.array[((signed int )llvm_cbe_tmp__94)]);
  *llvm_cbe_tmp__95 = llvm_cbe_tmp__92;
  llvm_cbe_tmp__96 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__94) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__96 = llvm_cbe_tmp__93;
  llvm_cbe_tmp__97 = (&RAM.array[((signed int )llvm_cbe_tmp__90)]);
  llvm_cbe_tmp__98 = *llvm_cbe_tmp__97;
  llvm_cbe_tmp__99 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__100 = *llvm_cbe_tmp__99;
  *llvm_cbe_tmp__97 = ((unsigned char )0);
  *llvm_cbe_tmp__99 = llvm_cbe_tmp__98;
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__100))) >> ((unsigned int )7u))));
  *llvm_cbe_tmp__6029 = ((unsigned char )-1);
  *llvm_cbe_tmp__6031 = ((unsigned char )-1);
  llvm_cbe_tmp__101 = *llvm_cbe_tmp__97;
  llvm_cbe_tmp__102 = *llvm_cbe_tmp__99;
  llvm_cbe_tmp__103 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__102)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__101)) << 8u))) + ((unsigned int )3070u)));
  llvm_cbe_tmp__104 = *((&RAM.array[((signed int )(llvm_cbe_tmp__103 & 65534u))]));
  llvm_cbe_tmp__105 = *((&RAM.array[((signed int )((llvm_cbe_tmp__103 | 1u) & 65535u))]));
  llvm_cbe_tmp__106 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__104)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__105));
  *llvm_cbe_tmp__95 = llvm_cbe_tmp__104;
  *llvm_cbe_tmp__96 = llvm_cbe_tmp__105;
  llvm_cbe_tmp__107 = ((unsigned int )(bool )(llvm_cbe_tmp__106 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__107;
  llvm_cbe_tmp__108 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__106))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__108;
  llvm_cbe_tmp__109 = ((unsigned int )(bool )(llvm_cbe_tmp__106 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__109;
  llvm_cbe_tmp__110 = *llvm_cbe_tmp__97;
  llvm_cbe_tmp__111 = *llvm_cbe_tmp__99;
  llvm_cbe_tmp__112 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__111)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__110)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__112;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__107;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__109;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__108;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__112;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__112;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7494:
  llvm_cbe_tmp__6016 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6017 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__6018 = (&RAM.array[((signed int )llvm_cbe_tmp__6017)]);
  llvm_cbe_tmp__6019 = *llvm_cbe_tmp__6018;
  llvm_cbe_tmp__6020 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6017) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6021 = *llvm_cbe_tmp__6020;
  *llvm_cbe_tmp__6018 = llvm_cbe_tmp__6021;
  *llvm_cbe_tmp__6020 = llvm_cbe_tmp__6019;
  llvm_cbe_tmp__6022 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )2u)));
  llvm_cbe_tmp__6023 = llvm_cbe_tmp__6022 & 65535u;
  llvm_cbe_tmp__6024 = (&RAM.array[((signed int )llvm_cbe_tmp__6023)]);
  llvm_cbe_tmp__6025 = *llvm_cbe_tmp__6024;
  llvm_cbe_tmp__6026 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6023) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6027 = *llvm_cbe_tmp__6026;
  llvm_cbe_tmp__6028 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6028)])) = llvm_cbe_tmp__6025;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6028) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6027;
  llvm_cbe_tmp__6029 = (&RAM.array[((signed int )llvm_cbe_tmp__6016)]);
  llvm_cbe_tmp__6030 = *llvm_cbe_tmp__6029;
  llvm_cbe_tmp__6031 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6032 = *llvm_cbe_tmp__6031;
  llvm_cbe_tmp__6033 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6033)])) = llvm_cbe_tmp__6030;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6033) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6032;
  llvm_cbe_tmp__6034 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )18u)));
  llvm_cbe_tmp__6035 = *((&RAM.array[((signed int )llvm_cbe_tmp__6034)]));
  llvm_cbe_tmp__6036 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__6037 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6036)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6035)) << 8u);
  llvm_cbe_tmp__6038 = ((unsigned short )llvm_cbe_tmp__6037);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6038) > ((unsigned short )((unsigned short )-24576)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6038) > ((signed short )((unsigned short )-24576)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6037 == 40960u)));
  if (((((((unsigned short )llvm_cbe_tmp__6038) > ((unsigned short )((unsigned short )-24576))) | (llvm_cbe_tmp__6037 == 40960u))&1))) {
    goto llvm_cbe__2e__crit_edge4929;
  } else {
    goto llvm_cbe_tmp__7493;
  }

llvm_cbe_tmp__7492:
  llvm_cbe_tmp__5999 = *((&main_2E_case_labels.array[((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5997)))]));
  switch ((((unsigned int )(unsigned short )llvm_cbe_tmp__5999))) {
  default:
    goto llvm_cbe__2e__crit_edge5523;
;
  case 1u:
    goto llvm_cbe_tmp__7495;
    break;
  case 2u:
    goto llvm_cbe_tmp__7496;
  case 3u:
    goto llvm_cbe_tmp__7489;
  case 4u:
    llvm_cbe_tmp__18__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe_tmp__19__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5525;
  case 5u:
    goto llvm_cbe__2e__crit_edge4931;
  case 6u:
    goto llvm_cbe__2e__crit_edge;
  case 7u:
    goto llvm_cbe_tmp__7494;
  case 8u:
    goto llvm_cbe__2e__crit_edge5529;
  case 9u:
    goto llvm_cbe__2e__crit_edge5529;
  case 10u:
    goto llvm_cbe_tmp__7497;
  case 11u:
    goto llvm_cbe_tmp__7498;
  case 12u:
    goto llvm_cbe_tmp__7499;
  case 13u:
    goto llvm_cbe_tmp__7500;
  case 14u:
    goto llvm_cbe_tmp__7501;
  case 15u:
    goto llvm_cbe_tmp__7502;
  case 16u:
    goto llvm_cbe__2e__crit_edge5530_2e_loopexit;
  case 17u:
    goto llvm_cbe__2e__crit_edge5609;
  case 18u:
    goto llvm_cbe_tmp__7503;
  case 19u:
    goto llvm_cbe_tmp__7490;
  case 20u:
    goto llvm_cbe_tmp__7504;
  case 21u:
    goto llvm_cbe_tmp__7505;
  case 22u:
    goto llvm_cbe_tmp__7506;
  case 23u:
    goto llvm_cbe_tmp__7507;
  case 24u:
    goto llvm_cbe__2e__crit_edge5531;
  case 25u:
    goto llvm_cbe_tmp__7508;
  case 26u:
    goto llvm_cbe_tmp__7509;
  case 27u:
    goto llvm_cbe_tmp__7510;
  case 28u:
    goto llvm_cbe_tmp__7511;
  case 29u:
    llvm_cbe_tmp__208__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5532;
  case 30u:
    goto llvm_cbe_tmp__7512;
  case 31u:
    goto llvm_cbe_tmp__7513;
  case 32u:
    goto llvm_cbe__2e__crit_edge5533;
  case 33u:
    goto llvm_cbe__2e__crit_edge5534;
  case 34u:
    goto llvm_cbe__2e__crit_edge5535;
  case 35u:
    goto llvm_cbe_tmp__7514;
  case 36u:
    goto llvm_cbe_tmp__7515;
  case 37u:
    goto llvm_cbe_tmp__7516;
  case 38u:
    goto llvm_cbe_tmp__7517;
  case 39u:
    goto llvm_cbe_tmp__7518;
  case 40u:
    goto llvm_cbe_tmp__7519;
  case 41u:
    goto llvm_cbe__2e__crit_edge5615;
  case 42u:
    goto llvm_cbe__2e__crit_edge5616;
  case 43u:
    goto llvm_cbe_tmp__7520;
  case 44u:
    goto llvm_cbe_tmp__7521;
  case 45u:
    goto llvm_cbe_tmp__7522;
  case 46u:
    goto llvm_cbe__2e__crit_edge5536;
  case 47u:
    goto llvm_cbe_tmp__7523;
  case 48u:
    goto llvm_cbe__2e__crit_edge5538;
  case 49u:
    goto llvm_cbe__2e__crit_edge5538;
  case 50u:
    goto llvm_cbe_tmp__7524;
  case 51u:
    goto llvm_cbe_tmp__7525;
  case 52u:
    goto llvm_cbe_tmp__7526;
  case 53u:
    goto llvm_cbe_tmp__7527;
  case 54u:
    goto llvm_cbe__2e__crit_edge;
  case 55u:
    goto llvm_cbe_tmp__7528;
  case 56u:
    goto llvm_cbe__2e__crit_edge4975;
  case 57u:
    goto llvm_cbe_tmp__7529;
  case 58u:
    goto llvm_cbe__2e__crit_edge5541;
  case 59u:
    goto llvm_cbe_tmp__7530;
  case 60u:
    goto llvm_cbe__2e__crit_edge5542;
  case 61u:
    llvm_cbe_tmp__634__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5543;
  case 62u:
    goto llvm_cbe_tmp__7531;
  case 63u:
    goto llvm_cbe_tmp__7532;
  case 64u:
    goto llvm_cbe_tmp__7533;
  case 65u:
    goto llvm_cbe__2e__crit_edge5544;
  case 66u:
    goto llvm_cbe_tmp__7534;
  case 67u:
    goto llvm_cbe_tmp__7535;
  case 68u:
    goto llvm_cbe_tmp__7536;
  case 69u:
    goto llvm_cbe__2e__crit_edge4975;
  case 70u:
    goto llvm_cbe__2e__crit_edge4982;
  case 71u:
    goto llvm_cbe_tmp__7537;
  case 72u:
    goto llvm_cbe__2e__crit_edge5547;
  case 73u:
    goto llvm_cbe_tmp__7538;
  case 74u:
    goto llvm_cbe_tmp__7539;
  case 75u:
    goto llvm_cbe__2e__crit_edge5624;
  case 76u:
    goto llvm_cbe_tmp__7540;
  case 77u:
    goto llvm_cbe__2e__crit_edge;
  case 78u:
    goto llvm_cbe_tmp__7541;
  case 79u:
    goto llvm_cbe_tmp__7542;
  case 80u:
    goto llvm_cbe__2e__crit_edge5626;
  case 81u:
    goto llvm_cbe__2e__crit_edge5627;
  case 82u:
    llvm_cbe__2e_pre6053_2e_rle6822__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__883__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe__2e_rle5961__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
    llvm_cbe__2e_rle5927__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
    llvm_cbe__2e_rle5896__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4993;
  case 83u:
    goto llvm_cbe_tmp__7543;
  case 84u:
    goto llvm_cbe_tmp__7544;
  case 85u:
    goto llvm_cbe_tmp__7545;
  case 86u:
    goto llvm_cbe_tmp__7546;
  case 87u:
    goto llvm_cbe_tmp__7547;
  case 88u:
    goto llvm_cbe_tmp__7548;
  case 89u:
    goto llvm_cbe_tmp__7549;
  case 90u:
    goto llvm_cbe_tmp__7550;
  case 91u:
    goto llvm_cbe_tmp__7551;
  case 92u:
    goto llvm_cbe_tmp__7552;
  case 93u:
    goto llvm_cbe_tmp__7553;
  case 94u:
    goto llvm_cbe_tmp__7554;
  case 95u:
    goto llvm_cbe_tmp__7555;
  case 96u:
    llvm_cbe__2e_pre6071_2e_pre__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_pre6070_2e_pre__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_pre6069_2e_pre__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_pre6068_2e_pre__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_pre6066__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe__2e_pre6064__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5550;
  case 97u:
    llvm_cbe__2e_pre6071__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_pre6070__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_pre6069__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_pre6068__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__1476__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe_tmp__1477__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4992;
  case 98u:
    goto llvm_cbe_tmp__7556;
  case 99u:
    goto llvm_cbe_tmp__7557;
  case 100u:
    goto llvm_cbe_tmp__7558;
  case 101u:
    goto llvm_cbe__2e__crit_edge5553;
  case 102u:
    goto llvm_cbe_tmp__7559;
  case 103u:
    goto llvm_cbe__2e__crit_edge5553;
  case 104u:
    goto llvm_cbe__2e__crit_edge4931;
  case 105u:
    goto llvm_cbe_tmp__7560;
  case 106u:
    goto llvm_cbe__2e__crit_edge5556;
  case 107u:
    goto llvm_cbe__2e__crit_edge5556;
  case 108u:
    goto llvm_cbe_tmp__7561;
  case 109u:
    goto llvm_cbe__2e__crit_edge4932;
  case 110u:
    goto llvm_cbe_tmp__7562;
  case 111u:
    goto llvm_cbe_tmp__7563;
  case 112u:
    goto llvm_cbe__2e__crit_edge5558;
  case 113u:
    goto llvm_cbe_tmp__7564;
  case 114u:
    goto llvm_cbe_tmp__7565;
  case 115u:
    goto llvm_cbe__2e__crit_edge5559;
  case 116u:
    goto llvm_cbe__2e__crit_edge5560;
  case 117u:
    goto llvm_cbe__2e__crit_edge5561;
  case 118u:
    goto llvm_cbe__2e__crit_edge5562;
  case 119u:
    goto llvm_cbe_tmp__7566;
  case 120u:
    goto llvm_cbe_tmp__7567;
  case 121u:
    goto llvm_cbe__2e__crit_edge5563;
  case 122u:
    goto llvm_cbe_tmp__7568;
  case 123u:
    goto llvm_cbe_tmp__7569;
  case 124u:
    llvm_cbe__2e_pre6053_2e_rle6832__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__3065__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe_tmp__3066__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
    llvm_cbe_tmp__3067__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
    llvm_cbe_tmp__3068__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5564;
  case 125u:
    goto llvm_cbe_tmp__7570;
  case 126u:
    goto llvm_cbe_tmp__7571;
  case 127u:
    goto llvm_cbe_tmp__7572;
  case 128u:
    goto llvm_cbe_tmp__7573;
  case 129u:
    goto llvm_cbe_tmp__7574;
  case 130u:
    goto llvm_cbe__2e__crit_edge5565;
  case 131u:
    goto llvm_cbe_tmp__7575;
  case 132u:
    goto llvm_cbe__2e__crit_edge5566;
  case 133u:
    goto llvm_cbe__2e__crit_edge5265;
  case 134u:
    goto llvm_cbe_tmp__7576;
  case 135u:
    goto llvm_cbe__2e__crit_edge5266;
  case 136u:
    goto llvm_cbe__2e__crit_edge5569;
  case 137u:
    goto llvm_cbe_tmp__7577;
  case 138u:
    goto llvm_cbe_tmp__7578;
  case 139u:
    goto llvm_cbe_tmp__7579;
  case 140u:
    goto llvm_cbe_tmp__7580;
  case 141u:
    goto llvm_cbe_tmp__7581;
  case 142u:
    goto llvm_cbe__2e__crit_edge5570;
  case 143u:
    goto llvm_cbe_tmp__7582;
  case 144u:
    goto llvm_cbe__2e__crit_edge4932;
  case 145u:
    goto llvm_cbe_tmp__7583;
  case 146u:
    goto llvm_cbe_tmp__7584;
  case 147u:
    goto llvm_cbe_tmp__7585;
  case 148u:
    goto llvm_cbe_tmp__7586;
  case 149u:
    goto llvm_cbe_tmp__7587;
  case 150u:
    goto llvm_cbe_tmp__7588;
  case 151u:
    goto llvm_cbe_tmp__7589;
  case 152u:
    goto llvm_cbe_tmp__7590;
  case 153u:
    goto llvm_cbe_tmp__7591;
  case 154u:
    goto llvm_cbe__2e__crit_edge5572;
  case 155u:
    goto llvm_cbe_tmp__7592;
  case 156u:
    goto llvm_cbe_tmp__7593;
  case 157u:
    goto llvm_cbe_tmp__7594;
  case 158u:
    goto llvm_cbe_tmp__7595;
  case 159u:
    goto llvm_cbe_tmp__7596;
  case 160u:
    goto llvm_cbe_tmp__7597;
  case 161u:
    goto llvm_cbe_tmp__7598;
  case 162u:
    goto llvm_cbe_tmp__7599;
  case 163u:
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  case 164u:
    goto llvm_cbe_tmp__7600;
  case 165u:
    goto llvm_cbe_tmp__7601;
  case 166u:
    llvm_cbe_tmp__4691__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5574;
  case 167u:
    goto llvm_cbe_tmp__7602;
  case 168u:
    goto llvm_cbe_tmp__7603;
  case 169u:
    goto llvm_cbe__2e__crit_edge5575;
  case 170u:
    goto llvm_cbe_tmp__7604;
  case 171u:
    goto llvm_cbe_tmp__7605;
  case 172u:
    goto llvm_cbe_tmp__7606;
  case 173u:
    goto llvm_cbe__2e__crit_edge5384;
  case 174u:
    goto llvm_cbe__2e__crit_edge5385;
  case 175u:
    llvm_cbe__2e_pre6053_2e_rle6910__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__4786__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe__2e_rle5977__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
    llvm_cbe__2e_rle5943__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
    llvm_cbe__2e_rle5911__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5578;
  case 176u:
    goto llvm_cbe_tmp__7607;
  case 177u:
    goto llvm_cbe_tmp__7608;
  case 178u:
    goto llvm_cbe_tmp__7609;
  case 179u:
    goto llvm_cbe_tmp__7610;
  case 180u:
    goto llvm_cbe_tmp__7611;
  case 181u:
    goto llvm_cbe_tmp__7612;
  case 182u:
    goto llvm_cbe_tmp__7613;
  case 183u:
    goto llvm_cbe_tmp__7614;
  case 184u:
    goto llvm_cbe_tmp__7615;
  case 185u:
    goto llvm_cbe_tmp__7616;
  case 186u:
    llvm_cbe_tmp__4977__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5579;
  case 187u:
    goto llvm_cbe_tmp__7617;
  case 188u:
    goto llvm_cbe_tmp__7618;
  case 189u:
    goto llvm_cbe_tmp__7619;
  case 190u:
    llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5456;
  case 191u:
    llvm_cbe__2e_rle5980__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
    llvm_cbe__2e_rle5946__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
    llvm_cbe__2e_rle5912__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5404;
  case 192u:
    goto llvm_cbe_tmp__7620;
  case 193u:
    goto llvm_cbe_tmp__7621;
  case 194u:
    goto llvm_cbe_tmp__7622;
  case 195u:
    goto llvm_cbe__2e__crit_edge5415;
  case 196u:
    goto llvm_cbe_tmp__7623;
  case 197u:
    goto llvm_cbe_tmp__7624;
  case 198u:
    goto llvm_cbe_tmp__7625;
  case 199u:
    goto llvm_cbe_tmp__7626;
  case 200u:
    goto llvm_cbe__2e__crit_edge5408;
  case 201u:
    goto llvm_cbe_tmp__7627;
  case 202u:
    goto llvm_cbe__2e__crit_edge5408;
  case 203u:
    goto llvm_cbe_tmp__7628;
  case 204u:
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  case 205u:
    goto llvm_cbe_tmp__7629;
  case 206u:
    goto llvm_cbe_tmp__7630;
  case 207u:
    goto llvm_cbe_tmp__7631;
  case 208u:
    goto llvm_cbe_tmp__7632;
  case 209u:
    goto llvm_cbe_tmp__7633;
  case 210u:
    goto llvm_cbe_tmp__7634;
  case 211u:
    goto llvm_cbe_tmp__7635;
  case 212u:
    goto llvm_cbe_tmp__7636;
  case 213u:
    goto llvm_cbe_tmp__7637;
  case 214u:
    goto llvm_cbe_tmp__7638;
  case 215u:
    goto llvm_cbe_tmp__7639;
  case 216u:
    goto llvm_cbe__2e__crit_edge5586;
  case 217u:
    goto llvm_cbe__2e__crit_edge5587;
  case 218u:
    goto llvm_cbe_tmp__7640;
  case 219u:
    goto llvm_cbe_tmp__7641;
  case 220u:
    goto llvm_cbe_tmp__7642;
  case 221u:
    goto llvm_cbe_tmp__7643;
  case 222u:
    goto llvm_cbe_tmp__7644;
  case 223u:
    goto llvm_cbe_tmp__7645;
  case 224u:
    goto llvm_cbe__2e__crit_edge5588;
  case 225u:
    goto llvm_cbe__2e__crit_edge5589;
  case 226u:
    goto llvm_cbe_tmp__7646;
  case 227u:
    goto llvm_cbe_tmp__7647;
  case 228u:
    goto llvm_cbe_tmp__7648;
  case 229u:
    goto llvm_cbe_tmp__7649;
  case 230u:
    llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5456;
  case 231u:
    goto llvm_cbe_tmp__7650;
  case 232u:
    goto llvm_cbe_tmp__7651;
  case 233u:
    goto llvm_cbe_tmp__7652;
  case 234u:
    goto llvm_cbe_tmp__7653;
  case 235u:
    goto llvm_cbe_tmp__7654;
  case 236u:
    goto llvm_cbe__2e__crit_edge5419;
  case 237u:
    goto llvm_cbe_tmp__7655;
  case 238u:
    goto llvm_cbe_tmp__7656;
  case 239u:
    goto llvm_cbe_tmp__7657;
  case 240u:
    goto llvm_cbe_tmp__7658;
  case 241u:
    llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5456;
  case 242u:
    goto llvm_cbe_tmp__7659;
  case 243u:
    goto llvm_cbe_tmp__7660;
  case 244u:
    goto llvm_cbe_tmp__7661;
  case 245u:
    goto llvm_cbe_tmp__7662;
  case 246u:
    goto llvm_cbe_tmp__7663;
  case 247u:
    goto llvm_cbe_tmp__7664;
  case 248u:
    goto llvm_cbe_tmp__7665;
  case 249u:
    goto llvm_cbe_tmp__7666;
  case 250u:
    goto llvm_cbe_tmp__7667;
  case 251u:
    goto llvm_cbe_tmp__7668;
  case 252u:
    goto llvm_cbe_tmp__7669;
  case 253u:
    goto llvm_cbe_tmp__7670;
  case 254u:
    goto llvm_cbe_tmp__7671;
  case 255u:
    goto llvm_cbe__2e__crit_edge5593;
  case 256u:
    goto llvm_cbe_tmp__7672;
  case 257u:
    goto llvm_cbe_tmp__7673;
  case 258u:
    goto llvm_cbe_tmp__7674;
  case 259u:
    llvm_cbe__2e_rle5983__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
    llvm_cbe__2e_rle5949__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
    llvm_cbe__2e_rle5915__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5594;
  case 260u:
    goto llvm_cbe_tmp__7675;
  case 261u:
    goto llvm_cbe__2e__crit_edge5595;
  case 262u:
    goto llvm_cbe_tmp__7676;
  case 263u:
    goto llvm_cbe_tmp__7677;
  case 264u:
    goto llvm_cbe__2e__crit_edge5596;
  case 265u:
    goto llvm_cbe_tmp__7678;
  case 266u:
    goto llvm_cbe_tmp__7679;
  case 267u:
    goto llvm_cbe_tmp__7680;
  case 268u:
    goto llvm_cbe_tmp__7681;
  case 269u:
    goto llvm_cbe_tmp__7682;
  case 270u:
    goto llvm_cbe_tmp__7683;
  case 271u:
    goto llvm_cbe_tmp__7684;
  case 272u:
    goto llvm_cbe_tmp__7685;
  case 273u:
    goto llvm_cbe_tmp__7686;
  case 274u:
    goto llvm_cbe_tmp__7687;
  case 275u:
    goto llvm_cbe_tmp__7688;
  case 276u:
    goto llvm_cbe_tmp__7689;
  case 277u:
    goto llvm_cbe_tmp__7690;
  case 278u:
    goto llvm_cbe_tmp__7691;
  case 279u:
    goto llvm_cbe_tmp__7692;
  case 280u:
    goto llvm_cbe_tmp__7693;
  case 281u:
    goto llvm_cbe_tmp__7694;
  case 282u:
    goto llvm_cbe_tmp__7695;
  case 283u:
    goto llvm_cbe__2e__crit_edge5597;
  case 284u:
    llvm_cbe__2e_pre6053_2e_rle6956__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5746__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5499;
  case 285u:
    goto llvm_cbe_tmp__7696;
  case 286u:
    llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5599;
  case 287u:
    goto llvm_cbe__2e__crit_edge5600;
  case 288u:
    goto llvm_cbe_tmp__7697;
  case 289u:
    goto llvm_cbe_tmp__7698;
  }
llvm_cbe__2e__crit_edge5529:
  llvm_cbe_tmp__113 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__114 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__113) + ((unsigned int )16u)));
  llvm_cbe_tmp__115 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__113) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__116 = *((&RAM.array[((signed int )llvm_cbe_tmp__115)]));
  llvm_cbe_tmp__117 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__115) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__118 = llvm_cbe_tmp__114 & 65535u;
  llvm_cbe_tmp__119 = (&RAM.array[((signed int )llvm_cbe_tmp__118)]);
  *llvm_cbe_tmp__119 = llvm_cbe_tmp__116;
  llvm_cbe_tmp__120 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__118) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__120 = llvm_cbe_tmp__117;
  llvm_cbe_tmp__121 = (&RAM.array[((signed int )llvm_cbe_tmp__114)]);
  llvm_cbe_tmp__122 = *llvm_cbe_tmp__121;
  llvm_cbe_tmp__123 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__122) >> ((unsigned char )((unsigned char )1))))));
  *llvm_cbe_tmp__121 = ((unsigned char )0);
  llvm_cbe_tmp__124 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__113) + ((unsigned int )17u)))))]);
  *llvm_cbe_tmp__124 = llvm_cbe_tmp__123;
  *(&ST_C) = ((((unsigned int )(unsigned char )llvm_cbe_tmp__122)) & 1u);
  llvm_cbe_tmp__125 = *llvm_cbe_tmp__121;
  llvm_cbe_tmp__126 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__123)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__125)) << 8u))) + ((unsigned int )3150u)));
  llvm_cbe_tmp__127 = *((&RAM.array[((signed int )(llvm_cbe_tmp__126 & 65534u))]));
  llvm_cbe_tmp__128 = *((&RAM.array[((signed int )((llvm_cbe_tmp__126 | 1u) & 65535u))]));
  *llvm_cbe_tmp__119 = llvm_cbe_tmp__127;
  *llvm_cbe_tmp__120 = llvm_cbe_tmp__128;
  llvm_cbe_tmp__129 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__113) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__130 = *((&RAM.array[((signed int )llvm_cbe_tmp__129)]));
  llvm_cbe_tmp__131 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__129) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__132 = *((&RAM.array[((signed int )llvm_cbe_tmp__113)]));
  llvm_cbe_tmp__133 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__113) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__134 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__130)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__131))));
  llvm_cbe_tmp__135 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__132)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__133))));
  llvm_cbe_tmp__136 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__134) > ((unsigned short )llvm_cbe_tmp__135)));
  *(&ST_LGT) = llvm_cbe_tmp__136;
  llvm_cbe_tmp__137 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__134) > ((signed short )llvm_cbe_tmp__135)));
  *(&ST_AGT) = llvm_cbe_tmp__137;
  llvm_cbe_tmp__138 = ((unsigned int )(bool )(llvm_cbe_tmp__134 == llvm_cbe_tmp__135));
  *(&ST_EQ) = llvm_cbe_tmp__138;
  llvm_cbe_tmp__139 = *llvm_cbe_tmp__121;
  llvm_cbe_tmp__140 = *llvm_cbe_tmp__124;
  llvm_cbe_tmp__141 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__140)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__139)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__141;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__136;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__138;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__137;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__141;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__141;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge4962:
  llvm_cbe__2e_pre6053_2e_rle6806 = llvm_cbe__2e_pre6053_2e_rle6806__PHI_TEMPORARY;
  llvm_cbe_tmp__429 = llvm_cbe_tmp__429__PHI_TEMPORARY;
  llvm_cbe__2e_rle5957 = llvm_cbe__2e_rle5957__PHI_TEMPORARY;
  llvm_cbe__2e_rle5924 = llvm_cbe__2e_rle5924__PHI_TEMPORARY;
  llvm_cbe__2e_rle5892 = llvm_cbe__2e_rle5892__PHI_TEMPORARY;
  llvm_cbe_tmp__430 = ((unsigned int )(unsigned short )llvm_cbe_tmp__429);
  llvm_cbe_tmp__431 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__430) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__432 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__430) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__433 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__432)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__431)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__433;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6806;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5957;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5924;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5892;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__429;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__433;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__433;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge4960:
  llvm_cbe_tmp__428 = llvm_cbe_tmp__428__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__428;
  llvm_cbe__2e_pre6053_2e_rle6806__PHI_TEMPORARY = llvm_cbe_tmp__416;   /* for PHI node */
  llvm_cbe_tmp__429__PHI_TEMPORARY = llvm_cbe_tmp__416;   /* for PHI node */
  llvm_cbe__2e_rle5957__PHI_TEMPORARY = llvm_cbe_tmp__425;   /* for PHI node */
  llvm_cbe__2e_rle5924__PHI_TEMPORARY = llvm_cbe_tmp__427;   /* for PHI node */
  llvm_cbe__2e_rle5892__PHI_TEMPORARY = llvm_cbe_tmp__426;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4962;

llvm_cbe__2e__crit_edge4958:
  llvm_cbe_tmp__411 = llvm_cbe_tmp__411__PHI_TEMPORARY;
  llvm_cbe_tmp__412 = ((unsigned int )(unsigned short )llvm_cbe_tmp__411);
  llvm_cbe_tmp__413 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__412) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__414 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__412) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__415 = *((&RAM.array[((signed int )33765u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__413)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__414)))))) + ((unsigned short )((unsigned short )-2))))))), llvm_cbe_tmp__415);
  llvm_cbe_tmp__416 = *(&WP);
  llvm_cbe_tmp__417 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__416))) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__418 = (&RAM.array[((signed int )llvm_cbe_tmp__417)]);
  llvm_cbe_tmp__419 = *llvm_cbe_tmp__418;
  llvm_cbe_tmp__420 = (((unsigned int )(unsigned char )llvm_cbe_tmp__419)) << 8u;
  llvm_cbe_tmp__421 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__417) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__422 = *llvm_cbe_tmp__421;
  llvm_cbe_tmp__423 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__420 | (((unsigned int )(unsigned char )llvm_cbe_tmp__422)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__418 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__423) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__421 = (((unsigned char )llvm_cbe_tmp__423));
  llvm_cbe_tmp__424 = ((unsigned short )llvm_cbe_tmp__423);
  llvm_cbe_tmp__425 = ((unsigned int )(bool )(llvm_cbe_tmp__424 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__425;
  llvm_cbe_tmp__426 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__424) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__426;
  llvm_cbe_tmp__427 = ((unsigned int )(bool )(llvm_cbe_tmp__424 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__427;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__423) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__420 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7699;
  } else {
    llvm_cbe_tmp__428__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4960;
  }

llvm_cbe_tmp__7700:
  llvm_cbe_tmp__381 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__379) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__382 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__379) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__383 = *((&RAM.array[((signed int )33767u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__381)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__382))))), llvm_cbe_tmp__383);
  llvm_cbe_tmp__384 = *(&WP);
  llvm_cbe_tmp__385 = ((unsigned int )(unsigned short )llvm_cbe_tmp__384);
  llvm_cbe_tmp__386 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__385) + ((unsigned int )6u)));
  llvm_cbe_tmp__387 = (&RAM.array[((signed int )llvm_cbe_tmp__386)]);
  llvm_cbe_tmp__388 = *llvm_cbe_tmp__387;
  llvm_cbe_tmp__389 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__385) + ((unsigned int )7u)))))]);
  llvm_cbe_tmp__390 = *llvm_cbe_tmp__389;
  llvm_cbe_tmp__391 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__388)) << 8u) | 16384u;
  *llvm_cbe_tmp__387 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__391) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__389 = llvm_cbe_tmp__390;
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )((((unsigned short )llvm_cbe_tmp__391)) | (((unsigned short )(unsigned char )llvm_cbe_tmp__390)))))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__392 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__385) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__393 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__385) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__394 = *((&RAM.array[((signed int )(llvm_cbe_tmp__386 & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__393)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__392)) << ((unsigned short )8))))))), llvm_cbe_tmp__394);
  llvm_cbe_tmp__395 = *(&WP);
  llvm_cbe_tmp__396 = ((unsigned int )(unsigned short )llvm_cbe_tmp__395);
  llvm_cbe_tmp__397 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__396) + ((unsigned int )10u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__397 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__397) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__397 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__397 == ((unsigned char )0))) {
    llvm_cbe_tmp__411__PHI_TEMPORARY = llvm_cbe_tmp__395;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4958;
  } else {
    goto llvm_cbe_tmp__7701;
  }

llvm_cbe_tmp__7702:
  llvm_cbe_tmp__379 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__380 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__379) + ((unsigned int )8u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__380 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__380) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__380 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__380 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__7703;
  } else {
    goto llvm_cbe_tmp__7700;
  }

llvm_cbe__2e__crit_edge4952:
  llvm_cbe_tmp__302 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__303 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__302) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__304 = *((&RAM.array[((signed int )llvm_cbe_tmp__303)]));
  llvm_cbe_tmp__305 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__303) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__306 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__304)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__305));
  llvm_cbe_tmp__307 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__302) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__307)])) = llvm_cbe_tmp__304;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__307) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__305;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__306 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__306))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__306 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__302) + ((unsigned int )22u)))))])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__302) + ((unsigned int )23u)))))])) = ((unsigned char )-26);
  goto llvm_cbe_tmp__7702;

llvm_cbe__2e__crit_edge5619:
  llvm_cbe_tmp__295 = *llvm_cbe_tmp__6280;
  llvm_cbe_tmp__296 = *llvm_cbe_tmp__6281;
  llvm_cbe_tmp__297 = *((&RAM.array[((signed int )llvm_cbe_tmp__6275)]));
  llvm_cbe_tmp__298 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6275) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__299 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__297)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__298)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__295)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__296))))));
  *llvm_cbe_tmp__6280 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__299) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__6281 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__299) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6279) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__299) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6279) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__299));
  llvm_cbe_tmp__300 = *llvm_cbe_tmp__6282;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__300 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__300) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__300 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__300 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__7704;
  } else {
    goto llvm_cbe__2e__crit_edge4952;
  }

llvm_cbe__2e__crit_edge4951:
  *llvm_cbe_tmp__6280 = ((unsigned char )0);
  *(&ST_LGT) = 0u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 1u;
  *(&ST_C) = 1u;
  *(&ST_O) = 0u;
  goto llvm_cbe__2e__crit_edge5619;

llvm_cbe_tmp__7522:
  llvm_cbe_tmp__6275 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6276 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6275) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6277 = *((&RAM.array[((signed int )llvm_cbe_tmp__6276)]));
  llvm_cbe_tmp__6278 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6276) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6279 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6275) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__6280 = (&RAM.array[((signed int )llvm_cbe_tmp__6279)]);
  *llvm_cbe_tmp__6280 = llvm_cbe_tmp__6277;
  llvm_cbe_tmp__6281 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6279) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__6281 = llvm_cbe_tmp__6278;
  llvm_cbe_tmp__6282 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6275) + ((unsigned int )10u)))) & 65535u))]);
  llvm_cbe_tmp__6283 = *llvm_cbe_tmp__6282;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6283 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6283) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6283 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__6283 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge4951;
  } else {
    goto llvm_cbe__2e__crit_edge5619;
  }

llvm_cbe_tmp__7704:
  llvm_cbe_tmp__301 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6275) + ((unsigned int )18u)))) & 65535u))]));
  *((&RAM.array[((signed int )33777u)])) = llvm_cbe_tmp__301;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__301 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__301) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__301 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge4952;

llvm_cbe__2e_thread:
  llvm_cbe_tmp__348 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__338) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__349 = *llvm_cbe_tmp__348;
  llvm_cbe_tmp__350 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__338) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__351 = *llvm_cbe_tmp__350;
  llvm_cbe_tmp__352 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__351)) | (llvm_cbe_tmp__343 << 16u)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__349)) << 8u);
  llvm_cbe_tmp__353 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__352) / ((unsigned int )llvm_cbe_tmp__347)));
  *llvm_cbe_tmp__339 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__353) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__341 = (((unsigned char )llvm_cbe_tmp__353));
  llvm_cbe_tmp__354 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__352) % ((unsigned int )llvm_cbe_tmp__347)));
  *llvm_cbe_tmp__348 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__354) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__350 = (((unsigned char )llvm_cbe_tmp__354));
  *(&ST_O) = 0u;
  goto llvm_cbe__2e__crit_edge4952;

llvm_cbe__2e__crit_edge4955:
  llvm_cbe_tmp__338 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__324) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__339 = (&RAM.array[((signed int )llvm_cbe_tmp__338)]);
  llvm_cbe_tmp__340 = *llvm_cbe_tmp__339;
  llvm_cbe_tmp__341 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__338) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__342 = *llvm_cbe_tmp__341;
  llvm_cbe_tmp__343 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__340)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__342));
  llvm_cbe_tmp__344 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__324) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__345 = *((&RAM.array[((signed int )llvm_cbe_tmp__344)]));
  llvm_cbe_tmp__346 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__344) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__347 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__345)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__346));
  if ((((unsigned short )(((unsigned short )llvm_cbe_tmp__347))) > ((unsigned short )(((unsigned short )llvm_cbe_tmp__343))))) {
    goto llvm_cbe__2e_thread;
  } else {
    goto llvm_cbe_tmp__7705;
  }

llvm_cbe__2e__crit_edge5538:
  llvm_cbe_tmp__324 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__325 = *((&RAM.array[((signed int )llvm_cbe_tmp__324)]));
  llvm_cbe_tmp__326 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__324) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__327 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__324) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__328 = (&RAM.array[((signed int )llvm_cbe_tmp__327)]);
  *llvm_cbe_tmp__328 = llvm_cbe_tmp__325;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__327) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__326;
  llvm_cbe_tmp__329 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__324) + ((unsigned int )10u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__329 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__329) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__329 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__329 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__7706;
  } else {
    goto llvm_cbe__2e__crit_edge4955;
  }

llvm_cbe_tmp__7706:
  llvm_cbe_tmp__330 = *((&RAM.array[((signed int )33777u)]));
  *llvm_cbe_tmp__328 = llvm_cbe_tmp__330;
  llvm_cbe_tmp__331 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__324) + ((unsigned int )16u)))))]);
  llvm_cbe_tmp__332 = *llvm_cbe_tmp__331;
  llvm_cbe_tmp__333 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__324) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__334 = *llvm_cbe_tmp__333;
  llvm_cbe_tmp__335 = ((signed int )(signed short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__332)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__334))))));
  llvm_cbe_tmp__336 = ((signed int )(((signed int )llvm_cbe_tmp__335) >> ((signed int )8u)));
  *llvm_cbe_tmp__331 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__335) >> ((unsigned int )16u))))));
  *llvm_cbe_tmp__333 = (((unsigned char )llvm_cbe_tmp__336));
  llvm_cbe_tmp__337 = ((unsigned short )llvm_cbe_tmp__336);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__337 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__337) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__337 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__334))) >> ((unsigned int )7u))));
  goto llvm_cbe__2e__crit_edge4955;

llvm_cbe_tmp__7705:
  *(&ST_O) = 1u;
  llvm_cbe_tmp__355 = *((&RAM.array[((signed int )33660u)]));
  llvm_cbe_tmp__356 = *((&RAM.array[((signed int )19u)]));
  llvm_cbe_tmp__357 = ((unsigned char )(llvm_cbe_tmp__356 | llvm_cbe_tmp__355));
  *((&RAM.array[((signed int )33660u)])) = llvm_cbe_tmp__357;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__357 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__357) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__357 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge4952;

llvm_cbe_tmp__7707:
  llvm_cbe_tmp__378 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__378) + ((unsigned int )22u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__378) + ((unsigned int )23u)))))])) = ((unsigned char )112);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe_tmp__7702;

llvm_cbe__2e__crit_edge5531:
  llvm_cbe_tmp__189 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__190 = (&RAM.array[((signed int )llvm_cbe_tmp__189)]);
  llvm_cbe_tmp__191 = *llvm_cbe_tmp__190;
  llvm_cbe_tmp__192 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__189) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__193 = *llvm_cbe_tmp__192;
  llvm_cbe_tmp__194 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__191)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__193));
  llvm_cbe_tmp__195 = ((unsigned short )llvm_cbe_tmp__194);
  llvm_cbe_tmp__196 = llvm_cbe_tmp__194 ^ 4294967295u;
  *llvm_cbe_tmp__190 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__196) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__192 = (((unsigned char )llvm_cbe_tmp__196));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__195 != ((unsigned short )-1))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__196))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__195 == ((unsigned short )-1))));
  goto llvm_cbe_tmp__7707;

llvm_cbe_tmp__7507:
  llvm_cbe_tmp__6127 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6127)])) = ((unsigned char )-1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6127) + ((unsigned int )1u)))))])) = ((unsigned char )-1);
  goto llvm_cbe__2e__crit_edge5531;

llvm_cbe__2e__crit_edge5617:
  llvm_cbe_tmp__274 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6271) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__275 = (((unsigned int )(unsigned char )llvm_cbe_tmp__274)) & 15u;
  llvm_cbe_tmp__276 = (((llvm_cbe_tmp__275 == 0u)) ? (16u) : (llvm_cbe_tmp__275));
  llvm_cbe_tmp__277 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6271) + ((unsigned int )4u)))))]);
  llvm_cbe_tmp__278 = *llvm_cbe_tmp__277;
  llvm_cbe_tmp__279 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6271) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__280 = *llvm_cbe_tmp__279;
  llvm_cbe_tmp__281 = (((unsigned int )(unsigned char )llvm_cbe_tmp__280)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__278)) << 8u);
  llvm_cbe_tmp__282 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__281) >> ((unsigned int )llvm_cbe_tmp__276)));
  *llvm_cbe_tmp__277 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__282) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__279 = (((unsigned char )llvm_cbe_tmp__282));
  llvm_cbe_tmp__283 = ((unsigned short )llvm_cbe_tmp__282);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__283 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__283) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__283 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__281) >> ((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__276) + ((unsigned int )4294967295u)))))))) & 1u);
  goto llvm_cbe_tmp__7707;

llvm_cbe__2e__crit_edge4948:
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6271) + ((unsigned int )4u)))) & 65535u))])) = ((unsigned char )0);
  *(&ST_LGT) = 0u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 1u;
  *(&ST_C) = 1u;
  *(&ST_O) = 0u;
  goto llvm_cbe__2e__crit_edge5617;

llvm_cbe_tmp__7520:
  llvm_cbe_tmp__6271 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6272 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6271) + ((unsigned int )10u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6272 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6272) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6272 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__6272 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge4948;
  } else {
    goto llvm_cbe__2e__crit_edge5617;
  }

llvm_cbe__2e__crit_edge5618:
  llvm_cbe_tmp__285 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6273) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__286 = (((unsigned int )(unsigned char )llvm_cbe_tmp__285)) & 15u;
  llvm_cbe_tmp__287 = (((llvm_cbe_tmp__286 == 0u)) ? (16u) : (llvm_cbe_tmp__286));
  llvm_cbe_tmp__288 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6273) + ((unsigned int )4u)))))]);
  llvm_cbe_tmp__289 = *llvm_cbe_tmp__288;
  llvm_cbe_tmp__290 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6273) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__291 = *llvm_cbe_tmp__290;
  llvm_cbe_tmp__292 = (((unsigned int )(unsigned char )llvm_cbe_tmp__291)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__289)) << 8u);
  llvm_cbe_tmp__293 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__292) >> ((unsigned int )llvm_cbe_tmp__287)))) | (llvm_cbe_tmp__292 << (((unsigned int )(((unsigned int )16u) - ((unsigned int )llvm_cbe_tmp__287)))));
  *llvm_cbe_tmp__288 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__293) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__290 = (((unsigned char )llvm_cbe_tmp__293));
  llvm_cbe_tmp__294 = ((unsigned short )llvm_cbe_tmp__293);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__294 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__294) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__294 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__292) >> ((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__287) + ((unsigned int )4294967295u)))))))) & 1u);
  goto llvm_cbe_tmp__7707;

llvm_cbe_tmp__7708:
  llvm_cbe_tmp__284 = *((&RAM.array[((signed int )33765u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6273) + ((unsigned int )4u)))) & 65535u))])) = llvm_cbe_tmp__284;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__284 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__284) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__284 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge5618;

llvm_cbe_tmp__7521:
  llvm_cbe_tmp__6273 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6274 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6273) + ((unsigned int )10u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6274 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6274) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6274 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__6274 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__7708;
  } else {
    goto llvm_cbe__2e__crit_edge5618;
  }

llvm_cbe__2e__crit_edge5536:
  llvm_cbe_tmp__308 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__309 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__308) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__310 = *((&RAM.array[((signed int )llvm_cbe_tmp__309)]));
  llvm_cbe_tmp__311 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__309) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__312 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__310)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__311));
  llvm_cbe_tmp__313 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__308) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__313)])) = llvm_cbe_tmp__310;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__313) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__311;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__312 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__312))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__312 == 0u)));
  goto llvm_cbe_tmp__7707;

llvm_cbe_tmp__7519:
  llvm_cbe_tmp__6240 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6241 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6240) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__6242 = (&RAM.array[((signed int )llvm_cbe_tmp__6241)]);
  llvm_cbe_tmp__6243 = *llvm_cbe_tmp__6242;
  llvm_cbe_tmp__6244 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6241) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6245 = *llvm_cbe_tmp__6244;
  *llvm_cbe_tmp__6242 = llvm_cbe_tmp__6245;
  *llvm_cbe_tmp__6244 = llvm_cbe_tmp__6243;
  llvm_cbe_tmp__6246 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6240) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__6247 = *((&RAM.array[((signed int )llvm_cbe_tmp__6246)]));
  llvm_cbe_tmp__6248 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6246) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6249 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6247)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6248));
  llvm_cbe_tmp__6250 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6240) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6250)])) = llvm_cbe_tmp__6247;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6250) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6248;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6249 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6249))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6249 == 0u)));
  goto llvm_cbe__2e__crit_edge5536;

llvm_cbe_tmp__7709:
  llvm_cbe_tmp__367 = llvm_cbe_tmp__367__PHI_TEMPORARY;
  llvm_cbe_tmp__368 = llvm_cbe_tmp__368__PHI_TEMPORARY;
  llvm_cbe_tmp__369 = llvm_cbe_tmp__369__PHI_TEMPORARY;
  llvm_cbe_tmp__370 = *(&ST_C);
  llvm_cbe_tmp__371 = *(&ST_O);
  llvm_cbe_tmp__372 = *(&ST_P);
  llvm_cbe_tmp__373 = *(&ST_X);
  llvm_cbe_tmp__374 = *(&ST_IM);
  llvm_cbe_tmp__375 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__376 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__375) + ((unsigned int )22u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__376)])) = (((unsigned char )(((unsigned int )(((unsigned int )((((((((llvm_cbe_tmp__368 << 14u) | (llvm_cbe_tmp__369 << 15u)) | (llvm_cbe_tmp__367 << 13u)) | (llvm_cbe_tmp__370 << 12u)) | (llvm_cbe_tmp__371 << 11u)) | (llvm_cbe_tmp__372 << 10u)) | llvm_cbe_tmp__374) | (llvm_cbe_tmp__373 << 9u))) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__375) + ((unsigned int )23u)))))])) = (((unsigned char )llvm_cbe_tmp__374));
  llvm_cbe_tmp__377 = *((&RAM.array[((signed int )(llvm_cbe_tmp__376 & 65535u))]));
  *((&RAM.array[((signed int )33660u)])) = llvm_cbe_tmp__377;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__377 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__377) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__377 == ((unsigned char )0))));
  goto llvm_cbe_tmp__7707;

llvm_cbe__2e__crit_edge4947:
  llvm_cbe_tmp__273 = llvm_cbe_tmp__273__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__273;
  llvm_cbe_tmp__367__PHI_TEMPORARY = llvm_cbe_tmp__272;   /* for PHI node */
  llvm_cbe_tmp__368__PHI_TEMPORARY = llvm_cbe_tmp__271;   /* for PHI node */
  llvm_cbe_tmp__369__PHI_TEMPORARY = llvm_cbe_tmp__270;   /* for PHI node */
  goto llvm_cbe_tmp__7709;

llvm_cbe_tmp__7710:
  llvm_cbe_tmp__259 = *((&RAM.array[((signed int )llvm_cbe_tmp__257)]));
  llvm_cbe_tmp__260 = (((unsigned int )(unsigned char )llvm_cbe_tmp__259)) << 8u;
  llvm_cbe_tmp__261 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__257) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__262 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__257) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__263 = (&RAM.array[((signed int )llvm_cbe_tmp__262)]);
  llvm_cbe_tmp__264 = *llvm_cbe_tmp__263;
  llvm_cbe_tmp__265 = (((unsigned int )(unsigned char )llvm_cbe_tmp__264)) << 8u;
  llvm_cbe_tmp__266 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__262) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__267 = *llvm_cbe_tmp__266;
  llvm_cbe_tmp__268 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__265 | (((unsigned int )(unsigned char )llvm_cbe_tmp__267)))) + ((unsigned int )(llvm_cbe_tmp__260 | (((unsigned int )(unsigned char )llvm_cbe_tmp__261))))));
  *llvm_cbe_tmp__263 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__268) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__266 = (((unsigned char )llvm_cbe_tmp__268));
  llvm_cbe_tmp__269 = ((unsigned short )llvm_cbe_tmp__268);
  llvm_cbe_tmp__270 = ((unsigned int )(bool )(llvm_cbe_tmp__269 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__270;
  llvm_cbe_tmp__271 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__269) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__271;
  llvm_cbe_tmp__272 = ((unsigned int )(bool )(llvm_cbe_tmp__269 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__272;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__268) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__265 ^ llvm_cbe_tmp__260) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7711;
  } else {
    llvm_cbe_tmp__273__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4947;
  }

llvm_cbe__2e__crit_edge5535:
  llvm_cbe_tmp__257 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__258 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__257) + ((unsigned int )10u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__258 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__258) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__258 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__258 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__7712;
  } else {
    goto llvm_cbe_tmp__7710;
  }

llvm_cbe__2e__crit_edge5534:
  llvm_cbe_tmp__249 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__250 = (&RAM.array[((signed int )llvm_cbe_tmp__249)]);
  llvm_cbe_tmp__251 = *llvm_cbe_tmp__250;
  llvm_cbe_tmp__252 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__249) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__253 = *llvm_cbe_tmp__252;
  llvm_cbe_tmp__254 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__251)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__253));
  llvm_cbe_tmp__255 = -(llvm_cbe_tmp__254);
  *llvm_cbe_tmp__250 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__255) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__252 = (((unsigned char )llvm_cbe_tmp__255));
  llvm_cbe_tmp__256 = ((unsigned short )llvm_cbe_tmp__255);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__256 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__256) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__256 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__255) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__254 == 32768u)));
  goto llvm_cbe__2e__crit_edge5535;

llvm_cbe__2e__crit_edge4946:
  llvm_cbe_tmp__248 = llvm_cbe_tmp__248__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__248;
  goto llvm_cbe__2e__crit_edge5534;

llvm_cbe__2e__crit_edge5533:
  llvm_cbe_tmp__240 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__241 = (&RAM.array[((signed int )llvm_cbe_tmp__240)]);
  llvm_cbe_tmp__242 = *llvm_cbe_tmp__241;
  llvm_cbe_tmp__243 = (((unsigned int )(unsigned char )llvm_cbe_tmp__242)) << 8u;
  llvm_cbe_tmp__244 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__240) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__245 = *llvm_cbe_tmp__244;
  llvm_cbe_tmp__246 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__243 | (((unsigned int )(unsigned char )llvm_cbe_tmp__245)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__241 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__246) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__244 = (((unsigned char )llvm_cbe_tmp__246));
  llvm_cbe_tmp__247 = ((unsigned short )llvm_cbe_tmp__246);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__247 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__247) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__247 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__246) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__243 & 32768u) == 0u)) {
    llvm_cbe_tmp__248__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4946;
  } else {
    goto llvm_cbe_tmp__7713;
  }

llvm_cbe_tmp__7513:
  llvm_cbe_tmp__6177 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6178 = (&RAM.array[((signed int )llvm_cbe_tmp__6177)]);
  llvm_cbe_tmp__6179 = *llvm_cbe_tmp__6178;
  llvm_cbe_tmp__6180 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6179);
  *llvm_cbe_tmp__6178 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6177) + ((unsigned int )1u)))))])) = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__6179) >> ((unsigned char )((unsigned char )6)))))));
  llvm_cbe__2e_mask3881 = (llvm_cbe_tmp__6180 << 8u) & 49152u;
  llvm_cbe_tmp__6181 = ((unsigned int )(bool )(llvm_cbe__2e_mask3881 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__6181;
  *(&ST_AGT) = llvm_cbe_tmp__6181;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe__2e_mask3881 == 0u)));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6180) >> ((unsigned int )5u)))) & 1u);
  goto llvm_cbe__2e__crit_edge5533;

llvm_cbe_tmp__7713:
  llvm_cbe_tmp3883 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__246) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__248__PHI_TEMPORARY = llvm_cbe_tmp3883;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4946;

llvm_cbe_tmp__7711:
  llvm_cbe_tmp3890_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__268 ^ llvm_cbe_tmp__265)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__273__PHI_TEMPORARY = llvm_cbe_tmp3890_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4947;

llvm_cbe__2e__crit_edge4957:
  llvm_cbe_tmp__366 = llvm_cbe_tmp__366__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__366;
  llvm_cbe_tmp__367__PHI_TEMPORARY = llvm_cbe_tmp__365;   /* for PHI node */
  llvm_cbe_tmp__368__PHI_TEMPORARY = llvm_cbe_tmp__364;   /* for PHI node */
  llvm_cbe_tmp__369__PHI_TEMPORARY = llvm_cbe_tmp__363;   /* for PHI node */
  goto llvm_cbe_tmp__7709;

llvm_cbe_tmp__7712:
  llvm_cbe_tmp__358 = *((&RAM.array[((signed int )33761u)]));
  llvm_cbe_tmp__359 = *((&RAM.array[((signed int )33765u)]));
  llvm_cbe_tmp__360 = ((unsigned int )(unsigned char )llvm_cbe_tmp__359);
  llvm_cbe_tmp__361 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__360) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__358)))));
  llvm_cbe_tmp__362 = ((unsigned char )llvm_cbe_tmp__361);
  *((&RAM.array[((signed int )33765u)])) = llvm_cbe_tmp__362;
  llvm_cbe_tmp__363 = ((unsigned int )(bool )(llvm_cbe_tmp__362 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__363;
  llvm_cbe_tmp__364 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__362) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__364;
  llvm_cbe_tmp__365 = ((unsigned int )(bool )(llvm_cbe_tmp__362 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__365;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__361) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__359 ^ llvm_cbe_tmp__358))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7714;
  } else {
    llvm_cbe_tmp__366__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4957;
  }

llvm_cbe_tmp__7714:
  llvm_cbe_tmp3885_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__361 ^ llvm_cbe_tmp__360)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__366__PHI_TEMPORARY = llvm_cbe_tmp3885_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4957;

llvm_cbe_tmp__7514:
  llvm_cbe_tmp__6182 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6183 = (&RAM.array[((signed int )llvm_cbe_tmp__6182)]);
  llvm_cbe_tmp__6184 = *llvm_cbe_tmp__6183;
  llvm_cbe_tmp__6185 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6182) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6186 = *llvm_cbe_tmp__6185;
  llvm_cbe_tmp__6187 = (((((unsigned int )(unsigned char )llvm_cbe_tmp__6184)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6186))) ^ 4294967295u;
  *llvm_cbe_tmp__6183 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6187) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6185 = (((unsigned char )llvm_cbe_tmp__6187));
  llvm_cbe_tmp__6188 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6182) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6189 = (&RAM.array[((signed int )llvm_cbe_tmp__6188)]);
  llvm_cbe_tmp__6190 = *llvm_cbe_tmp__6189;
  llvm_cbe_tmp__6191 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6188) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6192 = *llvm_cbe_tmp__6191;
  llvm_cbe_tmp__6193 = *llvm_cbe_tmp__6183;
  llvm_cbe_tmp__6194 = ((((((unsigned int )(unsigned char )llvm_cbe_tmp__6193)) << 8u) | (llvm_cbe_tmp__6187 & 255u)) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__6190)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6192)));
  *llvm_cbe_tmp__6189 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6194) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6191 = (((unsigned char )llvm_cbe_tmp__6194));
  llvm_cbe_tmp__6195 = ((unsigned int )(bool )(llvm_cbe_tmp__6194 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__6195;
  llvm_cbe_tmp__6196 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6194))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6196;
  llvm_cbe_tmp__6197 = ((unsigned int )(bool )(llvm_cbe_tmp__6194 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__6197;
  llvm_cbe_tmp__367__PHI_TEMPORARY = llvm_cbe_tmp__6197;   /* for PHI node */
  llvm_cbe_tmp__368__PHI_TEMPORARY = llvm_cbe_tmp__6196;   /* for PHI node */
  llvm_cbe_tmp__369__PHI_TEMPORARY = llvm_cbe_tmp__6195;   /* for PHI node */
  goto llvm_cbe_tmp__7709;

llvm_cbe_tmp__7515:
  llvm_cbe_tmp__6198 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6199 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6198) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6200 = (&RAM.array[((signed int )llvm_cbe_tmp__6199)]);
  llvm_cbe_tmp__6201 = *llvm_cbe_tmp__6200;
  llvm_cbe_tmp__6202 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6199) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6203 = *llvm_cbe_tmp__6202;
  llvm_cbe_tmp__6204 = *((&RAM.array[((signed int )llvm_cbe_tmp__6198)]));
  llvm_cbe_tmp__6205 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6198) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6206 = (((((unsigned int )(unsigned char )llvm_cbe_tmp__6201)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6203))) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6204)) << 8u);
  llvm_cbe_tmp__6207 = llvm_cbe_tmp__6206 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6205));
  *llvm_cbe_tmp__6200 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6206) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6202 = (((unsigned char )llvm_cbe_tmp__6207));
  llvm_cbe_tmp__6208 = ((unsigned int )(bool )(llvm_cbe_tmp__6207 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__6208;
  llvm_cbe_tmp__6209 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6207))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6209;
  llvm_cbe_tmp__6210 = ((unsigned int )(bool )(llvm_cbe_tmp__6207 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__6210;
  llvm_cbe_tmp__367__PHI_TEMPORARY = llvm_cbe_tmp__6210;   /* for PHI node */
  llvm_cbe_tmp__368__PHI_TEMPORARY = llvm_cbe_tmp__6209;   /* for PHI node */
  llvm_cbe_tmp__369__PHI_TEMPORARY = llvm_cbe_tmp__6208;   /* for PHI node */
  goto llvm_cbe_tmp__7709;

llvm_cbe_tmp__7516:
  llvm_cbe_tmp__6211 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6212 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6211) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6213 = (&RAM.array[((signed int )llvm_cbe_tmp__6212)]);
  llvm_cbe_tmp__6214 = *llvm_cbe_tmp__6213;
  llvm_cbe_tmp__6215 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6212) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6216 = *llvm_cbe_tmp__6215;
  llvm_cbe_tmp__6217 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6214)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6216));
  llvm_cbe_tmp__6218 = *((&RAM.array[((signed int )llvm_cbe_tmp__6211)]));
  llvm_cbe_tmp__6219 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6211) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6220 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6218)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6219));
  llvm_cbe_tmp__6221 = llvm_cbe_tmp__6220 ^ llvm_cbe_tmp__6217;
  *llvm_cbe_tmp__6213 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6221) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6215 = (((unsigned char )llvm_cbe_tmp__6221));
  llvm_cbe_tmp__6222 = ((unsigned int )(bool )(llvm_cbe_tmp__6217 != llvm_cbe_tmp__6220));
  *(&ST_LGT) = llvm_cbe_tmp__6222;
  llvm_cbe_tmp__6223 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6221))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6223;
  llvm_cbe_tmp__6224 = ((unsigned int )(bool )(llvm_cbe_tmp__6217 == llvm_cbe_tmp__6220));
  *(&ST_EQ) = llvm_cbe_tmp__6224;
  llvm_cbe_tmp__367__PHI_TEMPORARY = llvm_cbe_tmp__6224;   /* for PHI node */
  llvm_cbe_tmp__368__PHI_TEMPORARY = llvm_cbe_tmp__6223;   /* for PHI node */
  llvm_cbe_tmp__369__PHI_TEMPORARY = llvm_cbe_tmp__6222;   /* for PHI node */
  goto llvm_cbe_tmp__7709;

llvm_cbe_tmp__7505:
  llvm_cbe_tmp__6111 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6112 = (&RAM.array[((signed int )llvm_cbe_tmp__6111)]);
  llvm_cbe_tmp__6113 = *llvm_cbe_tmp__6112;
  llvm_cbe_tmp__6114 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6113)) << 8u;
  llvm_cbe_tmp__6115 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6111) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6116 = *llvm_cbe_tmp__6115;
  llvm_cbe_tmp__6117 = llvm_cbe_tmp__6114 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6116));
  llvm_cbe_tmp__6118 = ((((llvm_cbe_tmp__6114 & 32768u) != 0u)) ? ((-(llvm_cbe_tmp__6117))) : (llvm_cbe_tmp__6117));
  *llvm_cbe_tmp__6112 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6118) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6115 = (((unsigned char )llvm_cbe_tmp__6118));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6117 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6117))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6117 == 0u)));
  *(&ST_C) = 0u;
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__6117 == 32768u)));
  goto llvm_cbe_tmp__7707;

llvm_cbe_tmp__7506:
  llvm_cbe_tmp__6119 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6120 = (&RAM.array[((signed int )llvm_cbe_tmp__6119)]);
  llvm_cbe_tmp__6121 = *llvm_cbe_tmp__6120;
  llvm_cbe_tmp__6122 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6119) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6123 = *llvm_cbe_tmp__6122;
  llvm_cbe_tmp__6124 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6121)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6123));
  llvm_cbe_tmp__6125 = -(llvm_cbe_tmp__6124);
  *llvm_cbe_tmp__6120 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6125) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6122 = (((unsigned char )llvm_cbe_tmp__6125));
  llvm_cbe_tmp__6126 = ((unsigned short )llvm_cbe_tmp__6125);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6126 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6126) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6126 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__6125) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__6124 == 32768u)));
  goto llvm_cbe_tmp__7707;

llvm_cbe_tmp__7511:
  llvm_cbe_tmp__6165 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6166 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6165) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__6167 = *((&RAM.array[((signed int )llvm_cbe_tmp__6166)]));
  llvm_cbe_tmp__6168 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6166) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6169 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6167)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6168));
  llvm_cbe_tmp__6170 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6165) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6170)])) = llvm_cbe_tmp__6167;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6170) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6168;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6169 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6169))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6169 == 0u)));
  goto llvm_cbe_tmp__7707;

llvm_cbe_tmp__7517:
  llvm_cbe_tmp__6225 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6226 = *((&RAM.array[((signed int )llvm_cbe_tmp__6225)]));
  llvm_cbe_tmp__6227 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6225) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6228 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6226)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6227));
  llvm_cbe_tmp__6229 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6225) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6229)])) = llvm_cbe_tmp__6226;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6229) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6227;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6228 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6228))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6228 == 0u)));
  goto llvm_cbe_tmp__7707;

llvm_cbe__2e__crit_edge5615:
  llvm_cbe_tmp__6251 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6252 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6251) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6253 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6252)) & 15u;
  llvm_cbe_tmp__6254 = (((llvm_cbe_tmp__6253 == 0u)) ? (16u) : (llvm_cbe_tmp__6253));
  llvm_cbe_tmp__6255 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6251) + ((unsigned int )4u)))))]);
  llvm_cbe_tmp__6256 = *llvm_cbe_tmp__6255;
  llvm_cbe_tmp__6257 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6251) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__6258 = *llvm_cbe_tmp__6257;
  llvm_cbe_tmp__6259 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6258)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6256)) << 8u);
  llvm_cbe_tmp__6260 = ((signed int )(((signed int )(((signed int )(signed short )(((unsigned short )llvm_cbe_tmp__6259))))) >> ((signed int )llvm_cbe_tmp__6254)));
  *llvm_cbe_tmp__6255 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6260) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6257 = (((unsigned char )llvm_cbe_tmp__6260));
  llvm_cbe_tmp__6261 = ((unsigned short )llvm_cbe_tmp__6260);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6261 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6261) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6261 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6259) >> ((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6254) + ((unsigned int )4294967295u)))))))) & 1u);
  goto llvm_cbe_tmp__7707;

llvm_cbe__2e__crit_edge5616:
  llvm_cbe_tmp__6262 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6263 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6262) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6264 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6263)) & 15u;
  llvm_cbe_tmp__6265 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6262) + ((unsigned int )4u)))))]);
  llvm_cbe_tmp__6266 = *llvm_cbe_tmp__6265;
  llvm_cbe_tmp__6267 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6262) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__6268 = *llvm_cbe_tmp__6267;
  llvm_cbe_tmp__6269 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6268)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6266)) << 8u)) << ((((llvm_cbe_tmp__6264 == 0u)) ? (16u) : (llvm_cbe_tmp__6264)));
  *llvm_cbe_tmp__6265 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6269) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6267 = (((unsigned char )llvm_cbe_tmp__6269));
  llvm_cbe_tmp__6270 = ((unsigned short )llvm_cbe_tmp__6269);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6270 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6270) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6270 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6269) >> ((unsigned int )16u)))) & 1u);
  goto llvm_cbe_tmp__7707;

llvm_cbe_tmp__7518:
  llvm_cbe_tmp__6230 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6231 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6230) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6232 = (&RAM.array[((signed int )llvm_cbe_tmp__6231)]);
  llvm_cbe_tmp__6233 = *llvm_cbe_tmp__6232;
  llvm_cbe_tmp__6234 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6231) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6235 = *llvm_cbe_tmp__6234;
  llvm_cbe_tmp__6236 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6230) + ((unsigned int )18u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6236)])) = llvm_cbe_tmp__6233;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6236) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6235;
  llvm_cbe_tmp__6237 = *((&RAM.array[((signed int )llvm_cbe_tmp__6230)]));
  llvm_cbe_tmp__6238 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6230) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6239 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6237)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6238));
  *llvm_cbe_tmp__6232 = llvm_cbe_tmp__6237;
  *llvm_cbe_tmp__6234 = llvm_cbe_tmp__6238;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6239 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6239))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6239 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6230) + ((unsigned int )22u)))))])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6230) + ((unsigned int )23u)))))])) = ((unsigned char )-86);
  goto llvm_cbe_tmp__7702;

llvm_cbe__2e__crit_edge4959:
  llvm_cbe_tmp__410 = llvm_cbe_tmp__410__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__410;
  llvm_cbe_tmp__411__PHI_TEMPORARY = llvm_cbe_tmp__401;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4958;

llvm_cbe_tmp__7701:
  llvm_cbe_tmp__398 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__396) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__399 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__396) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__400 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__396) + ((unsigned int )4u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__399)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__398)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )-2))))))), llvm_cbe_tmp__400);
  llvm_cbe_tmp__401 = *(&WP);
  llvm_cbe_tmp__402 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__401))) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__403 = (&RAM.array[((signed int )llvm_cbe_tmp__402)]);
  llvm_cbe_tmp__404 = *llvm_cbe_tmp__403;
  llvm_cbe_tmp__405 = (((unsigned int )(unsigned char )llvm_cbe_tmp__404)) << 8u;
  llvm_cbe_tmp__406 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__402) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__407 = *llvm_cbe_tmp__406;
  llvm_cbe_tmp__408 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__405 | (((unsigned int )(unsigned char )llvm_cbe_tmp__407)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__403 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__408) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__406 = (((unsigned char )llvm_cbe_tmp__408));
  llvm_cbe_tmp__409 = ((unsigned short )llvm_cbe_tmp__408);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__409 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__409) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__409 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__408) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__405 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7715;
  } else {
    llvm_cbe_tmp__410__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4959;
  }

llvm_cbe_tmp__7715:
  llvm_cbe__2e_lobit3919 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__408) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__410__PHI_TEMPORARY = llvm_cbe__2e_lobit3919;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4959;

llvm_cbe_tmp__7699:
  llvm_cbe__2e_lobit3918 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__423) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__428__PHI_TEMPORARY = llvm_cbe__2e_lobit3918;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4960;

llvm_cbe__2e__crit_edge4961:
  llvm_cbe_tmp__442 = llvm_cbe_tmp__442__PHI_TEMPORARY;
  llvm_cbe_tmp__443 = llvm_cbe_tmp__443__PHI_TEMPORARY;
  llvm_cbe_tmp__444 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__443))) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__445 = (&RAM.array[((signed int )llvm_cbe_tmp__444)]);
  llvm_cbe_tmp__446 = *llvm_cbe_tmp__445;
  llvm_cbe_tmp__447 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__444) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__448 = *llvm_cbe_tmp__447;
  *llvm_cbe_tmp__445 = llvm_cbe_tmp__448;
  *llvm_cbe_tmp__447 = llvm_cbe_tmp__446;
  llvm_cbe_tmp__449 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__442) + ((unsigned short )((unsigned short )6))))))));
  llvm_cbe_tmp__450 = (&RAM.array[((signed int )llvm_cbe_tmp__449)]);
  llvm_cbe_tmp__451 = *llvm_cbe_tmp__450;
  llvm_cbe_tmp__452 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__449) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__453 = *llvm_cbe_tmp__452;
  llvm_cbe_tmp__454 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__451)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__453));
  *llvm_cbe_tmp__450 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__454) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__452 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__453) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__455 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__442))) + ((unsigned int )4u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__454)), llvm_cbe_tmp__455);
  llvm_cbe_tmp__456 = *(&WP);
  llvm_cbe_tmp__457 = ((unsigned int )(unsigned short )llvm_cbe_tmp__456);
  llvm_cbe_tmp__458 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__457) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__459 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__457) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__460 = (((unsigned int )(unsigned char )llvm_cbe_tmp__459)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__458)) << 8u);
  llvm_cbe_tmp__461 = ((unsigned short )llvm_cbe_tmp__460);
  llvm_cbe_tmp__462 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__461) > ((unsigned short )((unsigned short )-31874))));
  *(&ST_LGT) = llvm_cbe_tmp__462;
  llvm_cbe_tmp__463 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__461) > ((signed short )((unsigned short )-31874))));
  *(&ST_AGT) = llvm_cbe_tmp__463;
  llvm_cbe_tmp__464 = ((unsigned int )(bool )(llvm_cbe_tmp__460 == 33662u));
  *(&ST_EQ) = llvm_cbe_tmp__464;
  if ((llvm_cbe_tmp__460 == 33662u)) {
    goto llvm_cbe_tmp__7716;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6806__PHI_TEMPORARY = llvm_cbe_tmp__456;   /* for PHI node */
    llvm_cbe_tmp__429__PHI_TEMPORARY = llvm_cbe_tmp__456;   /* for PHI node */
    llvm_cbe__2e_rle5957__PHI_TEMPORARY = llvm_cbe_tmp__462;   /* for PHI node */
    llvm_cbe__2e_rle5924__PHI_TEMPORARY = llvm_cbe_tmp__464;   /* for PHI node */
    llvm_cbe__2e_rle5892__PHI_TEMPORARY = llvm_cbe_tmp__463;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4962;
  }

llvm_cbe_tmp__7703:
  llvm_cbe_tmp__434 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__379) + ((unsigned int )10u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__434 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__434) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__434 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__434 == ((unsigned char )0))) {
    llvm_cbe_tmp__442__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe_tmp__443__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4961;
  } else {
    goto llvm_cbe_tmp__7717;
  }

llvm_cbe_tmp__7717:
  llvm_cbe_tmp__435 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )6))))))));
  llvm_cbe_tmp__436 = (&RAM.array[((signed int )llvm_cbe_tmp__435)]);
  llvm_cbe_tmp__437 = *llvm_cbe_tmp__436;
  llvm_cbe_tmp__438 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__435) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__439 = *llvm_cbe_tmp__438;
  llvm_cbe_tmp__440 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__437)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__439));
  *llvm_cbe_tmp__436 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__440) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__438 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__439) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__441 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__379) + ((unsigned int )4u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__440)), llvm_cbe_tmp__441);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__441 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__441) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__441 == ((unsigned char )0))));
  llvm_cbe__2e_pre5991 = *(&WP);
  llvm_cbe_tmp__442__PHI_TEMPORARY = llvm_cbe__2e_pre5991;   /* for PHI node */
  llvm_cbe_tmp__443__PHI_TEMPORARY = llvm_cbe__2e_pre5991;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4961;

llvm_cbe__2e__crit_edge4965:
  llvm_cbe__2e_pre6053_2e_rle6808 = llvm_cbe__2e_pre6053_2e_rle6808__PHI_TEMPORARY;
  llvm_cbe_tmp__557 = llvm_cbe_tmp__557__PHI_TEMPORARY;
  llvm_cbe__2e_rle5959 = llvm_cbe__2e_rle5959__PHI_TEMPORARY;
  llvm_cbe__2e_rle5926 = llvm_cbe__2e_rle5926__PHI_TEMPORARY;
  llvm_cbe__2e_rle5894 = llvm_cbe__2e_rle5894__PHI_TEMPORARY;
  llvm_cbe_tmp__558 = ((unsigned int )(unsigned short )llvm_cbe_tmp__557);
  llvm_cbe_tmp__559 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__558) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__560 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__558) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__561 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__560)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__559)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__561;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6808;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5959;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5926;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5894;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__557;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__561;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__561;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5781:
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5109 & 65535u))])) = llvm_cbe_tmp__517;
  llvm_cbe_tmp__519 = ((unsigned int )(bool )(llvm_cbe_tmp__517 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__519;
  llvm_cbe_tmp__520 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__517) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__520;
  llvm_cbe_tmp__521 = *(&WP);
  llvm_cbe_tmp__522 = ((unsigned int )(unsigned short )llvm_cbe_tmp__521);
  llvm_cbe_tmp__523 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__522) + ((unsigned int )24u)));
  llvm_cbe_tmp__524 = *((&RAM.array[((signed int )54u)]));
  llvm_cbe_tmp__525 = *((&RAM.array[((signed int )55u)]));
  llvm_cbe_tmp__526 = llvm_cbe_tmp__523 & 65535u;
  llvm_cbe_tmp__527 = *((&RAM.array[((signed int )llvm_cbe_tmp__526)]));
  llvm_cbe_tmp__528 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__526) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__529 = ((unsigned int )(bool )(((((((unsigned int )(unsigned char )llvm_cbe_tmp__527)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__528))) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__524)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__525)))) == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__529;
  if ((((((((unsigned int )(unsigned char )llvm_cbe_tmp__527)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__528))) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__524)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__525)))) == 0u)) {
    goto llvm_cbe_tmp__7718;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6808__PHI_TEMPORARY = llvm_cbe_tmp__521;   /* for PHI node */
    llvm_cbe_tmp__557__PHI_TEMPORARY = llvm_cbe_tmp__521;   /* for PHI node */
    llvm_cbe__2e_rle5959__PHI_TEMPORARY = llvm_cbe_tmp__519;   /* for PHI node */
    llvm_cbe__2e_rle5926__PHI_TEMPORARY = llvm_cbe_tmp__529;   /* for PHI node */
    llvm_cbe__2e_rle5894__PHI_TEMPORARY = llvm_cbe_tmp__520;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4965;
  }

  do {     /* Syntactic loop '._crit_edge7215' to make GCC happy */
llvm_cbe__2e__crit_edge7215:
  llvm_cbe_tmp459_2e_05779 = llvm_cbe_tmp459_2e_05779__PHI_TEMPORARY;
  llvm_cbe_tmp__515 = llvm_cbe_tmp__515__PHI_TEMPORARY;
  llvm_cbe_tmp__516 =  /*tail*/ cruin((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__515))) + ((unsigned short )(((unsigned short )(llvm_cbe_tmp__5113 & ((unsigned short )4095)))))))))));
  llvm_cbe_tmp__517 = ((unsigned char )((((unsigned char )(llvm_cbe_tmp__516 << llvm_cbe_tmp__515))) | llvm_cbe_tmp459_2e_05779));
  llvm_cbe_tmp__518 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__515) + ((unsigned int )1u)));
  if ((llvm_cbe_tmp__518 == 8u)) {
    goto llvm_cbe__2e__crit_edge5781;
  } else {
    llvm_cbe_tmp459_2e_05779__PHI_TEMPORARY = llvm_cbe_tmp__517;   /* for PHI node */
    llvm_cbe_tmp__515__PHI_TEMPORARY = llvm_cbe_tmp__518;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge7215;
  }

  } while (1); /* end of syntactic loop '._crit_edge7215' */
llvm_cbe__2e__crit_edge5425:
  llvm_cbe_tmp__5098 = llvm_cbe_tmp__5098__PHI_TEMPORARY;
  *(&ST_IM) = 0u;
  *((&RAM.array[((signed int )33750u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33751u)])) = ((unsigned char )0);
  llvm_cbe_tmp__5099 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5098);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5099) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5099) + ((unsigned int )23u)))))])) = ((unsigned char )-122);
  llvm_cbe_tmp__5100 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5099) + ((unsigned int )24u)))))]);
  *llvm_cbe_tmp__5100 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5099) + ((unsigned int )25u)))))])) = ((unsigned char )36);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5101 = *((&RAM.array[((signed int )18u)]));
  llvm_cbe_tmp__5102 = *llvm_cbe_tmp__5100;
  llvm_cbe_tmp__5103 = ((unsigned int )(unsigned char )llvm_cbe_tmp__5101);
  llvm_cbe_tmp58555885 = ((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5102)) << ((unsigned short )7)))) | ((unsigned short )18)))) & ((unsigned short )3986)));
   /*tail*/ cruout(llvm_cbe_tmp58555885, (llvm_cbe_tmp__5103 & 1u));
   /*tail*/ cruout((((unsigned short )(llvm_cbe_tmp58555885 | ((unsigned short )1)))), ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5103) >> ((unsigned int )1u)))) & 1u));
   /*tail*/ cruout((((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp58555885) + ((unsigned short )((unsigned short )2))))))), ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5103) >> ((unsigned int )2u)))) & 1u));
  llvm_cbe__2e_pre6738 = *(&WP);
  llvm_cbe_tmp__5104 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6738))) + ((unsigned int )24u)))))]));
  llvm_cbe_tmp__5105 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6738))) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__5106 = ((unsigned int )(unsigned char )llvm_cbe_tmp__5105);
  llvm_cbe_tmp__5107 = llvm_cbe_tmp__5106 | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5104)) << 8u);
  llvm_cbe_tmp__5108 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5107) >> ((unsigned int )7u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6738))) + ((unsigned int )24u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )(llvm_cbe_tmp__5108 | (llvm_cbe_tmp__5107 << 9u))) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6738))) + ((unsigned int )25u)))))])) = (((unsigned char )llvm_cbe_tmp__5108));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5106) >> ((unsigned int )6u)))) & 1u);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6738))) + ((unsigned int )24u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6738))) + ((unsigned int )25u)))))])) = ((unsigned char )6);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5109 = ((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6738))) + ((unsigned int )24u)));
  llvm_cbe_tmp__5110 = *((&RAM.array[((signed int )llvm_cbe_tmp__5109)]));
  llvm_cbe_tmp__5111 = *(&WP);
  llvm_cbe_tmp__5112 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5111))) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__5113 = ((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5112)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5110)) << ((unsigned short )8)))))))) >> ((unsigned short )((unsigned short )1))))));
  llvm_cbe_tmp459_2e_05779__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  llvm_cbe_tmp__515__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge7215;

llvm_cbe__2e__crit_edge5424:
  llvm_cbe_tmp__5177 = llvm_cbe_tmp__5177__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5177;
  llvm_cbe_tmp__5178 = *((&RAM.array[((signed int )33584u)]));
  llvm_cbe_tmp__5179 = *((&RAM.array[((signed int )33585u)]));
  llvm_cbe_tmp__5180 = ((unsigned short )((((unsigned short )((((unsigned short )llvm_cbe_tmp__5175)) & ((unsigned short )-256)))) | (((unsigned short )((((unsigned short )llvm_cbe_tmp__5175)) & ((unsigned short )255))))));
  llvm_cbe_tmp__5181 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5178)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5179))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5180) > ((unsigned short )llvm_cbe_tmp__5181))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5180) > ((signed short )llvm_cbe_tmp__5181))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5180 == llvm_cbe_tmp__5181)));
  if (((((((unsigned short )llvm_cbe_tmp__5180) > ((unsigned short )llvm_cbe_tmp__5181)) | (llvm_cbe_tmp__5180 == llvm_cbe_tmp__5181))&1))) {
    llvm_cbe_tmp__5098__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5425;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6950__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5226__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5426;
  }

llvm_cbe_tmp__7719:
  llvm_cbe_tmp__5169 = *((&RAM.array[((signed int )7502u)]));
  llvm_cbe_tmp__5170 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5169)) << 8u;
  llvm_cbe_tmp__5171 = *((&RAM.array[((signed int )7503u)]));
  llvm_cbe_tmp__5172 = *((&RAM.array[((signed int )33582u)]));
  llvm_cbe_tmp__5173 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5172)) << 8u;
  llvm_cbe_tmp__5174 = *((&RAM.array[((signed int )33583u)]));
  llvm_cbe_tmp__5175 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5173 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5174)))) - ((unsigned int )(llvm_cbe_tmp__5170 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5171))))));
  *((&RAM.array[((signed int )33582u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5175) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33583u)])) = (((unsigned char )llvm_cbe_tmp__5175));
  llvm_cbe_tmp__5176 = ((unsigned short )llvm_cbe_tmp__5175);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5176 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5176) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5176 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5175) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__5173 ^ llvm_cbe_tmp__5170) & 32768u) == 0u)) {
    llvm_cbe_tmp__5177__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5424;
  } else {
    goto llvm_cbe_tmp__7720;
  }

llvm_cbe_tmp__7626:
  llvm_cbe_tmp__7200 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7201 = *((&RAM.array[((signed int )33604u)]));
  llvm_cbe_tmp__7202 = *((&RAM.array[((signed int )33605u)]));
  llvm_cbe_tmp__7203 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7201)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__7202));
  *((&RAM.array[((signed int )llvm_cbe_tmp__7200)])) = llvm_cbe_tmp__7201;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7200) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7202;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7203 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__7203))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7203 == 0u)));
  if ((llvm_cbe_tmp__7203 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6950__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5226__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5426;
  } else {
    goto llvm_cbe_tmp__7719;
  }

llvm_cbe_tmp__7720:
  llvm_cbe_tmp4634_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__5175 ^ llvm_cbe_tmp__5173)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5177__PHI_TEMPORARY = llvm_cbe_tmp4634_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5424;

llvm_cbe__2e__crit_edge5445:
  llvm_cbe_tmp__5374 = llvm_cbe_tmp__5374__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5374;
  llvm_cbe_tmp__5098__PHI_TEMPORARY = llvm_cbe_tmp__5353;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5425;

llvm_cbe__2e__crit_edge5444:
  llvm_cbe_tmp__5364 = llvm_cbe_tmp__5364__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5364;
  llvm_cbe_tmp__5365 = *llvm_cbe_tmp__5356;
  *((&RAM.array[((signed int )33582u)])) = llvm_cbe_tmp__5365;
  *((&RAM.array[((signed int )33583u)])) = llvm_cbe_tmp__5362;
  llvm_cbe_tmp__5366 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5354) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__5367 = (&RAM.array[((signed int )llvm_cbe_tmp__5366)]);
  llvm_cbe_tmp__5368 = *llvm_cbe_tmp__5367;
  llvm_cbe_tmp__5369 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5368)) << 8u;
  llvm_cbe_tmp__5370 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5366) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5371 = *llvm_cbe_tmp__5370;
  llvm_cbe_tmp__5372 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5369 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5371)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__5367 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5372) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5370 = (((unsigned char )llvm_cbe_tmp__5372));
  llvm_cbe_tmp__5373 = ((unsigned short )llvm_cbe_tmp__5372);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5373 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5373) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5373 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5372) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__5369 & 32768u) == 0u)) {
    llvm_cbe_tmp__5374__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5445;
  } else {
    goto llvm_cbe_tmp__7721;
  }

llvm_cbe_tmp__7722:
  llvm_cbe_tmp__5353 = *(&WP);
  llvm_cbe_tmp__5354 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5353);
  llvm_cbe_tmp__5355 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5354) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__5356 = (&RAM.array[((signed int )llvm_cbe_tmp__5355)]);
  llvm_cbe_tmp__5357 = *llvm_cbe_tmp__5356;
  llvm_cbe_tmp__5358 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5357)) << 8u;
  llvm_cbe_tmp__5359 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5355) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5360 = *llvm_cbe_tmp__5359;
  llvm_cbe_tmp__5361 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5358 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5360)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__5356 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5361) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__5362 = ((unsigned char )llvm_cbe_tmp__5361);
  *llvm_cbe_tmp__5359 = llvm_cbe_tmp__5362;
  llvm_cbe_tmp__5363 = ((unsigned short )llvm_cbe_tmp__5361);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5363 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5363) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5363 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5361) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5358 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7723;
  } else {
    llvm_cbe_tmp__5364__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5444;
  }

  do {     /* Syntactic loop '.preheader' to make GCC happy */
llvm_cbe__2e_preheader:
  llvm_cbe_tmp__5314 = *(&WP);
  llvm_cbe_tmp__5315 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5314);
  llvm_cbe_tmp__5316 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5315) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__5317 = *((&RAM.array[((signed int )llvm_cbe_tmp__5316)]));
  llvm_cbe_tmp__5318 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5316) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5319 = *((&RAM.array[((signed int )33586u)]));
  llvm_cbe_tmp__5320 = *((&RAM.array[((signed int )33587u)]));
  llvm_cbe_tmp__5321 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5317)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5318))));
  llvm_cbe_tmp__5322 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5319)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5320))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5321) > ((unsigned short )llvm_cbe_tmp__5322))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5321) > ((signed short )llvm_cbe_tmp__5322))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5321 == llvm_cbe_tmp__5322)));
  if (((((((unsigned short )llvm_cbe_tmp__5321) > ((unsigned short )llvm_cbe_tmp__5322)) | (llvm_cbe_tmp__5321 == llvm_cbe_tmp__5322))&1))) {
    goto llvm_cbe__2e__crit_edge5440;
  } else {
    goto llvm_cbe_tmp__7724;
  }

llvm_cbe__2e__crit_edge5443:
  llvm_cbe_tmp__5348 = llvm_cbe_tmp__5348__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5348;
  llvm_cbe_tmp__5349 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5340) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__5350 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5340) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__5351 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5349)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5350))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5340) + ((unsigned int )6u)))) & 65535u))])) = llvm_cbe_tmp__5351;
  goto llvm_cbe__2e_preheader;

llvm_cbe__2e__crit_edge5442:
  llvm_cbe_tmp__5334 = *(&WP);
  llvm_cbe_tmp__5335 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5334);
  llvm_cbe_tmp__5336 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5335) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__5337 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5335) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__5338 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5336)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5337))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5335) + ((unsigned int )6u)))) & 65535u))])) = llvm_cbe_tmp__5338;
  llvm_cbe_tmp__5339 = *(&WP);
  llvm_cbe_tmp__5340 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5339);
  llvm_cbe_tmp__5341 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5340) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__5342 = *llvm_cbe_tmp__5341;
  llvm_cbe_tmp__5343 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5342)) << 8u;
  llvm_cbe_tmp__5344 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5340) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__5345 = *llvm_cbe_tmp__5344;
  llvm_cbe_tmp__5346 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5345)) | llvm_cbe_tmp__5343)) + ((unsigned int )4u)));
  *llvm_cbe_tmp__5341 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5346) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5344 = (((unsigned char )llvm_cbe_tmp__5346));
  llvm_cbe_tmp__5347 = ((unsigned short )llvm_cbe_tmp__5346);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5347 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5347) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5347 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5346) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5343 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7725;
  } else {
    llvm_cbe_tmp__5348__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5443;
  }

llvm_cbe_tmp__7726:
  llvm_cbe_tmp__5332 =  /*tail*/ hw_read(llvm_cbe_tmp__5331);
  llvm_cbe_tmp__5333 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5328) + ((unsigned int )16u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__5332) > ((unsigned char )llvm_cbe_tmp__5333))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5332) > ((signed char )llvm_cbe_tmp__5333))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5332 == llvm_cbe_tmp__5333)));
  if ((llvm_cbe_tmp__5332 == llvm_cbe_tmp__5333)) {
    goto llvm_cbe_tmp__7722;
  } else {
    goto llvm_cbe__2e__crit_edge5442;
  }

llvm_cbe_tmp__7724:
  llvm_cbe_tmp__5323 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5315) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__5324 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5315) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__5325 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5323)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5324))))));
  llvm_cbe_tmp__5326 = *((&RAM.array[((signed int )llvm_cbe_tmp__5315)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__5325) > ((unsigned char )llvm_cbe_tmp__5326))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5325) > ((signed char )llvm_cbe_tmp__5326))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5325 == llvm_cbe_tmp__5326)));
  llvm_cbe_tmp__5327 = *(&WP);
  llvm_cbe_tmp__5328 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5327);
  llvm_cbe_tmp__5329 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5328) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__5330 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5328) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__5331 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5329)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5330))));
  if ((llvm_cbe_tmp__5325 == llvm_cbe_tmp__5326)) {
    goto llvm_cbe_tmp__7726;
  } else {
    goto llvm_cbe_tmp__7727;
  }

llvm_cbe_tmp__7727:
  llvm_cbe_tmp__5352 =  /*tail*/ hw_read(llvm_cbe_tmp__5331);
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5328) + ((unsigned int )6u)))) & 65535u))])) = llvm_cbe_tmp__5352;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5352 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5352) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5352 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge5442;

llvm_cbe_tmp__7725:
  llvm_cbe__2e_lobit4682 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5346) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5348__PHI_TEMPORARY = llvm_cbe__2e_lobit4682;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5443;

  } while (1); /* end of syntactic loop '.preheader' */
llvm_cbe_tmp__7728:
  llvm_cbe_tmp__5292 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7270) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__5293 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7270) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__5294 = *llvm_cbe_tmp__5290;
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5293)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5292)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__5294);
  llvm_cbe_tmp__5295 = *(&WP);
  llvm_cbe_tmp__5296 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5295);
  llvm_cbe_tmp__5297 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5296) + ((unsigned int )26u)));
  llvm_cbe_tmp__5298 = llvm_cbe_tmp__5297 & 65535u;
  llvm_cbe_tmp__5299 = *((&RAM.array[((signed int )llvm_cbe_tmp__5298)]));
  llvm_cbe_tmp__5300 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5298) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5301 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5299)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5300));
  llvm_cbe_tmp__5302 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5296) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5302)])) = llvm_cbe_tmp__5299;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5302) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5300;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5301 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5301))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5301 == 0u)));
  llvm_cbe_tmp__5303 = *((&RAM.array[((signed int )llvm_cbe_tmp__5297)]));
  llvm_cbe_tmp__5304 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5296) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__5305 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5303)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5304)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__5305);
  goto llvm_cbe__2e_preheader;

llvm_cbe_tmp__7729:
  llvm_cbe_tmp__5287 = *((&RAM.array[((signed int )33584u)]));
  llvm_cbe_tmp__5288 = *((&RAM.array[((signed int )33585u)]));
  llvm_cbe_tmp__5289 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7270) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__5290 = (&RAM.array[((signed int )llvm_cbe_tmp__5289)]);
  *llvm_cbe_tmp__5290 = llvm_cbe_tmp__5287;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5289) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5288;
  llvm_cbe_tmp__5291 = *((&RAM.array[((signed int )33673u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7270) + ((unsigned int )4u)))) & 65535u))])) = llvm_cbe_tmp__5291;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5291 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5291) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5291 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__5291 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__7730;
  } else {
    goto llvm_cbe_tmp__7728;
  }

llvm_cbe__2e__crit_edge5674:
  llvm_cbe_tmp__5286 = llvm_cbe_tmp__5286__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5286;
  if ((((signed short )llvm_cbe_tmp__7278) > ((signed short )((unsigned short )0)))) {
    goto llvm_cbe_tmp__7731;
  } else {
    goto llvm_cbe_tmp__7729;
  }

llvm_cbe_tmp__7732:
  llvm_cbe_tmp4686 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7277) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5286__PHI_TEMPORARY = llvm_cbe_tmp4686;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5674;

llvm_cbe_tmp__7644:
  llvm_cbe_tmp__7270 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7271 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7270) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__7272 = (&RAM.array[((signed int )llvm_cbe_tmp__7271)]);
  llvm_cbe_tmp__7273 = *llvm_cbe_tmp__7272;
  llvm_cbe_tmp__7274 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7273)) << 8u;
  llvm_cbe_tmp__7275 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7271) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7276 = *llvm_cbe_tmp__7275;
  llvm_cbe_tmp__7277 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7274 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7276)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__7272 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7277) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7275 = (((unsigned char )llvm_cbe_tmp__7277));
  llvm_cbe_tmp__7278 = ((unsigned short )llvm_cbe_tmp__7277);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7278 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7278) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7278 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__7277) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__7274 & 32768u) == 0u)) {
    llvm_cbe_tmp__5286__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5674;
  } else {
    goto llvm_cbe_tmp__7732;
  }

llvm_cbe_tmp__7730:
  llvm_cbe_tmp__5306 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7270) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5307 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7270) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5308 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5306)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5307))))), llvm_cbe_tmp__5308);
  llvm_cbe_tmp__5309 = *(&WP);
  llvm_cbe_tmp__5310 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5309);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5310) + ((unsigned int )4u)))))])) = ((unsigned char )-120);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5310) + ((unsigned int )5u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5311 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5310) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5312 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5310) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5313 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5310) + ((unsigned int )2u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5312)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5311)) << ((unsigned short )8))))))), llvm_cbe_tmp__5313);
  goto llvm_cbe__2e_preheader;

llvm_cbe_tmp__7723:
  llvm_cbe__2e_lobit4680 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5361) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5364__PHI_TEMPORARY = llvm_cbe__2e_lobit4680;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5444;

llvm_cbe_tmp__7721:
  llvm_cbe_tmp4679 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5372) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5374__PHI_TEMPORARY = llvm_cbe_tmp4679;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5445;

llvm_cbe_tmp__7621:
  *((&RAM.array[((signed int )33570u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33571u)])) = ((unsigned char )0);
  llvm_cbe_tmp__7185 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7186 = *((&RAM.array[((signed int )33604u)]));
  llvm_cbe_tmp__7187 = *((&RAM.array[((signed int )33605u)]));
  llvm_cbe_tmp__7188 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7186)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__7187));
  *((&RAM.array[((signed int )llvm_cbe_tmp__7185)])) = llvm_cbe_tmp__7186;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7185) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7187;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7188 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__7188))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7188 == 0u)));
  if ((llvm_cbe_tmp__7188 == 0u)) {
    llvm_cbe_tmp__5132__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5660;
  } else {
    llvm_cbe_tmp__5098__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5425;
  }

llvm_cbe__2e__crit_edge5789:
  *((&RAM.array[((signed int )(llvm_cbe_tmp__539 & 65535u))])) = llvm_cbe_tmp__546;
  llvm_cbe_tmp__548 = ((unsigned int )(bool )(llvm_cbe_tmp__546 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__548;
  llvm_cbe_tmp__549 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__546) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__549;
  llvm_cbe_tmp__550 = *(&WP);
  llvm_cbe_tmp__551 = *((&RAM.array[((signed int )54u)]));
  llvm_cbe_tmp__552 = *((&RAM.array[((signed int )55u)]));
  llvm_cbe_tmp__553 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__550))) + ((unsigned int )24u)))) & 65535u;
  llvm_cbe_tmp__554 = *((&RAM.array[((signed int )llvm_cbe_tmp__553)]));
  llvm_cbe_tmp__555 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__553) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__556 = ((unsigned int )(bool )(((((((unsigned int )(unsigned char )llvm_cbe_tmp__554)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__555))) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__551)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__552)))) == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__556;
  llvm_cbe__2e_pre6053_2e_rle6808__PHI_TEMPORARY = llvm_cbe_tmp__550;   /* for PHI node */
  llvm_cbe_tmp__557__PHI_TEMPORARY = llvm_cbe_tmp__550;   /* for PHI node */
  llvm_cbe__2e_rle5959__PHI_TEMPORARY = llvm_cbe_tmp__548;   /* for PHI node */
  llvm_cbe__2e_rle5926__PHI_TEMPORARY = llvm_cbe_tmp__556;   /* for PHI node */
  llvm_cbe__2e_rle5894__PHI_TEMPORARY = llvm_cbe_tmp__549;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4965;

  do {     /* Syntactic loop '._crit_edge7218' to make GCC happy */
llvm_cbe__2e__crit_edge7218:
  llvm_cbe_tmp476_2e_05787 = llvm_cbe_tmp476_2e_05787__PHI_TEMPORARY;
  llvm_cbe_tmp__544 = llvm_cbe_tmp__544__PHI_TEMPORARY;
  llvm_cbe_tmp__545 =  /*tail*/ cruin((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__544))) + ((unsigned short )(((unsigned short )(llvm_cbe_tmp__543 & ((unsigned short )4095)))))))))));
  llvm_cbe_tmp__546 = ((unsigned char )((((unsigned char )(llvm_cbe_tmp__545 << llvm_cbe_tmp__544))) | llvm_cbe_tmp476_2e_05787));
  llvm_cbe_tmp__547 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__544) + ((unsigned int )1u)));
  if ((llvm_cbe_tmp__547 == 8u)) {
    goto llvm_cbe__2e__crit_edge5789;
  } else {
    llvm_cbe_tmp476_2e_05787__PHI_TEMPORARY = llvm_cbe_tmp__546;   /* for PHI node */
    llvm_cbe_tmp__544__PHI_TEMPORARY = llvm_cbe_tmp__547;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge7218;
  }

  } while (1); /* end of syntactic loop '._crit_edge7218' */
llvm_cbe_tmp__7718:
  llvm_cbe_tmp__530 = (&RAM.array[((signed int )llvm_cbe_tmp__523)]);
  *llvm_cbe_tmp__530 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__522) + ((unsigned int )25u)))))])) = ((unsigned char )36);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__531 = *((&RAM.array[((signed int )116u)]));
  llvm_cbe_tmp__532 = *llvm_cbe_tmp__530;
  llvm_cbe_tmp__533 = ((unsigned int )(unsigned char )llvm_cbe_tmp__531);
  llvm_cbe_tmp58665881 = ((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__532)) << ((unsigned short )7)))) | ((unsigned short )18)))) & ((unsigned short )3986)));
   /*tail*/ cruout(llvm_cbe_tmp58665881, (llvm_cbe_tmp__533 & 1u));
   /*tail*/ cruout((((unsigned short )(llvm_cbe_tmp58665881 | ((unsigned short )1)))), ((((unsigned int )(((unsigned int )llvm_cbe_tmp__533) >> ((unsigned int )1u)))) & 1u));
   /*tail*/ cruout((((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp58665881) + ((unsigned short )((unsigned short )2))))))), ((((unsigned int )(((unsigned int )llvm_cbe_tmp__533) >> ((unsigned int )2u)))) & 1u));
  llvm_cbe__2e_pre6745 = *(&WP);
  llvm_cbe_tmp__534 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6745))) + ((unsigned int )24u)))))]));
  llvm_cbe_tmp__535 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6745))) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__536 = ((unsigned int )(unsigned char )llvm_cbe_tmp__535);
  llvm_cbe_tmp__537 = llvm_cbe_tmp__536 | ((((unsigned int )(unsigned char )llvm_cbe_tmp__534)) << 8u);
  llvm_cbe_tmp__538 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__537) >> ((unsigned int )7u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6745))) + ((unsigned int )24u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )(llvm_cbe_tmp__538 | (llvm_cbe_tmp__537 << 9u))) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6745))) + ((unsigned int )25u)))))])) = (((unsigned char )llvm_cbe_tmp__538));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__536) >> ((unsigned int )6u)))) & 1u);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6745))) + ((unsigned int )24u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6745))) + ((unsigned int )25u)))))])) = ((unsigned char )6);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__539 = ((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe__2e_pre6745))) + ((unsigned int )24u)));
  llvm_cbe_tmp__540 = *((&RAM.array[((signed int )llvm_cbe_tmp__539)]));
  llvm_cbe_tmp__541 = *(&WP);
  llvm_cbe_tmp__542 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__541))) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__543 = ((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__542)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__540)) << ((unsigned short )8)))))))) >> ((unsigned short )((unsigned short )1))))));
  llvm_cbe_tmp476_2e_05787__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  llvm_cbe_tmp__544__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge7218;

llvm_cbe__2e__crit_edge4975:
  llvm_cbe_tmp__562 = *(&WP);
  llvm_cbe_tmp__563 = ((unsigned int )(unsigned short )llvm_cbe_tmp__562);
  llvm_cbe_tmp__564 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__563) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__565 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__563) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__566 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__564)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__565))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__563) + ((unsigned int )16u)))) & 65535u))])) = llvm_cbe_tmp__566;
  llvm_cbe_tmp__567 = *(&WP);
  llvm_cbe_tmp__568 = ((unsigned int )(unsigned short )llvm_cbe_tmp__567);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__568) + ((unsigned int )24u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__568) + ((unsigned int )25u)))))])) = ((unsigned char )115);
  llvm_cbe_tmp__569 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__568) + ((unsigned int )16u)));
  llvm_cbe_tmp__570 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__568) + ((unsigned int )10u)));
  llvm_cbe_tmp__571 = llvm_cbe_tmp__569 & 65535u;
  llvm_cbe_tmp__572 = (&RAM.array[((signed int )llvm_cbe_tmp__571)]);
  llvm_cbe_tmp__573 = *llvm_cbe_tmp__572;
  llvm_cbe_tmp__574 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__571) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__575 = *llvm_cbe_tmp__574;
  llvm_cbe_tmp__576 = llvm_cbe_tmp__570 & 65535u;
  llvm_cbe_tmp__577 = (&RAM.array[((signed int )llvm_cbe_tmp__576)]);
  *llvm_cbe_tmp__577 = llvm_cbe_tmp__573;
  llvm_cbe_tmp__578 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__576) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__578 = llvm_cbe_tmp__575;
  llvm_cbe_tmp__579 = (&RAM.array[((signed int )llvm_cbe_tmp__569)]);
  llvm_cbe_tmp__580 = *llvm_cbe_tmp__579;
  llvm_cbe_tmp__581 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__568) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__582 = *llvm_cbe_tmp__581;
  llvm_cbe_tmp__583 = (((unsigned int )(unsigned char )llvm_cbe_tmp__582)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__580)) << 8u);
  *llvm_cbe_tmp__579 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__583) >> ((unsigned int )5u))))));
  *llvm_cbe_tmp__581 = (((unsigned char )(llvm_cbe_tmp__583 << 3u)));
  llvm_cbe_tmp__584 = *llvm_cbe_tmp__579;
  *llvm_cbe_tmp__579 = ((unsigned char )0);
  *llvm_cbe_tmp__581 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__584) >> ((unsigned char )((unsigned char )3)))))));
  llvm_cbe_tmp__585 = *llvm_cbe_tmp__572;
  llvm_cbe_tmp__586 = *llvm_cbe_tmp__574;
  llvm_cbe_tmp__587 = (((((unsigned int )(unsigned char )llvm_cbe_tmp__585)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__586))) ^ 4294967295u;
  *llvm_cbe_tmp__572 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__587) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__574 = (((unsigned char )llvm_cbe_tmp__587));
  llvm_cbe_tmp__588 = (&RAM.array[((signed int )llvm_cbe_tmp__570)]);
  llvm_cbe_tmp__589 = *llvm_cbe_tmp__588;
  llvm_cbe_tmp__590 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__589) >> ((unsigned char )((unsigned char )4))))));
  *llvm_cbe_tmp__588 = ((unsigned char )0);
  llvm_cbe_tmp__591 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__568) + ((unsigned int )11u)))))]);
  *llvm_cbe_tmp__591 = llvm_cbe_tmp__590;
  *(&ST_C) = ((((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__589))) >> ((unsigned int )3u)))) & 1u);
  llvm_cbe_tmp__592 = *llvm_cbe_tmp__588;
  llvm_cbe_tmp__593 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__590)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__592)) << 8u))) + ((unsigned int )3292u)));
  llvm_cbe_tmp__594 = *((&RAM.array[((signed int )(llvm_cbe_tmp__593 & 65534u))]));
  llvm_cbe_tmp__595 = *((&RAM.array[((signed int )((llvm_cbe_tmp__593 | 1u) & 65535u))]));
  *llvm_cbe_tmp__577 = llvm_cbe_tmp__594;
  *llvm_cbe_tmp__578 = llvm_cbe_tmp__595;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__568) + ((unsigned int )4u)))))])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__568) + ((unsigned int )5u)))))])) = ((unsigned char )10);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__596 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__568) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__596)])) = ((unsigned char )-1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__596) + ((unsigned int )1u)))))])) = ((unsigned char )-1);
  llvm_cbe_tmp__597 = *llvm_cbe_tmp__588;
  llvm_cbe_tmp__598 = *llvm_cbe_tmp__591;
  llvm_cbe_tmp__599 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__598)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__597)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__599;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__567;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = 1u;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = 1u;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__567;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__599;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__599;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5622:
  llvm_cbe_tmp__673 = llvm_cbe_tmp__673__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__673;
  if ((llvm_cbe_tmp__6392 == ((unsigned short )0))) {
    goto llvm_cbe__2e__crit_edge4975;
  } else {
    goto llvm_cbe_tmp__7733;
  }

llvm_cbe_tmp__7734:
  llvm_cbe__2e_lobit3930 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6391) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__673__PHI_TEMPORARY = llvm_cbe__2e_lobit3930;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5622;

llvm_cbe_tmp__7532:
  llvm_cbe_tmp__6384 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6385 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6384) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__6386 = (&RAM.array[((signed int )llvm_cbe_tmp__6385)]);
  llvm_cbe_tmp__6387 = *llvm_cbe_tmp__6386;
  llvm_cbe_tmp__6388 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6387)) << 8u;
  llvm_cbe_tmp__6389 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6385) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6390 = *llvm_cbe_tmp__6389;
  llvm_cbe_tmp__6391 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6388 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6390)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6386 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6391) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6389 = (((unsigned char )llvm_cbe_tmp__6391));
  llvm_cbe_tmp__6392 = ((unsigned short )llvm_cbe_tmp__6391);
  llvm_cbe_tmp__6393 = ((unsigned int )(bool )(llvm_cbe_tmp__6392 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__6393;
  llvm_cbe_tmp__6394 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6392) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6394;
  llvm_cbe_tmp__6395 = ((unsigned int )(bool )(llvm_cbe_tmp__6392 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__6395;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6391) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6388 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7734;
  } else {
    llvm_cbe_tmp__673__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5622;
  }

llvm_cbe__2e__crit_edge4977:
  llvm_cbe_tmp__706 = llvm_cbe_tmp__706__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__706;
  llvm_cbe_tmp__707 = *llvm_cbe_tmp__694;
  llvm_cbe_tmp__708 = *llvm_cbe_tmp__696;
  llvm_cbe_tmp__709 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__707)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__708))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6405) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__709;
  llvm_cbe_tmp__710 = *(&WP);
  llvm_cbe_tmp__711 = ((unsigned int )(unsigned short )llvm_cbe_tmp__710);
  llvm_cbe_tmp__712 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__711) + ((unsigned int )12u)))))]);
  llvm_cbe_tmp__713 = *llvm_cbe_tmp__712;
  llvm_cbe_tmp__714 = ((unsigned short )(unsigned char )llvm_cbe_tmp__713);
  llvm_cbe_tmp__715 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__711) + ((unsigned int )13u)))))]);
  llvm_cbe_tmp__716 = *llvm_cbe_tmp__715;
  llvm_cbe_tmp__717 = ((unsigned short )(llvm_cbe_tmp__714 << ((unsigned short )8)));
  *llvm_cbe_tmp__712 = ((unsigned char )0);
  *llvm_cbe_tmp__715 = llvm_cbe_tmp__713;
  llvm_cbe_tmp__718 = ((unsigned int )(bool )(llvm_cbe_tmp__717 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__718;
  *(&ST_AGT) = llvm_cbe_tmp__718;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__717 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__716))) >> ((unsigned int )7u))));
  llvm_cbe_tmp__719 = *llvm_cbe_tmp__712;
  llvm_cbe_tmp__720 = *((&RAM.array[((signed int )33777u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__719)) << ((unsigned short )8)))) | llvm_cbe_tmp__714)))) + ((unsigned short )((unsigned short )-32000))))))), llvm_cbe_tmp__720);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__720 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__720) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__720 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge4975;

llvm_cbe__2e__crit_edge5623:
  llvm_cbe_tmp__693 = llvm_cbe_tmp__693__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__693;
  llvm_cbe_tmp__694 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6405) + ((unsigned int )24u)))))]);
  llvm_cbe_tmp__695 = *llvm_cbe_tmp__694;
  llvm_cbe_tmp__696 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6405) + ((unsigned int )25u)))))]);
  llvm_cbe_tmp__697 = *llvm_cbe_tmp__696;
  llvm_cbe_tmp__698 = (((unsigned int )(unsigned char )llvm_cbe_tmp__697)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__695)) << 8u);
  llvm_cbe_tmp__699 = (&RAM.array[((signed int )(llvm_cbe_tmp__698 & 65534u))]);
  llvm_cbe_tmp__700 = *llvm_cbe_tmp__699;
  llvm_cbe_tmp__701 = (((unsigned int )(unsigned char )llvm_cbe_tmp__700)) << 8u;
  llvm_cbe_tmp__702 = (&RAM.array[((signed int )(llvm_cbe_tmp__698 | 1u))]);
  llvm_cbe_tmp__703 = *llvm_cbe_tmp__702;
  llvm_cbe_tmp__704 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__701 | (((unsigned int )(unsigned char )llvm_cbe_tmp__703)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__699 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__704) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__702 = (((unsigned char )llvm_cbe_tmp__704));
  llvm_cbe_tmp__705 = ((unsigned short )llvm_cbe_tmp__704);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__705 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__705) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__705 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__704) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__701 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7735;
  } else {
    llvm_cbe_tmp__706__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4977;
  }

llvm_cbe_tmp__7736:
  llvm_cbe__2e_lobit3938 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6412) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__693__PHI_TEMPORARY = llvm_cbe__2e_lobit3938;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5623;

llvm_cbe_tmp__7534:
  llvm_cbe_tmp__6405 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6406 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6405) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__6407 = (&RAM.array[((signed int )llvm_cbe_tmp__6406)]);
  llvm_cbe_tmp__6408 = *llvm_cbe_tmp__6407;
  llvm_cbe_tmp__6409 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6408)) << 8u;
  llvm_cbe_tmp__6410 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6406) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6411 = *llvm_cbe_tmp__6410;
  llvm_cbe_tmp__6412 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6409 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6411)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6407 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6412) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6410 = (((unsigned char )llvm_cbe_tmp__6412));
  llvm_cbe_tmp__6413 = ((unsigned short )llvm_cbe_tmp__6412);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6413 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6413) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6413 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6412) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6409 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7736;
  } else {
    llvm_cbe_tmp__693__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5623;
  }

llvm_cbe_tmp__7735:
  llvm_cbe__2e_lobit3937 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__704) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__706__PHI_TEMPORARY = llvm_cbe__2e_lobit3937;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4977;

llvm_cbe__2e__crit_edge4978:
  llvm_cbe_tmp__730 = llvm_cbe_tmp__730__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__730;
  goto llvm_cbe__2e__crit_edge4975;

llvm_cbe__2e__crit_edge4980:
  llvm_cbe_tmp__721 = llvm_cbe_tmp__721__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__721;
  llvm_cbe_tmp__722 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__745) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__723 = (&RAM.array[((signed int )llvm_cbe_tmp__722)]);
  llvm_cbe_tmp__724 = *llvm_cbe_tmp__723;
  llvm_cbe_tmp__725 = (((unsigned int )(unsigned char )llvm_cbe_tmp__724)) << 8u;
  llvm_cbe_tmp__726 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__722) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__727 = *llvm_cbe_tmp__726;
  llvm_cbe_tmp__728 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__725 | (((unsigned int )(unsigned char )llvm_cbe_tmp__727)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__723 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__728) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__726 = (((unsigned char )llvm_cbe_tmp__728));
  llvm_cbe_tmp__729 = ((unsigned short )llvm_cbe_tmp__728);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__729 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__729) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__729 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__728) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__725 & 32768u) == 0u)) {
    llvm_cbe_tmp__730__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4978;
  } else {
    goto llvm_cbe_tmp__7737;
  }

llvm_cbe_tmp__7738:
  llvm_cbe_tmp3944 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__764) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__721__PHI_TEMPORARY = llvm_cbe_tmp3944;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4980;

llvm_cbe_tmp__7739:
  llvm_cbe_tmp__756 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__745) + ((unsigned int )24u)))))]));
  llvm_cbe_tmp__757 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__745) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__758 = (((unsigned int )(unsigned char )llvm_cbe_tmp__757)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__756)) << 8u);
  llvm_cbe_tmp__759 = (&RAM.array[((signed int )(llvm_cbe_tmp__758 & 65534u))]);
  llvm_cbe_tmp__760 = *llvm_cbe_tmp__759;
  llvm_cbe_tmp__761 = (((unsigned int )(unsigned char )llvm_cbe_tmp__760)) << 8u;
  llvm_cbe_tmp__762 = (&RAM.array[((signed int )(llvm_cbe_tmp__758 | 1u))]);
  llvm_cbe_tmp__763 = *llvm_cbe_tmp__762;
  llvm_cbe_tmp__764 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__761 | (((unsigned int )(unsigned char )llvm_cbe_tmp__763)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__759 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__764) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__762 = (((unsigned char )llvm_cbe_tmp__764));
  llvm_cbe_tmp__765 = ((unsigned short )llvm_cbe_tmp__764);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__765 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__765) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__765 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__764) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__761 & 32768u) == 0u)) {
    llvm_cbe_tmp__721__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4980;
  } else {
    goto llvm_cbe_tmp__7738;
  }

llvm_cbe__2e__crit_edge4979:
  llvm_cbe_tmp__755 = llvm_cbe_tmp__755__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__755;
  if ((llvm_cbe_tmp__754 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__7739;
  } else {
    goto llvm_cbe_tmp__7740;
  }

llvm_cbe_tmp__7741:
  llvm_cbe_tmp__731 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__732 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__733 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__731)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__732))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )8u)))) & 65535u))])) = llvm_cbe_tmp__733;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__733 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__733) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__733 == ((unsigned char )0))));
  llvm_cbe_tmp__734 = *(&WP);
  llvm_cbe_tmp__735 = ((unsigned int )(unsigned short )llvm_cbe_tmp__734);
  llvm_cbe_tmp__736 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__735) + ((unsigned int )24u)))))]));
  llvm_cbe_tmp__737 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__735) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__738 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__736)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__737))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__735) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__738;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__738 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__738) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__738 == ((unsigned char )0))));
  llvm_cbe_tmp__739 = *(&WP);
  llvm_cbe_tmp__740 = ((unsigned int )(unsigned short )llvm_cbe_tmp__739);
  llvm_cbe_tmp__741 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__740) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__742 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__740) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__743 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__741)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__742))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__740) + ((unsigned int )10u)))) & 65535u))])) = llvm_cbe_tmp__743;
  llvm_cbe_tmp__744 = *(&WP);
  llvm_cbe_tmp__745 = ((unsigned int )(unsigned short )llvm_cbe_tmp__744);
  llvm_cbe_tmp__746 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__745) + ((unsigned int )12u)))))]);
  llvm_cbe_tmp__747 = *llvm_cbe_tmp__746;
  *llvm_cbe_tmp__746 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__745) + ((unsigned int )13u)))))])) = llvm_cbe_tmp__747;
  llvm_cbe_tmp__748 = *llvm_cbe_tmp__746;
  llvm_cbe_tmp__749 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__745) + ((unsigned int )28u)))) & 65535u))]));
  llvm_cbe_tmp__750 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__747)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__748)) << 8u))) + ((unsigned int )33536u)))) & 65535u))]);
  llvm_cbe_tmp__751 = *llvm_cbe_tmp__750;
  llvm_cbe_tmp__752 = ((unsigned int )(unsigned char )llvm_cbe_tmp__751);
  llvm_cbe_tmp__753 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__752) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__749)))));
  llvm_cbe_tmp__754 = ((unsigned char )llvm_cbe_tmp__753);
  *llvm_cbe_tmp__750 = llvm_cbe_tmp__754;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__754 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__754) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__754 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__753) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__751 ^ llvm_cbe_tmp__749))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7742;
  } else {
    llvm_cbe_tmp__755__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4979;
  }

llvm_cbe_tmp__7743:
  llvm_cbe_tmp__774 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__775 = (&RAM.array[((signed int )llvm_cbe_tmp__774)]);
  llvm_cbe_tmp__776 = *llvm_cbe_tmp__775;
  llvm_cbe_tmp__777 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__774) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__778 = *llvm_cbe_tmp__777;
  llvm_cbe_tmp__779 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__776)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__778));
  *llvm_cbe_tmp__775 = llvm_cbe_tmp__776;
  *llvm_cbe_tmp__777 = llvm_cbe_tmp__778;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__779 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__779))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__779 == 0u)));
  if ((llvm_cbe_tmp__779 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6811__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__814__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4981;
  } else {
    goto llvm_cbe_tmp__7741;
  }

llvm_cbe_tmp__7535:
  llvm_cbe_tmp__6414 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6415 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )16u)))))]);
  llvm_cbe_tmp__6416 = *llvm_cbe_tmp__6415;
  llvm_cbe_tmp__6417 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__6418 = *llvm_cbe_tmp__6417;
  llvm_cbe_tmp__6419 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6418)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6416)) << 8u);
  llvm_cbe_tmp__6420 = ((unsigned short )llvm_cbe_tmp__6419);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6420) > ((unsigned short )((unsigned short )-28)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6420) > ((signed short )((unsigned short )-28)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6419 == 65508u)));
  if ((llvm_cbe_tmp__6419 == 65508u)) {
    goto llvm_cbe_tmp__7743;
  } else {
    goto llvm_cbe_tmp__7744;
  }

llvm_cbe_tmp__7742:
  llvm_cbe_tmp3940_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__753 ^ llvm_cbe_tmp__752)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__755__PHI_TEMPORARY = llvm_cbe_tmp3940_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4979;

llvm_cbe_tmp__7737:
  llvm_cbe_tmp3942 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__728) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__730__PHI_TEMPORARY = llvm_cbe_tmp3942;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4978;

llvm_cbe_tmp__7740:
  llvm_cbe_tmp__766 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__745) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__767 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__745) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__768 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__745) + ((unsigned int )8u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__766)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__767)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__768);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__768 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__768) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__768 == ((unsigned char )0))));
  llvm_cbe_tmp__769 = *(&WP);
  llvm_cbe_tmp__770 = ((unsigned int )(unsigned short )llvm_cbe_tmp__769);
  llvm_cbe_tmp__771 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__770) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__772 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__770) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__773 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__770) + ((unsigned int )10u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__772)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__771)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__773);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__773 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__773) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__773 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge4975;

llvm_cbe__2e__crit_edge4982:
  llvm_cbe_tmp__788 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__789 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__788) + ((unsigned int )2u)))))]));
  llvm_cbe_tmp__790 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__788) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__791 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__789)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__790))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__788) + ((unsigned int )6u)))) & 65535u))])) = llvm_cbe_tmp__791;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__791 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__791) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__791 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge4975;

llvm_cbe_tmp__7745:
  if ((((signed short )llvm_cbe_tmp__787) > ((signed short )((unsigned short )-30)))) {
    goto llvm_cbe__2e__crit_edge4982;
  } else {
    goto llvm_cbe_tmp__7746;
  }

llvm_cbe_tmp__7747:
  llvm_cbe_tmp__780 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )26u)))) & 65535u;
  llvm_cbe_tmp__781 = *((&RAM.array[((signed int )llvm_cbe_tmp__780)]));
  llvm_cbe_tmp__782 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__780) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__783 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__783)])) = llvm_cbe_tmp__781;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__783) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__782;
  llvm_cbe_tmp__784 = *llvm_cbe_tmp__6415;
  llvm_cbe_tmp__785 = *llvm_cbe_tmp__6417;
  llvm_cbe_tmp__786 = (((unsigned int )(unsigned char )llvm_cbe_tmp__785)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__784)) << 8u);
  llvm_cbe_tmp__787 = ((unsigned short )llvm_cbe_tmp__786);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__787) > ((unsigned short )((unsigned short )-30)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__787) > ((signed short )((unsigned short )-30)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__786 == 65506u)));
  if ((llvm_cbe_tmp__786 == 65506u)) {
    goto llvm_cbe_tmp__7748;
  } else {
    goto llvm_cbe_tmp__7745;
  }

llvm_cbe_tmp__7744:
  if ((((signed short )llvm_cbe_tmp__6420) > ((signed short )((unsigned short )-28)))) {
    goto llvm_cbe_tmp__7749;
  } else {
    goto llvm_cbe_tmp__7747;
  }

llvm_cbe_tmp__7733:
  llvm_cbe_tmp__674 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6384) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__675 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6384) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__676 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__675)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__674)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__676;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__6393;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__6395;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__6394;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__676;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__676;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7750:
  llvm_cbe__2e_pre6053_2e_rle6810 = llvm_cbe__2e_pre6053_2e_rle6810__PHI_TEMPORARY;
  llvm_cbe_tmp__816 = llvm_cbe_tmp__816__PHI_TEMPORARY;
  llvm_cbe_tmp__817 = ((unsigned int )(unsigned short )llvm_cbe_tmp__816);
  llvm_cbe_tmp__818 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__817) + ((unsigned int )14u)));
  llvm_cbe_tmp__819 = (&RAM.array[((signed int )llvm_cbe_tmp__818)]);
  llvm_cbe_tmp__820 = *llvm_cbe_tmp__819;
  llvm_cbe_tmp__821 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__817) + ((unsigned int )15u)))))]);
  llvm_cbe_tmp__822 = *llvm_cbe_tmp__821;
  llvm_cbe_tmp__823 = (((unsigned int )(unsigned char )llvm_cbe_tmp__822)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__820)) << 8u);
  *llvm_cbe_tmp__819 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__823) >> ((unsigned int )5u))))));
  *llvm_cbe_tmp__821 = (((unsigned char )(llvm_cbe_tmp__823 << 3u)));
  llvm_cbe_tmp__824 = (&RAM.array[((signed int )(llvm_cbe_tmp__818 & 65535u))]);
  llvm_cbe_tmp__825 = *llvm_cbe_tmp__824;
  *((&RAM.array[((signed int )33662u)])) = llvm_cbe_tmp__825;
  llvm_cbe_tmp__826 = *llvm_cbe_tmp__821;
  *llvm_cbe_tmp__819 = llvm_cbe_tmp__826;
  *llvm_cbe_tmp__821 = ((unsigned char )0);
  llvm_cbe_tmp__827 = *llvm_cbe_tmp__819;
  *llvm_cbe_tmp__819 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__827) >> ((unsigned char )((unsigned char )3)))))));
  *llvm_cbe_tmp__821 = (((unsigned char )(llvm_cbe_tmp__827 << ((unsigned char )5))));
  *(&ST_C) = 0u;
  llvm_cbe_tmp__828 = *llvm_cbe_tmp__824;
  *((&RAM.array[((signed int )33663u)])) = llvm_cbe_tmp__828;
  llvm_cbe_tmp__829 = ((unsigned int )(bool )(llvm_cbe_tmp__828 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__829;
  llvm_cbe_tmp__830 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__828) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__830;
  llvm_cbe_tmp__831 = ((unsigned int )(bool )(llvm_cbe_tmp__828 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__831;
  llvm_cbe_tmp__832 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__817) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__833 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__817) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__834 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__833)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__832)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__834;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6810;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__829;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__831;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__830;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__816;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__834;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__834;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge4968:
  llvm_cbe__2e_pre6053_2e_rle6813 = llvm_cbe__2e_pre6053_2e_rle6813__PHI_TEMPORARY;
  llvm_cbe_tmp__671 = llvm_cbe_tmp__671__PHI_TEMPORARY;
  llvm_cbe_tmp__672 = ((unsigned int )(unsigned short )llvm_cbe_tmp__671);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__672) + ((unsigned int )22u)))))])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__672) + ((unsigned int )23u)))))])) = ((unsigned char )40);
  llvm_cbe__2e_pre6053_2e_rle6810__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6813;   /* for PHI node */
  llvm_cbe_tmp__816__PHI_TEMPORARY = llvm_cbe_tmp__671;   /* for PHI node */
  goto llvm_cbe_tmp__7750;

llvm_cbe__2e__crit_edge4967:
  llvm_cbe_tmp__654 = llvm_cbe_tmp__654__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__654;
  llvm_cbe_tmp__655 = *((&RAM.array[((signed int )llvm_cbe_tmp__641)]));
  llvm_cbe_tmp__656 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__640) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__657 = (((unsigned int )(unsigned char )llvm_cbe_tmp__656)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__655)) << 8u);
  llvm_cbe_tmp__658 = ((unsigned short )llvm_cbe_tmp__657);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__658) > ((unsigned short )((unsigned short )800)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__658) > ((signed short )((unsigned short )800)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__657 == 800u)));
  if (((((((unsigned short )llvm_cbe_tmp__658) > ((unsigned short )((unsigned short )800))) | (llvm_cbe_tmp__657 == 800u))&1))) {
    llvm_cbe__2e_pre6053_2e_rle6813__PHI_TEMPORARY = llvm_cbe_tmp__639;   /* for PHI node */
    llvm_cbe_tmp__671__PHI_TEMPORARY = llvm_cbe_tmp__639;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4968;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6814__PHI_TEMPORARY = llvm_cbe_tmp__639;   /* for PHI node */
    llvm_cbe_tmp__659__PHI_TEMPORARY = llvm_cbe_tmp__639;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4969;
  }

llvm_cbe__2e__crit_edge5543:
  llvm_cbe_tmp__634 = llvm_cbe_tmp__634__PHI_TEMPORARY;
  llvm_cbe_tmp__635 = ((unsigned int )(unsigned short )llvm_cbe_tmp__634);
  llvm_cbe_tmp__636 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__635) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__637 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__635) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__638 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__635) + ((unsigned int )12u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__637)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__636)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )-2))))))), llvm_cbe_tmp__638);
  llvm_cbe_tmp__639 = *(&WP);
  llvm_cbe_tmp__640 = ((unsigned int )(unsigned short )llvm_cbe_tmp__639);
  llvm_cbe_tmp__641 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__640) + ((unsigned int )14u)));
  llvm_cbe_tmp__642 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__640) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__643 = *((&RAM.array[((signed int )llvm_cbe_tmp__642)]));
  llvm_cbe_tmp__644 = (((unsigned int )(unsigned char )llvm_cbe_tmp__643)) << 8u;
  llvm_cbe_tmp__645 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__642) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__646 = llvm_cbe_tmp__641 & 65535u;
  llvm_cbe_tmp__647 = (&RAM.array[((signed int )llvm_cbe_tmp__646)]);
  llvm_cbe_tmp__648 = *llvm_cbe_tmp__647;
  llvm_cbe_tmp__649 = (((unsigned int )(unsigned char )llvm_cbe_tmp__648)) << 8u;
  llvm_cbe_tmp__650 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__646) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__651 = *llvm_cbe_tmp__650;
  llvm_cbe_tmp__652 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__649 | (((unsigned int )(unsigned char )llvm_cbe_tmp__651)))) - ((unsigned int )(llvm_cbe_tmp__644 | (((unsigned int )(unsigned char )llvm_cbe_tmp__645))))));
  *llvm_cbe_tmp__647 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__652) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__650 = (((unsigned char )llvm_cbe_tmp__652));
  llvm_cbe_tmp__653 = ((unsigned short )llvm_cbe_tmp__652);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__653 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__653) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__653 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__652) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__649 ^ llvm_cbe_tmp__644) & 32768u) == 0u)) {
    llvm_cbe_tmp__654__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4967;
  } else {
    goto llvm_cbe_tmp__7751;
  }

llvm_cbe__2e__crit_edge4966:
  llvm_cbe_tmp__633 = llvm_cbe_tmp__633__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__633;
  llvm_cbe_tmp__634__PHI_TEMPORARY = llvm_cbe_tmp__619;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5543;

llvm_cbe_tmp__7752:
  llvm_cbe_tmp__619 = *(&WP);
  llvm_cbe_tmp__620 = ((unsigned int )(unsigned short )llvm_cbe_tmp__619);
  llvm_cbe_tmp__621 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__620) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__622 = *((&RAM.array[((signed int )llvm_cbe_tmp__621)]));
  llvm_cbe_tmp__623 = (((unsigned int )(unsigned char )llvm_cbe_tmp__622)) << 8u;
  llvm_cbe_tmp__624 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__621) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__625 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__620) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__626 = (&RAM.array[((signed int )llvm_cbe_tmp__625)]);
  llvm_cbe_tmp__627 = *llvm_cbe_tmp__626;
  llvm_cbe_tmp__628 = (((unsigned int )(unsigned char )llvm_cbe_tmp__627)) << 8u;
  llvm_cbe_tmp__629 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__625) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__630 = *llvm_cbe_tmp__629;
  llvm_cbe_tmp__631 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__628 | (((unsigned int )(unsigned char )llvm_cbe_tmp__630)))) + ((unsigned int )(llvm_cbe_tmp__623 | (((unsigned int )(unsigned char )llvm_cbe_tmp__624))))));
  *llvm_cbe_tmp__626 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__631) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__629 = (((unsigned char )llvm_cbe_tmp__631));
  llvm_cbe_tmp__632 = ((unsigned short )llvm_cbe_tmp__631);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__632 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__632) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__632 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__631) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__628 ^ llvm_cbe_tmp__623) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7753;
  } else {
    llvm_cbe_tmp__633__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4966;
  }

llvm_cbe__2e__crit_edge5542:
  llvm_cbe_tmp__615 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__616 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__615) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__617 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__615) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__618 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__616)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__617))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__615) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__618;
  goto llvm_cbe_tmp__7752;

llvm_cbe__2e__crit_edge5541:
  llvm_cbe_tmp__600 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__601 = (&RAM.array[((signed int )llvm_cbe_tmp__600)]);
  llvm_cbe_tmp__602 = *llvm_cbe_tmp__601;
  llvm_cbe_tmp__603 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__600) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__604 = *llvm_cbe_tmp__603;
  llvm_cbe_tmp__605 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__602)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__604));
  *llvm_cbe_tmp__601 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__605) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__606 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__604) + ((unsigned char )((unsigned char )2))))));
  *llvm_cbe_tmp__603 = llvm_cbe_tmp__606;
  llvm_cbe_tmp__607 = *llvm_cbe_tmp__601;
  llvm_cbe_tmp__608 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__607)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__606));
  *llvm_cbe_tmp__601 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__608) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__603 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__604) + ((unsigned char )((unsigned char )4)))))));
  llvm_cbe_tmp__609 = *((&RAM.array[((signed int )(llvm_cbe_tmp__605 & 65534u))]));
  llvm_cbe_tmp__610 = *((&RAM.array[((signed int )(llvm_cbe_tmp__605 | 1u))]));
  llvm_cbe_tmp__611 = *((&RAM.array[((signed int )(llvm_cbe_tmp__608 & 65534u))]));
  llvm_cbe_tmp__612 = *((&RAM.array[((signed int )(llvm_cbe_tmp__608 | 1u))]));
  llvm_cbe_tmp__613 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__609)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__610))));
  llvm_cbe_tmp__614 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__611)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__612))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__613) > ((unsigned short )llvm_cbe_tmp__614))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__613) > ((signed short )llvm_cbe_tmp__614))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__613 == llvm_cbe_tmp__614)));
  goto llvm_cbe__2e__crit_edge5542;

llvm_cbe_tmp__7529:
  llvm_cbe_tmp__6365 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6366 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6365) + ((unsigned int )8u)))))]);
  llvm_cbe_tmp__6367 = *llvm_cbe_tmp__6366;
  llvm_cbe_tmp__6368 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6367);
  llvm_cbe_tmp__6369 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6365) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__6370 = *llvm_cbe_tmp__6369;
  llvm_cbe_tmp__6371 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6370)) | (llvm_cbe_tmp__6368 << 8u);
  llvm_cbe_tmp__6372 = llvm_cbe_tmp__6371 << 5u;
  *llvm_cbe_tmp__6366 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6371) >> ((unsigned int )3u))))));
  *llvm_cbe_tmp__6369 = (((unsigned char )llvm_cbe_tmp__6372));
  llvm_cbe_tmp__6373 = ((unsigned short )llvm_cbe_tmp__6372);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6373 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6373) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6373 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6368) >> ((unsigned int )3u)))) & 1u);
  goto llvm_cbe__2e__crit_edge5541;

llvm_cbe_tmp__7530:
  llvm_cbe_tmp__6374 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6375 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6374) + ((unsigned int )8u)))))]);
  llvm_cbe_tmp__6376 = *llvm_cbe_tmp__6375;
  llvm_cbe_tmp__6377 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6376);
  llvm_cbe_tmp__6378 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6374) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__6379 = *llvm_cbe_tmp__6378;
  llvm_cbe_tmp__6380 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6379)) | (llvm_cbe_tmp__6377 << 8u);
  llvm_cbe_tmp__6381 = llvm_cbe_tmp__6380 << 5u;
  *llvm_cbe_tmp__6375 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6380) >> ((unsigned int )3u))))));
  *llvm_cbe_tmp__6378 = (((unsigned char )llvm_cbe_tmp__6381));
  llvm_cbe_tmp__6382 = ((unsigned short )llvm_cbe_tmp__6381);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6382 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6382) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6382 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6377) >> ((unsigned int )3u)))) & 1u);
  goto llvm_cbe__2e__crit_edge5542;

llvm_cbe__2e__crit_edge5547:
  llvm_cbe_tmp__792 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )2))))))));
  llvm_cbe_tmp__793 = (&RAM.array[((signed int )llvm_cbe_tmp__792)]);
  llvm_cbe_tmp__794 = *llvm_cbe_tmp__793;
  llvm_cbe_tmp__795 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__792) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__796 = *llvm_cbe_tmp__795;
  llvm_cbe_tmp__797 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__794)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__796));
  *llvm_cbe_tmp__793 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__797) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__795 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__796) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__798 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__797)));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__798;
  goto llvm_cbe_tmp__7752;

llvm_cbe_tmp__7537:
  llvm_cbe_tmp__6438 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6438) + ((unsigned int )4u)))))])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6438) + ((unsigned int )5u)))))])) = ((unsigned char )-98);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe__2e__crit_edge5547;

llvm_cbe_tmp__7753:
  llvm_cbe_tmp3991_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__631 ^ llvm_cbe_tmp__628)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__633__PHI_TEMPORARY = llvm_cbe_tmp3991_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4966;

llvm_cbe_tmp__7751:
  llvm_cbe_tmp3993_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__652 ^ llvm_cbe_tmp__649)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__654__PHI_TEMPORARY = llvm_cbe_tmp3993_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4967;

llvm_cbe__2e__crit_edge4969:
  llvm_cbe__2e_pre6053_2e_rle6814 = llvm_cbe__2e_pre6053_2e_rle6814__PHI_TEMPORARY;
  llvm_cbe_tmp__659 = llvm_cbe_tmp__659__PHI_TEMPORARY;
  llvm_cbe_tmp__660 = ((unsigned int )(unsigned short )llvm_cbe_tmp__659);
  llvm_cbe_tmp__661 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__660) + ((unsigned int )14u)))))]);
  llvm_cbe_tmp__662 = *llvm_cbe_tmp__661;
  llvm_cbe_tmp__663 = (((unsigned int )(unsigned char )llvm_cbe_tmp__662)) << 8u;
  llvm_cbe_tmp__664 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__660) + ((unsigned int )15u)))))]);
  llvm_cbe_tmp__665 = *llvm_cbe_tmp__664;
  llvm_cbe_tmp__666 = (((unsigned int )(unsigned char )llvm_cbe_tmp__665)) | llvm_cbe_tmp__663;
  llvm_cbe_tmp__667 = ((unsigned short )llvm_cbe_tmp__666);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__667) > ((unsigned short )((unsigned short )768)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__667) > ((signed short )((unsigned short )768)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__666 == 768u)));
  if (((((((unsigned short )llvm_cbe_tmp__667) > ((unsigned short )((unsigned short )768))) | (llvm_cbe_tmp__666 == 768u))&1))) {
    goto llvm_cbe__2e__crit_edge4971;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6813__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6814;   /* for PHI node */
    llvm_cbe_tmp__671__PHI_TEMPORARY = llvm_cbe_tmp__659;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4968;
  }

llvm_cbe__2e__crit_edge4976:
  llvm_cbe_tmp__692 = llvm_cbe_tmp__692__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__692;
  *llvm_cbe_tmp__679 = ((unsigned char )-1);
  *llvm_cbe_tmp__682 = ((unsigned char )-1);
  llvm_cbe__2e_pre6053_2e_rle6814__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__659__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4969;

llvm_cbe__2e__crit_edge5544:
  llvm_cbe_tmp__677 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__678 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__677) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__679 = (&RAM.array[((signed int )llvm_cbe_tmp__678)]);
  llvm_cbe_tmp__680 = *llvm_cbe_tmp__679;
  llvm_cbe_tmp__681 = (((unsigned int )(unsigned char )llvm_cbe_tmp__680)) << 8u;
  llvm_cbe_tmp__682 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__678) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__683 = *llvm_cbe_tmp__682;
  llvm_cbe_tmp__684 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__677) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__685 = (&RAM.array[((signed int )llvm_cbe_tmp__684)]);
  llvm_cbe_tmp__686 = *llvm_cbe_tmp__685;
  llvm_cbe_tmp__687 = (((unsigned int )(unsigned char )llvm_cbe_tmp__686)) << 8u;
  llvm_cbe_tmp__688 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__684) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__689 = *llvm_cbe_tmp__688;
  llvm_cbe_tmp__690 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__687 | (((unsigned int )(unsigned char )llvm_cbe_tmp__689)))) - ((unsigned int )(llvm_cbe_tmp__681 | (((unsigned int )(unsigned char )llvm_cbe_tmp__683))))));
  *llvm_cbe_tmp__685 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__690) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__688 = (((unsigned char )llvm_cbe_tmp__690));
  llvm_cbe_tmp__691 = ((unsigned short )llvm_cbe_tmp__690);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__691 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__691) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__691 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__690) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__687 ^ llvm_cbe_tmp__681) & 32768u) == 0u)) {
    llvm_cbe_tmp__692__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4976;
  } else {
    goto llvm_cbe_tmp__7754;
  }

llvm_cbe_tmp__7533:
  llvm_cbe_tmp__6396 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6397 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6396) + ((unsigned int )16u)))))]);
  llvm_cbe_tmp__6398 = *llvm_cbe_tmp__6397;
  llvm_cbe_tmp__6399 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6398);
  llvm_cbe_tmp__6400 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6396) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__6401 = *llvm_cbe_tmp__6400;
  llvm_cbe_tmp__6402 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6401)) | (llvm_cbe_tmp__6399 << 8u);
  llvm_cbe_tmp__6403 = llvm_cbe_tmp__6402 << 5u;
  *llvm_cbe_tmp__6397 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6402) >> ((unsigned int )3u))))));
  *llvm_cbe_tmp__6400 = (((unsigned char )llvm_cbe_tmp__6403));
  llvm_cbe_tmp__6404 = ((unsigned short )llvm_cbe_tmp__6403);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6404 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6404) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6404 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6399) >> ((unsigned int )3u)))) & 1u);
  goto llvm_cbe__2e__crit_edge5544;

llvm_cbe_tmp__7754:
  llvm_cbe_tmp3932_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__690 ^ llvm_cbe_tmp__687)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__692__PHI_TEMPORARY = llvm_cbe_tmp3932_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4976;

llvm_cbe__2e__crit_edge4974:
  llvm_cbe_tmp__670 = llvm_cbe_tmp__670__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__670;
  llvm_cbe__2e_pre6053_2e_rle6813__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6814;   /* for PHI node */
  llvm_cbe_tmp__671__PHI_TEMPORARY = llvm_cbe_tmp__659;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4968;

llvm_cbe__2e__crit_edge4971:
  llvm_cbe_tmp__668 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__666) + ((unsigned int )64768u)));
  *llvm_cbe_tmp__661 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__668) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__664 = (((unsigned char )llvm_cbe_tmp__668));
  llvm_cbe_tmp__669 = ((unsigned short )llvm_cbe_tmp__668);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__669 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__669) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__669 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__668) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__663 & 32768u) == 0u)) {
    llvm_cbe_tmp__670__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4974;
  } else {
    goto llvm_cbe_tmp__7755;
  }

llvm_cbe_tmp__7755:
  llvm_cbe_tmp3995 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__668) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__670__PHI_TEMPORARY = llvm_cbe_tmp3995;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4974;

llvm_cbe_tmp__7746:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )22u)))))])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )23u)))))])) = ((unsigned char )-126);
  llvm_cbe__2e_pre6053_2e_rle6810__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__816__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__7750;

llvm_cbe__2e__crit_edge4981:
  llvm_cbe__2e_pre6053_2e_rle6811 = llvm_cbe__2e_pre6053_2e_rle6811__PHI_TEMPORARY;
  llvm_cbe_tmp__814 = llvm_cbe_tmp__814__PHI_TEMPORARY;
  llvm_cbe_tmp__815 = ((unsigned int )(unsigned short )llvm_cbe_tmp__814);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__815) + ((unsigned int )22u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__815) + ((unsigned int )23u)))))])) = ((unsigned char )112);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe__2e_pre6053_2e_rle6810__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6811;   /* for PHI node */
  llvm_cbe_tmp__816__PHI_TEMPORARY = llvm_cbe_tmp__814;   /* for PHI node */
  goto llvm_cbe_tmp__7750;

  do {     /* Syntactic loop '._crit_edge4984' to make GCC happy */
llvm_cbe__2e__crit_edge4984:
  llvm_cbe_tmp__799 = llvm_cbe_tmp__799__PHI_TEMPORARY;
  llvm_cbe_tmp__800 = ((unsigned int )(unsigned short )llvm_cbe_tmp__799);
  llvm_cbe_tmp__801 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__800) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__802 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__800) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__803 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__800) + ((unsigned int )10u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__802)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__801)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )-2))))))), llvm_cbe_tmp__803);
  llvm_cbe_tmp__804 = *(&WP);
  llvm_cbe_tmp__805 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__804))) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__806 = (&RAM.array[((signed int )llvm_cbe_tmp__805)]);
  llvm_cbe_tmp__807 = *llvm_cbe_tmp__806;
  llvm_cbe_tmp__808 = (((unsigned int )(unsigned char )llvm_cbe_tmp__807)) << 8u;
  llvm_cbe_tmp__809 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__805) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__810 = *llvm_cbe_tmp__809;
  llvm_cbe_tmp__811 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__808 | (((unsigned int )(unsigned char )llvm_cbe_tmp__810)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__806 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__811) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__809 = (((unsigned char )llvm_cbe_tmp__811));
  llvm_cbe_tmp__812 = ((unsigned short )llvm_cbe_tmp__811);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__812 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__812) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__812 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__811) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__808 & 32768u) == 0u)) {
    llvm_cbe_tmp__813__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4983;
  } else {
    goto llvm_cbe_tmp__7756;
  }

llvm_cbe__2e__crit_edge4983:
  llvm_cbe_tmp__813 = llvm_cbe_tmp__813__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__813;
  if ((llvm_cbe_tmp__812 == ((unsigned short )0))) {
    llvm_cbe__2e_pre6053_2e_rle6811__PHI_TEMPORARY = llvm_cbe_tmp__804;   /* for PHI node */
    llvm_cbe_tmp__814__PHI_TEMPORARY = llvm_cbe_tmp__804;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4981;
  } else {
    llvm_cbe_tmp__799__PHI_TEMPORARY = llvm_cbe_tmp__804;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4984;
  }

llvm_cbe_tmp__7756:
  llvm_cbe_tmp4016 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__811) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__813__PHI_TEMPORARY = llvm_cbe_tmp4016;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4983;

  } while (1); /* end of syntactic loop '._crit_edge4984' */
llvm_cbe_tmp__7539:
  llvm_cbe_tmp__6445 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6445) + ((unsigned int )14u)))))])) = ((unsigned char )3);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6445) + ((unsigned int )15u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__799__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4984;

llvm_cbe__2e__crit_edge5625:
  llvm_cbe_tmp__835 = llvm_cbe_tmp__835__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__835;
  llvm_cbe_tmp__836 = *llvm_cbe_tmp__6498;
  llvm_cbe_tmp__837 = *llvm_cbe_tmp__6500;
  llvm_cbe_tmp__838 = (((unsigned int )(unsigned char )llvm_cbe_tmp__837)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__836)) << 8u);
  llvm_cbe_tmp__839 = *((&RAM.array[((signed int )(llvm_cbe_tmp__838 & 65534u))]));
  llvm_cbe_tmp__840 = *((&RAM.array[((signed int )(llvm_cbe_tmp__838 | 1u))]));
  llvm_cbe_tmp__841 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__839)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__840));
  *llvm_cbe_tmp__6491 = llvm_cbe_tmp__839;
  *llvm_cbe_tmp__6492 = llvm_cbe_tmp__840;
  llvm_cbe_tmp__842 = ((unsigned int )(bool )(llvm_cbe_tmp__841 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__842;
  llvm_cbe_tmp__843 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__841))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__843;
  llvm_cbe_tmp__844 = ((unsigned int )(bool )(llvm_cbe_tmp__841 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__844;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6484) + ((unsigned int )22u)))))])) = ((unsigned char )6);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6484) + ((unsigned int )23u)))))])) = ((unsigned char )28);
  llvm_cbe_tmp__845 = *llvm_cbe_tmp__6498;
  llvm_cbe_tmp__846 = *llvm_cbe_tmp__6500;
  llvm_cbe_tmp__847 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__846)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__845)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__847;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__6483;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__842;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__844;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__843;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__6483;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__847;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__847;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7757:
  llvm_cbe_tmp4024_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__6513 ^ llvm_cbe_tmp__6511)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__835__PHI_TEMPORARY = llvm_cbe_tmp4024_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5625;

llvm_cbe_tmp__7540:
  llvm_cbe_tmp__6479 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6480 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6479) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6481 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6479) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6482 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6480)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6481))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6479) + ((unsigned int )18u)))) & 65535u))])) = llvm_cbe_tmp__6482;
  llvm_cbe_tmp__6483 = *(&WP);
  llvm_cbe_tmp__6484 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6483);
  llvm_cbe_tmp__6485 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6484) + ((unsigned int )18u)));
  llvm_cbe_tmp__6486 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6484) + ((unsigned int )8u)));
  llvm_cbe_tmp__6487 = llvm_cbe_tmp__6485 & 65535u;
  llvm_cbe_tmp__6488 = *((&RAM.array[((signed int )llvm_cbe_tmp__6487)]));
  llvm_cbe_tmp__6489 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6487) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6490 = llvm_cbe_tmp__6486 & 65535u;
  llvm_cbe_tmp__6491 = (&RAM.array[((signed int )llvm_cbe_tmp__6490)]);
  *llvm_cbe_tmp__6491 = llvm_cbe_tmp__6488;
  llvm_cbe_tmp__6492 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6490) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__6492 = llvm_cbe_tmp__6489;
  llvm_cbe_tmp__6493 = (&RAM.array[((signed int )llvm_cbe_tmp__6485)]);
  llvm_cbe_tmp__6494 = *llvm_cbe_tmp__6493;
  llvm_cbe_tmp__6495 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__6494) >> ((unsigned char )((unsigned char )4))))));
  *llvm_cbe_tmp__6493 = ((unsigned char )0);
  llvm_cbe_tmp__6496 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6484) + ((unsigned int )19u)))))]);
  *llvm_cbe_tmp__6496 = llvm_cbe_tmp__6495;
  llvm_cbe_tmp__6497 = *llvm_cbe_tmp__6493;
  *llvm_cbe_tmp__6493 = (((unsigned char )(llvm_cbe_tmp__6497 << ((unsigned char )1))));
  *llvm_cbe_tmp__6496 = (((unsigned char )(((((unsigned int )(unsigned char )llvm_cbe_tmp__6495)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6497)) << 8u)) << 1u)));
  llvm_cbe_tmp__6498 = (&RAM.array[((signed int )llvm_cbe_tmp__6486)]);
  llvm_cbe_tmp__6499 = *llvm_cbe_tmp__6498;
  llvm_cbe_tmp__6500 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6484) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__6501 = *llvm_cbe_tmp__6500;
  llvm_cbe_tmp__6502 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6501)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6499)) << 8u);
  *llvm_cbe_tmp__6498 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6502) >> ((unsigned int )4u))))));
  *llvm_cbe_tmp__6500 = (((unsigned char )(llvm_cbe_tmp__6502 << 4u)));
  llvm_cbe_tmp__6503 = *llvm_cbe_tmp__6498;
  *llvm_cbe_tmp__6498 = ((unsigned char )0);
  *llvm_cbe_tmp__6500 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__6503) >> ((unsigned char )((unsigned char )3)))))));
  llvm_cbe_tmp__6504 = *llvm_cbe_tmp__6493;
  llvm_cbe_tmp__6505 = *llvm_cbe_tmp__6496;
  llvm_cbe_tmp__6506 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6505)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6504)) << 8u))) + ((unsigned int )3322u)));
  llvm_cbe_tmp__6507 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6506 & 65534u))]));
  llvm_cbe_tmp__6508 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6507)) << 8u;
  llvm_cbe_tmp__6509 = *((&RAM.array[((signed int )((llvm_cbe_tmp__6506 | 1u) & 65535u))]));
  llvm_cbe_tmp__6510 = *llvm_cbe_tmp__6491;
  llvm_cbe_tmp__6511 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6510)) << 8u;
  llvm_cbe_tmp__6512 = *llvm_cbe_tmp__6492;
  llvm_cbe_tmp__6513 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6511 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6512)))) + ((unsigned int )(llvm_cbe_tmp__6508 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6509))))));
  *llvm_cbe_tmp__6491 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6513) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6492 = (((unsigned char )llvm_cbe_tmp__6513));
  llvm_cbe_tmp__6514 = ((unsigned short )llvm_cbe_tmp__6513);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6514 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6514) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6514 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6513) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__6511 ^ llvm_cbe_tmp__6508) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7757;
  } else {
    llvm_cbe_tmp__835__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5625;
  }

llvm_cbe__2e__crit_edge4993:
  llvm_cbe__2e_pre6053_2e_rle6822 = llvm_cbe__2e_pre6053_2e_rle6822__PHI_TEMPORARY;
  llvm_cbe_tmp__883 = llvm_cbe_tmp__883__PHI_TEMPORARY;
  llvm_cbe__2e_rle5961 = llvm_cbe__2e_rle5961__PHI_TEMPORARY;
  llvm_cbe__2e_rle5927 = llvm_cbe__2e_rle5927__PHI_TEMPORARY;
  llvm_cbe__2e_rle5896 = llvm_cbe__2e_rle5896__PHI_TEMPORARY;
  llvm_cbe_tmp__884 = ((unsigned int )(unsigned short )llvm_cbe_tmp__883);
  llvm_cbe_tmp__885 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__884) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__886 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__884) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__887 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__886)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__885)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__887;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6822;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5961;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5927;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5896;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__883;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__887;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__887;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge4991:
  llvm_cbe_tmp__963 = llvm_cbe_tmp__963__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__963;
  if ((((signed short )llvm_cbe_tmp__959) > ((signed short )((unsigned short )0)))) {
    llvm_cbe__2e_pre6053_2e_rle6822__PHI_TEMPORARY = llvm_cbe_tmp__951;   /* for PHI node */
    llvm_cbe_tmp__883__PHI_TEMPORARY = llvm_cbe_tmp__951;   /* for PHI node */
    llvm_cbe__2e_rle5961__PHI_TEMPORARY = llvm_cbe_tmp__960;   /* for PHI node */
    llvm_cbe__2e_rle5927__PHI_TEMPORARY = llvm_cbe_tmp__962;   /* for PHI node */
    llvm_cbe__2e_rle5896__PHI_TEMPORARY = llvm_cbe_tmp__961;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4993;
  } else {
    llvm_cbe__2e_pre6071__PHI_TEMPORARY = llvm_cbe_tmp__951;   /* for PHI node */
    llvm_cbe__2e_pre6070__PHI_TEMPORARY = llvm_cbe_tmp__951;   /* for PHI node */
    llvm_cbe__2e_pre6069__PHI_TEMPORARY = llvm_cbe_tmp__951;   /* for PHI node */
    llvm_cbe__2e_pre6068__PHI_TEMPORARY = llvm_cbe_tmp__951;   /* for PHI node */
    llvm_cbe_tmp__1476__PHI_TEMPORARY = llvm_cbe_tmp__951;   /* for PHI node */
    llvm_cbe_tmp__1477__PHI_TEMPORARY = llvm_cbe_tmp__951;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4992;
  }

llvm_cbe_tmp__7758:
  llvm_cbe_tmp__951 = *(&WP);
  llvm_cbe_tmp__952 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__951))) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__953 = (&RAM.array[((signed int )llvm_cbe_tmp__952)]);
  llvm_cbe_tmp__954 = *llvm_cbe_tmp__953;
  llvm_cbe_tmp__955 = (((unsigned int )(unsigned char )llvm_cbe_tmp__954)) << 8u;
  llvm_cbe_tmp__956 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__952) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__957 = *llvm_cbe_tmp__956;
  llvm_cbe_tmp__958 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__955 | (((unsigned int )(unsigned char )llvm_cbe_tmp__957)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__953 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__958) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__956 = (((unsigned char )llvm_cbe_tmp__958));
  llvm_cbe_tmp__959 = ((unsigned short )llvm_cbe_tmp__958);
  llvm_cbe_tmp__960 = ((unsigned int )(bool )(llvm_cbe_tmp__959 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__960;
  llvm_cbe_tmp__961 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__959) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__961;
  llvm_cbe_tmp__962 = ((unsigned int )(bool )(llvm_cbe_tmp__959 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__962;
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__958) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__955 & 32768u) == 0u)) {
    llvm_cbe_tmp__963__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4991;
  } else {
    goto llvm_cbe_tmp__7759;
  }

llvm_cbe__2e__crit_edge5630:
  llvm_cbe_tmp__912 = llvm_cbe_tmp__912__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__912;
  llvm_cbe_tmp__913 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6643) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__914 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6643) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__915 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6643) + ((unsigned int )22u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__914)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__913)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1024))))))), llvm_cbe_tmp__915);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__915 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__915) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__915 == ((unsigned char )0))));
  goto llvm_cbe_tmp__7758;

llvm_cbe_tmp__7760:
  llvm_cbe__2e_lobit4073 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6650) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__912__PHI_TEMPORARY = llvm_cbe__2e_lobit4073;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5630;

llvm_cbe_tmp__7547:
  llvm_cbe_tmp__6633 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6634 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6633) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6635 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6633) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6636 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6633) + ((unsigned int )4u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6635)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6634)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__6636);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6636 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6636) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6636 == ((unsigned char )0))));
  llvm_cbe_tmp__6637 = *(&WP);
  llvm_cbe_tmp__6638 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6637);
  llvm_cbe_tmp__6639 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6638) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6640 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6638) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6641 = *((&RAM.array[((signed int )33765u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6639)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6640)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__6641);
  llvm_cbe_tmp__6642 = *(&WP);
  llvm_cbe_tmp__6643 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6642);
  llvm_cbe_tmp__6644 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6643) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6645 = (&RAM.array[((signed int )llvm_cbe_tmp__6644)]);
  llvm_cbe_tmp__6646 = *llvm_cbe_tmp__6645;
  llvm_cbe_tmp__6647 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6646)) << 8u;
  llvm_cbe_tmp__6648 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6644) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6649 = *llvm_cbe_tmp__6648;
  llvm_cbe_tmp__6650 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6647 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6649)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6645 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6650) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6648 = (((unsigned char )llvm_cbe_tmp__6650));
  llvm_cbe_tmp__6651 = ((unsigned short )llvm_cbe_tmp__6650);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6651 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6651) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6651 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6650) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6647 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7760;
  } else {
    llvm_cbe_tmp__912__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5630;
  }

llvm_cbe__2e__crit_edge4990:
  llvm_cbe_tmp__946 = llvm_cbe_tmp__946__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__946;
  goto llvm_cbe_tmp__7758;

llvm_cbe__2e__crit_edge5631:
  llvm_cbe_tmp__924 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6652) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__925 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6652) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__926 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6652) + ((unsigned int )22u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__925)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__924)) << ((unsigned short )8))))))), llvm_cbe_tmp__926);
  llvm_cbe_tmp__927 = *(&WP);
  llvm_cbe_tmp__928 = ((unsigned int )(unsigned short )llvm_cbe_tmp__927);
  llvm_cbe_tmp__929 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__928) + ((unsigned int )4u)))))]);
  llvm_cbe_tmp__930 = *llvm_cbe_tmp__929;
  llvm_cbe_tmp__931 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__928) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__932 = *llvm_cbe_tmp__931;
  llvm_cbe_tmp__933 = (((((unsigned int )(unsigned char )llvm_cbe_tmp__930)) << 8u) | 128u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__932));
  *llvm_cbe_tmp__929 = llvm_cbe_tmp__930;
  *llvm_cbe_tmp__931 = (((unsigned char )llvm_cbe_tmp__933));
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__933))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__934 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__928) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__935 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__928) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__936 = *((&RAM.array[((signed int )33765u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__934)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__935))))), llvm_cbe_tmp__936);
  llvm_cbe_tmp__937 = *(&WP);
  llvm_cbe_tmp__938 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__937))) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__939 = (&RAM.array[((signed int )llvm_cbe_tmp__938)]);
  llvm_cbe_tmp__940 = *llvm_cbe_tmp__939;
  llvm_cbe_tmp__941 = (((unsigned int )(unsigned char )llvm_cbe_tmp__940)) << 8u;
  llvm_cbe_tmp__942 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__938) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__943 = *llvm_cbe_tmp__942;
  llvm_cbe_tmp__944 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__941 | (((unsigned int )(unsigned char )llvm_cbe_tmp__943)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__939 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__944) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__942 = (((unsigned char )llvm_cbe_tmp__944));
  llvm_cbe_tmp__945 = ((unsigned short )llvm_cbe_tmp__944);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__945 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__945) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__945 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__944) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__941 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7761;
  } else {
    llvm_cbe_tmp__946__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4990;
  }

llvm_cbe__2e__crit_edge4989:
  llvm_cbe_tmp__923 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6652) + ((unsigned int )22u)))) & 65535u))]));
  *((&RAM.array[((signed int )33748u)])) = llvm_cbe_tmp__923;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__923 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__923) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__923 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge5631;

llvm_cbe_tmp__7762:
  llvm_cbe_tmp__916 = *((&RAM.array[((signed int )18u)]));
  llvm_cbe_tmp__917 = *((&RAM.array[((signed int )19u)]));
  llvm_cbe_tmp__918 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6654) + ((unsigned int )1u)))))]));
  *(&ST_EQ) = (((unsigned int )(bool )((((((((unsigned int )(unsigned char )llvm_cbe_tmp__6655)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__918))) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__916)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__917)))) == 0u)));
  if (((((((((unsigned int )(unsigned char )llvm_cbe_tmp__6655)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__918))) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__916)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__917)))) == 0u)) {
    goto llvm_cbe_tmp__7763;
  } else {
    goto llvm_cbe__2e__crit_edge4989;
  }

llvm_cbe_tmp__7548:
  llvm_cbe_tmp__6652 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6653 = *((&RAM.array[((signed int )33765u)]));
  llvm_cbe_tmp__6654 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6652) + ((unsigned int )28u)))) & 65535u;
  llvm_cbe_tmp__6655 = *((&RAM.array[((signed int )llvm_cbe_tmp__6654)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__6653) > ((unsigned char )llvm_cbe_tmp__6655))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6653) > ((signed char )llvm_cbe_tmp__6655))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6653 == llvm_cbe_tmp__6655)));
  if ((llvm_cbe_tmp__6653 == llvm_cbe_tmp__6655)) {
    goto llvm_cbe_tmp__7762;
  } else {
    goto llvm_cbe__2e__crit_edge5631;
  }

llvm_cbe_tmp__7763:
  llvm_cbe_tmp__919 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6652) + ((unsigned int )22u)))))]);
  llvm_cbe_tmp__920 = *llvm_cbe_tmp__919;
  llvm_cbe_tmp__921 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6652) + ((unsigned int )23u)))))]);
  llvm_cbe_tmp__922 = *llvm_cbe_tmp__921;
  *llvm_cbe_tmp__919 = (((unsigned char )(llvm_cbe_tmp__920 | ((unsigned char )128u))));
  *llvm_cbe_tmp__921 = llvm_cbe_tmp__922;
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe__2e__crit_edge4989;

llvm_cbe_tmp__7761:
  llvm_cbe__2e_lobit4075 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__944) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__946__PHI_TEMPORARY = llvm_cbe__2e_lobit4075;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4990;

llvm_cbe__2e__crit_edge5632:
  llvm_cbe_tmp__947 = llvm_cbe_tmp__947__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__947;
  llvm_cbe_tmp__948 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6672) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__949 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6672) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__950 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6672) + ((unsigned int )22u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__949)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__948)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )-2))))))), llvm_cbe_tmp__950);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__950 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__950) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__950 == ((unsigned char )0))));
  goto llvm_cbe_tmp__7758;

llvm_cbe_tmp__7764:
  llvm_cbe__2e_lobit4079 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6679) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__947__PHI_TEMPORARY = llvm_cbe__2e_lobit4079;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5632;

llvm_cbe_tmp__7549:
  llvm_cbe_tmp__6656 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6657 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6656) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__6658 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6656) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__6659 = *((&RAM.array[((signed int )33765u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6657)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6658))))), llvm_cbe_tmp__6659);
  llvm_cbe_tmp__6660 = *(&WP);
  llvm_cbe_tmp__6661 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6660);
  llvm_cbe_tmp__6662 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6661) + ((unsigned int )4u)));
  llvm_cbe_tmp__6663 = (&RAM.array[((signed int )llvm_cbe_tmp__6662)]);
  llvm_cbe_tmp__6664 = *llvm_cbe_tmp__6663;
  llvm_cbe_tmp__6665 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6661) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__6666 = *llvm_cbe_tmp__6665;
  llvm_cbe_tmp__6667 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6664)) << 8u) | 16384u;
  *llvm_cbe_tmp__6663 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6667) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6665 = llvm_cbe_tmp__6666;
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )((((unsigned short )llvm_cbe_tmp__6667)) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6666)))))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__6668 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6661) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__6669 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6661) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__6670 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6662 & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6669)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6668)) << ((unsigned short )8))))))), llvm_cbe_tmp__6670);
  llvm_cbe_tmp__6671 = *(&WP);
  llvm_cbe_tmp__6672 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6671);
  llvm_cbe_tmp__6673 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6672) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6674 = (&RAM.array[((signed int )llvm_cbe_tmp__6673)]);
  llvm_cbe_tmp__6675 = *llvm_cbe_tmp__6674;
  llvm_cbe_tmp__6676 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6675)) << 8u;
  llvm_cbe_tmp__6677 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6673) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6678 = *llvm_cbe_tmp__6677;
  llvm_cbe_tmp__6679 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6676 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6678)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6674 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6679) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6677 = (((unsigned char )llvm_cbe_tmp__6679));
  llvm_cbe_tmp__6680 = ((unsigned short )llvm_cbe_tmp__6679);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6680 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6680) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6680 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6679) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6676 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7764;
  } else {
    llvm_cbe_tmp__947__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5632;
  }

llvm_cbe_tmp__7546:
  llvm_cbe_tmp__6626 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__6627 = (&RAM.array[((signed int )llvm_cbe_tmp__6626)]);
  llvm_cbe_tmp__6628 = *llvm_cbe_tmp__6627;
  llvm_cbe_tmp__6629 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6626) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6630 = *llvm_cbe_tmp__6629;
  llvm_cbe_tmp__6631 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6628)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6630));
  *llvm_cbe_tmp__6627 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6631) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6629 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__6630) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__6632 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )22u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__6631)), llvm_cbe_tmp__6632);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6632 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6632) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6632 == ((unsigned char )0))));
  goto llvm_cbe_tmp__7758;

llvm_cbe_tmp__7759:
  llvm_cbe_tmp4078 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__958) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__963__PHI_TEMPORARY = llvm_cbe_tmp4078;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4991;

llvm_cbe__2e__crit_edge5628:
  llvm_cbe_tmp__888 = llvm_cbe_tmp__888__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__888;
  llvm_cbe_tmp__889 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6598) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__890 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6598) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__891 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__889)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__890)))))) + ((unsigned short )((unsigned short )-1026))))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6598) + ((unsigned int )22u)))) & 65535u))])) = llvm_cbe_tmp__891;
  llvm_cbe_tmp__892 = ((unsigned int )(bool )(llvm_cbe_tmp__891 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__892;
  llvm_cbe_tmp__893 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__891) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__893;
  llvm_cbe_tmp__894 = ((unsigned int )(bool )(llvm_cbe_tmp__891 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__894;
  llvm_cbe_tmp__895 = *(&WP);
  llvm_cbe_tmp__896 = ((unsigned int )(unsigned short )llvm_cbe_tmp__895);
  llvm_cbe_tmp__897 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__896) + ((unsigned int )14u)))))]));
  llvm_cbe_tmp__898 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__896) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__899 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__898)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__897)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__899;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__895;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__892;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__894;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__893;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__895;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__899;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__899;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7765:
  llvm_cbe__2e_lobit4071 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6605) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__888__PHI_TEMPORARY = llvm_cbe__2e_lobit4071;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5628;

llvm_cbe_tmp__7544:
  llvm_cbe_tmp__6588 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6589 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6588) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__6590 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6588) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__6591 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6589)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6590))))), llvm_cbe_tmp__6591);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6591 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6591) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6591 == ((unsigned char )0))));
  llvm_cbe_tmp__6592 = *(&WP);
  llvm_cbe_tmp__6593 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6592);
  llvm_cbe_tmp__6594 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6593) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__6595 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6593) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__6596 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6593) + ((unsigned int )2u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6595)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6594)) << ((unsigned short )8))))))), llvm_cbe_tmp__6596);
  llvm_cbe_tmp__6597 = *(&WP);
  llvm_cbe_tmp__6598 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6597);
  llvm_cbe_tmp__6599 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6598) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__6600 = (&RAM.array[((signed int )llvm_cbe_tmp__6599)]);
  llvm_cbe_tmp__6601 = *llvm_cbe_tmp__6600;
  llvm_cbe_tmp__6602 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6601)) << 8u;
  llvm_cbe_tmp__6603 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6599) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6604 = *llvm_cbe_tmp__6603;
  llvm_cbe_tmp__6605 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6602 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6604)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6600 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6605) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6603 = (((unsigned char )llvm_cbe_tmp__6605));
  llvm_cbe_tmp__6606 = ((unsigned short )llvm_cbe_tmp__6605);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6606 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6606) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6606 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6605) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6602 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7765;
  } else {
    llvm_cbe_tmp__888__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5628;
  }

llvm_cbe__2e__crit_edge5629:
  llvm_cbe_tmp__900 = llvm_cbe_tmp__900__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__900;
  llvm_cbe_tmp__901 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6617) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__902 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6617) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__903 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__901)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__902))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6617) + ((unsigned int )22u)))) & 65535u))])) = llvm_cbe_tmp__903;
  llvm_cbe_tmp__904 = ((unsigned int )(bool )(llvm_cbe_tmp__903 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__904;
  llvm_cbe_tmp__905 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__903) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__905;
  llvm_cbe_tmp__906 = ((unsigned int )(bool )(llvm_cbe_tmp__903 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__906;
  llvm_cbe_tmp__907 = *(&WP);
  llvm_cbe_tmp__908 = ((unsigned int )(unsigned short )llvm_cbe_tmp__907);
  llvm_cbe_tmp__909 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__908) + ((unsigned int )14u)))))]));
  llvm_cbe_tmp__910 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__908) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__911 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__910)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__909)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__911;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__907;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__904;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__906;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__905;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__907;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__911;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__911;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7766:
  llvm_cbe__2e_lobit4072 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6624) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__900__PHI_TEMPORARY = llvm_cbe__2e_lobit4072;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5629;

llvm_cbe_tmp__7545:
  llvm_cbe_tmp__6607 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6608 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6607) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6609 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6607) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6610 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6607) + ((unsigned int )2u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6609)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6608)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__6610);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6610 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6610) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6610 == ((unsigned char )0))));
  llvm_cbe_tmp__6611 = *(&WP);
  llvm_cbe_tmp__6612 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6611);
  llvm_cbe_tmp__6613 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6612) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6614 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6612) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6615 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6613)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6614)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__6615);
  llvm_cbe_tmp__6616 = *(&WP);
  llvm_cbe_tmp__6617 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6616);
  llvm_cbe_tmp__6618 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6617) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__6619 = (&RAM.array[((signed int )llvm_cbe_tmp__6618)]);
  llvm_cbe_tmp__6620 = *llvm_cbe_tmp__6619;
  llvm_cbe_tmp__6621 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6620)) << 8u;
  llvm_cbe_tmp__6622 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6618) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6623 = *llvm_cbe_tmp__6622;
  llvm_cbe_tmp__6624 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6621 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6623)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6619 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6624) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6622 = (((unsigned char )llvm_cbe_tmp__6624));
  llvm_cbe_tmp__6625 = ((unsigned short )llvm_cbe_tmp__6624);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6625 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6625) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6625 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6624) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6621 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7766;
  } else {
    llvm_cbe_tmp__900__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5629;
  }

llvm_cbe__2e__crit_edge5019:
  llvm_cbe__2e_pre6053_2e_rle6824 = llvm_cbe__2e_pre6053_2e_rle6824__PHI_TEMPORARY;
  llvm_cbe_tmp__1204 = llvm_cbe_tmp__1204__PHI_TEMPORARY;
  llvm_cbe_tmp__1205 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1204);
  llvm_cbe_tmp__1206 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1205) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__1207 = *((&RAM.array[((signed int )llvm_cbe_tmp__1206)]));
  llvm_cbe_tmp__1208 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1206) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1209 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1205) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1209)])) = llvm_cbe_tmp__1207;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1209) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1208;
  llvm_cbe_tmp__1210 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1205) + ((unsigned int )18u)))))]);
  llvm_cbe_tmp__1211 = *llvm_cbe_tmp__1210;
  llvm_cbe_tmp__1212 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1205) + ((unsigned int )19u)))))]);
  llvm_cbe_tmp__1213 = *llvm_cbe_tmp__1212;
  llvm_cbe_tmp__1214 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1213);
  llvm_cbe_tmp__1215 = llvm_cbe_tmp__1214 | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1211)) << 8u);
  *llvm_cbe_tmp__1210 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__1211) >> ((unsigned char )((unsigned char )1)))))));
  *llvm_cbe_tmp__1212 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1215) >> ((unsigned int )1u))))));
  llvm_cbe__2e_mask4125 = llvm_cbe_tmp__1215 & 65534u;
  llvm_cbe_tmp__1216 = ((unsigned int )(bool )(llvm_cbe__2e_mask4125 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__1216;
  *(&ST_AGT) = llvm_cbe_tmp__1216;
  llvm_cbe_tmp__1217 = ((unsigned int )(bool )(llvm_cbe__2e_mask4125 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__1217;
  *(&ST_C) = (llvm_cbe_tmp__1214 & 1u);
  llvm_cbe_tmp__1218 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1205) + ((unsigned int )24u)))))]));
  llvm_cbe_tmp__1219 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1205) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__1220 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1219)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1218)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__1220;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6824;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__1216;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__1217;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__1216;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__1204;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__1220;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__1220;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5017:
  llvm_cbe_tmp__1182 = llvm_cbe_tmp__1182__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1182;
  llvm_cbe_tmp__1183 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1173) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1184 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1173) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1185 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1183)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1184))))));
  *((&RAM.array[((signed int )33767u)])) = llvm_cbe_tmp__1185;
  llvm_cbe_tmp__1186 = *(&WP);
  llvm_cbe_tmp__1187 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1186);
  llvm_cbe_tmp__1188 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1187) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__1189 = *((&RAM.array[((signed int )llvm_cbe_tmp__1188)]));
  llvm_cbe_tmp__1190 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1188) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1191 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1187) + ((unsigned int )24u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1191)])) = llvm_cbe_tmp__1189;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1191) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1190;
  llvm_cbe_tmp__1192 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1187) + ((unsigned int )18u)))) & 65535u))]);
  llvm_cbe_tmp__1193 = *llvm_cbe_tmp__1192;
  llvm_cbe_tmp__1194 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1193);
  llvm_cbe_tmp__1195 = llvm_cbe_tmp__1194 << 1u;
  llvm_cbe_tmp__1196 = ((unsigned char )llvm_cbe_tmp__1195);
  *llvm_cbe_tmp__1192 = llvm_cbe_tmp__1196;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1196 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1196) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1196 == ((unsigned char )0))));
  llvm_cbe_tmp__1197 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1194) >> ((unsigned int )7u)));
  *(&ST_C) = llvm_cbe_tmp__1197;
  *(&ST_O) = ((((unsigned int )(((unsigned int )(llvm_cbe_tmp__1195 ^ llvm_cbe_tmp__1194)) >> ((unsigned int )7u)))) & 1u);
  if ((llvm_cbe_tmp__1197 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6824__PHI_TEMPORARY = llvm_cbe_tmp__1186;   /* for PHI node */
    llvm_cbe_tmp__1204__PHI_TEMPORARY = llvm_cbe_tmp__1186;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5019;
  } else {
    goto llvm_cbe_tmp__7767;
  }

llvm_cbe_tmp__7768:
  llvm_cbe_tmp__1168 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1167);
  llvm_cbe_tmp__1169 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1168) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1170 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1168) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1171 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1169)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1170))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1168) + ((unsigned int )6u)))) & 65535u))])) = llvm_cbe_tmp__1171;
  llvm_cbe_tmp__1172 = *(&WP);
  llvm_cbe_tmp__1173 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1172);
  llvm_cbe_tmp__1174 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1173) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__1175 = (&RAM.array[((signed int )llvm_cbe_tmp__1174)]);
  llvm_cbe_tmp__1176 = *llvm_cbe_tmp__1175;
  llvm_cbe_tmp__1177 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1176)) << 8u;
  llvm_cbe_tmp__1178 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1174) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1179 = *llvm_cbe_tmp__1178;
  llvm_cbe_tmp__1180 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1177 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1179)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__1175 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1180) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1178 = (((unsigned char )llvm_cbe_tmp__1180));
  llvm_cbe_tmp__1181 = ((unsigned short )llvm_cbe_tmp__1180);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1181 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1181) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1181 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1180) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1177 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7769;
  } else {
    llvm_cbe_tmp__1182__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5017;
  }

llvm_cbe__2e__crit_edge5015:
  llvm_cbe_tmp__1160 = llvm_cbe_tmp__1160__PHI_TEMPORARY;
  llvm_cbe_tmp__1161 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1160))) + ((unsigned int )18u)))) & 65535u))]);
  llvm_cbe_tmp__1162 = *llvm_cbe_tmp__1161;
  llvm_cbe_tmp__1163 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1162);
  llvm_cbe_tmp__1164 = llvm_cbe_tmp__1163 << 1u;
  llvm_cbe_tmp__1165 = ((unsigned char )llvm_cbe_tmp__1164);
  *llvm_cbe_tmp__1161 = llvm_cbe_tmp__1165;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1165 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1165) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1165 == ((unsigned char )0))));
  llvm_cbe_tmp__1166 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1163) >> ((unsigned int )7u)));
  *(&ST_C) = llvm_cbe_tmp__1166;
  *(&ST_O) = ((((unsigned int )(((unsigned int )(llvm_cbe_tmp__1164 ^ llvm_cbe_tmp__1163)) >> ((unsigned int )7u)))) & 1u);
  llvm_cbe_tmp__1167 = *(&WP);
  if ((llvm_cbe_tmp__1166 == 0u)) {
    goto llvm_cbe_tmp__7768;
  } else {
    llvm_cbe_tmp__1222__PHI_TEMPORARY = llvm_cbe_tmp__1167;   /* for PHI node */
    llvm_cbe_tmp__1223__PHI_TEMPORARY = llvm_cbe_tmp__1167;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5016;
  }

llvm_cbe_tmp__7770:
  llvm_cbe__2e_pre6053 = llvm_cbe__2e_pre6053__PHI_TEMPORARY;
  llvm_cbe_tmp__859 = llvm_cbe_tmp__859__PHI_TEMPORARY;
  llvm_cbe_tmp__860 = llvm_cbe_tmp__860__PHI_TEMPORARY;
  llvm_cbe_tmp__861 = llvm_cbe_tmp__861__PHI_TEMPORARY;
  llvm_cbe_tmp__862 = llvm_cbe_tmp__862__PHI_TEMPORARY;
  llvm_cbe_tmp__863 = llvm_cbe_tmp__863__PHI_TEMPORARY;
  llvm_cbe_tmp__864 = llvm_cbe_tmp__864__PHI_TEMPORARY;
  llvm_cbe_tmp__865 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__864))) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__865)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__865) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__866 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__863))) + ((unsigned int )19u)))))]));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__862))) + ((unsigned int )18u)))))])) = (((unsigned char )(llvm_cbe_tmp__866 << ((unsigned char )4))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__861))) + ((unsigned int )19u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__867 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__866)) << ((unsigned short )12)));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__867 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__867) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__867 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__866))) >> ((unsigned int )4u)))) & 1u);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__860))) + ((unsigned int )22u)))))])) = ((unsigned char )6);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__859))) + ((unsigned int )23u)))))])) = ((unsigned char )60);
  llvm_cbe_tmp__1160__PHI_TEMPORARY = llvm_cbe__2e_pre6053;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5015;

llvm_cbe_tmp__7771:
  llvm_cbe_tmp__848 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6515) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__849 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6515) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__850 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__849)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__848)) << ((unsigned short )8))))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6515) + ((unsigned int )16u)))) & 65535u))])) = llvm_cbe_tmp__850;
  llvm_cbe_tmp__851 = *(&WP);
  llvm_cbe_tmp__852 = ((unsigned int )(unsigned short )llvm_cbe_tmp__851);
  llvm_cbe_tmp__853 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__852) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__854 = *llvm_cbe_tmp__853;
  llvm_cbe_tmp__855 = ((unsigned int )(unsigned char )llvm_cbe_tmp__854);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__852) + ((unsigned int )8u)))))])) = (((unsigned char )(llvm_cbe_tmp__854 << ((unsigned char )7))));
  *llvm_cbe_tmp__853 = ((unsigned char )0);
  llvm_cbe__2e_lobit4038 = llvm_cbe_tmp__855 & 1u;
  *(&ST_LGT) = llvm_cbe__2e_lobit4038;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = (llvm_cbe__2e_lobit4038 ^ 1u);
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__855) >> ((unsigned int )1u)))) & 1u);
  llvm_cbe_tmp__856 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__852) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__857 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__852) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__858 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__856)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__857))))));
  *((&RAM.array[((signed int )33777u)])) = llvm_cbe_tmp__858;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__858 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__858) > ((signed char )((unsigned char )0)))));
  llvm_cbe__2e_pre6046 = *(&WP);
  llvm_cbe__2e_pre6053__PHI_TEMPORARY = llvm_cbe__2e_pre6046;   /* for PHI node */
  llvm_cbe_tmp__859__PHI_TEMPORARY = llvm_cbe__2e_pre6046;   /* for PHI node */
  llvm_cbe_tmp__860__PHI_TEMPORARY = llvm_cbe__2e_pre6046;   /* for PHI node */
  llvm_cbe_tmp__861__PHI_TEMPORARY = llvm_cbe__2e_pre6046;   /* for PHI node */
  llvm_cbe_tmp__862__PHI_TEMPORARY = llvm_cbe__2e_pre6046;   /* for PHI node */
  llvm_cbe_tmp__863__PHI_TEMPORARY = llvm_cbe__2e_pre6046;   /* for PHI node */
  llvm_cbe_tmp__864__PHI_TEMPORARY = llvm_cbe__2e_pre6046;   /* for PHI node */
  goto llvm_cbe_tmp__7770;

llvm_cbe_tmp__7541:
  llvm_cbe_tmp__6515 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6516 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6515) + ((unsigned int )28u)))) & 65535u))]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6515) + ((unsigned int )10u)))) & 65535u))])) = llvm_cbe_tmp__6516;
  llvm_cbe_tmp__6517 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6515) + ((unsigned int )18u)))))]);
  llvm_cbe_tmp__6518 = *llvm_cbe_tmp__6517;
  llvm_cbe_tmp__6519 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6518);
  *llvm_cbe_tmp__6517 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6515) + ((unsigned int )19u)))))])) = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__6518) >> ((unsigned char )((unsigned char )1)))))));
  llvm_cbe__2e_mask4041 = (llvm_cbe_tmp__6519 << 8u) & 65024u;
  llvm_cbe_tmp__6520 = ((unsigned int )(bool )(llvm_cbe__2e_mask4041 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__6520;
  *(&ST_AGT) = llvm_cbe_tmp__6520;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe__2e_mask4041 == 0u)));
  llvm_cbe_tmp__6521 = llvm_cbe_tmp__6519 & 1u;
  *(&ST_C) = llvm_cbe_tmp__6521;
  if ((llvm_cbe_tmp__6521 == 0u)) {
    goto llvm_cbe_tmp__7772;
  } else {
    goto llvm_cbe_tmp__7771;
  }

llvm_cbe_tmp__7542:
  llvm_cbe_tmp__6522 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6523 = *((&RAM.array[((signed int )llvm_cbe_tmp__6522)]));
  llvm_cbe_tmp__6524 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6522) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6525 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6523)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6524));
  llvm_cbe_tmp__6526 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6522) + ((unsigned int )16u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6526)])) = llvm_cbe_tmp__6523;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6526) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6524;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6525 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6525))) > ((signed short )((unsigned short )0)))));
  llvm_cbe__2e_pre6053__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__859__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__860__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__861__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__862__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__863__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__864__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__7770;

llvm_cbe__2e__crit_edge4986:
  llvm_cbe_tmp__876 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6527) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__877 = (&RAM.array[((signed int )llvm_cbe_tmp__876)]);
  llvm_cbe_tmp__878 = *llvm_cbe_tmp__877;
  llvm_cbe_tmp__879 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__876) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__880 = *llvm_cbe_tmp__879;
  llvm_cbe_tmp__881 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__878)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__880));
  llvm_cbe_tmp__882 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6527) + ((unsigned int )14u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__882)])) = llvm_cbe_tmp__878;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__882) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__880;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__881 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__881))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__881 == 0u)));
  *llvm_cbe_tmp__877 = ((unsigned char )0);
  *llvm_cbe_tmp__879 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6527) + ((unsigned int )22u)))))])) = ((unsigned char )6);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6527) + ((unsigned int )23u)))))])) = ((unsigned char )78);
  llvm_cbe_tmp__1160__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5015;

llvm_cbe__2e__crit_edge4987:
  llvm_cbe_tmp__875 = llvm_cbe_tmp__875__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__875;
  goto llvm_cbe__2e__crit_edge4986;

llvm_cbe_tmp__7773:
  llvm_cbe_tmp__868 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6527) + ((unsigned int )8u)))))]);
  llvm_cbe_tmp__869 = *llvm_cbe_tmp__868;
  llvm_cbe_tmp__870 = (((unsigned int )(unsigned char )llvm_cbe_tmp__869)) << 8u;
  llvm_cbe_tmp__871 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6527) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__872 = *llvm_cbe_tmp__871;
  llvm_cbe_tmp__873 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__872)) | llvm_cbe_tmp__870)) + ((unsigned int )3u)));
  *llvm_cbe_tmp__868 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__873) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__871 = (((unsigned char )llvm_cbe_tmp__873));
  llvm_cbe_tmp__874 = ((unsigned short )llvm_cbe_tmp__873);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__874 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__874) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__874 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__873) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__870 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7774;
  } else {
    llvm_cbe_tmp__875__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4987;
  }

llvm_cbe__2e__crit_edge5626:
  llvm_cbe_tmp__6527 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6528 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6527) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__6529 = *((&RAM.array[((signed int )llvm_cbe_tmp__6528)]));
  llvm_cbe_tmp__6530 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6528) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6531 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6527) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6531)])) = llvm_cbe_tmp__6529;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6531) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6530;
  llvm_cbe_tmp__6532 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6527) + ((unsigned int )18u)))) & 65535u))]);
  llvm_cbe_tmp__6533 = *llvm_cbe_tmp__6532;
  llvm_cbe_tmp__6534 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6533);
  llvm_cbe_tmp__6535 = llvm_cbe_tmp__6534 << 1u;
  llvm_cbe_tmp__6536 = ((unsigned char )llvm_cbe_tmp__6535);
  *llvm_cbe_tmp__6532 = llvm_cbe_tmp__6536;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6536 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6536) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6536 == ((unsigned char )0))));
  llvm_cbe_tmp__6537 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6534) >> ((unsigned int )7u)));
  *(&ST_C) = llvm_cbe_tmp__6537;
  *(&ST_O) = ((((unsigned int )(((unsigned int )(llvm_cbe_tmp__6535 ^ llvm_cbe_tmp__6534)) >> ((unsigned int )7u)))) & 1u);
  if ((llvm_cbe_tmp__6537 == 0u)) {
    goto llvm_cbe__2e__crit_edge4986;
  } else {
    goto llvm_cbe_tmp__7773;
  }

llvm_cbe_tmp__7774:
  llvm_cbe__2e_lobit4044 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__873) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__875__PHI_TEMPORARY = llvm_cbe__2e_lobit4044;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4987;

llvm_cbe_tmp__7769:
  llvm_cbe__2e_lobit4052 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1180) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1182__PHI_TEMPORARY = llvm_cbe__2e_lobit4052;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5017;

llvm_cbe__2e__crit_edge5635:
  llvm_cbe_tmp__1203 = llvm_cbe_tmp__1203__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1203;
  llvm_cbe__2e_pre6053_2e_rle6824__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__1204__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5019;

llvm_cbe_tmp__7775:
  llvm_cbe_tmp4122_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__6755 ^ llvm_cbe_tmp__6752)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1203__PHI_TEMPORARY = llvm_cbe_tmp4122_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5635;

llvm_cbe_tmp__7552:
  llvm_cbe_tmp__6745 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6746 = *((&RAM.array[((signed int )llvm_cbe_tmp__6745)]));
  llvm_cbe_tmp__6747 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6746)) << 8u;
  llvm_cbe_tmp__6748 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6745) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6749 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6745) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__6750 = (&RAM.array[((signed int )llvm_cbe_tmp__6749)]);
  llvm_cbe_tmp__6751 = *llvm_cbe_tmp__6750;
  llvm_cbe_tmp__6752 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6751)) << 8u;
  llvm_cbe_tmp__6753 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6749) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6754 = *llvm_cbe_tmp__6753;
  llvm_cbe_tmp__6755 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6752 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6754)))) + ((unsigned int )(llvm_cbe_tmp__6747 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6748))))));
  *llvm_cbe_tmp__6750 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6755) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6753 = (((unsigned char )llvm_cbe_tmp__6755));
  llvm_cbe_tmp__6756 = ((unsigned short )llvm_cbe_tmp__6755);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6756 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6756) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6756 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6755) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__6752 ^ llvm_cbe_tmp__6747) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7775;
  } else {
    llvm_cbe_tmp__1203__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5635;
  }

llvm_cbe_tmp__7776:
  llvm_cbe_tmp__1494 = llvm_cbe_tmp__1494__PHI_TEMPORARY;
  llvm_cbe_tmp__1495 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1494);
  llvm_cbe_tmp__1496 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1495) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__1497 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1495) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__1498 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1495) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1499 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1495) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1500 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1496)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1497)))))) + ((unsigned short )((unsigned short )-32000))))))));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1498)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1499)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1500);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1500 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1500) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1500 == ((unsigned char )0))));
  llvm_cbe_tmp__1501 = *(&WP);
  llvm_cbe_tmp__1502 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1501);
  llvm_cbe_tmp__1503 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1502) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__1504 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1502) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__1505 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1502) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1506 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1502) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1507 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1503)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1504)))))) + ((unsigned short )((unsigned short )-31999))))))));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1505)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1506)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1507);
  llvm_cbe_tmp__1508 = ((unsigned int )(bool )(llvm_cbe_tmp__1507 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1508;
  llvm_cbe_tmp__1509 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1507) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__1509;
  llvm_cbe_tmp__1510 = ((unsigned int )(bool )(llvm_cbe_tmp__1507 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__1510;
  llvm_cbe_tmp__1511 = *(&WP);
  llvm_cbe_tmp__1512 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1511);
  llvm_cbe_tmp__1513 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1512) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__1514 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1512) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__1515 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1514)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1513)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__1515;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__1511;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__1508;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__1510;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__1509;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__1511;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__1515;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__1515;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge4943:
  llvm_cbe_tmp__207 = llvm_cbe_tmp__207__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__207;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6148) + ((unsigned int )22u)))))])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6148) + ((unsigned int )23u)))))])) = ((unsigned char )94);
  llvm_cbe_tmp__1494__PHI_TEMPORARY = llvm_cbe_tmp__6147;   /* for PHI node */
  goto llvm_cbe_tmp__7776;

llvm_cbe__2e__crit_edge5613:
  llvm_cbe_tmp__198 = llvm_cbe_tmp__198__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__198;
  llvm_cbe_tmp__199 = llvm_cbe_tmp__6154 & 65535u;
  llvm_cbe_tmp__200 = (&RAM.array[((signed int )llvm_cbe_tmp__199)]);
  llvm_cbe_tmp__201 = *llvm_cbe_tmp__200;
  llvm_cbe_tmp__202 = (((unsigned int )(unsigned char )llvm_cbe_tmp__201)) << 8u;
  llvm_cbe_tmp__203 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__199) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__204 = *llvm_cbe_tmp__203;
  llvm_cbe_tmp__205 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__202 | (((unsigned int )(unsigned char )llvm_cbe_tmp__204)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__200 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__205) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__203 = (((unsigned char )llvm_cbe_tmp__205));
  llvm_cbe_tmp__206 = ((unsigned short )llvm_cbe_tmp__205);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__206 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__206) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__206 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__205) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__202 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7777;
  } else {
    llvm_cbe_tmp__207__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4943;
  }

llvm_cbe_tmp__7778:
  llvm_cbe__2e_lobit3871 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6163) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__198__PHI_TEMPORARY = llvm_cbe__2e_lobit3871;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5613;

llvm_cbe_tmp__7510:
  llvm_cbe_tmp__6143 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6144 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6143) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6145 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6143) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6146 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6144)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6145))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6143) + ((unsigned int )4u)))) & 65535u))])) = llvm_cbe_tmp__6146;
  llvm_cbe_tmp__6147 = *(&WP);
  llvm_cbe_tmp__6148 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6147);
  llvm_cbe_tmp__6149 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6148) + ((unsigned int )4u)))))]);
  llvm_cbe_tmp__6150 = *llvm_cbe_tmp__6149;
  llvm_cbe_tmp__6151 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6148) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__6152 = *llvm_cbe_tmp__6151;
  llvm_cbe_tmp__6153 = ((signed int )(signed short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6150)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6152))))));
  *llvm_cbe_tmp__6149 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6153) >> ((unsigned int )16u))))));
  *llvm_cbe_tmp__6151 = (((unsigned char )(((signed int )(((signed int )llvm_cbe_tmp__6153) >> ((signed int )8u))))));
  llvm_cbe_tmp__6154 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6148) + ((unsigned int )8u)));
  llvm_cbe_tmp__6155 = *((&RAM.array[((signed int )llvm_cbe_tmp__6154)]));
  llvm_cbe_tmp__6156 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6148) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__6157 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6156)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6155)) << 8u))) + ((unsigned int )33536u)));
  llvm_cbe_tmp__6158 = (&RAM.array[((signed int )(llvm_cbe_tmp__6157 & 65534u))]);
  llvm_cbe_tmp__6159 = *llvm_cbe_tmp__6158;
  llvm_cbe_tmp__6160 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6159)) << 8u;
  llvm_cbe_tmp__6161 = (&RAM.array[((signed int )((llvm_cbe_tmp__6157 | 1u) & 65535u))]);
  llvm_cbe_tmp__6162 = *llvm_cbe_tmp__6161;
  llvm_cbe_tmp__6163 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6160 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6162)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6158 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6163) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6161 = (((unsigned char )llvm_cbe_tmp__6163));
  llvm_cbe_tmp__6164 = ((unsigned short )llvm_cbe_tmp__6163);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6164 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6164) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6164 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6163) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6160 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7778;
  } else {
    llvm_cbe_tmp__198__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5613;
  }

llvm_cbe_tmp__7777:
  llvm_cbe__2e_lobit3870 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__205) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__207__PHI_TEMPORARY = llvm_cbe__2e_lobit3870;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4943;

llvm_cbe__2e__crit_edge5036:
  llvm_cbe_tmp__1493 = llvm_cbe_tmp__1493__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1493;
  llvm_cbe_tmp__1494__PHI_TEMPORARY = llvm_cbe__2e_rle5996;   /* for PHI node */
  goto llvm_cbe_tmp__7776;

llvm_cbe_tmp__7779:
  llvm_cbe__2e_rle5996 = llvm_cbe__2e_rle5996__PHI_TEMPORARY;
  llvm_cbe_tmp__1488 = *((&RAM.array[((signed int )33650u)]));
  llvm_cbe_tmp__1489 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1488)) << 8u;
  llvm_cbe_tmp__1490 = *((&RAM.array[((signed int )33651u)]));
  llvm_cbe_tmp__1491 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1489 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1490)))) + ((unsigned int )4294967294u)));
  *((&RAM.array[((signed int )33650u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1491) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33651u)])) = (((unsigned char )llvm_cbe_tmp__1491));
  llvm_cbe_tmp__1492 = ((unsigned short )llvm_cbe_tmp__1491);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1492 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1492) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1492 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__1491) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__1489 & 32768u) == 0u)) {
    llvm_cbe_tmp__1493__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5036;
  } else {
    goto llvm_cbe_tmp__7780;
  }

llvm_cbe__2e__crit_edge5612:
  llvm_cbe_tmp__197 = llvm_cbe_tmp__197__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__197;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6134) + ((unsigned int )22u)))))])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6134) + ((unsigned int )23u)))))])) = ((unsigned char )80);
  llvm_cbe__2e_rle5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__7779;

llvm_cbe_tmp__7781:
  llvm_cbe_tmp3869 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6141) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__197__PHI_TEMPORARY = llvm_cbe_tmp3869;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5612;

llvm_cbe_tmp__7509:
  llvm_cbe_tmp__6134 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6135 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6134) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__6136 = (&RAM.array[((signed int )llvm_cbe_tmp__6135)]);
  llvm_cbe_tmp__6137 = *llvm_cbe_tmp__6136;
  llvm_cbe_tmp__6138 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6137)) << 8u;
  llvm_cbe_tmp__6139 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6135) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6140 = *llvm_cbe_tmp__6139;
  llvm_cbe_tmp__6141 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6138 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6140)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__6136 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6141) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6139 = (((unsigned char )llvm_cbe_tmp__6141));
  llvm_cbe_tmp__6142 = ((unsigned short )llvm_cbe_tmp__6141);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6142 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6142) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6142 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__6141) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__6138 & 32768u) == 0u)) {
    llvm_cbe_tmp__197__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5612;
  } else {
    goto llvm_cbe_tmp__7781;
  }

llvm_cbe_tmp__7782:
  llvm_cbe_tmp__1478 = llvm_cbe_tmp__1478__PHI_TEMPORARY;
  llvm_cbe_tmp__1479 = llvm_cbe_tmp__1479__PHI_TEMPORARY;
  llvm_cbe_tmp__1480 = llvm_cbe_tmp__1480__PHI_TEMPORARY;
  llvm_cbe_tmp__1481 = llvm_cbe_tmp__1481__PHI_TEMPORARY;
  llvm_cbe_tmp__1482 = *((&RAM.array[((signed int )33651u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1481))) + ((unsigned int )8u)))) & 65535u))])) = llvm_cbe_tmp__1482;
  llvm_cbe_tmp__1483 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1480);
  llvm_cbe_tmp__1484 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1483) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__1485 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1483) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__1486 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1484)) << ((unsigned short )8)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1479))) + ((unsigned int )8u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1478))) + ((unsigned int )9u)))))])) = llvm_cbe_tmp__1484;
  llvm_cbe_tmp__1487 = ((unsigned int )(bool )(llvm_cbe_tmp__1486 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1487;
  *(&ST_AGT) = llvm_cbe_tmp__1487;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1486 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1485))) >> ((unsigned int )7u))));
  llvm_cbe__2e_rle5996__PHI_TEMPORARY = llvm_cbe_tmp__1478;   /* for PHI node */
  goto llvm_cbe_tmp__7779;

llvm_cbe__2e__crit_edge4992:
  llvm_cbe__2e_pre6071 = llvm_cbe__2e_pre6071__PHI_TEMPORARY;
  llvm_cbe__2e_pre6070 = llvm_cbe__2e_pre6070__PHI_TEMPORARY;
  llvm_cbe__2e_pre6069 = llvm_cbe__2e_pre6069__PHI_TEMPORARY;
  llvm_cbe__2e_pre6068 = llvm_cbe__2e_pre6068__PHI_TEMPORARY;
  llvm_cbe_tmp__1476 = llvm_cbe_tmp__1476__PHI_TEMPORARY;
  llvm_cbe_tmp__1477 = llvm_cbe_tmp__1477__PHI_TEMPORARY;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1477))) + ((unsigned int )22u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1476))) + ((unsigned int )23u)))))])) = ((unsigned char )112);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__1478__PHI_TEMPORARY = llvm_cbe__2e_pre6071;   /* for PHI node */
  llvm_cbe_tmp__1479__PHI_TEMPORARY = llvm_cbe__2e_pre6070;   /* for PHI node */
  llvm_cbe_tmp__1480__PHI_TEMPORARY = llvm_cbe__2e_pre6069;   /* for PHI node */
  llvm_cbe_tmp__1481__PHI_TEMPORARY = llvm_cbe__2e_pre6068;   /* for PHI node */
  goto llvm_cbe_tmp__7782;

llvm_cbe__2e__crit_edge5014:
  llvm_cbe__2e_pre6068_2e_rle6975 = llvm_cbe__2e_pre6068_2e_rle6975__PHI_TEMPORARY;
  llvm_cbe_tmp__1158 = llvm_cbe_tmp__1158__PHI_TEMPORARY;
  llvm_cbe_tmp__1159 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1158))) + ((unsigned int )4u)))) & 65535u))]));
  *((&RAM.array[((signed int )33660u)])) = llvm_cbe_tmp__1159;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1159 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1159) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1159 == ((unsigned char )0))));
  llvm_cbe__2e_pre6071__PHI_TEMPORARY = llvm_cbe__2e_pre6068_2e_rle6975;   /* for PHI node */
  llvm_cbe__2e_pre6070__PHI_TEMPORARY = llvm_cbe__2e_pre6068_2e_rle6975;   /* for PHI node */
  llvm_cbe__2e_pre6069__PHI_TEMPORARY = llvm_cbe__2e_pre6068_2e_rle6975;   /* for PHI node */
  llvm_cbe__2e_pre6068__PHI_TEMPORARY = llvm_cbe__2e_pre6068_2e_rle6975;   /* for PHI node */
  llvm_cbe_tmp__1476__PHI_TEMPORARY = llvm_cbe_tmp__1158;   /* for PHI node */
  llvm_cbe_tmp__1477__PHI_TEMPORARY = llvm_cbe_tmp__1158;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4992;

llvm_cbe__2e__crit_edge5011:
  llvm_cbe_tmp__1136 = llvm_cbe_tmp__1136__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1136;
  llvm_cbe_tmp__1137 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1128) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1138 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1128) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1139 = *((&RAM.array[((signed int )33765u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1137)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1138)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1139);
  llvm_cbe_tmp__1140 = *(&WP);
  llvm_cbe_tmp__1141 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1140);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1141) + ((unsigned int )4u)))))])) = ((unsigned char )32);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1141) + ((unsigned int )5u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__1142 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1141) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1143 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1141) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1144 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1142)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1143))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1141) + ((unsigned int )6u)))) & 65535u))])) = llvm_cbe_tmp__1144;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1144 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1144) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1144 == ((unsigned char )0))));
  llvm_cbe_tmp__1145 = *(&WP);
  llvm_cbe_tmp__1146 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1145);
  llvm_cbe_tmp__1147 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1146) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1148 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1147)) & 15u;
  llvm_cbe_tmp__1149 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1146) + ((unsigned int )6u)))))]);
  llvm_cbe_tmp__1150 = *llvm_cbe_tmp__1149;
  llvm_cbe_tmp__1151 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1146) + ((unsigned int )7u)))))]);
  llvm_cbe_tmp__1152 = *llvm_cbe_tmp__1151;
  llvm_cbe_tmp__1153 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1152)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1150)) << 8u)) << ((((llvm_cbe_tmp__1148 == 0u)) ? (16u) : (llvm_cbe_tmp__1148)));
  *llvm_cbe_tmp__1149 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1153) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1151 = (((unsigned char )llvm_cbe_tmp__1153));
  llvm_cbe_tmp__1154 = ((unsigned short )llvm_cbe_tmp__1153);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1154 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1154) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1154 == ((unsigned short )0))));
  llvm_cbe_tmp__1155 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1153) >> ((unsigned int )16u)))) & 1u;
  *(&ST_C) = llvm_cbe_tmp__1155;
  if ((llvm_cbe_tmp__1155 == 0u)) {
    llvm_cbe__2e_pre6068_2e_rle6977__PHI_TEMPORARY = llvm_cbe_tmp__1145;   /* for PHI node */
    llvm_cbe_tmp__1156__PHI_TEMPORARY = llvm_cbe_tmp__1145;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4999;
  } else {
    llvm_cbe__2e_pre6068_2e_rle6975__PHI_TEMPORARY = llvm_cbe_tmp__1145;   /* for PHI node */
    llvm_cbe_tmp__1158__PHI_TEMPORARY = llvm_cbe_tmp__1145;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5014;
  }

llvm_cbe__2e__crit_edge5010:
  llvm_cbe_tmp__1108 = llvm_cbe_tmp__1108__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1108;
  llvm_cbe_tmp__1109 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__6737) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__1110 = (&RAM.array[((signed int )llvm_cbe_tmp__1109)]);
  llvm_cbe_tmp__1111 = *llvm_cbe_tmp__1110;
  llvm_cbe_tmp__1112 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1109) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1113 = *llvm_cbe_tmp__1112;
  llvm_cbe_tmp__1114 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1111)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1113));
  *llvm_cbe_tmp__1110 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1114) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__1115 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__1113) + ((unsigned char )((unsigned char )2))))));
  *llvm_cbe_tmp__1112 = llvm_cbe_tmp__1115;
  llvm_cbe_tmp__1116 = *llvm_cbe_tmp__1110;
  llvm_cbe_tmp__1117 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1116)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1115));
  *llvm_cbe_tmp__1110 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1117) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1112 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__1113) + ((unsigned char )((unsigned char )4)))))));
  llvm_cbe_tmp__1118 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1114 & 65534u))]));
  llvm_cbe_tmp__1119 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1114 | 1u))]));
  llvm_cbe_tmp__1120 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1117 & 65534u))]));
  llvm_cbe_tmp__1121 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1117 | 1u))]));
  llvm_cbe_tmp__1122 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1118)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1119))));
  llvm_cbe_tmp__1123 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1120)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1121))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__1122) > ((unsigned short )llvm_cbe_tmp__1123))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1122) > ((signed short )llvm_cbe_tmp__1123))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1122 == llvm_cbe_tmp__1123)));
  llvm_cbe_tmp__1124 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1125 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1126 = *llvm_cbe_tmp__1046;
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1125)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1124)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1126);
  llvm_cbe_tmp__1127 = *(&WP);
  llvm_cbe_tmp__1128 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1127);
  llvm_cbe_tmp__1129 = (&RAM.array[((signed int )llvm_cbe_tmp__1128)]);
  llvm_cbe_tmp__1130 = *llvm_cbe_tmp__1129;
  llvm_cbe_tmp__1131 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1130)) << 8u;
  llvm_cbe_tmp__1132 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1128) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1133 = *llvm_cbe_tmp__1132;
  llvm_cbe_tmp__1134 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1131 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1133)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__1129 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1134) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1132 = (((unsigned char )llvm_cbe_tmp__1134));
  llvm_cbe_tmp__1135 = ((unsigned short )llvm_cbe_tmp__1134);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1135 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1135) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1135 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1134) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1131 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7783;
  } else {
    llvm_cbe_tmp__1136__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5011;
  }

llvm_cbe__2e__crit_edge5009:
  llvm_cbe_tmp__1095 = llvm_cbe_tmp__1095__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1095;
  llvm_cbe_tmp__1096 = *llvm_cbe_tmp__1083;
  llvm_cbe_tmp__1097 = *llvm_cbe_tmp__1085;
  llvm_cbe_tmp__1098 = ((signed int )(signed short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1096)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1097))))));
  *llvm_cbe_tmp__1083 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1098) >> ((unsigned int )11u))))));
  *llvm_cbe_tmp__1085 = (((unsigned char )(((signed int )(((signed int )llvm_cbe_tmp__1098) >> ((signed int )3u))))));
  llvm_cbe_tmp__1099 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__1100 = *((&RAM.array[((signed int )llvm_cbe_tmp__1099)]));
  llvm_cbe_tmp__1101 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1100)) << 8u;
  llvm_cbe_tmp__1102 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1099) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1103 = *llvm_cbe_tmp__1046;
  llvm_cbe_tmp__1104 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1103)) << 8u;
  llvm_cbe_tmp__1105 = *llvm_cbe_tmp__1076;
  llvm_cbe_tmp__1106 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1104 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1105)))) + ((unsigned int )(llvm_cbe_tmp__1101 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1102))))));
  *llvm_cbe_tmp__1046 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1106) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1076 = (((unsigned char )llvm_cbe_tmp__1106));
  llvm_cbe_tmp__1107 = ((unsigned short )llvm_cbe_tmp__1106);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1107 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1107) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1107 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1106) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__1104 ^ llvm_cbe_tmp__1101) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7784;
  } else {
    llvm_cbe_tmp__1108__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5010;
  }

llvm_cbe__2e__crit_edge5008:
  llvm_cbe_tmp__1081 = llvm_cbe_tmp__1081__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1081;
  llvm_cbe_tmp__1082 = *llvm_cbe_tmp__1046;
  *llvm_cbe_tmp__6739 = llvm_cbe_tmp__1082;
  *llvm_cbe_tmp__6741 = llvm_cbe_tmp__1079;
  llvm_cbe_tmp__1083 = (&RAM.array[((signed int )llvm_cbe_tmp__1044)]);
  llvm_cbe_tmp__1084 = *llvm_cbe_tmp__1083;
  llvm_cbe_tmp__1085 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__1086 = *llvm_cbe_tmp__1085;
  *llvm_cbe_tmp__1083 = llvm_cbe_tmp__1084;
  *llvm_cbe_tmp__1085 = (((unsigned char )((((unsigned int )(unsigned char )llvm_cbe_tmp__1086)) & 248u)));
  llvm_cbe_tmp__1087 = *llvm_cbe_tmp__1046;
  llvm_cbe_tmp__1088 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1087)) << 8u;
  llvm_cbe_tmp__1089 = *llvm_cbe_tmp__1076;
  llvm_cbe_tmp__1090 = *llvm_cbe_tmp__6739;
  llvm_cbe_tmp__1091 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1090)) << 8u;
  llvm_cbe_tmp__1092 = *llvm_cbe_tmp__6741;
  llvm_cbe_tmp__1093 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1091 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1092)))) - ((unsigned int )(llvm_cbe_tmp__1088 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1089))))));
  *llvm_cbe_tmp__6739 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1093) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6741 = (((unsigned char )llvm_cbe_tmp__1093));
  llvm_cbe_tmp__1094 = ((unsigned short )llvm_cbe_tmp__1093);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1094 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1094) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1094 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__1093) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__1091 ^ llvm_cbe_tmp__1088) & 32768u) == 0u)) {
    llvm_cbe_tmp__1095__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5009;
  } else {
    goto llvm_cbe_tmp__7785;
  }

llvm_cbe__2e__crit_edge5007:
  llvm_cbe_tmp__1061 = llvm_cbe_tmp__1061__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1061;
  llvm_cbe_tmp__1062 = (&RAM.array[((signed int )llvm_cbe_tmp__1035)]);
  llvm_cbe_tmp__1063 = *llvm_cbe_tmp__1062;
  *llvm_cbe_tmp__1062 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )7u)))))])) = llvm_cbe_tmp__1063;
  llvm_cbe_tmp__1064 = *llvm_cbe_tmp__1051;
  llvm_cbe_tmp__1065 = *llvm_cbe_tmp__1057;
  llvm_cbe_tmp__1066 = *llvm_cbe_tmp__1038;
  llvm_cbe_tmp__1067 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1037) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1068 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__1066)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1067)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__1064)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1065))))));
  *llvm_cbe_tmp__1051 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1068) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__1057 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1068) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1050) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1068) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1050) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__1068));
  llvm_cbe_tmp__1069 = (&RAM.array[((signed int )llvm_cbe_tmp__1026)]);
  llvm_cbe_tmp__1070 = *llvm_cbe_tmp__1069;
  *llvm_cbe_tmp__1069 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )17u)))))])) = llvm_cbe_tmp__1070;
  llvm_cbe_tmp__1071 = *llvm_cbe_tmp__1029;
  llvm_cbe_tmp__1072 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1071)) << 8u;
  llvm_cbe_tmp__1073 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1028) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1074 = *llvm_cbe_tmp__1046;
  llvm_cbe_tmp__1075 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1074)) << 8u;
  llvm_cbe_tmp__1076 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1045) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1077 = *llvm_cbe_tmp__1076;
  llvm_cbe_tmp__1078 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1075 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1077)))) + ((unsigned int )(llvm_cbe_tmp__1072 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1073))))));
  *llvm_cbe_tmp__1046 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1078) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__1079 = ((unsigned char )llvm_cbe_tmp__1078);
  *llvm_cbe_tmp__1076 = llvm_cbe_tmp__1079;
  llvm_cbe_tmp__1080 = ((unsigned short )llvm_cbe_tmp__1078);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1080 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1080) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1080 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1078) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__1075 ^ llvm_cbe_tmp__1072) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7786;
  } else {
    llvm_cbe_tmp__1081__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5008;
  }

llvm_cbe_tmp__7787:
  llvm_cbe_tmp__1053 = (&RAM.array[((signed int )llvm_cbe_tmp__1048)]);
  llvm_cbe_tmp__1054 = *llvm_cbe_tmp__1053;
  *llvm_cbe_tmp__1053 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )3u)))))])) = llvm_cbe_tmp__1054;
  llvm_cbe_tmp__1055 = *llvm_cbe_tmp__1051;
  llvm_cbe_tmp__1056 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1055)) << 8u;
  llvm_cbe_tmp__1057 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1050) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1058 = *llvm_cbe_tmp__1057;
  llvm_cbe_tmp__1059 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1056 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1058)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__1051 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1059) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1057 = (((unsigned char )llvm_cbe_tmp__1059));
  llvm_cbe_tmp__1060 = ((unsigned short )llvm_cbe_tmp__1059);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1060 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1060) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1060 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1059) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1056 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7788;
  } else {
    llvm_cbe_tmp__1061__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5007;
  }

llvm_cbe_tmp__7789:
  llvm_cbe_tmp__1048 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )2u)));
  llvm_cbe_tmp__1049 = *llvm_cbe_tmp__1029;
  llvm_cbe_tmp__1050 = llvm_cbe_tmp__1048 & 65535u;
  llvm_cbe_tmp__1051 = (&RAM.array[((signed int )llvm_cbe_tmp__1050)]);
  llvm_cbe_tmp__1052 = *llvm_cbe_tmp__1051;
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__1049) > ((unsigned char )llvm_cbe_tmp__1052))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1049) > ((signed char )llvm_cbe_tmp__1052))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1049 == llvm_cbe_tmp__1052)));
  if ((((signed char )llvm_cbe_tmp__1049) > ((signed char )llvm_cbe_tmp__1052))) {
    llvm_cbe__2e_pre6068_2e_rle6977__PHI_TEMPORARY = llvm_cbe_tmp__6737;   /* for PHI node */
    llvm_cbe_tmp__1156__PHI_TEMPORARY = llvm_cbe_tmp__6737;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4999;
  } else {
    goto llvm_cbe_tmp__7787;
  }

llvm_cbe__2e__crit_edge5002:
  llvm_cbe_tmp__1044 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )4u)));
  llvm_cbe_tmp__1045 = llvm_cbe_tmp__1044 & 65535u;
  llvm_cbe_tmp__1046 = (&RAM.array[((signed int )llvm_cbe_tmp__1045)]);
  llvm_cbe_tmp__1047 = *llvm_cbe_tmp__1046;
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__1042) > ((unsigned char )llvm_cbe_tmp__1047))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1042) > ((signed char )llvm_cbe_tmp__1047))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1042 == llvm_cbe_tmp__1047)));
  if ((((signed char )llvm_cbe_tmp__1042) > ((signed char )llvm_cbe_tmp__1047))) {
    llvm_cbe__2e_pre6068_2e_rle6977__PHI_TEMPORARY = llvm_cbe_tmp__6737;   /* for PHI node */
    llvm_cbe_tmp__1156__PHI_TEMPORARY = llvm_cbe_tmp__6737;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4999;
  } else {
    goto llvm_cbe_tmp__7789;
  }

llvm_cbe__2e__crit_edge5001:
  llvm_cbe_tmp__1043 = llvm_cbe_tmp__1043__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1043;
  if (((((((signed char )llvm_cbe_tmp__1042) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__1042 == ((unsigned char )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5002;
  } else {
    llvm_cbe__2e_pre6068_2e_rle6977__PHI_TEMPORARY = llvm_cbe_tmp__6737;   /* for PHI node */
    llvm_cbe_tmp__1156__PHI_TEMPORARY = llvm_cbe_tmp__6737;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4999;
  }

llvm_cbe__2e__crit_edge4998:
  llvm_cbe_tmp__1035 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )6u)));
  llvm_cbe_tmp__1036 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )12u)))) & 65535u))]));
  llvm_cbe_tmp__1037 = llvm_cbe_tmp__1035 & 65535u;
  llvm_cbe_tmp__1038 = (&RAM.array[((signed int )llvm_cbe_tmp__1037)]);
  llvm_cbe_tmp__1039 = *llvm_cbe_tmp__1038;
  llvm_cbe_tmp__1040 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1039);
  llvm_cbe_tmp__1041 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1040) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1036)))));
  llvm_cbe_tmp__1042 = ((unsigned char )llvm_cbe_tmp__1041);
  *llvm_cbe_tmp__1038 = llvm_cbe_tmp__1042;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1042 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1042) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1042 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1041) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__1039 ^ llvm_cbe_tmp__1036))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7790;
  } else {
    llvm_cbe_tmp__1043__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5001;
  }

llvm_cbe__2e__crit_edge4997:
  llvm_cbe_tmp__1034 = llvm_cbe_tmp__1034__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1034;
  if (((((((signed char )llvm_cbe_tmp__1033) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__1033 == ((unsigned char )0)))&1))) {
    goto llvm_cbe__2e__crit_edge4998;
  } else {
    llvm_cbe__2e_pre6068_2e_rle6977__PHI_TEMPORARY = llvm_cbe_tmp__6737;   /* for PHI node */
    llvm_cbe_tmp__1156__PHI_TEMPORARY = llvm_cbe_tmp__6737;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4999;
  }

llvm_cbe__2e__crit_edge5634:
  llvm_cbe_tmp__1026 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )16u)));
  llvm_cbe_tmp__1027 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )14u)))) & 65535u))]));
  llvm_cbe_tmp__1028 = llvm_cbe_tmp__1026 & 65535u;
  llvm_cbe_tmp__1029 = (&RAM.array[((signed int )llvm_cbe_tmp__1028)]);
  llvm_cbe_tmp__1030 = *llvm_cbe_tmp__1029;
  llvm_cbe_tmp__1031 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1030);
  llvm_cbe_tmp__1032 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1031) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1027)))));
  llvm_cbe_tmp__1033 = ((unsigned char )llvm_cbe_tmp__1032);
  *llvm_cbe_tmp__1029 = llvm_cbe_tmp__1033;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1033 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1033) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1033 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1032) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__1030 ^ llvm_cbe_tmp__1027))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7791;
  } else {
    llvm_cbe_tmp__1034__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4997;
  }

llvm_cbe__2e__crit_edge4995:
  llvm_cbe_tmp__1007 = llvm_cbe_tmp__6743 & 15u;
  llvm_cbe_tmp__1008 = (((llvm_cbe_tmp__1007 == 0u)) ? (16u) : (llvm_cbe_tmp__1007));
  llvm_cbe_tmp__1009 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )6u)))))]);
  llvm_cbe_tmp__1010 = *llvm_cbe_tmp__1009;
  llvm_cbe_tmp__1011 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )7u)))))]);
  llvm_cbe_tmp__1012 = *llvm_cbe_tmp__1011;
  llvm_cbe_tmp__1013 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1012)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1010)) << 8u);
  llvm_cbe_tmp__1014 = ((signed int )(((signed int )(((signed int )(signed short )(((unsigned short )llvm_cbe_tmp__1013))))) >> ((signed int )llvm_cbe_tmp__1008)));
  *llvm_cbe_tmp__1009 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1014) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1011 = (((unsigned char )llvm_cbe_tmp__1014));
  llvm_cbe_tmp__1015 = ((unsigned short )llvm_cbe_tmp__1014);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1015 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1015) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1015 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1013) >> ((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1008) + ((unsigned int )4294967295u)))))))) & 1u);
  llvm_cbe_tmp__1016 = *llvm_cbe_tmp__6741;
  llvm_cbe_tmp__1017 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1016)) & 15u;
  llvm_cbe_tmp__1018 = (((llvm_cbe_tmp__1017 == 0u)) ? (16u) : (llvm_cbe_tmp__1017));
  llvm_cbe_tmp__1019 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )16u)))))]);
  llvm_cbe_tmp__1020 = *llvm_cbe_tmp__1019;
  llvm_cbe_tmp__1021 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__1022 = *llvm_cbe_tmp__1021;
  llvm_cbe_tmp__1023 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1022)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1020)) << 8u);
  llvm_cbe_tmp__1024 = ((signed int )(((signed int )(((signed int )(signed short )(((unsigned short )llvm_cbe_tmp__1023))))) >> ((signed int )llvm_cbe_tmp__1018)));
  *llvm_cbe_tmp__1019 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1024) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1021 = (((unsigned char )llvm_cbe_tmp__1024));
  llvm_cbe_tmp__1025 = ((unsigned short )llvm_cbe_tmp__1024);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1025 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1025) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1025 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1023) >> ((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1018) + ((unsigned int )4294967295u)))))))) & 1u);
  goto llvm_cbe__2e__crit_edge5634;

llvm_cbe_tmp__7551:
  llvm_cbe_tmp__6698 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6699 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6698) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6700 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6698) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6701 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6698) + ((unsigned int )10u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6700)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6699)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__6701);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6701 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6701) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6701 == ((unsigned char )0))));
  llvm_cbe_tmp__6702 = *(&WP);
  llvm_cbe_tmp__6703 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6702);
  llvm_cbe_tmp__6704 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6703) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__6705 = (&RAM.array[((signed int )llvm_cbe_tmp__6704)]);
  llvm_cbe_tmp__6706 = *llvm_cbe_tmp__6705;
  llvm_cbe_tmp__6707 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6704) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6708 = *llvm_cbe_tmp__6707;
  *llvm_cbe_tmp__6705 = llvm_cbe_tmp__6708;
  *llvm_cbe_tmp__6707 = llvm_cbe_tmp__6706;
  llvm_cbe_tmp__6709 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6703) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6710 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6703) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6711 = *llvm_cbe_tmp__6705;
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6710)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6709)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__6711);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6711 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6711) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6711 == ((unsigned char )0))));
  llvm_cbe_tmp__6712 = *(&WP);
  llvm_cbe_tmp__6713 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6712);
  llvm_cbe_tmp__6714 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6713) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__6715 = (&RAM.array[((signed int )llvm_cbe_tmp__6714)]);
  llvm_cbe_tmp__6716 = *llvm_cbe_tmp__6715;
  llvm_cbe_tmp__6717 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6714) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6718 = *llvm_cbe_tmp__6717;
  *llvm_cbe_tmp__6715 = llvm_cbe_tmp__6718;
  *llvm_cbe_tmp__6717 = llvm_cbe_tmp__6716;
  llvm_cbe_tmp__6719 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6713) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6720 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6713) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6721 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6719)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6720))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6713) + ((unsigned int )4u)))) & 65535u))])) = llvm_cbe_tmp__6721;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6721 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6721) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6721 == ((unsigned char )0))));
  llvm_cbe_tmp__6722 = *(&WP);
  llvm_cbe_tmp__6723 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6722);
  llvm_cbe_tmp__6724 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6723) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6725 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6723) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6726 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6724)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6725))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6723) + ((unsigned int )2u)))) & 65535u))])) = llvm_cbe_tmp__6726;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6726 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6726) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6726 == ((unsigned char )0))));
  llvm_cbe_tmp__6727 = *(&WP);
  llvm_cbe_tmp__6728 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6727);
  llvm_cbe_tmp__6729 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6728) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6730 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6728) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6731 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6729)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6730))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6728) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__6731;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6731 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6731) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6731 == ((unsigned char )0))));
  llvm_cbe_tmp__6732 = *(&WP);
  llvm_cbe_tmp__6733 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6732);
  llvm_cbe_tmp__6734 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6733) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6735 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6733) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6736 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6734)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6735))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6733) + ((unsigned int )14u)))) & 65535u))])) = llvm_cbe_tmp__6736;
  llvm_cbe_tmp__6737 = *(&WP);
  llvm_cbe_tmp__6738 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6737);
  llvm_cbe_tmp__6739 = (&RAM.array[((signed int )llvm_cbe_tmp__6738)]);
  llvm_cbe_tmp__6740 = *llvm_cbe_tmp__6739;
  llvm_cbe_tmp__6741 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6738) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6742 = *llvm_cbe_tmp__6741;
  llvm_cbe_tmp__6743 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6742);
  llvm_cbe_tmp__6744 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6740)) << 8u) | llvm_cbe_tmp__6743;
  *llvm_cbe_tmp__6739 = llvm_cbe_tmp__6740;
  *llvm_cbe_tmp__6741 = llvm_cbe_tmp__6742;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6744 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6744))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6744 == 0u)));
  if ((llvm_cbe_tmp__6744 == 0u)) {
    goto llvm_cbe__2e__crit_edge5634;
  } else {
    goto llvm_cbe__2e__crit_edge4995;
  }

llvm_cbe_tmp__7791:
  llvm_cbe_tmp4091_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1032 ^ llvm_cbe_tmp__1031)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__1034__PHI_TEMPORARY = llvm_cbe_tmp4091_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4997;

llvm_cbe_tmp__7790:
  llvm_cbe_tmp4093_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1041 ^ llvm_cbe_tmp__1040)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__1043__PHI_TEMPORARY = llvm_cbe_tmp4093_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5001;

llvm_cbe_tmp__7788:
  llvm_cbe__2e_lobit4113 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1059) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1061__PHI_TEMPORARY = llvm_cbe__2e_lobit4113;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5007;

llvm_cbe_tmp__7786:
  llvm_cbe_tmp4095_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1078 ^ llvm_cbe_tmp__1075)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1081__PHI_TEMPORARY = llvm_cbe_tmp4095_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5008;

llvm_cbe_tmp__7785:
  llvm_cbe_tmp4097_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1093 ^ llvm_cbe_tmp__1091)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1095__PHI_TEMPORARY = llvm_cbe_tmp4097_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5009;

llvm_cbe_tmp__7784:
  llvm_cbe_tmp4099_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1106 ^ llvm_cbe_tmp__1104)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1108__PHI_TEMPORARY = llvm_cbe_tmp4099_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5010;

llvm_cbe_tmp__7783:
  llvm_cbe__2e_lobit4100 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1134) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1136__PHI_TEMPORARY = llvm_cbe__2e_lobit4100;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5011;

llvm_cbe__2e__crit_edge4999:
  llvm_cbe__2e_pre6068_2e_rle6977 = llvm_cbe__2e_pre6068_2e_rle6977__PHI_TEMPORARY;
  llvm_cbe_tmp__1156 = llvm_cbe_tmp__1156__PHI_TEMPORARY;
  llvm_cbe_tmp__1157 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1156))) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1157)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1157) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe__2e_pre6068_2e_rle6975__PHI_TEMPORARY = llvm_cbe__2e_pre6068_2e_rle6977;   /* for PHI node */
  llvm_cbe_tmp__1158__PHI_TEMPORARY = llvm_cbe_tmp__1156;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5014;

llvm_cbe__2e__crit_edge5550:
  llvm_cbe__2e_pre6071_2e_pre = llvm_cbe__2e_pre6071_2e_pre__PHI_TEMPORARY;
  llvm_cbe__2e_pre6070_2e_pre = llvm_cbe__2e_pre6070_2e_pre__PHI_TEMPORARY;
  llvm_cbe__2e_pre6069_2e_pre = llvm_cbe__2e_pre6069_2e_pre__PHI_TEMPORARY;
  llvm_cbe__2e_pre6068_2e_pre = llvm_cbe__2e_pre6068_2e_pre__PHI_TEMPORARY;
  llvm_cbe__2e_pre6066 = llvm_cbe__2e_pre6066__PHI_TEMPORARY;
  llvm_cbe__2e_pre6064 = llvm_cbe__2e_pre6064__PHI_TEMPORARY;
  llvm_cbe_tmp__1472 = *((&RAM.array[((signed int )33660u)]));
  llvm_cbe_tmp__1473 = *((&RAM.array[((signed int )283u)]));
  llvm_cbe_tmp__1474 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1473)) ^ 255u) & (((unsigned int )(unsigned char )llvm_cbe_tmp__1472));
  llvm_cbe_tmp__1475 = ((unsigned char )llvm_cbe_tmp__1474);
  *((&RAM.array[((signed int )33660u)])) = llvm_cbe_tmp__1475;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1474 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1475) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1474 == 0u)));
  llvm_cbe__2e_pre6071__PHI_TEMPORARY = llvm_cbe__2e_pre6071_2e_pre;   /* for PHI node */
  llvm_cbe__2e_pre6070__PHI_TEMPORARY = llvm_cbe__2e_pre6070_2e_pre;   /* for PHI node */
  llvm_cbe__2e_pre6069__PHI_TEMPORARY = llvm_cbe__2e_pre6069_2e_pre;   /* for PHI node */
  llvm_cbe__2e_pre6068__PHI_TEMPORARY = llvm_cbe__2e_pre6068_2e_pre;   /* for PHI node */
  llvm_cbe_tmp__1476__PHI_TEMPORARY = llvm_cbe__2e_pre6066;   /* for PHI node */
  llvm_cbe_tmp__1477__PHI_TEMPORARY = llvm_cbe__2e_pre6064;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4992;

llvm_cbe_tmp__7555:
  llvm_cbe_tmp__6774 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6775 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6774) + ((unsigned int )8u)));
  llvm_cbe_tmp__6776 = *((&RAM.array[((signed int )llvm_cbe_tmp__6775)]));
  llvm_cbe_tmp__6777 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6774) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__6778 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6777)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6776)) << 8u))) + ((unsigned int )33536u)));
  llvm_cbe_tmp__6779 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6774) + ((unsigned int )26u)));
  llvm_cbe_tmp__6780 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6778 & 65534u))]));
  llvm_cbe_tmp__6781 = *((&RAM.array[((signed int )((llvm_cbe_tmp__6778 | 1u) & 65535u))]));
  llvm_cbe_tmp__6782 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6780)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6781));
  llvm_cbe_tmp__6783 = llvm_cbe_tmp__6779 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6783)])) = llvm_cbe_tmp__6780;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6783) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6781;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6782 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6782))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6782 == 0u)));
  llvm_cbe_tmp__6784 = *((&RAM.array[((signed int )llvm_cbe_tmp__6779)]));
  llvm_cbe_tmp__6785 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6774) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6786 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6775 & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6785)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6784)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1024))))))), llvm_cbe_tmp__6786);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6786 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6786) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6786 == ((unsigned char )0))));
  llvm_cbe__2e_pre6064_2e_pre = *(&WP);
  llvm_cbe__2e_pre6071_2e_pre__PHI_TEMPORARY = llvm_cbe__2e_pre6064_2e_pre;   /* for PHI node */
  llvm_cbe__2e_pre6070_2e_pre__PHI_TEMPORARY = llvm_cbe__2e_pre6064_2e_pre;   /* for PHI node */
  llvm_cbe__2e_pre6069_2e_pre__PHI_TEMPORARY = llvm_cbe__2e_pre6064_2e_pre;   /* for PHI node */
  llvm_cbe__2e_pre6068_2e_pre__PHI_TEMPORARY = llvm_cbe__2e_pre6064_2e_pre;   /* for PHI node */
  llvm_cbe__2e_pre6066__PHI_TEMPORARY = llvm_cbe__2e_pre6064_2e_pre;   /* for PHI node */
  llvm_cbe__2e_pre6064__PHI_TEMPORARY = llvm_cbe__2e_pre6064_2e_pre;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5550;

llvm_cbe__2e__crit_edge5064:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )22u)))))])) = ((unsigned char )11);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )23u)))))])) = ((unsigned char )32);
  llvm_cbe_tmp__1478__PHI_TEMPORARY = llvm_cbe_tmp__1994;   /* for PHI node */
  llvm_cbe_tmp__1479__PHI_TEMPORARY = llvm_cbe_tmp__1994;   /* for PHI node */
  llvm_cbe_tmp__1480__PHI_TEMPORARY = llvm_cbe_tmp__1994;   /* for PHI node */
  llvm_cbe_tmp__1481__PHI_TEMPORARY = llvm_cbe_tmp__1994;   /* for PHI node */
  goto llvm_cbe_tmp__7782;

llvm_cbe_tmp__7792:
  llvm_cbe_tmp__2038 = *llvm_cbe_tmp__2026;
  llvm_cbe_tmp__2039 = *llvm_cbe_tmp__2028;
  llvm_cbe_tmp__2040 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2039)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2038)) << 8u);
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2040 & 65534u))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2040 | 1u))])) = ((unsigned char )0);
  goto llvm_cbe__2e__crit_edge5064;

llvm_cbe_tmp__7793:
  llvm_cbe_tmp__2018 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__1994) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__2019 = (&RAM.array[((signed int )llvm_cbe_tmp__2018)]);
  llvm_cbe_tmp__2020 = *llvm_cbe_tmp__2019;
  llvm_cbe_tmp__2021 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2018) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2022 = *llvm_cbe_tmp__2021;
  *llvm_cbe_tmp__2019 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__2020)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2022)))) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__2023 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2022) + ((unsigned char )((unsigned char )2))))));
  *llvm_cbe_tmp__2021 = llvm_cbe_tmp__2023;
  llvm_cbe_tmp__2024 = *llvm_cbe_tmp__2019;
  *llvm_cbe_tmp__2019 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__2024)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2023)))) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2021 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2022) + ((unsigned char )((unsigned char )4)))))));
  llvm_cbe_tmp__2025 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )4u)));
  llvm_cbe_tmp__2026 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )16u)))))]);
  llvm_cbe_tmp__2027 = *llvm_cbe_tmp__2026;
  llvm_cbe_tmp__2028 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__2029 = *llvm_cbe_tmp__2028;
  llvm_cbe_tmp__2030 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2029)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2027)) << 8u);
  llvm_cbe_tmp__2031 = llvm_cbe_tmp__2025 & 65535u;
  llvm_cbe_tmp__2032 = *((&RAM.array[((signed int )llvm_cbe_tmp__2031)]));
  llvm_cbe_tmp__2033 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2031) + ((unsigned int )1u)))))]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2030 & 65534u))])) = llvm_cbe_tmp__2032;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2030 | 1u))])) = llvm_cbe_tmp__2033;
  llvm_cbe_tmp__2034 = *((&RAM.array[((signed int )llvm_cbe_tmp__2025)]));
  llvm_cbe_tmp__2035 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__2036 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2035)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2034)) << 8u);
  llvm_cbe_tmp__2037 = ((unsigned short )llvm_cbe_tmp__2036);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2037) > ((unsigned short )((unsigned short )-26560)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2037) > ((signed short )((unsigned short )-26560)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2036 == 38976u)));
  if ((llvm_cbe_tmp__2036 == 38976u)) {
    goto llvm_cbe_tmp__7792;
  } else {
    goto llvm_cbe_tmp__7794;
  }

  do {     /* Syntactic loop '._crit_edge5052' to make GCC happy */
llvm_cbe__2e__crit_edge5052:
  llvm_cbe_tmp__1842 = llvm_cbe_tmp__1842__PHI_TEMPORARY;
  llvm_cbe_tmp__1843 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1842);
  llvm_cbe_tmp__1844 = *((&RAM.array[((signed int )296u)]));
  llvm_cbe_tmp__1845 = *((&RAM.array[((signed int )297u)]));
  llvm_cbe_tmp__1846 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1843) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__1847 = (&RAM.array[((signed int )llvm_cbe_tmp__1846)]);
  llvm_cbe_tmp__1848 = *llvm_cbe_tmp__1847;
  llvm_cbe_tmp__1849 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1846) + ((unsigned int )1u)))))]));
  *(&ST_EQ) = (((unsigned int )(bool )(((((((unsigned int )(unsigned char )llvm_cbe_tmp__1848)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1849))) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__1844)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1845)))) == 0u)));
  if ((((((((unsigned int )(unsigned char )llvm_cbe_tmp__1848)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1849))) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__1844)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1845)))) == 0u)) {
    goto llvm_cbe_tmp__7795;
  } else {
    goto llvm_cbe__2e__crit_edge5053;
  }

llvm_cbe__2e__crit_edge5062:
  llvm_cbe_tmp__2008 = llvm_cbe_tmp__2008__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2008;
  llvm_cbe_tmp__2009 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )14u)))))]));
  llvm_cbe_tmp__2010 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__2011 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2010)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2009)) << 8u);
  llvm_cbe_tmp__2012 = *llvm_cbe_tmp__1998;
  llvm_cbe_tmp__2013 = *llvm_cbe_tmp__1999;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2011 & 65534u))])) = llvm_cbe_tmp__2012;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2011 | 1u))])) = llvm_cbe_tmp__2013;
  llvm_cbe_tmp__2014 = *llvm_cbe_tmp__2001;
  llvm_cbe_tmp__2015 = *llvm_cbe_tmp__2004;
  llvm_cbe_tmp__2016 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2015)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2014)) << 8u);
  llvm_cbe_tmp__2017 = ((unsigned short )llvm_cbe_tmp__2016);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2017) > ((unsigned short )((unsigned short )-8192)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2017) > ((signed short )((unsigned short )-8192)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2016 == 57344u)));
  if ((llvm_cbe_tmp__2016 == 57344u)) {
    goto llvm_cbe_tmp__7793;
  } else {
    llvm_cbe_tmp__1842__PHI_TEMPORARY = llvm_cbe_tmp__1994;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5052;
  }

llvm_cbe__2e__crit_edge5056:
  llvm_cbe_tmp__1994 = *(&WP);
  llvm_cbe_tmp__1995 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1994);
  llvm_cbe_tmp__1996 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )2u)));
  llvm_cbe_tmp__1997 = llvm_cbe_tmp__1996 & 65535u;
  llvm_cbe_tmp__1998 = (&RAM.array[((signed int )llvm_cbe_tmp__1997)]);
  *llvm_cbe_tmp__1998 = ((unsigned char )0);
  llvm_cbe_tmp__1999 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1997) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__1999 = ((unsigned char )0);
  llvm_cbe_tmp__2000 = *((&RAM.array[((signed int )33739u)]));
  *llvm_cbe_tmp__1998 = llvm_cbe_tmp__2000;
  llvm_cbe_tmp__2001 = (&RAM.array[((signed int )llvm_cbe_tmp__1996)]);
  llvm_cbe_tmp__2002 = *llvm_cbe_tmp__2001;
  llvm_cbe_tmp__2003 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2002)) << 8u;
  llvm_cbe_tmp__2004 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__2005 = *llvm_cbe_tmp__2004;
  llvm_cbe_tmp__2006 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2005)) | llvm_cbe_tmp__2003)) + ((unsigned int )57344u)));
  *llvm_cbe_tmp__2001 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2006) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2004 = (((unsigned char )llvm_cbe_tmp__2006));
  llvm_cbe_tmp__2007 = ((unsigned short )llvm_cbe_tmp__2006);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2007 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2007) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2007 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2006) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2003 & 32768u) == 0u)) {
    llvm_cbe_tmp__2008__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5062;
  } else {
    goto llvm_cbe_tmp__7796;
  }

llvm_cbe__2e__crit_edge5054:
  llvm_cbe_tmp__1871 = llvm_cbe_tmp__1871__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1871;
  llvm_cbe_tmp__1872 = *(&WP);
  llvm_cbe_tmp__1873 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1872);
  llvm_cbe_tmp__1874 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1873) + ((unsigned int )2u)))) & 65535u))]));
  *((&RAM.array[((signed int )33739u)])) = llvm_cbe_tmp__1874;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1874 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1874) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1874 == ((unsigned char )0))));
  llvm_cbe_tmp__1875 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1873) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1876 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1873) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1877 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1875)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1876))))));
  llvm_cbe_tmp__1878 = *((&RAM.array[((signed int )13u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__1877) > ((unsigned char )llvm_cbe_tmp__1878))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1877) > ((signed char )llvm_cbe_tmp__1878))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1877 == llvm_cbe_tmp__1878)));
  if ((llvm_cbe_tmp__1877 == llvm_cbe_tmp__1878)) {
    goto llvm_cbe__2e__crit_edge5053;
  } else {
    goto llvm_cbe__2e__crit_edge5056;
  }

llvm_cbe_tmp__7795:
  llvm_cbe_tmp__1850 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1843) + ((unsigned int )4u)));
  llvm_cbe_tmp__1851 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1843) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__1852 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1843) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__1853 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1852)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1851)) << 8u);
  llvm_cbe_tmp__1854 = llvm_cbe_tmp__1850 & 65535u;
  llvm_cbe_tmp__1855 = *((&RAM.array[((signed int )llvm_cbe_tmp__1854)]));
  llvm_cbe_tmp__1856 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1854) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1857 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1855)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1856));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__1853 & 65534u))])) = llvm_cbe_tmp__1855;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__1853 | 1u))])) = llvm_cbe_tmp__1856;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1857 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1857))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1857 == 0u)));
  llvm_cbe_tmp__1858 = *((&RAM.array[((signed int )llvm_cbe_tmp__1850)]));
  llvm_cbe_tmp__1859 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1843) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1860 = *llvm_cbe_tmp__1847;
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1859)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1858)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1860);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1860 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1860) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1860 == ((unsigned char )0))));
  llvm_cbe_tmp__1861 = *(&WP);
  llvm_cbe_tmp__1862 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1861);
  llvm_cbe_tmp__1863 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1862) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1864 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1862) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1865 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1863)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1864)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1865);
  llvm_cbe_tmp__1866 = *((&RAM.array[((signed int )33645u)]));
  llvm_cbe_tmp__1867 = *((&RAM.array[((signed int )33763u)]));
  llvm_cbe_tmp__1868 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1867);
  llvm_cbe_tmp__1869 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1868) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1866)))));
  llvm_cbe_tmp__1870 = ((unsigned char )llvm_cbe_tmp__1869);
  *((&RAM.array[((signed int )33763u)])) = llvm_cbe_tmp__1870;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1870 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1870) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1870 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1869) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__1867 ^ llvm_cbe_tmp__1866))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7797;
  } else {
    llvm_cbe_tmp__1871__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5054;
  }

llvm_cbe_tmp__7797:
  llvm_cbe_tmp4154_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1869 ^ llvm_cbe_tmp__1868)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__1871__PHI_TEMPORARY = llvm_cbe_tmp4154_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5054;

llvm_cbe__2e__crit_edge5053:
  llvm_cbe_tmp__1879 = *(&WP);
  llvm_cbe_tmp__1880 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1879);
  llvm_cbe_tmp__1881 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1880) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1882 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1880) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1883 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1880) + ((unsigned int )2u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1882)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1881)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1883);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1883 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1883) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1883 == ((unsigned char )0))));
  llvm_cbe_tmp__1884 = *(&WP);
  llvm_cbe_tmp__1885 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1884);
  llvm_cbe_tmp__1886 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1885) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1887 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1885) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1888 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1886)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1887)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1888);
  llvm_cbe_tmp__1889 = *(&WP);
  llvm_cbe_tmp__1890 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1889);
  llvm_cbe_tmp__1891 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1890) + ((unsigned int )20u)))))]);
  llvm_cbe_tmp__1892 = *llvm_cbe_tmp__1891;
  llvm_cbe_tmp__1893 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1892);
  llvm_cbe_tmp__1894 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1890) + ((unsigned int )21u)))))]);
  llvm_cbe_tmp__1895 = *llvm_cbe_tmp__1894;
  llvm_cbe_tmp__1896 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1895)) | (llvm_cbe_tmp__1893 << 8u);
  llvm_cbe_tmp__1897 = llvm_cbe_tmp__1896 << 4u;
  *llvm_cbe_tmp__1891 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1896) >> ((unsigned int )4u))))));
  *llvm_cbe_tmp__1894 = (((unsigned char )llvm_cbe_tmp__1897));
  llvm_cbe_tmp__1898 = ((unsigned short )llvm_cbe_tmp__1897);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1898 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1898) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1898 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1893) >> ((unsigned int )4u)))) & 1u);
  llvm_cbe_tmp__1899 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1890) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1900 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1890) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1901 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1899)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1900))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1890) + ((unsigned int )6u)))) & 65535u))])) = llvm_cbe_tmp__1901;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1901 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1901) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1901 == ((unsigned char )0))));
  llvm_cbe_tmp__1902 = *(&WP);
  llvm_cbe_tmp__1903 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1902);
  llvm_cbe_tmp__1904 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1903) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1905 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1903) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1906 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1904)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1905))))));
  *((&RAM.array[((signed int )33767u)])) = llvm_cbe_tmp__1906;
  llvm_cbe_tmp__1907 = *(&WP);
  llvm_cbe_tmp__1908 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1907);
  llvm_cbe_tmp__1909 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1908) + ((unsigned int )14u)))))]));
  llvm_cbe_tmp__1910 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1908) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__1911 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1910)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1909)) << 8u);
  llvm_cbe_tmp__1912 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1908) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__1913 = (&RAM.array[((signed int )llvm_cbe_tmp__1912)]);
  llvm_cbe_tmp__1914 = *llvm_cbe_tmp__1913;
  llvm_cbe_tmp__1915 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1912) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1916 = *llvm_cbe_tmp__1915;
  llvm_cbe_tmp__1917 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1914)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1916));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__1911 & 65534u))])) = llvm_cbe_tmp__1914;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__1911 | 1u))])) = llvm_cbe_tmp__1916;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1917 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1917))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1917 == 0u)));
  if ((llvm_cbe_tmp__1917 == 0u)) {
    goto llvm_cbe__2e__crit_edge5056;
  } else {
    goto llvm_cbe_tmp__7798;
  }

llvm_cbe_tmp__7796:
  llvm_cbe_tmp4163 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2006) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2008__PHI_TEMPORARY = llvm_cbe_tmp4163;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5062;

  } while (1); /* end of syntactic loop '._crit_edge5052' */
llvm_cbe__2e__crit_edge5556:
  llvm_cbe_tmp__1825 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__1826 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1825) + ((unsigned int )14u)))))]));
  llvm_cbe_tmp__1827 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1825) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__1828 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1827)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1826)) << 8u);
  llvm_cbe_tmp__1829 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1828 & 65534u))]));
  llvm_cbe_tmp__1830 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1828 | 1u))]));
  llvm_cbe_tmp__1831 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1825) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1831)])) = llvm_cbe_tmp__1829;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1831) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1830;
  llvm_cbe_tmp__1832 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1825) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__1833 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1825) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__1834 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1833)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1832)) << 8u);
  llvm_cbe_tmp__1835 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1825) + ((unsigned int )4u)));
  llvm_cbe_tmp__1836 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1834 & 65534u))]));
  llvm_cbe_tmp__1837 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1834 | 1u))]));
  llvm_cbe_tmp__1838 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1836)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1837));
  llvm_cbe_tmp__1839 = llvm_cbe_tmp__1835 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1839)])) = llvm_cbe_tmp__1836;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1839) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1837;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1838 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1838))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1838 == 0u)));
  if ((llvm_cbe_tmp__1838 == 0u)) {
    goto llvm_cbe_tmp__7799;
  } else {
    llvm_cbe_tmp__1842__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5052;
  }

llvm_cbe__2e__crit_edge5065:
  llvm_cbe_tmp__1840 = llvm_cbe_tmp__1840__PHI_TEMPORARY;
  llvm_cbe_tmp__1841 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1840);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1841) + ((unsigned int )2u)))))])) = ((unsigned char )-32);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1841) + ((unsigned int )3u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__1842__PHI_TEMPORARY = llvm_cbe_tmp__1840;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5052;

llvm_cbe_tmp__7799:
  *((&RAM.array[((signed int )llvm_cbe_tmp__1835)])) = ((unsigned char )-104);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1825) + ((unsigned int )5u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__1840__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5065;

llvm_cbe_tmp__7794:
  llvm_cbe_tmp__2041 = *((&RAM.array[((signed int )33621u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1995) + ((unsigned int )10u)))) & 65535u))])) = llvm_cbe_tmp__2041;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2041 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2041) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2041 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__2041 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5064;
  } else {
    llvm_cbe_tmp__1840__PHI_TEMPORARY = llvm_cbe_tmp__1994;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5065;
  }

llvm_cbe__2e__crit_edge5061:
  llvm_cbe_tmp__1979 = *llvm_cbe_tmp__1961;
  llvm_cbe_tmp__1980 = *llvm_cbe_tmp__1963;
  llvm_cbe_tmp__1981 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1953) + ((unsigned int )18u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1980)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1979)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )-32000))))))), llvm_cbe_tmp__1981);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1981 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1981) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1981 == ((unsigned char )0))));
  llvm_cbe_tmp__1982 = *(&WP);
  llvm_cbe_tmp__1983 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1982);
  llvm_cbe_tmp__1984 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1983) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__1985 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1983) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__1986 = *((&RAM.array[((signed int )33779u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1984)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1985)))))) + ((unsigned short )((unsigned short )-31999))))))), llvm_cbe_tmp__1986);
  llvm_cbe_tmp__1987 = *(&WP);
  llvm_cbe_tmp__1988 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1987);
  llvm_cbe_tmp__1989 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1988) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__1990 = *((&RAM.array[((signed int )llvm_cbe_tmp__1989)]));
  llvm_cbe_tmp__1991 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1989) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1992 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1990)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1991));
  llvm_cbe_tmp__1993 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1988) + ((unsigned int )26u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1993)])) = llvm_cbe_tmp__1990;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1993) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1991;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1992 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1992))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1992 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1988) + ((unsigned int )22u)))))])) = ((unsigned char )11);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1988) + ((unsigned int )23u)))))])) = ((unsigned char )-64);
  llvm_cbe_tmp__1478__PHI_TEMPORARY = llvm_cbe_tmp__1987;   /* for PHI node */
  llvm_cbe_tmp__1479__PHI_TEMPORARY = llvm_cbe_tmp__1987;   /* for PHI node */
  llvm_cbe_tmp__1480__PHI_TEMPORARY = llvm_cbe_tmp__1987;   /* for PHI node */
  llvm_cbe_tmp__1481__PHI_TEMPORARY = llvm_cbe_tmp__1987;   /* for PHI node */
  goto llvm_cbe_tmp__7782;

llvm_cbe__2e__crit_edge5060:
  llvm_cbe_tmp__1973 = llvm_cbe_tmp__1973__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1973;
  llvm_cbe_tmp__1974 = *((&RAM.array[((signed int )33645u)]));
  llvm_cbe_tmp__1975 = *((&RAM.array[((signed int )3076u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__1974) > ((unsigned char )llvm_cbe_tmp__1975))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1974) > ((signed char )llvm_cbe_tmp__1975))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1974 == llvm_cbe_tmp__1975)));
  if ((llvm_cbe_tmp__1974 == llvm_cbe_tmp__1975)) {
    goto llvm_cbe_tmp__7800;
  } else {
    goto llvm_cbe__2e__crit_edge5061;
  }

llvm_cbe__2e__crit_edge5059:
  llvm_cbe_tmp__1959 = llvm_cbe_tmp__1959__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1959;
  llvm_cbe_tmp__1960 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1953) + ((unsigned int )8u)));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__1960 & 65535u))])) = llvm_cbe_tmp__6832;
  llvm_cbe_tmp__1961 = (&RAM.array[((signed int )llvm_cbe_tmp__1960)]);
  llvm_cbe_tmp__1962 = *llvm_cbe_tmp__1961;
  llvm_cbe_tmp__1963 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1953) + ((unsigned int )9u)))))]);
  *llvm_cbe_tmp__1961 = ((unsigned char )0);
  *llvm_cbe_tmp__1963 = llvm_cbe_tmp__1962;
  llvm_cbe_tmp__1964 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1953) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__1965 = (&RAM.array[((signed int )llvm_cbe_tmp__1964)]);
  llvm_cbe_tmp__1966 = *llvm_cbe_tmp__1965;
  llvm_cbe_tmp__1967 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1966)) << 8u;
  llvm_cbe_tmp__1968 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1964) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1969 = *llvm_cbe_tmp__1968;
  llvm_cbe_tmp__1970 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1967 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1969)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__1965 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1970) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__1971 = ((unsigned char )llvm_cbe_tmp__1970);
  *llvm_cbe_tmp__1968 = llvm_cbe_tmp__1971;
  llvm_cbe_tmp__1972 = ((unsigned short )llvm_cbe_tmp__1970);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1972 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1972) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1972 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__1970) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__1967 & 32768u) == 0u)) {
    llvm_cbe_tmp__1973__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5060;
  } else {
    goto llvm_cbe_tmp__7801;
  }

llvm_cbe__2e__crit_edge5640:
  llvm_cbe_tmp__1952 = llvm_cbe_tmp__1952__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1952;
  llvm_cbe_tmp__1953 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__1954 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1953) + ((unsigned int )28u)))) & 65535u))]));
  llvm_cbe_tmp__1955 = *((&RAM.array[((signed int )33644u)]));
  llvm_cbe_tmp__1956 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1955);
  llvm_cbe_tmp__1957 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1956) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1954)))));
  llvm_cbe_tmp__1958 = ((unsigned char )llvm_cbe_tmp__1957);
  *((&RAM.array[((signed int )33644u)])) = llvm_cbe_tmp__1958;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1958 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1958) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1958 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1957) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__1955 ^ llvm_cbe_tmp__1954))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7802;
  } else {
    llvm_cbe_tmp__1959__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5059;
  }

llvm_cbe_tmp__7803:
  llvm_cbe_tmp4176_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__6831 ^ llvm_cbe_tmp__6830)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__1952__PHI_TEMPORARY = llvm_cbe_tmp4176_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5640;

llvm_cbe_tmp__7561:
  llvm_cbe_tmp__6828 = *((&RAM.array[((signed int )48u)]));
  llvm_cbe_tmp__6829 = *((&RAM.array[((signed int )33650u)]));
  llvm_cbe_tmp__6830 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6829);
  llvm_cbe_tmp__6831 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6830) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__6828)))));
  llvm_cbe_tmp__6832 = ((unsigned char )llvm_cbe_tmp__6831);
  *((&RAM.array[((signed int )33650u)])) = llvm_cbe_tmp__6832;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6832 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6832) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6832 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6831) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__6829 ^ llvm_cbe_tmp__6828))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7803;
  } else {
    llvm_cbe_tmp__1952__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5640;
  }

llvm_cbe_tmp__7802:
  llvm_cbe_tmp4178_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1957 ^ llvm_cbe_tmp__1956)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__1959__PHI_TEMPORARY = llvm_cbe_tmp4178_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5059;

llvm_cbe_tmp__7801:
  llvm_cbe_tmp4181 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1970) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__1973__PHI_TEMPORARY = llvm_cbe_tmp4181;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5060;

llvm_cbe_tmp__7800:
  llvm_cbe_tmp__1976 = *llvm_cbe_tmp__1965;
  llvm_cbe_tmp__1977 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1976)) << 8u) | (llvm_cbe_tmp__1970 & 255u);
  llvm_cbe_tmp__1978 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1953) + ((unsigned int )18u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1978)])) = llvm_cbe_tmp__1976;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1978) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1971;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1977 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1977))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1977 == 0u)));
  goto llvm_cbe__2e__crit_edge5061;

llvm_cbe_tmp__7554:
  llvm_cbe_tmp__6773 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6773) + ((unsigned int )22u)))))])) = ((unsigned char )8);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6773) + ((unsigned int )23u)))))])) = ((unsigned char )48);
  llvm_cbe_tmp__1478__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1479__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1480__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1481__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__7782;

llvm_cbe_tmp__7590:
  llvm_cbe_tmp__7001 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7001) + ((unsigned int )22u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7001) + ((unsigned int )23u)))))])) = ((unsigned char )110);
  llvm_cbe_tmp__1478__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1479__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1480__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1481__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__7782;

llvm_cbe_tmp__7613:
  llvm_cbe_tmp__7138 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7139 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7138) + ((unsigned int )16u)))) & 65535u))]));
  *((&RAM.array[((signed int )33602u)])) = llvm_cbe_tmp__7139;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7139 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7139) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7139 == ((unsigned char )0))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7138) + ((unsigned int )22u)))))])) = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7138) + ((unsigned int )23u)))))])) = ((unsigned char )122);
  llvm_cbe_tmp__1478__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1479__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1480__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1481__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__7782;

llvm_cbe_tmp__7780:
  llvm_cbe_tmp4612 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1491) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__1493__PHI_TEMPORARY = llvm_cbe_tmp4612;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5036;

llvm_cbe__2e__crit_edge5038:
  llvm_cbe_tmp__1559 = llvm_cbe_tmp__1559__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1559;
  llvm_cbe_tmp__1560 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1545) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__1561 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1545) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__1562 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1561)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1560)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__1562;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__1544;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__1556;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__1558;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__1557;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__1544;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__1562;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__1562;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5037:
  llvm_cbe_tmp__1522 = llvm_cbe_tmp__1522__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1522;
  llvm_cbe_tmp__1523 = *(&WP);
  llvm_cbe_tmp__1524 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1523);
  llvm_cbe_tmp__1525 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1524) + ((unsigned int )8u)));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__1525 & 65535u))])) = llvm_cbe_tmp__1520;
  llvm_cbe_tmp__1526 = (&RAM.array[((signed int )llvm_cbe_tmp__1525)]);
  llvm_cbe_tmp__1527 = *llvm_cbe_tmp__1526;
  llvm_cbe_tmp__1528 = ((unsigned short )(unsigned char )llvm_cbe_tmp__1527);
  llvm_cbe_tmp__1529 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1524) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__1530 = *llvm_cbe_tmp__1529;
  llvm_cbe_tmp__1531 = ((unsigned short )(llvm_cbe_tmp__1528 << ((unsigned short )8)));
  *llvm_cbe_tmp__1526 = ((unsigned char )0);
  *llvm_cbe_tmp__1529 = llvm_cbe_tmp__1527;
  llvm_cbe_tmp__1532 = ((unsigned int )(bool )(llvm_cbe_tmp__1531 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1532;
  *(&ST_AGT) = llvm_cbe_tmp__1532;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1531 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1530))) >> ((unsigned int )7u))));
  llvm_cbe_tmp__1533 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1524) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1534 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1524) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1535 = *llvm_cbe_tmp__1526;
  llvm_cbe_tmp__1536 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1533)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1534)))))) + ((unsigned short )((unsigned short )2))))))));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1535)) << ((unsigned short )8)))) | llvm_cbe_tmp__1528)))) + ((unsigned short )((unsigned short )-32000))))))), llvm_cbe_tmp__1536);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1536 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1536) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1536 == ((unsigned char )0))));
  llvm_cbe_tmp__1537 = *(&WP);
  llvm_cbe_tmp__1538 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1537);
  llvm_cbe_tmp__1539 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1538) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1540 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1538) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1541 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1538) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__1542 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1538) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__1543 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1539)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1540)))))) + ((unsigned short )((unsigned short )2))))))));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1541)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1542)))))) + ((unsigned short )((unsigned short )-31999))))))), llvm_cbe_tmp__1543);
  llvm_cbe_tmp__1544 = *(&WP);
  llvm_cbe_tmp__1545 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1544);
  llvm_cbe_tmp__1546 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1545) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__1547 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1545) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__1548 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__1547)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1546)) << 8u))) + ((unsigned int )33536u)));
  llvm_cbe_tmp__1549 = (&RAM.array[((signed int )(llvm_cbe_tmp__1548 & 65534u))]);
  llvm_cbe_tmp__1550 = *llvm_cbe_tmp__1549;
  llvm_cbe_tmp__1551 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1550)) << 8u;
  llvm_cbe_tmp__1552 = (&RAM.array[((signed int )((llvm_cbe_tmp__1548 | 1u) & 65535u))]);
  llvm_cbe_tmp__1553 = *llvm_cbe_tmp__1552;
  llvm_cbe_tmp__1554 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1551 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1553)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__1549 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1554) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1552 = (((unsigned char )llvm_cbe_tmp__1554));
  llvm_cbe_tmp__1555 = ((unsigned short )llvm_cbe_tmp__1554);
  llvm_cbe_tmp__1556 = ((unsigned int )(bool )(llvm_cbe_tmp__1555 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1556;
  llvm_cbe_tmp__1557 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1555) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__1557;
  llvm_cbe_tmp__1558 = ((unsigned int )(bool )(llvm_cbe_tmp__1555 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__1558;
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__1554) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__1551 & 32768u) == 0u)) {
    llvm_cbe_tmp__1559__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5038;
  } else {
    goto llvm_cbe_tmp__7804;
  }

llvm_cbe_tmp__7805:
  llvm_cbe_tmp__1516 = *((&RAM.array[((signed int )33650u)]));
  llvm_cbe_tmp__1517 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1516)) << 8u;
  llvm_cbe_tmp__1518 = *((&RAM.array[((signed int )33651u)]));
  llvm_cbe_tmp__1519 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1517 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1518)))) + ((unsigned int )2u)));
  *((&RAM.array[((signed int )33650u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1519) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__1520 = ((unsigned char )llvm_cbe_tmp__1519);
  *((&RAM.array[((signed int )33651u)])) = llvm_cbe_tmp__1520;
  llvm_cbe_tmp__1521 = ((unsigned short )llvm_cbe_tmp__1519);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1521 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1521) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1521 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1519) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1517 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7806;
  } else {
    llvm_cbe_tmp__1522__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5037;
  }

llvm_cbe__2e__crit_edge4994:
  llvm_cbe_tmp__975 = llvm_cbe_tmp__975__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__975;
  llvm_cbe_tmp__976 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6681) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__977 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6681) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__978 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__976)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__977))))));
  *llvm_cbe_tmp__6682 = llvm_cbe_tmp__978;
  llvm_cbe_tmp__979 = *(&WP);
  llvm_cbe_tmp__980 = ((unsigned int )(unsigned short )llvm_cbe_tmp__979);
  llvm_cbe_tmp__981 = (&RAM.array[((signed int )llvm_cbe_tmp__980)]);
  llvm_cbe_tmp__982 = *llvm_cbe_tmp__981;
  llvm_cbe_tmp__983 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__980) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__984 = *llvm_cbe_tmp__983;
  llvm_cbe_tmp__985 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__982)) << ((unsigned short )8)));
  *llvm_cbe_tmp__981 = ((unsigned char )0);
  *llvm_cbe_tmp__983 = llvm_cbe_tmp__982;
  llvm_cbe_tmp__986 = ((unsigned int )(bool )(llvm_cbe_tmp__985 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__986;
  *(&ST_AGT) = llvm_cbe_tmp__986;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__985 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__984))) >> ((unsigned int )7u))));
  llvm_cbe_tmp__987 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__980) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__988 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__980) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__989 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__987)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__988))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__980) + ((unsigned int )10u)))) & 65535u))])) = llvm_cbe_tmp__989;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__989 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__989) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__989 == ((unsigned char )0))));
  llvm_cbe_tmp__990 = *(&WP);
  llvm_cbe_tmp__991 = ((unsigned int )(unsigned short )llvm_cbe_tmp__990);
  llvm_cbe_tmp__992 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__991) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__993 = (&RAM.array[((signed int )llvm_cbe_tmp__992)]);
  llvm_cbe_tmp__994 = *llvm_cbe_tmp__993;
  llvm_cbe_tmp__995 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__992) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__996 = *llvm_cbe_tmp__995;
  *llvm_cbe_tmp__993 = llvm_cbe_tmp__996;
  *llvm_cbe_tmp__995 = llvm_cbe_tmp__994;
  llvm_cbe_tmp__997 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__991) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__998 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__991) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__999 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__997)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__998))))));
  *llvm_cbe_tmp__993 = llvm_cbe_tmp__999;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__999 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__999) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__999 == ((unsigned char )0))));
  llvm_cbe_tmp__1000 = *(&WP);
  llvm_cbe_tmp__1001 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1000);
  llvm_cbe_tmp__1002 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1001) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__1003 = (&RAM.array[((signed int )llvm_cbe_tmp__1002)]);
  llvm_cbe_tmp__1004 = *llvm_cbe_tmp__1003;
  llvm_cbe_tmp__1005 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1002) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1006 = *llvm_cbe_tmp__1005;
  *llvm_cbe_tmp__1003 = llvm_cbe_tmp__1006;
  *llvm_cbe_tmp__1005 = llvm_cbe_tmp__1004;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1001) + ((unsigned int )22u)))))])) = ((unsigned char )6);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1001) + ((unsigned int )23u)))))])) = ((unsigned char )-18);
  goto llvm_cbe_tmp__7805;

llvm_cbe__2e__crit_edge5633:
  llvm_cbe_tmp__964 = llvm_cbe_tmp__964__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__964;
  llvm_cbe_tmp__965 = *llvm_cbe_tmp__6686;
  llvm_cbe_tmp__966 = *llvm_cbe_tmp__6687;
  *llvm_cbe_tmp__6686 = llvm_cbe_tmp__966;
  *llvm_cbe_tmp__6687 = llvm_cbe_tmp__965;
  llvm_cbe_tmp__967 = *llvm_cbe_tmp__6692;
  llvm_cbe_tmp__968 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6691) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__969 = *llvm_cbe_tmp__968;
  *llvm_cbe_tmp__6692 = llvm_cbe_tmp__969;
  *llvm_cbe_tmp__968 = llvm_cbe_tmp__967;
  llvm_cbe_tmp__970 = *llvm_cbe_tmp__6692;
  llvm_cbe_tmp__971 = *llvm_cbe_tmp__6686;
  llvm_cbe_tmp__972 = ((unsigned int )(unsigned char )llvm_cbe_tmp__971);
  llvm_cbe_tmp__973 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__972) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__970)))));
  llvm_cbe_tmp__974 = ((unsigned char )llvm_cbe_tmp__973);
  *llvm_cbe_tmp__6686 = llvm_cbe_tmp__974;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__974 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__974) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__974 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__973) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__971 ^ llvm_cbe_tmp__970))))) & 128u) == 0u)) {
    llvm_cbe_tmp__975__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4994;
  } else {
    goto llvm_cbe_tmp__7807;
  }

llvm_cbe_tmp__7808:
  llvm_cbe_tmp4081_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__6696 ^ llvm_cbe_tmp__6695)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__964__PHI_TEMPORARY = llvm_cbe_tmp4081_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5633;

llvm_cbe_tmp__7550:
  llvm_cbe_tmp__6681 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6682 = (&RAM.array[((signed int )llvm_cbe_tmp__6681)]);
  llvm_cbe_tmp__6683 = *llvm_cbe_tmp__6682;
  llvm_cbe_tmp__6684 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6681) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6685 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6681) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__6686 = (&RAM.array[((signed int )llvm_cbe_tmp__6685)]);
  *llvm_cbe_tmp__6686 = llvm_cbe_tmp__6683;
  llvm_cbe_tmp__6687 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6685) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__6687 = llvm_cbe_tmp__6684;
  llvm_cbe_tmp__6688 = *llvm_cbe_tmp__6686;
  llvm_cbe_tmp__6689 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6681) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__6690 = (&RAM.array[((signed int )llvm_cbe_tmp__6689)]);
  *llvm_cbe_tmp__6690 = llvm_cbe_tmp__6688;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6689) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6684;
  llvm_cbe_tmp__6691 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6681) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6692 = (&RAM.array[((signed int )llvm_cbe_tmp__6691)]);
  llvm_cbe_tmp__6693 = *llvm_cbe_tmp__6692;
  llvm_cbe_tmp__6694 = *llvm_cbe_tmp__6690;
  llvm_cbe_tmp__6695 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6694);
  llvm_cbe_tmp__6696 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6695) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__6693)))));
  llvm_cbe_tmp__6697 = ((unsigned char )llvm_cbe_tmp__6696);
  *llvm_cbe_tmp__6690 = llvm_cbe_tmp__6697;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6697 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6697) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6697 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__6696) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__6694 ^ llvm_cbe_tmp__6693))))) & 128u) == 0u)) {
    llvm_cbe_tmp__964__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5633;
  } else {
    goto llvm_cbe_tmp__7808;
  }

llvm_cbe_tmp__7807:
  llvm_cbe_tmp4083_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__973 ^ llvm_cbe_tmp__972)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__975__PHI_TEMPORARY = llvm_cbe_tmp4083_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4994;

llvm_cbe_tmp__7809:
  llvm_cbe_tmp__4487 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4488 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4487) + ((unsigned int )22u)));
  llvm_cbe_tmp__4489 = llvm_cbe_tmp__4488 & 65535u;
  llvm_cbe_tmp__4490 = *((&RAM.array[((signed int )llvm_cbe_tmp__4489)]));
  llvm_cbe_tmp__4491 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4489) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4492 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4490)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4491));
  llvm_cbe_tmp__4493 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4487) + ((unsigned int )14u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4493)])) = llvm_cbe_tmp__4490;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4493) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4491;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4492 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4492))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4492 == 0u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__4488)])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4487) + ((unsigned int )23u)))))])) = ((unsigned char )88);
  goto llvm_cbe_tmp__7805;

llvm_cbe_tmp__7583:
  llvm_cbe_tmp__6970 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6970) + ((unsigned int )12u)))))])) = ((unsigned char )30);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6970) + ((unsigned int )13u)))))])) = ((unsigned char )-86);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe_tmp__7809;

llvm_cbe_tmp__7584:
  llvm_cbe_tmp__6971 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6971) + ((unsigned int )12u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6971) + ((unsigned int )13u)))))])) = ((unsigned char )-120);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe_tmp__7809;

llvm_cbe_tmp__7585:
  llvm_cbe_tmp__6972 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6972) + ((unsigned int )12u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6972) + ((unsigned int )13u)))))])) = ((unsigned char )106);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe_tmp__7809;

llvm_cbe_tmp__7586:
  llvm_cbe_tmp__6973 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6973) + ((unsigned int )12u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6973) + ((unsigned int )13u)))))])) = ((unsigned char )112);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe_tmp__7809;

llvm_cbe_tmp__7495:
  llvm_cbe_tmp__6000 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6000) + ((unsigned int )22u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6000) + ((unsigned int )23u)))))])) = ((unsigned char )82);
  goto llvm_cbe_tmp__7805;

llvm_cbe_tmp__7496:
  llvm_cbe_tmp__6001 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6001) + ((unsigned int )22u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6001) + ((unsigned int )23u)))))])) = ((unsigned char )86);
  goto llvm_cbe_tmp__7805;

llvm_cbe_tmp__7508:
  llvm_cbe_tmp__6128 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6129 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6128) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__6130 = *((&RAM.array[((signed int )llvm_cbe_tmp__6129)]));
  llvm_cbe_tmp__6131 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6129) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6132 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6130)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6131));
  llvm_cbe_tmp__6133 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6128) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6133)])) = llvm_cbe_tmp__6130;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6133) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6131;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6132 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6132))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6132 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6128) + ((unsigned int )22u)))))])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6128) + ((unsigned int )23u)))))])) = ((unsigned char )74);
  goto llvm_cbe_tmp__7805;

llvm_cbe__2e__crit_edge5627:
  llvm_cbe_tmp__6538 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6539 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6538) + ((unsigned int )8u)));
  llvm_cbe_tmp__6540 = llvm_cbe_tmp__6539 & 65535u;
  llvm_cbe_tmp__6541 = (&RAM.array[((signed int )llvm_cbe_tmp__6540)]);
  llvm_cbe_tmp__6542 = *llvm_cbe_tmp__6541;
  llvm_cbe_tmp__6543 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6542);
  llvm_cbe_tmp__6544 = llvm_cbe_tmp__6543 << 8u;
  llvm_cbe_tmp__6545 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6540) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6546 = *llvm_cbe_tmp__6545;
  llvm_cbe_tmp__6547 = llvm_cbe_tmp__6544 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6546));
  llvm_cbe_tmp__6548 = llvm_cbe_tmp__6547 << 1u;
  *llvm_cbe_tmp__6541 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6547) >> ((unsigned int )7u))))));
  *llvm_cbe_tmp__6545 = (((unsigned char )llvm_cbe_tmp__6548));
  llvm_cbe_tmp__6549 = ((unsigned short )llvm_cbe_tmp__6548);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6549 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6549) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6549 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6543) >> ((unsigned int )7u))));
  *(&ST_O) = ((((unsigned int )(((unsigned int )(llvm_cbe_tmp__6548 ^ llvm_cbe_tmp__6544)) >> ((unsigned int )15u)))) & 1u);
  llvm_cbe_tmp__6550 = *((&RAM.array[((signed int )llvm_cbe_tmp__6539)]));
  llvm_cbe_tmp__6551 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6538) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__6552 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6551)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6550)) << 8u))) + ((unsigned int )3278u)));
  llvm_cbe_tmp__6553 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6552 & 65534u))]));
  llvm_cbe_tmp__6554 = *((&RAM.array[((signed int )((llvm_cbe_tmp__6552 | 1u) & 65535u))]));
  llvm_cbe_tmp__6555 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6538) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6555)])) = llvm_cbe_tmp__6553;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6555) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6554;
  llvm_cbe_tmp__6556 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6538) + ((unsigned int )14u)));
  llvm_cbe_tmp__6557 = llvm_cbe_tmp__6556 & 65535u;
  llvm_cbe_tmp__6558 = (&RAM.array[((signed int )llvm_cbe_tmp__6557)]);
  llvm_cbe_tmp__6559 = *llvm_cbe_tmp__6558;
  llvm_cbe_tmp__6560 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6559);
  llvm_cbe_tmp__6561 = llvm_cbe_tmp__6560 << 8u;
  llvm_cbe_tmp__6562 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6557) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6563 = *llvm_cbe_tmp__6562;
  llvm_cbe_tmp__6564 = llvm_cbe_tmp__6561 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6563));
  llvm_cbe_tmp__6565 = llvm_cbe_tmp__6564 << 1u;
  *llvm_cbe_tmp__6558 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6564) >> ((unsigned int )7u))))));
  *llvm_cbe_tmp__6562 = (((unsigned char )llvm_cbe_tmp__6565));
  llvm_cbe_tmp__6566 = ((unsigned short )llvm_cbe_tmp__6565);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6566 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6566) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6566 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6560) >> ((unsigned int )7u))));
  *(&ST_O) = ((((unsigned int )(((unsigned int )(llvm_cbe_tmp__6565 ^ llvm_cbe_tmp__6561)) >> ((unsigned int )15u)))) & 1u);
  llvm_cbe_tmp__6567 = *((&RAM.array[((signed int )llvm_cbe_tmp__6556)]));
  llvm_cbe_tmp__6568 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6538) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__6569 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6568)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6567)) << 8u))) + ((unsigned int )3284u)));
  llvm_cbe_tmp__6570 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6569 & 65534u))]));
  llvm_cbe_tmp__6571 = *((&RAM.array[((signed int )((llvm_cbe_tmp__6569 | 1u) & 65535u))]));
  llvm_cbe_tmp__6572 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6570)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6571));
  *llvm_cbe_tmp__6558 = llvm_cbe_tmp__6570;
  *llvm_cbe_tmp__6562 = llvm_cbe_tmp__6571;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6572 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6572))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6572 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6538) + ((unsigned int )22u)))))])) = ((unsigned char )6);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6538) + ((unsigned int )23u)))))])) = ((unsigned char )94);
  goto llvm_cbe_tmp__7805;

llvm_cbe_tmp__7556:
  llvm_cbe_tmp__6787 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6788 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6787) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6789 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6787) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6790 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6788)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6789))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6787) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__6790;
  llvm_cbe_tmp__6791 = *(&WP);
  llvm_cbe_tmp__6792 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6791);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6792) + ((unsigned int )22u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6792) + ((unsigned int )23u)))))])) = ((unsigned char )96);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__6793 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6792) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6794 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6792) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6795 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6793)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6794))))));
  *((&RAM.array[((signed int )33773u)])) = llvm_cbe_tmp__6795;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6795 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6795) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6795 == ((unsigned char )0))));
  goto llvm_cbe_tmp__7805;

llvm_cbe_tmp__7560:
  llvm_cbe_tmp__6827 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6827) + ((unsigned int )14u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6827) + ((unsigned int )15u)))))])) = ((unsigned char )-46);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6827) + ((unsigned int )16u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6827) + ((unsigned int )17u)))))])) = ((unsigned char )-48);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6827) + ((unsigned int )22u)))))])) = ((unsigned char )11);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6827) + ((unsigned int )23u)))))])) = ((unsigned char )48);
  goto llvm_cbe_tmp__7805;

llvm_cbe_tmp__7611:
  llvm_cbe_tmp__7130 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7131 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7130) + ((unsigned int )22u)));
  llvm_cbe_tmp__7132 = llvm_cbe_tmp__7131 & 65535u;
  llvm_cbe_tmp__7133 = *((&RAM.array[((signed int )llvm_cbe_tmp__7132)]));
  llvm_cbe_tmp__7134 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7132) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__7135 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7133)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__7134));
  llvm_cbe_tmp__7136 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7130) + ((unsigned int )24u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7136)])) = llvm_cbe_tmp__7133;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7136) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7134;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7135 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__7135))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7135 == 0u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__7131)])) = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7130) + ((unsigned int )23u)))))])) = ((unsigned char )110);
  goto llvm_cbe_tmp__7805;

llvm_cbe_tmp__7806:
  llvm_cbe__2e_lobit4610 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1519) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1522__PHI_TEMPORARY = llvm_cbe__2e_lobit4610;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5037;

llvm_cbe_tmp__7804:
  llvm_cbe_tmp4609 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1554) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__1559__PHI_TEMPORARY = llvm_cbe_tmp4609;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5038;

llvm_cbe__2e__crit_edge5637:
  llvm_cbe_tmp__1725 = llvm_cbe_tmp__1725__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1725;
  llvm_cbe_tmp__1726 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6796) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1727 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6796) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1728 = *llvm_cbe_tmp__6801;
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1727)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1726)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )-2))))))), llvm_cbe_tmp__1728);
  llvm_cbe_tmp__1729 = ((unsigned int )(bool )(llvm_cbe_tmp__1728 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1729;
  llvm_cbe_tmp__1730 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1728) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__1730;
  llvm_cbe_tmp__1731 = ((unsigned int )(bool )(llvm_cbe_tmp__1728 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__1731;
  llvm_cbe_tmp__1732 = *(&WP);
  llvm_cbe_tmp__1733 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1732);
  llvm_cbe_tmp__1734 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1733) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__1735 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1733) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__1736 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1735)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1734)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__1736;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__1732;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__1729;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__1731;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__1730;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__1732;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__1736;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__1736;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7810:
  llvm_cbe_tmp4135_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__6806 ^ llvm_cbe_tmp__6803)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1725__PHI_TEMPORARY = llvm_cbe_tmp4135_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5637;

llvm_cbe_tmp__7557:
  llvm_cbe_tmp__6796 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6797 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6796) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__6798 = *((&RAM.array[((signed int )llvm_cbe_tmp__6797)]));
  llvm_cbe_tmp__6799 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6798)) << 8u;
  llvm_cbe_tmp__6800 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6797) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6801 = (&RAM.array[((signed int )llvm_cbe_tmp__6796)]);
  llvm_cbe_tmp__6802 = *llvm_cbe_tmp__6801;
  llvm_cbe_tmp__6803 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6802)) << 8u;
  llvm_cbe_tmp__6804 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6796) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6805 = *llvm_cbe_tmp__6804;
  llvm_cbe_tmp__6806 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6803 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6805)))) + ((unsigned int )(llvm_cbe_tmp__6799 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6800))))));
  *llvm_cbe_tmp__6801 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6806) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6804 = (((unsigned char )llvm_cbe_tmp__6806));
  llvm_cbe_tmp__6807 = ((unsigned short )llvm_cbe_tmp__6806);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6807 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6807) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6807 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6806) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__6803 ^ llvm_cbe_tmp__6799) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7810;
  } else {
    llvm_cbe_tmp__1725__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5637;
  }

llvm_cbe__2e__crit_edge5639:
  llvm_cbe_tmp__1821 = llvm_cbe_tmp__1821__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1821;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6815) + ((unsigned int )22u)))))])) = ((unsigned char )11);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6815) + ((unsigned int )23u)))))])) = ((unsigned char )20);
  llvm_cbe_tmp__1822 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6815) + ((unsigned int )18u)))))]));
  llvm_cbe_tmp__1823 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6815) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__1824 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1823)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1822)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__1824;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__6824;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__6826;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__6825;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__1824;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__1824;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7811:
  llvm_cbe__2e_lobit4141 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6822) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1821__PHI_TEMPORARY = llvm_cbe__2e_lobit4141;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5639;

llvm_cbe_tmp__7559:
  llvm_cbe_tmp__6815 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6816 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6815) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__6817 = (&RAM.array[((signed int )llvm_cbe_tmp__6816)]);
  llvm_cbe_tmp__6818 = *llvm_cbe_tmp__6817;
  llvm_cbe_tmp__6819 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6818)) << 8u;
  llvm_cbe_tmp__6820 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6816) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6821 = *llvm_cbe_tmp__6820;
  llvm_cbe_tmp__6822 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6819 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6821)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6817 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6822) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6820 = (((unsigned char )llvm_cbe_tmp__6822));
  llvm_cbe_tmp__6823 = ((unsigned short )llvm_cbe_tmp__6822);
  llvm_cbe_tmp__6824 = ((unsigned int )(bool )(llvm_cbe_tmp__6823 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__6824;
  llvm_cbe_tmp__6825 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6823) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6825;
  llvm_cbe_tmp__6826 = ((unsigned int )(bool )(llvm_cbe_tmp__6823 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__6826;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6822) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6819 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7811;
  } else {
    llvm_cbe_tmp__1821__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5639;
  }

llvm_cbe__2e__crit_edge5067:
  llvm_cbe__2e_rle5965 = llvm_cbe__2e_rle5965__PHI_TEMPORARY;
  llvm_cbe__2e_rle5931 = llvm_cbe__2e_rle5931__PHI_TEMPORARY;
  llvm_cbe__2e_rle5899 = llvm_cbe__2e_rle5899__PHI_TEMPORARY;
  llvm_cbe_tmp__2111 = *(&WP);
  llvm_cbe_tmp__2112 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2111);
  llvm_cbe_tmp__2113 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2112) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__2114 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2112) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__2115 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2114)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2113)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__2115;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__2111;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5965;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5931;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5899;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__2111;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__2115;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__2115;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7812:
  llvm_cbe_tmp__2045 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2043) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__2046 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2043) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__2047 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2046)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2045)) << ((unsigned short )8))))))));
  llvm_cbe_tmp__2048 = ((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__2044) > ((unsigned char )llvm_cbe_tmp__2047)));
  *(&ST_LGT) = llvm_cbe_tmp__2048;
  llvm_cbe_tmp__2049 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2044) > ((signed char )llvm_cbe_tmp__2047)));
  *(&ST_AGT) = llvm_cbe_tmp__2049;
  llvm_cbe_tmp__2050 = ((unsigned int )(bool )(llvm_cbe_tmp__2044 == llvm_cbe_tmp__2047));
  *(&ST_EQ) = llvm_cbe_tmp__2050;
  if ((llvm_cbe_tmp__2044 == llvm_cbe_tmp__2047)) {
    goto llvm_cbe_tmp__7813;
  } else {
    llvm_cbe__2e_rle5965__PHI_TEMPORARY = llvm_cbe_tmp__2048;   /* for PHI node */
    llvm_cbe__2e_rle5931__PHI_TEMPORARY = llvm_cbe_tmp__2050;   /* for PHI node */
    llvm_cbe__2e_rle5899__PHI_TEMPORARY = llvm_cbe_tmp__2049;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5067;
  }

llvm_cbe_tmp__7814:
  llvm_cbe_tmp__2042 = llvm_cbe_tmp__2042__PHI_TEMPORARY;
  llvm_cbe_tmp__2043 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2042);
  llvm_cbe_tmp__2044 = *((&RAM.array[((signed int )33621u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2043) + ((unsigned int )10u)))) & 65535u))])) = llvm_cbe_tmp__2044;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2044 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2044) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2044 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__2044 == ((unsigned char )0))) {
    llvm_cbe_tmp__2098__PHI_TEMPORARY = llvm_cbe_tmp__2042;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5066;
  } else {
    goto llvm_cbe_tmp__7812;
  }

llvm_cbe__2e__crit_edge5051:
  llvm_cbe_tmp__1810 = llvm_cbe_tmp__1810__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1810;
  llvm_cbe_tmp__1811 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__1792) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__1812 = (&RAM.array[((signed int )llvm_cbe_tmp__1811)]);
  llvm_cbe_tmp__1813 = *llvm_cbe_tmp__1812;
  llvm_cbe_tmp__1814 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1811) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1815 = *llvm_cbe_tmp__1814;
  llvm_cbe_tmp__1816 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1813)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1815));
  *llvm_cbe_tmp__1812 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1816) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1814 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__1815) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__1817 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1816 & 65534u))]));
  llvm_cbe_tmp__1818 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1816 | 1u))]));
  llvm_cbe_tmp__1819 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1817)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1818));
  llvm_cbe_tmp__1820 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1793) + ((unsigned int )18u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1820)])) = llvm_cbe_tmp__1817;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1820) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1818;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1819 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1819))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1819 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1793) + ((unsigned int )22u)))))])) = ((unsigned char )11);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1793) + ((unsigned int )23u)))))])) = ((unsigned char )14);
  llvm_cbe_tmp__2042__PHI_TEMPORARY = llvm_cbe_tmp__1792;   /* for PHI node */
  goto llvm_cbe_tmp__7814;

llvm_cbe_tmp__7815:
  llvm_cbe_tmp__1804 = *llvm_cbe_tmp__1802;
  *((&RAM.array[((signed int )33746u)])) = llvm_cbe_tmp__1804;
  *((&RAM.array[((signed int )33747u)])) = llvm_cbe_tmp__1799;
  llvm_cbe_tmp__1805 = *llvm_cbe_tmp__1802;
  llvm_cbe_tmp__1806 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1805)) << 8u;
  llvm_cbe_tmp__1807 = *llvm_cbe_tmp__1803;
  llvm_cbe_tmp__1808 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1806 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1807)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__1802 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1808) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1803 = (((unsigned char )llvm_cbe_tmp__1808));
  llvm_cbe_tmp__1809 = ((unsigned short )llvm_cbe_tmp__1808);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1809 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1809) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1809 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1808) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1806 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7816;
  } else {
    llvm_cbe_tmp__1810__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5051;
  }

llvm_cbe_tmp__7817:
  llvm_cbe_tmp__1792 = *(&WP);
  llvm_cbe_tmp__1793 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1792);
  llvm_cbe_tmp__1794 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1793) + ((unsigned int )4u)));
  llvm_cbe_tmp__1795 = *((&RAM.array[((signed int )llvm_cbe_tmp__1794)]));
  llvm_cbe_tmp__1796 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1793) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1797 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1796)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1795)) << 8u);
  llvm_cbe_tmp__1798 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1797 & 65534u))]));
  llvm_cbe_tmp__1799 = *((&RAM.array[((signed int )(llvm_cbe_tmp__1797 | 1u))]));
  llvm_cbe_tmp__1800 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1798)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1799));
  llvm_cbe_tmp__1801 = llvm_cbe_tmp__1794 & 65535u;
  llvm_cbe_tmp__1802 = (&RAM.array[((signed int )llvm_cbe_tmp__1801)]);
  *llvm_cbe_tmp__1802 = llvm_cbe_tmp__1798;
  llvm_cbe_tmp__1803 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1801) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__1803 = llvm_cbe_tmp__1799;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1800 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1800))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1800 == 0u)));
  if ((llvm_cbe_tmp__1800 == 0u)) {
    goto llvm_cbe__2e__crit_edge5048;
  } else {
    goto llvm_cbe_tmp__7815;
  }

llvm_cbe__2e__crit_edge5049:
  llvm_cbe_tmp__1784 = llvm_cbe_tmp__1784__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1784;
  goto llvm_cbe_tmp__7817;

llvm_cbe_tmp__7818:
  llvm_cbe_tmp__1779 = *((&RAM.array[((signed int )33645u)]));
  llvm_cbe_tmp__1780 = *((&RAM.array[((signed int )33765u)]));
  llvm_cbe_tmp__1781 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1780);
  llvm_cbe_tmp__1782 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1781) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1779)))));
  llvm_cbe_tmp__1783 = ((unsigned char )llvm_cbe_tmp__1782);
  *((&RAM.array[((signed int )33765u)])) = llvm_cbe_tmp__1783;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1783 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1783) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1783 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1782) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__1780 ^ llvm_cbe_tmp__1779))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7819;
  } else {
    llvm_cbe_tmp__1784__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5049;
  }

  do {     /* Syntactic loop '._crit_edge5048' to make GCC happy */
llvm_cbe__2e__crit_edge5048:
  llvm_cbe_tmp__1737 = *(&WP);
  llvm_cbe_tmp__1738 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1737);
  llvm_cbe_tmp__1739 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1738) + ((unsigned int )24u)));
  llvm_cbe_tmp__1740 = llvm_cbe_tmp__1739 & 65535u;
  llvm_cbe_tmp__1741 = (&RAM.array[((signed int )llvm_cbe_tmp__1740)]);
  llvm_cbe_tmp__1742 = *llvm_cbe_tmp__1741;
  llvm_cbe_tmp__1743 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1740) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1744 = *llvm_cbe_tmp__1743;
  llvm_cbe_tmp__1745 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1742)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1744));
  *llvm_cbe_tmp__1741 = llvm_cbe_tmp__1742;
  *llvm_cbe_tmp__1743 = llvm_cbe_tmp__1744;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1745 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1745))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1745 == 0u)));
  if ((llvm_cbe_tmp__1745 == 0u)) {
    llvm_cbe_tmp__1748__PHI_TEMPORARY = llvm_cbe_tmp__1737;   /* for PHI node */
    llvm_cbe_tmp__1749__PHI_TEMPORARY = llvm_cbe_tmp__1737;   /* for PHI node */
    llvm_cbe_tmp__1750__PHI_TEMPORARY = llvm_cbe_tmp__1737;   /* for PHI node */
    llvm_cbe_tmp__1751__PHI_TEMPORARY = llvm_cbe_tmp__1737;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5045;
  } else {
    goto llvm_cbe_tmp__7820;
  }

llvm_cbe_tmp__7821:
  llvm_cbe_tmp__1767 = llvm_cbe_tmp__1760 & 65535u;
  llvm_cbe_tmp__1768 = *((&RAM.array[((signed int )llvm_cbe_tmp__1767)]));
  llvm_cbe_tmp__1769 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1767) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1770 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1768)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1769));
  *((&RAM.array[((signed int )33744u)])) = llvm_cbe_tmp__1768;
  *((&RAM.array[((signed int )33745u)])) = llvm_cbe_tmp__1769;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1770 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1770))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1770 == 0u)));
  llvm_cbe_tmp__1771 = *llvm_cbe_tmp__1761;
  llvm_cbe_tmp__1772 = *llvm_cbe_tmp__1763;
   /*tail*/ cruout((((unsigned short )((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1771)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1772)))))) >> ((unsigned short )((unsigned short )1))))))) & ((unsigned short )4095)))), 1u);
  llvm_cbe_tmp__1773 = *(&WP);
  llvm_cbe_tmp__1774 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1773);
  llvm_cbe_tmp__1775 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1774) + ((unsigned int )4u)))))]);
  *llvm_cbe_tmp__1775 = ((unsigned char )64);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1774) + ((unsigned int )5u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__1776 = *llvm_cbe_tmp__1775;
  llvm_cbe_tmp__1777 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1776)) << ((unsigned short )8)))));
  llvm_cbe_tmp__1778 = *((&RAM.array[((signed int )13u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__1777) > ((unsigned char )llvm_cbe_tmp__1778))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1777) > ((signed char )llvm_cbe_tmp__1778))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1777 == llvm_cbe_tmp__1778)));
  if ((llvm_cbe_tmp__1777 == llvm_cbe_tmp__1778)) {
    goto llvm_cbe_tmp__7818;
  } else {
    goto llvm_cbe__2e__crit_edge5048;
  }

llvm_cbe__2e__crit_edge5046:
  llvm_cbe_tmp__1757 = llvm_cbe_tmp__1757__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1757;
  *((&RAM.array[((signed int )33744u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33745u)])) = ((unsigned char )0);
  llvm_cbe_tmp__1758 = *(&WP);
  llvm_cbe_tmp__1759 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1758);
  llvm_cbe_tmp__1760 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1759) + ((unsigned int )24u)));
  llvm_cbe_tmp__1761 = (&RAM.array[((signed int )llvm_cbe_tmp__1760)]);
  llvm_cbe_tmp__1762 = *llvm_cbe_tmp__1761;
  llvm_cbe_tmp__1763 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1759) + ((unsigned int )25u)))))]);
  llvm_cbe_tmp__1764 = *llvm_cbe_tmp__1763;
  llvm_cbe_tmp__1765 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1764)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1762)) << 8u);
  llvm_cbe_tmp__1766 = ((unsigned short )llvm_cbe_tmp__1765);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__1766) > ((unsigned short )((unsigned short )8192)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1766) > ((signed short )((unsigned short )8192)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1765 == 8192u)));
  if ((llvm_cbe_tmp__1765 == 8192u)) {
    goto llvm_cbe__2e__crit_edge4931;
  } else {
    goto llvm_cbe_tmp__7821;
  }

llvm_cbe__2e__crit_edge5045:
  llvm_cbe_tmp__1748 = llvm_cbe_tmp__1748__PHI_TEMPORARY;
  llvm_cbe_tmp__1749 = llvm_cbe_tmp__1749__PHI_TEMPORARY;
  llvm_cbe_tmp__1750 = llvm_cbe_tmp__1750__PHI_TEMPORARY;
  llvm_cbe_tmp__1751 = llvm_cbe_tmp__1751__PHI_TEMPORARY;
  llvm_cbe_tmp__1752 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1751))) + ((unsigned int )24u)))))]));
  llvm_cbe_tmp__1753 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1752)) << 8u;
  llvm_cbe_tmp__1754 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1750))) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__1755 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__1754)) | llvm_cbe_tmp__1753)) + ((unsigned int )256u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1749))) + ((unsigned int )24u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1755) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1748))) + ((unsigned int )25u)))))])) = (((unsigned char )llvm_cbe_tmp__1755));
  llvm_cbe_tmp__1756 = ((unsigned short )llvm_cbe_tmp__1755);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1756 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1756) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1756 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1755) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1753 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7822;
  } else {
    llvm_cbe_tmp__1757__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5046;
  }

llvm_cbe_tmp__7820:
  llvm_cbe_tmp__1746 = *((&RAM.array[((signed int )llvm_cbe_tmp__1739)]));
  llvm_cbe_tmp__1747 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1738) + ((unsigned int )25u)))))]));
   /*tail*/ cruout((((unsigned short )((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1746)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1747)))))) >> ((unsigned short )((unsigned short )1))))))) & ((unsigned short )4095)))), 0u);
  llvm_cbe__2e_pre6212 = *(&WP);
  llvm_cbe_tmp__1748__PHI_TEMPORARY = llvm_cbe__2e_pre6212;   /* for PHI node */
  llvm_cbe_tmp__1749__PHI_TEMPORARY = llvm_cbe__2e_pre6212;   /* for PHI node */
  llvm_cbe_tmp__1750__PHI_TEMPORARY = llvm_cbe__2e_pre6212;   /* for PHI node */
  llvm_cbe_tmp__1751__PHI_TEMPORARY = llvm_cbe__2e_pre6212;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5045;

llvm_cbe_tmp__7822:
  llvm_cbe__2e_lobit4149 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1755) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1757__PHI_TEMPORARY = llvm_cbe__2e_lobit4149;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5046;

  } while (1); /* end of syntactic loop '._crit_edge5048' */
llvm_cbe_tmp__7823:
  *((&RAM.array[((signed int )llvm_cbe_tmp__6810)])) = ((unsigned char )15);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6808) + ((unsigned int )25u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe__2e__crit_edge5048;

llvm_cbe_tmp__7558:
  llvm_cbe_tmp__6808 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6809 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6808) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6809)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6809) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__6810 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6808) + ((unsigned int )24u)));
  llvm_cbe_tmp__6811 = *((&RAM.array[((signed int )33744u)]));
  llvm_cbe_tmp__6812 = *((&RAM.array[((signed int )33745u)]));
  llvm_cbe_tmp__6813 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6811)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6812));
  llvm_cbe_tmp__6814 = llvm_cbe_tmp__6810 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6814)])) = llvm_cbe_tmp__6811;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6814) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6812;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6813 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6813))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6813 == 0u)));
  if ((llvm_cbe_tmp__6813 == 0u)) {
    goto llvm_cbe_tmp__7823;
  } else {
    goto llvm_cbe__2e__crit_edge5553;
  }

llvm_cbe_tmp__7819:
  llvm_cbe_tmp4143_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1782 ^ llvm_cbe_tmp__1781)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__1784__PHI_TEMPORARY = llvm_cbe_tmp4143_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5049;

llvm_cbe__2e__crit_edge5553:
  llvm_cbe_tmp__1785 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__1786 = *((&RAM.array[((signed int )33746u)]));
  llvm_cbe_tmp__1787 = *((&RAM.array[((signed int )33747u)]));
  llvm_cbe_tmp__1788 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1786)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1787));
  llvm_cbe_tmp__1789 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1785) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1789)])) = llvm_cbe_tmp__1786;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1789) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1787;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1788 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1788))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1788 == 0u)));
  llvm_cbe_tmp__1790 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1785) + ((unsigned int )24u)))))]));
  llvm_cbe_tmp__1791 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1785) + ((unsigned int )25u)))))]));
   /*tail*/ cruout((((unsigned short )((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1790)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1791)))))) >> ((unsigned short )((unsigned short )1))))))) & ((unsigned short )4095)))), 1u);
  goto llvm_cbe_tmp__7817;

llvm_cbe_tmp__7816:
  llvm_cbe__2e_lobit4151 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1808) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1810__PHI_TEMPORARY = llvm_cbe__2e_lobit4151;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5051;

llvm_cbe__2e__crit_edge5058:
  llvm_cbe_tmp__1923 = llvm_cbe_tmp__1923__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1923;
  llvm_cbe_tmp__1924 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1908) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1925 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1908) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1926 = *llvm_cbe_tmp__1913;
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1925)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1924)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1926);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1926 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1926) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1926 == ((unsigned char )0))));
  llvm_cbe_tmp__1927 = *(&WP);
  llvm_cbe_tmp__1928 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1927);
  llvm_cbe_tmp__1929 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1928) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1930 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1928) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1931 = *((&RAM.array[((signed int )33767u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1929)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1930)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__1931);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1931 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1931) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1931 == ((unsigned char )0))));
  llvm_cbe_tmp__1932 = *(&WP);
  llvm_cbe_tmp__1933 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1932);
  llvm_cbe_tmp__1934 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1933) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1935 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1933) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1936 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1934)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1935))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1933) + ((unsigned int )18u)))) & 65535u))])) = llvm_cbe_tmp__1936;
  llvm_cbe_tmp__1937 = *(&WP);
  llvm_cbe_tmp__1938 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1937);
  llvm_cbe_tmp__1939 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1938) + ((unsigned int )20u)))))]);
  llvm_cbe_tmp__1940 = *llvm_cbe_tmp__1939;
  llvm_cbe_tmp__1941 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1940);
  llvm_cbe_tmp__1942 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1938) + ((unsigned int )21u)))))]);
  llvm_cbe_tmp__1943 = *llvm_cbe_tmp__1942;
  llvm_cbe_tmp__1944 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1943)) | (llvm_cbe_tmp__1941 << 8u);
  llvm_cbe_tmp__1945 = llvm_cbe_tmp__1944 << 4u;
  *llvm_cbe_tmp__1939 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1944) >> ((unsigned int )4u))))));
  *llvm_cbe_tmp__1942 = (((unsigned char )llvm_cbe_tmp__1945));
  llvm_cbe_tmp__1946 = ((unsigned short )llvm_cbe_tmp__1945);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1946 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1946) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1946 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1941) >> ((unsigned int )4u)))) & 1u);
  llvm_cbe_tmp__1947 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1938) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__1948 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1938) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__1949 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1947)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1948))))));
  *((&RAM.array[((signed int )33779u)])) = llvm_cbe_tmp__1949;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1949 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1949) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1949 == ((unsigned char )0))));
  llvm_cbe_tmp__1950 = *(&WP);
  llvm_cbe_tmp__1951 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1950);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1951) + ((unsigned int )22u)))))])) = ((unsigned char )11);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1951) + ((unsigned int )23u)))))])) = ((unsigned char )-110);
  llvm_cbe_tmp__2042__PHI_TEMPORARY = llvm_cbe_tmp__1950;   /* for PHI node */
  goto llvm_cbe_tmp__7814;

llvm_cbe_tmp__7798:
  llvm_cbe_tmp__1918 = *llvm_cbe_tmp__1913;
  llvm_cbe_tmp__1919 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1918)) << 8u;
  llvm_cbe_tmp__1920 = *llvm_cbe_tmp__1915;
  llvm_cbe_tmp__1921 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1919 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1920)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__1913 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1921) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1915 = (((unsigned char )llvm_cbe_tmp__1921));
  llvm_cbe_tmp__1922 = ((unsigned short )llvm_cbe_tmp__1921);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1922 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1922) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1922 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1921) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1919 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7824;
  } else {
    llvm_cbe_tmp__1923__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5058;
  }

llvm_cbe_tmp__7824:
  llvm_cbe__2e_lobit4171 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1921) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1923__PHI_TEMPORARY = llvm_cbe__2e_lobit4171;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5058;

  do {     /* Syntactic loop '._crit_edge5073' to make GCC happy */
llvm_cbe__2e__crit_edge5073:
  llvm_cbe_tmp__2057 = llvm_cbe_tmp__2057__PHI_TEMPORARY;
  llvm_cbe_tmp__2058 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2057);
  llvm_cbe_tmp__2059 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2058) + ((unsigned int )4u)));
  llvm_cbe_tmp__2060 = (&RAM.array[((signed int )llvm_cbe_tmp__2059)]);
  llvm_cbe_tmp__2061 = *llvm_cbe_tmp__2060;
  llvm_cbe_tmp__2062 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2058) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__2063 = *llvm_cbe_tmp__2062;
  llvm_cbe_tmp__2064 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2063)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2061)) << 8u);
  llvm_cbe_tmp__2065 = ((unsigned short )llvm_cbe_tmp__2064);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2065) > ((unsigned short )((unsigned short )-26624)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2065) > ((signed short )((unsigned short )-26624)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2064 == 38912u)));
  if (((((((unsigned short )llvm_cbe_tmp__2065) > ((unsigned short )((unsigned short )-26624))) | (llvm_cbe_tmp__2064 == 38912u))&1))) {
    goto llvm_cbe__2e__crit_edge5068;
  } else {
    goto llvm_cbe_tmp__7825;
  }

llvm_cbe__2e__crit_edge5072:
  llvm_cbe_tmp__2097 = llvm_cbe_tmp__2097__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2097;
  if ((llvm_cbe_tmp__2096 == ((unsigned short )0))) {
    llvm_cbe_tmp__2098__PHI_TEMPORARY = llvm_cbe_tmp__2088;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5066;
  } else {
    llvm_cbe_tmp__2057__PHI_TEMPORARY = llvm_cbe_tmp__2088;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5073;
  }

llvm_cbe_tmp__7826:
  llvm_cbe_tmp__2088 = *(&WP);
  llvm_cbe_tmp__2089 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__2088))) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__2090 = (&RAM.array[((signed int )llvm_cbe_tmp__2089)]);
  llvm_cbe_tmp__2091 = *llvm_cbe_tmp__2090;
  llvm_cbe_tmp__2092 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2091)) << 8u;
  llvm_cbe_tmp__2093 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2089) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2094 = *llvm_cbe_tmp__2093;
  llvm_cbe_tmp__2095 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2092 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2094)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2090 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2095) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2093 = (((unsigned char )llvm_cbe_tmp__2095));
  llvm_cbe_tmp__2096 = ((unsigned short )llvm_cbe_tmp__2095);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2096 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2096) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2096 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2095) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2092 & 32768u) == 0u)) {
    llvm_cbe_tmp__2097__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5072;
  } else {
    goto llvm_cbe_tmp__7827;
  }

llvm_cbe__2e__crit_edge5068:
  llvm_cbe_tmp__2075 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__2057) + ((unsigned short )((unsigned short )12))))))));
  llvm_cbe_tmp__2076 = (&RAM.array[((signed int )llvm_cbe_tmp__2075)]);
  llvm_cbe_tmp__2077 = *llvm_cbe_tmp__2076;
  llvm_cbe_tmp__2078 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2075) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2079 = *llvm_cbe_tmp__2078;
  llvm_cbe_tmp__2080 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2077)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2079));
  *llvm_cbe_tmp__2076 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2080) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2078 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2079) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__2081 = *llvm_cbe_tmp__2060;
  llvm_cbe_tmp__2082 = *llvm_cbe_tmp__2062;
  llvm_cbe_tmp__2083 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__2080)));
  llvm_cbe_tmp__2084 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2081)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2082))))));
  llvm_cbe_tmp__2085 = ((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__2083) > ((unsigned char )llvm_cbe_tmp__2084)));
  *(&ST_LGT) = llvm_cbe_tmp__2085;
  llvm_cbe_tmp__2086 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2083) > ((signed char )llvm_cbe_tmp__2084)));
  *(&ST_AGT) = llvm_cbe_tmp__2086;
  llvm_cbe_tmp__2087 = ((unsigned int )(bool )(llvm_cbe_tmp__2083 == llvm_cbe_tmp__2084));
  *(&ST_EQ) = llvm_cbe_tmp__2087;
  if ((llvm_cbe_tmp__2083 == llvm_cbe_tmp__2084)) {
    goto llvm_cbe_tmp__7826;
  } else {
    llvm_cbe__2e_rle5965__PHI_TEMPORARY = llvm_cbe_tmp__2085;   /* for PHI node */
    llvm_cbe__2e_rle5931__PHI_TEMPORARY = llvm_cbe_tmp__2087;   /* for PHI node */
    llvm_cbe__2e_rle5899__PHI_TEMPORARY = llvm_cbe_tmp__2086;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5067;
  }

llvm_cbe__2e__crit_edge5070:
  llvm_cbe_tmp__2074 = llvm_cbe_tmp__2074__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2074;
  goto llvm_cbe__2e__crit_edge5068;

llvm_cbe_tmp__7825:
  llvm_cbe_tmp__2066 = llvm_cbe_tmp__2059 & 65535u;
  llvm_cbe_tmp__2067 = (&RAM.array[((signed int )llvm_cbe_tmp__2066)]);
  llvm_cbe_tmp__2068 = *llvm_cbe_tmp__2067;
  llvm_cbe_tmp__2069 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2068)) << 8u;
  llvm_cbe_tmp__2070 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2066) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2071 = *llvm_cbe_tmp__2070;
  llvm_cbe_tmp__2072 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2069 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2071)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__2067 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2072) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2070 = (((unsigned char )llvm_cbe_tmp__2072));
  llvm_cbe_tmp__2073 = ((unsigned short )llvm_cbe_tmp__2072);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2073 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2073) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2073 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2072) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2069 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7828;
  } else {
    llvm_cbe_tmp__2074__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5070;
  }

llvm_cbe_tmp__7828:
  llvm_cbe__2e_lobit4168 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2072) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2074__PHI_TEMPORARY = llvm_cbe__2e_lobit4168;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5070;

llvm_cbe_tmp__7827:
  llvm_cbe_tmp4166 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2095) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2097__PHI_TEMPORARY = llvm_cbe_tmp4166;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5072;

  } while (1); /* end of syntactic loop '._crit_edge5073' */
llvm_cbe_tmp__7813:
  llvm_cbe_tmp__2051 = *(&WP);
  llvm_cbe_tmp__2052 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2051);
  llvm_cbe_tmp__2053 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2052) + ((unsigned int )10u)))))]);
  llvm_cbe_tmp__2054 = *llvm_cbe_tmp__2053;
  llvm_cbe_tmp__2055 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2052) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__2056 = *llvm_cbe_tmp__2055;
  *llvm_cbe_tmp__2053 = ((unsigned char )0);
  *llvm_cbe_tmp__2055 = llvm_cbe_tmp__2054;
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2056))) >> ((unsigned int )7u))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2052) + ((unsigned int )12u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2052) + ((unsigned int )13u)))))])) = ((unsigned char )74);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2057__PHI_TEMPORARY = llvm_cbe_tmp__2051;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5073;

llvm_cbe__2e__crit_edge5075:
  llvm_cbe_tmp__2110 = llvm_cbe_tmp__2110__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2110;
  llvm_cbe__2e_rle5965__PHI_TEMPORARY = llvm_cbe_tmp__2107;   /* for PHI node */
  llvm_cbe__2e_rle5931__PHI_TEMPORARY = llvm_cbe_tmp__2109;   /* for PHI node */
  llvm_cbe__2e_rle5899__PHI_TEMPORARY = llvm_cbe_tmp__2108;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5067;

llvm_cbe__2e__crit_edge5066:
  llvm_cbe_tmp__2098 = llvm_cbe_tmp__2098__PHI_TEMPORARY;
  llvm_cbe_tmp__2099 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__2098))) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__2100 = (&RAM.array[((signed int )llvm_cbe_tmp__2099)]);
  llvm_cbe_tmp__2101 = *llvm_cbe_tmp__2100;
  llvm_cbe_tmp__2102 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2101)) << 8u;
  llvm_cbe_tmp__2103 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2099) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2104 = *llvm_cbe_tmp__2103;
  llvm_cbe_tmp__2105 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2102 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2104)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__2100 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2105) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2103 = (((unsigned char )llvm_cbe_tmp__2105));
  llvm_cbe_tmp__2106 = ((unsigned short )llvm_cbe_tmp__2105);
  llvm_cbe_tmp__2107 = ((unsigned int )(bool )(llvm_cbe_tmp__2106 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__2107;
  llvm_cbe_tmp__2108 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2106) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__2108;
  llvm_cbe_tmp__2109 = ((unsigned int )(bool )(llvm_cbe_tmp__2106 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__2109;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2105) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2102 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7829;
  } else {
    llvm_cbe_tmp__2110__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5075;
  }

llvm_cbe_tmp__7829:
  llvm_cbe__2e_lobit4164 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2105) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2110__PHI_TEMPORARY = llvm_cbe__2e_lobit4164;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5075;

llvm_cbe__2e__crit_edge5076:
  llvm_cbe__2e_rle5967 = llvm_cbe__2e_rle5967__PHI_TEMPORARY;
  llvm_cbe__2e_rle5933 = llvm_cbe__2e_rle5933__PHI_TEMPORARY;
  llvm_cbe__2e_rle5901 = llvm_cbe__2e_rle5901__PHI_TEMPORARY;
  llvm_cbe_tmp__2220 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2122) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__2221 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2122) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__2222 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2221)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2220)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__2222;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5967;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5933;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5901;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__2222;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__2222;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5558:
  llvm_cbe_tmp__2122 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__2123 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2122) + ((unsigned int )14u)));
  llvm_cbe_tmp__2124 = (&RAM.array[((signed int )llvm_cbe_tmp__2123)]);
  *llvm_cbe_tmp__2124 = ((unsigned char )-125);
  llvm_cbe_tmp__2125 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2122) + ((unsigned int )15u)))))]);
  *llvm_cbe_tmp__2125 = ((unsigned char )92);
  llvm_cbe_tmp__2126 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2122) + ((unsigned int )10u)));
  llvm_cbe_tmp__2127 = (&RAM.array[((signed int )llvm_cbe_tmp__2126)]);
  *llvm_cbe_tmp__2127 = ((unsigned char )-125);
  llvm_cbe_tmp__2128 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2122) + ((unsigned int )11u)))))]);
  *llvm_cbe_tmp__2128 = ((unsigned char )74);
  llvm_cbe_tmp__2129 = *llvm_cbe_tmp__2124;
  llvm_cbe_tmp__2130 = *llvm_cbe_tmp__2125;
  llvm_cbe_tmp__2131 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2130)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2129)) << 8u);
  llvm_cbe_tmp__2132 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )10))))))));
  llvm_cbe_tmp__2133 = (&RAM.array[((signed int )llvm_cbe_tmp__2132)]);
  llvm_cbe_tmp__2134 = *llvm_cbe_tmp__2133;
  llvm_cbe_tmp__2135 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2132) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2136 = *llvm_cbe_tmp__2135;
  llvm_cbe_tmp__2137 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2134)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2136));
  *llvm_cbe_tmp__2133 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2137) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2135 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2136) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__2138 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2131 & 65534u))]));
  llvm_cbe_tmp__2139 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2131 | 1u))]));
  llvm_cbe_tmp__2140 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2137 & 65534u))]));
  llvm_cbe_tmp__2141 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2137 | 1u))]));
  llvm_cbe_tmp__2142 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2138)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2139))));
  llvm_cbe_tmp__2143 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2140)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2141))));
  llvm_cbe_tmp__2144 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2142) > ((unsigned short )llvm_cbe_tmp__2143)));
  *(&ST_LGT) = llvm_cbe_tmp__2144;
  llvm_cbe_tmp__2145 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2142) > ((signed short )llvm_cbe_tmp__2143)));
  *(&ST_AGT) = llvm_cbe_tmp__2145;
  llvm_cbe_tmp__2146 = ((unsigned int )(bool )(llvm_cbe_tmp__2142 == llvm_cbe_tmp__2143));
  *(&ST_EQ) = llvm_cbe_tmp__2146;
  if ((llvm_cbe_tmp__2142 == llvm_cbe_tmp__2143)) {
    goto llvm_cbe_tmp__7830;
  } else {
    llvm_cbe__2e_rle5967__PHI_TEMPORARY = llvm_cbe_tmp__2144;   /* for PHI node */
    llvm_cbe__2e_rle5933__PHI_TEMPORARY = llvm_cbe_tmp__2146;   /* for PHI node */
    llvm_cbe__2e_rle5901__PHI_TEMPORARY = llvm_cbe_tmp__2145;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5076;
  }

llvm_cbe_tmp__7562:
  llvm_cbe_tmp__6833 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6834 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6833) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__6835 = *((&RAM.array[((signed int )llvm_cbe_tmp__6834)]));
  llvm_cbe_tmp__6836 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6834) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6837 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6833) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6837)])) = llvm_cbe_tmp__6835;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6837) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6836;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6833) + ((unsigned int )6u)))))])) = ((unsigned char )15);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6833) + ((unsigned int )7u)))))])) = ((unsigned char )-86);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe__2e__crit_edge5558;

llvm_cbe_tmp__7830:
  llvm_cbe_tmp__2147 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )14))))))));
  llvm_cbe_tmp__2148 = (&RAM.array[((signed int )llvm_cbe_tmp__2147)]);
  llvm_cbe_tmp__2149 = *llvm_cbe_tmp__2148;
  llvm_cbe_tmp__2150 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2147) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2151 = *llvm_cbe_tmp__2150;
  llvm_cbe_tmp__2152 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2149)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2151));
  *llvm_cbe_tmp__2148 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2152) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2150 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2151) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__2153 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2152 & 65534u))]));
  llvm_cbe_tmp__2154 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2152 | 1u))]));
  llvm_cbe_tmp__2155 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2153)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2154));
  llvm_cbe_tmp__2156 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2122) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__2157 = (&RAM.array[((signed int )llvm_cbe_tmp__2156)]);
  *llvm_cbe_tmp__2157 = llvm_cbe_tmp__2153;
  llvm_cbe_tmp__2158 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2156) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__2158 = llvm_cbe_tmp__2154;
  llvm_cbe_tmp__2159 = ((unsigned int )(bool )(llvm_cbe_tmp__2155 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__2159;
  llvm_cbe_tmp__2160 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2155))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__2160;
  llvm_cbe_tmp__2161 = ((unsigned int )(bool )(llvm_cbe_tmp__2155 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__2161;
  if ((llvm_cbe_tmp__2155 == 0u)) {
    llvm_cbe__2e_rle5967__PHI_TEMPORARY = llvm_cbe_tmp__2159;   /* for PHI node */
    llvm_cbe__2e_rle5933__PHI_TEMPORARY = llvm_cbe_tmp__2161;   /* for PHI node */
    llvm_cbe__2e_rle5901__PHI_TEMPORARY = llvm_cbe_tmp__2160;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5076;
  } else {
    goto llvm_cbe_tmp__7831;
  }

llvm_cbe__2e__crit_edge5078:
  llvm_cbe_tmp__2175 = *llvm_cbe_tmp__2148;
  llvm_cbe_tmp__2176 = *llvm_cbe_tmp__2150;
  llvm_cbe_tmp__2177 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2175)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2176));
  *llvm_cbe_tmp__2148 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2177) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2150 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2176) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__2178 = *llvm_cbe_tmp__2133;
  llvm_cbe_tmp__2179 = *llvm_cbe_tmp__2135;
  llvm_cbe_tmp__2180 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2178)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2179));
  *llvm_cbe_tmp__2133 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2180) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2135 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2179) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__2181 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2177 & 65534u))]));
  llvm_cbe_tmp__2182 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2177 | 1u))]));
  llvm_cbe_tmp__2183 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2180 & 65534u))]));
  llvm_cbe_tmp__2184 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2180 | 1u))]));
  llvm_cbe_tmp__2185 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2181)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2182))));
  llvm_cbe_tmp__2186 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2183)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2184))));
  llvm_cbe_tmp__2187 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2185) > ((unsigned short )llvm_cbe_tmp__2186)));
  *(&ST_LGT) = llvm_cbe_tmp__2187;
  llvm_cbe_tmp__2188 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2185) > ((signed short )llvm_cbe_tmp__2186)));
  *(&ST_AGT) = llvm_cbe_tmp__2188;
  llvm_cbe_tmp__2189 = ((unsigned int )(bool )(llvm_cbe_tmp__2185 == llvm_cbe_tmp__2186));
  *(&ST_EQ) = llvm_cbe_tmp__2189;
  if ((llvm_cbe_tmp__2185 == llvm_cbe_tmp__2186)) {
    goto llvm_cbe_tmp__7832;
  } else {
    llvm_cbe__2e_rle5967__PHI_TEMPORARY = llvm_cbe_tmp__2187;   /* for PHI node */
    llvm_cbe__2e_rle5933__PHI_TEMPORARY = llvm_cbe_tmp__2189;   /* for PHI node */
    llvm_cbe__2e_rle5901__PHI_TEMPORARY = llvm_cbe_tmp__2188;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5076;
  }

llvm_cbe_tmp__7831:
  if ((((signed short )(((unsigned short )llvm_cbe_tmp__2155))) > ((signed short )((unsigned short )0)))) {
    goto llvm_cbe__2e__crit_edge5078;
  } else {
    goto llvm_cbe_tmp__7833;
  }

llvm_cbe_tmp__7833:
  llvm_cbe_tmp__2162 = llvm_cbe_tmp__2126 & 65535u;
  llvm_cbe_tmp__2163 = (&RAM.array[((signed int )llvm_cbe_tmp__2162)]);
  llvm_cbe_tmp__2164 = *llvm_cbe_tmp__2163;
  llvm_cbe_tmp__2165 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2162) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2166 = *llvm_cbe_tmp__2165;
  *llvm_cbe_tmp__2157 = llvm_cbe_tmp__2164;
  *llvm_cbe_tmp__2158 = llvm_cbe_tmp__2166;
  llvm_cbe_tmp__2167 = llvm_cbe_tmp__2123 & 65535u;
  llvm_cbe_tmp__2168 = (&RAM.array[((signed int )llvm_cbe_tmp__2167)]);
  llvm_cbe_tmp__2169 = *llvm_cbe_tmp__2168;
  llvm_cbe_tmp__2170 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2167) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2171 = *llvm_cbe_tmp__2170;
  *llvm_cbe_tmp__2163 = llvm_cbe_tmp__2169;
  *llvm_cbe_tmp__2165 = llvm_cbe_tmp__2171;
  llvm_cbe_tmp__2172 = *llvm_cbe_tmp__2157;
  llvm_cbe_tmp__2173 = *llvm_cbe_tmp__2158;
  llvm_cbe_tmp__2174 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2172)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2173));
  *llvm_cbe_tmp__2168 = llvm_cbe_tmp__2172;
  *llvm_cbe_tmp__2170 = llvm_cbe_tmp__2173;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2174 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2174))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2174 == 0u)));
  goto llvm_cbe__2e__crit_edge5078;

llvm_cbe_tmp__7832:
  llvm_cbe_tmp__2190 = *llvm_cbe_tmp__2148;
  llvm_cbe_tmp__2191 = *llvm_cbe_tmp__2150;
  llvm_cbe_tmp__2192 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2190)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2191));
  *llvm_cbe_tmp__2148 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2192) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2150 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2191) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__2193 = *llvm_cbe_tmp__2133;
  llvm_cbe_tmp__2194 = *llvm_cbe_tmp__2135;
  llvm_cbe_tmp__2195 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2193)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2194));
  *llvm_cbe_tmp__2133 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2195) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2135 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2194) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__2196 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2192 & 65534u))]));
  llvm_cbe_tmp__2197 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2192 | 1u))]));
  llvm_cbe_tmp__2198 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2195 & 65534u))]));
  llvm_cbe_tmp__2199 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2195 | 1u))]));
  llvm_cbe_tmp__2200 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2196)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2197))));
  llvm_cbe_tmp__2201 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2198)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2199))));
  llvm_cbe_tmp__2202 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2200) > ((unsigned short )llvm_cbe_tmp__2201)));
  *(&ST_LGT) = llvm_cbe_tmp__2202;
  llvm_cbe_tmp__2203 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2200) > ((signed short )llvm_cbe_tmp__2201)));
  *(&ST_AGT) = llvm_cbe_tmp__2203;
  llvm_cbe_tmp__2204 = ((unsigned int )(bool )(llvm_cbe_tmp__2200 == llvm_cbe_tmp__2201));
  *(&ST_EQ) = llvm_cbe_tmp__2204;
  if ((llvm_cbe_tmp__2200 == llvm_cbe_tmp__2201)) {
    goto llvm_cbe_tmp__7834;
  } else {
    llvm_cbe__2e_rle5967__PHI_TEMPORARY = llvm_cbe_tmp__2202;   /* for PHI node */
    llvm_cbe__2e_rle5933__PHI_TEMPORARY = llvm_cbe_tmp__2204;   /* for PHI node */
    llvm_cbe__2e_rle5901__PHI_TEMPORARY = llvm_cbe_tmp__2203;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5076;
  }

llvm_cbe_tmp__7834:
  llvm_cbe_tmp__2205 = *llvm_cbe_tmp__2124;
  llvm_cbe_tmp__2206 = *llvm_cbe_tmp__2125;
  llvm_cbe_tmp__2207 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2206)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2205)) << 8u);
  llvm_cbe_tmp__2208 = *llvm_cbe_tmp__2127;
  llvm_cbe_tmp__2209 = *llvm_cbe_tmp__2128;
  llvm_cbe_tmp__2210 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2209)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2208)) << 8u);
  llvm_cbe_tmp__2211 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2207 & 65534u))]));
  llvm_cbe_tmp__2212 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2207 | 1u))]));
  llvm_cbe_tmp__2213 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2210 & 65534u))]));
  llvm_cbe_tmp__2214 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2210 | 1u))]));
  llvm_cbe_tmp__2215 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2211)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2212))));
  llvm_cbe_tmp__2216 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2213)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2214))));
  llvm_cbe_tmp__2217 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2215) > ((unsigned short )llvm_cbe_tmp__2216)));
  *(&ST_LGT) = llvm_cbe_tmp__2217;
  llvm_cbe_tmp__2218 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2215) > ((signed short )llvm_cbe_tmp__2216)));
  *(&ST_AGT) = llvm_cbe_tmp__2218;
  llvm_cbe_tmp__2219 = ((unsigned int )(bool )(llvm_cbe_tmp__2215 == llvm_cbe_tmp__2216));
  *(&ST_EQ) = llvm_cbe_tmp__2219;
  llvm_cbe__2e_rle5967__PHI_TEMPORARY = llvm_cbe_tmp__2217;   /* for PHI node */
  llvm_cbe__2e_rle5933__PHI_TEMPORARY = llvm_cbe_tmp__2219;   /* for PHI node */
  llvm_cbe__2e_rle5901__PHI_TEMPORARY = llvm_cbe_tmp__2218;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5076;

llvm_cbe__2e__crit_edge5564:
  llvm_cbe__2e_pre6053_2e_rle6832 = llvm_cbe__2e_pre6053_2e_rle6832__PHI_TEMPORARY;
  llvm_cbe_tmp__3065 = llvm_cbe_tmp__3065__PHI_TEMPORARY;
  llvm_cbe_tmp__3066 = llvm_cbe_tmp__3066__PHI_TEMPORARY;
  llvm_cbe_tmp__3067 = llvm_cbe_tmp__3067__PHI_TEMPORARY;
  llvm_cbe_tmp__3068 = llvm_cbe_tmp__3068__PHI_TEMPORARY;
  llvm_cbe_tmp__3069 = *(&ST_C);
  llvm_cbe_tmp__3070 = *(&ST_O);
  llvm_cbe_tmp__3071 = *(&ST_P);
  llvm_cbe_tmp__3072 = *(&ST_X);
  llvm_cbe_tmp__3073 = *(&ST_IM);
  llvm_cbe_tmp__3074 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3065);
  llvm_cbe_tmp__3075 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3074) + ((unsigned int )4u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__3075)])) = (((unsigned char )(((unsigned int )(((unsigned int )((((((((llvm_cbe_tmp__3067 << 14u) | (llvm_cbe_tmp__3068 << 15u)) | (llvm_cbe_tmp__3066 << 13u)) | (llvm_cbe_tmp__3069 << 12u)) | (llvm_cbe_tmp__3070 << 11u)) | (llvm_cbe_tmp__3071 << 10u)) | llvm_cbe_tmp__3073) | (llvm_cbe_tmp__3072 << 9u))) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3074) + ((unsigned int )5u)))))])) = (((unsigned char )llvm_cbe_tmp__3073));
  llvm_cbe_tmp__3076 = *((&RAM.array[((signed int )(llvm_cbe_tmp__3075 & 65535u))]));
  *((&RAM.array[((signed int )33660u)])) = llvm_cbe_tmp__3076;
  llvm_cbe_tmp__3077 = ((unsigned int )(bool )(llvm_cbe_tmp__3076 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__3077;
  llvm_cbe_tmp__3078 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3076) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3078;
  llvm_cbe_tmp__3079 = ((unsigned int )(bool )(llvm_cbe_tmp__3076 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__3079;
  llvm_cbe_tmp__3080 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3074) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__3081 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3074) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__3082 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3081)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3080)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__3082;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6832;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__3077;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__3079;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__3078;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__3065;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__3082;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__3082;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5081:
  llvm_cbe__2e_pre6053_2e_rle6833 = llvm_cbe__2e_pre6053_2e_rle6833__PHI_TEMPORARY;
  llvm_cbe_tmp__3057 = llvm_cbe_tmp__3057__PHI_TEMPORARY;
  llvm_cbe_tmp__3058 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__3059 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__3060 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3058)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3059));
  llvm_cbe_tmp__3061 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__3057))) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3061)])) = llvm_cbe_tmp__3058;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3061) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__3059;
  llvm_cbe_tmp__3062 = ((unsigned int )(bool )(llvm_cbe_tmp__3060 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__3062;
  llvm_cbe_tmp__3063 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3060))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3063;
  llvm_cbe_tmp__3064 = ((unsigned int )(bool )(llvm_cbe_tmp__3060 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__3064;
  llvm_cbe__2e_pre6053_2e_rle6832__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6833;   /* for PHI node */
  llvm_cbe_tmp__3065__PHI_TEMPORARY = llvm_cbe_tmp__3057;   /* for PHI node */
  llvm_cbe_tmp__3066__PHI_TEMPORARY = llvm_cbe_tmp__3064;   /* for PHI node */
  llvm_cbe_tmp__3067__PHI_TEMPORARY = llvm_cbe_tmp__3063;   /* for PHI node */
  llvm_cbe_tmp__3068__PHI_TEMPORARY = llvm_cbe_tmp__3062;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5564;

llvm_cbe__2e__crit_edge5562:
  llvm_cbe_tmp__2241 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__2242 = *((&RAM.array[((signed int )33628u)]));
  llvm_cbe_tmp__2243 = *((&RAM.array[((signed int )33629u)]));
  llvm_cbe_tmp__2244 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2242)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2243));
  llvm_cbe_tmp__2245 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2241) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__2246 = (&RAM.array[((signed int )llvm_cbe_tmp__2245)]);
  *llvm_cbe_tmp__2246 = llvm_cbe_tmp__2242;
  llvm_cbe_tmp__2247 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2245) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__2247 = llvm_cbe_tmp__2243;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2244 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2244))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2244 == 0u)));
  if ((llvm_cbe_tmp__2244 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6833__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__3057__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5081;
  } else {
    goto llvm_cbe_tmp__7835;
  }

llvm_cbe__2e__crit_edge5560:
  llvm_cbe_tmp__2228 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__2229 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2228) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__2230 = *((&RAM.array[((signed int )llvm_cbe_tmp__2229)]));
  llvm_cbe_tmp__2231 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2229) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2232 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2230)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2231));
  llvm_cbe_tmp__2233 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2228) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__2233)])) = llvm_cbe_tmp__2230;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2233) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__2231;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2232 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2232))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2232 == 0u)));
  goto llvm_cbe__2e__crit_edge5562;

llvm_cbe__2e__crit_edge5559:
  llvm_cbe_tmp__2223 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__2224 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__2225 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2223)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2224));
  llvm_cbe_tmp__2226 = -(llvm_cbe_tmp__2225);
  *((&RAM.array[((signed int )33610u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2226) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33611u)])) = (((unsigned char )llvm_cbe_tmp__2226));
  llvm_cbe_tmp__2227 = ((unsigned short )llvm_cbe_tmp__2226);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2227 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2227) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2227 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2226) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__2225 == 32768u)));
  goto llvm_cbe__2e__crit_edge5560;

llvm_cbe_tmp__7565:
  llvm_cbe_tmp__6851 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6852 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6851) + ((unsigned int )20u)))) & 65535u;
  llvm_cbe_tmp__6853 = *((&RAM.array[((signed int )llvm_cbe_tmp__6852)]));
  llvm_cbe_tmp__6854 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6852) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6855 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6853)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6854));
  llvm_cbe_tmp__6856 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6851) + ((unsigned int )22u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6856)])) = llvm_cbe_tmp__6853;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6856) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6854;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6855 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6855))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6855 == 0u)));
  goto llvm_cbe__2e__crit_edge5559;

llvm_cbe__2e__crit_edge5142:
  llvm_cbe__2e_pre6053_2e_rle6846 = llvm_cbe__2e_pre6053_2e_rle6846__PHI_TEMPORARY;
  llvm_cbe__2e_rle6339 = llvm_cbe__2e_rle6339__PHI_TEMPORARY;
  *((&RAM.array[((signed int )33610u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33611u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33612u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33613u)])) = ((unsigned char )0);
  llvm_cbe__2e_pre6053_2e_rle6833__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6846;   /* for PHI node */
  llvm_cbe_tmp__3057__PHI_TEMPORARY = llvm_cbe__2e_rle6339;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5081;

llvm_cbe__2e__crit_edge5563:
  llvm_cbe_tmp__2635 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__2636 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2635) + ((unsigned int )6u)))))]);
  *llvm_cbe_tmp__2636 = ((unsigned char )-125);
  llvm_cbe_tmp__2637 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2635) + ((unsigned int )7u)))))]);
  *llvm_cbe_tmp__2637 = ((unsigned char )74);
  llvm_cbe_tmp__2638 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2635) + ((unsigned int )10u)))))]);
  *llvm_cbe_tmp__2638 = ((unsigned char )-125);
  llvm_cbe_tmp__2639 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2635) + ((unsigned int )11u)))))]);
  *llvm_cbe_tmp__2639 = ((unsigned char )92);
  llvm_cbe_tmp__2640 = *llvm_cbe_tmp__2636;
  llvm_cbe_tmp__2641 = *llvm_cbe_tmp__2637;
  llvm_cbe_tmp__2642 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2641)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2640)) << 8u);
  llvm_cbe_tmp__2643 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2642 & 65534u))]));
  llvm_cbe_tmp__2644 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2642 | 1u))]));
  llvm_cbe_tmp__2645 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2644);
  llvm_cbe_tmp__2646 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2643)) << 8u) | llvm_cbe_tmp__2645;
  llvm_cbe_tmp__2647 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2635) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__2648 = (&RAM.array[((signed int )llvm_cbe_tmp__2647)]);
  *llvm_cbe_tmp__2648 = llvm_cbe_tmp__2643;
  llvm_cbe_tmp__2649 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2647) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__2649 = llvm_cbe_tmp__2644;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2646 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2646))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2646 == 0u)));
  if ((llvm_cbe_tmp__2646 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6846__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_rle6339__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5142;
  } else {
    goto llvm_cbe_tmp__7836;
  }

llvm_cbe_tmp__7566:
  llvm_cbe_tmp__6857 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6858 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6857) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__6859 = *((&RAM.array[((signed int )llvm_cbe_tmp__6858)]));
  llvm_cbe_tmp__6860 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6858) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6861 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6859)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6860));
  llvm_cbe_tmp__6862 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6857) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6862)])) = llvm_cbe_tmp__6859;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6862) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6860;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6861 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6861))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6861 == 0u)));
  goto llvm_cbe__2e__crit_edge5563;

llvm_cbe_tmp__7836:
  llvm_cbe_tmp__2650 = *llvm_cbe_tmp__2638;
  llvm_cbe_tmp__2651 = *llvm_cbe_tmp__2639;
  llvm_cbe_tmp__2652 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2651)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2650)) << 8u);
  llvm_cbe_tmp__2653 = *llvm_cbe_tmp__2648;
  llvm_cbe_tmp__2654 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2652 & 65534u))]));
  llvm_cbe_tmp__2655 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2652 | 1u))]));
  llvm_cbe_tmp__2656 = (((((unsigned int )(unsigned char )llvm_cbe_tmp__2654)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2655))) ^ (((((unsigned int )(unsigned char )llvm_cbe_tmp__2653)) << 8u) | llvm_cbe_tmp__2645);
  *llvm_cbe_tmp__2648 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2656) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2649 = (((unsigned char )llvm_cbe_tmp__2656));
  llvm_cbe_tmp__2657 = *llvm_cbe_tmp__2638;
  llvm_cbe_tmp__2658 = *llvm_cbe_tmp__2639;
  llvm_cbe_tmp__2659 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2658)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2657)) << 8u);
  llvm_cbe_tmp__2660 = (&RAM.array[((signed int )(llvm_cbe_tmp__2659 & 65534u))]);
  llvm_cbe_tmp__2661 = *llvm_cbe_tmp__2660;
  llvm_cbe_tmp__2662 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2661)) << 8u;
  llvm_cbe_tmp__2663 = (&RAM.array[((signed int )(llvm_cbe_tmp__2659 | 1u))]);
  llvm_cbe_tmp__2664 = *llvm_cbe_tmp__2663;
  llvm_cbe_tmp__2665 = llvm_cbe_tmp__2662 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2664));
  llvm_cbe_tmp__2666 = ((((llvm_cbe_tmp__2662 & 32768u) != 0u)) ? ((-(llvm_cbe_tmp__2665))) : (llvm_cbe_tmp__2665));
  *llvm_cbe_tmp__2660 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2666) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2663 = (((unsigned char )llvm_cbe_tmp__2666));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2665 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2665))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2665 == 0u)));
  *(&ST_C) = 0u;
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__2665 == 32768u)));
  if ((llvm_cbe_tmp__2665 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6846__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_rle6339__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5142;
  } else {
    goto llvm_cbe_tmp__7837;
  }

  do {     /* Syntactic loop '._crit_edge5164' to make GCC happy */
llvm_cbe__2e__crit_edge5164:
  llvm_cbe_tmp__2903 = llvm_cbe_tmp__2903__PHI_TEMPORARY;
  llvm_cbe_tmp__2904 = llvm_cbe_tmp__2904__PHI_TEMPORARY;
  llvm_cbe_tmp__2905 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2904);
  llvm_cbe_tmp__2906 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2905) + ((unsigned int )2u)))))]));
  llvm_cbe_tmp__2907 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2905) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__2908 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2906)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2907)))))) + ((unsigned short )((unsigned short )-31916))))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__2903))) + ((unsigned int )4u)))) & 65535u))])) = llvm_cbe_tmp__2908;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2908 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2908) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2908 == ((unsigned char )0))));
  llvm_cbe_tmp__2909 = *(&WP);
  llvm_cbe_tmp__2910 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2909);
  llvm_cbe_tmp__2911 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2910) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__2912 = (&RAM.array[((signed int )llvm_cbe_tmp__2911)]);
  llvm_cbe_tmp__2913 = *llvm_cbe_tmp__2912;
  if ((llvm_cbe_tmp__2908 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__7838;
  } else {
    goto llvm_cbe_tmp__7839;
  }

llvm_cbe__2e__crit_edge5162:
  llvm_cbe_tmp__2919 = llvm_cbe_tmp__2919__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2919;
  if (((((((signed short )llvm_cbe_tmp__2918) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__2918 == ((unsigned short )0)))&1))) {
    llvm_cbe__2e_pre6053_2e_rle6846__PHI_TEMPORARY = llvm_cbe_tmp__2909;   /* for PHI node */
    llvm_cbe__2e_rle6339__PHI_TEMPORARY = llvm_cbe_tmp__2909;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5142;
  } else {
    llvm_cbe_tmp__2903__PHI_TEMPORARY = llvm_cbe_tmp__2909;   /* for PHI node */
    llvm_cbe_tmp__2904__PHI_TEMPORARY = llvm_cbe_tmp__2909;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5164;
  }

llvm_cbe_tmp__7838:
  llvm_cbe_tmp__2914 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2913)) << 8u;
  llvm_cbe_tmp__2915 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2911) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2916 = *llvm_cbe_tmp__2915;
  llvm_cbe_tmp__2917 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2914 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2916)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__2912 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2917) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2915 = (((unsigned char )llvm_cbe_tmp__2917));
  llvm_cbe_tmp__2918 = ((unsigned short )llvm_cbe_tmp__2917);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2918 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2918) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2918 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2917) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2914 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7840;
  } else {
    llvm_cbe_tmp__2919__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5162;
  }

llvm_cbe_tmp__7840:
  llvm_cbe__2e_lobit4383 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2917) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2919__PHI_TEMPORARY = llvm_cbe__2e_lobit4383;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5162;

  } while (1); /* end of syntactic loop '._crit_edge5164' */
llvm_cbe__2e__crit_edge5139:
  llvm_cbe__2e_pre6376 = llvm_cbe__2e_pre6376__PHI_TEMPORARY;
  llvm_cbe__2e_pre6374 = llvm_cbe__2e_pre6374__PHI_TEMPORARY;
  llvm_cbe_tmp__2901 = llvm_cbe_tmp__2901__PHI_TEMPORARY;
  llvm_cbe_tmp__2902 = llvm_cbe_tmp__2902__PHI_TEMPORARY;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__2902))) + ((unsigned int )2u)))))])) = ((unsigned char )-1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__2901))) + ((unsigned int )3u)))))])) = ((unsigned char )-9);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2903__PHI_TEMPORARY = llvm_cbe__2e_pre6376;   /* for PHI node */
  llvm_cbe_tmp__2904__PHI_TEMPORARY = llvm_cbe__2e_pre6374;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5164;

  do {     /* Syntactic loop '._crit_edge5134' to make GCC happy */
llvm_cbe__2e__crit_edge5134:
  llvm_cbe_tmp__2618 = llvm_cbe_tmp__2618__PHI_TEMPORARY;
  llvm_cbe_storemerge5801 = llvm_cbe_storemerge5801__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_storemerge5801;
  llvm_cbe_tmp__2619 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2618);
  llvm_cbe_tmp__2620 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2619) + ((unsigned int )10u)))))]));
  llvm_cbe_tmp__2621 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2619) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__2622 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2620)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2621))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2619) + ((unsigned int )8u)))) & 65535u))])) = llvm_cbe_tmp__2622;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2622 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2622) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2622 == ((unsigned char )0))));
  llvm_cbe__2e_pre6369 = *(&WP);
  if (((((((signed char )llvm_cbe_tmp__2622) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__2622 == ((unsigned char )0)))&1))) {
    llvm_cbe__2e_pre6376__PHI_TEMPORARY = llvm_cbe__2e_pre6369;   /* for PHI node */
    llvm_cbe__2e_pre6374__PHI_TEMPORARY = llvm_cbe__2e_pre6369;   /* for PHI node */
    llvm_cbe_tmp__2901__PHI_TEMPORARY = llvm_cbe__2e_pre6369;   /* for PHI node */
    llvm_cbe_tmp__2902__PHI_TEMPORARY = llvm_cbe__2e_pre6369;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5139;
  } else {
    goto llvm_cbe_tmp__7841;
  }

llvm_cbe__2e__crit_edge5137:
  llvm_cbe_tmp__2609 = llvm_cbe_tmp__2609__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2609;
  llvm_cbe_tmp__2610 = *llvm_cbe_tmp__2625;
  llvm_cbe_tmp__2611 = *llvm_cbe_tmp__2627;
  llvm_cbe_tmp__2612 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2623) + ((unsigned int )16u)))) & 65535u))]));
  llvm_cbe_tmp__2613 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2611)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2610)) << 8u)))]);
  llvm_cbe_tmp__2614 = *llvm_cbe_tmp__2613;
  llvm_cbe_tmp__2615 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2614);
  llvm_cbe_tmp__2616 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2615) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2612)))));
  llvm_cbe_tmp__2617 = ((unsigned char )llvm_cbe_tmp__2616);
  *llvm_cbe_tmp__2613 = llvm_cbe_tmp__2617;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2617 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2617) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2617 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2616) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2614 ^ llvm_cbe_tmp__2612))))) & 128u) == 0u)) {
    llvm_cbe_tmp__2618__PHI_TEMPORARY = llvm_cbe__2e_pre6369;   /* for PHI node */
    llvm_cbe_storemerge5801__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5134;
  } else {
    goto llvm_cbe_tmp__7842;
  }

llvm_cbe__2e__crit_edge5141:
  llvm_cbe_tmp__2600 = llvm_cbe_tmp__2600__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2600;
  llvm_cbe_tmp__2601 = llvm_cbe_tmp__2624 & 65535u;
  llvm_cbe_tmp__2602 = (&RAM.array[((signed int )llvm_cbe_tmp__2601)]);
  llvm_cbe_tmp__2603 = *llvm_cbe_tmp__2602;
  llvm_cbe_tmp__2604 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2603)) << 8u;
  llvm_cbe_tmp__2605 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2601) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2606 = *llvm_cbe_tmp__2605;
  llvm_cbe_tmp__2607 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2604 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2606)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2602 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2607) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2605 = (((unsigned char )llvm_cbe_tmp__2607));
  llvm_cbe_tmp__2608 = ((unsigned short )llvm_cbe_tmp__2607);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2608 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2608) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2608 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2607) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2604 & 32768u) == 0u)) {
    llvm_cbe_tmp__2609__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5137;
  } else {
    goto llvm_cbe_tmp__7843;
  }

llvm_cbe_tmp__7844:
  llvm_cbe_tmp4249_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2633 ^ llvm_cbe_tmp__2632)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2600__PHI_TEMPORARY = llvm_cbe_tmp4249_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5141;

llvm_cbe_tmp__7841:
  llvm_cbe_tmp__2623 = ((unsigned int )(unsigned short )llvm_cbe__2e_pre6369);
  llvm_cbe_tmp__2624 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2623) + ((unsigned int )10u)));
  llvm_cbe_tmp__2625 = (&RAM.array[((signed int )llvm_cbe_tmp__2624)]);
  llvm_cbe_tmp__2626 = *llvm_cbe_tmp__2625;
  llvm_cbe_tmp__2627 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2623) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__2628 = *llvm_cbe_tmp__2627;
  llvm_cbe_tmp__2629 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2623) + ((unsigned int )18u)))) & 65535u))]));
  llvm_cbe_tmp__2630 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2628)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2626)) << 8u)))]);
  llvm_cbe_tmp__2631 = *llvm_cbe_tmp__2630;
  llvm_cbe_tmp__2632 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2631);
  llvm_cbe_tmp__2633 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2632) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2629)))));
  llvm_cbe_tmp__2634 = ((unsigned char )llvm_cbe_tmp__2633);
  *llvm_cbe_tmp__2630 = llvm_cbe_tmp__2634;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2634 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2634) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2634 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2633) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2631 ^ llvm_cbe_tmp__2629))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7844;
  } else {
    llvm_cbe_tmp__2600__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5141;
  }

llvm_cbe_tmp__7843:
  llvm_cbe_tmp4256 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2607) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2609__PHI_TEMPORARY = llvm_cbe_tmp4256;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5137;

llvm_cbe_tmp__7842:
  llvm_cbe_tmp4251_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2616 ^ llvm_cbe_tmp__2615)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2618__PHI_TEMPORARY = llvm_cbe__2e_pre6369;   /* for PHI node */
  llvm_cbe_storemerge5801__PHI_TEMPORARY = llvm_cbe_tmp4251_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5134;

  } while (1); /* end of syntactic loop '._crit_edge5134' */
llvm_cbe__2e__crit_edge5134_2e_preheader:
  *(&ST_LGT) = llvm_cbe_tmp__2595;
  *(&ST_AGT) = llvm_cbe_tmp__2596;
  *(&ST_EQ) = llvm_cbe_tmp__2597;
  *(&ST_C) = llvm_cbe_tmp__2598;
  llvm_cbe_tmp__2618__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_storemerge5801__PHI_TEMPORARY = llvm_cbe_tmp__2599;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5134;

  do {     /* Syntactic loop '._crit_edge5100' to make GCC happy */
llvm_cbe__2e__crit_edge5100:
  llvm_cbe_tmp__2564 = *llvm_cbe_tmp__2385;
  llvm_cbe_tmp__2565 = *llvm_cbe_tmp__2387;
  llvm_cbe_tmp__2566 = *llvm_cbe_tmp__2396;
  llvm_cbe_tmp__2567 = *llvm_cbe_tmp__2397;
  llvm_cbe_tmp__2568 = *((&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2565)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2564)) << 8u)))]));
  llvm_cbe_tmp__2569 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2567)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2566)) << 8u)))]);
  llvm_cbe_tmp__2570 = *llvm_cbe_tmp__2569;
  llvm_cbe_tmp__2571 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2570) - ((unsigned char )llvm_cbe_tmp__2568)))));
  *llvm_cbe_tmp__2569 = llvm_cbe_tmp__2571;
  if (((((((signed char )llvm_cbe_tmp__2571) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__2570 == llvm_cbe_tmp__2568))&1))) {
    goto llvm_cbe__2e__crit_edge5127;
  } else {
    goto llvm_cbe__2e__crit_edge5129;
  }

llvm_cbe__2e__crit_edge5133:
  llvm_cbe_tmp__2599 = llvm_cbe_tmp__2599__PHI_TEMPORARY;
  if (((((((signed short )llvm_cbe_tmp__2594) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__2594 == ((unsigned short )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5134_2e_preheader;
  } else {
    goto llvm_cbe__2e__crit_edge5100;
  }

llvm_cbe__2e__crit_edge5127:
  llvm_cbe_tmp__2582 = *llvm_cbe_tmp__2367;
  llvm_cbe_tmp__2583 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2582)) << 8u;
  llvm_cbe_tmp__2584 = *llvm_cbe_tmp__2368;
  llvm_cbe_tmp__2585 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2583 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2584)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2367 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2585) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2368 = (((unsigned char )llvm_cbe_tmp__2585));
  llvm_cbe_tmp__2586 = *llvm_cbe_tmp__2374;
  llvm_cbe_tmp__2587 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2586)) << 8u;
  llvm_cbe_tmp__2588 = *llvm_cbe_tmp__2375;
  llvm_cbe_tmp__2589 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2587 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2588)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2374 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2589) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2375 = (((unsigned char )llvm_cbe_tmp__2589));
  llvm_cbe_tmp__2590 = *llvm_cbe_tmp__2411;
  llvm_cbe_tmp__2591 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2590)) << 8u;
  llvm_cbe_tmp__2592 = *llvm_cbe_tmp__2412;
  llvm_cbe_tmp__2593 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2591 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2592)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__2411 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2593) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2412 = (((unsigned char )llvm_cbe_tmp__2593));
  llvm_cbe_tmp__2594 = ((unsigned short )llvm_cbe_tmp__2593);
  llvm_cbe_tmp__2595 = ((unsigned int )(bool )(llvm_cbe_tmp__2594 != ((unsigned short )0)));
  llvm_cbe_tmp__2596 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2594) > ((signed short )((unsigned short )0))));
  llvm_cbe_tmp__2597 = ((unsigned int )(bool )(llvm_cbe_tmp__2594 == ((unsigned short )0)));
  llvm_cbe_tmp__2598 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2593) >> ((unsigned int )16u)))) & 1u;
  if (((llvm_cbe_tmp__2591 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7845;
  } else {
    llvm_cbe_tmp__2599__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5133;
  }

llvm_cbe__2e__crit_edge5129:
  llvm_cbe_tmp__2572 = *llvm_cbe_tmp__2396;
  llvm_cbe_tmp__2573 = *llvm_cbe_tmp__2397;
  llvm_cbe_tmp__2574 = *llvm_cbe_tmp__2426;
  llvm_cbe_tmp__2575 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2573)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2572)) << 8u)))]);
  llvm_cbe_tmp__2576 = *llvm_cbe_tmp__2575;
  *llvm_cbe_tmp__2575 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2576) + ((unsigned char )llvm_cbe_tmp__2574))))));
  llvm_cbe_tmp__2577 = *llvm_cbe_tmp__2396;
  llvm_cbe_tmp__2578 = *llvm_cbe_tmp__2397;
  llvm_cbe_tmp__2579 = *llvm_cbe_tmp__2370;
  llvm_cbe_tmp__2580 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2578)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2577)) << 8u))) + ((unsigned int )65535u)))) & 65535u))]);
  llvm_cbe_tmp__2581 = *llvm_cbe_tmp__2580;
  *llvm_cbe_tmp__2580 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2581) - ((unsigned char )llvm_cbe_tmp__2579))))));
  goto llvm_cbe__2e__crit_edge5127;

llvm_cbe_tmp__7845:
  llvm_cbe__2e_lobit4260 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2593) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2599__PHI_TEMPORARY = llvm_cbe__2e_lobit4260;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5133;

  } while (1); /* end of syntactic loop '._crit_edge5100' */
llvm_cbe__2e__crit_edge5100_2e_preheader:
  llvm_cbe_tmp__2426 = (&RAM.array[((signed int )(llvm_cbe_tmp__2395 & 65535u))]);
  goto llvm_cbe__2e__crit_edge5100;

llvm_cbe__2e__crit_edge5098:
  llvm_cbe_tmp__2420 = llvm_cbe_tmp__2420__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2420;
  llvm_cbe_tmp__2421 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__2422 = *((&RAM.array[((signed int )llvm_cbe_tmp__2421)]));
  llvm_cbe_tmp__2423 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2421) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2424 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2422)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2423));
  llvm_cbe_tmp__2425 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__2425)])) = llvm_cbe_tmp__2422;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2425) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__2423;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2424 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2424))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2424 == 0u)));
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__2424))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__2424 == 0u))&1))) {
    llvm_cbe_tmp__2427__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5099;
  } else {
    goto llvm_cbe__2e__crit_edge5100_2e_preheader;
  }

llvm_cbe__2e__crit_edge5097:
  llvm_cbe_tmp__2406 = llvm_cbe_tmp__2406__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2406;
  llvm_cbe_tmp__2407 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )8u)));
  llvm_cbe_tmp__2408 = *llvm_cbe_tmp__2393;
  llvm_cbe_tmp__2409 = *llvm_cbe_tmp__2394;
  llvm_cbe_tmp__2410 = llvm_cbe_tmp__2407 & 65535u;
  llvm_cbe_tmp__2411 = (&RAM.array[((signed int )llvm_cbe_tmp__2410)]);
  *llvm_cbe_tmp__2411 = llvm_cbe_tmp__2408;
  llvm_cbe_tmp__2412 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2410) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__2412 = llvm_cbe_tmp__2409;
  llvm_cbe_tmp__2413 = (&RAM.array[((signed int )llvm_cbe_tmp__2407)]);
  llvm_cbe_tmp__2414 = *llvm_cbe_tmp__2413;
  llvm_cbe_tmp__2415 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2414)) << 8u;
  llvm_cbe_tmp__2416 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__2417 = *llvm_cbe_tmp__2416;
  llvm_cbe_tmp__2418 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2417)) | llvm_cbe_tmp__2415)) + ((unsigned int )65527u)));
  *llvm_cbe_tmp__2413 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2418) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2416 = (((unsigned char )llvm_cbe_tmp__2418));
  llvm_cbe_tmp__2419 = ((unsigned short )llvm_cbe_tmp__2418);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2419 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2419) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2419 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2418) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2415 & 32768u) == 0u)) {
    llvm_cbe_tmp__2420__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5098;
  } else {
    goto llvm_cbe_tmp__7846;
  }

llvm_cbe_tmp__7847:
  llvm_cbe_tmp__2391 = *llvm_cbe_tmp__2374;
  llvm_cbe_tmp__2392 = *llvm_cbe_tmp__2375;
  llvm_cbe_tmp__2393 = (&RAM.array[((signed int )llvm_cbe_tmp__2364)]);
  *llvm_cbe_tmp__2393 = llvm_cbe_tmp__2391;
  llvm_cbe_tmp__2394 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__2394 = llvm_cbe_tmp__2392;
  *((&RAM.array[((signed int )llvm_cbe_tmp__2369)])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )17u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__2395 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )18u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__2395)])) = ((unsigned char )100);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )19u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__2396 = (&RAM.array[((signed int )llvm_cbe_tmp__2365)]);
  *llvm_cbe_tmp__2396 = ((unsigned char )-125);
  llvm_cbe_tmp__2397 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )11u)))))]);
  *llvm_cbe_tmp__2397 = ((unsigned char )83);
  *llvm_cbe_tmp__2385 = ((unsigned char )-125);
  *llvm_cbe_tmp__2387 = ((unsigned char )101);
  llvm_cbe_tmp__2398 = *llvm_cbe_tmp__2393;
  llvm_cbe_tmp__2399 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2398)) << 8u;
  llvm_cbe_tmp__2400 = *llvm_cbe_tmp__2394;
  llvm_cbe_tmp__2401 = *llvm_cbe_tmp__2374;
  llvm_cbe_tmp__2402 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2401)) << 8u;
  llvm_cbe_tmp__2403 = *llvm_cbe_tmp__2375;
  llvm_cbe_tmp__2404 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2402 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2403)))) - ((unsigned int )(llvm_cbe_tmp__2399 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2400))))));
  *llvm_cbe_tmp__2374 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2404) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2375 = (((unsigned char )llvm_cbe_tmp__2404));
  llvm_cbe_tmp__2405 = ((unsigned short )llvm_cbe_tmp__2404);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2405 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2405) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2405 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2404) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__2402 ^ llvm_cbe_tmp__2399) & 32768u) == 0u)) {
    llvm_cbe_tmp__2406__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5097;
  } else {
    goto llvm_cbe_tmp__7848;
  }

llvm_cbe__2e__crit_edge5095:
  llvm_cbe_tmp__2384 = llvm_cbe_tmp__2384__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2384;
  llvm_cbe_tmp__2385 = (&RAM.array[((signed int )llvm_cbe_tmp__2372)]);
  llvm_cbe_tmp__2386 = *llvm_cbe_tmp__2385;
  llvm_cbe_tmp__2387 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )13u)))))]);
  llvm_cbe_tmp__2388 = *llvm_cbe_tmp__2387;
  llvm_cbe_tmp__2389 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2388)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2386)) << 8u);
  llvm_cbe_tmp__2390 = ((unsigned short )llvm_cbe_tmp__2389);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2390) > ((unsigned short )((unsigned short )7)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2390) > ((signed short )((unsigned short )7)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2389 == 7u)));
  if ((((signed short )llvm_cbe_tmp__2390) > ((signed short )((unsigned short )7)))) {
    llvm_cbe_tmp__3030__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe_tmp__3031__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe_tmp__3032__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5096;
  } else {
    goto llvm_cbe_tmp__7847;
  }

llvm_cbe__2e__crit_edge5086:
  llvm_cbe_tmp__2364 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__2365 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )10u)));
  llvm_cbe_tmp__2366 = llvm_cbe_tmp__2365 & 65535u;
  llvm_cbe_tmp__2367 = (&RAM.array[((signed int )llvm_cbe_tmp__2366)]);
  *llvm_cbe_tmp__2367 = ((unsigned char )0);
  llvm_cbe_tmp__2368 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2366) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__2368 = ((unsigned char )0);
  *((&RAM.array[((signed int )33618u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33619u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33636u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33637u)])) = ((unsigned char )0);
  llvm_cbe_tmp__2369 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )16u)));
  llvm_cbe_tmp__2370 = (&RAM.array[((signed int )(llvm_cbe_tmp__2369 & 65535u))]);
  llvm_cbe_tmp__2371 = *llvm_cbe_tmp__2370;
  *((&RAM.array[((signed int )33653u)])) = llvm_cbe_tmp__2371;
  llvm_cbe_tmp__2372 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2364) + ((unsigned int )12u)));
  llvm_cbe_tmp__2373 = llvm_cbe_tmp__2372 & 65535u;
  llvm_cbe_tmp__2374 = (&RAM.array[((signed int )llvm_cbe_tmp__2373)]);
  *llvm_cbe_tmp__2374 = ((unsigned char )0);
  llvm_cbe_tmp__2375 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2373) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__2375 = ((unsigned char )0);
  llvm_cbe_tmp__2376 = *((&RAM.array[((signed int )33610u)]));
  *((&RAM.array[((signed int )33773u)])) = llvm_cbe_tmp__2376;
  llvm_cbe_tmp__2377 = *llvm_cbe_tmp__2374;
  llvm_cbe_tmp__2378 = *llvm_cbe_tmp__2375;
  *((&RAM.array[((signed int )33654u)])) = llvm_cbe_tmp__2377;
  *((&RAM.array[((signed int )33655u)])) = llvm_cbe_tmp__2378;
  llvm_cbe_tmp__2379 = *llvm_cbe_tmp__2367;
  *((&RAM.array[((signed int )33610u)])) = llvm_cbe_tmp__2379;
  llvm_cbe_tmp__2380 = *((&RAM.array[((signed int )33628u)]));
  llvm_cbe_tmp__2381 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2376);
  llvm_cbe_tmp__2382 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2381) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2380)))));
  llvm_cbe_tmp__2383 = ((unsigned char )llvm_cbe_tmp__2382);
  *((&RAM.array[((signed int )33773u)])) = llvm_cbe_tmp__2383;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2383 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2383) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2383 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2382) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2376 ^ llvm_cbe_tmp__2380))))) & 128u) == 0u)) {
    llvm_cbe_tmp__2384__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5095;
  } else {
    goto llvm_cbe_tmp__7849;
  }

llvm_cbe_tmp__7850:
  *(&ST_EQ) = llvm_cbe_tmp__2349;
  *(&ST_C) = llvm_cbe_tmp__2350;
  *(&ST_O) = llvm_cbe_tmp__2351;
  llvm_cbe_tmp__2352 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__2353 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2352) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__2354 = (&RAM.array[((signed int )llvm_cbe_tmp__2353)]);
  llvm_cbe_tmp__2355 = *llvm_cbe_tmp__2354;
  llvm_cbe_tmp__2356 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2353) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2357 = *llvm_cbe_tmp__2356;
  llvm_cbe_tmp__2358 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2355)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2357));
  llvm_cbe_tmp__2359 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2352) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__2360 = *((&RAM.array[((signed int )llvm_cbe_tmp__2359)]));
  llvm_cbe_tmp__2361 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2359) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2362 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2360)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2361));
  llvm_cbe_tmp__2363 = llvm_cbe_tmp__2362 ^ llvm_cbe_tmp__2358;
  *llvm_cbe_tmp__2354 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2363) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2356 = (((unsigned char )llvm_cbe_tmp__2363));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2358 != llvm_cbe_tmp__2362)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2363))) > ((signed short )((unsigned short )0)))));
  goto llvm_cbe__2e__crit_edge5086;

  do {     /* Syntactic loop '._crit_edge5088' to make GCC happy */
llvm_cbe__2e__crit_edge5088:
  llvm_cbe_tmp__2328 = *llvm_cbe_tmp__2313;
  llvm_cbe_tmp__2329 = *llvm_cbe_tmp__2314;
  llvm_cbe_tmp__2330 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2329)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2328)) << 8u))) + ((unsigned int )33636u)));
  llvm_cbe_tmp__2331 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2330 & 65534u))]));
  llvm_cbe_tmp__2332 = *((&RAM.array[((signed int )((llvm_cbe_tmp__2330 | 1u) & 65535u))]));
  *llvm_cbe_tmp__2315 = llvm_cbe_tmp__2331;
  *llvm_cbe_tmp__2316 = llvm_cbe_tmp__2332;
  llvm_cbe_tmp__2333 = *llvm_cbe_tmp__2313;
  llvm_cbe_tmp__2334 = *llvm_cbe_tmp__2314;
  llvm_cbe_tmp__2335 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2334)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2333)) << 8u);
  llvm_cbe_tmp__2336 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2335) + ((unsigned int )33618u)));
  llvm_cbe_tmp__2337 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2335) + ((unsigned int )33636u)));
  llvm_cbe_tmp__2338 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2336 & 65534u))]));
  llvm_cbe_tmp__2339 = *((&RAM.array[((signed int )((llvm_cbe_tmp__2336 | 1u) & 65535u))]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2337 & 65534u))])) = llvm_cbe_tmp__2338;
  *((&RAM.array[((signed int )((llvm_cbe_tmp__2337 | 1u) & 65535u))])) = llvm_cbe_tmp__2339;
  llvm_cbe_tmp__2340 = *llvm_cbe_tmp__2313;
  llvm_cbe_tmp__2341 = *llvm_cbe_tmp__2314;
  llvm_cbe_tmp__2342 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2341)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2340)) << 8u))) + ((unsigned int )33618u)));
  llvm_cbe_tmp__2343 = *llvm_cbe_tmp__2315;
  llvm_cbe_tmp__2344 = *llvm_cbe_tmp__2316;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2342 & 65534u))])) = llvm_cbe_tmp__2343;
  *((&RAM.array[((signed int )((llvm_cbe_tmp__2342 | 1u) & 65535u))])) = llvm_cbe_tmp__2344;
  llvm_cbe_tmp__2345 = *llvm_cbe_tmp__2318;
  llvm_cbe_tmp__2346 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2345)) << 8u;
  llvm_cbe_tmp__2347 = *llvm_cbe_tmp__2319;
  llvm_cbe_tmp__2348 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2346 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2347)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__2318 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2348) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2319 = (((unsigned char )llvm_cbe_tmp__2348));
  llvm_cbe_tmp__2349 = ((unsigned int )(bool )((((unsigned short )llvm_cbe_tmp__2348)) == ((unsigned short )0)));
  llvm_cbe_tmp__2350 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2348) >> ((unsigned int )16u)))) & 1u;
  if (((llvm_cbe_tmp__2346 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7851;
  } else {
    llvm_cbe_tmp__2351__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5093;
  }

llvm_cbe__2e__crit_edge5093:
  llvm_cbe_tmp__2351 = llvm_cbe_tmp__2351__PHI_TEMPORARY;
  if (((((unsigned short )llvm_cbe_tmp__2348)) == ((unsigned short )0))) {
    goto llvm_cbe_tmp__7850;
  } else {
    goto llvm_cbe__2e__crit_edge5088;
  }

llvm_cbe_tmp__7851:
  llvm_cbe__2e_lobit4283 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2348) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2351__PHI_TEMPORARY = llvm_cbe__2e_lobit4283;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5093;

  } while (1); /* end of syntactic loop '._crit_edge5088' */
llvm_cbe__2e__crit_edge5088_2e_preheader:
  *(&ST_LGT) = llvm_cbe_tmp__2308;
  *(&ST_AGT) = llvm_cbe_tmp__2309;
  *(&ST_EQ) = llvm_cbe_tmp__2310;
  llvm_cbe_tmp__2311 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__2312 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2311) + ((unsigned int )6u)));
  llvm_cbe_tmp__2313 = (&RAM.array[((signed int )llvm_cbe_tmp__2312)]);
  llvm_cbe_tmp__2314 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2311) + ((unsigned int )7u)))))]);
  llvm_cbe_tmp__2315 = (&RAM.array[((signed int )llvm_cbe_tmp__2311)]);
  llvm_cbe_tmp__2316 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2311) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2317 = llvm_cbe_tmp__2312 & 65535u;
  llvm_cbe_tmp__2318 = (&RAM.array[((signed int )llvm_cbe_tmp__2317)]);
  llvm_cbe_tmp__2319 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2317) + ((unsigned int )1u)))))]);
  goto llvm_cbe__2e__crit_edge5088;

  do {     /* Syntactic loop '._crit_edge5091' to make GCC happy */
llvm_cbe__2e__crit_edge5091:
  llvm_cbe_tmp__2297 = *llvm_cbe_tmp__2292;
  llvm_cbe_tmp__2298 = *llvm_cbe_tmp__2293;
  llvm_cbe_tmp__2299 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2298)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2297)) << 8u);
  llvm_cbe_tmp__2300 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2299) + ((unsigned int )33618u)));
  llvm_cbe_tmp__2301 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2299) + ((unsigned int )33636u)));
  llvm_cbe_tmp__2302 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2300 & 65534u))]));
  llvm_cbe_tmp__2303 = *((&RAM.array[((signed int )((llvm_cbe_tmp__2300 | 1u) & 65535u))]));
  llvm_cbe_tmp__2304 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2301 & 65534u))]));
  llvm_cbe_tmp__2305 = *((&RAM.array[((signed int )((llvm_cbe_tmp__2301 | 1u) & 65535u))]));
  llvm_cbe_tmp__2306 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2302)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2303))));
  llvm_cbe_tmp__2307 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2304)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2305))));
  llvm_cbe_tmp__2308 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2306) > ((unsigned short )llvm_cbe_tmp__2307)));
  llvm_cbe_tmp__2309 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2306) > ((signed short )llvm_cbe_tmp__2307)));
  llvm_cbe_tmp__2310 = ((unsigned int )(bool )(llvm_cbe_tmp__2306 == llvm_cbe_tmp__2307));
  if ((((signed short )llvm_cbe_tmp__2306) > ((signed short )llvm_cbe_tmp__2307))) {
    llvm_cbe_ST_AGT_2e_tmp_2e_0__PHI_TEMPORARY = llvm_cbe_tmp__2309;   /* for PHI node */
    llvm_cbe_ST_LGT_2e_tmp_2e_0__PHI_TEMPORARY = llvm_cbe_tmp__2308;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5086_2e_loopexit;
  } else {
    goto llvm_cbe_tmp__7852;
  }

llvm_cbe__2e__crit_edge5090:
  llvm_cbe_tmp__2327 = llvm_cbe_tmp__2327__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2327;
  if ((llvm_cbe_tmp__2324 == ((unsigned short )0))) {
    llvm_cbe_ST_AGT_2e_tmp_2e_0__PHI_TEMPORARY = llvm_cbe_tmp__2326;   /* for PHI node */
    llvm_cbe_ST_LGT_2e_tmp_2e_0__PHI_TEMPORARY = llvm_cbe_tmp__2325;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5086_2e_loopexit;
  } else {
    goto llvm_cbe__2e__crit_edge5091;
  }

llvm_cbe__2e__crit_edge5087:
  llvm_cbe_tmp__2320 = *llvm_cbe_tmp__2295;
  llvm_cbe_tmp__2321 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2320)) << 8u;
  llvm_cbe_tmp__2322 = *llvm_cbe_tmp__2296;
  llvm_cbe_tmp__2323 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2321 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2322)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__2295 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2323) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2296 = (((unsigned char )llvm_cbe_tmp__2323));
  llvm_cbe_tmp__2324 = ((unsigned short )llvm_cbe_tmp__2323);
  llvm_cbe_tmp__2325 = ((unsigned int )(bool )(llvm_cbe_tmp__2324 != ((unsigned short )0)));
  llvm_cbe_tmp__2326 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2324) > ((signed short )((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2323) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2321 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7853;
  } else {
    llvm_cbe_tmp__2327__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5090;
  }

llvm_cbe_tmp__7852:
  if ((llvm_cbe_tmp__2306 == llvm_cbe_tmp__2307)) {
    goto llvm_cbe__2e__crit_edge5087;
  } else {
    goto llvm_cbe__2e__crit_edge5088_2e_preheader;
  }

llvm_cbe_tmp__7853:
  llvm_cbe__2e_lobit4194 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2323) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2327__PHI_TEMPORARY = llvm_cbe__2e_lobit4194;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5090;

  } while (1); /* end of syntactic loop '._crit_edge5091' */
llvm_cbe_tmp__7854:
  llvm_cbe_tmp__2277 = *llvm_cbe_tmp__2246;
  llvm_cbe_tmp__2278 = *llvm_cbe_tmp__2247;
  llvm_cbe_tmp__2279 = *llvm_cbe_tmp__2253;
  llvm_cbe_tmp__2280 = (((((unsigned int )(unsigned char )llvm_cbe_tmp__2279)) << 8u) | llvm_cbe_tmp__2250) ^ (((((unsigned int )(unsigned char )llvm_cbe_tmp__2277)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2278)));
  *llvm_cbe_tmp__2246 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2280) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2247 = (((unsigned char )llvm_cbe_tmp__2280));
  llvm_cbe_tmp__2281 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__2282 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2281)) << 8u;
  llvm_cbe_tmp__2283 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__2284 = llvm_cbe_tmp__2282 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2283));
  llvm_cbe_tmp__2285 = ((((llvm_cbe_tmp__2282 & 32768u) != 0u)) ? ((-(llvm_cbe_tmp__2284))) : (llvm_cbe_tmp__2284));
  *((&RAM.array[((signed int )33610u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2285) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33611u)])) = (((unsigned char )llvm_cbe_tmp__2285));
  llvm_cbe_tmp__2286 = *((&RAM.array[((signed int )33628u)]));
  llvm_cbe_tmp__2287 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2286)) << 8u;
  llvm_cbe_tmp__2288 = *((&RAM.array[((signed int )33629u)]));
  llvm_cbe_tmp__2289 = llvm_cbe_tmp__2287 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2288));
  llvm_cbe_tmp__2290 = ((((llvm_cbe_tmp__2287 & 32768u) != 0u)) ? ((-(llvm_cbe_tmp__2289))) : (llvm_cbe_tmp__2289));
  *((&RAM.array[((signed int )33628u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2290) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33629u)])) = (((unsigned char )llvm_cbe_tmp__2290));
  *(&ST_C) = 0u;
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__2289 == 32768u)));
  llvm_cbe_tmp__2291 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2241) + ((unsigned int )6u)));
  llvm_cbe_tmp__2292 = (&RAM.array[((signed int )llvm_cbe_tmp__2291)]);
  *llvm_cbe_tmp__2292 = ((unsigned char )-1);
  llvm_cbe_tmp__2293 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2241) + ((unsigned int )7u)))))]);
  *llvm_cbe_tmp__2293 = ((unsigned char )-8);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2294 = llvm_cbe_tmp__2291 & 65535u;
  llvm_cbe_tmp__2295 = (&RAM.array[((signed int )llvm_cbe_tmp__2294)]);
  llvm_cbe_tmp__2296 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2294) + ((unsigned int )1u)))))]);
  goto llvm_cbe__2e__crit_edge5091;

llvm_cbe_tmp__7835:
  llvm_cbe_tmp__2248 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__2249 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__2250 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2249);
  llvm_cbe_tmp__2251 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2248)) << 8u) | llvm_cbe_tmp__2250;
  llvm_cbe_tmp__2252 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2241) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__2253 = (&RAM.array[((signed int )llvm_cbe_tmp__2252)]);
  *llvm_cbe_tmp__2253 = llvm_cbe_tmp__2248;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2252) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__2249;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2251 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2251))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2251 == 0u)));
  if ((llvm_cbe_tmp__2251 == 0u)) {
    goto llvm_cbe_tmp__7855;
  } else {
    goto llvm_cbe_tmp__7854;
  }

llvm_cbe__2e__crit_edge5086_2e_loopexit:
  llvm_cbe_ST_AGT_2e_tmp_2e_0 = llvm_cbe_ST_AGT_2e_tmp_2e_0__PHI_TEMPORARY;
  llvm_cbe_ST_LGT_2e_tmp_2e_0 = llvm_cbe_ST_LGT_2e_tmp_2e_0__PHI_TEMPORARY;
  *(&ST_LGT) = llvm_cbe_ST_LGT_2e_tmp_2e_0;
  *(&ST_AGT) = llvm_cbe_ST_AGT_2e_tmp_2e_0;
  goto llvm_cbe__2e__crit_edge5086;

llvm_cbe_tmp__7849:
  llvm_cbe_tmp4196_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2382 ^ llvm_cbe_tmp__2381)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2384__PHI_TEMPORARY = llvm_cbe_tmp4196_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5095;

llvm_cbe_tmp__7848:
  llvm_cbe_tmp4198_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2404 ^ llvm_cbe_tmp__2402)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2406__PHI_TEMPORARY = llvm_cbe_tmp4198_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5097;

llvm_cbe_tmp__7846:
  llvm_cbe_tmp4275 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2418) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2420__PHI_TEMPORARY = llvm_cbe_tmp4275;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5098;

llvm_cbe__2e__crit_edge5161:
  llvm_cbe__2e_pre6374_2e_rle6988 = llvm_cbe__2e_pre6374_2e_rle6988__PHI_TEMPORARY;
  llvm_cbe__2e_rle6370 = llvm_cbe__2e_rle6370__PHI_TEMPORARY;
  *((&RAM.array[((signed int )33620u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33621u)])) = ((unsigned char )0);
  llvm_cbe__2e_pre6376__PHI_TEMPORARY = llvm_cbe__2e_pre6374_2e_rle6988;   /* for PHI node */
  llvm_cbe__2e_pre6374__PHI_TEMPORARY = llvm_cbe__2e_pre6374_2e_rle6988;   /* for PHI node */
  llvm_cbe_tmp__2901__PHI_TEMPORARY = llvm_cbe__2e_rle6370;   /* for PHI node */
  llvm_cbe_tmp__2902__PHI_TEMPORARY = llvm_cbe__2e_rle6370;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5139;

  do {     /* Syntactic loop '._crit_edge5160' to make GCC happy */
llvm_cbe__2e__crit_edge5160:
  llvm_cbe_tmp__2764 = llvm_cbe_tmp__2764__PHI_TEMPORARY;
  llvm_cbe_tmp__2765 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2764);
  llvm_cbe_tmp__2766 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2765) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__2767 = (&RAM.array[((signed int )llvm_cbe_tmp__2766)]);
  llvm_cbe_tmp__2768 = *llvm_cbe_tmp__2767;
  llvm_cbe_tmp__2769 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2766) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2770 = *llvm_cbe_tmp__2769;
  llvm_cbe_tmp__2771 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2765) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__2771)])) = llvm_cbe_tmp__2768;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2771) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__2770;
  llvm_cbe_tmp__2772 = *llvm_cbe_tmp__2767;
  llvm_cbe_tmp__2773 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2772)) << 8u;
  llvm_cbe_tmp__2774 = *llvm_cbe_tmp__2769;
  llvm_cbe_tmp__2775 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2765) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__2776 = (&RAM.array[((signed int )llvm_cbe_tmp__2775)]);
  llvm_cbe_tmp__2777 = *llvm_cbe_tmp__2776;
  llvm_cbe_tmp__2778 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2777)) << 8u;
  llvm_cbe_tmp__2779 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2775) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2780 = *llvm_cbe_tmp__2779;
  llvm_cbe_tmp__2781 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2778 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2780)))) + ((unsigned int )(llvm_cbe_tmp__2773 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2774))))));
  *llvm_cbe_tmp__2776 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2781) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2779 = (((unsigned char )llvm_cbe_tmp__2781));
  llvm_cbe_tmp__2782 = ((unsigned short )llvm_cbe_tmp__2781);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2782 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2782) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2782 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2781) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__2778 ^ llvm_cbe_tmp__2773) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7856;
  } else {
    llvm_cbe_tmp__2783__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5151;
  }

llvm_cbe__2e__crit_edge5159:
  llvm_cbe_tmp__2896 = llvm_cbe_tmp__2896__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2896;
  llvm_cbe_tmp__2897 = *((&RAM.array[((signed int )llvm_cbe_tmp__2887)]));
  llvm_cbe_tmp__2898 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2850) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__2899 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2898)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2897)) << 8u);
  llvm_cbe_tmp__2900 = ((unsigned short )llvm_cbe_tmp__2899);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2900) > ((unsigned short )((unsigned short )-31926)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2900) > ((signed short )((unsigned short )-31926)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2899 == 33610u)));
  if ((((signed short )llvm_cbe_tmp__2900) > ((signed short )((unsigned short )-31926)))) {
    llvm_cbe_tmp__2764__PHI_TEMPORARY = llvm_cbe_tmp__2849;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5160;
  } else {
    llvm_cbe__2e_pre6374_2e_rle6988__PHI_TEMPORARY = llvm_cbe_tmp__2849;   /* for PHI node */
    llvm_cbe__2e_rle6370__PHI_TEMPORARY = llvm_cbe_tmp__2849;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5161;
  }

llvm_cbe__2e__crit_edge5158:
  llvm_cbe_tmp__2886 = llvm_cbe_tmp__2886__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2886;
  llvm_cbe_tmp__2887 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2850) + ((unsigned int )10u)));
  llvm_cbe_tmp__2888 = llvm_cbe_tmp__2887 & 65535u;
  llvm_cbe_tmp__2889 = (&RAM.array[((signed int )llvm_cbe_tmp__2888)]);
  llvm_cbe_tmp__2890 = *llvm_cbe_tmp__2889;
  llvm_cbe_tmp__2891 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2890)) << 8u;
  llvm_cbe_tmp__2892 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2888) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2893 = *llvm_cbe_tmp__2892;
  llvm_cbe_tmp__2894 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2891 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2893)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2889 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2894) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2892 = (((unsigned char )llvm_cbe_tmp__2894));
  llvm_cbe_tmp__2895 = ((unsigned short )llvm_cbe_tmp__2894);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2895 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2895) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2895 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2894) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2891 & 32768u) == 0u)) {
    llvm_cbe_tmp__2896__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5159;
  } else {
    goto llvm_cbe_tmp__7857;
  }

llvm_cbe_tmp__7858:
  llvm_cbe_tmp__2881 = *llvm_cbe_tmp__2853;
  llvm_cbe_tmp__2882 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2881)) << 8u;
  llvm_cbe_tmp__2883 = *llvm_cbe_tmp__2856;
  llvm_cbe_tmp__2884 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2882 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2883)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2853 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2884) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2856 = (((unsigned char )llvm_cbe_tmp__2884));
  llvm_cbe_tmp__2885 = ((unsigned short )llvm_cbe_tmp__2884);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2885 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2885) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2885 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2884) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2882 & 32768u) == 0u)) {
    llvm_cbe_tmp__2886__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5158;
  } else {
    goto llvm_cbe_tmp__7859;
  }

  do {     /* Syntactic loop '._crit_edge5157' to make GCC happy */
llvm_cbe__2e__crit_edge5157:
  llvm_cbe_tmp__2792 = llvm_cbe_tmp__2792__PHI_TEMPORARY;
  llvm_cbe_tmp__2793 = llvm_cbe_tmp__2793__PHI_TEMPORARY;
  llvm_cbe_tmp__2794 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2793);
  llvm_cbe_tmp__2795 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2794) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__2796 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2794) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__2797 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2792);
  llvm_cbe_tmp__2798 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2797) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__2799 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2797) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__2800 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2795)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2796)))))) + ((unsigned short )((unsigned short )-31908))))))));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2798)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2799))))), llvm_cbe_tmp__2800);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2800 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2800) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2800 == ((unsigned char )0))));
  llvm_cbe_tmp__2801 = *(&WP);
  llvm_cbe_tmp__2802 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2801);
  llvm_cbe_tmp__2803 = (&RAM.array[((signed int )llvm_cbe_tmp__2802)]);
  llvm_cbe_tmp__2804 = *llvm_cbe_tmp__2803;
  llvm_cbe_tmp__2805 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2802) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2806 = *llvm_cbe_tmp__2805;
  llvm_cbe_tmp__2807 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2802) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__2808 = *((&RAM.array[((signed int )llvm_cbe_tmp__2807)]));
  llvm_cbe_tmp__2809 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2807) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2810 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__2808)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2809)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__2804)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2806))))));
  *llvm_cbe_tmp__2803 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2810) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__2805 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2810) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2802) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2810) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2802) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__2810));
  llvm_cbe_tmp__2811 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2802) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__2812 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2802) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__2813 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2811)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2812))))));
  *((&RAM.array[((signed int )33765u)])) = llvm_cbe_tmp__2813;
  llvm_cbe_tmp__2814 = *(&WP);
  llvm_cbe_tmp__2815 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2814);
  llvm_cbe_tmp__2816 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2815) + ((unsigned int )2u)));
  llvm_cbe_tmp__2817 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2815) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__2818 = *((&RAM.array[((signed int )llvm_cbe_tmp__2817)]));
  llvm_cbe_tmp__2819 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2818)) << 8u;
  llvm_cbe_tmp__2820 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2817) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2821 = llvm_cbe_tmp__2816 & 65535u;
  llvm_cbe_tmp__2822 = (&RAM.array[((signed int )llvm_cbe_tmp__2821)]);
  llvm_cbe_tmp__2823 = *llvm_cbe_tmp__2822;
  llvm_cbe_tmp__2824 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2823)) << 8u;
  llvm_cbe_tmp__2825 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2821) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2826 = *llvm_cbe_tmp__2825;
  llvm_cbe_tmp__2827 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2824 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2826)))) + ((unsigned int )(llvm_cbe_tmp__2819 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2820))))));
  *llvm_cbe_tmp__2822 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2827) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2825 = (((unsigned char )llvm_cbe_tmp__2827));
  llvm_cbe_tmp__2828 = ((unsigned short )llvm_cbe_tmp__2827);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2828 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2828) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2828 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2827) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__2824 ^ llvm_cbe_tmp__2819) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7860;
  } else {
    llvm_cbe_tmp__2829__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5152;
  }

llvm_cbe__2e__crit_edge5156:
  llvm_cbe_tmp__2880 = llvm_cbe_tmp__2880__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2880;
  if ((((signed short )llvm_cbe_tmp__2879) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__2792__PHI_TEMPORARY = llvm_cbe_tmp__2849;   /* for PHI node */
    llvm_cbe_tmp__2793__PHI_TEMPORARY = llvm_cbe_tmp__2849;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5157;
  } else {
    goto llvm_cbe_tmp__7858;
  }

llvm_cbe__2e__crit_edge5155:
  llvm_cbe_tmp__2871 = llvm_cbe_tmp__2871__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2871;
  llvm_cbe_tmp__2872 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2850) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__2873 = (&RAM.array[((signed int )llvm_cbe_tmp__2872)]);
  llvm_cbe_tmp__2874 = *llvm_cbe_tmp__2873;
  llvm_cbe_tmp__2875 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2874)) << 8u;
  llvm_cbe_tmp__2876 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2872) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2877 = *llvm_cbe_tmp__2876;
  llvm_cbe_tmp__2878 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2875 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2877)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2873 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2878) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2876 = (((unsigned char )llvm_cbe_tmp__2878));
  llvm_cbe_tmp__2879 = ((unsigned short )llvm_cbe_tmp__2878);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2879 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2879) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2879 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2878) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2875 & 32768u) == 0u)) {
    llvm_cbe_tmp__2880__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5156;
  } else {
    goto llvm_cbe_tmp__7861;
  }

llvm_cbe__2e__crit_edge5154:
  llvm_cbe_tmp__2860 = llvm_cbe_tmp__2860__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2860;
  llvm_cbe_tmp__2861 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2850) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__2862 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2850) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__2863 = *((&RAM.array[((signed int )llvm_cbe_tmp__2851)]));
  llvm_cbe_tmp__2864 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2850) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__2865 = *((&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2862)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2861)) << 8u)))]));
  llvm_cbe_tmp__2866 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2864)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2863)) << 8u)))]);
  llvm_cbe_tmp__2867 = *llvm_cbe_tmp__2866;
  llvm_cbe_tmp__2868 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2867);
  llvm_cbe_tmp__2869 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2868) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2865)))));
  llvm_cbe_tmp__2870 = ((unsigned char )llvm_cbe_tmp__2869);
  *llvm_cbe_tmp__2866 = llvm_cbe_tmp__2870;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2870 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2870) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2870 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2869) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2867 ^ llvm_cbe_tmp__2865))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7862;
  } else {
    llvm_cbe_tmp__2871__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5155;
  }

llvm_cbe__2e__crit_edge5153:
  llvm_cbe_storemerge4292 = llvm_cbe_storemerge4292__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_storemerge4292;
  llvm_cbe_tmp__2846 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2815) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__2847 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2815) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__2848 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2846)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2847))))), llvm_cbe_tmp__2848);
  llvm_cbe_tmp__2849 = *(&WP);
  llvm_cbe_tmp__2850 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2849);
  llvm_cbe_tmp__2851 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2850) + ((unsigned int )12u)));
  llvm_cbe_tmp__2852 = llvm_cbe_tmp__2851 & 65535u;
  llvm_cbe_tmp__2853 = (&RAM.array[((signed int )llvm_cbe_tmp__2852)]);
  llvm_cbe_tmp__2854 = *llvm_cbe_tmp__2853;
  llvm_cbe_tmp__2855 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2854)) << 8u;
  llvm_cbe_tmp__2856 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2852) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2857 = *llvm_cbe_tmp__2856;
  llvm_cbe_tmp__2858 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2855 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2857)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2853 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2858) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2856 = (((unsigned char )llvm_cbe_tmp__2858));
  llvm_cbe_tmp__2859 = ((unsigned short )llvm_cbe_tmp__2858);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2859 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2859) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2859 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2858) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2855 & 32768u) == 0u)) {
    llvm_cbe_tmp__2860__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5154;
  } else {
    goto llvm_cbe_tmp__7863;
  }

llvm_cbe__2e__crit_edge5152:
  llvm_cbe_tmp__2829 = llvm_cbe_tmp__2829__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2829;
  llvm_cbe_tmp__2830 = (&RAM.array[((signed int )llvm_cbe_tmp__2815)]);
  llvm_cbe_tmp__2831 = *llvm_cbe_tmp__2830;
  llvm_cbe_tmp__2832 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2815) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2833 = *llvm_cbe_tmp__2832;
  llvm_cbe_tmp__2834 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2831)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2833));
  llvm_cbe_tmp__2835 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2815) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__2836 = *((&RAM.array[((signed int )llvm_cbe_tmp__2835)]));
  llvm_cbe_tmp__2837 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2835) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2838 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2836)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2837));
  if ((((unsigned short )(((unsigned short )llvm_cbe_tmp__2838))) > ((unsigned short )(((unsigned short )llvm_cbe_tmp__2834))))) {
    goto llvm_cbe_tmp__7864;
  } else {
    llvm_cbe_storemerge4292__PHI_TEMPORARY = 1u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5153;
  }

llvm_cbe_tmp__7860:
  llvm_cbe_tmp4291_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2827 ^ llvm_cbe_tmp__2824)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2829__PHI_TEMPORARY = llvm_cbe_tmp4291_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5152;

llvm_cbe_tmp__7864:
  llvm_cbe_tmp__2839 = (&RAM.array[((signed int )llvm_cbe_tmp__2816)]);
  llvm_cbe_tmp__2840 = *llvm_cbe_tmp__2839;
  llvm_cbe_tmp__2841 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2815) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__2842 = *llvm_cbe_tmp__2841;
  llvm_cbe_tmp__2843 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2842)) | (llvm_cbe_tmp__2834 << 16u)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2840)) << 8u);
  llvm_cbe_tmp__2844 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2843) / ((unsigned int )llvm_cbe_tmp__2838)));
  *llvm_cbe_tmp__2830 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2844) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2832 = (((unsigned char )llvm_cbe_tmp__2844));
  llvm_cbe_tmp__2845 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2843) % ((unsigned int )llvm_cbe_tmp__2838)));
  *llvm_cbe_tmp__2839 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2845) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2841 = (((unsigned char )llvm_cbe_tmp__2845));
  llvm_cbe_storemerge4292__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5153;

llvm_cbe_tmp__7863:
  llvm_cbe_tmp4305 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2858) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2860__PHI_TEMPORARY = llvm_cbe_tmp4305;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5154;

llvm_cbe_tmp__7862:
  llvm_cbe_tmp4294_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2869 ^ llvm_cbe_tmp__2868)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2871__PHI_TEMPORARY = llvm_cbe_tmp4294_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5155;

llvm_cbe_tmp__7861:
  llvm_cbe_tmp4300 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2878) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2880__PHI_TEMPORARY = llvm_cbe_tmp4300;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5156;

  } while (1); /* end of syntactic loop '._crit_edge5157' */
llvm_cbe__2e__crit_edge5151:
  llvm_cbe_tmp__2783 = llvm_cbe_tmp__2783__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2783;
  llvm_cbe_tmp__2784 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2765) + ((unsigned int )10u)))))]));
  llvm_cbe_tmp__2785 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2765) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__2786 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2784)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2785))))));
  *((&RAM.array[((signed int )33767u)])) = llvm_cbe_tmp__2786;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2786 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2786) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2786 == ((unsigned char )0))));
  llvm_cbe_tmp__2787 = *(&WP);
  llvm_cbe_tmp__2788 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2787);
  llvm_cbe_tmp__2789 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2788) + ((unsigned int )10u)))))]));
  llvm_cbe_tmp__2790 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2788) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__2791 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2788) + ((unsigned int )6u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2790)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2789)) << ((unsigned short )8))))))), llvm_cbe_tmp__2791);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2791 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2791) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2791 == ((unsigned char )0))));
  llvm_cbe__2e_pre6395 = *(&WP);
  llvm_cbe_tmp__2792__PHI_TEMPORARY = llvm_cbe__2e_pre6395;   /* for PHI node */
  llvm_cbe_tmp__2793__PHI_TEMPORARY = llvm_cbe__2e_pre6395;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5157;

llvm_cbe_tmp__7856:
  llvm_cbe_tmp4289_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2781 ^ llvm_cbe_tmp__2778)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2783__PHI_TEMPORARY = llvm_cbe_tmp4289_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5151;

llvm_cbe_tmp__7859:
  llvm_cbe_tmp4298 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2884) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2886__PHI_TEMPORARY = llvm_cbe_tmp4298;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5158;

llvm_cbe_tmp__7857:
  llvm_cbe_tmp4296 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2894) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2896__PHI_TEMPORARY = llvm_cbe_tmp4296;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5159;

  } while (1); /* end of syntactic loop '._crit_edge5160' */
llvm_cbe_tmp__7865:
  llvm_cbe_tmp__2750 = *(&WP);
  llvm_cbe_tmp__2751 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2750);
  llvm_cbe_tmp__2752 = (&RAM.array[((signed int )llvm_cbe_tmp__2751)]);
  *llvm_cbe_tmp__2752 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2751) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__2753 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2751) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__2754 = (&RAM.array[((signed int )llvm_cbe_tmp__2753)]);
  llvm_cbe_tmp__2755 = *llvm_cbe_tmp__2754;
  llvm_cbe_tmp__2756 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2753) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2757 = *llvm_cbe_tmp__2756;
  llvm_cbe_tmp__2758 = *llvm_cbe_tmp__2752;
  llvm_cbe_tmp__2759 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2758)) << 8u)) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__2755)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2757))))));
  *llvm_cbe_tmp__2754 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2759) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__2756 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2759) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2753) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2759) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2753) + ((unsigned int )3u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__2760 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2751) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__2761 = *((&RAM.array[((signed int )llvm_cbe_tmp__2760)]));
  llvm_cbe_tmp__2762 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2760) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2763 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2751) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__2763)])) = llvm_cbe_tmp__2761;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2763) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__2762;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2751) + ((unsigned int )16u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2751) + ((unsigned int )17u)))))])) = ((unsigned char )-31);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2751) + ((unsigned int )18u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2751) + ((unsigned int )19u)))))])) = ((unsigned char )100);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2764__PHI_TEMPORARY = llvm_cbe_tmp__2750;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5160;

  do {     /* Syntactic loop '._crit_edge5150' to make GCC happy */
llvm_cbe__2e__crit_edge5150:
  llvm_cbe_tmp__2735 = *(&WP);
  llvm_cbe_tmp__2736 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2735);
  llvm_cbe_tmp__2737 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2736) + ((unsigned int )14u)));
  llvm_cbe_tmp__2738 = llvm_cbe_tmp__2737 & 65535u;
  llvm_cbe_tmp__2739 = (&RAM.array[((signed int )llvm_cbe_tmp__2738)]);
  llvm_cbe_tmp__2740 = *llvm_cbe_tmp__2739;
  llvm_cbe_tmp__2741 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2740)) << 8u;
  llvm_cbe_tmp__2742 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2738) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2743 = *llvm_cbe_tmp__2742;
  llvm_cbe_tmp__2744 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2741 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2743)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2739 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2744) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2742 = (((unsigned char )llvm_cbe_tmp__2744));
  llvm_cbe_tmp__2745 = ((unsigned short )llvm_cbe_tmp__2744);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2745 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2745) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2745 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2744) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2741 & 32768u) == 0u)) {
    llvm_cbe_tmp__2746__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5149;
  } else {
    goto llvm_cbe_tmp__7866;
  }

llvm_cbe__2e__crit_edge5149:
  llvm_cbe_tmp__2746 = llvm_cbe_tmp__2746__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2746;
  llvm_cbe_tmp__2747 = *((&RAM.array[((signed int )llvm_cbe_tmp__2737)]));
  llvm_cbe_tmp__2748 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2736) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__2749 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2747)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2748)))))) + ((unsigned short )((unsigned short )-31908))))))));
  *((&RAM.array[((signed int )llvm_cbe_tmp__2736)])) = llvm_cbe_tmp__2749;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2749 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2749) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2749 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__2749 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5150;
  } else {
    goto llvm_cbe_tmp__7865;
  }

llvm_cbe_tmp__7866:
  llvm_cbe_tmp4316 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2744) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2746__PHI_TEMPORARY = llvm_cbe_tmp4316;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5149;

  } while (1); /* end of syntactic loop '._crit_edge5150' */
llvm_cbe_tmp__7867:
  llvm_cbe_tmp__2733 = *(&WP);
  llvm_cbe_tmp__2734 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2733);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2734) + ((unsigned int )14u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2734) + ((unsigned int )15u)))))])) = ((unsigned char )8);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe__2e__crit_edge5150;

  do {     /* Syntactic loop '._crit_edge5148' to make GCC happy */
llvm_cbe__2e__crit_edge5148:
  llvm_cbe_tmp__2718 = *(&WP);
  llvm_cbe_tmp__2719 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2718);
  llvm_cbe_tmp__2720 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2719) + ((unsigned int )10u)));
  llvm_cbe_tmp__2721 = llvm_cbe_tmp__2720 & 65535u;
  llvm_cbe_tmp__2722 = (&RAM.array[((signed int )llvm_cbe_tmp__2721)]);
  llvm_cbe_tmp__2723 = *llvm_cbe_tmp__2722;
  llvm_cbe_tmp__2724 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2723)) << 8u;
  llvm_cbe_tmp__2725 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2721) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2726 = *llvm_cbe_tmp__2725;
  llvm_cbe_tmp__2727 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2724 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2726)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2722 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2727) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2725 = (((unsigned char )llvm_cbe_tmp__2727));
  llvm_cbe_tmp__2728 = ((unsigned short )llvm_cbe_tmp__2727);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2728 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2728) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2728 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2727) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2724 & 32768u) == 0u)) {
    llvm_cbe_tmp__2729__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5147;
  } else {
    goto llvm_cbe_tmp__7868;
  }

llvm_cbe__2e__crit_edge5147:
  llvm_cbe_tmp__2729 = llvm_cbe_tmp__2729__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2729;
  llvm_cbe_tmp__2730 = *((&RAM.array[((signed int )llvm_cbe_tmp__2720)]));
  llvm_cbe_tmp__2731 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2719) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__2732 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2730)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2731))))));
  *((&RAM.array[((signed int )llvm_cbe_tmp__2719)])) = llvm_cbe_tmp__2732;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2732 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2732) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2732 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__2732 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5148;
  } else {
    goto llvm_cbe_tmp__7867;
  }

llvm_cbe_tmp__7868:
  llvm_cbe_tmp4319 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2727) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2729__PHI_TEMPORARY = llvm_cbe_tmp4319;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5147;

  } while (1); /* end of syntactic loop '._crit_edge5148' */
llvm_cbe_tmp__7869:
  *llvm_cbe_tmp__2684 = ((unsigned char )-125);
  *llvm_cbe_tmp__2686 = ((unsigned char )82);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe__2e__crit_edge5148;

  do {     /* Syntactic loop '._crit_edge5146' to make GCC happy */
llvm_cbe__2e__crit_edge5146:
  llvm_cbe_tmp__2713 = *llvm_cbe_tmp__2711;
  llvm_cbe_tmp__2714 = *llvm_cbe_tmp__2712;
  llvm_cbe_tmp__2715 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2713)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2714));
  *llvm_cbe_tmp__2711 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2715) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2712 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2714) + ((unsigned char )((unsigned char )2)))))));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2715 & 65534u))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2715 | 1u))])) = ((unsigned char )0);
  llvm_cbe_tmp__2716 = *llvm_cbe_tmp__2684;
  llvm_cbe_tmp__2717 = *llvm_cbe_tmp__2686;
  if ((((((unsigned int )(unsigned char )llvm_cbe_tmp__2717)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2716)) << 8u)) == 33626u)) {
    goto llvm_cbe_tmp__7869;
  } else {
    goto llvm_cbe__2e__crit_edge5146;
  }

  } while (1); /* end of syntactic loop '._crit_edge5146' */
llvm_cbe__2e__crit_edge5145:
  llvm_cbe_tmp__2706 = llvm_cbe_tmp__2706__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2706;
  llvm_cbe_tmp__2707 = *llvm_cbe_tmp__2691;
  llvm_cbe_tmp__2708 = *llvm_cbe_tmp__2697;
  *((&RAM.array[((signed int )33654u)])) = llvm_cbe_tmp__2707;
  *((&RAM.array[((signed int )33655u)])) = llvm_cbe_tmp__2708;
  llvm_cbe_tmp__2709 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2683) + ((unsigned int )16u)))) & 65535u))]));
  *((&RAM.array[((signed int )33653u)])) = llvm_cbe_tmp__2709;
  *llvm_cbe_tmp__2684 = ((unsigned char )-125);
  *llvm_cbe_tmp__2686 = ((unsigned char )82);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2710 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__2682) + ((unsigned short )((unsigned short )10))))))));
  llvm_cbe_tmp__2711 = (&RAM.array[((signed int )llvm_cbe_tmp__2710)]);
  llvm_cbe_tmp__2712 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2710) + ((unsigned int )1u)))))]);
  goto llvm_cbe__2e__crit_edge5146;

llvm_cbe__2e__crit_edge5144:
  llvm_cbe_tmp__2696 = llvm_cbe_tmp__2696__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2696;
  llvm_cbe_tmp__2697 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2690) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2698 = *llvm_cbe_tmp__2697;
  *llvm_cbe_tmp__2691 = llvm_cbe_tmp__2698;
  *llvm_cbe_tmp__2697 = llvm_cbe_tmp__2695;
  llvm_cbe_tmp__2699 = (&RAM.array[((signed int )llvm_cbe_tmp__2688)]);
  llvm_cbe_tmp__2700 = *llvm_cbe_tmp__2699;
  llvm_cbe_tmp__2701 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2700)) << 8u;
  llvm_cbe_tmp__2702 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2683) + ((unsigned int )19u)))))]);
  llvm_cbe_tmp__2703 = *llvm_cbe_tmp__2702;
  llvm_cbe_tmp__2704 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2703)) | llvm_cbe_tmp__2701)) + ((unsigned int )65473u)));
  *llvm_cbe_tmp__2699 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2704) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2702 = (((unsigned char )llvm_cbe_tmp__2704));
  llvm_cbe_tmp__2705 = ((unsigned short )llvm_cbe_tmp__2704);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2705 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2705) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2705 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2704) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2701 & 32768u) == 0u)) {
    llvm_cbe_tmp__2706__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5145;
  } else {
    goto llvm_cbe_tmp__7870;
  }

llvm_cbe_tmp__7837:
  llvm_cbe_tmp__2667 = *llvm_cbe_tmp__2636;
  llvm_cbe_tmp__2668 = *llvm_cbe_tmp__2637;
  llvm_cbe_tmp__2669 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2668)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2667)) << 8u);
  llvm_cbe_tmp__2670 = (&RAM.array[((signed int )(llvm_cbe_tmp__2669 & 65534u))]);
  llvm_cbe_tmp__2671 = *llvm_cbe_tmp__2670;
  llvm_cbe_tmp__2672 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2671)) << 8u;
  llvm_cbe_tmp__2673 = (&RAM.array[((signed int )(llvm_cbe_tmp__2669 | 1u))]);
  llvm_cbe_tmp__2674 = *llvm_cbe_tmp__2673;
  llvm_cbe_tmp__2675 = llvm_cbe_tmp__2672 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2674));
  llvm_cbe_tmp__2676 = ((((llvm_cbe_tmp__2672 & 32768u) != 0u)) ? ((-(llvm_cbe_tmp__2675))) : (llvm_cbe_tmp__2675));
  *llvm_cbe_tmp__2670 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2676) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2673 = (((unsigned char )llvm_cbe_tmp__2676));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2675 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2675))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2675 == 0u)));
  *(&ST_C) = 0u;
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__2675 == 32768u)));
  llvm_cbe_tmp__2677 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2635) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__2678 = (&RAM.array[((signed int )llvm_cbe_tmp__2677)]);
  *llvm_cbe_tmp__2678 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2677) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__2679 = *llvm_cbe_tmp__2636;
  llvm_cbe_tmp__2680 = *llvm_cbe_tmp__2637;
  llvm_cbe_tmp__2681 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2679)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2680))))));
  *llvm_cbe_tmp__2678 = llvm_cbe_tmp__2681;
  llvm_cbe_tmp__2682 = *(&WP);
  llvm_cbe_tmp__2683 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2682);
  llvm_cbe_tmp__2684 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2683) + ((unsigned int )10u)))))]);
  llvm_cbe_tmp__2685 = *llvm_cbe_tmp__2684;
  llvm_cbe_tmp__2686 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2683) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__2687 = *llvm_cbe_tmp__2686;
  llvm_cbe_tmp__2688 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2683) + ((unsigned int )18u)));
  llvm_cbe_tmp__2689 = *((&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2687)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2685)) << 8u)))]));
  llvm_cbe_tmp__2690 = llvm_cbe_tmp__2688 & 65535u;
  llvm_cbe_tmp__2691 = (&RAM.array[((signed int )llvm_cbe_tmp__2690)]);
  llvm_cbe_tmp__2692 = *llvm_cbe_tmp__2691;
  llvm_cbe_tmp__2693 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2692);
  llvm_cbe_tmp__2694 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2693) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2689)))));
  llvm_cbe_tmp__2695 = ((unsigned char )llvm_cbe_tmp__2694);
  *llvm_cbe_tmp__2691 = llvm_cbe_tmp__2695;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2695 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2695) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2695 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2694) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2692 ^ llvm_cbe_tmp__2689))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7871;
  } else {
    llvm_cbe_tmp__2696__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5144;
  }

llvm_cbe_tmp__7871:
  llvm_cbe_tmp4287_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2694 ^ llvm_cbe_tmp__2693)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2696__PHI_TEMPORARY = llvm_cbe_tmp4287_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5144;

llvm_cbe_tmp__7870:
  llvm_cbe_tmp4322 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2704) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2706__PHI_TEMPORARY = llvm_cbe_tmp4322;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5145;

  do {     /* Syntactic loop '._crit_edge5255' to make GCC happy */
llvm_cbe__2e__crit_edge5255:
  llvm_cbe_tmp__3419 = llvm_cbe_tmp__3419__PHI_TEMPORARY;
  llvm_cbe_tmp__3420 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3419);
  llvm_cbe_tmp__3421 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3420) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3421)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3421) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__3422 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3420) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__3423 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3420) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__3424 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3422)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3423))))));
  *((&RAM.array[((signed int )33765u)])) = llvm_cbe_tmp__3424;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3424 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3424) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3424 == ((unsigned char )0))));
  llvm_cbe_tmp__3425 = *(&WP);
  llvm_cbe_tmp__3426 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3425);
  llvm_cbe_tmp__3427 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3426) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3428 = (&RAM.array[((signed int )llvm_cbe_tmp__3427)]);
  llvm_cbe_tmp__3429 = *llvm_cbe_tmp__3428;
  llvm_cbe_tmp__3430 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3427) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3431 = *llvm_cbe_tmp__3430;
  llvm_cbe_tmp__3432 = *((&RAM.array[((signed int )4164u)]));
  llvm_cbe_tmp__3433 = *((&RAM.array[((signed int )4165u)]));
  llvm_cbe_tmp__3434 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3432)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3433)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3429)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3431))))));
  *llvm_cbe_tmp__3428 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3434) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__3430 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3434) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3427) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3434) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3427) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__3434));
  *((&RAM.array[((signed int )llvm_cbe_tmp__3426)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3426) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__3435 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3426) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__3436 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3426) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__3437 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3435)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3436)))))) + ((unsigned short )((unsigned short )1))))))));
  *((&RAM.array[((signed int )33761u)])) = llvm_cbe_tmp__3437;
  llvm_cbe_tmp__3438 = *(&WP);
  llvm_cbe_tmp__3439 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3438);
  llvm_cbe_tmp__3440 = *((&RAM.array[((signed int )llvm_cbe_tmp__3439)]));
  llvm_cbe_tmp__3441 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3440)) << 8u;
  llvm_cbe_tmp__3442 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3439) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3443 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3439) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__3444 = (&RAM.array[((signed int )llvm_cbe_tmp__3443)]);
  llvm_cbe_tmp__3445 = *llvm_cbe_tmp__3444;
  llvm_cbe_tmp__3446 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3445)) << 8u;
  llvm_cbe_tmp__3447 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3443) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3448 = *llvm_cbe_tmp__3447;
  llvm_cbe_tmp__3449 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3446 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3448)))) + ((unsigned int )(llvm_cbe_tmp__3441 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3442))))));
  *llvm_cbe_tmp__3444 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3449) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__3450 = ((unsigned char )llvm_cbe_tmp__3449);
  *llvm_cbe_tmp__3447 = llvm_cbe_tmp__3450;
  llvm_cbe_tmp__3451 = ((unsigned short )llvm_cbe_tmp__3449);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3451 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3451) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3451 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3449) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__3446 ^ llvm_cbe_tmp__3441) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7872;
  } else {
    llvm_cbe_tmp__3452__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5217;
  }

llvm_cbe__2e__crit_edge5253:
  llvm_cbe_tmp__3780 = llvm_cbe_tmp__3780__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3780;
  if (((((((signed short )llvm_cbe_tmp__3779) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__3779 == ((unsigned short )0)))&1))) {
    llvm_cbe__2e_pre6374_2e_rle6988__PHI_TEMPORARY = llvm_cbe_tmp__3761;   /* for PHI node */
    llvm_cbe__2e_rle6370__PHI_TEMPORARY = llvm_cbe_tmp__3761;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5161;
  } else {
    llvm_cbe_tmp__3419__PHI_TEMPORARY = llvm_cbe_tmp__3761;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5255;
  }

llvm_cbe__2e__crit_edge5252:
  llvm_cbe_tmp__3771 = llvm_cbe_tmp__3771__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3771;
  llvm_cbe_tmp__3772 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3762) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__3773 = (&RAM.array[((signed int )llvm_cbe_tmp__3772)]);
  llvm_cbe_tmp__3774 = *llvm_cbe_tmp__3773;
  llvm_cbe_tmp__3775 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3774)) << 8u;
  llvm_cbe_tmp__3776 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3772) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3777 = *llvm_cbe_tmp__3776;
  llvm_cbe_tmp__3778 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3775 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3777)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__3773 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3778) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3776 = (((unsigned char )llvm_cbe_tmp__3778));
  llvm_cbe_tmp__3779 = ((unsigned short )llvm_cbe_tmp__3778);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3779 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3779) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3779 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3778) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3775 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7873;
  } else {
    llvm_cbe_tmp__3780__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5253;
  }

llvm_cbe__2e__crit_edge5225:
  llvm_cbe_tmp__3756 = llvm_cbe_tmp__3756__PHI_TEMPORARY;
  llvm_cbe_tmp__3757 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3756);
  llvm_cbe_tmp__3758 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3757) + ((unsigned int )10u)))))]));
  llvm_cbe_tmp__3759 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3757) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__3760 = *((&RAM.array[((signed int )33765u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3758)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3759)))))) + ((unsigned short )((unsigned short )-31916))))))), llvm_cbe_tmp__3760);
  llvm_cbe_tmp__3761 = *(&WP);
  llvm_cbe_tmp__3762 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3761);
  llvm_cbe_tmp__3763 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3762) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__3764 = (&RAM.array[((signed int )llvm_cbe_tmp__3763)]);
  llvm_cbe_tmp__3765 = *llvm_cbe_tmp__3764;
  llvm_cbe_tmp__3766 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3765)) << 8u;
  llvm_cbe_tmp__3767 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3763) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3768 = *llvm_cbe_tmp__3767;
  llvm_cbe_tmp__3769 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3766 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3768)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__3764 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3769) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3767 = (((unsigned char )llvm_cbe_tmp__3769));
  llvm_cbe_tmp__3770 = ((unsigned short )llvm_cbe_tmp__3769);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3770 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3770) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3770 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3769) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3766 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7874;
  } else {
    llvm_cbe_tmp__3771__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5252;
  }

llvm_cbe_tmp__7875:
  llvm_cbe_tmp__3548 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3547);
  llvm_cbe_tmp__3549 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3548) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3550 = (&RAM.array[((signed int )llvm_cbe_tmp__3549)]);
  llvm_cbe_tmp__3551 = *llvm_cbe_tmp__3550;
  llvm_cbe_tmp__3552 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3549) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3553 = *llvm_cbe_tmp__3552;
  llvm_cbe_tmp__3554 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3551)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3553));
  *llvm_cbe_tmp__3550 = llvm_cbe_tmp__3551;
  *llvm_cbe_tmp__3552 = llvm_cbe_tmp__3553;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3554 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3554))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3554 == 0u)));
  if ((llvm_cbe_tmp__3554 == 0u)) {
    llvm_cbe_tmp__3756__PHI_TEMPORARY = llvm_cbe_tmp__3547;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5225;
  } else {
    goto llvm_cbe_tmp__7876;
  }

llvm_cbe__2e__crit_edge5220:
  llvm_cbe_tmp__3546 = llvm_cbe_tmp__3546__PHI_TEMPORARY;
  llvm_cbe_tmp__3547 = llvm_cbe_tmp__3547__PHI_TEMPORARY;
  llvm_cbe_storemerge4351_2e_in = ((llvm_cbe_storemerge4351_2e_in__PHI_TEMPORARY)&1);
  *(&ST_O) = (((unsigned int )(bool )llvm_cbe_storemerge4351_2e_in));
  if ((llvm_cbe_tmp__3546 == 0u)) {
    goto llvm_cbe_tmp__7875;
  } else {
    llvm_cbe_tmp__3522__PHI_TEMPORARY = llvm_cbe_tmp__3547;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5224;
  }

llvm_cbe_tmp__7877:
  if ((((llvm_cbe_tmp__3515 ^ llvm_cbe_tmp__3510) & 32768u) == 0u)) {
    llvm_cbe_tmp__3546__PHI_TEMPORARY = llvm_cbe_tmp__3520;   /* for PHI node */
    llvm_cbe_tmp__3547__PHI_TEMPORARY = llvm_cbe_tmp__3478;   /* for PHI node */
    llvm_cbe_storemerge4351_2e_in__PHI_TEMPORARY = 0;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5220;
  } else {
    goto llvm_cbe_tmp__7878;
  }

llvm_cbe__2e__crit_edge5219:
  llvm_cbe_tmp__3493 = llvm_cbe_tmp__3493__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3493;
  llvm_cbe_tmp__3494 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3479) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3495 = (&RAM.array[((signed int )llvm_cbe_tmp__3494)]);
  llvm_cbe_tmp__3496 = *llvm_cbe_tmp__3495;
  llvm_cbe_tmp__3497 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3494) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3498 = *llvm_cbe_tmp__3497;
  *llvm_cbe_tmp__3480 = llvm_cbe_tmp__3496;
  *llvm_cbe_tmp__3483 = llvm_cbe_tmp__3498;
  llvm_cbe_tmp__3499 = *llvm_cbe_tmp__3480;
  llvm_cbe_tmp__3500 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3479) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__3501 = *((&RAM.array[((signed int )llvm_cbe_tmp__3500)]));
  llvm_cbe_tmp__3502 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3500) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3503 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3501)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3502)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3499)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3498))))));
  *llvm_cbe_tmp__3480 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3503) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__3483 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3503) >> ((unsigned int )16u))))));
  llvm_cbe_tmp__3504 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3479) + ((unsigned int )2u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__3504)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3503) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3479) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__3503));
  llvm_cbe_tmp__3505 = *llvm_cbe_tmp__3495;
  llvm_cbe_tmp__3506 = *llvm_cbe_tmp__3497;
  llvm_cbe_tmp__3507 = *((&RAM.array[((signed int )4164u)]));
  llvm_cbe_tmp__3508 = *((&RAM.array[((signed int )4165u)]));
  llvm_cbe_tmp__3509 = *llvm_cbe_tmp__3486;
  llvm_cbe_tmp__3510 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3509)) << 8u;
  llvm_cbe_tmp__3511 = *llvm_cbe_tmp__3489;
  llvm_cbe_tmp__3512 = llvm_cbe_tmp__3504 & 65535u;
  llvm_cbe_tmp__3513 = (&RAM.array[((signed int )llvm_cbe_tmp__3512)]);
  llvm_cbe_tmp__3514 = *llvm_cbe_tmp__3513;
  llvm_cbe_tmp__3515 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3514)) << 8u;
  llvm_cbe_tmp__3516 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3512) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3517 = *llvm_cbe_tmp__3516;
  llvm_cbe_tmp__3518 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3515 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3517)))) - ((unsigned int )(llvm_cbe_tmp__3510 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3511))))));
  *llvm_cbe_tmp__3513 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3518) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3516 = (((unsigned char )llvm_cbe_tmp__3518));
  llvm_cbe_tmp__3519 = ((unsigned short )llvm_cbe_tmp__3518);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3519 != ((unsigned short )0))));
  llvm_cbe_tmp__3520 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3519) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3520;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3519 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3518) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3505)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3506))))) == (((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3507)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3508))))))) {
    goto llvm_cbe_tmp__7879;
  } else {
    goto llvm_cbe_tmp__7877;
  }

llvm_cbe__2e__crit_edge5218:
  llvm_cbe_tmp__3470 = llvm_cbe_tmp__3470__PHI_TEMPORARY;
  llvm_cbe_storemerge4338 = llvm_cbe_storemerge4338__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_storemerge4338;
  llvm_cbe_tmp__3471 = *llvm_cbe_tmp__3444;
  llvm_cbe_tmp__3472 = *((&RAM.array[((signed int )4164u)]));
  llvm_cbe_tmp__3473 = *((&RAM.array[((signed int )4165u)]));
  llvm_cbe_tmp__3474 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3472)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3473)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3471)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3470))))));
  *llvm_cbe_tmp__3444 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3474) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__3447 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3474) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3443) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3474) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3443) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__3474));
  llvm_cbe_tmp__3475 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3439) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__3476 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3439) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__3477 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3475)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3476)))))) + ((unsigned short )((unsigned short )2))))))));
  *((&RAM.array[((signed int )33761u)])) = llvm_cbe_tmp__3477;
  llvm_cbe_tmp__3478 = *(&WP);
  llvm_cbe_tmp__3479 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3478);
  llvm_cbe_tmp__3480 = (&RAM.array[((signed int )llvm_cbe_tmp__3479)]);
  llvm_cbe_tmp__3481 = *llvm_cbe_tmp__3480;
  llvm_cbe_tmp__3482 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3481)) << 8u;
  llvm_cbe_tmp__3483 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3479) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3484 = *llvm_cbe_tmp__3483;
  llvm_cbe_tmp__3485 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3479) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__3486 = (&RAM.array[((signed int )llvm_cbe_tmp__3485)]);
  llvm_cbe_tmp__3487 = *llvm_cbe_tmp__3486;
  llvm_cbe_tmp__3488 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3487)) << 8u;
  llvm_cbe_tmp__3489 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3485) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3490 = *llvm_cbe_tmp__3489;
  llvm_cbe_tmp__3491 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3488 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3490)))) + ((unsigned int )(llvm_cbe_tmp__3482 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3484))))));
  *llvm_cbe_tmp__3486 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3491) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3489 = (((unsigned char )llvm_cbe_tmp__3491));
  llvm_cbe_tmp__3492 = ((unsigned short )llvm_cbe_tmp__3491);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3492 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3492) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3492 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3491) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__3488 ^ llvm_cbe_tmp__3482) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7880;
  } else {
    llvm_cbe_tmp__3493__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5219;
  }

llvm_cbe__2e__crit_edge5217:
  llvm_cbe_tmp__3452 = llvm_cbe_tmp__3452__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3452;
  llvm_cbe_tmp__3453 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3439) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3454 = (&RAM.array[((signed int )llvm_cbe_tmp__3453)]);
  llvm_cbe_tmp__3455 = *llvm_cbe_tmp__3454;
  llvm_cbe_tmp__3456 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3453) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3457 = *llvm_cbe_tmp__3456;
  llvm_cbe_tmp__3458 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3455)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3457));
  llvm_cbe_tmp__3459 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3439) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__3460 = *((&RAM.array[((signed int )llvm_cbe_tmp__3459)]));
  llvm_cbe_tmp__3461 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3459) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3462 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3460)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3461));
  if ((((unsigned short )(((unsigned short )llvm_cbe_tmp__3462))) > ((unsigned short )(((unsigned short )llvm_cbe_tmp__3458))))) {
    goto llvm_cbe_tmp__7881;
  } else {
    llvm_cbe_tmp__3470__PHI_TEMPORARY = llvm_cbe_tmp__3450;   /* for PHI node */
    llvm_cbe_storemerge4338__PHI_TEMPORARY = 1u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5218;
  }

llvm_cbe_tmp__7872:
  llvm_cbe_tmp4337_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3449 ^ llvm_cbe_tmp__3446)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3452__PHI_TEMPORARY = llvm_cbe_tmp4337_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5217;

llvm_cbe_tmp__7881:
  llvm_cbe_tmp__3463 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3453) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__3464 = *llvm_cbe_tmp__3463;
  llvm_cbe_tmp__3465 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3453) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__3466 = *llvm_cbe_tmp__3465;
  llvm_cbe_tmp__3467 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3466)) | (llvm_cbe_tmp__3458 << 16u)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3464)) << 8u);
  llvm_cbe_tmp__3468 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3467) / ((unsigned int )llvm_cbe_tmp__3462)));
  *llvm_cbe_tmp__3454 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3468) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3456 = (((unsigned char )llvm_cbe_tmp__3468));
  llvm_cbe_tmp__3469 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3467) % ((unsigned int )llvm_cbe_tmp__3462)));
  *llvm_cbe_tmp__3463 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3469) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3465 = (((unsigned char )llvm_cbe_tmp__3469));
  llvm_cbe__2e_pre6428 = *llvm_cbe_tmp__3447;
  llvm_cbe_tmp__3470__PHI_TEMPORARY = llvm_cbe__2e_pre6428;   /* for PHI node */
  llvm_cbe_storemerge4338__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5218;

llvm_cbe_tmp__7880:
  llvm_cbe_tmp4340_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3491 ^ llvm_cbe_tmp__3488)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3493__PHI_TEMPORARY = llvm_cbe_tmp4340_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5219;

llvm_cbe_tmp__7878:
  llvm_cbe_tmp__3546__PHI_TEMPORARY = llvm_cbe_tmp__3520;   /* for PHI node */
  llvm_cbe_tmp__3547__PHI_TEMPORARY = llvm_cbe_tmp__3478;   /* for PHI node */
  llvm_cbe_storemerge4351_2e_in__PHI_TEMPORARY = (((llvm_cbe_tmp__3518 ^ llvm_cbe_tmp__3515) & 32768u) != 0u);   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5220;

llvm_cbe__2e__crit_edge5222:
  llvm_cbe_tmp__3532 = llvm_cbe_tmp__3532__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3532;
  llvm_cbe_tmp__3533 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3523) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__3534 = *((&RAM.array[((signed int )llvm_cbe_tmp__3533)]));
  llvm_cbe_tmp__3535 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3534)) << 8u;
  llvm_cbe_tmp__3536 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3533) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3537 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3523) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__3538 = (&RAM.array[((signed int )llvm_cbe_tmp__3537)]);
  llvm_cbe_tmp__3539 = *llvm_cbe_tmp__3538;
  llvm_cbe_tmp__3540 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3539)) << 8u;
  llvm_cbe_tmp__3541 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3537) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3542 = *llvm_cbe_tmp__3541;
  llvm_cbe_tmp__3543 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3540 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3542)))) - ((unsigned int )(llvm_cbe_tmp__3535 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3536))))));
  *llvm_cbe_tmp__3538 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3543) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3541 = (((unsigned char )llvm_cbe_tmp__3543));
  llvm_cbe_tmp__3544 = ((unsigned short )llvm_cbe_tmp__3543);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3544 != ((unsigned short )0))));
  llvm_cbe_tmp__3545 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3544) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3545;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3544 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3543) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__3540 ^ llvm_cbe_tmp__3535) & 32768u) == 0u)) {
    llvm_cbe_tmp__3546__PHI_TEMPORARY = llvm_cbe_tmp__3545;   /* for PHI node */
    llvm_cbe_tmp__3547__PHI_TEMPORARY = llvm_cbe_tmp__3522;   /* for PHI node */
    llvm_cbe_storemerge4351_2e_in__PHI_TEMPORARY = 0;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5220;
  } else {
    goto llvm_cbe_tmp__7882;
  }

llvm_cbe__2e__crit_edge5224:
  llvm_cbe_tmp__3522 = llvm_cbe_tmp__3522__PHI_TEMPORARY;
  llvm_cbe_tmp__3523 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3522);
  llvm_cbe_tmp__3524 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3523) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3525 = (&RAM.array[((signed int )llvm_cbe_tmp__3524)]);
  llvm_cbe_tmp__3526 = *llvm_cbe_tmp__3525;
  llvm_cbe_tmp__3527 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3526)) << 8u;
  llvm_cbe_tmp__3528 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3524) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3529 = *llvm_cbe_tmp__3528;
  llvm_cbe_tmp__3530 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3527 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3529)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3525 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3530) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3528 = (((unsigned char )llvm_cbe_tmp__3530));
  llvm_cbe_tmp__3531 = ((unsigned short )llvm_cbe_tmp__3530);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3531 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3531) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3531 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3530) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3527 & 32768u) == 0u)) {
    llvm_cbe_tmp__3532__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5222;
  } else {
    goto llvm_cbe_tmp__7883;
  }

llvm_cbe__2e__crit_edge5221:
  llvm_cbe_tmp__3521 = llvm_cbe_tmp__3521__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3521;
  llvm_cbe_tmp__3522__PHI_TEMPORARY = llvm_cbe_tmp__3478;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5224;

llvm_cbe_tmp__7879:
  if ((((llvm_cbe_tmp__3515 ^ llvm_cbe_tmp__3510) & 32768u) == 0u)) {
    llvm_cbe_tmp__3521__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5221;
  } else {
    goto llvm_cbe_tmp__7884;
  }

llvm_cbe_tmp__7884:
  llvm_cbe_tmp4342_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3518 ^ llvm_cbe_tmp__3515)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3521__PHI_TEMPORARY = llvm_cbe_tmp4342_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5221;

llvm_cbe_tmp__7883:
  llvm_cbe_tmp4357 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3530) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3532__PHI_TEMPORARY = llvm_cbe_tmp4357;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5222;

llvm_cbe_tmp__7882:
  llvm_cbe_tmp__3546__PHI_TEMPORARY = llvm_cbe_tmp__3545;   /* for PHI node */
  llvm_cbe_tmp__3547__PHI_TEMPORARY = llvm_cbe_tmp__3522;   /* for PHI node */
  llvm_cbe_storemerge4351_2e_in__PHI_TEMPORARY = (((llvm_cbe_tmp__3543 ^ llvm_cbe_tmp__3540) & 32768u) != 0u);   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5220;

llvm_cbe__2e__crit_edge5237:
  llvm_cbe_tmp__3675 = llvm_cbe_tmp__3675__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3675;
  if (((((((signed char )llvm_cbe_tmp__3674) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__3674 == ((unsigned char )0)))&1))) {
    llvm_cbe_tmp__3756__PHI_TEMPORARY = llvm_cbe_tmp__3583;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5225;
  } else {
    goto llvm_cbe_tmp__7885;
  }

llvm_cbe_tmp__7886:
  llvm_cbe_tmp__3667 = *llvm_cbe_tmp__3623;
  llvm_cbe_tmp__3668 = *llvm_cbe_tmp__3625;
  llvm_cbe_tmp__3669 = *((&RAM.array[((signed int )33761u)]));
  llvm_cbe_tmp__3670 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3668)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3667)) << 8u)))]);
  llvm_cbe_tmp__3671 = *llvm_cbe_tmp__3670;
  llvm_cbe_tmp__3672 = ((unsigned int )(unsigned char )llvm_cbe_tmp__3671);
  llvm_cbe_tmp__3673 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3672) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__3669)))));
  llvm_cbe_tmp__3674 = ((unsigned char )llvm_cbe_tmp__3673);
  *llvm_cbe_tmp__3670 = llvm_cbe_tmp__3674;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3674 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3674) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3674 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3673) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__3671 ^ llvm_cbe_tmp__3669))))) & 128u) == 0u)) {
    llvm_cbe_tmp__3675__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5237;
  } else {
    goto llvm_cbe_tmp__7887;
  }

  do {     /* Syntactic loop '._crit_edge5236' to make GCC happy */
llvm_cbe__2e__crit_edge5236:
  llvm_cbe_tmp__3574 = llvm_cbe_tmp__3574__PHI_TEMPORARY;
  llvm_cbe_tmp__3575 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3574);
  llvm_cbe_tmp__3576 = *((&RAM.array[((signed int )llvm_cbe_tmp__3575)]));
  llvm_cbe_tmp__3577 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3575) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3578 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3576)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3577));
  llvm_cbe_tmp__3579 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3575) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3579)])) = llvm_cbe_tmp__3576;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3579) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__3577;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3578 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3578))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3578 == 0u)));
  llvm_cbe_tmp__3580 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3575) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__3581 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3575) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__3582 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3580)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3581)))))) + ((unsigned short )((unsigned short )-31916))))))));
  *((&RAM.array[((signed int )33761u)])) = llvm_cbe_tmp__3582;
  llvm_cbe_tmp__3583 = *(&WP);
  llvm_cbe_tmp__3584 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3583);
  llvm_cbe_tmp__3585 = (&RAM.array[((signed int )llvm_cbe_tmp__3584)]);
  llvm_cbe_tmp__3586 = *llvm_cbe_tmp__3585;
  llvm_cbe_tmp__3587 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3584) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3588 = *llvm_cbe_tmp__3587;
  llvm_cbe_tmp__3589 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3584) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3590 = (&RAM.array[((signed int )llvm_cbe_tmp__3589)]);
  llvm_cbe_tmp__3591 = *llvm_cbe_tmp__3590;
  llvm_cbe_tmp__3592 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3589) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3593 = *llvm_cbe_tmp__3592;
  llvm_cbe_tmp__3594 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3591)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3593)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3586)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3588))))));
  *llvm_cbe_tmp__3585 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3594) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__3587 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3594) >> ((unsigned int )16u))))));
  llvm_cbe_tmp__3595 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3584) + ((unsigned int )2u)));
  llvm_cbe_tmp__3596 = (&RAM.array[((signed int )llvm_cbe_tmp__3595)]);
  *llvm_cbe_tmp__3596 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3594) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__3597 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3584) + ((unsigned int )3u)))))]);
  *llvm_cbe_tmp__3597 = (((unsigned char )llvm_cbe_tmp__3594));
  llvm_cbe_tmp__3598 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3584) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__3599 = *((&RAM.array[((signed int )llvm_cbe_tmp__3598)]));
  llvm_cbe_tmp__3600 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3599)) << 8u;
  llvm_cbe_tmp__3601 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3598) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3602 = llvm_cbe_tmp__3595 & 65535u;
  llvm_cbe_tmp__3603 = (&RAM.array[((signed int )llvm_cbe_tmp__3602)]);
  llvm_cbe_tmp__3604 = *llvm_cbe_tmp__3603;
  llvm_cbe_tmp__3605 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3604)) << 8u;
  llvm_cbe_tmp__3606 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3602) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3607 = *llvm_cbe_tmp__3606;
  llvm_cbe_tmp__3608 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3605 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3607)))) + ((unsigned int )(llvm_cbe_tmp__3600 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3601))))));
  *llvm_cbe_tmp__3603 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3608) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3606 = (((unsigned char )llvm_cbe_tmp__3608));
  llvm_cbe_tmp__3609 = ((unsigned short )llvm_cbe_tmp__3608);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3609 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3609) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3609 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3608) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__3605 ^ llvm_cbe_tmp__3600) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7888;
  } else {
    llvm_cbe_tmp__3610__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5227;
  }

llvm_cbe__2e__crit_edge5235:
  llvm_cbe_tmp__3666 = llvm_cbe_tmp__3666__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3666;
  if ((((signed short )llvm_cbe_tmp__3665) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__3574__PHI_TEMPORARY = llvm_cbe_tmp__3583;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5236;
  } else {
    goto llvm_cbe_tmp__7886;
  }

llvm_cbe__2e__crit_edge5234:
  llvm_cbe_tmp__3657 = llvm_cbe_tmp__3657__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3657;
  llvm_cbe_tmp__3658 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3584) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__3659 = (&RAM.array[((signed int )llvm_cbe_tmp__3658)]);
  llvm_cbe_tmp__3660 = *llvm_cbe_tmp__3659;
  llvm_cbe_tmp__3661 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3660)) << 8u;
  llvm_cbe_tmp__3662 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3658) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3663 = *llvm_cbe_tmp__3662;
  llvm_cbe_tmp__3664 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3661 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3663)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3659 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3664) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3662 = (((unsigned char )llvm_cbe_tmp__3664));
  llvm_cbe_tmp__3665 = ((unsigned short )llvm_cbe_tmp__3664);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3665 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3665) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3665 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3664) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3661 & 32768u) == 0u)) {
    llvm_cbe_tmp__3666__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5235;
  } else {
    goto llvm_cbe_tmp__7889;
  }

llvm_cbe__2e__crit_edge5230:
  llvm_cbe_tmp__3649 = llvm_cbe_tmp__3622 & 65535u;
  llvm_cbe_tmp__3650 = (&RAM.array[((signed int )llvm_cbe_tmp__3649)]);
  llvm_cbe_tmp__3651 = *llvm_cbe_tmp__3650;
  llvm_cbe_tmp__3652 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3651)) << 8u;
  llvm_cbe_tmp__3653 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3649) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3654 = *llvm_cbe_tmp__3653;
  llvm_cbe_tmp__3655 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3652 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3654)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3650 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3655) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3653 = (((unsigned char )llvm_cbe_tmp__3655));
  llvm_cbe_tmp__3656 = ((unsigned short )llvm_cbe_tmp__3655);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3656 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3656) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3656 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3655) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3652 & 32768u) == 0u)) {
    llvm_cbe_tmp__3657__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5234;
  } else {
    goto llvm_cbe_tmp__7890;
  }

llvm_cbe__2e__crit_edge5229:
  llvm_cbe_tmp__3633 = llvm_cbe_tmp__3633__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3633;
  if (((((((signed char )llvm_cbe_tmp__3632) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__3632 == ((unsigned char )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5230;
  } else {
    goto llvm_cbe_tmp__7891;
  }

llvm_cbe__2e__crit_edge5228:
  llvm_cbe_storemerge4362 = llvm_cbe_storemerge4362__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_storemerge4362;
  llvm_cbe_tmp__3622 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3584) + ((unsigned int )22u)));
  llvm_cbe_tmp__3623 = (&RAM.array[((signed int )llvm_cbe_tmp__3622)]);
  llvm_cbe_tmp__3624 = *llvm_cbe_tmp__3623;
  llvm_cbe_tmp__3625 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3584) + ((unsigned int )23u)))))]);
  llvm_cbe_tmp__3626 = *llvm_cbe_tmp__3625;
  llvm_cbe_tmp__3627 = *((&RAM.array[((signed int )33763u)]));
  llvm_cbe_tmp__3628 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3626)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3624)) << 8u)))]);
  llvm_cbe_tmp__3629 = *llvm_cbe_tmp__3628;
  llvm_cbe_tmp__3630 = ((unsigned int )(unsigned char )llvm_cbe_tmp__3629);
  llvm_cbe_tmp__3631 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3630) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__3627)))));
  llvm_cbe_tmp__3632 = ((unsigned char )llvm_cbe_tmp__3631);
  *llvm_cbe_tmp__3628 = llvm_cbe_tmp__3632;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3632 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3632) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3632 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3631) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__3629 ^ llvm_cbe_tmp__3627))))) & 128u) == 0u)) {
    llvm_cbe_tmp__3633__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5229;
  } else {
    goto llvm_cbe_tmp__7892;
  }

llvm_cbe__2e__crit_edge5227:
  llvm_cbe_tmp__3610 = llvm_cbe_tmp__3610__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3610;
  llvm_cbe_tmp__3611 = *llvm_cbe_tmp__3585;
  llvm_cbe_tmp__3612 = *llvm_cbe_tmp__3587;
  llvm_cbe_tmp__3613 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3611)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3612));
  llvm_cbe_tmp__3614 = *((&RAM.array[((signed int )4164u)]));
  llvm_cbe_tmp__3615 = *((&RAM.array[((signed int )4165u)]));
  llvm_cbe_tmp__3616 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3614)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3615));
  if ((((unsigned short )(((unsigned short )llvm_cbe_tmp__3616))) > ((unsigned short )(((unsigned short )llvm_cbe_tmp__3613))))) {
    goto llvm_cbe_tmp__7893;
  } else {
    llvm_cbe_storemerge4362__PHI_TEMPORARY = 1u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5228;
  }

llvm_cbe_tmp__7888:
  llvm_cbe_tmp4361_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3608 ^ llvm_cbe_tmp__3605)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3610__PHI_TEMPORARY = llvm_cbe_tmp4361_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5227;

llvm_cbe_tmp__7893:
  llvm_cbe_tmp__3617 = *llvm_cbe_tmp__3596;
  llvm_cbe_tmp__3618 = *llvm_cbe_tmp__3597;
  llvm_cbe_tmp__3619 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3618)) | (llvm_cbe_tmp__3613 << 16u)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3617)) << 8u);
  llvm_cbe_tmp__3620 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3619) / ((unsigned int )llvm_cbe_tmp__3616)));
  *llvm_cbe_tmp__3585 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3620) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3587 = (((unsigned char )llvm_cbe_tmp__3620));
  llvm_cbe_tmp__3621 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3619) % ((unsigned int )llvm_cbe_tmp__3616)));
  *llvm_cbe_tmp__3596 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3621) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3597 = (((unsigned char )llvm_cbe_tmp__3621));
  llvm_cbe_storemerge4362__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5228;

llvm_cbe_tmp__7892:
  llvm_cbe_tmp4364_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3631 ^ llvm_cbe_tmp__3630)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__3633__PHI_TEMPORARY = llvm_cbe_tmp4364_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5229;

llvm_cbe__2e__crit_edge5233:
  llvm_cbe_tmp__3648 = llvm_cbe_tmp__3648__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3648;
  goto llvm_cbe__2e__crit_edge5230;

llvm_cbe__2e__crit_edge5232:
  llvm_cbe_tmp__3642 = llvm_cbe_tmp__3642__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3642;
  llvm_cbe_tmp__3643 = *llvm_cbe_tmp__3585;
  llvm_cbe_tmp__3644 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3643)) << 8u;
  llvm_cbe_tmp__3645 = *llvm_cbe_tmp__3587;
  llvm_cbe_tmp__3646 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3644 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3645)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__3585 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3646) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3587 = (((unsigned char )llvm_cbe_tmp__3646));
  llvm_cbe_tmp__3647 = ((unsigned short )llvm_cbe_tmp__3646);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3647 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3647) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3647 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3646) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3644 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7894;
  } else {
    llvm_cbe_tmp__3648__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5233;
  }

llvm_cbe_tmp__7891:
  llvm_cbe_tmp__3634 = *llvm_cbe_tmp__3623;
  llvm_cbe_tmp__3635 = *llvm_cbe_tmp__3625;
  llvm_cbe_tmp__3636 = *((&RAM.array[((signed int )4165u)]));
  llvm_cbe_tmp__3637 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3635)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3634)) << 8u)))]);
  llvm_cbe_tmp__3638 = *llvm_cbe_tmp__3637;
  llvm_cbe_tmp__3639 = ((unsigned int )(unsigned char )llvm_cbe_tmp__3638);
  llvm_cbe_tmp__3640 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3639) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__3636)))));
  llvm_cbe_tmp__3641 = ((unsigned char )llvm_cbe_tmp__3640);
  *llvm_cbe_tmp__3637 = llvm_cbe_tmp__3641;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3641 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3641) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3641 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3640) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__3638 ^ llvm_cbe_tmp__3636))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7895;
  } else {
    llvm_cbe_tmp__3642__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5232;
  }

llvm_cbe_tmp__7895:
  llvm_cbe_tmp4366_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3640 ^ llvm_cbe_tmp__3639)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__3642__PHI_TEMPORARY = llvm_cbe_tmp4366_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5232;

llvm_cbe_tmp__7894:
  llvm_cbe__2e_lobit4417 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3646) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3648__PHI_TEMPORARY = llvm_cbe__2e_lobit4417;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5233;

llvm_cbe_tmp__7890:
  llvm_cbe_tmp4416 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3655) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3657__PHI_TEMPORARY = llvm_cbe_tmp4416;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5234;

llvm_cbe_tmp__7889:
  llvm_cbe_tmp4414 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3664) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3666__PHI_TEMPORARY = llvm_cbe_tmp4414;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5235;

  } while (1); /* end of syntactic loop '._crit_edge5236' */
llvm_cbe__2e__crit_edge5226:
  llvm_cbe_tmp__3573 = llvm_cbe_tmp__3573__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3573;
  llvm_cbe_tmp__3574__PHI_TEMPORARY = llvm_cbe_tmp__3547;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5236;

llvm_cbe_tmp__7876:
  llvm_cbe_tmp__3555 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3548) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3555)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3555) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__3556 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3548) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__3557 = (&RAM.array[((signed int )llvm_cbe_tmp__3556)]);
  llvm_cbe_tmp__3558 = *llvm_cbe_tmp__3557;
  llvm_cbe_tmp__3559 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3556) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3560 = *llvm_cbe_tmp__3559;
  llvm_cbe_tmp__3561 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3548) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3561)])) = llvm_cbe_tmp__3558;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3561) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__3560;
  llvm_cbe_tmp__3562 = *llvm_cbe_tmp__3557;
  llvm_cbe_tmp__3563 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3562)) << 8u;
  llvm_cbe_tmp__3564 = *llvm_cbe_tmp__3559;
  llvm_cbe_tmp__3565 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3548) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__3566 = (&RAM.array[((signed int )llvm_cbe_tmp__3565)]);
  llvm_cbe_tmp__3567 = *llvm_cbe_tmp__3566;
  llvm_cbe_tmp__3568 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3567)) << 8u;
  llvm_cbe_tmp__3569 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3565) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3570 = *llvm_cbe_tmp__3569;
  llvm_cbe_tmp__3571 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3568 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3570)))) + ((unsigned int )(llvm_cbe_tmp__3563 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3564))))));
  *llvm_cbe_tmp__3566 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3571) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3569 = (((unsigned char )llvm_cbe_tmp__3571));
  llvm_cbe_tmp__3572 = ((unsigned short )llvm_cbe_tmp__3571);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3572 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3572) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3572 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3571) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__3568 ^ llvm_cbe_tmp__3563) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7896;
  } else {
    llvm_cbe_tmp__3573__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5226;
  }

llvm_cbe_tmp__7896:
  llvm_cbe_tmp4359_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3571 ^ llvm_cbe_tmp__3568)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3573__PHI_TEMPORARY = llvm_cbe_tmp4359_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5226;

llvm_cbe_tmp__7887:
  llvm_cbe_tmp4368_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3673 ^ llvm_cbe_tmp__3672)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__3675__PHI_TEMPORARY = llvm_cbe_tmp4368_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5237;

  do {     /* Syntactic loop '._crit_edge5251' to make GCC happy */
llvm_cbe__2e__crit_edge5251:
  llvm_cbe_tmp__3696 = llvm_cbe_tmp__3696__PHI_TEMPORARY;
  llvm_cbe_tmp__3697 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3696);
  llvm_cbe_tmp__3698 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3697) + ((unsigned int )8u)))))]));
  llvm_cbe_tmp__3699 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3697) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__3700 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3697) + ((unsigned int )22u)))))]);
  llvm_cbe_tmp__3701 = *llvm_cbe_tmp__3700;
  llvm_cbe_tmp__3702 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3697) + ((unsigned int )23u)))))]);
  llvm_cbe_tmp__3703 = *llvm_cbe_tmp__3702;
  llvm_cbe_tmp__3704 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3699)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3698)) << 8u))) + ((unsigned int )33620u)))) & 65535u))]));
  llvm_cbe_tmp__3705 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3703)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3701)) << 8u)))]);
  llvm_cbe_tmp__3706 = *llvm_cbe_tmp__3705;
  llvm_cbe_tmp__3707 = ((unsigned int )(unsigned char )llvm_cbe_tmp__3706);
  llvm_cbe_tmp__3708 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3707) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__3704)))));
  llvm_cbe_tmp__3709 = ((unsigned char )llvm_cbe_tmp__3708);
  *llvm_cbe_tmp__3705 = llvm_cbe_tmp__3709;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3709 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3709) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3709 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3708) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__3706 ^ llvm_cbe_tmp__3704))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7897;
  } else {
    llvm_cbe_tmp__3710__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5242;
  }

llvm_cbe__2e__crit_edge5249:
  llvm_cbe_tmp__3755 = llvm_cbe_tmp__3755__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3755;
  if ((((signed short )llvm_cbe_tmp__3754) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__3696__PHI_TEMPORARY = llvm_cbe_tmp__3736;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5251;
  } else {
    llvm_cbe_tmp__3756__PHI_TEMPORARY = llvm_cbe_tmp__3736;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5225;
  }

llvm_cbe__2e__crit_edge5248:
  llvm_cbe_tmp__3746 = llvm_cbe_tmp__3746__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3746;
  llvm_cbe_tmp__3747 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3737) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__3748 = (&RAM.array[((signed int )llvm_cbe_tmp__3747)]);
  llvm_cbe_tmp__3749 = *llvm_cbe_tmp__3748;
  llvm_cbe_tmp__3750 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3749)) << 8u;
  llvm_cbe_tmp__3751 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3747) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3752 = *llvm_cbe_tmp__3751;
  llvm_cbe_tmp__3753 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3750 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3752)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3748 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3753) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3751 = (((unsigned char )llvm_cbe_tmp__3753));
  llvm_cbe_tmp__3754 = ((unsigned short )llvm_cbe_tmp__3753);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3754 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3754) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3754 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3753) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3750 & 32768u) == 0u)) {
    llvm_cbe_tmp__3755__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5249;
  } else {
    goto llvm_cbe_tmp__7898;
  }

llvm_cbe__2e__crit_edge5244:
  llvm_cbe_tmp__3736 = *(&WP);
  llvm_cbe_tmp__3737 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3736);
  llvm_cbe_tmp__3738 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3737) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__3739 = (&RAM.array[((signed int )llvm_cbe_tmp__3738)]);
  llvm_cbe_tmp__3740 = *llvm_cbe_tmp__3739;
  llvm_cbe_tmp__3741 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3740)) << 8u;
  llvm_cbe_tmp__3742 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3738) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3743 = *llvm_cbe_tmp__3742;
  llvm_cbe_tmp__3744 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3741 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3743)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3739 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3744) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3742 = (((unsigned char )llvm_cbe_tmp__3744));
  llvm_cbe_tmp__3745 = ((unsigned short )llvm_cbe_tmp__3744);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3745 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3745) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3745 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3744) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3741 & 32768u) == 0u)) {
    llvm_cbe_tmp__3746__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5248;
  } else {
    goto llvm_cbe_tmp__7899;
  }

llvm_cbe__2e__crit_edge5242:
  llvm_cbe_tmp__3710 = llvm_cbe_tmp__3710__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3710;
  llvm_cbe_tmp__3711 = *llvm_cbe_tmp__3700;
  llvm_cbe_tmp__3712 = *llvm_cbe_tmp__3702;
  llvm_cbe_tmp__3713 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3711)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3712))))));
  llvm_cbe_tmp__3714 = *((&RAM.array[((signed int )4165u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__3713) > ((unsigned char )llvm_cbe_tmp__3714))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3713) > ((signed char )llvm_cbe_tmp__3714))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3713 == llvm_cbe_tmp__3714)));
  if (((((((unsigned char )llvm_cbe_tmp__3713) > ((unsigned char )llvm_cbe_tmp__3714)) | (llvm_cbe_tmp__3713 == llvm_cbe_tmp__3714))&1))) {
    goto llvm_cbe__2e__crit_edge5243;
  } else {
    goto llvm_cbe__2e__crit_edge5244;
  }

llvm_cbe_tmp__7897:
  llvm_cbe_tmp4372_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3708 ^ llvm_cbe_tmp__3707)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__3710__PHI_TEMPORARY = llvm_cbe_tmp4372_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5242;

llvm_cbe__2e__crit_edge5247:
  llvm_cbe_tmp__3735 = llvm_cbe_tmp__3735__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3735;
  goto llvm_cbe__2e__crit_edge5244;

llvm_cbe__2e__crit_edge5246:
  llvm_cbe_tmp__3726 = llvm_cbe_tmp__3726__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3726;
  llvm_cbe_tmp__3727 = *llvm_cbe_tmp__3717;
  llvm_cbe_tmp__3728 = *llvm_cbe_tmp__3719;
  llvm_cbe_tmp__3729 = *((&RAM.array[((signed int )3673u)]));
  llvm_cbe_tmp__3730 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3728)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3727)) << 8u))) + ((unsigned int )65535u)))) & 65535u))]);
  llvm_cbe_tmp__3731 = *llvm_cbe_tmp__3730;
  llvm_cbe_tmp__3732 = ((unsigned int )(unsigned char )llvm_cbe_tmp__3731);
  llvm_cbe_tmp__3733 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3732) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__3729)))));
  llvm_cbe_tmp__3734 = ((unsigned char )llvm_cbe_tmp__3733);
  *llvm_cbe_tmp__3730 = llvm_cbe_tmp__3734;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3734 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3734) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3734 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3733) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__3731 ^ llvm_cbe_tmp__3729))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7900;
  } else {
    llvm_cbe_tmp__3735__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5247;
  }

llvm_cbe__2e__crit_edge5243:
  llvm_cbe_tmp__3715 = *(&WP);
  llvm_cbe_tmp__3716 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3715);
  llvm_cbe_tmp__3717 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3716) + ((unsigned int )22u)))))]);
  llvm_cbe_tmp__3718 = *llvm_cbe_tmp__3717;
  llvm_cbe_tmp__3719 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3716) + ((unsigned int )23u)))))]);
  llvm_cbe_tmp__3720 = *llvm_cbe_tmp__3719;
  llvm_cbe_tmp__3721 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3720)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3718)) << 8u)))]);
  llvm_cbe_tmp__3722 = *llvm_cbe_tmp__3721;
  llvm_cbe_tmp__3723 = ((unsigned int )(unsigned char )llvm_cbe_tmp__3722);
  llvm_cbe_tmp__3724 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3723) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__3714)))));
  llvm_cbe_tmp__3725 = ((unsigned char )llvm_cbe_tmp__3724);
  *llvm_cbe_tmp__3721 = llvm_cbe_tmp__3725;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3725 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3725) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3725 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3724) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__3722 ^ llvm_cbe_tmp__3714))))) & 128u) == 0u)) {
    llvm_cbe_tmp__3726__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5246;
  } else {
    goto llvm_cbe_tmp__7901;
  }

llvm_cbe_tmp__7901:
  llvm_cbe_tmp4374_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3724 ^ llvm_cbe_tmp__3723)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__3726__PHI_TEMPORARY = llvm_cbe_tmp4374_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5246;

llvm_cbe_tmp__7900:
  llvm_cbe_tmp4376_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3733 ^ llvm_cbe_tmp__3732)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__3735__PHI_TEMPORARY = llvm_cbe_tmp4376_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5247;

llvm_cbe_tmp__7899:
  llvm_cbe_tmp4400 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3744) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3746__PHI_TEMPORARY = llvm_cbe_tmp4400;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5248;

llvm_cbe_tmp__7898:
  llvm_cbe_tmp4398 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3753) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3755__PHI_TEMPORARY = llvm_cbe_tmp4398;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5249;

  } while (1); /* end of syntactic loop '._crit_edge5251' */
llvm_cbe__2e__crit_edge5241:
  llvm_cbe_tmp__3695 = llvm_cbe_tmp__3695__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3695;
  llvm_cbe_tmp__3696__PHI_TEMPORARY = llvm_cbe_tmp__3583;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5251;

llvm_cbe__2e__crit_edge5240:
  llvm_cbe_tmp__3681 = llvm_cbe_tmp__3681__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3681;
  llvm_cbe_tmp__3682 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3584) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__3683 = (&RAM.array[((signed int )llvm_cbe_tmp__3682)]);
  llvm_cbe_tmp__3684 = *llvm_cbe_tmp__3683;
  llvm_cbe_tmp__3685 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3682) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3686 = *llvm_cbe_tmp__3685;
  *llvm_cbe_tmp__3659 = llvm_cbe_tmp__3684;
  *llvm_cbe_tmp__3662 = llvm_cbe_tmp__3686;
  llvm_cbe_tmp__3687 = *llvm_cbe_tmp__3683;
  llvm_cbe_tmp__3688 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3687)) << 8u;
  llvm_cbe_tmp__3689 = *llvm_cbe_tmp__3685;
  llvm_cbe_tmp__3690 = *llvm_cbe_tmp__3650;
  llvm_cbe_tmp__3691 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3690)) << 8u;
  llvm_cbe_tmp__3692 = *llvm_cbe_tmp__3653;
  llvm_cbe_tmp__3693 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3691 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3692)))) + ((unsigned int )(llvm_cbe_tmp__3688 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3689))))));
  *llvm_cbe_tmp__3650 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3693) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3653 = (((unsigned char )llvm_cbe_tmp__3693));
  llvm_cbe_tmp__3694 = ((unsigned short )llvm_cbe_tmp__3693);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3694 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3694) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3694 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3693) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__3691 ^ llvm_cbe_tmp__3688) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7902;
  } else {
    llvm_cbe_tmp__3695__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5241;
  }

llvm_cbe_tmp__7885:
  llvm_cbe_tmp__3676 = *llvm_cbe_tmp__3590;
  llvm_cbe_tmp__3677 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3676)) << 8u;
  llvm_cbe_tmp__3678 = *llvm_cbe_tmp__3592;
  llvm_cbe_tmp__3679 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3677 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3678)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3590 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3679) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3592 = (((unsigned char )llvm_cbe_tmp__3679));
  llvm_cbe_tmp__3680 = ((unsigned short )llvm_cbe_tmp__3679);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3680 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3680) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3680 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3679) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3677 & 32768u) == 0u)) {
    llvm_cbe_tmp__3681__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5240;
  } else {
    goto llvm_cbe_tmp__7903;
  }

llvm_cbe_tmp__7903:
  llvm_cbe_tmp4409 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3679) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3681__PHI_TEMPORARY = llvm_cbe_tmp4409;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5240;

llvm_cbe_tmp__7902:
  llvm_cbe_tmp4370_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3693 ^ llvm_cbe_tmp__3691)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3695__PHI_TEMPORARY = llvm_cbe_tmp4370_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5241;

llvm_cbe_tmp__7874:
  llvm_cbe__2e_lobit4396 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3769) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3771__PHI_TEMPORARY = llvm_cbe__2e_lobit4396;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5252;

llvm_cbe_tmp__7873:
  llvm_cbe__2e_lobit4395 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3778) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3780__PHI_TEMPORARY = llvm_cbe__2e_lobit4395;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5253;

  } while (1); /* end of syntactic loop '._crit_edge5255' */
llvm_cbe__2e__crit_edge5216:
  llvm_cbe_tmp__3418 = llvm_cbe_tmp__3418__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3418;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3392) + ((unsigned int )10u)))))])) = ((unsigned char )-1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3392) + ((unsigned int )11u)))))])) = ((unsigned char )-9);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3392) + ((unsigned int )22u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3392) + ((unsigned int )23u)))))])) = ((unsigned char )92);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__3419__PHI_TEMPORARY = llvm_cbe_tmp__3391;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5255;

llvm_cbe_tmp__7904:
  llvm_cbe_tmp__3391 = *(&WP);
  llvm_cbe_tmp__3392 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3391);
  llvm_cbe_tmp__3393 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3392) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__3394 = (&RAM.array[((signed int )llvm_cbe_tmp__3393)]);
  *llvm_cbe_tmp__3394 = ((unsigned char )0);
  llvm_cbe_tmp__3395 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3393) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__3395 = ((unsigned char )0);
  llvm_cbe_tmp__3396 = *((&RAM.array[((signed int )33621u)]));
  *((&RAM.array[((signed int )33775u)])) = llvm_cbe_tmp__3396;
  llvm_cbe_tmp__3397 = *llvm_cbe_tmp__3394;
  llvm_cbe_tmp__3398 = *llvm_cbe_tmp__3395;
  llvm_cbe_tmp__3399 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3392) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__3400 = (&RAM.array[((signed int )llvm_cbe_tmp__3399)]);
  *llvm_cbe_tmp__3400 = llvm_cbe_tmp__3397;
  llvm_cbe_tmp__3401 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3399) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__3401 = llvm_cbe_tmp__3398;
  llvm_cbe_tmp__3402 = *llvm_cbe_tmp__3400;
  llvm_cbe_tmp__3403 = *((&RAM.array[((signed int )4164u)]));
  llvm_cbe_tmp__3404 = *((&RAM.array[((signed int )4165u)]));
  llvm_cbe_tmp__3405 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3403)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3404)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3402)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3398))))));
  *llvm_cbe_tmp__3400 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3405) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__3401 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3405) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3399) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3405) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3399) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__3405));
  llvm_cbe_tmp__3406 = *((&RAM.array[((signed int )33622u)]));
  *((&RAM.array[((signed int )33777u)])) = llvm_cbe_tmp__3406;
  llvm_cbe_tmp__3407 = *llvm_cbe_tmp__3400;
  llvm_cbe_tmp__3408 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3407)) << 8u;
  llvm_cbe_tmp__3409 = *llvm_cbe_tmp__3401;
  llvm_cbe_tmp__3410 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3392) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__3411 = (&RAM.array[((signed int )llvm_cbe_tmp__3410)]);
  llvm_cbe_tmp__3412 = *llvm_cbe_tmp__3411;
  llvm_cbe_tmp__3413 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3412)) << 8u;
  llvm_cbe_tmp__3414 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3410) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3415 = *llvm_cbe_tmp__3414;
  llvm_cbe_tmp__3416 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3413 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3415)))) + ((unsigned int )(llvm_cbe_tmp__3408 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3409))))));
  *llvm_cbe_tmp__3411 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3416) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3414 = (((unsigned char )llvm_cbe_tmp__3416));
  llvm_cbe_tmp__3417 = ((unsigned short )llvm_cbe_tmp__3416);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3417 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3417) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3417 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3416) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__3413 ^ llvm_cbe_tmp__3408) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7905;
  } else {
    llvm_cbe_tmp__3418__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5216;
  }

  do {     /* Syntactic loop '._crit_edge5215' to make GCC happy */
llvm_cbe__2e__crit_edge5215:
  llvm_cbe_tmp__3376 = *(&WP);
  llvm_cbe_tmp__3377 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3376);
  llvm_cbe_tmp__3378 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3377) + ((unsigned int )12u)));
  llvm_cbe_tmp__3379 = llvm_cbe_tmp__3378 & 65535u;
  llvm_cbe_tmp__3380 = (&RAM.array[((signed int )llvm_cbe_tmp__3379)]);
  llvm_cbe_tmp__3381 = *llvm_cbe_tmp__3380;
  llvm_cbe_tmp__3382 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3381)) << 8u;
  llvm_cbe_tmp__3383 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3379) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3384 = *llvm_cbe_tmp__3383;
  llvm_cbe_tmp__3385 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3382 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3384)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3380 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3385) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3383 = (((unsigned char )llvm_cbe_tmp__3385));
  llvm_cbe_tmp__3386 = ((unsigned short )llvm_cbe_tmp__3385);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3386 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3386) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3386 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3385) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3382 & 32768u) == 0u)) {
    llvm_cbe_tmp__3387__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5214;
  } else {
    goto llvm_cbe_tmp__7906;
  }

llvm_cbe__2e__crit_edge5214:
  llvm_cbe_tmp__3387 = llvm_cbe_tmp__3387__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3387;
  llvm_cbe_tmp__3388 = *((&RAM.array[((signed int )llvm_cbe_tmp__3378)]));
  llvm_cbe_tmp__3389 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3377) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__3390 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3388)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3389)))))) + ((unsigned short )((unsigned short )-31916))))))));
  *((&RAM.array[((signed int )llvm_cbe_tmp__3377)])) = llvm_cbe_tmp__3390;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3390 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3390) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3390 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__3390 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5215;
  } else {
    goto llvm_cbe_tmp__7904;
  }

llvm_cbe_tmp__7906:
  llvm_cbe_tmp4452 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3385) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3387__PHI_TEMPORARY = llvm_cbe_tmp4452;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5214;

  } while (1); /* end of syntactic loop '._crit_edge5215' */
llvm_cbe__2e__crit_edge5203:
  llvm_cbe_tmp__3374 = llvm_cbe_tmp__3374__PHI_TEMPORARY;
  llvm_cbe_tmp__3375 = llvm_cbe_tmp__3375__PHI_TEMPORARY;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__3375))) + ((unsigned int )12u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__3374))) + ((unsigned int )13u)))))])) = ((unsigned char )8);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe__2e__crit_edge5215;

llvm_cbe_tmp__7907:
  *(&ST_C) = llvm_cbe_tmp__3220;
  *(&ST_O) = llvm_cbe_tmp__3221;
  llvm_cbe_tmp__3222 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3167);
  llvm_cbe_tmp__3223 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__3224 = (&RAM.array[((signed int )llvm_cbe_tmp__3223)]);
  llvm_cbe_tmp__3225 = *llvm_cbe_tmp__3224;
  *((&RAM.array[((signed int )33628u)])) = llvm_cbe_tmp__3225;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )10u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )11u)))))])) = ((unsigned char )-31);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )12u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )13u)))))])) = ((unsigned char )-29);
  llvm_cbe_tmp__3226 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )14u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__3226)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )15u)))))])) = ((unsigned char )100);
  llvm_cbe_tmp__3227 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )4u)));
  llvm_cbe_tmp__3228 = llvm_cbe_tmp__3227 & 65535u;
  llvm_cbe_tmp__3229 = (&RAM.array[((signed int )llvm_cbe_tmp__3228)]);
  *llvm_cbe_tmp__3229 = ((unsigned char )0);
  llvm_cbe_tmp__3230 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3228) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__3230 = ((unsigned char )0);
  llvm_cbe_tmp__3231 = *((&RAM.array[((signed int )33621u)]));
  *((&RAM.array[((signed int )33765u)])) = llvm_cbe_tmp__3231;
  llvm_cbe_tmp__3232 = *((&RAM.array[((signed int )llvm_cbe_tmp__3227)]));
  llvm_cbe_tmp__3233 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__3234 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3233)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3232)) << 8u);
  llvm_cbe_tmp__3235 = ((unsigned short )llvm_cbe_tmp__3234);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3235) > ((unsigned short )((unsigned short )49)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3235) > ((signed short )((unsigned short )49)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3234 == 49u)));
  if ((((signed short )llvm_cbe_tmp__3235) > ((signed short )((unsigned short )49)))) {
    llvm_cbe_tmp__3374__PHI_TEMPORARY = llvm_cbe_tmp__3167;   /* for PHI node */
    llvm_cbe_tmp__3375__PHI_TEMPORARY = llvm_cbe_tmp__3167;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5203;
  } else {
    goto llvm_cbe_tmp__7908;
  }

  do {     /* Syntactic loop '._crit_edge5202' to make GCC happy */
llvm_cbe__2e__crit_edge5202:
  llvm_cbe_tmp__3205 = *llvm_cbe_tmp__3197;
  llvm_cbe_tmp__3206 = *llvm_cbe_tmp__3198;
  llvm_cbe_tmp__3207 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3205)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3206));
  *llvm_cbe_tmp__3197 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3207) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3198 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__3206) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__3208 = *llvm_cbe_tmp__3169;
  llvm_cbe_tmp__3209 = *llvm_cbe_tmp__3171;
  llvm_cbe_tmp__3210 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3209)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3208)) << 8u))) + ((unsigned int )8u)));
  llvm_cbe_tmp__3211 = *((&RAM.array[((signed int )(llvm_cbe_tmp__3207 & 65534u))]));
  llvm_cbe_tmp__3212 = *((&RAM.array[((signed int )(llvm_cbe_tmp__3207 | 1u))]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3210 & 65534u))])) = llvm_cbe_tmp__3211;
  *((&RAM.array[((signed int )((llvm_cbe_tmp__3210 | 1u) & 65535u))])) = llvm_cbe_tmp__3212;
  llvm_cbe_tmp__3213 = *llvm_cbe_tmp__3200;
  llvm_cbe_tmp__3214 = *llvm_cbe_tmp__3201;
  llvm_cbe_tmp__3215 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3213)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3214));
  *llvm_cbe_tmp__3200 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3215) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3201 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__3214) + ((unsigned char )((unsigned char )2)))))));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3215 & 65534u))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3215 | 1u))])) = ((unsigned char )0);
  llvm_cbe_tmp__3216 = *llvm_cbe_tmp__3203;
  llvm_cbe_tmp__3217 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3216)) << 8u;
  llvm_cbe_tmp__3218 = *llvm_cbe_tmp__3204;
  llvm_cbe_tmp__3219 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3217 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3218)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3203 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3219) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3204 = (((unsigned char )llvm_cbe_tmp__3219));
  llvm_cbe_tmp__3220 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3219) >> ((unsigned int )16u)))) & 1u) ^ 1u;
  if (((llvm_cbe_tmp__3217 & 32768u) == 0u)) {
    llvm_cbe_tmp__3221__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5201;
  } else {
    goto llvm_cbe_tmp__7909;
  }

llvm_cbe__2e__crit_edge5201:
  llvm_cbe_tmp__3221 = llvm_cbe_tmp__3221__PHI_TEMPORARY;
  if ((((signed short )(((unsigned short )llvm_cbe_tmp__3219))) > ((signed short )((unsigned short )0)))) {
    goto llvm_cbe__2e__crit_edge5202;
  } else {
    goto llvm_cbe_tmp__7907;
  }

llvm_cbe_tmp__7909:
  llvm_cbe_tmp4469 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3219) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3221__PHI_TEMPORARY = llvm_cbe_tmp4469;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5201;

  } while (1); /* end of syntactic loop '._crit_edge5202' */
llvm_cbe__2e__crit_edge5200:
  llvm_cbe_tmp__3192 = llvm_cbe_tmp__3192__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3192;
  llvm_cbe_tmp__3193 = *llvm_cbe_tmp__3176;
  llvm_cbe_tmp__3194 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3175) + ((unsigned int )1u)))))]));
  *((&RAM.array[((signed int )33654u)])) = llvm_cbe_tmp__3193;
  *((&RAM.array[((signed int )33655u)])) = llvm_cbe_tmp__3194;
  llvm_cbe_tmp__3195 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3168) + ((unsigned int )8u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__3195)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3168) + ((unsigned int )9u)))))])) = ((unsigned char )4);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3168) + ((unsigned int )10u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3168) + ((unsigned int )11u)))))])) = ((unsigned char )100);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__3196 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__3167) + ((unsigned short )((unsigned short )6))))))));
  llvm_cbe_tmp__3197 = (&RAM.array[((signed int )llvm_cbe_tmp__3196)]);
  llvm_cbe_tmp__3198 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3196) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3199 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__3167) + ((unsigned short )((unsigned short )10))))))));
  llvm_cbe_tmp__3200 = (&RAM.array[((signed int )llvm_cbe_tmp__3199)]);
  llvm_cbe_tmp__3201 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3199) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3202 = llvm_cbe_tmp__3195 & 65535u;
  llvm_cbe_tmp__3203 = (&RAM.array[((signed int )llvm_cbe_tmp__3202)]);
  llvm_cbe_tmp__3204 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3202) + ((unsigned int )1u)))))]);
  goto llvm_cbe__2e__crit_edge5202;

llvm_cbe__2e__crit_edge5199:
  llvm_cbe_tmp__3181 = llvm_cbe_tmp__3181__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3181;
  llvm_cbe_tmp__3182 = (&RAM.array[((signed int )llvm_cbe_tmp__3173)]);
  llvm_cbe_tmp__3183 = *llvm_cbe_tmp__3182;
  llvm_cbe_tmp__3184 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3168) + ((unsigned int )19u)))))]);
  llvm_cbe_tmp__3185 = *llvm_cbe_tmp__3184;
  llvm_cbe_tmp__3186 = ((signed int )(signed short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3183)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3185))))));
  llvm_cbe_tmp__3187 = ((signed int )(((signed int )llvm_cbe_tmp__3186) >> ((signed int )8u)));
  *llvm_cbe_tmp__3182 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3186) >> ((unsigned int )16u))))));
  *llvm_cbe_tmp__3184 = (((unsigned char )llvm_cbe_tmp__3187));
  llvm_cbe_tmp__3188 = *llvm_cbe_tmp__3182;
  llvm_cbe_tmp__3189 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3188)) << 8u;
  llvm_cbe_tmp__3190 = ((unsigned int )(((unsigned int )((llvm_cbe_tmp__3187 & 255u) | llvm_cbe_tmp__3189)) + ((unsigned int )64u)));
  *llvm_cbe_tmp__3182 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3190) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3184 = (((unsigned char )llvm_cbe_tmp__3190));
  llvm_cbe_tmp__3191 = ((unsigned short )llvm_cbe_tmp__3190);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3191 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3191) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3191 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3190) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3189 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7910;
  } else {
    llvm_cbe_tmp__3192__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5200;
  }

llvm_cbe_tmp__7911:
  llvm_cbe_tmp__3164 = *llvm_cbe_tmp__3134;
  llvm_cbe_tmp__3165 = *llvm_cbe_tmp__3135;
  llvm_cbe_tmp__3166 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3164)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3165))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__3124) + ((unsigned int )18u)))) & 65535u))])) = llvm_cbe_tmp__3166;
  llvm_cbe_tmp__3167 = *(&WP);
  llvm_cbe_tmp__3168 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3167);
  llvm_cbe_tmp__3169 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3168) + ((unsigned int )6u)))))]);
  llvm_cbe_tmp__3170 = *llvm_cbe_tmp__3169;
  llvm_cbe_tmp__3171 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3168) + ((unsigned int )7u)))))]);
  llvm_cbe_tmp__3172 = *llvm_cbe_tmp__3171;
  llvm_cbe_tmp__3173 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3168) + ((unsigned int )18u)));
  llvm_cbe_tmp__3174 = *((&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3172)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3170)) << 8u)))]));
  llvm_cbe_tmp__3175 = llvm_cbe_tmp__3173 & 65535u;
  llvm_cbe_tmp__3176 = (&RAM.array[((signed int )llvm_cbe_tmp__3175)]);
  llvm_cbe_tmp__3177 = *llvm_cbe_tmp__3176;
  llvm_cbe_tmp__3178 = ((unsigned int )(unsigned char )llvm_cbe_tmp__3177);
  llvm_cbe_tmp__3179 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3178) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__3174)))));
  llvm_cbe_tmp__3180 = ((unsigned char )llvm_cbe_tmp__3179);
  *llvm_cbe_tmp__3176 = llvm_cbe_tmp__3180;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3180 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3180) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3180 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3179) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__3177 ^ llvm_cbe_tmp__3174))))) & 128u) == 0u)) {
    llvm_cbe_tmp__3181__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5199;
  } else {
    goto llvm_cbe_tmp__7912;
  }

llvm_cbe_tmp__7913:
  llvm_cbe_tmp__3154 = *llvm_cbe_tmp__3134;
  llvm_cbe_tmp__3155 = *llvm_cbe_tmp__3135;
  llvm_cbe_tmp__3156 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3154)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3155));
  llvm_cbe_tmp__3157 = (&RAM.array[((signed int )(llvm_cbe_tmp__3156 & 65534u))]);
  llvm_cbe_tmp__3158 = *llvm_cbe_tmp__3157;
  llvm_cbe_tmp__3159 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3158)) << 8u;
  llvm_cbe_tmp__3160 = (&RAM.array[((signed int )(llvm_cbe_tmp__3156 | 1u))]);
  llvm_cbe_tmp__3161 = *llvm_cbe_tmp__3160;
  llvm_cbe_tmp__3162 = llvm_cbe_tmp__3159 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3161));
  llvm_cbe_tmp__3163 = ((((llvm_cbe_tmp__3159 & 32768u) != 0u)) ? ((-(llvm_cbe_tmp__3162))) : (llvm_cbe_tmp__3162));
  *llvm_cbe_tmp__3157 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3163) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3160 = (((unsigned char )llvm_cbe_tmp__3163));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3162 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3162))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3162 == 0u)));
  *(&ST_C) = 0u;
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__3162 == 32768u)));
  if ((llvm_cbe_tmp__3162 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6846__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_rle6339__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5142;
  } else {
    goto llvm_cbe_tmp__7911;
  }

llvm_cbe__2e__crit_edge5565:
  llvm_cbe_tmp__3124 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__3125 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3124) + ((unsigned int )6u)))))]);
  *llvm_cbe_tmp__3125 = ((unsigned char )-125);
  llvm_cbe_tmp__3126 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3124) + ((unsigned int )7u)))))]);
  *llvm_cbe_tmp__3126 = ((unsigned char )74);
  llvm_cbe_tmp__3127 = *llvm_cbe_tmp__3125;
  llvm_cbe_tmp__3128 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3127)) << 8u;
  llvm_cbe_tmp__3129 = *((&RAM.array[((signed int )(llvm_cbe_tmp__3128 | 74u))]));
  llvm_cbe_tmp__3130 = *((&RAM.array[((signed int )(llvm_cbe_tmp__3128 | 75u))]));
  llvm_cbe_tmp__3131 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3124) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__3132 = (&RAM.array[((signed int )llvm_cbe_tmp__3131)]);
  *llvm_cbe_tmp__3132 = llvm_cbe_tmp__3129;
  llvm_cbe_tmp__3133 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3131) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__3133 = llvm_cbe_tmp__3130;
  llvm_cbe_tmp__3134 = (&RAM.array[((signed int )llvm_cbe_tmp__3124)]);
  *llvm_cbe_tmp__3134 = ((unsigned char )-125);
  llvm_cbe_tmp__3135 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3124) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__3135 = ((unsigned char )92);
  llvm_cbe_tmp__3136 = *llvm_cbe_tmp__3134;
  llvm_cbe_tmp__3137 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3136)) << 8u;
  llvm_cbe_tmp__3138 = *llvm_cbe_tmp__3132;
  llvm_cbe_tmp__3139 = *llvm_cbe_tmp__3133;
  llvm_cbe_tmp__3140 = *((&RAM.array[((signed int )(llvm_cbe_tmp__3137 | 92u))]));
  llvm_cbe_tmp__3141 = *((&RAM.array[((signed int )(llvm_cbe_tmp__3137 | 93u))]));
  llvm_cbe_tmp__3142 = (((((unsigned int )(unsigned char )llvm_cbe_tmp__3140)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3141))) ^ (((((unsigned int )(unsigned char )llvm_cbe_tmp__3138)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3139)));
  *llvm_cbe_tmp__3132 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3142) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3133 = (((unsigned char )llvm_cbe_tmp__3142));
  llvm_cbe_tmp__3143 = *llvm_cbe_tmp__3132;
  *((&RAM.array[((signed int )33653u)])) = llvm_cbe_tmp__3143;
  llvm_cbe_tmp__3144 = *llvm_cbe_tmp__3125;
  llvm_cbe_tmp__3145 = *llvm_cbe_tmp__3126;
  llvm_cbe_tmp__3146 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3145)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3144)) << 8u);
  llvm_cbe_tmp__3147 = (&RAM.array[((signed int )(llvm_cbe_tmp__3146 & 65534u))]);
  llvm_cbe_tmp__3148 = *llvm_cbe_tmp__3147;
  llvm_cbe_tmp__3149 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3148)) << 8u;
  llvm_cbe_tmp__3150 = (&RAM.array[((signed int )(llvm_cbe_tmp__3146 | 1u))]);
  llvm_cbe_tmp__3151 = *llvm_cbe_tmp__3150;
  llvm_cbe_tmp__3152 = llvm_cbe_tmp__3149 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3151));
  llvm_cbe_tmp__3153 = ((((llvm_cbe_tmp__3149 & 32768u) != 0u)) ? ((-(llvm_cbe_tmp__3152))) : (llvm_cbe_tmp__3152));
  *llvm_cbe_tmp__3147 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3153) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3150 = (((unsigned char )llvm_cbe_tmp__3153));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3152 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3152))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3152 == 0u)));
  *(&ST_C) = 0u;
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__3152 == 32768u)));
  if ((llvm_cbe_tmp__3152 == 0u)) {
    goto llvm_cbe_tmp__7914;
  } else {
    goto llvm_cbe_tmp__7913;
  }

llvm_cbe_tmp__7573:
  llvm_cbe_tmp__6907 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6908 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6907) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__6909 = *((&RAM.array[((signed int )llvm_cbe_tmp__6908)]));
  llvm_cbe_tmp__6910 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6908) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6911 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6909)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6910));
  llvm_cbe_tmp__6912 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6907) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6912)])) = llvm_cbe_tmp__6909;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6912) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6910;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6911 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6911))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6911 == 0u)));
  goto llvm_cbe__2e__crit_edge5565;

llvm_cbe_tmp__7912:
  llvm_cbe_tmp4329_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3179 ^ llvm_cbe_tmp__3178)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__3181__PHI_TEMPORARY = llvm_cbe_tmp4329_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5199;

llvm_cbe_tmp__7910:
  llvm_cbe__2e_lobit4470 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3190) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3192__PHI_TEMPORARY = llvm_cbe__2e_lobit4470;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5200;

llvm_cbe_tmp__7915:
  llvm_cbe_tmp__3371 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3345) + ((unsigned int )10u)))))]));
  llvm_cbe_tmp__3372 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3345) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__3373 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3371)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3372))))));
  *((&RAM.array[((signed int )33628u)])) = llvm_cbe_tmp__3373;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3373 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3373) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3373 == ((unsigned char )0))));
  llvm_cbe__2e_pre6423 = *(&WP);
  llvm_cbe_tmp__3374__PHI_TEMPORARY = llvm_cbe__2e_pre6423;   /* for PHI node */
  llvm_cbe_tmp__3375__PHI_TEMPORARY = llvm_cbe__2e_pre6423;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5203;

  do {     /* Syntactic loop '' to make GCC happy */
llvm_cbe_tmp__7916:
  llvm_cbe_tmp__3262 = llvm_cbe_tmp__3262__PHI_TEMPORARY;
  llvm_cbe_tmp__3263 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3262);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3263) + ((unsigned int )8u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3263) + ((unsigned int )9u)))))])) = ((unsigned char )8);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe__2e__crit_edge5208;

llvm_cbe_tmp__7917:
  *llvm_cbe_tmp__3365 = ((unsigned char )-125);
  *llvm_cbe_tmp__3367 = ((unsigned char )100);
  llvm_cbe_tmp__3262__PHI_TEMPORARY = llvm_cbe_tmp__3344;   /* for PHI node */
  goto llvm_cbe_tmp__7916;

llvm_cbe_tmp__7918:
  llvm_cbe_tmp__3365 = (&RAM.array[((signed int )llvm_cbe_tmp__3346)]);
  llvm_cbe_tmp__3366 = *llvm_cbe_tmp__3365;
  llvm_cbe_tmp__3367 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3345) + ((unsigned int )19u)))))]);
  llvm_cbe_tmp__3368 = *llvm_cbe_tmp__3367;
  llvm_cbe_tmp__3369 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3368)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3366)) << 8u);
  llvm_cbe_tmp__3370 = ((unsigned short )llvm_cbe_tmp__3369);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3370) > ((unsigned short )((unsigned short )-31916)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3370) > ((signed short )((unsigned short )-31916)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3369 == 33620u)));
  if ((llvm_cbe_tmp__3369 == 33620u)) {
    goto llvm_cbe_tmp__7917;
  } else {
    goto llvm_cbe_tmp__7915;
  }

  do {     /* Syntactic loop '._crit_edge5213' to make GCC happy */
llvm_cbe__2e__crit_edge5213:
  llvm_cbe_tmp__3290 = llvm_cbe_tmp__3290__PHI_TEMPORARY;
  llvm_cbe_tmp__3291 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3290);
  llvm_cbe_tmp__3292 = *((&RAM.array[((signed int )llvm_cbe_tmp__3291)]));
  llvm_cbe_tmp__3293 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3291) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3294 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3292)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3293));
  llvm_cbe_tmp__3295 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3291) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3295)])) = llvm_cbe_tmp__3292;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3295) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__3293;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3294 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3294))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3294 == 0u)));
  llvm_cbe_tmp__3296 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3291) + ((unsigned int )18u)))))]));
  llvm_cbe_tmp__3297 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3291) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__3298 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3291) + ((unsigned int )10u)))))]));
  llvm_cbe_tmp__3299 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3291) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__3300 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3296)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3297))))));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3298)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3299))))), llvm_cbe_tmp__3300);
  llvm_cbe_tmp__3301 = *(&WP);
  llvm_cbe_tmp__3302 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3301);
  llvm_cbe_tmp__3303 = (&RAM.array[((signed int )llvm_cbe_tmp__3302)]);
  llvm_cbe_tmp__3304 = *llvm_cbe_tmp__3303;
  llvm_cbe_tmp__3305 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3306 = *llvm_cbe_tmp__3305;
  llvm_cbe_tmp__3307 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__3308 = *((&RAM.array[((signed int )llvm_cbe_tmp__3307)]));
  llvm_cbe_tmp__3309 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3307) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3310 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3308)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3309)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3304)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3306))))));
  *llvm_cbe_tmp__3303 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3310) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__3305 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3310) >> ((unsigned int )16u))))));
  llvm_cbe_tmp__3311 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )2u)));
  llvm_cbe_tmp__3312 = (&RAM.array[((signed int )llvm_cbe_tmp__3311)]);
  *llvm_cbe_tmp__3312 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3310) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__3313 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )3u)))))]);
  *llvm_cbe_tmp__3313 = (((unsigned char )llvm_cbe_tmp__3310));
  llvm_cbe_tmp__3314 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3315 = *((&RAM.array[((signed int )llvm_cbe_tmp__3314)]));
  llvm_cbe_tmp__3316 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3315)) << 8u;
  llvm_cbe_tmp__3317 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3314) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3318 = llvm_cbe_tmp__3311 & 65535u;
  llvm_cbe_tmp__3319 = (&RAM.array[((signed int )llvm_cbe_tmp__3318)]);
  llvm_cbe_tmp__3320 = *llvm_cbe_tmp__3319;
  llvm_cbe_tmp__3321 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3320)) << 8u;
  llvm_cbe_tmp__3322 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3318) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3323 = *llvm_cbe_tmp__3322;
  llvm_cbe_tmp__3324 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3321 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3323)))) + ((unsigned int )(llvm_cbe_tmp__3316 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3317))))));
  *llvm_cbe_tmp__3319 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3324) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3322 = (((unsigned char )llvm_cbe_tmp__3324));
  llvm_cbe_tmp__3325 = ((unsigned short )llvm_cbe_tmp__3324);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3325 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3325) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3325 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3324) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__3321 ^ llvm_cbe_tmp__3316) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7919;
  } else {
    llvm_cbe_tmp__3326__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5209;
  }

llvm_cbe__2e__crit_edge5212:
  llvm_cbe_tmp__3364 = llvm_cbe_tmp__3364__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3364;
  if ((((signed short )llvm_cbe_tmp__3363) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__3290__PHI_TEMPORARY = llvm_cbe_tmp__3344;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5213;
  } else {
    goto llvm_cbe_tmp__7918;
  }

llvm_cbe__2e__crit_edge5211:
  llvm_cbe_tmp__3355 = llvm_cbe_tmp__3355__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3355;
  llvm_cbe_tmp__3356 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3345) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__3357 = (&RAM.array[((signed int )llvm_cbe_tmp__3356)]);
  llvm_cbe_tmp__3358 = *llvm_cbe_tmp__3357;
  llvm_cbe_tmp__3359 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3358)) << 8u;
  llvm_cbe_tmp__3360 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3356) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3361 = *llvm_cbe_tmp__3360;
  llvm_cbe_tmp__3362 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3359 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3361)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3357 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3362) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3360 = (((unsigned char )llvm_cbe_tmp__3362));
  llvm_cbe_tmp__3363 = ((unsigned short )llvm_cbe_tmp__3362);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3363 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3363) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3363 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3362) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3359 & 32768u) == 0u)) {
    llvm_cbe_tmp__3364__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5212;
  } else {
    goto llvm_cbe_tmp__7920;
  }

llvm_cbe__2e__crit_edge5210:
  llvm_cbe_storemerge4333 = llvm_cbe_storemerge4333__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_storemerge4333;
  llvm_cbe_tmp__3339 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__3340 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__3341 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )18u)))))]));
  llvm_cbe_tmp__3342 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__3343 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3339)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3340))))));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3341)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3342))))), llvm_cbe_tmp__3343);
  llvm_cbe_tmp__3344 = *(&WP);
  llvm_cbe_tmp__3345 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3344);
  llvm_cbe_tmp__3346 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3345) + ((unsigned int )18u)));
  llvm_cbe_tmp__3347 = llvm_cbe_tmp__3346 & 65535u;
  llvm_cbe_tmp__3348 = (&RAM.array[((signed int )llvm_cbe_tmp__3347)]);
  llvm_cbe_tmp__3349 = *llvm_cbe_tmp__3348;
  llvm_cbe_tmp__3350 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3349)) << 8u;
  llvm_cbe_tmp__3351 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3347) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3352 = *llvm_cbe_tmp__3351;
  llvm_cbe_tmp__3353 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3350 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3352)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3348 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3353) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3351 = (((unsigned char )llvm_cbe_tmp__3353));
  llvm_cbe_tmp__3354 = ((unsigned short )llvm_cbe_tmp__3353);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3354 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3354) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3354 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3353) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3350 & 32768u) == 0u)) {
    llvm_cbe_tmp__3355__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5211;
  } else {
    goto llvm_cbe_tmp__7921;
  }

llvm_cbe__2e__crit_edge5209:
  llvm_cbe_tmp__3326 = llvm_cbe_tmp__3326__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3326;
  llvm_cbe_tmp__3327 = *llvm_cbe_tmp__3303;
  llvm_cbe_tmp__3328 = *llvm_cbe_tmp__3305;
  llvm_cbe_tmp__3329 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3327)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3328));
  llvm_cbe_tmp__3330 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3302) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__3331 = *((&RAM.array[((signed int )llvm_cbe_tmp__3330)]));
  llvm_cbe_tmp__3332 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3330) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3333 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3331)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3332));
  if ((((unsigned short )(((unsigned short )llvm_cbe_tmp__3333))) > ((unsigned short )(((unsigned short )llvm_cbe_tmp__3329))))) {
    goto llvm_cbe_tmp__7922;
  } else {
    llvm_cbe_storemerge4333__PHI_TEMPORARY = 1u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5210;
  }

llvm_cbe_tmp__7919:
  llvm_cbe_tmp4332_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3324 ^ llvm_cbe_tmp__3321)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3326__PHI_TEMPORARY = llvm_cbe_tmp4332_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5209;

llvm_cbe_tmp__7922:
  llvm_cbe_tmp__3334 = *llvm_cbe_tmp__3312;
  llvm_cbe_tmp__3335 = *llvm_cbe_tmp__3313;
  llvm_cbe_tmp__3336 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3335)) | (llvm_cbe_tmp__3329 << 16u)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3334)) << 8u);
  llvm_cbe_tmp__3337 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3336) / ((unsigned int )llvm_cbe_tmp__3333)));
  *llvm_cbe_tmp__3303 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3337) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3305 = (((unsigned char )llvm_cbe_tmp__3337));
  llvm_cbe_tmp__3338 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3336) % ((unsigned int )llvm_cbe_tmp__3333)));
  *llvm_cbe_tmp__3312 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3338) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3313 = (((unsigned char )llvm_cbe_tmp__3338));
  llvm_cbe_storemerge4333__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5210;

llvm_cbe_tmp__7921:
  llvm_cbe_tmp4457 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3353) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3355__PHI_TEMPORARY = llvm_cbe_tmp4457;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5211;

llvm_cbe_tmp__7920:
  llvm_cbe_tmp4455 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3362) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3364__PHI_TEMPORARY = llvm_cbe_tmp4455;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5212;

  } while (1); /* end of syntactic loop '._crit_edge5213' */
llvm_cbe_tmp__7923:
  llvm_cbe_tmp__3288 = *(&WP);
  llvm_cbe_tmp__3289 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3288);
  *((&RAM.array[((signed int )llvm_cbe_tmp__3289)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3289) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__3290__PHI_TEMPORARY = llvm_cbe_tmp__3288;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5213;

  do {     /* Syntactic loop '._crit_edge5208' to make GCC happy */
llvm_cbe__2e__crit_edge5208:
  llvm_cbe_tmp__3264 = *(&WP);
  llvm_cbe_tmp__3265 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3264);
  llvm_cbe_tmp__3266 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3265) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__3267 = (&RAM.array[((signed int )llvm_cbe_tmp__3266)]);
  llvm_cbe_tmp__3268 = *llvm_cbe_tmp__3267;
  llvm_cbe_tmp__3269 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3268)) << 8u;
  llvm_cbe_tmp__3270 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3266) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3271 = *llvm_cbe_tmp__3270;
  llvm_cbe_tmp__3272 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3269 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3271)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3267 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3272) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3270 = (((unsigned char )llvm_cbe_tmp__3272));
  llvm_cbe_tmp__3273 = ((unsigned short )llvm_cbe_tmp__3272);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3273 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3273) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3273 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3272) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3269 & 32768u) == 0u)) {
    llvm_cbe_tmp__3274__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5206;
  } else {
    goto llvm_cbe_tmp__7924;
  }

llvm_cbe__2e__crit_edge5207:
  llvm_cbe_tmp__3284 = llvm_cbe_tmp__3284__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3284;
  llvm_cbe_tmp__3285 = *((&RAM.array[((signed int )llvm_cbe_tmp__3275)]));
  llvm_cbe_tmp__3286 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3265) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__3287 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3285)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3286))))));
  *((&RAM.array[((signed int )llvm_cbe_tmp__3265)])) = llvm_cbe_tmp__3287;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3287 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3287) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3287 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__3287 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5208;
  } else {
    goto llvm_cbe_tmp__7923;
  }

llvm_cbe__2e__crit_edge5206:
  llvm_cbe_tmp__3274 = llvm_cbe_tmp__3274__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3274;
  llvm_cbe_tmp__3275 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3265) + ((unsigned int )18u)));
  llvm_cbe_tmp__3276 = llvm_cbe_tmp__3275 & 65535u;
  llvm_cbe_tmp__3277 = (&RAM.array[((signed int )llvm_cbe_tmp__3276)]);
  llvm_cbe_tmp__3278 = *llvm_cbe_tmp__3277;
  llvm_cbe_tmp__3279 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3278)) << 8u;
  llvm_cbe_tmp__3280 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3276) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3281 = *llvm_cbe_tmp__3280;
  llvm_cbe_tmp__3282 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3279 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3281)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3277 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3282) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3280 = (((unsigned char )llvm_cbe_tmp__3282));
  llvm_cbe_tmp__3283 = ((unsigned short )llvm_cbe_tmp__3282);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3283 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3283) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3283 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3282) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3279 & 32768u) == 0u)) {
    llvm_cbe_tmp__3284__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5207;
  } else {
    goto llvm_cbe_tmp__7925;
  }

llvm_cbe_tmp__7924:
  llvm_cbe_tmp4466 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3272) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3274__PHI_TEMPORARY = llvm_cbe_tmp4466;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5206;

llvm_cbe_tmp__7925:
  llvm_cbe_tmp4464 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3282) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3284__PHI_TEMPORARY = llvm_cbe_tmp4464;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5207;

  } while (1); /* end of syntactic loop '._crit_edge5208' */
  } while (1); /* end of syntactic loop '' */
llvm_cbe__2e__crit_edge5205:
  llvm_cbe_storemerge4330 = llvm_cbe_storemerge4330__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_storemerge4330;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )18u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )19u)))))])) = ((unsigned char )92);
  llvm_cbe_tmp__3262__PHI_TEMPORARY = llvm_cbe_tmp__3167;   /* for PHI node */
  goto llvm_cbe_tmp__7916;

llvm_cbe__2e__crit_edge5204:
  llvm_cbe_tmp__3241 = llvm_cbe_tmp__3241__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3241;
  llvm_cbe_tmp__3242 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3222) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__3243 = (&RAM.array[((signed int )llvm_cbe_tmp__3242)]);
  *llvm_cbe_tmp__3243 = ((unsigned char )0);
  llvm_cbe_tmp__3244 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3242) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__3244 = ((unsigned char )0);
  llvm_cbe_tmp__3245 = llvm_cbe_tmp__3226 & 65535u;
  llvm_cbe_tmp__3246 = *((&RAM.array[((signed int )llvm_cbe_tmp__3245)]));
  llvm_cbe_tmp__3247 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3245) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3248 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3246)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3247));
  *llvm_cbe_tmp__3224 = llvm_cbe_tmp__3246;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3223) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__3247;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3248 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3248))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3248 == 0u)));
  llvm_cbe_tmp__3249 = *llvm_cbe_tmp__3243;
  llvm_cbe_tmp__3250 = *llvm_cbe_tmp__3244;
  llvm_cbe_tmp__3251 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3249)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3250));
  llvm_cbe_tmp__3252 = *llvm_cbe_tmp__3229;
  llvm_cbe_tmp__3253 = *llvm_cbe_tmp__3230;
  llvm_cbe_tmp__3254 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3252)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3253));
  if ((((unsigned short )(((unsigned short )llvm_cbe_tmp__3254))) > ((unsigned short )(((unsigned short )llvm_cbe_tmp__3251))))) {
    goto llvm_cbe_tmp__7926;
  } else {
    llvm_cbe_storemerge4330__PHI_TEMPORARY = 1u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5205;
  }

llvm_cbe_tmp__7908:
  llvm_cbe_tmp__3236 = *llvm_cbe_tmp__3229;
  llvm_cbe_tmp__3237 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3236)) << 8u;
  llvm_cbe_tmp__3238 = *llvm_cbe_tmp__3230;
  llvm_cbe_tmp__3239 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3237 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3238)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__3229 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3239) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3230 = (((unsigned char )llvm_cbe_tmp__3239));
  llvm_cbe_tmp__3240 = ((unsigned short )llvm_cbe_tmp__3239);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3240 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3240) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3240 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3239) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3237 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7927;
  } else {
    llvm_cbe_tmp__3241__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5204;
  }

llvm_cbe_tmp__7927:
  llvm_cbe__2e_lobit4467 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3239) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3241__PHI_TEMPORARY = llvm_cbe__2e_lobit4467;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5204;

llvm_cbe_tmp__7926:
  llvm_cbe_tmp__3255 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3242) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__3256 = *llvm_cbe_tmp__3255;
  llvm_cbe_tmp__3257 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3242) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__3258 = *llvm_cbe_tmp__3257;
  llvm_cbe_tmp__3259 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3258)) | (llvm_cbe_tmp__3251 << 16u)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3256)) << 8u);
  llvm_cbe_tmp__3260 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3259) / ((unsigned int )llvm_cbe_tmp__3254)));
  *llvm_cbe_tmp__3243 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3260) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3244 = (((unsigned char )llvm_cbe_tmp__3260));
  llvm_cbe_tmp__3261 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3259) % ((unsigned int )llvm_cbe_tmp__3254)));
  *llvm_cbe_tmp__3255 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3261) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3257 = (((unsigned char )llvm_cbe_tmp__3261));
  llvm_cbe_storemerge4330__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5205;

llvm_cbe_tmp__7905:
  llvm_cbe_tmp4335_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3416 ^ llvm_cbe_tmp__3413)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3418__PHI_TEMPORARY = llvm_cbe_tmp4335_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5216;

llvm_cbe__2e__crit_edge5187:
  llvm_cbe_tmp__3083 = *(&WP);
  llvm_cbe_tmp__3084 = *((&RAM.array[((signed int )33654u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__3083))) + ((unsigned int )4u)))) & 65535u))])) = llvm_cbe_tmp__3084;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3084 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3084) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3084 == ((unsigned char )0))));
  if (((((((signed char )llvm_cbe_tmp__3084) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__3084 == ((unsigned char )0)))&1))) {
    llvm_cbe__2e_pre6053_2e_rle6843__PHI_TEMPORARY = llvm_cbe_tmp__3083;   /* for PHI node */
    llvm_cbe_tmp__3085__PHI_TEMPORARY = llvm_cbe_tmp__3083;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5192;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6846__PHI_TEMPORARY = llvm_cbe_tmp__3083;   /* for PHI node */
    llvm_cbe__2e_rle6339__PHI_TEMPORARY = llvm_cbe_tmp__3083;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5142;
  }

llvm_cbe__2e__crit_edge5096:
  llvm_cbe_tmp__3030 = llvm_cbe_tmp__3030__PHI_TEMPORARY;
  llvm_cbe_tmp__3031 = llvm_cbe_tmp__3031__PHI_TEMPORARY;
  llvm_cbe_tmp__3032 = llvm_cbe_tmp__3032__PHI_TEMPORARY;
  llvm_cbe_tmp__3033 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3032);
  llvm_cbe_tmp__3034 = *((&RAM.array[((signed int )33654u)]));
  llvm_cbe_tmp__3035 = *((&RAM.array[((signed int )33655u)]));
  llvm_cbe_tmp__3036 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3033) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3036)])) = llvm_cbe_tmp__3034;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3036) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__3035;
  llvm_cbe_tmp__3037 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__3031))) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__3038 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__3030))) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__3039 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3038)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3037)) << 8u);
  llvm_cbe_tmp__3040 = ((unsigned short )llvm_cbe_tmp__3039);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3040) > ((unsigned short )((unsigned short )128)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3040) > ((signed short )((unsigned short )128)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3039 == 128u)));
  if (((((((unsigned short )llvm_cbe_tmp__3040) > ((unsigned short )((unsigned short )128))) | (llvm_cbe_tmp__3039 == 128u))&1))) {
    goto llvm_cbe__2e__crit_edge5187;
  } else {
    goto llvm_cbe_tmp__7928;
  }

llvm_cbe__2e__crit_edge5120:
  llvm_cbe_tmp__2975 = llvm_cbe_tmp__2975__PHI_TEMPORARY;
  llvm_cbe_tmp__2976 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2975);
  llvm_cbe_tmp__2977 = (&RAM.array[((signed int )llvm_cbe_tmp__2976)]);
  *llvm_cbe_tmp__2977 = ((unsigned char )50);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2976) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__2978 = *((&RAM.array[((signed int )33618u)]));
  llvm_cbe_tmp__2979 = *((&RAM.array[((signed int )33619u)]));
  llvm_cbe_tmp__2980 = *llvm_cbe_tmp__2977;
  llvm_cbe_tmp__2981 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2978)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2979))));
  llvm_cbe_tmp__2982 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2980)) << ((unsigned short )8)));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__2981) > ((unsigned short )llvm_cbe_tmp__2982))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2981) > ((signed short )llvm_cbe_tmp__2982))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2981 == llvm_cbe_tmp__2982)));
  if (((((((signed short )llvm_cbe_tmp__2981) > ((signed short )llvm_cbe_tmp__2982)) | (llvm_cbe_tmp__2981 == llvm_cbe_tmp__2982))&1))) {
    goto llvm_cbe__2e__crit_edge5176;
  } else {
    llvm_cbe_tmp__3030__PHI_TEMPORARY = llvm_cbe_tmp__2975;   /* for PHI node */
    llvm_cbe_tmp__3031__PHI_TEMPORARY = llvm_cbe_tmp__2975;   /* for PHI node */
    llvm_cbe_tmp__3032__PHI_TEMPORARY = llvm_cbe_tmp__2975;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5096;
  }

llvm_cbe__2e__crit_edge5119:
  llvm_cbe_tmp__2529 = llvm_cbe_tmp__2529__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2529;
  llvm_cbe_tmp__2530 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2520) + ((unsigned int )2u)));
  llvm_cbe_tmp__2531 = *((&RAM.array[((signed int )33610u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2530 & 65535u))])) = llvm_cbe_tmp__2531;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2531 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2531) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2531 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__2531 == ((unsigned char )0))) {
    llvm_cbe_tmp__2975__PHI_TEMPORARY = llvm_cbe_tmp__2468;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5120;
  } else {
    goto llvm_cbe_tmp__7929;
  }

llvm_cbe_tmp__7930:
  *(&ST_O) = llvm_cbe_tmp__2519;
  llvm_cbe_tmp__2520 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2468);
  llvm_cbe_tmp__2521 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2520) + ((unsigned int )10u)))))]));
  llvm_cbe_tmp__2522 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2520) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__2523 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2520) + ((unsigned int )18u)))) & 65535u))]));
  llvm_cbe_tmp__2524 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2522)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2521)) << 8u)))]);
  llvm_cbe_tmp__2525 = *llvm_cbe_tmp__2524;
  llvm_cbe_tmp__2526 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2525);
  llvm_cbe_tmp__2527 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2526) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2523)))));
  llvm_cbe_tmp__2528 = ((unsigned char )llvm_cbe_tmp__2527);
  *llvm_cbe_tmp__2524 = llvm_cbe_tmp__2528;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2528 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2528) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2528 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2527) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2525 ^ llvm_cbe_tmp__2523))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7931;
  } else {
    llvm_cbe_tmp__2529__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5119;
  }

  do {     /* Syntactic loop '._crit_edge5111' to make GCC happy */
llvm_cbe__2e__crit_edge5111:
  llvm_cbe_tmp__2511 = *llvm_cbe_tmp__2498;
  llvm_cbe_tmp__2512 = *llvm_cbe_tmp__2499;
  llvm_cbe_tmp__2513 = *llvm_cbe_tmp__2500;
  llvm_cbe_tmp__2514 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2512)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2511)) << 8u)))]);
  llvm_cbe_tmp__2515 = *llvm_cbe_tmp__2514;
  llvm_cbe_tmp__2516 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2515);
  llvm_cbe_tmp__2517 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2516) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2513)))));
  llvm_cbe_tmp__2518 = ((unsigned char )llvm_cbe_tmp__2517);
  *llvm_cbe_tmp__2514 = llvm_cbe_tmp__2518;
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2515 ^ llvm_cbe_tmp__2513))))) & 128u) == 0u)) {
    llvm_cbe_tmp__2519__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5116;
  } else {
    goto llvm_cbe_tmp__7932;
  }

llvm_cbe__2e__crit_edge5117:
  llvm_cbe_tmp__2502 = *llvm_cbe_tmp__2472;
  llvm_cbe_tmp__2503 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2502)) << 8u;
  llvm_cbe_tmp__2504 = *llvm_cbe_tmp__2475;
  llvm_cbe_tmp__2505 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2503 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2504)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2472 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2505) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2475 = (((unsigned char )llvm_cbe_tmp__2505));
  llvm_cbe_tmp__2506 = *llvm_cbe_tmp__2498;
  llvm_cbe_tmp__2507 = *llvm_cbe_tmp__2499;
  llvm_cbe_tmp__2508 = *llvm_cbe_tmp__2501;
  llvm_cbe_tmp__2509 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2507)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2506)) << 8u)))]);
  llvm_cbe_tmp__2510 = *llvm_cbe_tmp__2509;
  *llvm_cbe_tmp__2509 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2510) + ((unsigned char )llvm_cbe_tmp__2508))))));
  goto llvm_cbe__2e__crit_edge5111;

llvm_cbe__2e__crit_edge5116:
  llvm_cbe_tmp__2519 = llvm_cbe_tmp__2519__PHI_TEMPORARY;
  if (((((((signed char )llvm_cbe_tmp__2518) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__2518 == ((unsigned char )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5117;
  } else {
    goto llvm_cbe_tmp__7930;
  }

llvm_cbe_tmp__7932:
  llvm_cbe_tmp4212_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2517 ^ llvm_cbe_tmp__2516)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2519__PHI_TEMPORARY = llvm_cbe_tmp4212_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5116;

  } while (1); /* end of syntactic loop '._crit_edge5111' */
llvm_cbe__2e__crit_edge5111_2e_preheader:
  llvm_cbe_tmp__2498 = (&RAM.array[((signed int )llvm_cbe_tmp__2470)]);
  llvm_cbe_tmp__2499 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2469) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__2500 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2469) + ((unsigned int )18u)))) & 65535u))]);
  llvm_cbe_tmp__2501 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2469) + ((unsigned int )16u)))) & 65535u))]);
  goto llvm_cbe__2e__crit_edge5111;

  do {     /* Syntactic loop '._crit_edge5099' to make GCC happy */
llvm_cbe__2e__crit_edge5099:
  llvm_cbe_tmp__2427 = llvm_cbe_tmp__2427__PHI_TEMPORARY;
  llvm_cbe_tmp__2428 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2427);
  llvm_cbe_tmp__2429 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2428) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__2430 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2428) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__2431 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2428) + ((unsigned int )10u)))))]);
  llvm_cbe_tmp__2432 = *llvm_cbe_tmp__2431;
  llvm_cbe_tmp__2433 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2428) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__2434 = *llvm_cbe_tmp__2433;
  llvm_cbe_tmp__2435 = *((&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2430)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2429)) << 8u)))]));
  llvm_cbe_tmp__2436 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2434)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2432)) << 8u)))]);
  llvm_cbe_tmp__2437 = *llvm_cbe_tmp__2436;
  llvm_cbe_tmp__2438 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2437);
  llvm_cbe_tmp__2439 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2438) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2435)))));
  llvm_cbe_tmp__2440 = ((unsigned char )llvm_cbe_tmp__2439);
  *llvm_cbe_tmp__2436 = llvm_cbe_tmp__2440;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2440 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2440) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2440 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2439) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2437 ^ llvm_cbe_tmp__2435))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7933;
  } else {
    llvm_cbe_tmp__2441__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5102;
  }

llvm_cbe__2e__crit_edge5110:
  llvm_cbe_tmp__2497 = llvm_cbe_tmp__2497__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2497;
  if (((((((signed short )llvm_cbe_tmp__2496) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__2496 == ((unsigned short )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5111_2e_preheader;
  } else {
    llvm_cbe_tmp__2427__PHI_TEMPORARY = llvm_cbe_tmp__2468;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5099;
  }

llvm_cbe__2e__crit_edge5109:
  llvm_cbe_tmp__2488 = llvm_cbe_tmp__2488__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2488;
  llvm_cbe_tmp__2489 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2469) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__2490 = (&RAM.array[((signed int )llvm_cbe_tmp__2489)]);
  llvm_cbe_tmp__2491 = *llvm_cbe_tmp__2490;
  llvm_cbe_tmp__2492 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2491)) << 8u;
  llvm_cbe_tmp__2493 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2489) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2494 = *llvm_cbe_tmp__2493;
  llvm_cbe_tmp__2495 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2492 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2494)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__2490 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2495) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2493 = (((unsigned char )llvm_cbe_tmp__2495));
  llvm_cbe_tmp__2496 = ((unsigned short )llvm_cbe_tmp__2495);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2496 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2496) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2496 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2495) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2492 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7934;
  } else {
    llvm_cbe_tmp__2497__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5110;
  }

llvm_cbe__2e__crit_edge5108:
  llvm_cbe_tmp__2479 = llvm_cbe_tmp__2479__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2479;
  llvm_cbe_tmp__2480 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2469) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__2481 = (&RAM.array[((signed int )llvm_cbe_tmp__2480)]);
  llvm_cbe_tmp__2482 = *llvm_cbe_tmp__2481;
  llvm_cbe_tmp__2483 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2482)) << 8u;
  llvm_cbe_tmp__2484 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2480) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2485 = *llvm_cbe_tmp__2484;
  llvm_cbe_tmp__2486 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2483 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2485)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2481 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2486) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2484 = (((unsigned char )llvm_cbe_tmp__2486));
  llvm_cbe_tmp__2487 = ((unsigned short )llvm_cbe_tmp__2486);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2487 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2487) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2487 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2486) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2483 & 32768u) == 0u)) {
    llvm_cbe_tmp__2488__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5109;
  } else {
    goto llvm_cbe_tmp__7935;
  }

llvm_cbe__2e__crit_edge5104:
  llvm_cbe_tmp__2468 = *(&WP);
  llvm_cbe_tmp__2469 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2468);
  llvm_cbe_tmp__2470 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2469) + ((unsigned int )10u)));
  llvm_cbe_tmp__2471 = llvm_cbe_tmp__2470 & 65535u;
  llvm_cbe_tmp__2472 = (&RAM.array[((signed int )llvm_cbe_tmp__2471)]);
  llvm_cbe_tmp__2473 = *llvm_cbe_tmp__2472;
  llvm_cbe_tmp__2474 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2473)) << 8u;
  llvm_cbe_tmp__2475 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2471) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2476 = *llvm_cbe_tmp__2475;
  llvm_cbe_tmp__2477 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2474 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2476)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2472 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2477) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2475 = (((unsigned char )llvm_cbe_tmp__2477));
  llvm_cbe_tmp__2478 = ((unsigned short )llvm_cbe_tmp__2477);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2478 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2478) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2478 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2477) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2474 & 32768u) == 0u)) {
    llvm_cbe_tmp__2479__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5108;
  } else {
    goto llvm_cbe_tmp__7936;
  }

llvm_cbe__2e__crit_edge5102:
  llvm_cbe_tmp__2441 = llvm_cbe_tmp__2441__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2441;
  llvm_cbe_tmp__2442 = *llvm_cbe_tmp__2431;
  llvm_cbe_tmp__2443 = *llvm_cbe_tmp__2433;
  llvm_cbe_tmp__2444 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2442)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2443))))));
  llvm_cbe_tmp__2445 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2428) + ((unsigned int )18u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__2444) > ((unsigned char )llvm_cbe_tmp__2445))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2444) > ((signed char )llvm_cbe_tmp__2445))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2444 == llvm_cbe_tmp__2445)));
  if (((((((unsigned char )llvm_cbe_tmp__2444) > ((unsigned char )llvm_cbe_tmp__2445)) | (llvm_cbe_tmp__2444 == llvm_cbe_tmp__2445))&1))) {
    goto llvm_cbe__2e__crit_edge5103;
  } else {
    goto llvm_cbe__2e__crit_edge5104;
  }

llvm_cbe_tmp__7933:
  llvm_cbe_tmp4200_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2439 ^ llvm_cbe_tmp__2438)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2441__PHI_TEMPORARY = llvm_cbe_tmp4200_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5102;

llvm_cbe__2e__crit_edge5107:
  llvm_cbe_tmp__2467 = llvm_cbe_tmp__2467__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2467;
  goto llvm_cbe__2e__crit_edge5104;

llvm_cbe__2e__crit_edge5106:
  llvm_cbe_tmp__2458 = llvm_cbe_tmp__2458__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2458;
  llvm_cbe_tmp__2459 = *llvm_cbe_tmp__2448;
  llvm_cbe_tmp__2460 = *llvm_cbe_tmp__2450;
  llvm_cbe_tmp__2461 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2447) + ((unsigned int )16u)))) & 65535u))]));
  llvm_cbe_tmp__2462 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2460)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2459)) << 8u))) + ((unsigned int )65535u)))) & 65535u))]);
  llvm_cbe_tmp__2463 = *llvm_cbe_tmp__2462;
  llvm_cbe_tmp__2464 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2463);
  llvm_cbe_tmp__2465 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2464) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2461)))));
  llvm_cbe_tmp__2466 = ((unsigned char )llvm_cbe_tmp__2465);
  *llvm_cbe_tmp__2462 = llvm_cbe_tmp__2466;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2466 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2466) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2466 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2465) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2463 ^ llvm_cbe_tmp__2461))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7937;
  } else {
    llvm_cbe_tmp__2467__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5107;
  }

llvm_cbe__2e__crit_edge5103:
  llvm_cbe_tmp__2446 = *(&WP);
  llvm_cbe_tmp__2447 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2446);
  llvm_cbe_tmp__2448 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2447) + ((unsigned int )10u)))))]);
  llvm_cbe_tmp__2449 = *llvm_cbe_tmp__2448;
  llvm_cbe_tmp__2450 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2447) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__2451 = *llvm_cbe_tmp__2450;
  llvm_cbe_tmp__2452 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2447) + ((unsigned int )18u)))) & 65535u))]));
  llvm_cbe_tmp__2453 = (&RAM.array[((signed int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2451)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2449)) << 8u)))]);
  llvm_cbe_tmp__2454 = *llvm_cbe_tmp__2453;
  llvm_cbe_tmp__2455 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2454);
  llvm_cbe_tmp__2456 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2455) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2452)))));
  llvm_cbe_tmp__2457 = ((unsigned char )llvm_cbe_tmp__2456);
  *llvm_cbe_tmp__2453 = llvm_cbe_tmp__2457;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2457 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2457) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2457 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2456) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2454 ^ llvm_cbe_tmp__2452))))) & 128u) == 0u)) {
    llvm_cbe_tmp__2458__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5106;
  } else {
    goto llvm_cbe_tmp__7938;
  }

llvm_cbe_tmp__7938:
  llvm_cbe_tmp4202_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2456 ^ llvm_cbe_tmp__2455)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2458__PHI_TEMPORARY = llvm_cbe_tmp4202_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5106;

llvm_cbe_tmp__7937:
  llvm_cbe_tmp4204_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2465 ^ llvm_cbe_tmp__2464)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2467__PHI_TEMPORARY = llvm_cbe_tmp4204_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5107;

llvm_cbe_tmp__7936:
  llvm_cbe_tmp4238 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2477) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2479__PHI_TEMPORARY = llvm_cbe_tmp4238;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5108;

llvm_cbe_tmp__7935:
  llvm_cbe_tmp4236 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2486) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2488__PHI_TEMPORARY = llvm_cbe_tmp4236;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5109;

llvm_cbe_tmp__7934:
  llvm_cbe__2e_lobit4234 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2495) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2497__PHI_TEMPORARY = llvm_cbe__2e_lobit4234;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5110;

  } while (1); /* end of syntactic loop '._crit_edge5099' */
llvm_cbe_tmp__7931:
  llvm_cbe_tmp4221_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2527 ^ llvm_cbe_tmp__2526)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2529__PHI_TEMPORARY = llvm_cbe_tmp4221_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5119;

  do {     /* Syntactic loop '._crit_edge5124' to make GCC happy */
llvm_cbe__2e__crit_edge5124:
  llvm_cbe_tmp__2538 = llvm_cbe_tmp__2538__PHI_TEMPORARY;
  llvm_cbe_tmp__2539 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2538);
  llvm_cbe_tmp__2540 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2539) + ((unsigned int )2u)))))]));
  llvm_cbe_tmp__2541 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2539) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__2542 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2540)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2541))));
  llvm_cbe_tmp__2543 =  /*tail*/ hw_read(llvm_cbe_tmp__2542);
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__2542) + ((unsigned short )((unsigned short )1))))))), llvm_cbe_tmp__2543);
  llvm_cbe_tmp__2544 = *(&WP);
  llvm_cbe_tmp__2545 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2544);
  llvm_cbe_tmp__2546 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2545) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__2547 = (&RAM.array[((signed int )llvm_cbe_tmp__2546)]);
  llvm_cbe_tmp__2548 = *llvm_cbe_tmp__2547;
  llvm_cbe_tmp__2549 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2548)) << 8u;
  llvm_cbe_tmp__2550 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2546) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2551 = *llvm_cbe_tmp__2550;
  llvm_cbe_tmp__2552 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2549 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2551)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2547 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2552) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2550 = (((unsigned char )llvm_cbe_tmp__2552));
  llvm_cbe_tmp__2553 = ((unsigned short )llvm_cbe_tmp__2552);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2553 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2553) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2553 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2552) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2549 & 32768u) == 0u)) {
    llvm_cbe_tmp__2554__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5122;
  } else {
    goto llvm_cbe_tmp__7939;
  }

llvm_cbe__2e__crit_edge5123:
  llvm_cbe_tmp__2563 = llvm_cbe_tmp__2563__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2563;
  if ((llvm_cbe_tmp__2562 == ((unsigned short )0))) {
    llvm_cbe_tmp__2975__PHI_TEMPORARY = llvm_cbe_tmp__2544;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5120;
  } else {
    llvm_cbe_tmp__2538__PHI_TEMPORARY = llvm_cbe_tmp__2544;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5124;
  }

llvm_cbe__2e__crit_edge5122:
  llvm_cbe_tmp__2554 = llvm_cbe_tmp__2554__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2554;
  llvm_cbe_tmp__2555 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2545) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__2556 = (&RAM.array[((signed int )llvm_cbe_tmp__2555)]);
  llvm_cbe_tmp__2557 = *llvm_cbe_tmp__2556;
  llvm_cbe_tmp__2558 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2557)) << 8u;
  llvm_cbe_tmp__2559 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2555) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2560 = *llvm_cbe_tmp__2559;
  llvm_cbe_tmp__2561 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2558 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2560)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2556 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2561) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2559 = (((unsigned char )llvm_cbe_tmp__2561));
  llvm_cbe_tmp__2562 = ((unsigned short )llvm_cbe_tmp__2561);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2562 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2562) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2562 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2561) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2558 & 32768u) == 0u)) {
    llvm_cbe_tmp__2563__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5123;
  } else {
    goto llvm_cbe_tmp__7940;
  }

llvm_cbe_tmp__7939:
  llvm_cbe_tmp4225 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2552) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2554__PHI_TEMPORARY = llvm_cbe_tmp4225;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5122;

llvm_cbe_tmp__7940:
  llvm_cbe_tmp4223 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2561) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2563__PHI_TEMPORARY = llvm_cbe_tmp4223;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5123;

  } while (1); /* end of syntactic loop '._crit_edge5124' */
llvm_cbe__2e__crit_edge5121:
  llvm_cbe_tmp__2537 = llvm_cbe_tmp__2537__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2537;
  *((&RAM.array[((signed int )llvm_cbe_tmp__2530)])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2520) + ((unsigned int )3u)))))])) = ((unsigned char )82);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2520) + ((unsigned int )4u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2520) + ((unsigned int )5u)))))])) = ((unsigned char )9);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2538__PHI_TEMPORARY = llvm_cbe_tmp__2468;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5124;

llvm_cbe_tmp__7929:
  llvm_cbe_tmp__2532 = *((&RAM.array[((signed int )33654u)]));
  llvm_cbe_tmp__2533 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2532)) << 8u;
  llvm_cbe_tmp__2534 = *((&RAM.array[((signed int )33655u)]));
  llvm_cbe_tmp__2535 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2533 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2534)))) + ((unsigned int )1u)));
  *((&RAM.array[((signed int )33654u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2535) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33655u)])) = (((unsigned char )llvm_cbe_tmp__2535));
  llvm_cbe_tmp__2536 = ((unsigned short )llvm_cbe_tmp__2535);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2536 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2536) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2536 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2535) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2533 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7941;
  } else {
    llvm_cbe_tmp__2537__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5121;
  }

llvm_cbe_tmp__7941:
  llvm_cbe__2e_lobit4226 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2535) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2537__PHI_TEMPORARY = llvm_cbe__2e_lobit4226;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5121;

llvm_cbe__2e__crit_edge5166:
  llvm_cbe_tmp__2927 = llvm_cbe_tmp__2927__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2927;
  if ((llvm_cbe_tmp__2926 == ((unsigned short )0))) {
    llvm_cbe_tmp__2975__PHI_TEMPORARY = llvm_cbe_tmp__2909;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5120;
  } else {
    goto llvm_cbe_tmp__7942;
  }

llvm_cbe_tmp__7839:
  llvm_cbe_tmp__2920 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2911) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2921 = (&RAM.array[((signed int )llvm_cbe_tmp__2910)]);
  *llvm_cbe_tmp__2921 = llvm_cbe_tmp__2913;
  llvm_cbe_tmp__2922 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2910) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__2922 = llvm_cbe_tmp__2920;
  llvm_cbe_tmp__2923 = *llvm_cbe_tmp__2921;
  llvm_cbe_tmp__2924 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2923)) << 8u;
  llvm_cbe_tmp__2925 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2924 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2920)))) + ((unsigned int )9u)));
  *llvm_cbe_tmp__2921 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2925) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2922 = (((unsigned char )llvm_cbe_tmp__2925));
  llvm_cbe_tmp__2926 = ((unsigned short )llvm_cbe_tmp__2925);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2926 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2926) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2926 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2925) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2924 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7943;
  } else {
    llvm_cbe_tmp__2927__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5166;
  }

llvm_cbe_tmp__7943:
  llvm_cbe__2e_lobit4393 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2925) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2927__PHI_TEMPORARY = llvm_cbe__2e_lobit4393;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5166;

  do {     /* Syntactic loop '._crit_edge5170' to make GCC happy */
llvm_cbe__2e__crit_edge5170:
  llvm_cbe_tmp__2957 = llvm_cbe_tmp__2957__PHI_TEMPORARY;
  llvm_cbe_tmp__2958 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__2957) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__2959 = (&RAM.array[((signed int )llvm_cbe_tmp__2958)]);
  llvm_cbe_tmp__2960 = *llvm_cbe_tmp__2959;
  llvm_cbe_tmp__2961 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2958) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2962 = *llvm_cbe_tmp__2961;
  llvm_cbe_tmp__2963 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2960)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2962));
  *llvm_cbe_tmp__2959 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2963) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2961 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2962) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__2964 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__2957))) + ((unsigned int )2u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__2963)), llvm_cbe_tmp__2964);
  llvm_cbe_tmp__2965 = *(&WP);
  llvm_cbe_tmp__2966 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2965);
  llvm_cbe_tmp__2967 = (&RAM.array[((signed int )llvm_cbe_tmp__2966)]);
  llvm_cbe_tmp__2968 = *llvm_cbe_tmp__2967;
  llvm_cbe_tmp__2969 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2968)) << 8u;
  llvm_cbe_tmp__2970 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2966) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2971 = *llvm_cbe_tmp__2970;
  llvm_cbe_tmp__2972 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2969 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2971)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__2967 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2972) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2970 = (((unsigned char )llvm_cbe_tmp__2972));
  llvm_cbe_tmp__2973 = ((unsigned short )llvm_cbe_tmp__2972);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2973 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2973) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2973 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2972) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__2969 & 32768u) == 0u)) {
    llvm_cbe_tmp__2974__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5173;
  } else {
    goto llvm_cbe_tmp__7944;
  }

llvm_cbe__2e__crit_edge5173:
  llvm_cbe_tmp__2974 = llvm_cbe_tmp__2974__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2974;
  if ((((signed short )llvm_cbe_tmp__2973) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__2957__PHI_TEMPORARY = llvm_cbe_tmp__2965;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5170;
  } else {
    llvm_cbe_tmp__2975__PHI_TEMPORARY = llvm_cbe_tmp__2965;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5120;
  }

llvm_cbe_tmp__7944:
  llvm_cbe_tmp4387 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2972) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__2974__PHI_TEMPORARY = llvm_cbe_tmp4387;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5173;

  } while (1); /* end of syntactic loop '._crit_edge5170' */
  do {     /* Syntactic loop '._crit_edge5171' to make GCC happy */
llvm_cbe__2e__crit_edge5171:
  llvm_cbe_tmp__2936 = llvm_cbe_tmp__2936__PHI_TEMPORARY;
  llvm_cbe_tmp__2937 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2936);
  llvm_cbe_tmp__2938 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2937) + ((unsigned int )2u)))))]));
  llvm_cbe_tmp__2939 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2937) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__2940 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__2936) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__2941 = (&RAM.array[((signed int )llvm_cbe_tmp__2940)]);
  llvm_cbe_tmp__2942 = *llvm_cbe_tmp__2941;
  llvm_cbe_tmp__2943 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2940) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2944 = *llvm_cbe_tmp__2943;
  llvm_cbe_tmp__2945 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2942)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2944));
  *llvm_cbe_tmp__2941 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2945) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2943 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__2944) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__2946 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2938)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2939)))))) + ((unsigned short )((unsigned short )-31916))))))));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__2945)), llvm_cbe_tmp__2946);
  llvm_cbe_tmp__2947 = *(&WP);
  llvm_cbe_tmp__2948 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__2947))) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__2949 = (&RAM.array[((signed int )llvm_cbe_tmp__2948)]);
  llvm_cbe_tmp__2950 = *llvm_cbe_tmp__2949;
  llvm_cbe_tmp__2951 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2950)) << 8u;
  llvm_cbe_tmp__2952 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2948) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__2953 = *llvm_cbe_tmp__2952;
  llvm_cbe_tmp__2954 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2951 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2953)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__2949 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2954) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2952 = (((unsigned char )llvm_cbe_tmp__2954));
  llvm_cbe_tmp__2955 = ((unsigned short )llvm_cbe_tmp__2954);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2955 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2955) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2955 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2954) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__2951 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7945;
  } else {
    llvm_cbe_tmp__2956__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5169;
  }

llvm_cbe__2e__crit_edge5169:
  llvm_cbe_tmp__2956 = llvm_cbe_tmp__2956__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2956;
  if (((((((signed short )llvm_cbe_tmp__2955) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__2955 == ((unsigned short )0)))&1))) {
    llvm_cbe_tmp__2957__PHI_TEMPORARY = llvm_cbe_tmp__2947;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5170;
  } else {
    llvm_cbe_tmp__2936__PHI_TEMPORARY = llvm_cbe_tmp__2947;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5171;
  }

llvm_cbe_tmp__7945:
  llvm_cbe__2e_lobit4388 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2954) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2956__PHI_TEMPORARY = llvm_cbe__2e_lobit4388;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5169;

  } while (1); /* end of syntactic loop '._crit_edge5171' */
llvm_cbe__2e__crit_edge5168:
  llvm_cbe_tmp__2935 = llvm_cbe_tmp__2935__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2935;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2910) + ((unsigned int )4u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2910) + ((unsigned int )5u)))))])) = ((unsigned char )75);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2936__PHI_TEMPORARY = llvm_cbe_tmp__2909;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5171;

llvm_cbe_tmp__7942:
  llvm_cbe_tmp__2928 = *llvm_cbe_tmp__2921;
  llvm_cbe_tmp__2929 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2928)) << 8u;
  llvm_cbe_tmp__2930 = *((&RAM.array[((signed int )33654u)]));
  llvm_cbe_tmp__2931 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2930)) << 8u;
  llvm_cbe_tmp__2932 = *((&RAM.array[((signed int )33655u)]));
  llvm_cbe_tmp__2933 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2931 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2932)))) - ((unsigned int )(llvm_cbe_tmp__2929 | (llvm_cbe_tmp__2925 & 255u)))));
  *((&RAM.array[((signed int )33654u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2933) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33655u)])) = (((unsigned char )llvm_cbe_tmp__2933));
  llvm_cbe_tmp__2934 = ((unsigned short )llvm_cbe_tmp__2933);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2934 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2934) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2934 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__2933) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__2931 ^ llvm_cbe_tmp__2929) & 32768u) == 0u)) {
    llvm_cbe_tmp__2935__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5168;
  } else {
    goto llvm_cbe_tmp__7946;
  }

llvm_cbe_tmp__7946:
  llvm_cbe_tmp4385_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2933 ^ llvm_cbe_tmp__2931)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2935__PHI_TEMPORARY = llvm_cbe_tmp4385_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5168;

llvm_cbe__2e__crit_edge5304:
  llvm_cbe_tmp__4168 = llvm_cbe_tmp__4168__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4168;
  if ((llvm_cbe_tmp__4167 == ((unsigned short )0))) {
    llvm_cbe_tmp__2975__PHI_TEMPORARY = llvm_cbe_tmp__4157;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5120;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6883__PHI_TEMPORARY = llvm_cbe_tmp__4157;   /* for PHI node */
    llvm_cbe_tmp__4106__PHI_TEMPORARY = llvm_cbe_tmp__4157;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5305;
  }

llvm_cbe__2e__crit_edge5299:
  llvm_cbe_tmp__4149 = llvm_cbe_tmp__4149__PHI_TEMPORARY;
  llvm_cbe_tmp__4150 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4149);
  llvm_cbe_tmp__4151 = (&RAM.array[((signed int )llvm_cbe_tmp__4150)]);
  llvm_cbe_tmp__4152 = *llvm_cbe_tmp__4151;
  llvm_cbe_tmp__4153 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4150) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4154 = *llvm_cbe_tmp__4153;
  llvm_cbe_tmp__4155 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4152)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4154));
  *llvm_cbe_tmp__4151 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4155) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4153 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4154) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4156 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4150) + ((unsigned int )2u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__4155)), llvm_cbe_tmp__4156);
  llvm_cbe_tmp__4157 = *(&WP);
  llvm_cbe_tmp__4158 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4157);
  llvm_cbe_tmp__4159 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4158) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4159)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4159) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__4160 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4158) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__4161 = (&RAM.array[((signed int )llvm_cbe_tmp__4160)]);
  llvm_cbe_tmp__4162 = *llvm_cbe_tmp__4161;
  llvm_cbe_tmp__4163 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4162)) << 8u;
  llvm_cbe_tmp__4164 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4160) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4165 = *llvm_cbe_tmp__4164;
  llvm_cbe_tmp__4166 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4163 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4165)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__4161 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4166) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4164 = (((unsigned char )llvm_cbe_tmp__4166));
  llvm_cbe_tmp__4167 = ((unsigned short )llvm_cbe_tmp__4166);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4167 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4167) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4167 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4166) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4163 & 32768u) == 0u)) {
    llvm_cbe_tmp__4168__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5304;
  } else {
    goto llvm_cbe_tmp__7947;
  }

llvm_cbe__2e__crit_edge5305:
  llvm_cbe__2e_pre6053_2e_rle6883 = llvm_cbe__2e_pre6053_2e_rle6883__PHI_TEMPORARY;
  llvm_cbe_tmp__4106 = llvm_cbe_tmp__4106__PHI_TEMPORARY;
  llvm_cbe_tmp__4107 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4106);
  llvm_cbe_tmp__4108 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4107) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__4109 = *((&RAM.array[((signed int )llvm_cbe_tmp__4108)]));
  llvm_cbe_tmp__4110 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4108) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4111 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4107) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__4112 = *((&RAM.array[((signed int )llvm_cbe_tmp__4111)]));
  llvm_cbe_tmp__4113 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4111) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4114 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4109)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4110))));
  llvm_cbe_tmp__4115 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4112)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4113))));
  llvm_cbe_tmp__4116 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4114) > ((unsigned short )llvm_cbe_tmp__4115)));
  *(&ST_LGT) = llvm_cbe_tmp__4116;
  llvm_cbe_tmp__4117 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4114) > ((signed short )llvm_cbe_tmp__4115)));
  *(&ST_AGT) = llvm_cbe_tmp__4117;
  llvm_cbe_tmp__4118 = ((unsigned int )(bool )(llvm_cbe_tmp__4114 == llvm_cbe_tmp__4115));
  *(&ST_EQ) = llvm_cbe_tmp__4118;
  if ((llvm_cbe_tmp__4114 == llvm_cbe_tmp__4115)) {
    llvm_cbe_tmp__4149__PHI_TEMPORARY = llvm_cbe_tmp__4106;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5299;
  } else {
    goto llvm_cbe_tmp__7948;
  }

llvm_cbe__2e__crit_edge5298:
  llvm_cbe_tmp__4089 = llvm_cbe_tmp__4089__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4089;
  llvm_cbe_tmp__4090 = *llvm_cbe_tmp__4081;
  *llvm_cbe_tmp__4075 = llvm_cbe_tmp__4090;
  *llvm_cbe_tmp__4078 = llvm_cbe_tmp__4087;
  llvm_cbe_tmp__4091 = *llvm_cbe_tmp__4064;
  llvm_cbe_tmp__4092 = *llvm_cbe_tmp__4067;
  llvm_cbe_tmp__4093 = ((signed int )(signed short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4091)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4092))))));
  *llvm_cbe_tmp__4064 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4093) >> ((unsigned int )9u))))));
  *llvm_cbe_tmp__4067 = (((unsigned char )(((signed int )(((signed int )llvm_cbe_tmp__4093) >> ((signed int )1u))))));
  llvm_cbe_tmp__4094 = *llvm_cbe_tmp__4081;
  llvm_cbe_tmp__4095 = *llvm_cbe_tmp__4084;
  *((&RAM.array[((signed int )33654u)])) = llvm_cbe_tmp__4094;
  *((&RAM.array[((signed int )33655u)])) = llvm_cbe_tmp__4095;
  llvm_cbe_tmp__4096 = (&RAM.array[((signed int )llvm_cbe_tmp__4073)]);
  llvm_cbe_tmp__4097 = *llvm_cbe_tmp__4096;
  llvm_cbe_tmp__4098 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )15u)))))]);
  llvm_cbe_tmp__4099 = *llvm_cbe_tmp__4098;
  llvm_cbe_tmp__4100 = ((unsigned int )(unsigned char )llvm_cbe_tmp__4099);
  llvm_cbe_tmp__4101 = llvm_cbe_tmp__4100 | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4097)) << 8u);
  llvm_cbe_tmp__4102 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4101) >> ((unsigned int )1u)));
  *llvm_cbe_tmp__4096 = (((unsigned char )(((unsigned int )(((unsigned int )(llvm_cbe_tmp__4102 | (llvm_cbe_tmp__4101 << 15u))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4098 = (((unsigned char )llvm_cbe_tmp__4102));
  *(&ST_C) = (llvm_cbe_tmp__4100 & 1u);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )10u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )11u)))))])) = ((unsigned char )8);
  *((&RAM.array[((signed int )llvm_cbe_tmp__4041)])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )1u)))))])) = ((unsigned char )75);
  llvm_cbe_tmp__4103 = *llvm_cbe_tmp__4054;
  llvm_cbe_tmp__4104 = *llvm_cbe_tmp__4056;
  llvm_cbe_tmp__4105 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4103)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4104));
  *llvm_cbe_tmp__4043 = llvm_cbe_tmp__4103;
  *llvm_cbe_tmp__4046 = llvm_cbe_tmp__4104;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4105 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4105))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4105 == 0u)));
  llvm_cbe__2e_pre6053_2e_rle6883__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__4106__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5305;

llvm_cbe__2e__crit_edge5297:
  llvm_cbe_tmp__4071 = llvm_cbe_tmp__4071__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4071;
  llvm_cbe_tmp__4072 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4072)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4072) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__4073 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )14u)));
  llvm_cbe_tmp__4074 = llvm_cbe_tmp__4073 & 65535u;
  llvm_cbe_tmp__4075 = (&RAM.array[((signed int )llvm_cbe_tmp__4074)]);
  llvm_cbe_tmp__4076 = *llvm_cbe_tmp__4075;
  llvm_cbe_tmp__4077 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4076)) << 8u;
  llvm_cbe_tmp__4078 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4074) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4079 = *llvm_cbe_tmp__4078;
  llvm_cbe_tmp__4080 = llvm_cbe_tmp__4063 & 65535u;
  llvm_cbe_tmp__4081 = (&RAM.array[((signed int )llvm_cbe_tmp__4080)]);
  llvm_cbe_tmp__4082 = *llvm_cbe_tmp__4081;
  llvm_cbe_tmp__4083 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4082)) << 8u;
  llvm_cbe_tmp__4084 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4080) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4085 = *llvm_cbe_tmp__4084;
  llvm_cbe_tmp__4086 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4083 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4085)))) + ((unsigned int )(llvm_cbe_tmp__4077 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4079))))));
  *llvm_cbe_tmp__4081 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4086) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__4087 = ((unsigned char )llvm_cbe_tmp__4086);
  *llvm_cbe_tmp__4084 = llvm_cbe_tmp__4087;
  llvm_cbe_tmp__4088 = ((unsigned short )llvm_cbe_tmp__4086);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4088 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4088) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4088 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4086) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__4083 ^ llvm_cbe_tmp__4077) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7949;
  } else {
    llvm_cbe_tmp__4089__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5298;
  }

llvm_cbe_tmp__7950:
  llvm_cbe_tmp__4063 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )8u)));
  llvm_cbe_tmp__4064 = (&RAM.array[((signed int )llvm_cbe_tmp__4063)]);
  llvm_cbe_tmp__4065 = *llvm_cbe_tmp__4064;
  llvm_cbe_tmp__4066 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4065)) << 8u;
  llvm_cbe_tmp__4067 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__4068 = *llvm_cbe_tmp__4067;
  llvm_cbe_tmp__4069 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__4068)) | llvm_cbe_tmp__4066)) + ((unsigned int )128u)));
  *llvm_cbe_tmp__4064 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4069) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4067 = (((unsigned char )llvm_cbe_tmp__4069));
  llvm_cbe_tmp__4070 = ((unsigned short )llvm_cbe_tmp__4069);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4070 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4070) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4070 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4069) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4066 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7951;
  } else {
    llvm_cbe_tmp__4071__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5297;
  }

llvm_cbe__2e__crit_edge5295:
  llvm_cbe_tmp__4051 = llvm_cbe_tmp__4051__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4051;
  llvm_cbe_tmp__4052 = *llvm_cbe_tmp__4043;
  *((&RAM.array[((signed int )33622u)])) = llvm_cbe_tmp__4052;
  *((&RAM.array[((signed int )33623u)])) = llvm_cbe_tmp__4049;
  llvm_cbe_tmp__4053 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )24u)))) & 65535u;
  llvm_cbe_tmp__4054 = (&RAM.array[((signed int )llvm_cbe_tmp__4053)]);
  llvm_cbe_tmp__4055 = *llvm_cbe_tmp__4054;
  llvm_cbe_tmp__4056 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4053) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4057 = *llvm_cbe_tmp__4056;
  llvm_cbe_tmp__4058 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__4059 = *((&RAM.array[((signed int )llvm_cbe_tmp__4058)]));
  llvm_cbe_tmp__4060 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4058) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4061 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4055)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4057))));
  llvm_cbe_tmp__4062 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4059)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4060))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4061) > ((unsigned short )llvm_cbe_tmp__4062))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4061) > ((signed short )llvm_cbe_tmp__4062))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4061 == llvm_cbe_tmp__4062)));
  if ((llvm_cbe_tmp__4061 == llvm_cbe_tmp__4062)) {
    llvm_cbe__2e_pre6053_2e_rle6846__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_rle6339__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5142;
  } else {
    goto llvm_cbe_tmp__7950;
  }

llvm_cbe__2e__crit_edge5292:
  llvm_cbe_tmp__4041 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4042 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4041) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__4043 = (&RAM.array[((signed int )llvm_cbe_tmp__4042)]);
  llvm_cbe_tmp__4044 = *llvm_cbe_tmp__4043;
  llvm_cbe_tmp__4045 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4044)) << 8u;
  llvm_cbe_tmp__4046 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4042) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4047 = *llvm_cbe_tmp__4046;
  llvm_cbe_tmp__4048 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4045 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4047)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__4043 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4048) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__4049 = ((unsigned char )llvm_cbe_tmp__4048);
  *llvm_cbe_tmp__4046 = llvm_cbe_tmp__4049;
  llvm_cbe_tmp__4050 = ((unsigned short )llvm_cbe_tmp__4048);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4050 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4050) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4050 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4048) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4045 & 32768u) == 0u)) {
    llvm_cbe_tmp__4051__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5295;
  } else {
    goto llvm_cbe_tmp__7952;
  }

llvm_cbe__2e__crit_edge5291:
  llvm_cbe_tmp__3993 = llvm_cbe_tmp__3993__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3993;
  llvm_cbe_tmp__3994 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3994)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3994) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__3995 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__3996 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__3997 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3996)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3995)) << 8u);
  llvm_cbe_tmp__3998 = ((unsigned short )llvm_cbe_tmp__3997);
  llvm_cbe_tmp__3999 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3998) > ((unsigned short )((unsigned short )69))));
  *(&ST_LGT) = llvm_cbe_tmp__3999;
  llvm_cbe_tmp__4000 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3998) > ((signed short )((unsigned short )69))));
  *(&ST_AGT) = llvm_cbe_tmp__4000;
  llvm_cbe_tmp__4001 = ((unsigned int )(bool )(llvm_cbe_tmp__3997 == 69u));
  *(&ST_EQ) = llvm_cbe_tmp__4001;
  if ((llvm_cbe_tmp__3997 == 69u)) {
    goto llvm_cbe_tmp__7953;
  } else {
    goto llvm_cbe__2e__crit_edge5292;
  }

llvm_cbe__2e__crit_edge5277:
  llvm_cbe_tmp__3980 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__3981 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__3982 = *((&RAM.array[((signed int )llvm_cbe_tmp__3981)]));
  llvm_cbe_tmp__3983 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3981) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3984 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3985 = (&RAM.array[((signed int )llvm_cbe_tmp__3984)]);
  *llvm_cbe_tmp__3985 = llvm_cbe_tmp__3982;
  llvm_cbe_tmp__3986 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3984) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__3986 = llvm_cbe_tmp__3983;
  llvm_cbe_tmp__3987 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3987)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3987) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__3988 = *llvm_cbe_tmp__3985;
  llvm_cbe_tmp__3989 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3988)) << 8u;
  llvm_cbe_tmp__3990 = *llvm_cbe_tmp__3986;
  llvm_cbe_tmp__3991 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3989 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3990)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3985 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3991) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3986 = (((unsigned char )llvm_cbe_tmp__3991));
  llvm_cbe_tmp__3992 = ((unsigned short )llvm_cbe_tmp__3991);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3992 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3992) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3992 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3991) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3989 & 32768u) == 0u)) {
    llvm_cbe_tmp__3993__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5291;
  } else {
    goto llvm_cbe_tmp__7954;
  }

llvm_cbe__2e__crit_edge5271:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3903) > ((unsigned short )((unsigned short )46)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3903) > ((signed short )((unsigned short )46)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3902 == 46u)));
  if ((llvm_cbe_tmp__3902 == 46u)) {
    goto llvm_cbe_tmp__7955;
  } else {
    goto llvm_cbe__2e__crit_edge5277;
  }

llvm_cbe__2e__crit_edge5569:
  llvm_cbe_tmp__3899 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__3900 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3899) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__3901 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3899) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__3902 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3901)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3900)) << 8u);
  llvm_cbe_tmp__3903 = ((unsigned short )llvm_cbe_tmp__3902);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3903) > ((unsigned short )((unsigned short )48)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3903) > ((signed short )((unsigned short )48)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3902 == 48u)));
  if (((((((unsigned short )llvm_cbe_tmp__3903) > ((unsigned short )((unsigned short )48))) | (llvm_cbe_tmp__3902 == 48u))&1))) {
    goto llvm_cbe__2e__crit_edge5270;
  } else {
    goto llvm_cbe__2e__crit_edge5271;
  }

llvm_cbe__2e__crit_edge5269:
  llvm_cbe_tmp__3894 = llvm_cbe_tmp__3894__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3894;
  *llvm_cbe_tmp__3882 = ((unsigned char )-1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3881) + ((unsigned int )1u)))))])) = ((unsigned char )-1);
  goto llvm_cbe__2e__crit_edge5569;

llvm_cbe_tmp__7956:
  llvm_cbe_tmp__3881 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3873) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__3882 = (&RAM.array[((signed int )llvm_cbe_tmp__3881)]);
  llvm_cbe_tmp__3883 = *llvm_cbe_tmp__3882;
  *((&RAM.array[((signed int )33653u)])) = llvm_cbe_tmp__3883;
  llvm_cbe_tmp__3884 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3873) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__3885 = *((&RAM.array[((signed int )llvm_cbe_tmp__3884)]));
  llvm_cbe_tmp__3886 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3884) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3887 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3873) + ((unsigned int )24u)))) & 65535u;
  llvm_cbe_tmp__3888 = (&RAM.array[((signed int )llvm_cbe_tmp__3887)]);
  *llvm_cbe_tmp__3888 = llvm_cbe_tmp__3885;
  llvm_cbe_tmp__3889 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3887) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__3889 = llvm_cbe_tmp__3886;
  llvm_cbe_tmp__3890 = *llvm_cbe_tmp__3888;
  llvm_cbe_tmp__3891 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3890)) << 8u;
  llvm_cbe_tmp__3892 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3891 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3886)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3888 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3892) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3889 = (((unsigned char )llvm_cbe_tmp__3892));
  llvm_cbe_tmp__3893 = ((unsigned short )llvm_cbe_tmp__3892);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3893 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3893) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3893 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3892) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3891 & 32768u) == 0u)) {
    llvm_cbe_tmp__3894__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5269;
  } else {
    goto llvm_cbe_tmp__7957;
  }

llvm_cbe__2e__crit_edge5266:
  llvm_cbe_tmp__3873 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__3874 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3873) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__3875 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3873) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__3876 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3875)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3874)) << 8u);
  llvm_cbe_tmp__3877 = ((unsigned short )llvm_cbe_tmp__3876);
  llvm_cbe_tmp__3878 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3877) > ((unsigned short )((unsigned short )48))));
  *(&ST_LGT) = llvm_cbe_tmp__3878;
  llvm_cbe_tmp__3879 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3877) > ((signed short )((unsigned short )48))));
  *(&ST_AGT) = llvm_cbe_tmp__3879;
  llvm_cbe_tmp__3880 = ((unsigned int )(bool )(llvm_cbe_tmp__3876 == 48u));
  *(&ST_EQ) = llvm_cbe_tmp__3880;
  if ((llvm_cbe_tmp__3876 == 48u)) {
    llvm_cbe__2e_pre_2d_phi7025__PHI_TEMPORARY = llvm_cbe_tmp__3873;   /* for PHI node */
    llvm_cbe__2e_rle5969__PHI_TEMPORARY = llvm_cbe_tmp__3878;   /* for PHI node */
    llvm_cbe__2e_rle5935__PHI_TEMPORARY = llvm_cbe_tmp__3880;   /* for PHI node */
    llvm_cbe__2e_rle5903__PHI_TEMPORARY = llvm_cbe_tmp__3879;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5268;
  } else {
    goto llvm_cbe_tmp__7956;
  }

llvm_cbe_tmp__7958:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6942) > ((unsigned short )((unsigned short )45)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6942) > ((signed short )((unsigned short )45)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6941 == 45u)));
  if ((llvm_cbe_tmp__6941 == 45u)) {
    goto llvm_cbe_tmp__7959;
  } else {
    goto llvm_cbe__2e__crit_edge5266;
  }

llvm_cbe_tmp__7576:
  llvm_cbe_tmp__6929 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6930 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6929) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__6931 = (&RAM.array[((signed int )llvm_cbe_tmp__6930)]);
  *llvm_cbe_tmp__6931 = ((unsigned char )0);
  llvm_cbe_tmp__6932 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6930) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__6932 = ((unsigned char )0);
  llvm_cbe_tmp__6933 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6929) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__6934 = *((&RAM.array[((signed int )llvm_cbe_tmp__6933)]));
  llvm_cbe_tmp__6935 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6933) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6936 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6929) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6937 = (&RAM.array[((signed int )llvm_cbe_tmp__6936)]);
  *llvm_cbe_tmp__6937 = llvm_cbe_tmp__6934;
  llvm_cbe_tmp__6938 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6936) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__6938 = llvm_cbe_tmp__6935;
  llvm_cbe_tmp__6939 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6929) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__6940 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6929) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__6941 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6940)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6939)) << 8u);
  llvm_cbe_tmp__6942 = ((unsigned short )llvm_cbe_tmp__6941);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6942) > ((unsigned short )((unsigned short )43)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6942) > ((signed short )((unsigned short )43)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6941 == 43u)));
  if ((llvm_cbe_tmp__6941 == 43u)) {
    llvm_cbe_tmp__3861__PHI_TEMPORARY = llvm_cbe_tmp__6935;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5642;
  } else {
    goto llvm_cbe_tmp__7958;
  }

llvm_cbe_tmp__7957:
  llvm_cbe_tmp4491 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3892) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3894__PHI_TEMPORARY = llvm_cbe_tmp4491;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5269;

llvm_cbe__2e__crit_edge5270:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3903) > ((unsigned short )((unsigned short )57)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3903) > ((signed short )((unsigned short )57)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3902 == 57u)));
  if ((((((((((unsigned short )llvm_cbe_tmp__3903) > ((unsigned short )((unsigned short )57))) ^ 1)&1)) | (llvm_cbe_tmp__3902 == 57u))&1))) {
    goto llvm_cbe__2e__crit_edge5273;
  } else {
    goto llvm_cbe__2e__crit_edge5271;
  }

llvm_cbe__2e__crit_edge5284:
  llvm_cbe_tmp__3972 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6948) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__3973 = *((&RAM.array[((signed int )llvm_cbe_tmp__3972)]));
  llvm_cbe_tmp__3974 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3972) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3975 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6948) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3976 = *((&RAM.array[((signed int )llvm_cbe_tmp__3975)]));
  llvm_cbe_tmp__3977 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3975) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3978 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3973)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3974))));
  llvm_cbe_tmp__3979 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3976)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__3977))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3978) > ((unsigned short )llvm_cbe_tmp__3979))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3978) > ((signed short )llvm_cbe_tmp__3979))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3978 == llvm_cbe_tmp__3979)));
  if ((llvm_cbe_tmp__3978 == llvm_cbe_tmp__3979)) {
    llvm_cbe__2e_pre6053_2e_rle6846__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe__2e_rle6339__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5142;
  } else {
    goto llvm_cbe__2e__crit_edge5277;
  }

llvm_cbe__2e__crit_edge5285:
  llvm_cbe_tmp__3969 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6952) > ((unsigned short )((unsigned short )57))));
  *(&ST_LGT) = llvm_cbe_tmp__3969;
  llvm_cbe_tmp__3970 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6952) > ((signed short )((unsigned short )57))));
  *(&ST_AGT) = llvm_cbe_tmp__3970;
  llvm_cbe_tmp__3971 = ((unsigned int )(bool )(llvm_cbe_tmp__6951 == 57u));
  *(&ST_EQ) = llvm_cbe_tmp__3971;
  if ((((((((((unsigned short )llvm_cbe_tmp__6952) > ((unsigned short )((unsigned short )57))) ^ 1)&1)) | (llvm_cbe_tmp__6951 == 57u))&1))) {
    llvm_cbe__2e_rle5974__PHI_TEMPORARY = llvm_cbe_tmp__3969;   /* for PHI node */
    llvm_cbe__2e_rle5940__PHI_TEMPORARY = llvm_cbe_tmp__3971;   /* for PHI node */
    llvm_cbe__2e_rle5908__PHI_TEMPORARY = llvm_cbe_tmp__3970;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5279;
  } else {
    goto llvm_cbe__2e__crit_edge5284;
  }

llvm_cbe_tmp__7578:
  llvm_cbe_tmp__6948 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6949 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6948) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__6950 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6948) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__6951 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6950)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6949)) << 8u);
  llvm_cbe_tmp__6952 = ((unsigned short )llvm_cbe_tmp__6951);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6952) > ((unsigned short )((unsigned short )48)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6952) > ((signed short )((unsigned short )48)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6951 == 48u)));
  if (((((((unsigned short )llvm_cbe_tmp__6952) > ((unsigned short )((unsigned short )48))) | (llvm_cbe_tmp__6951 == 48u))&1))) {
    goto llvm_cbe__2e__crit_edge5285;
  } else {
    goto llvm_cbe__2e__crit_edge5284;
  }

llvm_cbe_tmp__7954:
  llvm_cbe_tmp4503 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3991) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3993__PHI_TEMPORARY = llvm_cbe_tmp4503;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5291;

llvm_cbe_tmp__7960:
  llvm_cbe_tmp__4033 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6958) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__4034 = (&RAM.array[((signed int )llvm_cbe_tmp__4033)]);
  llvm_cbe_tmp__4035 = *llvm_cbe_tmp__4034;
  llvm_cbe_tmp__4036 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4033) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4037 = *llvm_cbe_tmp__4036;
  llvm_cbe_tmp__4038 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4035)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4037));
  llvm_cbe_tmp__4039 = -(llvm_cbe_tmp__4038);
  *llvm_cbe_tmp__4034 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4039) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4036 = (((unsigned char )llvm_cbe_tmp__4039));
  llvm_cbe_tmp__4040 = ((unsigned short )llvm_cbe_tmp__4039);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4040 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4040) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4040 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4039) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__4038 == 32768u)));
  goto llvm_cbe__2e__crit_edge5292;

llvm_cbe_tmp__7580:
  llvm_cbe_tmp__6958 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6959 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6958) + ((unsigned int )2u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6959 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6959) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6959 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__6959 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5292;
  } else {
    goto llvm_cbe_tmp__7960;
  }

llvm_cbe_tmp__7952:
  llvm_cbe_tmp4520 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4048) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4051__PHI_TEMPORARY = llvm_cbe_tmp4520;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5295;

llvm_cbe_tmp__7951:
  llvm_cbe__2e_lobit4517 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4069) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4071__PHI_TEMPORARY = llvm_cbe__2e_lobit4517;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5297;

llvm_cbe_tmp__7949:
  llvm_cbe_tmp4512_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__4086 ^ llvm_cbe_tmp__4083)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4089__PHI_TEMPORARY = llvm_cbe_tmp4512_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5298;

llvm_cbe__2e__crit_edge5301:
  llvm_cbe_tmp__4133 = llvm_cbe_tmp__6961 & 65535u;
  llvm_cbe_tmp__4134 = (&RAM.array[((signed int )llvm_cbe_tmp__4133)]);
  llvm_cbe_tmp__4135 = *llvm_cbe_tmp__4134;
  llvm_cbe_tmp__4136 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4133) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4137 = *llvm_cbe_tmp__4136;
  llvm_cbe_tmp__4138 = *((&RAM.array[((signed int )4474u)]));
  llvm_cbe_tmp__4139 = *((&RAM.array[((signed int )4475u)]));
  llvm_cbe_tmp__4140 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__4138)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4139)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__4135)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4137))))));
  *llvm_cbe_tmp__4134 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4140) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__4136 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4140) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4133) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4140) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4133) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__4140));
  llvm_cbe_tmp__4141 = *((&RAM.array[((signed int )33779u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6960) + ((unsigned int )2u)))) & 65535u))])) = llvm_cbe_tmp__4141;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4141 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4141) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4141 == ((unsigned char )0))));
  llvm_cbe__2e_pre6053_2e_rle6883__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__4106__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5305;

llvm_cbe__2e__crit_edge5300:
  llvm_cbe_tmp__4124 = llvm_cbe_tmp__4124__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4124;
  llvm_cbe_tmp__4125 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6960) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__4126 = (&RAM.array[((signed int )llvm_cbe_tmp__4125)]);
  llvm_cbe_tmp__4127 = *llvm_cbe_tmp__4126;
  llvm_cbe_tmp__4128 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4125) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4129 = *llvm_cbe_tmp__4128;
  llvm_cbe_tmp__4130 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4127)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4129));
  llvm_cbe_tmp__4131 = ((unsigned short )llvm_cbe_tmp__4130);
  llvm_cbe_tmp__4132 = llvm_cbe_tmp__4130 ^ 4294967295u;
  *llvm_cbe_tmp__4126 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4132) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4128 = (((unsigned char )llvm_cbe_tmp__4132));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4131 != ((unsigned short )-1))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4132))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4131 == ((unsigned short )-1))));
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__4132))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__4131 == ((unsigned short )-1)))&1))) {
    goto llvm_cbe__2e__crit_edge5301;
  } else {
    goto llvm_cbe_tmp__7961;
  }

llvm_cbe_tmp__7962:
  llvm_cbe_tmp__4122 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6967) + ((unsigned int )65488u)));
  *llvm_cbe_tmp__6962 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4122) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6965 = (((unsigned char )llvm_cbe_tmp__4122));
  llvm_cbe_tmp__4123 = ((unsigned short )llvm_cbe_tmp__4122);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4123 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4123) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4123 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4122) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6964 & 32768u) == 0u)) {
    llvm_cbe_tmp__4124__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5300;
  } else {
    goto llvm_cbe_tmp__7963;
  }

llvm_cbe_tmp__7581:
  llvm_cbe_tmp__6960 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6961 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6960) + ((unsigned int )16u)));
  llvm_cbe_tmp__6962 = (&RAM.array[((signed int )llvm_cbe_tmp__6961)]);
  llvm_cbe_tmp__6963 = *llvm_cbe_tmp__6962;
  llvm_cbe_tmp__6964 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6963)) << 8u;
  llvm_cbe_tmp__6965 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6960) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__6966 = *llvm_cbe_tmp__6965;
  llvm_cbe_tmp__6967 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6966)) | llvm_cbe_tmp__6964;
  llvm_cbe_tmp__6968 = ((unsigned short )llvm_cbe_tmp__6967);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6968) > ((unsigned short )((unsigned short )46)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6968) > ((signed short )((unsigned short )46)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6967 == 46u)));
  if ((llvm_cbe_tmp__6967 == 46u)) {
    llvm_cbe__2e_pre6053_2e_rle6883__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__4106__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5305;
  } else {
    goto llvm_cbe_tmp__7962;
  }

llvm_cbe_tmp__7963:
  llvm_cbe_tmp4544 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4122) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4124__PHI_TEMPORARY = llvm_cbe_tmp4544;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5300;

llvm_cbe__2e__crit_edge5303:
  llvm_cbe_tmp__4148 = llvm_cbe_tmp__4148__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4148;
  llvm_cbe_tmp__4149__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5299;

llvm_cbe_tmp__7961:
  llvm_cbe_tmp__4142 = *((&RAM.array[((signed int )33777u)]));
  llvm_cbe_tmp__4143 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6960) + ((unsigned int )2u)))) & 65535u))]);
  llvm_cbe_tmp__4144 = *llvm_cbe_tmp__4143;
  llvm_cbe_tmp__4145 = ((unsigned int )(unsigned char )llvm_cbe_tmp__4144);
  llvm_cbe_tmp__4146 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4145) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__4142)))));
  llvm_cbe_tmp__4147 = ((unsigned char )llvm_cbe_tmp__4146);
  *llvm_cbe_tmp__4143 = llvm_cbe_tmp__4147;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4147 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4147) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4147 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4146) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__4144 ^ llvm_cbe_tmp__4142))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7964;
  } else {
    llvm_cbe_tmp__4148__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5303;
  }

llvm_cbe_tmp__7964:
  llvm_cbe_tmp4523_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__4146 ^ llvm_cbe_tmp__4145)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__4148__PHI_TEMPORARY = llvm_cbe_tmp4523_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5303;

llvm_cbe_tmp__7947:
  llvm_cbe_tmp4539 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4166) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4168__PHI_TEMPORARY = llvm_cbe_tmp4539;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5304;

llvm_cbe_tmp__7568:
  llvm_cbe_tmp__6870 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6871 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6870) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__6872 = *((&RAM.array[((signed int )llvm_cbe_tmp__6871)]));
  llvm_cbe_tmp__6873 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6871) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6874 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6872)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6873));
  llvm_cbe_tmp__6875 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6870) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6875)])) = llvm_cbe_tmp__6872;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6875) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6873;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6874 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6874))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6874 == 0u)));
  llvm_cbe_tmp__2975__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5120;

  do {     /* Syntactic loop '._crit_edge5185' to make GCC happy */
llvm_cbe__2e__crit_edge5185:
  llvm_cbe_tmp__2985 = llvm_cbe_tmp__2985__PHI_TEMPORARY;
  llvm_cbe_tmp__2986 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2985);
  llvm_cbe_tmp__2987 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2986) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__2988 = *llvm_cbe_tmp__2987;
  llvm_cbe_tmp__2989 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2986) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__2990 = *llvm_cbe_tmp__2989;
  llvm_cbe_tmp__2991 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__2986) + ((unsigned int )4u)))) & 65535u))]));
  llvm_cbe_tmp__2992 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__2990)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2988)) << 8u))) + ((unsigned int )33610u)))) & 65535u))]);
  llvm_cbe_tmp__2993 = *llvm_cbe_tmp__2992;
  llvm_cbe_tmp__2994 = ((unsigned int )(unsigned char )llvm_cbe_tmp__2993);
  llvm_cbe_tmp__2995 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2994) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__2991)))));
  llvm_cbe_tmp__2996 = ((unsigned char )llvm_cbe_tmp__2995);
  *llvm_cbe_tmp__2992 = llvm_cbe_tmp__2996;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2996 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__2996) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2996 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__2995) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__2993 ^ llvm_cbe_tmp__2991))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__7965;
  } else {
    llvm_cbe_tmp__2997__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5179;
  }

llvm_cbe__2e__crit_edge5184:
  llvm_cbe_tmp__3022 = llvm_cbe_tmp__3022__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3022;
  if ((((signed short )llvm_cbe_tmp__3021) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__2985__PHI_TEMPORARY = llvm_cbe_tmp__3002;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5185;
  } else {
    goto llvm_cbe_tmp__7966;
  }

llvm_cbe__2e__crit_edge5183:
  llvm_cbe_tmp__3013 = llvm_cbe_tmp__3013__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3013;
  llvm_cbe_tmp__3014 = llvm_cbe_tmp__3004 & 65535u;
  llvm_cbe_tmp__3015 = (&RAM.array[((signed int )llvm_cbe_tmp__3014)]);
  llvm_cbe_tmp__3016 = *llvm_cbe_tmp__3015;
  llvm_cbe_tmp__3017 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3016)) << 8u;
  llvm_cbe_tmp__3018 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3014) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3019 = *llvm_cbe_tmp__3018;
  llvm_cbe_tmp__3020 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3017 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3019)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3015 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3020) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3018 = (((unsigned char )llvm_cbe_tmp__3020));
  llvm_cbe_tmp__3021 = ((unsigned short )llvm_cbe_tmp__3020);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3021 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3021) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3021 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3020) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3017 & 32768u) == 0u)) {
    llvm_cbe_tmp__3022__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5184;
  } else {
    goto llvm_cbe_tmp__7967;
  }

llvm_cbe__2e__crit_edge5180:
  llvm_cbe_tmp__3003 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3002);
  llvm_cbe_tmp__3004 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3003) + ((unsigned int )2u)));
  llvm_cbe_tmp__3005 = *((&RAM.array[((signed int )llvm_cbe_tmp__3004)]));
  llvm_cbe_tmp__3006 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3003) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__3007 = *((&RAM.array[((signed int )llvm_cbe_tmp__3003)]));
  llvm_cbe_tmp__3008 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__3006)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3005)) << 8u))) + ((unsigned int )33610u)))) & 65535u))]);
  llvm_cbe_tmp__3009 = *llvm_cbe_tmp__3008;
  llvm_cbe_tmp__3010 = ((unsigned int )(unsigned char )llvm_cbe_tmp__3009);
  llvm_cbe_tmp__3011 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3010) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__3007)))));
  llvm_cbe_tmp__3012 = ((unsigned char )llvm_cbe_tmp__3011);
  *llvm_cbe_tmp__3008 = llvm_cbe_tmp__3012;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3012 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3012) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3012 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3011) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__3009 ^ llvm_cbe_tmp__3007))))) & 128u) == 0u)) {
    llvm_cbe_tmp__3013__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5183;
  } else {
    goto llvm_cbe_tmp__7968;
  }

llvm_cbe__2e__crit_edge5179:
  llvm_cbe_tmp__2997 = llvm_cbe_tmp__2997__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__2997;
  llvm_cbe_tmp__2998 = *llvm_cbe_tmp__2987;
  llvm_cbe_tmp__2999 = *llvm_cbe_tmp__2989;
  llvm_cbe_tmp__3000 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__2998)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__2999)))))) + ((unsigned short )((unsigned short )-31926))))))));
  llvm_cbe_tmp__3001 = *((&RAM.array[((signed int )llvm_cbe_tmp__2986)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__3000) > ((unsigned char )llvm_cbe_tmp__3001))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3000) > ((signed char )llvm_cbe_tmp__3001))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3000 == llvm_cbe_tmp__3001)));
  llvm_cbe_tmp__3002 = *(&WP);
  if (((((((unsigned char )llvm_cbe_tmp__3000) > ((unsigned char )llvm_cbe_tmp__3001)) | (llvm_cbe_tmp__3000 == llvm_cbe_tmp__3001))&1))) {
    goto llvm_cbe__2e__crit_edge5180;
  } else {
    llvm_cbe_tmp__3030__PHI_TEMPORARY = llvm_cbe_tmp__3002;   /* for PHI node */
    llvm_cbe_tmp__3031__PHI_TEMPORARY = llvm_cbe_tmp__3002;   /* for PHI node */
    llvm_cbe_tmp__3032__PHI_TEMPORARY = llvm_cbe_tmp__3002;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5096;
  }

llvm_cbe_tmp__7965:
  llvm_cbe_tmp4525_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__2995 ^ llvm_cbe_tmp__2994)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__2997__PHI_TEMPORARY = llvm_cbe_tmp4525_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5179;

llvm_cbe_tmp__7968:
  llvm_cbe_tmp4527_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3011 ^ llvm_cbe_tmp__3010)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__3013__PHI_TEMPORARY = llvm_cbe_tmp4527_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5183;

llvm_cbe_tmp__7967:
  llvm_cbe_tmp4530 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3020) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3022__PHI_TEMPORARY = llvm_cbe_tmp4530;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5184;

  } while (1); /* end of syntactic loop '._crit_edge5185' */
llvm_cbe_tmp__7969:
  llvm_cbe_tmp__2983 = llvm_cbe_tmp__2983__PHI_TEMPORARY;
  llvm_cbe_tmp__2984 = ((unsigned int )(unsigned short )llvm_cbe_tmp__2983);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2984) + ((unsigned int )4u)))))])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2984) + ((unsigned int )5u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )llvm_cbe_tmp__2984)])) = ((unsigned char )100);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2984) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2985__PHI_TEMPORARY = llvm_cbe_tmp__2983;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5185;

llvm_cbe__2e__crit_edge5176:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2976) + ((unsigned int )2u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2976) + ((unsigned int )3u)))))])) = ((unsigned char )7);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2983__PHI_TEMPORARY = llvm_cbe_tmp__2975;   /* for PHI node */
  goto llvm_cbe_tmp__7969;

llvm_cbe_tmp__7570:
  llvm_cbe_tmp__6882 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6883 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6882) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__6884 = *((&RAM.array[((signed int )llvm_cbe_tmp__6883)]));
  llvm_cbe_tmp__6885 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6883) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6886 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6882) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6886)])) = llvm_cbe_tmp__6884;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6886) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6885;
  llvm_cbe_tmp__6887 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6882) + ((unsigned int )2u)));
  llvm_cbe_tmp__6888 = *((&RAM.array[((signed int )33620u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__6887 & 65535u))])) = llvm_cbe_tmp__6888;
  llvm_cbe_tmp__6889 = (&RAM.array[((signed int )llvm_cbe_tmp__6887)]);
  llvm_cbe_tmp__6890 = *llvm_cbe_tmp__6889;
  llvm_cbe_tmp__6891 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6882) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__6892 = *llvm_cbe_tmp__6891;
  llvm_cbe_tmp__6893 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6890)) << ((unsigned short )8)));
  *llvm_cbe_tmp__6889 = ((unsigned char )0);
  *llvm_cbe_tmp__6891 = llvm_cbe_tmp__6890;
  llvm_cbe_tmp__6894 = ((unsigned int )(bool )(llvm_cbe_tmp__6893 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__6894;
  *(&ST_AGT) = llvm_cbe_tmp__6894;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6893 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__6892))) >> ((unsigned int )7u))));
  llvm_cbe_tmp__2983__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__7969;

llvm_cbe__2e__crit_edge5186:
  llvm_cbe_tmp__3028 = llvm_cbe_tmp__3028__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3028;
  llvm_cbe_tmp__3029 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__3003) + ((unsigned int )4u)))) & 65535u))]));
  *((&RAM.array[((signed int )33611u)])) = llvm_cbe_tmp__3029;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3029 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3029) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3029 == ((unsigned char )0))));
  llvm_cbe_tmp__3030__PHI_TEMPORARY = llvm_cbe_tmp__3002;   /* for PHI node */
  llvm_cbe_tmp__3031__PHI_TEMPORARY = llvm_cbe_tmp__3002;   /* for PHI node */
  llvm_cbe_tmp__3032__PHI_TEMPORARY = llvm_cbe_tmp__3002;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5096;

llvm_cbe_tmp__7966:
  llvm_cbe_tmp__3023 = *((&RAM.array[((signed int )33654u)]));
  llvm_cbe_tmp__3024 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3023)) << 8u;
  llvm_cbe_tmp__3025 = *((&RAM.array[((signed int )33655u)]));
  llvm_cbe_tmp__3026 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3024 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3025)))) + ((unsigned int )1u)));
  *((&RAM.array[((signed int )33654u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3026) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33655u)])) = (((unsigned char )llvm_cbe_tmp__3026));
  llvm_cbe_tmp__3027 = ((unsigned short )llvm_cbe_tmp__3026);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3027 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3027) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3027 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3026) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3024 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7970;
  } else {
    llvm_cbe_tmp__3028__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5186;
  }

llvm_cbe_tmp__7970:
  llvm_cbe__2e_lobit4528 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3026) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3028__PHI_TEMPORARY = llvm_cbe__2e_lobit4528;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5186;

llvm_cbe_tmp__7571:
  llvm_cbe_tmp__6895 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6896 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6895) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__6897 = *((&RAM.array[((signed int )llvm_cbe_tmp__6896)]));
  llvm_cbe_tmp__6898 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6896) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6899 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6897)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6898));
  llvm_cbe_tmp__6900 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6895) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6900)])) = llvm_cbe_tmp__6897;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6900) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6898;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6899 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6899))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6899 == 0u)));
  goto llvm_cbe__2e__crit_edge5187;

llvm_cbe_tmp__7928:
  llvm_cbe_tmp__3041 = *((&RAM.array[((signed int )33767u)]));
  *((&RAM.array[((signed int )33610u)])) = llvm_cbe_tmp__3041;
  llvm_cbe_tmp__3042 = *((&RAM.array[((signed int )33653u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__3033) + ((unsigned int )4u)))) & 65535u))])) = llvm_cbe_tmp__3042;
  llvm_cbe_tmp__3043 = *(&WP);
  llvm_cbe_tmp__3044 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__3043))) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3045 = (&RAM.array[((signed int )llvm_cbe_tmp__3044)]);
  llvm_cbe_tmp__3046 = *llvm_cbe_tmp__3045;
  llvm_cbe_tmp__3047 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3044) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3048 = *llvm_cbe_tmp__3047;
  llvm_cbe_tmp__3049 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3046)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3048));
  llvm_cbe_tmp__3050 = ((unsigned short )llvm_cbe_tmp__3049);
  llvm_cbe_tmp__3051 = llvm_cbe_tmp__3049 ^ 4294967295u;
  *llvm_cbe_tmp__3045 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3051) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3047 = (((unsigned char )llvm_cbe_tmp__3051));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3050 != ((unsigned short )-1))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3051))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3050 == ((unsigned short )-1))));
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__3051))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__3050 == ((unsigned short )-1)))&1))) {
    goto llvm_cbe__2e__crit_edge5189;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6833__PHI_TEMPORARY = llvm_cbe_tmp__3043;   /* for PHI node */
    llvm_cbe_tmp__3057__PHI_TEMPORARY = llvm_cbe_tmp__3043;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5081;
  }

llvm_cbe__2e__crit_edge5189:
  llvm_cbe_tmp__3052 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__3053 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__3054 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3052)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3053));
  llvm_cbe_tmp__3055 = -(llvm_cbe_tmp__3054);
  *((&RAM.array[((signed int )33610u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3055) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33611u)])) = (((unsigned char )llvm_cbe_tmp__3055));
  llvm_cbe_tmp__3056 = ((unsigned short )llvm_cbe_tmp__3055);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3056 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3056) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3056 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3055) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__3054 == 32768u)));
  llvm_cbe__2e_pre6053_2e_rle6833__PHI_TEMPORARY = llvm_cbe_tmp__3043;   /* for PHI node */
  llvm_cbe_tmp__3057__PHI_TEMPORARY = llvm_cbe_tmp__3043;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5081;

llvm_cbe__2e__crit_edge5081_2e_loopexit:
  *(&ST_LGT) = llvm_cbe_tmp__2272;
  *(&ST_AGT) = llvm_cbe_tmp__2273;
  *(&ST_EQ) = llvm_cbe_tmp__2274;
  *(&ST_C) = llvm_cbe_tmp__2275;
  *(&ST_O) = llvm_cbe_tmp__2276;
  llvm_cbe__2e_pre6053_2e_rle6833__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__3057__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5081;

  do {     /* Syntactic loop '._crit_edge5084' to make GCC happy */
llvm_cbe__2e__crit_edge5084:
  llvm_cbe_tmp__2260 = *llvm_cbe_tmp__2255;
  llvm_cbe_tmp__2261 = *llvm_cbe_tmp__2256;
  llvm_cbe_tmp__2262 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2261)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__2260)) << 8u);
  llvm_cbe_tmp__2263 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2262) + ((unsigned int )33636u)));
  llvm_cbe_tmp__2264 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2262) + ((unsigned int )33618u)));
  llvm_cbe_tmp__2265 = *((&RAM.array[((signed int )(llvm_cbe_tmp__2263 & 65534u))]));
  llvm_cbe_tmp__2266 = *((&RAM.array[((signed int )((llvm_cbe_tmp__2263 | 1u) & 65535u))]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__2264 & 65534u))])) = llvm_cbe_tmp__2265;
  *((&RAM.array[((signed int )((llvm_cbe_tmp__2264 | 1u) & 65535u))])) = llvm_cbe_tmp__2266;
  llvm_cbe_tmp__2267 = *llvm_cbe_tmp__2258;
  llvm_cbe_tmp__2268 = (((unsigned int )(unsigned char )llvm_cbe_tmp__2267)) << 8u;
  llvm_cbe_tmp__2269 = *llvm_cbe_tmp__2259;
  llvm_cbe_tmp__2270 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__2268 | (((unsigned int )(unsigned char )llvm_cbe_tmp__2269)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__2258 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2270) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__2259 = (((unsigned char )llvm_cbe_tmp__2270));
  llvm_cbe_tmp__2271 = ((unsigned short )llvm_cbe_tmp__2270);
  llvm_cbe_tmp__2272 = ((unsigned int )(bool )(llvm_cbe_tmp__2271 != ((unsigned short )0)));
  llvm_cbe_tmp__2273 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__2271) > ((signed short )((unsigned short )0))));
  llvm_cbe_tmp__2274 = ((unsigned int )(bool )(llvm_cbe_tmp__2271 == ((unsigned short )0)));
  llvm_cbe_tmp__2275 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2270) >> ((unsigned int )16u)))) & 1u;
  if (((llvm_cbe_tmp__2268 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7971;
  } else {
    llvm_cbe_tmp__2276__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5082;
  }

llvm_cbe__2e__crit_edge5082:
  llvm_cbe_tmp__2276 = llvm_cbe_tmp__2276__PHI_TEMPORARY;
  if (((((((signed short )llvm_cbe_tmp__2271) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__2271 == ((unsigned short )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5081_2e_loopexit;
  } else {
    goto llvm_cbe__2e__crit_edge5084;
  }

llvm_cbe_tmp__7971:
  llvm_cbe__2e_lobit4193 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2270) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__2276__PHI_TEMPORARY = llvm_cbe__2e_lobit4193;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5082;

  } while (1); /* end of syntactic loop '._crit_edge5084' */
llvm_cbe_tmp__7855:
  llvm_cbe_tmp__2254 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2241) + ((unsigned int )2u)));
  llvm_cbe_tmp__2255 = (&RAM.array[((signed int )llvm_cbe_tmp__2254)]);
  *llvm_cbe_tmp__2255 = ((unsigned char )-1);
  llvm_cbe_tmp__2256 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2241) + ((unsigned int )3u)))))]);
  *llvm_cbe_tmp__2256 = ((unsigned char )-8);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__2257 = llvm_cbe_tmp__2254 & 65535u;
  llvm_cbe_tmp__2258 = (&RAM.array[((signed int )llvm_cbe_tmp__2257)]);
  llvm_cbe_tmp__2259 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2257) + ((unsigned int )1u)))))]);
  goto llvm_cbe__2e__crit_edge5084;

llvm_cbe__2e__crit_edge5196:
  llvm_cbe_tmp__3098 = (&RAM.array[((signed int )llvm_cbe_tmp__3091)]);
  *llvm_cbe_tmp__3098 = ((unsigned char )-125);
  llvm_cbe_tmp__3099 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3088) + ((unsigned int )5u)))))]);
  *llvm_cbe_tmp__3099 = ((unsigned char )74);
  llvm_cbe_tmp__3100 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__3087) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__3101 = (&RAM.array[((signed int )llvm_cbe_tmp__3100)]);
  llvm_cbe_tmp__3102 = *llvm_cbe_tmp__3101;
  llvm_cbe_tmp__3103 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3100) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3104 = *llvm_cbe_tmp__3103;
  llvm_cbe_tmp__3105 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3102)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3104));
  *llvm_cbe_tmp__3101 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3105) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3103 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__3104) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__3106 = *llvm_cbe_tmp__3089;
  llvm_cbe_tmp__3107 = *llvm_cbe_tmp__3090;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3105 & 65534u))])) = llvm_cbe_tmp__3106;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3105 | 1u))])) = llvm_cbe_tmp__3107;
  *llvm_cbe_tmp__3089 = ((unsigned char )99);
  *llvm_cbe_tmp__3090 = ((unsigned char )99);
  llvm_cbe_tmp__3108 = *llvm_cbe_tmp__3101;
  llvm_cbe_tmp__3109 = *llvm_cbe_tmp__3103;
  llvm_cbe_tmp__3110 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3108)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3109));
  *llvm_cbe_tmp__3101 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3110) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3103 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__3109) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__3111 = *llvm_cbe_tmp__3089;
  llvm_cbe_tmp__3112 = *llvm_cbe_tmp__3090;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3110 & 65534u))])) = llvm_cbe_tmp__3111;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3110 | 1u))])) = llvm_cbe_tmp__3112;
  llvm_cbe_tmp__3113 = *llvm_cbe_tmp__3101;
  llvm_cbe_tmp__3114 = *llvm_cbe_tmp__3103;
  llvm_cbe_tmp__3115 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3113)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3114));
  *llvm_cbe_tmp__3101 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3115) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3103 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__3114) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__3116 = *llvm_cbe_tmp__3089;
  llvm_cbe_tmp__3117 = *llvm_cbe_tmp__3090;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3115 & 65534u))])) = llvm_cbe_tmp__3116;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3115 | 1u))])) = llvm_cbe_tmp__3117;
  llvm_cbe_tmp__3118 = *llvm_cbe_tmp__3098;
  llvm_cbe_tmp__3119 = *llvm_cbe_tmp__3099;
  llvm_cbe_tmp__3120 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3119)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3118)) << 8u);
  llvm_cbe_tmp__3121 = *llvm_cbe_tmp__3089;
  llvm_cbe_tmp__3122 = *llvm_cbe_tmp__3090;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3120 & 65534u))])) = llvm_cbe_tmp__3121;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3120 | 1u))])) = llvm_cbe_tmp__3122;
  llvm_cbe_tmp__3123 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__3088) + ((unsigned int )18u)))) & 65535u))]));
  *((&RAM.array[((signed int )33620u)])) = llvm_cbe_tmp__3123;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3123 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3123) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3123 == ((unsigned char )0))));
  llvm_cbe__2e_pre6053_2e_rle6833__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6842;   /* for PHI node */
  llvm_cbe_tmp__3057__PHI_TEMPORARY = llvm_cbe_tmp__3087;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5081;

llvm_cbe_tmp__7972:
  llvm_cbe__2e_pre6053_2e_rle6842 = llvm_cbe__2e_pre6053_2e_rle6842__PHI_TEMPORARY;
  llvm_cbe_tmp__3087 = llvm_cbe_tmp__3087__PHI_TEMPORARY;
  llvm_cbe_tmp__3088 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3087);
  llvm_cbe_tmp__3089 = (&RAM.array[((signed int )llvm_cbe_tmp__3088)]);
  *llvm_cbe_tmp__3089 = ((unsigned char )128u);
  llvm_cbe_tmp__3090 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3088) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__3090 = ((unsigned char )-99);
  llvm_cbe_tmp__3091 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3088) + ((unsigned int )4u)));
  llvm_cbe_tmp__3092 = *((&RAM.array[((signed int )33653u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3091 & 65535u))])) = llvm_cbe_tmp__3092;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3092 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3092) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3092 == ((unsigned char )0))));
  if (((((((signed char )llvm_cbe_tmp__3092) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__3092 == ((unsigned char )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5195;
  } else {
    goto llvm_cbe__2e__crit_edge5196;
  }

llvm_cbe__2e__crit_edge5192:
  llvm_cbe__2e_pre6053_2e_rle6843 = llvm_cbe__2e_pre6053_2e_rle6843__PHI_TEMPORARY;
  llvm_cbe_tmp__3085 = llvm_cbe_tmp__3085__PHI_TEMPORARY;
  llvm_cbe_tmp__3086 = ((unsigned int )(unsigned short )llvm_cbe_tmp__3085);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3086) + ((unsigned int )18u)))))])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3086) + ((unsigned int )19u)))))])) = ((unsigned char )0);
  llvm_cbe__2e_pre6053_2e_rle6842__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6843;   /* for PHI node */
  llvm_cbe_tmp__3087__PHI_TEMPORARY = llvm_cbe_tmp__3085;   /* for PHI node */
  goto llvm_cbe_tmp__7972;

llvm_cbe_tmp__7572:
  llvm_cbe_tmp__6901 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6902 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6901) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__6903 = *((&RAM.array[((signed int )llvm_cbe_tmp__6902)]));
  llvm_cbe_tmp__6904 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6902) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6905 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6903)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6904));
  llvm_cbe_tmp__6906 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6901) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6906)])) = llvm_cbe_tmp__6903;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6906) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6904;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6905 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6905))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6905 == 0u)));
  llvm_cbe__2e_pre6053_2e_rle6843__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__3085__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5192;

llvm_cbe_tmp__7914:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3124) + ((unsigned int )18u)))))])) = ((unsigned char )2);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3124) + ((unsigned int )19u)))))])) = ((unsigned char )0);
  llvm_cbe__2e_pre6053_2e_rle6842__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__3087__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__7972;

llvm_cbe__2e__crit_edge5195:
  llvm_cbe_tmp__3093 = *llvm_cbe_tmp__3089;
  llvm_cbe_tmp__3094 = *llvm_cbe_tmp__3090;
  llvm_cbe_tmp__3095 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3093)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3094));
  llvm_cbe_tmp__3096 = -(llvm_cbe_tmp__3095);
  *llvm_cbe_tmp__3089 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3096) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3090 = (((unsigned char )llvm_cbe_tmp__3096));
  llvm_cbe_tmp__3097 = ((unsigned short )llvm_cbe_tmp__3096);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3097 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3097) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3097 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3096) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__3095 == 32768u)));
  goto llvm_cbe__2e__crit_edge5196;

llvm_cbe_tmp__7569:
  llvm_cbe_tmp__6876 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6877 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6876) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__6878 = *((&RAM.array[((signed int )llvm_cbe_tmp__6877)]));
  llvm_cbe_tmp__6879 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6877) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6880 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6878)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6879));
  llvm_cbe_tmp__6881 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6876) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6881)])) = llvm_cbe_tmp__6878;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6881) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6879;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6880 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6880))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6880 == 0u)));
  llvm_cbe__2e_pre6053_2e_rle6833__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__3057__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5081;

llvm_cbe__2e__crit_edge5259:
  llvm_cbe__2e_rle5968 = llvm_cbe__2e_rle5968__PHI_TEMPORARY;
  llvm_cbe__2e_rle5934 = llvm_cbe__2e_rle5934__PHI_TEMPORARY;
  llvm_cbe__2e_rle5902 = llvm_cbe__2e_rle5902__PHI_TEMPORARY;
  llvm_cbe_tmp__3808 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3808) + ((unsigned int )22u)))))])) = ((unsigned char )17);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3808) + ((unsigned int )23u)))))])) = ((unsigned char )116);
  llvm_cbe_tmp__3809 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3808) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__3810 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3808) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__3811 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3810)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3809)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__3811;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5968;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5934;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5902;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__3811;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__3811;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5258:
  llvm_cbe_tmp__3802 = llvm_cbe_tmp__3802__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3802;
  llvm_cbe_tmp__3803 = *llvm_cbe_tmp__3794;
  llvm_cbe_tmp__3804 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3803)) << 8u) | (llvm_cbe_tmp__3799 & 255u);
  *llvm_cbe_tmp__3817 = llvm_cbe_tmp__3803;
  *llvm_cbe_tmp__3819 = llvm_cbe_tmp__3800;
  llvm_cbe_tmp__3805 = ((unsigned int )(bool )(llvm_cbe_tmp__3804 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__3805;
  llvm_cbe_tmp__3806 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3804))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3806;
  llvm_cbe_tmp__3807 = ((unsigned int )(bool )(llvm_cbe_tmp__3804 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__3807;
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__3804))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__3804 == 0u))&1))) {
    llvm_cbe__2e_rle5968__PHI_TEMPORARY = llvm_cbe_tmp__3805;   /* for PHI node */
    llvm_cbe__2e_rle5934__PHI_TEMPORARY = llvm_cbe_tmp__3807;   /* for PHI node */
    llvm_cbe__2e_rle5902__PHI_TEMPORARY = llvm_cbe_tmp__3806;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5259;
  } else {
    goto llvm_cbe__2e__crit_edge5260;
  }

llvm_cbe__2e__crit_edge5257:
  llvm_cbe_tmp__3788 = llvm_cbe_tmp__3788__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3788;
  llvm_cbe_tmp__3789 = llvm_cbe_tmp__6921 & 65535u;
  llvm_cbe_tmp__3790 = *((&RAM.array[((signed int )llvm_cbe_tmp__3789)]));
  llvm_cbe_tmp__3791 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3790)) << 8u;
  llvm_cbe_tmp__3792 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3789) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3793 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__3794 = (&RAM.array[((signed int )llvm_cbe_tmp__3793)]);
  llvm_cbe_tmp__3795 = *llvm_cbe_tmp__3794;
  llvm_cbe_tmp__3796 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3795)) << 8u;
  llvm_cbe_tmp__3797 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3793) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3798 = *llvm_cbe_tmp__3797;
  llvm_cbe_tmp__3799 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3796 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3798)))) + ((unsigned int )(llvm_cbe_tmp__3791 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3792))))));
  *llvm_cbe_tmp__3794 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3799) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__3800 = ((unsigned char )llvm_cbe_tmp__3799);
  *llvm_cbe_tmp__3797 = llvm_cbe_tmp__3800;
  llvm_cbe_tmp__3801 = ((unsigned short )llvm_cbe_tmp__3799);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3801 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3801) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3801 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3799) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__3796 ^ llvm_cbe_tmp__3791) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7973;
  } else {
    llvm_cbe_tmp__3802__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5258;
  }

llvm_cbe_tmp__7974:
  llvm_cbe_tmp__3781 = (&RAM.array[((signed int )llvm_cbe_tmp__6920)]);
  llvm_cbe_tmp__3782 = *llvm_cbe_tmp__3781;
  llvm_cbe_tmp__3783 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3782)) << 8u;
  llvm_cbe_tmp__3784 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3785 = *llvm_cbe_tmp__3784;
  llvm_cbe_tmp__3786 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3783 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3785)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__3781 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3786) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3784 = (((unsigned char )llvm_cbe_tmp__3786));
  llvm_cbe_tmp__3787 = ((unsigned short )llvm_cbe_tmp__3786);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3787 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3787) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3787 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3786) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3783 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7975;
  } else {
    llvm_cbe_tmp__3788__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5257;
  }

llvm_cbe_tmp__7976:
  llvm_cbe_tmp__3816 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__3817 = (&RAM.array[((signed int )llvm_cbe_tmp__3816)]);
  llvm_cbe_tmp__3818 = *llvm_cbe_tmp__3817;
  llvm_cbe_tmp__3819 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3816) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3820 = *llvm_cbe_tmp__3819;
  llvm_cbe_tmp__3821 = *((&RAM.array[((signed int )4474u)]));
  llvm_cbe_tmp__3822 = *((&RAM.array[((signed int )4475u)]));
  llvm_cbe_tmp__3823 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3821)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3822)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__3818)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3820))))));
  *llvm_cbe_tmp__3817 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3823) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__3819 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3823) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3816) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3823) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3816) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__3823));
  llvm_cbe_tmp__3824 = *llvm_cbe_tmp__3817;
  llvm_cbe_tmp__3825 = *llvm_cbe_tmp__3819;
  llvm_cbe_tmp__3826 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3824)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3825));
  *llvm_cbe_tmp__3817 = llvm_cbe_tmp__3824;
  *llvm_cbe_tmp__3819 = llvm_cbe_tmp__3825;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3826 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3826))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3826 == 0u)));
  if ((llvm_cbe_tmp__3826 == 0u)) {
    goto llvm_cbe_tmp__7974;
  } else {
    goto llvm_cbe__2e__crit_edge5260;
  }

llvm_cbe__2e__crit_edge5641:
  llvm_cbe_tmp__3812 = llvm_cbe_tmp__3812__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3812;
  llvm_cbe_tmp__3813 = *llvm_cbe_tmp__6922;
  llvm_cbe_tmp__3814 = (llvm_cbe_tmp__6927 & 255u) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__3813)) << 8u);
  llvm_cbe_tmp__3815 = ((unsigned short )llvm_cbe_tmp__3814);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__3815) > ((unsigned short )((unsigned short )10)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3815) > ((signed short )((unsigned short )10)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3814 == 10u)));
  if (((((((unsigned short )llvm_cbe_tmp__3815) > ((unsigned short )((unsigned short )10))) | (llvm_cbe_tmp__3814 == 10u))&1))) {
    goto llvm_cbe__2e__crit_edge5262;
  } else {
    goto llvm_cbe_tmp__7976;
  }

llvm_cbe_tmp__7977:
  llvm_cbe_tmp4486 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6927) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3812__PHI_TEMPORARY = llvm_cbe_tmp4486;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5641;

llvm_cbe_tmp__7575:
  llvm_cbe_tmp__6920 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6921 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )16u)));
  llvm_cbe_tmp__6922 = (&RAM.array[((signed int )llvm_cbe_tmp__6921)]);
  llvm_cbe_tmp__6923 = *llvm_cbe_tmp__6922;
  llvm_cbe_tmp__6924 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6923)) << 8u;
  llvm_cbe_tmp__6925 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__6926 = *llvm_cbe_tmp__6925;
  llvm_cbe_tmp__6927 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6926)) | llvm_cbe_tmp__6924)) + ((unsigned int )65488u)));
  *llvm_cbe_tmp__6922 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6927) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6925 = (((unsigned char )llvm_cbe_tmp__6927));
  llvm_cbe_tmp__6928 = ((unsigned short )llvm_cbe_tmp__6927);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6928 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6928) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6928 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6927) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6924 & 32768u) == 0u)) {
    llvm_cbe_tmp__3812__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5641;
  } else {
    goto llvm_cbe_tmp__7977;
  }

llvm_cbe_tmp__7975:
  llvm_cbe__2e_lobit4483 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3786) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3788__PHI_TEMPORARY = llvm_cbe__2e_lobit4483;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5257;

llvm_cbe_tmp__7973:
  llvm_cbe_tmp4478_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__3799 ^ llvm_cbe_tmp__3796)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3802__PHI_TEMPORARY = llvm_cbe_tmp4478_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5258;

llvm_cbe__2e__crit_edge5260:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )18u)))))])) = ((unsigned char )17);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )19u)))))])) = ((unsigned char )-112);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe__2e_rle5968__PHI_TEMPORARY = 1u;   /* for PHI node */
  llvm_cbe__2e_rle5934__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe__2e_rle5902__PHI_TEMPORARY = 1u;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5259;

llvm_cbe__2e__crit_edge5644:
  llvm_cbe_tmp__4023 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6953) + ((unsigned int )22u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__4023)])) = ((unsigned char )18);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6953) + ((unsigned int )23u)))))])) = ((unsigned char )70);
  llvm_cbe_tmp__4024 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6953) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4024)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4024) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )llvm_cbe_tmp__6953)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6953) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__4025 = llvm_cbe_tmp__4023 & 65535u;
  llvm_cbe_tmp__4026 = *((&RAM.array[((signed int )llvm_cbe_tmp__4025)]));
  llvm_cbe_tmp__4027 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4025) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4028 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4026)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4027));
  llvm_cbe_tmp__4029 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6953) + ((unsigned int )18u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4029)])) = llvm_cbe_tmp__4026;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4029) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4027;
  llvm_cbe_tmp__4030 = ((unsigned int )(bool )(llvm_cbe_tmp__4028 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__4030;
  llvm_cbe_tmp__4031 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4028))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4031;
  llvm_cbe_tmp__4032 = ((unsigned int )(bool )(llvm_cbe_tmp__4028 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__4032;
  llvm_cbe__2e_rle5968__PHI_TEMPORARY = llvm_cbe_tmp__4030;   /* for PHI node */
  llvm_cbe__2e_rle5934__PHI_TEMPORARY = llvm_cbe_tmp__4032;   /* for PHI node */
  llvm_cbe__2e_rle5902__PHI_TEMPORARY = llvm_cbe_tmp__4031;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5259;

llvm_cbe__2e__crit_edge5293:
  llvm_cbe_tmp__4013 = llvm_cbe_tmp__4013__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4013;
  goto llvm_cbe__2e__crit_edge5644;

llvm_cbe_tmp__7978:
  llvm_cbe_tmp__4005 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6953) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__4006 = (&RAM.array[((signed int )llvm_cbe_tmp__4005)]);
  llvm_cbe_tmp__4007 = *llvm_cbe_tmp__4006;
  llvm_cbe_tmp__4008 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4007)) << 8u;
  llvm_cbe_tmp__4009 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4005) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4010 = *llvm_cbe_tmp__4009;
  llvm_cbe_tmp__4011 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4008 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4010)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__4006 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4011) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4009 = (((unsigned char )llvm_cbe_tmp__4011));
  llvm_cbe_tmp__4012 = ((unsigned short )llvm_cbe_tmp__4011);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4012 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4012) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4012 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4011) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4008 & 32768u) == 0u)) {
    llvm_cbe_tmp__4013__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5293;
  } else {
    goto llvm_cbe_tmp__7979;
  }

llvm_cbe_tmp__7980:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6957) > ((unsigned short )((unsigned short )45)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6957) > ((signed short )((unsigned short )45)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6956 == 45u)));
  if ((llvm_cbe_tmp__6956 == 45u)) {
    goto llvm_cbe_tmp__7978;
  } else {
    goto llvm_cbe_tmp__7981;
  }

llvm_cbe_tmp__7579:
  llvm_cbe_tmp__6953 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6954 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6953) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__6955 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6953) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__6956 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6955)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6954)) << 8u);
  llvm_cbe_tmp__6957 = ((unsigned short )llvm_cbe_tmp__6956);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6957) > ((unsigned short )((unsigned short )43)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6957) > ((signed short )((unsigned short )43)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6956 == 43u)));
  if ((llvm_cbe_tmp__6956 == 43u)) {
    goto llvm_cbe__2e__crit_edge5644;
  } else {
    goto llvm_cbe_tmp__7980;
  }

llvm_cbe_tmp__7979:
  llvm_cbe_tmp4506 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4011) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4013__PHI_TEMPORARY = llvm_cbe_tmp4506;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5293;

llvm_cbe__2e__crit_edge5294:
  llvm_cbe_tmp__4022 = llvm_cbe_tmp__4022__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4022;
  goto llvm_cbe__2e__crit_edge5644;

llvm_cbe_tmp__7981:
  llvm_cbe_tmp__4014 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6953) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__4015 = (&RAM.array[((signed int )llvm_cbe_tmp__4014)]);
  llvm_cbe_tmp__4016 = *llvm_cbe_tmp__4015;
  llvm_cbe_tmp__4017 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4016)) << 8u;
  llvm_cbe_tmp__4018 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4014) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4019 = *llvm_cbe_tmp__4018;
  llvm_cbe_tmp__4020 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4017 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4019)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__4015 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4020) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4018 = (((unsigned char )llvm_cbe_tmp__4020));
  llvm_cbe_tmp__4021 = ((unsigned short )llvm_cbe_tmp__4020);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4021 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4021) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4021 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4020) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4017 & 32768u) == 0u)) {
    llvm_cbe_tmp__4022__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5294;
  } else {
    goto llvm_cbe_tmp__7982;
  }

llvm_cbe_tmp__7982:
  llvm_cbe_tmp4508 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4020) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4022__PHI_TEMPORARY = llvm_cbe_tmp4508;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5294;

llvm_cbe_tmp__7983:
  llvm_cbe_tmp__3835 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )18u)))))]));
  llvm_cbe_tmp__3836 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__3837 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3836)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3835)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__3837;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__3832;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__3834;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__3833;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__3837;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__3837;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5262:
  llvm_cbe_tmp__3827 = (&RAM.array[((signed int )llvm_cbe_tmp__6920)]);
  llvm_cbe_tmp__3828 = *llvm_cbe_tmp__3827;
  llvm_cbe_tmp__3829 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3830 = *llvm_cbe_tmp__3829;
  llvm_cbe_tmp__3831 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3828)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3830));
  *llvm_cbe_tmp__3827 = llvm_cbe_tmp__3828;
  *llvm_cbe_tmp__3829 = llvm_cbe_tmp__3830;
  llvm_cbe_tmp__3832 = ((unsigned int )(bool )(llvm_cbe_tmp__3831 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__3832;
  llvm_cbe_tmp__3833 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3831))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3833;
  llvm_cbe_tmp__3834 = ((unsigned int )(bool )(llvm_cbe_tmp__3831 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__3834;
  if ((llvm_cbe_tmp__3831 == 0u)) {
    goto llvm_cbe_tmp__7984;
  } else {
    goto llvm_cbe_tmp__7983;
  }

llvm_cbe_tmp__7984:
  llvm_cbe_tmp__3838 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__3839 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6920) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__3840 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3839)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3838)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__3840;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__3832;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__3834;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__3833;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__3840;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__3840;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7985:
  llvm_cbe__2e_pre_2d_phi7023 = llvm_cbe__2e_pre_2d_phi7023__PHI_TEMPORARY;
  llvm_cbe__2e_pre_2d_phi7021 = llvm_cbe__2e_pre_2d_phi7021__PHI_TEMPORARY;
  llvm_cbe_tmp__3846 = ((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7021) + ((unsigned int )22u)));
  llvm_cbe_tmp__3847 = llvm_cbe_tmp__3846 & 65535u;
  llvm_cbe_tmp__3848 = *((&RAM.array[((signed int )llvm_cbe_tmp__3847)]));
  llvm_cbe_tmp__3849 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3847) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__3850 = (((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7021) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3850)])) = llvm_cbe_tmp__3848;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3850) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__3849;
  llvm_cbe_tmp__3851 = *((&RAM.array[((signed int )33622u)]));
  llvm_cbe_tmp__3852 = *((&RAM.array[((signed int )33623u)]));
  llvm_cbe_tmp__3853 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3851)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3852));
  llvm_cbe_tmp__3854 = (((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7021) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3854)])) = llvm_cbe_tmp__3851;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3854) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__3852;
  llvm_cbe_tmp__3855 = ((unsigned int )(bool )(llvm_cbe_tmp__3853 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__3855;
  llvm_cbe_tmp__3856 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3853))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3856;
  llvm_cbe_tmp__3857 = ((unsigned int )(bool )(llvm_cbe_tmp__3853 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__3857;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3846)])) = ((unsigned char )17);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7021) + ((unsigned int )23u)))))])) = ((unsigned char )-70);
  llvm_cbe_tmp__3858 = *((&RAM.array[((signed int )llvm_cbe__2e_pre_2d_phi7023)]));
  llvm_cbe_tmp__3859 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7021) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__3860 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3859)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3858)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__3860;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__3855;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__3857;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__3856;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__3860;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__3860;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7986:
  *((&RAM.array[((signed int )llvm_cbe_tmp__3842)])) = ((unsigned char )31);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3841) + ((unsigned int )7u)))))])) = ((unsigned char )-38);
  llvm_cbe__2e_pre7020 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre7022 = ((unsigned int )(((unsigned int )llvm_cbe__2e_pre7020) + ((unsigned int )6u)));
  llvm_cbe__2e_pre_2d_phi7023__PHI_TEMPORARY = llvm_cbe__2e_pre7022;   /* for PHI node */
  llvm_cbe__2e_pre_2d_phi7021__PHI_TEMPORARY = llvm_cbe__2e_pre7020;   /* for PHI node */
  goto llvm_cbe_tmp__7985;

llvm_cbe__2e__crit_edge5566:
  llvm_cbe_tmp__3841 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__3842 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3841) + ((unsigned int )6u)));
  llvm_cbe_tmp__3843 = *((&RAM.array[((signed int )33673u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__3842 & 65535u))])) = llvm_cbe_tmp__3843;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3843 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__3843) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3843 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__3843 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5265;
  } else {
    goto llvm_cbe_tmp__7986;
  }

llvm_cbe_tmp__7631:
  llvm_cbe_tmp__7247 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7247) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7247) + ((unsigned int )23u)))))])) = ((unsigned char )116);
  goto llvm_cbe__2e__crit_edge5566;

llvm_cbe__2e__crit_edge5265:
  llvm_cbe_tmp__3844 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__3845 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__3844) + ((unsigned int )6u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__3845)])) = ((unsigned char )31);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3844) + ((unsigned int )7u)))))])) = ((unsigned char )-56);
  llvm_cbe__2e_pre_2d_phi7023__PHI_TEMPORARY = llvm_cbe_tmp__3845;   /* for PHI node */
  llvm_cbe__2e_pre_2d_phi7021__PHI_TEMPORARY = llvm_cbe_tmp__3844;   /* for PHI node */
  goto llvm_cbe_tmp__7985;

llvm_cbe__2e__crit_edge5268:
  llvm_cbe__2e_pre_2d_phi7025 = llvm_cbe__2e_pre_2d_phi7025__PHI_TEMPORARY;
  llvm_cbe__2e_rle5969 = llvm_cbe__2e_rle5969__PHI_TEMPORARY;
  llvm_cbe__2e_rle5935 = llvm_cbe__2e_rle5935__PHI_TEMPORARY;
  llvm_cbe__2e_rle5903 = llvm_cbe__2e_rle5903__PHI_TEMPORARY;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7025) + ((unsigned int )22u)))))])) = ((unsigned char )17);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7025) + ((unsigned int )23u)))))])) = ((unsigned char )-48);
  llvm_cbe_tmp__3870 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7025) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__3871 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7025) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__3872 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3871)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3870)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__3872;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5969;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5935;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5903;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__3872;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__3872;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5267:
  llvm_cbe_tmp__3869 = llvm_cbe_tmp__3869__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3869;
  llvm_cbe__2e_pre7024 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre_2d_phi7025__PHI_TEMPORARY = llvm_cbe__2e_pre7024;   /* for PHI node */
  llvm_cbe__2e_rle5969__PHI_TEMPORARY = llvm_cbe_tmp__3866;   /* for PHI node */
  llvm_cbe__2e_rle5935__PHI_TEMPORARY = llvm_cbe_tmp__3868;   /* for PHI node */
  llvm_cbe__2e_rle5903__PHI_TEMPORARY = llvm_cbe_tmp__3867;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5268;

llvm_cbe__2e__crit_edge5642:
  llvm_cbe_tmp__3861 = llvm_cbe_tmp__3861__PHI_TEMPORARY;
  llvm_cbe_tmp__3862 = *llvm_cbe_tmp__6937;
  llvm_cbe_tmp__3863 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3862)) << 8u;
  llvm_cbe_tmp__3864 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3863 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3861)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6937 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3864) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6938 = (((unsigned char )llvm_cbe_tmp__3864));
  llvm_cbe_tmp__3865 = ((unsigned short )llvm_cbe_tmp__3864);
  llvm_cbe_tmp__3866 = ((unsigned int )(bool )(llvm_cbe_tmp__3865 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__3866;
  llvm_cbe_tmp__3867 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3865) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3867;
  llvm_cbe_tmp__3868 = ((unsigned int )(bool )(llvm_cbe_tmp__3865 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__3868;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3864) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3863 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7987;
  } else {
    llvm_cbe_tmp__3869__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5267;
  }

llvm_cbe_tmp__7959:
  *llvm_cbe_tmp__6931 = ((unsigned char )-1);
  *llvm_cbe_tmp__6932 = ((unsigned char )-1);
  llvm_cbe__2e_pre6997 = *llvm_cbe_tmp__6938;
  llvm_cbe_tmp__3861__PHI_TEMPORARY = llvm_cbe__2e_pre6997;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5642;

llvm_cbe_tmp__7987:
  llvm_cbe__2e_lobit4487 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3864) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3869__PHI_TEMPORARY = llvm_cbe__2e_lobit4487;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5267;

llvm_cbe__2e__crit_edge5276:
  llvm_cbe_tmp__3895 = llvm_cbe_tmp__3895__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3895;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3899) + ((unsigned int )22u)))))])) = ((unsigned char )17);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3899) + ((unsigned int )23u)))))])) = ((unsigned char )-26);
  llvm_cbe_tmp__3896 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3899) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__3897 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3899) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__3898 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3897)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3896)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__3898;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__3912;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__3914;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__3913;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__3898;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__3898;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7988:
  llvm_cbe__2e_lobit4493 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3910) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3895__PHI_TEMPORARY = llvm_cbe__2e_lobit4493;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5276;

llvm_cbe__2e__crit_edge5273:
  llvm_cbe_tmp__3904 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3899) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__3905 = (&RAM.array[((signed int )llvm_cbe_tmp__3904)]);
  llvm_cbe_tmp__3906 = *llvm_cbe_tmp__3905;
  llvm_cbe_tmp__3907 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3906)) << 8u;
  llvm_cbe_tmp__3908 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3904) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3909 = *llvm_cbe_tmp__3908;
  llvm_cbe_tmp__3910 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3907 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3909)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__3905 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3910) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3908 = (((unsigned char )llvm_cbe_tmp__3910));
  llvm_cbe_tmp__3911 = ((unsigned short )llvm_cbe_tmp__3910);
  llvm_cbe_tmp__3912 = ((unsigned int )(bool )(llvm_cbe_tmp__3911 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__3912;
  llvm_cbe_tmp__3913 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3911) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3913;
  llvm_cbe_tmp__3914 = ((unsigned int )(bool )(llvm_cbe_tmp__3911 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__3914;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3910) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3907 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7988;
  } else {
    llvm_cbe_tmp__3895__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5276;
  }

llvm_cbe__2e__crit_edge5280:
  llvm_cbe__2e_rle5972 = llvm_cbe__2e_rle5972__PHI_TEMPORARY;
  llvm_cbe__2e_rle5938 = llvm_cbe__2e_rle5938__PHI_TEMPORARY;
  llvm_cbe__2e_rle5906 = llvm_cbe__2e_rle5906__PHI_TEMPORARY;
  llvm_cbe_tmp__3934 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3934) + ((unsigned int )22u)))))])) = ((unsigned char )18);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3934) + ((unsigned int )23u)))))])) = ((unsigned char )4);
  llvm_cbe_tmp__3935 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3934) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__3936 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3934) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__3937 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3936)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3935)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__3937;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5972;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5938;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5906;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__3937;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__3937;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5278:
  llvm_cbe_tmp__3923 = llvm_cbe_tmp__3923__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3923;
  llvm_cbe_tmp__3924 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3899) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__3925 = (&RAM.array[((signed int )llvm_cbe_tmp__3924)]);
  llvm_cbe_tmp__3926 = *llvm_cbe_tmp__3925;
  llvm_cbe_tmp__3927 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3924) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3928 = *llvm_cbe_tmp__3927;
  llvm_cbe_tmp__3929 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3926)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__3928));
  *llvm_cbe_tmp__3925 = llvm_cbe_tmp__3926;
  *llvm_cbe_tmp__3927 = llvm_cbe_tmp__3928;
  llvm_cbe_tmp__3930 = ((unsigned int )(bool )(llvm_cbe_tmp__3929 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__3930;
  llvm_cbe_tmp__3931 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3929))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3931;
  llvm_cbe_tmp__3932 = ((unsigned int )(bool )(llvm_cbe_tmp__3929 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__3932;
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__3929))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__3929 == 0u))&1))) {
    llvm_cbe__2e_rle5974__PHI_TEMPORARY = llvm_cbe_tmp__3930;   /* for PHI node */
    llvm_cbe__2e_rle5940__PHI_TEMPORARY = llvm_cbe_tmp__3932;   /* for PHI node */
    llvm_cbe__2e_rle5908__PHI_TEMPORARY = llvm_cbe_tmp__3931;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5279;
  } else {
    llvm_cbe__2e_rle5972__PHI_TEMPORARY = llvm_cbe_tmp__3930;   /* for PHI node */
    llvm_cbe__2e_rle5938__PHI_TEMPORARY = llvm_cbe_tmp__3932;   /* for PHI node */
    llvm_cbe__2e_rle5906__PHI_TEMPORARY = llvm_cbe_tmp__3931;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5280;
  }

llvm_cbe_tmp__7955:
  llvm_cbe_tmp__3915 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3899) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__3916 = (&RAM.array[((signed int )llvm_cbe_tmp__3915)]);
  llvm_cbe_tmp__3917 = *llvm_cbe_tmp__3916;
  llvm_cbe_tmp__3918 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3917)) << 8u;
  llvm_cbe_tmp__3919 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3915) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3920 = *llvm_cbe_tmp__3919;
  llvm_cbe_tmp__3921 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3918 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3920)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__3916 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3921) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3919 = (((unsigned char )llvm_cbe_tmp__3921));
  llvm_cbe_tmp__3922 = ((unsigned short )llvm_cbe_tmp__3921);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3922 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3922) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3922 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3921) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__3918 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__7989;
  } else {
    llvm_cbe_tmp__3923__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5278;
  }

llvm_cbe_tmp__7989:
  llvm_cbe__2e_lobit4494 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__3921) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__3923__PHI_TEMPORARY = llvm_cbe__2e_lobit4494;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5278;

llvm_cbe__2e__crit_edge5282:
  llvm_cbe_tmp__3933 = llvm_cbe_tmp__3933__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3933;
  llvm_cbe__2e_rle5972__PHI_TEMPORARY = llvm_cbe_tmp__3946;   /* for PHI node */
  llvm_cbe__2e_rle5938__PHI_TEMPORARY = llvm_cbe_tmp__3948;   /* for PHI node */
  llvm_cbe__2e_rle5906__PHI_TEMPORARY = llvm_cbe_tmp__3947;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5280;

llvm_cbe_tmp__7990:
  llvm_cbe_tmp4497 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3944) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3933__PHI_TEMPORARY = llvm_cbe_tmp4497;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5282;

llvm_cbe_tmp__7991:
  llvm_cbe_tmp__3938 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6943) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__3939 = (&RAM.array[((signed int )llvm_cbe_tmp__3938)]);
  llvm_cbe_tmp__3940 = *llvm_cbe_tmp__3939;
  llvm_cbe_tmp__3941 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3940)) << 8u;
  llvm_cbe_tmp__3942 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3938) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3943 = *llvm_cbe_tmp__3942;
  llvm_cbe_tmp__3944 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3941 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3943)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3939 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3944) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__3942 = (((unsigned char )llvm_cbe_tmp__3944));
  llvm_cbe_tmp__3945 = ((unsigned short )llvm_cbe_tmp__3944);
  llvm_cbe_tmp__3946 = ((unsigned int )(bool )(llvm_cbe_tmp__3945 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__3946;
  llvm_cbe_tmp__3947 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3945) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3947;
  llvm_cbe_tmp__3948 = ((unsigned int )(bool )(llvm_cbe_tmp__3945 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__3948;
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3944) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3941 & 32768u) == 0u)) {
    llvm_cbe_tmp__3933__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5282;
  } else {
    goto llvm_cbe_tmp__7990;
  }

llvm_cbe_tmp__7577:
  llvm_cbe_tmp__6943 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6944 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6943) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__6945 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6943) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__6946 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6945)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6944)) << 8u);
  llvm_cbe_tmp__6947 = ((unsigned short )llvm_cbe_tmp__6946);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__6947) > ((unsigned short )((unsigned short )48)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6947) > ((signed short )((unsigned short )48)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6946 == 48u)));
  if ((llvm_cbe_tmp__6946 == 48u)) {
    goto llvm_cbe_tmp__7991;
  } else {
    goto llvm_cbe_tmp__7992;
  }

llvm_cbe__2e__crit_edge5279:
  llvm_cbe__2e_rle5974 = llvm_cbe__2e_rle5974__PHI_TEMPORARY;
  llvm_cbe__2e_rle5940 = llvm_cbe__2e_rle5940__PHI_TEMPORARY;
  llvm_cbe__2e_rle5908 = llvm_cbe__2e_rle5908__PHI_TEMPORARY;
  llvm_cbe_tmp__3965 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3965) + ((unsigned int )22u)))))])) = ((unsigned char )18);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3965) + ((unsigned int )23u)))))])) = ((unsigned char )16);
  llvm_cbe_tmp__3966 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3965) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__3967 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3965) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__3968 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3967)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__3966)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__3968;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5974;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5940;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5908;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__3968;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__3968;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5283:
  llvm_cbe_tmp__3958 = llvm_cbe_tmp__3958__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__3958;
  llvm_cbe_tmp__3959 = *llvm_cbe_tmp__3950;
  llvm_cbe_tmp__3960 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__3959)) << 8u) | (llvm_cbe_tmp__3955 & 255u);
  llvm_cbe_tmp__3961 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6943) + ((unsigned int )24u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__3961)])) = llvm_cbe_tmp__3959;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3961) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__3956;
  llvm_cbe_tmp__3962 = ((unsigned int )(bool )(llvm_cbe_tmp__3960 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__3962;
  llvm_cbe_tmp__3963 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__3960))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__3963;
  llvm_cbe_tmp__3964 = ((unsigned int )(bool )(llvm_cbe_tmp__3960 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__3964;
  llvm_cbe__2e_rle5974__PHI_TEMPORARY = llvm_cbe_tmp__3962;   /* for PHI node */
  llvm_cbe__2e_rle5940__PHI_TEMPORARY = llvm_cbe_tmp__3964;   /* for PHI node */
  llvm_cbe__2e_rle5908__PHI_TEMPORARY = llvm_cbe_tmp__3963;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5279;

llvm_cbe_tmp__7992:
  llvm_cbe_tmp__3949 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6943) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__3950 = (&RAM.array[((signed int )llvm_cbe_tmp__3949)]);
  llvm_cbe_tmp__3951 = *llvm_cbe_tmp__3950;
  llvm_cbe_tmp__3952 = (((unsigned int )(unsigned char )llvm_cbe_tmp__3951)) << 8u;
  llvm_cbe_tmp__3953 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3949) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__3954 = *llvm_cbe_tmp__3953;
  llvm_cbe_tmp__3955 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__3952 | (((unsigned int )(unsigned char )llvm_cbe_tmp__3954)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__3950 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3955) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__3956 = ((unsigned char )llvm_cbe_tmp__3955);
  *llvm_cbe_tmp__3953 = llvm_cbe_tmp__3956;
  llvm_cbe_tmp__3957 = ((unsigned short )llvm_cbe_tmp__3955);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__3957 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__3957) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__3957 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__3955) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__3952 & 32768u) == 0u)) {
    llvm_cbe_tmp__3958__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5283;
  } else {
    goto llvm_cbe_tmp__7993;
  }

llvm_cbe_tmp__7993:
  llvm_cbe_tmp4499 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__3955) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__3958__PHI_TEMPORARY = llvm_cbe_tmp4499;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5283;

llvm_cbe_tmp__7953:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )22u)))))])) = ((unsigned char )18);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )23u)))))])) = ((unsigned char )48);
  llvm_cbe_tmp__4002 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__4003 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__3980) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__4004 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4003)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4002)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4004;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__3999;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4001;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4000;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4004;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4004;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7948:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4107) + ((unsigned int )22u)))))])) = ((unsigned char )18);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4107) + ((unsigned int )23u)))))])) = ((unsigned char )120);
  llvm_cbe_tmp__4119 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4107) + ((unsigned int )6u)))))]));
  llvm_cbe_tmp__4120 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4107) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__4121 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4120)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4119)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4121;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6883;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4116;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4118;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4117;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4106;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4121;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4121;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5317:
  llvm_cbe__2e_pre6053_2e_rle6889 = llvm_cbe__2e_pre6053_2e_rle6889__PHI_TEMPORARY;
  llvm_cbe_tmp__4321 = llvm_cbe_tmp__4321__PHI_TEMPORARY;
  llvm_cbe_tmp__4322 = *((&RAM.array[((signed int )4441u)]));
  *((&RAM.array[((signed int )33620u)])) = llvm_cbe_tmp__4322;
  llvm_cbe_tmp__4323 = ((unsigned int )(bool )(llvm_cbe_tmp__4322 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__4323;
  llvm_cbe_tmp__4324 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4322) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4324;
  llvm_cbe_tmp__4325 = ((unsigned int )(bool )(llvm_cbe_tmp__4322 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__4325;
  llvm_cbe_tmp__4326 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4321);
  llvm_cbe_tmp__4327 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4326) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__4328 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4326) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__4329 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4328)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4327)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4329;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6889;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4323;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4325;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4324;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4321;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4329;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4329;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7994:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4190) > ((unsigned short )((unsigned short )16896)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4190) > ((signed short )((unsigned short )16896)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4189 == 16896u)));
  if ((((((((((unsigned short )llvm_cbe_tmp__4190) > ((unsigned short )((unsigned short )16896))) ^ 1)&1)) | (llvm_cbe_tmp__4189 == 16896u))&1))) {
    goto llvm_cbe__2e__crit_edge5316;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6889__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__4321__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5317;
  }

llvm_cbe__2e__crit_edge5312:
  if ((llvm_cbe_tmp__4189 == 16640u)) {
    llvm_cbe_tmp__4212__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5315;
  } else {
    goto llvm_cbe_tmp__7994;
  }

llvm_cbe_tmp__7995:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4190) > ((unsigned short )((unsigned short )16640)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4190) > ((signed short )((unsigned short )16640)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4189 == 16640u)));
  if ((((signed short )llvm_cbe_tmp__4190) > ((signed short )((unsigned short )16640)))) {
    goto llvm_cbe__2e__crit_edge5312;
  } else {
    goto llvm_cbe_tmp__7996;
  }

llvm_cbe__2e__crit_edge5308:
  if ((llvm_cbe_tmp__4189 == 16128u)) {
    llvm_cbe_tmp__4268__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5311;
  } else {
    goto llvm_cbe_tmp__7995;
  }

llvm_cbe_tmp__7997:
  *((&RAM.array[((signed int )llvm_cbe_tmp__4169)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4169) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4169) + ((unsigned int )4u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4169) + ((unsigned int )5u)))))])) = ((unsigned char )75);
  llvm_cbe_tmp__4177 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4169) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4177)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4177) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__4178 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__4179 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4178)) << 8u;
  llvm_cbe_tmp__4180 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__4181 = llvm_cbe_tmp__4179 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4180));
  llvm_cbe_tmp__4182 = ((((llvm_cbe_tmp__4179 & 32768u) != 0u)) ? ((-(llvm_cbe_tmp__4181))) : (llvm_cbe_tmp__4181));
  *((&RAM.array[((signed int )33610u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4182) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33611u)])) = (((unsigned char )llvm_cbe_tmp__4182));
  *(&ST_C) = 0u;
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__4181 == 32768u)));
  llvm_cbe_tmp__4183 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4169) + ((unsigned int )10u)));
  llvm_cbe_tmp__4184 = llvm_cbe_tmp__4183 & 65535u;
  llvm_cbe_tmp__4185 = (&RAM.array[((signed int )llvm_cbe_tmp__4184)]);
  *llvm_cbe_tmp__4185 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4184) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__4186 = *((&RAM.array[((signed int )33610u)]));
  *llvm_cbe_tmp__4185 = llvm_cbe_tmp__4186;
  llvm_cbe_tmp__4187 = *((&RAM.array[((signed int )llvm_cbe_tmp__4183)]));
  llvm_cbe_tmp__4188 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4169) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__4189 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4188)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4187)) << 8u);
  llvm_cbe_tmp__4190 = ((unsigned short )llvm_cbe_tmp__4189);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4190) > ((unsigned short )((unsigned short )16128)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4190) > ((signed short )((unsigned short )16128)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4189 == 16128u)));
  if ((((signed short )llvm_cbe_tmp__4190) > ((signed short )((unsigned short )16128)))) {
    goto llvm_cbe__2e__crit_edge5308;
  } else {
    goto llvm_cbe_tmp__7998;
  }

llvm_cbe__2e__crit_edge5570:
  llvm_cbe_tmp__4169 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4170 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__4171 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__4172 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4170)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4171));
  llvm_cbe_tmp__4173 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4169) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4173)])) = llvm_cbe_tmp__4170;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4173) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4171;
  llvm_cbe_tmp__4174 = ((unsigned int )(bool )(llvm_cbe_tmp__4172 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__4174;
  llvm_cbe_tmp__4175 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4172))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4175;
  llvm_cbe_tmp__4176 = ((unsigned int )(bool )(llvm_cbe_tmp__4172 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__4176;
  if ((llvm_cbe_tmp__4172 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6896__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__4351__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe__2e_rle5975__PHI_TEMPORARY = llvm_cbe_tmp__4174;   /* for PHI node */
    llvm_cbe__2e_rle5941__PHI_TEMPORARY = llvm_cbe_tmp__4176;   /* for PHI node */
    llvm_cbe__2e_rle5909__PHI_TEMPORARY = llvm_cbe_tmp__4175;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5307;
  } else {
    goto llvm_cbe_tmp__7997;
  }

llvm_cbe_tmp__7999:
  *((&RAM.array[((signed int )33620u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33621u)])) = ((unsigned char )0);
  llvm_cbe_tmp__4616 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4616) + ((unsigned int )22u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4616) + ((unsigned int )23u)))))])) = ((unsigned char )-12);
  goto llvm_cbe__2e__crit_edge5570;

llvm_cbe_tmp__7596:
  llvm_cbe_tmp__7029 = *((&RAM.array[((signed int )33612u)]));
  llvm_cbe_tmp__7030 = *((&RAM.array[((signed int )5588u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__7029) > ((unsigned char )llvm_cbe_tmp__7030))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7029) > ((signed char )llvm_cbe_tmp__7030))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7029 == llvm_cbe_tmp__7030)));
  if (((((((unsigned char )llvm_cbe_tmp__7029) > ((unsigned char )llvm_cbe_tmp__7030)) | (llvm_cbe_tmp__7029 == llvm_cbe_tmp__7030))&1))) {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  } else {
    goto llvm_cbe_tmp__7999;
  }

llvm_cbe_tmp__7638:
  *((&RAM.array[((signed int )33620u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33621u)])) = ((unsigned char )0);
  llvm_cbe_tmp__7259 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7259) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7259) + ((unsigned int )23u)))))])) = ((unsigned char )-92);
  goto llvm_cbe__2e__crit_edge5570;

llvm_cbe__2e__crit_edge5319:
  llvm_cbe_tmp__4233 = llvm_cbe_tmp__4233__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4233;
  llvm_cbe_tmp__4234 = *llvm_cbe_tmp__4226;
  llvm_cbe_tmp__4235 = *((&RAM.array[((signed int )4896u)]));
  llvm_cbe_tmp__4236 = *((&RAM.array[((signed int )4897u)]));
  llvm_cbe_tmp__4237 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__4235)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4236)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__4234)) << 8u) | (llvm_cbe_tmp__4231 & 255u)))));
  *llvm_cbe_tmp__4226 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4237) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__4229 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4237) >> ((unsigned int )16u))))));
  llvm_cbe_tmp__4238 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4221) + ((unsigned int )2u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__4238)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4237) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4221) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__4237));
  llvm_cbe_tmp__4239 = *llvm_cbe_tmp__4226;
  llvm_cbe_tmp__4240 = *llvm_cbe_tmp__4229;
  llvm_cbe_tmp__4241 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4239)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4240));
  *llvm_cbe_tmp__4226 = llvm_cbe_tmp__4239;
  *llvm_cbe_tmp__4229 = llvm_cbe_tmp__4240;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4241 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4241))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4241 == 0u)));
  if ((llvm_cbe_tmp__4241 == 0u)) {
    goto llvm_cbe_tmp__8000;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6889__PHI_TEMPORARY = llvm_cbe_tmp__4220;   /* for PHI node */
    llvm_cbe_tmp__4321__PHI_TEMPORARY = llvm_cbe_tmp__4220;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5317;
  }

llvm_cbe__2e__crit_edge5315:
  llvm_cbe_tmp__4212 = llvm_cbe_tmp__4212__PHI_TEMPORARY;
  llvm_cbe_tmp__4213 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__4212) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__4214 = (&RAM.array[((signed int )llvm_cbe_tmp__4213)]);
  llvm_cbe_tmp__4215 = *llvm_cbe_tmp__4214;
  llvm_cbe_tmp__4216 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4213) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4217 = *llvm_cbe_tmp__4216;
  llvm_cbe_tmp__4218 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4215)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4217));
  *llvm_cbe_tmp__4214 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4218) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4216 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4217) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4219 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__4218)));
  *((&RAM.array[((signed int )33767u)])) = llvm_cbe_tmp__4219;
  llvm_cbe_tmp__4220 = *(&WP);
  llvm_cbe_tmp__4221 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4220);
  llvm_cbe_tmp__4222 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4221) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__4223 = *((&RAM.array[((signed int )llvm_cbe_tmp__4222)]));
  llvm_cbe_tmp__4224 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4223)) << 8u;
  llvm_cbe_tmp__4225 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4222) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4226 = (&RAM.array[((signed int )llvm_cbe_tmp__4221)]);
  llvm_cbe_tmp__4227 = *llvm_cbe_tmp__4226;
  llvm_cbe_tmp__4228 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4227)) << 8u;
  llvm_cbe_tmp__4229 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4221) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4230 = *llvm_cbe_tmp__4229;
  llvm_cbe_tmp__4231 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4228 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4230)))) + ((unsigned int )(llvm_cbe_tmp__4224 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4225))))));
  *llvm_cbe_tmp__4226 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4231) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4229 = (((unsigned char )llvm_cbe_tmp__4231));
  llvm_cbe_tmp__4232 = ((unsigned short )llvm_cbe_tmp__4231);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4232 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4232) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4232 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4231) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__4228 ^ llvm_cbe_tmp__4224) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8001;
  } else {
    llvm_cbe_tmp__4233__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5319;
  }

llvm_cbe_tmp__7996:
  if ((llvm_cbe_tmp__4189 == 16640u)) {
    llvm_cbe_tmp__4212__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5315;
  } else {
    llvm_cbe_tmp__4246__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5313;
  }

llvm_cbe__2e__crit_edge5316:
  llvm_cbe_tmp__4191 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__4192 = (&RAM.array[((signed int )llvm_cbe_tmp__4191)]);
  llvm_cbe_tmp__4193 = *llvm_cbe_tmp__4192;
  llvm_cbe_tmp__4194 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4191) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4195 = *llvm_cbe_tmp__4194;
  llvm_cbe_tmp__4196 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4193)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4195));
  *llvm_cbe_tmp__4192 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4196) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4194 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4195) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4197 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__4196)));
  *((&RAM.array[((signed int )33761u)])) = llvm_cbe_tmp__4197;
  llvm_cbe_tmp__4198 = *(&WP);
  llvm_cbe_tmp__4199 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4198);
  llvm_cbe_tmp__4200 = (&RAM.array[((signed int )llvm_cbe_tmp__4199)]);
  llvm_cbe_tmp__4201 = *llvm_cbe_tmp__4200;
  llvm_cbe_tmp__4202 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4199) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4203 = *llvm_cbe_tmp__4202;
  llvm_cbe_tmp__4204 = *((&RAM.array[((signed int )4896u)]));
  llvm_cbe_tmp__4205 = *((&RAM.array[((signed int )4897u)]));
  llvm_cbe_tmp__4206 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__4204)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4205)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__4201)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4203))))));
  *llvm_cbe_tmp__4200 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4206) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__4202 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4206) >> ((unsigned int )16u))))));
  llvm_cbe_tmp__4207 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4199) + ((unsigned int )2u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__4207)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4206) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4199) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__4206));
  llvm_cbe_tmp__4208 = llvm_cbe_tmp__4207 & 65535u;
  llvm_cbe_tmp__4209 = *((&RAM.array[((signed int )llvm_cbe_tmp__4208)]));
  llvm_cbe_tmp__4210 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4208) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4211 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4209)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4210));
  *llvm_cbe_tmp__4200 = llvm_cbe_tmp__4209;
  *llvm_cbe_tmp__4202 = llvm_cbe_tmp__4210;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4211 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4211))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4211 == 0u)));
  llvm_cbe_tmp__4212__PHI_TEMPORARY = llvm_cbe_tmp__4198;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5315;

llvm_cbe_tmp__8001:
  llvm_cbe_tmp4652_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__4231 ^ llvm_cbe_tmp__4228)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4233__PHI_TEMPORARY = llvm_cbe_tmp4652_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5319;

llvm_cbe_tmp__8000:
  llvm_cbe_tmp__4242 = llvm_cbe_tmp__4238 & 65535u;
  llvm_cbe_tmp__4243 = *((&RAM.array[((signed int )llvm_cbe_tmp__4242)]));
  llvm_cbe_tmp__4244 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4242) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4245 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4243)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4244));
  *llvm_cbe_tmp__4226 = llvm_cbe_tmp__4243;
  *llvm_cbe_tmp__4229 = llvm_cbe_tmp__4244;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4245 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4245))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4245 == 0u)));
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__4245))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__4245 == 0u))&1))) {
    llvm_cbe_tmp__4246__PHI_TEMPORARY = llvm_cbe_tmp__4220;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5313;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6889__PHI_TEMPORARY = llvm_cbe_tmp__4220;   /* for PHI node */
    llvm_cbe_tmp__4321__PHI_TEMPORARY = llvm_cbe_tmp__4220;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5317;
  }

llvm_cbe__2e__crit_edge5335:
  if ((((((((((unsigned short )(((unsigned short )llvm_cbe_tmp__4314))) > ((unsigned short )((unsigned short )32768u))) ^ 1)&1)) | (llvm_cbe_tmp__4314 == 32768u))&1))) {
    goto llvm_cbe__2e__crit_edge5336;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6889__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
    llvm_cbe_tmp__4321__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5317;
  }

llvm_cbe_tmp__8002:
  if ((llvm_cbe_tmp__4314 == 32768u)) {
    goto llvm_cbe__2e__crit_edge5335;
  } else {
    goto llvm_cbe_tmp__8003;
  }

llvm_cbe__2e__crit_edge5326:
  llvm_cbe_tmp__4308 = *(&WP);
  llvm_cbe_tmp__4309 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4308);
  llvm_cbe_tmp__4310 = (&RAM.array[((signed int )llvm_cbe_tmp__4309)]);
  llvm_cbe_tmp__4311 = *llvm_cbe_tmp__4310;
  llvm_cbe_tmp__4312 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4309) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4313 = *llvm_cbe_tmp__4312;
  llvm_cbe_tmp__4314 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4311)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4313));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )(((unsigned short )llvm_cbe_tmp__4314))) > ((unsigned short )((unsigned short )32768u)))));
  *(&ST_AGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4314 != 32768u)));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4314 == 32768u)));
  if ((((unsigned short )(((unsigned short )llvm_cbe_tmp__4314))) > ((unsigned short )((unsigned short )32768u)))) {
    goto llvm_cbe__2e_critedge;
  } else {
    goto llvm_cbe_tmp__8002;
  }

llvm_cbe_tmp__8004:
  if ((llvm_cbe_tmp__4275 == llvm_cbe_tmp__4276)) {
    goto llvm_cbe__2e__crit_edge5325;
  } else {
    goto llvm_cbe__2e__crit_edge5326;
  }

llvm_cbe__2e__crit_edge5311:
  llvm_cbe_tmp__4268 = llvm_cbe_tmp__4268__PHI_TEMPORARY;
  llvm_cbe_tmp__4269 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__4268) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__4270 = (&RAM.array[((signed int )llvm_cbe_tmp__4269)]);
  llvm_cbe_tmp__4271 = *llvm_cbe_tmp__4270;
  llvm_cbe_tmp__4272 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4269) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4273 = *llvm_cbe_tmp__4272;
  llvm_cbe_tmp__4274 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4271)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4273));
  *llvm_cbe_tmp__4270 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4274) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4272 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4273) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4275 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__4274)));
  llvm_cbe_tmp__4276 = *((&RAM.array[((signed int )4440u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__4275) > ((unsigned char )llvm_cbe_tmp__4276))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4275) > ((signed char )llvm_cbe_tmp__4276))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4275 == llvm_cbe_tmp__4276)));
  if ((((signed char )llvm_cbe_tmp__4275) > ((signed char )llvm_cbe_tmp__4276))) {
    goto llvm_cbe__2e__crit_edge5327;
  } else {
    goto llvm_cbe_tmp__8004;
  }

llvm_cbe_tmp__7998:
  if ((llvm_cbe_tmp__4189 == 16128u)) {
    llvm_cbe_tmp__4268__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5311;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6897__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__4343__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5309;
  }

llvm_cbe__2e__crit_edge5324:
  llvm_cbe_tmp__4267 = llvm_cbe_tmp__4267__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4267;
  llvm_cbe_tmp__4268__PHI_TEMPORARY = llvm_cbe_tmp__4254;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5311;

llvm_cbe__2e__crit_edge5313:
  llvm_cbe_tmp__4246 = llvm_cbe_tmp__4246__PHI_TEMPORARY;
  llvm_cbe_tmp__4247 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__4246) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__4248 = (&RAM.array[((signed int )llvm_cbe_tmp__4247)]);
  llvm_cbe_tmp__4249 = *llvm_cbe_tmp__4248;
  llvm_cbe_tmp__4250 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4247) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4251 = *llvm_cbe_tmp__4250;
  llvm_cbe_tmp__4252 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4249)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4251));
  *llvm_cbe_tmp__4248 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4252) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4250 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4251) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4253 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__4252)));
  *((&RAM.array[((signed int )33767u)])) = llvm_cbe_tmp__4253;
  llvm_cbe_tmp__4254 = *(&WP);
  llvm_cbe_tmp__4255 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4254);
  llvm_cbe_tmp__4256 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4255) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__4257 = *((&RAM.array[((signed int )llvm_cbe_tmp__4256)]));
  llvm_cbe_tmp__4258 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4257)) << 8u;
  llvm_cbe_tmp__4259 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4256) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4260 = (&RAM.array[((signed int )llvm_cbe_tmp__4255)]);
  llvm_cbe_tmp__4261 = *llvm_cbe_tmp__4260;
  llvm_cbe_tmp__4262 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4261)) << 8u;
  llvm_cbe_tmp__4263 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4255) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4264 = *llvm_cbe_tmp__4263;
  llvm_cbe_tmp__4265 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4262 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4264)))) + ((unsigned int )(llvm_cbe_tmp__4258 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4259))))));
  *llvm_cbe_tmp__4260 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4265) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4263 = (((unsigned char )llvm_cbe_tmp__4265));
  llvm_cbe_tmp__4266 = ((unsigned short )llvm_cbe_tmp__4265);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4266 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4266) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4266 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4265) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__4262 ^ llvm_cbe_tmp__4258) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8005;
  } else {
    llvm_cbe_tmp__4267__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5324;
  }

llvm_cbe_tmp__8005:
  llvm_cbe_tmp4659_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__4265 ^ llvm_cbe_tmp__4262)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4267__PHI_TEMPORARY = llvm_cbe_tmp4659_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5324;

  do {     /* Syntactic loop '._crit_edge5329' to make GCC happy */
llvm_cbe__2e__crit_edge5329:
  llvm_cbe_tmp__4284 = llvm_cbe_tmp__4284__PHI_TEMPORARY;
  llvm_cbe_tmp__4285 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__4284) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__4286 = (&RAM.array[((signed int )llvm_cbe_tmp__4285)]);
  llvm_cbe_tmp__4287 = *llvm_cbe_tmp__4286;
  llvm_cbe_tmp__4288 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4285) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4289 = *llvm_cbe_tmp__4288;
  llvm_cbe_tmp__4290 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4287)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4289));
  *llvm_cbe_tmp__4286 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4290) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4288 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4289) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4291 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__4290)));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__4284))) + ((unsigned int )6u)))) & 65535u))])) = llvm_cbe_tmp__4291;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4291 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4291) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4291 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__4291 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__8006;
  } else {
    goto llvm_cbe__2e__crit_edge5327;
  }

llvm_cbe_tmp__8006:
  llvm_cbe_tmp__4292 = *(&WP);
  llvm_cbe_tmp__4293 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4292);
  llvm_cbe_tmp__4294 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4293) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__4295 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4293) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__4296 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4295)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4294)) << 8u);
  llvm_cbe_tmp__4297 = ((unsigned short )llvm_cbe_tmp__4296);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4297) > ((unsigned short )((unsigned short )-31918)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4297) > ((signed short )((unsigned short )-31918)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4296 == 33618u)));
  if (((((((unsigned short )llvm_cbe_tmp__4297) > ((unsigned short )((unsigned short )-31918))) | (llvm_cbe_tmp__4296 == 33618u))&1))) {
    goto llvm_cbe__2e__crit_edge5326;
  } else {
    llvm_cbe_tmp__4284__PHI_TEMPORARY = llvm_cbe_tmp__4292;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5329;
  }

  } while (1); /* end of syntactic loop '._crit_edge5329' */
llvm_cbe_tmp__8007:
  llvm_cbe_tmp__4277 = *(&WP);
  llvm_cbe_tmp__4278 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__4277))) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__4279 = (&RAM.array[((signed int )llvm_cbe_tmp__4278)]);
  llvm_cbe_tmp__4280 = *llvm_cbe_tmp__4279;
  llvm_cbe_tmp__4281 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4278) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4282 = *llvm_cbe_tmp__4281;
  llvm_cbe_tmp__4283 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4280)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4282));
  *llvm_cbe_tmp__4279 = llvm_cbe_tmp__4280;
  *llvm_cbe_tmp__4281 = llvm_cbe_tmp__4282;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4283 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4283))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4283 == 0u)));
  if ((((signed short )(((unsigned short )llvm_cbe_tmp__4283))) > ((signed short )((unsigned short )0)))) {
    goto llvm_cbe__2e__crit_edge5327;
  } else {
    llvm_cbe_tmp__4284__PHI_TEMPORARY = llvm_cbe_tmp__4277;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5329;
  }

llvm_cbe__2e__crit_edge5325:
  if ((((signed char )llvm_cbe_tmp__4275) > ((signed char )llvm_cbe_tmp__4276))) {
    goto llvm_cbe__2e__crit_edge5327;
  } else {
    goto llvm_cbe_tmp__8007;
  }

llvm_cbe__2e__crit_edge5334:
  llvm_cbe_tmp__4307 = llvm_cbe_tmp__4307__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4307;
  goto llvm_cbe__2e__crit_edge5326;

llvm_cbe__2e__crit_edge5327:
  llvm_cbe_tmp__4298 = *(&WP);
  llvm_cbe_tmp__4299 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4298);
  llvm_cbe_tmp__4300 = (&RAM.array[((signed int )llvm_cbe_tmp__4299)]);
  llvm_cbe_tmp__4301 = *llvm_cbe_tmp__4300;
  llvm_cbe_tmp__4302 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4301)) << 8u;
  llvm_cbe_tmp__4303 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4299) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4304 = *llvm_cbe_tmp__4303;
  llvm_cbe_tmp__4305 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4302 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4304)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__4300 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4305) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4303 = (((unsigned char )llvm_cbe_tmp__4305));
  llvm_cbe_tmp__4306 = ((unsigned short )llvm_cbe_tmp__4305);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4306 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4306) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4306 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4305) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4302 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8008;
  } else {
    llvm_cbe_tmp__4307__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5334;
  }

llvm_cbe_tmp__8008:
  llvm_cbe__2e_lobit4660 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4305) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4307__PHI_TEMPORARY = llvm_cbe__2e_lobit4660;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5334;

llvm_cbe__2e_critedge:
  if ((llvm_cbe_tmp__4314 == 32768u)) {
    goto llvm_cbe__2e__crit_edge5336;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6889__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
    llvm_cbe_tmp__4321__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5317;
  }

llvm_cbe__2e__crit_edge5336:
  llvm_cbe_tmp__4315 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4309) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__4316 = (&RAM.array[((signed int )llvm_cbe_tmp__4315)]);
  llvm_cbe_tmp__4317 = *llvm_cbe_tmp__4316;
  llvm_cbe_tmp__4318 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4315) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4319 = *llvm_cbe_tmp__4318;
  llvm_cbe_tmp__4320 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4317)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4319));
  *llvm_cbe_tmp__4316 = llvm_cbe_tmp__4317;
  *llvm_cbe_tmp__4318 = llvm_cbe_tmp__4319;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4320 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4320))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4320 == 0u)));
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__4320))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__4320 == 0u))&1))) {
    llvm_cbe__2e_pre6053_2e_rle6889__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
    llvm_cbe_tmp__4321__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5317;
  } else {
    goto llvm_cbe__2e__crit_edge5340;
  }

llvm_cbe__2e__crit_edge5307:
  llvm_cbe__2e_pre6053_2e_rle6896 = llvm_cbe__2e_pre6053_2e_rle6896__PHI_TEMPORARY;
  llvm_cbe_tmp__4351 = llvm_cbe_tmp__4351__PHI_TEMPORARY;
  llvm_cbe__2e_rle5975 = llvm_cbe__2e_rle5975__PHI_TEMPORARY;
  llvm_cbe__2e_rle5941 = llvm_cbe__2e_rle5941__PHI_TEMPORARY;
  llvm_cbe__2e_rle5909 = llvm_cbe__2e_rle5909__PHI_TEMPORARY;
  llvm_cbe_tmp__4352 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4351);
  llvm_cbe_tmp__4353 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4352) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__4354 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4352) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__4355 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4354)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4353)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4355;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6896;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5975;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5941;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5909;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4351;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4355;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4355;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5309:
  llvm_cbe__2e_pre6053_2e_rle6897 = llvm_cbe__2e_pre6053_2e_rle6897__PHI_TEMPORARY;
  llvm_cbe_tmp__4343 = llvm_cbe_tmp__4343__PHI_TEMPORARY;
  llvm_cbe_tmp__4344 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4343);
  llvm_cbe_tmp__4345 = *((&RAM.array[((signed int )llvm_cbe_tmp__4344)]));
  llvm_cbe_tmp__4346 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4344) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4347 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4345)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4346));
  *((&RAM.array[((signed int )33610u)])) = llvm_cbe_tmp__4345;
  *((&RAM.array[((signed int )33611u)])) = llvm_cbe_tmp__4346;
  llvm_cbe_tmp__4348 = ((unsigned int )(bool )(llvm_cbe_tmp__4347 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__4348;
  llvm_cbe_tmp__4349 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4347))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4349;
  llvm_cbe_tmp__4350 = ((unsigned int )(bool )(llvm_cbe_tmp__4347 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__4350;
  llvm_cbe__2e_pre6053_2e_rle6896__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6897;   /* for PHI node */
  llvm_cbe_tmp__4351__PHI_TEMPORARY = llvm_cbe_tmp__4343;   /* for PHI node */
  llvm_cbe__2e_rle5975__PHI_TEMPORARY = llvm_cbe_tmp__4348;   /* for PHI node */
  llvm_cbe__2e_rle5941__PHI_TEMPORARY = llvm_cbe_tmp__4350;   /* for PHI node */
  llvm_cbe__2e_rle5909__PHI_TEMPORARY = llvm_cbe_tmp__4349;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5307;

llvm_cbe_tmp__8003:
  llvm_cbe_tmp__4330 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4309) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__4331 = (&RAM.array[((signed int )llvm_cbe_tmp__4330)]);
  llvm_cbe_tmp__4332 = *llvm_cbe_tmp__4331;
  llvm_cbe_tmp__4333 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4330) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4334 = *llvm_cbe_tmp__4333;
  llvm_cbe_tmp__4335 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4332)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4334));
  llvm_cbe_tmp__4336 = ((unsigned short )llvm_cbe_tmp__4335);
  llvm_cbe_tmp__4337 = llvm_cbe_tmp__4335 ^ 4294967295u;
  *llvm_cbe_tmp__4331 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4337) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4333 = (((unsigned char )llvm_cbe_tmp__4337));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4336 != ((unsigned short )-1))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4337))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4336 == ((unsigned short )-1))));
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__4337))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__4336 == ((unsigned short )-1)))&1))) {
    goto llvm_cbe__2e__crit_edge5340;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6897__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
    llvm_cbe_tmp__4343__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5309;
  }

llvm_cbe__2e__crit_edge5340:
  llvm_cbe_tmp__4338 = *llvm_cbe_tmp__4310;
  llvm_cbe_tmp__4339 = *llvm_cbe_tmp__4312;
  llvm_cbe_tmp__4340 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4338)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4339));
  llvm_cbe_tmp__4341 = -(llvm_cbe_tmp__4340);
  *llvm_cbe_tmp__4310 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4341) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4312 = (((unsigned char )llvm_cbe_tmp__4341));
  llvm_cbe_tmp__4342 = ((unsigned short )llvm_cbe_tmp__4341);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4342 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4342) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4342 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4341) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__4340 == 32768u)));
  llvm_cbe__2e_pre6053_2e_rle6897__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
  llvm_cbe_tmp__4343__PHI_TEMPORARY = llvm_cbe_tmp__4308;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5309;

llvm_cbe__2e__crit_edge5345:
  llvm_cbe__2e_pre6053_2e_rle6899 = llvm_cbe__2e_pre6053_2e_rle6899__PHI_TEMPORARY;
  llvm_cbe_tmp__4405 = llvm_cbe_tmp__4405__PHI_TEMPORARY;
  llvm_cbe_tmp__4406 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4405);
  llvm_cbe_tmp__4407 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4406) + ((unsigned int )22u)));
  llvm_cbe_tmp__4408 = (&RAM.array[((signed int )llvm_cbe_tmp__4407)]);
  llvm_cbe_tmp__4409 = *llvm_cbe_tmp__4408;
  llvm_cbe_tmp__4410 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4406) + ((unsigned int )23u)))))]);
  llvm_cbe_tmp__4411 = *llvm_cbe_tmp__4410;
  llvm_cbe_tmp__4412 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4411)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4409)) << 8u);
  llvm_cbe_tmp__4413 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4412 & 65534u))]));
  llvm_cbe_tmp__4414 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4412 | 1u))]));
  llvm_cbe_tmp__4415 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4413)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4414));
  llvm_cbe_tmp__4416 = llvm_cbe_tmp__4407 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4416)])) = llvm_cbe_tmp__4413;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4416) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4414;
  llvm_cbe_tmp__4417 = ((unsigned int )(bool )(llvm_cbe_tmp__4415 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__4417;
  llvm_cbe_tmp__4418 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4415))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4418;
  llvm_cbe_tmp__4419 = ((unsigned int )(bool )(llvm_cbe_tmp__4415 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__4419;
  llvm_cbe_tmp__4420 = *llvm_cbe_tmp__4408;
  llvm_cbe_tmp__4421 = *llvm_cbe_tmp__4410;
  llvm_cbe_tmp__4422 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4421)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4420)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4422;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6899;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4417;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4419;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4418;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4405;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4422;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4422;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8009:
  llvm_cbe_tmp__4356 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4357 = *((&RAM.array[((signed int )33598u)]));
  llvm_cbe_tmp__4358 = *((&RAM.array[((signed int )33599u)]));
  llvm_cbe_tmp__4359 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4357)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4358));
  llvm_cbe_tmp__4360 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4356) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4360)])) = llvm_cbe_tmp__4357;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4360) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4358;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4359 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4359))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4359 == 0u)));
  if ((llvm_cbe_tmp__4359 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6899__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__4405__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5345;
  } else {
    goto llvm_cbe_tmp__8010;
  }

llvm_cbe_tmp__8011:
  llvm_cbe_tmp__4714 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4714) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4714) + ((unsigned int )23u)))))])) = ((unsigned char )-124);
  goto llvm_cbe_tmp__8009;

llvm_cbe_tmp__7602:
  if ((llvm_cbe_tmp__5995 == 0u)) {
    goto llvm_cbe_tmp__8011;
  } else {
    llvm_cbe_tmp__4698__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5655;
  }

llvm_cbe_tmp__7582:
  llvm_cbe_tmp__6969 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6969) + ((unsigned int )22u)))))])) = ((unsigned char )21);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6969) + ((unsigned int )23u)))))])) = ((unsigned char )-38);
  goto llvm_cbe_tmp__8009;

  do {     /* Syntactic loop '._crit_edge5349' to make GCC happy */
llvm_cbe__2e__crit_edge5349:
  llvm_cbe_tmp__4363 = llvm_cbe_tmp__4363__PHI_TEMPORARY;
  llvm_cbe_tmp__4364 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4363);
  llvm_cbe_tmp__4365 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4364) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__4366 = (&RAM.array[((signed int )llvm_cbe_tmp__4365)]);
  llvm_cbe_tmp__4367 = *llvm_cbe_tmp__4366;
  llvm_cbe_tmp__4368 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4367)) << 8u;
  llvm_cbe_tmp__4369 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4365) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4370 = *llvm_cbe_tmp__4369;
  llvm_cbe_tmp__4371 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4368 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4370)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__4366 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4371) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4369 = (((unsigned char )llvm_cbe_tmp__4371));
  llvm_cbe_tmp__4372 = ((unsigned short )llvm_cbe_tmp__4371);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4372 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4372) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4372 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4371) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4368 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8012;
  } else {
    llvm_cbe_tmp__4373__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5346;
  }

llvm_cbe__2e__crit_edge5347:
  llvm_cbe_tmp__4398 = *(&WP);
  llvm_cbe_tmp__4399 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4398);
  llvm_cbe_tmp__4400 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4399) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__4401 = *((&RAM.array[((signed int )llvm_cbe_tmp__4400)]));
  llvm_cbe_tmp__4402 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4400) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4403 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4401)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4402));
  llvm_cbe_tmp__4404 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4399) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4404)])) = llvm_cbe_tmp__4401;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4404) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4402;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4403 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4403))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4403 == 0u)));
  if ((llvm_cbe_tmp__4403 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6899__PHI_TEMPORARY = llvm_cbe_tmp__4398;   /* for PHI node */
    llvm_cbe_tmp__4405__PHI_TEMPORARY = llvm_cbe_tmp__4398;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5345;
  } else {
    llvm_cbe_tmp__4363__PHI_TEMPORARY = llvm_cbe_tmp__4398;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5349;
  }

llvm_cbe__2e__crit_edge5346:
  llvm_cbe_tmp__4373 = llvm_cbe_tmp__4373__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4373;
  llvm_cbe_tmp__4374 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4364) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4375 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4364) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4376 = *((&RAM.array[((signed int )33769u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4374)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4375))))), llvm_cbe_tmp__4376);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4376 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4376) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4376 == ((unsigned char )0))));
  llvm_cbe_tmp__4377 = *(&WP);
  llvm_cbe_tmp__4378 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4377);
  llvm_cbe_tmp__4379 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4378) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4380 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4378) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4381 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4378) + ((unsigned int )8u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4380)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4379)) << ((unsigned short )8))))))), llvm_cbe_tmp__4381);
  llvm_cbe_tmp__4382 = *(&WP);
  llvm_cbe_tmp__4383 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4382);
  llvm_cbe_tmp__4384 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4383) + ((unsigned int )20u)))))]);
  *llvm_cbe_tmp__4384 = ((unsigned char )-120);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4383) + ((unsigned int )21u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__4385 = *llvm_cbe_tmp__4384;
  llvm_cbe_tmp__4386 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4385)) << ((unsigned short )8)))));
  llvm_cbe_tmp__4387 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4383) + ((unsigned int )6u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__4386) > ((unsigned char )llvm_cbe_tmp__4387))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4386) > ((signed char )llvm_cbe_tmp__4387))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4386 == llvm_cbe_tmp__4387)));
  llvm_cbe_tmp__4388 = *(&WP);
  llvm_cbe_tmp__4389 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4388);
  llvm_cbe_tmp__4390 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4389) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__4391 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4389) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__4392 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4390)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4391))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4389) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__4392;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4392 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4392) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4392 == ((unsigned char )0))));
  llvm_cbe_tmp__4393 = *(&WP);
  llvm_cbe_tmp__4394 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4393);
  llvm_cbe_tmp__4395 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4394) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__4396 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4394) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__4397 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4395)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4396))))));
  *((&RAM.array[((signed int )33773u)])) = llvm_cbe_tmp__4397;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4397 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4397) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4397 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__4386 == llvm_cbe_tmp__4387)) {
    goto llvm_cbe_tmp__8013;
  } else {
    goto llvm_cbe__2e__crit_edge5347;
  }

llvm_cbe_tmp__8012:
  llvm_cbe__2e_lobit4594 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4371) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4373__PHI_TEMPORARY = llvm_cbe__2e_lobit4594;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5346;

  do {     /* Syntactic loop '._crit_edge5352' to make GCC happy */
llvm_cbe__2e__crit_edge5352:
  llvm_cbe_tmp__4446 = llvm_cbe_tmp__4446__PHI_TEMPORARY;
  llvm_cbe_tmp__4447 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4446);
  llvm_cbe_tmp__4448 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4447) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__4449 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4447) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__4450 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__4446) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__4451 = (&RAM.array[((signed int )llvm_cbe_tmp__4450)]);
  llvm_cbe_tmp__4452 = *llvm_cbe_tmp__4451;
  llvm_cbe_tmp__4453 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4450) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4454 = *llvm_cbe_tmp__4453;
  llvm_cbe_tmp__4455 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4452)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4454));
  *llvm_cbe_tmp__4451 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4455) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4453 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4454) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4456 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4448)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4449))))));
  llvm_cbe_tmp__4457 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__4455)));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__4456) > ((unsigned char )llvm_cbe_tmp__4457))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4456) > ((signed char )llvm_cbe_tmp__4457))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4456 == llvm_cbe_tmp__4457)));
  if ((llvm_cbe_tmp__4456 == llvm_cbe_tmp__4457)) {
    goto llvm_cbe_tmp__8014;
  } else {
    goto llvm_cbe__2e__crit_edge5347;
  }

llvm_cbe__2e__crit_edge5351:
  llvm_cbe_tmp__4468 = llvm_cbe_tmp__4468__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4468;
  if ((((signed short )llvm_cbe_tmp__4467) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__4446__PHI_TEMPORARY = llvm_cbe_tmp__4458;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5352;
  } else {
    goto llvm_cbe_tmp__8015;
  }

llvm_cbe_tmp__8014:
  llvm_cbe_tmp__4458 = *(&WP);
  llvm_cbe_tmp__4459 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4458);
  llvm_cbe_tmp__4460 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4459) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__4461 = (&RAM.array[((signed int )llvm_cbe_tmp__4460)]);
  llvm_cbe_tmp__4462 = *llvm_cbe_tmp__4461;
  llvm_cbe_tmp__4463 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4462)) << 8u;
  llvm_cbe_tmp__4464 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4460) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4465 = *llvm_cbe_tmp__4464;
  llvm_cbe_tmp__4466 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4463 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4465)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__4461 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4466) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4464 = (((unsigned char )llvm_cbe_tmp__4466));
  llvm_cbe_tmp__4467 = ((unsigned short )llvm_cbe_tmp__4466);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4467 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4467) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4467 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4466) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4463 & 32768u) == 0u)) {
    llvm_cbe_tmp__4468__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5351;
  } else {
    goto llvm_cbe_tmp__8016;
  }

llvm_cbe_tmp__8016:
  llvm_cbe_tmp4590 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4466) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4468__PHI_TEMPORARY = llvm_cbe_tmp4590;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5351;

  } while (1); /* end of syntactic loop '._crit_edge5352' */
llvm_cbe_tmp__8013:
  llvm_cbe_tmp__4423 = *(&WP);
  llvm_cbe_tmp__4424 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4423);
  llvm_cbe_tmp__4425 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4424) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__4426 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4424) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__4427 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4425)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4426))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4424) + ((unsigned int )10u)))) & 65535u))])) = llvm_cbe_tmp__4427;
  llvm_cbe_tmp__4428 = *(&WP);
  llvm_cbe_tmp__4429 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4428);
  llvm_cbe_tmp__4430 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4429) + ((unsigned int )6u)))) & 65535u))]));
  *((&RAM.array[((signed int )33775u)])) = llvm_cbe_tmp__4430;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4430 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4430) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4430 == ((unsigned char )0))));
  llvm_cbe_tmp__4431 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4429) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__4432 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4429) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__4433 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4431)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4432))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4429) + ((unsigned int )4u)))) & 65535u))])) = llvm_cbe_tmp__4433;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4433 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4433) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4433 == ((unsigned char )0))));
  llvm_cbe_tmp__4434 = *(&WP);
  llvm_cbe_tmp__4435 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4434);
  llvm_cbe_tmp__4436 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4435) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4437 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4435) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4438 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4435) + ((unsigned int )4u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4437)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4436)) << ((unsigned short )8))))))), llvm_cbe_tmp__4438);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4438 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4438) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4438 == ((unsigned char )0))));
  llvm_cbe_tmp__4439 = *(&WP);
  llvm_cbe_tmp__4440 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4439);
  llvm_cbe_tmp__4441 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4440) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4442 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4440) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4443 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4440) + ((unsigned int )10u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4442)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4441)) << ((unsigned short )8))))))), llvm_cbe_tmp__4443);
  llvm_cbe_tmp__4444 = *(&WP);
  llvm_cbe_tmp__4445 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4444);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4445) + ((unsigned int )4u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4445) + ((unsigned int )5u)))))])) = ((unsigned char )74);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__4446__PHI_TEMPORARY = llvm_cbe_tmp__4444;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5352;

  } while (1); /* end of syntactic loop '._crit_edge5349' */
llvm_cbe_tmp__8010:
  llvm_cbe_tmp__4361 = *((&RAM.array[((signed int )33625u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4356) + ((unsigned int )6u)))) & 65535u))])) = llvm_cbe_tmp__4361;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4361 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4361) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4361 == ((unsigned char )0))));
  llvm_cbe_tmp__4362 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4356) + ((unsigned int )14u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4362)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4362) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__4363__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5349;

llvm_cbe__2e__crit_edge5353:
  llvm_cbe_tmp__4478 = llvm_cbe_tmp__4478__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4478;
  llvm_cbe_tmp__4479 = *llvm_cbe_tmp__4470;
  llvm_cbe_tmp__4480 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4479)) << 8u) | (llvm_cbe_tmp__4475 & 255u);
  *((&RAM.array[((signed int )33610u)])) = llvm_cbe_tmp__4479;
  *((&RAM.array[((signed int )33611u)])) = llvm_cbe_tmp__4476;
  llvm_cbe_tmp__4481 = ((unsigned int )(bool )(llvm_cbe_tmp__4480 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__4481;
  llvm_cbe_tmp__4482 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4480))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4482;
  llvm_cbe_tmp__4483 = ((unsigned int )(bool )(llvm_cbe_tmp__4480 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__4483;
  llvm_cbe_tmp__4484 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4459) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__4485 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4459) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__4486 = ((unsigned short )((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4484)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4485)))))) + ((unsigned short )((unsigned short )2))))))) & ((unsigned short )-2)));
  *(&PC) = llvm_cbe_tmp__4486;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__4458;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4481;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4483;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4482;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4458;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4486;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4486;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8015:
  llvm_cbe_tmp__4469 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4459) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__4470 = (&RAM.array[((signed int )llvm_cbe_tmp__4469)]);
  llvm_cbe_tmp__4471 = *llvm_cbe_tmp__4470;
  llvm_cbe_tmp__4472 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4471)) << 8u;
  llvm_cbe_tmp__4473 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4469) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4474 = *llvm_cbe_tmp__4473;
  llvm_cbe_tmp__4475 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4472 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4474)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__4470 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4475) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__4476 = ((unsigned char )llvm_cbe_tmp__4475);
  *llvm_cbe_tmp__4473 = llvm_cbe_tmp__4476;
  llvm_cbe_tmp__4477 = ((unsigned short )llvm_cbe_tmp__4475);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4477 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4477) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4477 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4475) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4472 & 32768u) == 0u)) {
    llvm_cbe_tmp__4478__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5353;
  } else {
    goto llvm_cbe_tmp__8017;
  }

llvm_cbe_tmp__8017:
  llvm_cbe_tmp4588 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4475) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4478__PHI_TEMPORARY = llvm_cbe_tmp4588;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5353;

llvm_cbe__2e__crit_edge5647:
  llvm_cbe_tmp__4494 = llvm_cbe_tmp__4494__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4494;
  llvm_cbe_tmp__4495 = *((&RAM.array[((signed int )llvm_cbe_tmp__6976)]));
  llvm_cbe_tmp__4496 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6975) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__4497 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4496)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4495)) << 8u);
  llvm_cbe_tmp__4498 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6975) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__4499 = *((&RAM.array[((signed int )llvm_cbe_tmp__4498)]));
  llvm_cbe_tmp__4500 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4498) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4501 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4499)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4500));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__4497 & 65534u))])) = llvm_cbe_tmp__4499;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__4497 | 1u))])) = llvm_cbe_tmp__4500;
  llvm_cbe_tmp__4502 = ((unsigned int )(bool )(llvm_cbe_tmp__4501 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__4502;
  llvm_cbe_tmp__4503 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4501))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4503;
  llvm_cbe_tmp__4504 = ((unsigned int )(bool )(llvm_cbe_tmp__4501 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__4504;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6975) + ((unsigned int )22u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6975) + ((unsigned int )23u)))))])) = ((unsigned char )98);
  llvm_cbe_tmp__4505 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6975) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__4506 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6975) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__4507 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4506)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4505)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4507;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4502;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4504;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4503;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4507;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4507;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8018:
  llvm_cbe__2e_lobit4546 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6983) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4494__PHI_TEMPORARY = llvm_cbe__2e_lobit4546;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5647;

llvm_cbe_tmp__7588:
  llvm_cbe_tmp__6975 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6976 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6975) + ((unsigned int )18u)));
  llvm_cbe_tmp__6977 = llvm_cbe_tmp__6976 & 65535u;
  llvm_cbe_tmp__6978 = (&RAM.array[((signed int )llvm_cbe_tmp__6977)]);
  llvm_cbe_tmp__6979 = *llvm_cbe_tmp__6978;
  llvm_cbe_tmp__6980 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6979)) << 8u;
  llvm_cbe_tmp__6981 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6977) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6982 = *llvm_cbe_tmp__6981;
  llvm_cbe_tmp__6983 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6980 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6982)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__6978 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6983) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6981 = (((unsigned char )llvm_cbe_tmp__6983));
  llvm_cbe_tmp__6984 = ((unsigned short )llvm_cbe_tmp__6983);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6984 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6984) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6984 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6983) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6980 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8018;
  } else {
    llvm_cbe_tmp__4494__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5647;
  }

llvm_cbe__2e__crit_edge5359:
  llvm_cbe_tmp__4570 = llvm_cbe_tmp__4570__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4570;
  llvm_cbe_tmp__4571 = *((&RAM.array[((signed int )llvm_cbe_tmp__4555)]));
  llvm_cbe_tmp__4572 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4550) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__4573 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4572)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4571)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4573;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6905;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4567;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4569;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4568;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4549;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4573;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4573;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5358:
  llvm_cbe__2e_pre6053_2e_rle6905 = llvm_cbe__2e_pre6053_2e_rle6905__PHI_TEMPORARY;
  llvm_cbe_tmp__4549 = llvm_cbe_tmp__4549__PHI_TEMPORARY;
  llvm_cbe_tmp__4550 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4549);
  llvm_cbe_tmp__4551 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4550) + ((unsigned int )18u)));
  llvm_cbe_tmp__4552 = *((&RAM.array[((signed int )llvm_cbe_tmp__4551)]));
  llvm_cbe_tmp__4553 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4550) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__4554 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4553)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4552)) << 8u);
  llvm_cbe_tmp__4555 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4550) + ((unsigned int )22u)));
  llvm_cbe_tmp__4556 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4554 & 65534u))]));
  llvm_cbe_tmp__4557 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4554 | 1u))]));
  llvm_cbe_tmp__4558 = llvm_cbe_tmp__4555 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4558)])) = llvm_cbe_tmp__4556;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4558) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4557;
  llvm_cbe_tmp__4559 = llvm_cbe_tmp__4551 & 65535u;
  llvm_cbe_tmp__4560 = (&RAM.array[((signed int )llvm_cbe_tmp__4559)]);
  llvm_cbe_tmp__4561 = *llvm_cbe_tmp__4560;
  llvm_cbe_tmp__4562 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4561)) << 8u;
  llvm_cbe_tmp__4563 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4559) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4564 = *llvm_cbe_tmp__4563;
  llvm_cbe_tmp__4565 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4562 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4564)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__4560 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4565) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4563 = (((unsigned char )llvm_cbe_tmp__4565));
  llvm_cbe_tmp__4566 = ((unsigned short )llvm_cbe_tmp__4565);
  llvm_cbe_tmp__4567 = ((unsigned int )(bool )(llvm_cbe_tmp__4566 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__4567;
  llvm_cbe_tmp__4568 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4566) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4568;
  llvm_cbe_tmp__4569 = ((unsigned int )(bool )(llvm_cbe_tmp__4566 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__4569;
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4565) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4562 & 32768u) == 0u)) {
    llvm_cbe_tmp__4570__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5359;
  } else {
    goto llvm_cbe_tmp__8019;
  }

llvm_cbe__2e__crit_edge5356:
  *((&RAM.array[((signed int )33612u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33613u)])) = ((unsigned char )0);
  llvm_cbe_tmp__4544 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4545 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4544) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__4546 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4544) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__4547 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4546)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4545)) << 8u);
  llvm_cbe_tmp__4548 = ((unsigned short )llvm_cbe_tmp__4547);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4548) > ((unsigned short )((unsigned short )-18688)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4548) > ((signed short )((unsigned short )-18688)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4547 == 46848u)));
  if ((llvm_cbe_tmp__4547 == 46848u)) {
    goto llvm_cbe__2e__crit_edge5357;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6905__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__4549__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5358;
  }

llvm_cbe_tmp__7592:
  if (((((llvm_cbe_tmp__5995 == 0u) & (llvm_cbe_tmp__5994 == 0u))&1))) {
    goto llvm_cbe_tmp__8020;
  } else {
    goto llvm_cbe__2e__crit_edge5356;
  }

llvm_cbe__2e__crit_edge5650:
  llvm_cbe__2e_pre6053_2e_rle6909 = llvm_cbe__2e_pre6053_2e_rle6909__PHI_TEMPORARY;
  llvm_cbe_tmp__4592 = llvm_cbe_tmp__4592__PHI_TEMPORARY;
  llvm_cbe_tmp__4593 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__4592))) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__4594 = *((&RAM.array[((signed int )llvm_cbe_tmp__4593)]));
  llvm_cbe_tmp__4595 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4593) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4596 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4594)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4595));
  *((&RAM.array[((signed int )33616u)])) = llvm_cbe_tmp__4594;
  *((&RAM.array[((signed int )33617u)])) = llvm_cbe_tmp__4595;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4596 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4596))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4596 == 0u)));
  llvm_cbe__2e_pre6053_2e_rle6905__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6909;   /* for PHI node */
  llvm_cbe_tmp__4549__PHI_TEMPORARY = llvm_cbe_tmp__4592;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5358;

llvm_cbe_tmp__7593:
  llvm_cbe_tmp__7006 =  /*tail*/ hw_read(((unsigned short )-30720));
  *((&RAM.array[((signed int )33763u)])) = llvm_cbe_tmp__7006;
  llvm_cbe_tmp__7007 = *(&WP);
  llvm_cbe_tmp__7008 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7007);
  llvm_cbe_tmp__7009 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7008) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__7010 = (&RAM.array[((signed int )llvm_cbe_tmp__7009)]);
  llvm_cbe_tmp__7011 = *llvm_cbe_tmp__7010;
  llvm_cbe_tmp__7012 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7009) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7013 = *llvm_cbe_tmp__7012;
  *((&RAM.array[((signed int )33614u)])) = llvm_cbe_tmp__7011;
  *((&RAM.array[((signed int )33615u)])) = llvm_cbe_tmp__7013;
  llvm_cbe_tmp__7014 = *llvm_cbe_tmp__7010;
  llvm_cbe_tmp__7015 = *llvm_cbe_tmp__7012;
  llvm_cbe_tmp__7016 = ((unsigned int )(unsigned char )llvm_cbe_tmp__7015);
  llvm_cbe_tmp__7017 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7014)) << 8u) | llvm_cbe_tmp__7016;
  llvm_cbe_tmp__7018 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7008) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__7019 = (&RAM.array[((signed int )llvm_cbe_tmp__7018)]);
  *llvm_cbe_tmp__7019 = llvm_cbe_tmp__7014;
  llvm_cbe_tmp__7020 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7018) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__7020 = llvm_cbe_tmp__7015;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7017 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__7017))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7017 == 0u)));
  if ((llvm_cbe_tmp__7017 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6909__PHI_TEMPORARY = llvm_cbe_tmp__7007;   /* for PHI node */
    llvm_cbe_tmp__4592__PHI_TEMPORARY = llvm_cbe_tmp__7007;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5650;
  } else {
    goto llvm_cbe_tmp__8021;
  }

llvm_cbe_tmp__7594:
  llvm_cbe_tmp__7021 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7022 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7021) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__7023 = *llvm_cbe_tmp__7022;
  llvm_cbe_tmp__7024 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7021) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__7025 = *llvm_cbe_tmp__7024;
  llvm_cbe_tmp__7026 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7023)) << ((unsigned short )8)));
  *llvm_cbe_tmp__7022 = ((unsigned char )0);
  *llvm_cbe_tmp__7024 = llvm_cbe_tmp__7023;
  llvm_cbe_tmp__7027 = ((unsigned int )(bool )(llvm_cbe_tmp__7026 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__7027;
  *(&ST_AGT) = llvm_cbe_tmp__7027;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7026 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__7025))) >> ((unsigned int )7u))));
  llvm_cbe__2e_pre6053_2e_rle6909__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__4592__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5650;

llvm_cbe__2e__crit_edge5378:
  llvm_cbe_tmp__4676 = llvm_cbe_tmp__4676__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4676;
  llvm_cbe__2e_pre6053_2e_rle6905__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__4549__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5358;

llvm_cbe__2e__crit_edge5377:
  *llvm_cbe_tmp__7052 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7056) >> ((unsigned int )5u))))));
  *llvm_cbe_tmp__7054 = (((unsigned char )(llvm_cbe_tmp__7056 << 3u)));
  llvm_cbe_tmp__4667 = llvm_cbe_tmp__7051 & 65535u;
  llvm_cbe_tmp__4668 = *((&RAM.array[((signed int )llvm_cbe_tmp__4667)]));
  llvm_cbe_tmp__4669 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4668)) << 8u;
  llvm_cbe_tmp__4670 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4667) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4671 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__4672 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4671)) << 8u;
  llvm_cbe_tmp__4673 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__4674 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4672 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4673)))) + ((unsigned int )(llvm_cbe_tmp__4669 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4670))))));
  *((&RAM.array[((signed int )33614u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4674) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33615u)])) = (((unsigned char )llvm_cbe_tmp__4674));
  llvm_cbe_tmp__4675 = ((unsigned short )llvm_cbe_tmp__4674);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4675 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4675) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4675 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4674) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__4672 ^ llvm_cbe_tmp__4669) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8022;
  } else {
    llvm_cbe_tmp__4676__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5378;
  }

llvm_cbe_tmp__7601:
  llvm_cbe_tmp__7050 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7051 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7050) + ((unsigned int )4u)));
  llvm_cbe_tmp__7052 = (&RAM.array[((signed int )llvm_cbe_tmp__7051)]);
  llvm_cbe_tmp__7053 = *llvm_cbe_tmp__7052;
  llvm_cbe_tmp__7054 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7050) + ((unsigned int )5u)))))]);
  llvm_cbe_tmp__7055 = *llvm_cbe_tmp__7054;
  llvm_cbe_tmp__7056 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7055)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7053)) << 8u);
  if (((((llvm_cbe_tmp__5995 == 0u) & (llvm_cbe_tmp__5994 == 0u))&1))) {
    goto llvm_cbe_tmp__8023;
  } else {
    goto llvm_cbe__2e__crit_edge5377;
  }

llvm_cbe_tmp__8022:
  llvm_cbe_tmp4574_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__4674 ^ llvm_cbe_tmp__4672)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4676__PHI_TEMPORARY = llvm_cbe_tmp4574_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5378;

llvm_cbe_tmp__8019:
  llvm_cbe_tmp4576 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4565) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4570__PHI_TEMPORARY = llvm_cbe_tmp4576;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5359;

llvm_cbe__2e__crit_edge5578:
  llvm_cbe__2e_pre6053_2e_rle6910 = llvm_cbe__2e_pre6053_2e_rle6910__PHI_TEMPORARY;
  llvm_cbe_tmp__4786 = llvm_cbe_tmp__4786__PHI_TEMPORARY;
  llvm_cbe__2e_rle5977 = llvm_cbe__2e_rle5977__PHI_TEMPORARY;
  llvm_cbe__2e_rle5943 = llvm_cbe__2e_rle5943__PHI_TEMPORARY;
  llvm_cbe__2e_rle5911 = llvm_cbe__2e_rle5911__PHI_TEMPORARY;
  llvm_cbe_tmp__4787 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4786);
  llvm_cbe_tmp__4788 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4787) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__4789 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4787) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__4790 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4789)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4788)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4790;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6910;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5977;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5943;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5911;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4786;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4790;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4790;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7606:
  llvm_cbe_tmp__7065 =  /*tail*/ hw_read(((unsigned short )-30720));
  *((&RAM.array[((signed int )33763u)])) = llvm_cbe_tmp__7065;
  llvm_cbe_tmp__7066 = *(&WP);
  llvm_cbe_tmp__7067 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7066);
  llvm_cbe_tmp__7068 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7067) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__7069 = (&RAM.array[((signed int )llvm_cbe_tmp__7068)]);
  llvm_cbe_tmp__7070 = *llvm_cbe_tmp__7069;
  llvm_cbe_tmp__7071 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7068) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7072 = *llvm_cbe_tmp__7071;
  *((&RAM.array[((signed int )33632u)])) = llvm_cbe_tmp__7070;
  *((&RAM.array[((signed int )33633u)])) = llvm_cbe_tmp__7072;
  llvm_cbe_tmp__7073 = *llvm_cbe_tmp__7069;
  llvm_cbe_tmp__7074 = *llvm_cbe_tmp__7071;
  llvm_cbe_tmp__7075 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__7076 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__7077 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7073)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7074))));
  llvm_cbe_tmp__7078 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7075)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7076))));
  llvm_cbe_tmp__7079 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__7077) > ((unsigned short )llvm_cbe_tmp__7078)));
  *(&ST_LGT) = llvm_cbe_tmp__7079;
  llvm_cbe_tmp__7080 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7077) > ((signed short )llvm_cbe_tmp__7078)));
  *(&ST_AGT) = llvm_cbe_tmp__7080;
  llvm_cbe_tmp__7081 = ((unsigned int )(bool )(llvm_cbe_tmp__7077 == llvm_cbe_tmp__7078));
  *(&ST_EQ) = llvm_cbe_tmp__7081;
  if ((llvm_cbe_tmp__7077 == llvm_cbe_tmp__7078)) {
    llvm_cbe__2e_pre6053_2e_rle6910__PHI_TEMPORARY = llvm_cbe_tmp__7066;   /* for PHI node */
    llvm_cbe_tmp__4786__PHI_TEMPORARY = llvm_cbe_tmp__7066;   /* for PHI node */
    llvm_cbe__2e_rle5977__PHI_TEMPORARY = llvm_cbe_tmp__7079;   /* for PHI node */
    llvm_cbe__2e_rle5943__PHI_TEMPORARY = llvm_cbe_tmp__7081;   /* for PHI node */
    llvm_cbe__2e_rle5911__PHI_TEMPORARY = llvm_cbe_tmp__7080;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5578;
  } else {
    goto llvm_cbe_tmp__8024;
  }

llvm_cbe_tmp__8025:
  llvm_cbe_tmp__4842 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4829) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__4843 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4829) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__4844 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4843)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4842)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4844;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__4828;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4838;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4840;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4839;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4828;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4844;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4844;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

  do {     /* Syntactic loop '._crit_edge5391' to make GCC happy */
llvm_cbe__2e__crit_edge5391:
  llvm_cbe_tmp__4820 = llvm_cbe_tmp__4820__PHI_TEMPORARY;
  llvm_cbe_tmp__4821 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__4820) + ((unsigned short )((unsigned short )8))))))));
  llvm_cbe_tmp__4822 = (&RAM.array[((signed int )llvm_cbe_tmp__4821)]);
  llvm_cbe_tmp__4823 = *llvm_cbe_tmp__4822;
  llvm_cbe_tmp__4824 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4821) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4825 = *llvm_cbe_tmp__4824;
  llvm_cbe_tmp__4826 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4823)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4825));
  *llvm_cbe_tmp__4822 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4826) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4824 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4825) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4827 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__4826)));
   /*tail*/ hw_write(((unsigned short )-29696), llvm_cbe_tmp__4827);
  llvm_cbe_tmp__4828 = *(&WP);
  llvm_cbe_tmp__4829 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4828);
  llvm_cbe_tmp__4830 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4829) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__4831 = (&RAM.array[((signed int )llvm_cbe_tmp__4830)]);
  llvm_cbe_tmp__4832 = *llvm_cbe_tmp__4831;
  llvm_cbe_tmp__4833 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4832)) << 8u;
  llvm_cbe_tmp__4834 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4830) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4835 = *llvm_cbe_tmp__4834;
  llvm_cbe_tmp__4836 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4833 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4835)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__4831 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4836) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4834 = (((unsigned char )llvm_cbe_tmp__4836));
  llvm_cbe_tmp__4837 = ((unsigned short )llvm_cbe_tmp__4836);
  llvm_cbe_tmp__4838 = ((unsigned int )(bool )(llvm_cbe_tmp__4837 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__4838;
  llvm_cbe_tmp__4839 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4837) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4839;
  llvm_cbe_tmp__4840 = ((unsigned int )(bool )(llvm_cbe_tmp__4837 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__4840;
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4836) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4833 & 32768u) == 0u)) {
    llvm_cbe_tmp__4841__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5390;
  } else {
    goto llvm_cbe_tmp__8026;
  }

llvm_cbe__2e__crit_edge5390:
  llvm_cbe_tmp__4841 = llvm_cbe_tmp__4841__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4841;
  if ((((signed short )llvm_cbe_tmp__4837) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__4820__PHI_TEMPORARY = llvm_cbe_tmp__4828;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5391;
  } else {
    goto llvm_cbe_tmp__8025;
  }

llvm_cbe_tmp__8026:
  llvm_cbe_tmp4599 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4836) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4841__PHI_TEMPORARY = llvm_cbe_tmp4599;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5390;

  } while (1); /* end of syntactic loop '._crit_edge5391' */
llvm_cbe_tmp__8027:
  llvm_cbe_tmp__4722 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4722) + ((unsigned int )4u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4722) + ((unsigned int )5u)))))])) = ((unsigned char )8);
  llvm_cbe_tmp__4723 = *((&RAM.array[((signed int )33632u)]));
  llvm_cbe_tmp__4724 = *((&RAM.array[((signed int )33633u)]));
  llvm_cbe_tmp__4725 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4723)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4724));
  llvm_cbe_tmp__4726 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4722) + ((unsigned int )10u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4726)])) = llvm_cbe_tmp__4723;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4726) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4724;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4725 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4725))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4725 == 0u)));
  llvm_cbe_tmp__4727 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4722) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4728 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4722) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4729 = *((&RAM.array[((signed int )33771u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4727)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4728))))), llvm_cbe_tmp__4729);
  llvm_cbe_tmp__4730 = *(&WP);
  llvm_cbe_tmp__4731 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4730);
  llvm_cbe_tmp__4732 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4731) + ((unsigned int )10u)));
  llvm_cbe_tmp__4733 = (&RAM.array[((signed int )llvm_cbe_tmp__4732)]);
  llvm_cbe_tmp__4734 = *llvm_cbe_tmp__4733;
  llvm_cbe_tmp__4735 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4731) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__4736 = *llvm_cbe_tmp__4735;
  llvm_cbe_tmp__4737 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4734)) << 8u) | 16384u;
  *llvm_cbe_tmp__4733 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4737) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4735 = llvm_cbe_tmp__4736;
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )((((unsigned short )llvm_cbe_tmp__4737)) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4736)))))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__4738 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4731) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4739 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4731) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4740 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4732 & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4739)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4738)) << ((unsigned short )8))))))), llvm_cbe_tmp__4740);
  llvm_cbe_tmp__4741 = *(&WP);
  llvm_cbe_tmp__4742 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4741);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4742) + ((unsigned int )8u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4742) + ((unsigned int )9u)))))])) = ((unsigned char )74);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__4820__PHI_TEMPORARY = llvm_cbe_tmp__4741;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5391;

llvm_cbe_tmp__8028:
  if (((((((unsigned char )llvm_cbe_tmp__7064) > ((unsigned char )llvm_cbe_tmp__7063)) | (llvm_cbe_tmp__7064 == llvm_cbe_tmp__7063))&1))) {
    goto llvm_cbe__2e__crit_edge5381;
  } else {
    goto llvm_cbe_tmp__8027;
  }

llvm_cbe_tmp__7605:
  llvm_cbe_tmp__7062 = *((&RAM.array[((signed int )33630u)]));
  llvm_cbe_tmp__7063 = *((&RAM.array[((signed int )5588u)]));
  llvm_cbe_tmp__7064 = *((&RAM.array[((signed int )33612u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__7064) > ((unsigned char )llvm_cbe_tmp__7063))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7064) > ((signed char )llvm_cbe_tmp__7063))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7064 == llvm_cbe_tmp__7063)));
  if ((llvm_cbe_tmp__7062 == llvm_cbe_tmp__7063)) {
    goto llvm_cbe_tmp__8029;
  } else {
    goto llvm_cbe_tmp__8028;
  }

llvm_cbe_tmp__8030:
  llvm_cbe_tmp__4864 = llvm_cbe_tmp__4864__PHI_TEMPORARY;
  llvm_cbe_tmp__4865 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4864);
  llvm_cbe_tmp__4866 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4865) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4867 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4865) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4868 = *((&RAM.array[((signed int )33767u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4866)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4867))))), llvm_cbe_tmp__4868);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4868 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4868) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4868 == ((unsigned char )0))));
  llvm_cbe_tmp__4869 = *(&WP);
  llvm_cbe_tmp__4870 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4869);
  llvm_cbe_tmp__4871 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4870) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4872 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4870) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4873 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4870) + ((unsigned int )6u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4872)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4871)) << ((unsigned short )8))))))), llvm_cbe_tmp__4873);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4873 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4873) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4873 == ((unsigned char )0))));
  llvm_cbe_tmp__4874 = *(&WP);
  llvm_cbe_tmp__4875 =  /*tail*/ hw_read(((unsigned short )-30720));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__4874))) + ((unsigned int )2u)))) & 65535u))])) = llvm_cbe_tmp__4875;
  llvm_cbe_tmp__4876 = ((unsigned int )(bool )(llvm_cbe_tmp__4875 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__4876;
  llvm_cbe_tmp__4877 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4875) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4877;
  llvm_cbe_tmp__4878 = ((unsigned int )(bool )(llvm_cbe_tmp__4875 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__4878;
  llvm_cbe_tmp__4879 = *(&WP);
  llvm_cbe_tmp__4880 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4879);
  llvm_cbe_tmp__4881 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4880) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__4882 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4880) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__4883 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4882)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4881)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4883;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__4879;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4876;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4878;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4877;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4879;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4883;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4883;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5361:
  llvm_cbe__2e_pre_2d_phi7027 = llvm_cbe__2e_pre_2d_phi7027__PHI_TEMPORARY;
  llvm_cbe_tmp__4579 = *((&RAM.array[((signed int )5588u)]));
  llvm_cbe_tmp__4580 = *((&RAM.array[((signed int )5589u)]));
  *((&RAM.array[((signed int )33612u)])) = llvm_cbe_tmp__4579;
  *((&RAM.array[((signed int )33613u)])) = llvm_cbe_tmp__4580;
  llvm_cbe_tmp__4581 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__4582 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__4583 = (((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7027) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__4584 = (&RAM.array[((signed int )llvm_cbe_tmp__4583)]);
  *llvm_cbe_tmp__4584 = llvm_cbe_tmp__4581;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4583) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4582;
  llvm_cbe_tmp__4585 = *llvm_cbe_tmp__4584;
  llvm_cbe_tmp__4586 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4585)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4582));
  *((&RAM.array[((signed int )33610u)])) = llvm_cbe_tmp__4585;
  *((&RAM.array[((signed int )33611u)])) = llvm_cbe_tmp__4582;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4586 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4586))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4586 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7027) + ((unsigned int )22u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7027) + ((unsigned int )23u)))))])) = ((unsigned char )-82);
  llvm_cbe_tmp__4864__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8030;

llvm_cbe_tmp__8020:
  llvm_cbe_tmp__4574 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4575 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4574) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__4576 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4574) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__4577 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4576)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4575)) << 8u);
  llvm_cbe_tmp__4578 = ((unsigned short )llvm_cbe_tmp__4577);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4578) > ((unsigned short )((unsigned short )-18688)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4578) > ((signed short )((unsigned short )-18688)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4577 == 46848u)));
  if ((llvm_cbe_tmp__4577 == 46848u)) {
    goto llvm_cbe__2e__crit_edge5357;
  } else {
    llvm_cbe__2e_pre_2d_phi7027__PHI_TEMPORARY = llvm_cbe_tmp__4574;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5361;
  }

llvm_cbe__2e__crit_edge5379:
  llvm_cbe__2e_pre7026_2e_pre_2d_phi = llvm_cbe__2e_pre7026_2e_pre_2d_phi__PHI_TEMPORARY;
  llvm_cbe_tmp__4686 = llvm_cbe_tmp__4686__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4686;
  llvm_cbe__2e_pre_2d_phi7027__PHI_TEMPORARY = llvm_cbe__2e_pre7026_2e_pre_2d_phi;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5361;

llvm_cbe_tmp__8023:
  *llvm_cbe_tmp__7052 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7056) >> ((unsigned int )7u))))));
  *llvm_cbe_tmp__7054 = (((unsigned char )(llvm_cbe_tmp__7056 << 1u)));
  llvm_cbe_tmp__4677 = llvm_cbe_tmp__7051 & 65535u;
  llvm_cbe_tmp__4678 = *((&RAM.array[((signed int )llvm_cbe_tmp__4677)]));
  llvm_cbe_tmp__4679 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4678)) << 8u;
  llvm_cbe_tmp__4680 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4677) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4681 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__4682 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4681)) << 8u;
  llvm_cbe_tmp__4683 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__4684 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4682 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4683)))) + ((unsigned int )(llvm_cbe_tmp__4679 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4680))))));
  *((&RAM.array[((signed int )33614u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4684) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33615u)])) = (((unsigned char )llvm_cbe_tmp__4684));
  llvm_cbe_tmp__4685 = ((unsigned short )llvm_cbe_tmp__4684);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4685 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4685) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4685 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4684) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__4682 ^ llvm_cbe_tmp__4679) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8031;
  } else {
    llvm_cbe__2e_pre7026_2e_pre_2d_phi__PHI_TEMPORARY = llvm_cbe_tmp__7050;   /* for PHI node */
    llvm_cbe_tmp__4686__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5379;
  }

llvm_cbe_tmp__8031:
  llvm_cbe_tmp4582_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__4684 ^ llvm_cbe_tmp__4682)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe__2e_pre7026_2e_pre = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre7026_2e_pre_2d_phi__PHI_TEMPORARY = llvm_cbe__2e_pre7026_2e_pre;   /* for PHI node */
  llvm_cbe_tmp__4686__PHI_TEMPORARY = llvm_cbe_tmp4582_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5379;

llvm_cbe__2e__crit_edge5362:
  llvm_cbe_tmp__4591 = llvm_cbe_tmp__4591__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4591;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7008) + ((unsigned int )22u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7008) + ((unsigned int )23u)))))])) = ((unsigned char )-62);
  llvm_cbe_tmp__4864__PHI_TEMPORARY = llvm_cbe_tmp__7007;   /* for PHI node */
  goto llvm_cbe_tmp__8030;

llvm_cbe_tmp__8021:
  llvm_cbe_tmp__4587 = *llvm_cbe_tmp__7019;
  llvm_cbe_tmp__4588 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4587)) << 8u;
  llvm_cbe_tmp__4589 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4588 | llvm_cbe_tmp__7016)) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__7019 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4589) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7020 = (((unsigned char )llvm_cbe_tmp__4589));
  llvm_cbe_tmp__4590 = ((unsigned short )llvm_cbe_tmp__4589);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4590 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4590) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4590 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4589) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4588 & 32768u) == 0u)) {
    llvm_cbe_tmp__4591__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5362;
  } else {
    goto llvm_cbe_tmp__8032;
  }

llvm_cbe_tmp__8032:
  llvm_cbe_tmp4555 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4589) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4591__PHI_TEMPORARY = llvm_cbe_tmp4555;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5362;

llvm_cbe__2e__crit_edge5389:
  llvm_cbe_tmp__4796 = llvm_cbe_tmp__4796__PHI_TEMPORARY;
  llvm_cbe_tmp__4797 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4796);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4797) + ((unsigned int )22u)))))])) = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4797) + ((unsigned int )23u)))))])) = ((unsigned char )54);
  llvm_cbe_tmp__4864__PHI_TEMPORARY = llvm_cbe_tmp__4796;   /* for PHI node */
  goto llvm_cbe_tmp__8030;

llvm_cbe__2e__crit_edge5387:
  llvm_cbe_tmp__4819 = llvm_cbe_tmp__4819__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4819;
  if ((((signed short )llvm_cbe_tmp__4818) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__4796__PHI_TEMPORARY = llvm_cbe_tmp__4800;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5389;
  } else {
    llvm_cbe_tmp__4767__PHI_TEMPORARY = llvm_cbe_tmp__4800;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5388;
  }

llvm_cbe__2e__crit_edge5386:
  llvm_cbe_tmp__4810 = llvm_cbe_tmp__4810__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4810;
  llvm_cbe_tmp__4811 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4801) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__4812 = (&RAM.array[((signed int )llvm_cbe_tmp__4811)]);
  llvm_cbe_tmp__4813 = *llvm_cbe_tmp__4812;
  llvm_cbe_tmp__4814 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4813)) << 8u;
  llvm_cbe_tmp__4815 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4811) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4816 = *llvm_cbe_tmp__4815;
  llvm_cbe_tmp__4817 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4814 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4816)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__4812 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4817) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4815 = (((unsigned char )llvm_cbe_tmp__4817));
  llvm_cbe_tmp__4818 = ((unsigned short )llvm_cbe_tmp__4817);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4818 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4818) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4818 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4817) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4814 & 32768u) == 0u)) {
    llvm_cbe_tmp__4819__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5387;
  } else {
    goto llvm_cbe_tmp__8033;
  }

llvm_cbe__2e__crit_edge5657:
  llvm_cbe_tmp__4798 = llvm_cbe_tmp__4798__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4798;
  llvm_cbe_tmp__4799 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7121) + ((unsigned int )2u)))) & 65535u))]));
   /*tail*/ hw_write(((unsigned short )-29696), llvm_cbe_tmp__4799);
  llvm_cbe_tmp__4800 = *(&WP);
  llvm_cbe_tmp__4801 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4800);
  llvm_cbe_tmp__4802 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4801) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__4803 = (&RAM.array[((signed int )llvm_cbe_tmp__4802)]);
  llvm_cbe_tmp__4804 = *llvm_cbe_tmp__4803;
  llvm_cbe_tmp__4805 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4804)) << 8u;
  llvm_cbe_tmp__4806 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4802) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4807 = *llvm_cbe_tmp__4806;
  llvm_cbe_tmp__4808 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4805 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4807)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__4803 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4808) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4806 = (((unsigned char )llvm_cbe_tmp__4808));
  llvm_cbe_tmp__4809 = ((unsigned short )llvm_cbe_tmp__4808);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4809 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4809) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4809 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4808) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4805 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8034;
  } else {
    llvm_cbe_tmp__4810__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5386;
  }

llvm_cbe_tmp__8035:
  llvm_cbe__2e_lobit4607 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7128) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4798__PHI_TEMPORARY = llvm_cbe__2e_lobit4607;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5657;

llvm_cbe_tmp__7610:
  llvm_cbe_tmp__7111 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7112 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7111) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__7113 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7111) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__7114 = *((&RAM.array[((signed int )33771u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7112)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7113))))), llvm_cbe_tmp__7114);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7114 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7114) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7114 == ((unsigned char )0))));
  llvm_cbe_tmp__7115 = *(&WP);
  llvm_cbe_tmp__7116 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7115);
  llvm_cbe_tmp__7117 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7116) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__7118 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7116) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__7119 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7116) + ((unsigned int )10u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7118)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7117)) << ((unsigned short )8))))))), llvm_cbe_tmp__7119);
  llvm_cbe_tmp__7120 = *(&WP);
  llvm_cbe_tmp__7121 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7120);
  llvm_cbe_tmp__7122 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7121) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__7123 = (&RAM.array[((signed int )llvm_cbe_tmp__7122)]);
  llvm_cbe_tmp__7124 = *llvm_cbe_tmp__7123;
  llvm_cbe_tmp__7125 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7124)) << 8u;
  llvm_cbe_tmp__7126 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7122) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7127 = *llvm_cbe_tmp__7126;
  llvm_cbe_tmp__7128 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7125 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7127)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__7123 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7128) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7126 = (((unsigned char )llvm_cbe_tmp__7128));
  llvm_cbe_tmp__7129 = ((unsigned short )llvm_cbe_tmp__7128);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7129 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7129) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7129 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7128) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__7125 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8035;
  } else {
    llvm_cbe_tmp__4798__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5657;
  }

llvm_cbe_tmp__8034:
  llvm_cbe__2e_lobit4606 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4808) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4810__PHI_TEMPORARY = llvm_cbe__2e_lobit4606;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5386;

llvm_cbe_tmp__8033:
  llvm_cbe_tmp4605 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4817) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4819__PHI_TEMPORARY = llvm_cbe_tmp4605;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5387;

llvm_cbe_tmp__7609:
  llvm_cbe_tmp__7092 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7093 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__7094 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__7095 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7092) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7095)])) = llvm_cbe_tmp__7093;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7095) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7094;
  llvm_cbe_tmp__7096 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7092) + ((unsigned int )10u)));
  llvm_cbe_tmp__7097 = *((&RAM.array[((signed int )33564u)]));
  llvm_cbe_tmp__7098 = *((&RAM.array[((signed int )33565u)]));
  llvm_cbe_tmp__7099 = llvm_cbe_tmp__7096 & 65535u;
  llvm_cbe_tmp__7100 = (&RAM.array[((signed int )llvm_cbe_tmp__7099)]);
  *llvm_cbe_tmp__7100 = llvm_cbe_tmp__7097;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7099) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7098;
  llvm_cbe_tmp__7101 = *llvm_cbe_tmp__7100;
  llvm_cbe_tmp__7102 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7092) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7102)])) = llvm_cbe_tmp__7101;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7102) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7098;
  llvm_cbe_tmp__7103 = *((&RAM.array[((signed int )33616u)]));
  llvm_cbe_tmp__7104 = *((&RAM.array[((signed int )33617u)]));
  llvm_cbe_tmp__7105 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7092) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7105)])) = llvm_cbe_tmp__7103;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7105) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7104;
  llvm_cbe_tmp__7106 = (&RAM.array[((signed int )llvm_cbe_tmp__7096)]);
  llvm_cbe_tmp__7107 = *llvm_cbe_tmp__7106;
  llvm_cbe_tmp__7108 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7092) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__7109 = *llvm_cbe_tmp__7108;
  llvm_cbe_tmp__7110 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7107)) << 8u) | 16384u;
  *llvm_cbe_tmp__7106 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7110) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7108 = llvm_cbe_tmp__7109;
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )((((unsigned short )llvm_cbe_tmp__7110)) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7109)))))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__4796__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5389;

llvm_cbe_tmp__8036:
  llvm_cbe_tmp__4845 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )22))))))));
  llvm_cbe_tmp__4846 = (&RAM.array[((signed int )llvm_cbe_tmp__4845)]);
  llvm_cbe_tmp__4847 = *llvm_cbe_tmp__4846;
  llvm_cbe_tmp__4848 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4845) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4849 = *llvm_cbe_tmp__4848;
  llvm_cbe_tmp__4850 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4847)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4849));
  *llvm_cbe_tmp__4846 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4850) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4848 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4849) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__4851 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4852 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4851) + ((unsigned int )6u)));
  llvm_cbe_tmp__4853 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4850 & 65534u))]));
  llvm_cbe_tmp__4854 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4850 | 1u))]));
  llvm_cbe_tmp__4855 = llvm_cbe_tmp__4852 & 65535u;
  llvm_cbe_tmp__4856 = (&RAM.array[((signed int )llvm_cbe_tmp__4855)]);
  *llvm_cbe_tmp__4856 = llvm_cbe_tmp__4853;
  llvm_cbe_tmp__4857 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4855) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__4857 = llvm_cbe_tmp__4854;
  llvm_cbe_tmp__4858 = *((&RAM.array[((signed int )llvm_cbe_tmp__4852)]));
  llvm_cbe_tmp__4859 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4851) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__4860 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4859)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4858)) << 8u);
  llvm_cbe_tmp__4861 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4860 & 65534u))]));
  llvm_cbe_tmp__4862 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4860 | 1u))]));
  llvm_cbe_tmp__4863 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4861)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4862));
  *llvm_cbe_tmp__4856 = llvm_cbe_tmp__4861;
  *llvm_cbe_tmp__4857 = llvm_cbe_tmp__4862;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4863 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4863))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4863 == 0u)));
  llvm_cbe_tmp__4864__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8030;

llvm_cbe__2e__crit_edge5355:
  llvm_cbe_tmp__4537 = llvm_cbe_tmp__4537__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4537;
  llvm_cbe_tmp__4538 = (&RAM.array[((signed int )llvm_cbe_tmp__4520)]);
  *llvm_cbe_tmp__4538 = ((unsigned char )22);
  llvm_cbe_tmp__4539 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4509) + ((unsigned int )23u)))))]);
  *llvm_cbe_tmp__4539 = ((unsigned char )-124);
  llvm_cbe_tmp__4540 = *llvm_cbe_tmp__4525;
  llvm_cbe_tmp__4541 = *llvm_cbe_tmp__4527;
  llvm_cbe_tmp__4542 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4540)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4541));
  llvm_cbe_tmp__4543 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4509) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4543)])) = llvm_cbe_tmp__4540;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4543) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4541;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4542 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4542))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4542 == 0u)));
  *llvm_cbe_tmp__4538 = ((unsigned char )25);
  *llvm_cbe_tmp__4539 = ((unsigned char )-4);
  goto llvm_cbe_tmp__8036;

llvm_cbe__2e__crit_edge5354:
  llvm_cbe_tmp__4519 = llvm_cbe_tmp__4519__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4519;
  llvm_cbe_tmp__4520 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4509) + ((unsigned int )22u)));
  llvm_cbe_tmp__4521 = *((&RAM.array[((signed int )llvm_cbe_tmp__4510)]));
  llvm_cbe_tmp__4522 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4509) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__4523 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4522)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4521)) << 8u);
  llvm_cbe_tmp__4524 = llvm_cbe_tmp__4520 & 65535u;
  llvm_cbe_tmp__4525 = (&RAM.array[((signed int )llvm_cbe_tmp__4524)]);
  llvm_cbe_tmp__4526 = *llvm_cbe_tmp__4525;
  llvm_cbe_tmp__4527 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4524) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4528 = *llvm_cbe_tmp__4527;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__4523 & 65534u))])) = llvm_cbe_tmp__4526;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__4523 | 1u))])) = llvm_cbe_tmp__4528;
  llvm_cbe_tmp__4529 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__4530 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4529)) << 8u;
  llvm_cbe_tmp__4531 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__4532 = *((&RAM.array[((signed int )6166u)]));
  llvm_cbe_tmp__4533 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4532)) << 8u;
  llvm_cbe_tmp__4534 = *((&RAM.array[((signed int )6167u)]));
  llvm_cbe_tmp__4535 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4530 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4531)))) + ((unsigned int )(llvm_cbe_tmp__4533 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4534))))));
  *((&RAM.array[((signed int )33614u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4535) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33615u)])) = (((unsigned char )llvm_cbe_tmp__4535));
  llvm_cbe_tmp__4536 = ((unsigned short )llvm_cbe_tmp__4535);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4536 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4536) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4536 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4535) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__4530 ^ llvm_cbe_tmp__4533) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8037;
  } else {
    llvm_cbe_tmp__4537__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5355;
  }

llvm_cbe__2e__crit_edge5572:
  llvm_cbe_tmp__4509 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4510 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4509) + ((unsigned int )18u)));
  llvm_cbe_tmp__4511 = llvm_cbe_tmp__4510 & 65535u;
  llvm_cbe_tmp__4512 = (&RAM.array[((signed int )llvm_cbe_tmp__4511)]);
  llvm_cbe_tmp__4513 = *llvm_cbe_tmp__4512;
  llvm_cbe_tmp__4514 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4513)) << 8u;
  llvm_cbe_tmp__4515 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4511) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4516 = *llvm_cbe_tmp__4515;
  llvm_cbe_tmp__4517 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4514 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4516)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__4512 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4517) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4515 = (((unsigned char )llvm_cbe_tmp__4517));
  llvm_cbe_tmp__4518 = ((unsigned short )llvm_cbe_tmp__4517);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4518 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4518) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4518 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4517) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4514 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8038;
  } else {
    llvm_cbe_tmp__4519__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5354;
  }

llvm_cbe__2e__crit_edge5447:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7287) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7287) + ((unsigned int )23u)))))])) = ((unsigned char )-90);
  goto llvm_cbe__2e__crit_edge5572;

llvm_cbe_tmp__7648:
  llvm_cbe_tmp__7287 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7288 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7287) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__7289 = *llvm_cbe_tmp__7288;
  llvm_cbe_tmp__7290 = ((unsigned int )(unsigned char )llvm_cbe_tmp__7289);
  llvm_cbe_tmp__7291 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7287) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__7292 = *llvm_cbe_tmp__7291;
  llvm_cbe_tmp__7293 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7292)) | (llvm_cbe_tmp__7290 << 8u);
  llvm_cbe_tmp__7294 = llvm_cbe_tmp__7293 << 1u;
  *llvm_cbe_tmp__7288 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7293) >> ((unsigned int )7u))))));
  *llvm_cbe_tmp__7291 = (((unsigned char )llvm_cbe_tmp__7294));
  llvm_cbe_tmp__7295 = ((unsigned short )llvm_cbe_tmp__7294);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7295 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7295) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7295 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7290) >> ((unsigned int )7u))));
  if (((((((signed short )llvm_cbe_tmp__7295) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__7295 == ((unsigned short )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5447;
  } else {
    goto llvm_cbe_tmp__8039;
  }

llvm_cbe_tmp__7655:
  llvm_cbe_tmp__7317 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7317) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7317) + ((unsigned int )23u)))))])) = ((unsigned char )-14);
  goto llvm_cbe__2e__crit_edge5572;

llvm_cbe_tmp__8038:
  llvm_cbe__2e_lobit4704 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4517) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4519__PHI_TEMPORARY = llvm_cbe__2e_lobit4704;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5354;

llvm_cbe_tmp__8037:
  llvm_cbe_tmp4699_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__4535 ^ llvm_cbe_tmp__4530)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4537__PHI_TEMPORARY = llvm_cbe_tmp4699_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5355;

llvm_cbe_tmp__8040:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4743) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4743) + ((unsigned int )23u)))))])) = ((unsigned char )-68);
  goto llvm_cbe_tmp__8036;

llvm_cbe_tmp__8041:
  llvm_cbe_tmp__4743 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4744 = *((&RAM.array[((signed int )33632u)]));
  llvm_cbe_tmp__4745 = *((&RAM.array[((signed int )33633u)]));
  llvm_cbe_tmp__4746 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4744)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4745));
  llvm_cbe_tmp__4747 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4743) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4747)])) = llvm_cbe_tmp__4744;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4747) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4745;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4746 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4746))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4746 == 0u)));
  if ((llvm_cbe_tmp__4746 == 0u)) {
    goto llvm_cbe__2e__crit_edge5384;
  } else {
    goto llvm_cbe_tmp__8040;
  }

llvm_cbe_tmp__8029:
  if ((llvm_cbe_tmp__7064 == llvm_cbe_tmp__7063)) {
    goto llvm_cbe_tmp__8041;
  } else {
    goto llvm_cbe__2e__crit_edge5381;
  }

llvm_cbe_tmp__7598:
  llvm_cbe_tmp__7033 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7033) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7033) + ((unsigned int )23u)))))])) = ((unsigned char )6);
  goto llvm_cbe_tmp__8036;

llvm_cbe_tmp__7600:
  llvm_cbe_tmp__7049 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7049) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7049) + ((unsigned int )23u)))))])) = ((unsigned char )72);
  goto llvm_cbe_tmp__8036;

llvm_cbe_tmp__7604:
  llvm_cbe_tmp__7061 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7061) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7061) + ((unsigned int )23u)))))])) = ((unsigned char )-110);
  goto llvm_cbe_tmp__8036;

llvm_cbe_tmp__7647:
  llvm_cbe_tmp__7286 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7286) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7286) + ((unsigned int )23u)))))])) = ((unsigned char )-100);
  goto llvm_cbe_tmp__8036;

llvm_cbe__2e__crit_edge5453:
  llvm_cbe_tmp__5427 = llvm_cbe_tmp__5427__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5427;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7357) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7357) + ((unsigned int )23u)))))])) = ((unsigned char )110);
  llvm_cbe_tmp__4864__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8030;

llvm_cbe_tmp__8042:
  llvm_cbe_tmp__5416 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7357) + ((unsigned int )6u)));
  llvm_cbe_tmp__5417 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5418 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5419 = llvm_cbe_tmp__5416 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5419)])) = llvm_cbe_tmp__5417;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5419) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5418;
  llvm_cbe_tmp__5420 = (&RAM.array[((signed int )llvm_cbe_tmp__5416)]);
  llvm_cbe_tmp__5421 = *llvm_cbe_tmp__5420;
  llvm_cbe_tmp__5422 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5421)) << 8u;
  llvm_cbe_tmp__5423 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7357) + ((unsigned int )7u)))))]);
  llvm_cbe_tmp__5424 = *llvm_cbe_tmp__5423;
  llvm_cbe_tmp__5425 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5424)) | llvm_cbe_tmp__5422)) + ((unsigned int )16u)));
  *llvm_cbe_tmp__5420 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5425) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5423 = (((unsigned char )llvm_cbe_tmp__5425));
  llvm_cbe_tmp__5426 = ((unsigned short )llvm_cbe_tmp__5425);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5426 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5426) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5426 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5425) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5422 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8043;
  } else {
    llvm_cbe_tmp__5427__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5453;
  }

llvm_cbe_tmp__7667:
  llvm_cbe_tmp__7352 = *(&ST_C);
  llvm_cbe_tmp__7353 = *(&ST_O);
  llvm_cbe_tmp__7354 = *(&ST_P);
  llvm_cbe_tmp__7355 = *(&ST_X);
  llvm_cbe_tmp__7356 = *(&ST_IM);
  llvm_cbe_tmp__7357 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7357) + ((unsigned int )8u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )((((((((llvm_cbe_tmp__5995 << 14u) | (llvm_cbe_tmp__5993 << 15u)) | (llvm_cbe_tmp__5994 << 13u)) | (llvm_cbe_tmp__7352 << 12u)) | (llvm_cbe_tmp__7353 << 11u)) | (llvm_cbe_tmp__7354 << 10u)) | llvm_cbe_tmp__7356) | (llvm_cbe_tmp__7355 << 9u))) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7357) + ((unsigned int )9u)))))])) = (((unsigned char )llvm_cbe_tmp__7356));
  if ((llvm_cbe_tmp__5994 == 0u)) {
    goto llvm_cbe_tmp__8042;
  } else {
    goto llvm_cbe__2e__crit_edge5455;
  }

llvm_cbe_tmp__8043:
  llvm_cbe__2e_lobit4729 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5425) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5427__PHI_TEMPORARY = llvm_cbe__2e_lobit4729;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5453;

llvm_cbe__2e__crit_edge5458:
  llvm_cbe_tmp__5449 = llvm_cbe_tmp__5449__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5449;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5439) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5439) + ((unsigned int )23u)))))])) = ((unsigned char )-120);
  llvm_cbe_tmp__4864__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8030;

llvm_cbe__2e__crit_edge5457:
  llvm_cbe_tmp__5438 = llvm_cbe_tmp__5438__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5438;
  llvm_cbe_tmp__5439 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5440 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5439) + ((unsigned int )6u)));
  llvm_cbe_tmp__5441 = llvm_cbe_tmp__5440 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5441)])) = llvm_cbe_tmp__5435;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5441) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5436;
  llvm_cbe_tmp__5442 = (&RAM.array[((signed int )llvm_cbe_tmp__5440)]);
  llvm_cbe_tmp__5443 = *llvm_cbe_tmp__5442;
  llvm_cbe_tmp__5444 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5443)) << 8u;
  llvm_cbe_tmp__5445 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5439) + ((unsigned int )7u)))))]);
  llvm_cbe_tmp__5446 = *llvm_cbe_tmp__5445;
  llvm_cbe_tmp__5447 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5446)) | llvm_cbe_tmp__5444)) + ((unsigned int )6u)));
  *llvm_cbe_tmp__5442 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5447) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5445 = (((unsigned char )llvm_cbe_tmp__5447));
  llvm_cbe_tmp__5448 = ((unsigned short )llvm_cbe_tmp__5447);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5448 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5448) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5448 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5447) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5444 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8044;
  } else {
    llvm_cbe_tmp__5449__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5458;
  }

llvm_cbe__2e__crit_edge5455:
  llvm_cbe_tmp__5428 = *((&RAM.array[((signed int )7950u)]));
  llvm_cbe_tmp__5429 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5428)) << 8u;
  llvm_cbe_tmp__5430 = *((&RAM.array[((signed int )7951u)]));
  llvm_cbe_tmp__5431 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5432 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5431)) << 8u;
  llvm_cbe_tmp__5433 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5434 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5432 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5433)))) + ((unsigned int )(llvm_cbe_tmp__5429 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5430))))));
  llvm_cbe_tmp__5435 = ((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5434) >> ((unsigned int )8u)))));
  *((&RAM.array[((signed int )33646u)])) = llvm_cbe_tmp__5435;
  llvm_cbe_tmp__5436 = ((unsigned char )llvm_cbe_tmp__5434);
  *((&RAM.array[((signed int )33647u)])) = llvm_cbe_tmp__5436;
  llvm_cbe_tmp__5437 = ((unsigned short )llvm_cbe_tmp__5434);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5437 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5437) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5437 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5434) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__5432 ^ llvm_cbe_tmp__5429) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8045;
  } else {
    llvm_cbe_tmp__5438__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5457;
  }

llvm_cbe__2e__crit_edge5454:
  if ((((signed short )llvm_cbe_tmp__7367) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5456;
  } else {
    goto llvm_cbe__2e__crit_edge5455;
  }

llvm_cbe_tmp__7668:
  llvm_cbe_tmp__7358 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7359 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7358) + ((unsigned int )2u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7359 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7359) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7359 == ((unsigned char )0))));
  llvm_cbe_tmp__7360 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7358) + ((unsigned int )8u)))))]);
  llvm_cbe_tmp__7361 = *llvm_cbe_tmp__7360;
  llvm_cbe_tmp__7362 = ((unsigned int )(unsigned char )llvm_cbe_tmp__7361);
  llvm_cbe_tmp__7363 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7358) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__7364 = *llvm_cbe_tmp__7363;
  llvm_cbe_tmp__7365 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7364)) | (llvm_cbe_tmp__7362 << 8u);
  llvm_cbe_tmp__7366 = llvm_cbe_tmp__7365 << 1u;
  *llvm_cbe_tmp__7360 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7365) >> ((unsigned int )7u))))));
  *llvm_cbe_tmp__7363 = (((unsigned char )llvm_cbe_tmp__7366));
  llvm_cbe_tmp__7367 = ((unsigned short )llvm_cbe_tmp__7366);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7367 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7367) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7367 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7362) >> ((unsigned int )7u))));
  if (((((((signed char )llvm_cbe_tmp__7359) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__7359 == ((unsigned char )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5454;
  } else {
    goto llvm_cbe_tmp__8046;
  }

llvm_cbe_tmp__8046:
  if ((((signed short )llvm_cbe_tmp__7367) > ((signed short )((unsigned short )0)))) {
    goto llvm_cbe__2e__crit_edge5455;
  } else {
    llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5456;
  }

llvm_cbe_tmp__8045:
  llvm_cbe_tmp4731_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__5434 ^ llvm_cbe_tmp__5432)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5438__PHI_TEMPORARY = llvm_cbe_tmp4731_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5457;

llvm_cbe_tmp__8044:
  llvm_cbe__2e_lobit4732 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5447) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5449__PHI_TEMPORARY = llvm_cbe__2e_lobit4732;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5458;

llvm_cbe__2e__crit_edge5475:
  llvm_cbe_tmp__5554 = llvm_cbe_tmp__5554__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5554;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5542) + ((unsigned int )22u)))))])) = ((unsigned char )29);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5542) + ((unsigned int )23u)))))])) = ((unsigned char )-42);
  llvm_cbe_tmp__4864__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8030;

llvm_cbe__2e__crit_edge5474:
  llvm_cbe_tmp__5542 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5543 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5542) + ((unsigned int )20u)))) & 65535u;
  llvm_cbe_tmp__5544 = (&RAM.array[((signed int )llvm_cbe_tmp__5543)]);
  llvm_cbe_tmp__5545 = *llvm_cbe_tmp__5544;
  llvm_cbe_tmp__5546 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5543) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5547 = *llvm_cbe_tmp__5546;
  llvm_cbe_tmp__5548 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5542) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5548)])) = llvm_cbe_tmp__5545;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5548) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5547;
  llvm_cbe_tmp__5549 = *llvm_cbe_tmp__5544;
  llvm_cbe_tmp__5550 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5549)) << 8u;
  llvm_cbe_tmp__5551 = *llvm_cbe_tmp__5546;
  llvm_cbe_tmp__5552 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5550 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5551)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__5544 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5552) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5546 = (((unsigned char )llvm_cbe_tmp__5552));
  llvm_cbe_tmp__5553 = ((unsigned short )llvm_cbe_tmp__5552);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5553 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5553) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5553 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5552) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5550 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8047;
  } else {
    llvm_cbe_tmp__5554__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5475;
  }

llvm_cbe__2e__crit_edge5471:
  llvm_cbe_tmp__5536 = (&RAM.array[((signed int )llvm_cbe_tmp__7405)]);
  llvm_cbe_tmp__5537 = *llvm_cbe_tmp__5536;
  llvm_cbe_tmp__5538 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7399) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__5539 = *llvm_cbe_tmp__5538;
  llvm_cbe_tmp__5540 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5537)) << ((unsigned short )8)));
  *llvm_cbe_tmp__5536 = ((unsigned char )0);
  *llvm_cbe_tmp__5538 = llvm_cbe_tmp__5537;
  llvm_cbe_tmp__5541 = ((unsigned int )(bool )(llvm_cbe_tmp__5540 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__5541;
  *(&ST_AGT) = llvm_cbe_tmp__5541;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5540 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__5539))) >> ((unsigned int )7u))));
  if ((llvm_cbe_tmp__5540 == ((unsigned short )0))) {
    goto llvm_cbe__2e__crit_edge5473;
  } else {
    goto llvm_cbe__2e__crit_edge5474;
  }

llvm_cbe__2e__crit_edge5472:
  *llvm_cbe_tmp__7406 = llvm_cbe_tmp__7408;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7408 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7408) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7408 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge5471;

llvm_cbe_tmp__7679:
  llvm_cbe_tmp__7399 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7400 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__7401 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__7402 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7399) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7402)])) = llvm_cbe_tmp__7400;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7402) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7401;
  llvm_cbe_tmp__7403 = *((&RAM.array[((signed int )33617u)]));
  llvm_cbe_tmp__7404 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7399) + ((unsigned int )12u)))) & 65535u))]);
  *llvm_cbe_tmp__7404 = llvm_cbe_tmp__7403;
  llvm_cbe_tmp__7405 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7399) + ((unsigned int )10u)));
  llvm_cbe_tmp__7406 = (&RAM.array[((signed int )(llvm_cbe_tmp__7405 & 65535u))]);
  *llvm_cbe_tmp__7406 = llvm_cbe_tmp__7403;
  llvm_cbe_tmp__7407 = *llvm_cbe_tmp__7404;
  llvm_cbe_tmp__7408 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7399) + ((unsigned int )14u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__7407) > ((unsigned char )llvm_cbe_tmp__7408))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7407) > ((signed char )llvm_cbe_tmp__7408))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7407 == llvm_cbe_tmp__7408)));
  if (((((((signed char )llvm_cbe_tmp__7407) > ((signed char )llvm_cbe_tmp__7408)) | (llvm_cbe_tmp__7407 == llvm_cbe_tmp__7408))&1))) {
    goto llvm_cbe__2e__crit_edge5472;
  } else {
    goto llvm_cbe__2e__crit_edge5471;
  }

llvm_cbe__2e__crit_edge5476:
  llvm_cbe_tmp__5564 = llvm_cbe_tmp__5564__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5564;
  if ((((signed short )llvm_cbe_tmp__5563) > ((signed short )((unsigned short )0)))) {
    goto llvm_cbe__2e__crit_edge5474;
  } else {
    goto llvm_cbe__2e__crit_edge5473;
  }

llvm_cbe_tmp__8048:
  llvm_cbe_tmp__5556 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7422) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__5557 = (&RAM.array[((signed int )llvm_cbe_tmp__5556)]);
  llvm_cbe_tmp__5558 = *llvm_cbe_tmp__5557;
  llvm_cbe_tmp__5559 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5558)) << 8u;
  llvm_cbe_tmp__5560 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5556) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5561 = *llvm_cbe_tmp__5560;
  llvm_cbe_tmp__5562 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5559 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5561)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__5557 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5562) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5560 = (((unsigned char )llvm_cbe_tmp__5562));
  llvm_cbe_tmp__5563 = ((unsigned short )llvm_cbe_tmp__5562);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5563 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5563) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5563 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5562) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__5559 & 32768u) == 0u)) {
    llvm_cbe_tmp__5564__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5476;
  } else {
    goto llvm_cbe_tmp__8049;
  }

llvm_cbe_tmp__7681:
  llvm_cbe_tmp__7422 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7423 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7422) + ((unsigned int )2u)))) & 65535u))]));
  llvm_cbe_tmp__7424 = *((&RAM.array[((signed int )llvm_cbe_tmp__7422)]));
  llvm_cbe_tmp__7425 = ((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__7423) > ((unsigned char )llvm_cbe_tmp__7424)));
  *(&ST_LGT) = llvm_cbe_tmp__7425;
  llvm_cbe_tmp__7426 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7423) > ((signed char )llvm_cbe_tmp__7424)));
  *(&ST_AGT) = llvm_cbe_tmp__7426;
  llvm_cbe_tmp__7427 = ((unsigned int )(bool )(llvm_cbe_tmp__7423 == llvm_cbe_tmp__7424));
  *(&ST_EQ) = llvm_cbe_tmp__7427;
  if ((llvm_cbe_tmp__7423 == llvm_cbe_tmp__7424)) {
    goto llvm_cbe_tmp__8048;
  } else {
    llvm_cbe__2e_rle5983__PHI_TEMPORARY = llvm_cbe_tmp__7425;   /* for PHI node */
    llvm_cbe__2e_rle5949__PHI_TEMPORARY = llvm_cbe_tmp__7427;   /* for PHI node */
    llvm_cbe__2e_rle5915__PHI_TEMPORARY = llvm_cbe_tmp__7426;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5594;
  }

llvm_cbe_tmp__8049:
  llvm_cbe_tmp4758 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5562) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5564__PHI_TEMPORARY = llvm_cbe_tmp4758;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5476;

llvm_cbe_tmp__8047:
  llvm_cbe__2e_lobit4756 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5552) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5554__PHI_TEMPORARY = llvm_cbe__2e_lobit4756;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5475;

llvm_cbe__2e__crit_edge5700:
  llvm_cbe_tmp__5555 = llvm_cbe_tmp__5555__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5555;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7409) + ((unsigned int )22u)))))])) = ((unsigned char )29);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7409) + ((unsigned int )23u)))))])) = ((unsigned char )-32);
  llvm_cbe_tmp__4864__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8030;

llvm_cbe_tmp__8050:
  llvm_cbe__2e_lobit4755 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7420) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5555__PHI_TEMPORARY = llvm_cbe__2e_lobit4755;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5700;

llvm_cbe_tmp__7680:
  llvm_cbe_tmp__7409 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7410 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7409) + ((unsigned int )2u)))) & 65535u))]));
  *((&RAM.array[((signed int )llvm_cbe_tmp__7409)])) = llvm_cbe_tmp__7410;
  llvm_cbe_tmp__7411 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7409) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__7412 = (&RAM.array[((signed int )llvm_cbe_tmp__7411)]);
  llvm_cbe_tmp__7413 = *llvm_cbe_tmp__7412;
  llvm_cbe_tmp__7414 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7411) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7415 = *llvm_cbe_tmp__7414;
  llvm_cbe_tmp__7416 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7409) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7416)])) = llvm_cbe_tmp__7413;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7416) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7415;
  llvm_cbe_tmp__7417 = *llvm_cbe_tmp__7412;
  llvm_cbe_tmp__7418 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7417)) << 8u;
  llvm_cbe_tmp__7419 = *llvm_cbe_tmp__7414;
  llvm_cbe_tmp__7420 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7418 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7419)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__7412 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7420) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7414 = (((unsigned char )llvm_cbe_tmp__7420));
  llvm_cbe_tmp__7421 = ((unsigned short )llvm_cbe_tmp__7420);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7421 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7421) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7421 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7420) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__7418 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8050;
  } else {
    llvm_cbe_tmp__5555__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5700;
  }

llvm_cbe_tmp__8051:
  *((&RAM.array[((signed int )llvm_cbe_tmp__5862)])) = ((unsigned char )31);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5853) + ((unsigned int )23u)))))])) = ((unsigned char )108);
  llvm_cbe_tmp__4864__PHI_TEMPORARY = llvm_cbe_tmp__5852;   /* for PHI node */
  goto llvm_cbe_tmp__8030;

llvm_cbe_tmp__8052:
  llvm_cbe_tmp__5871 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5853) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5871)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5871) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__5872 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5853) + ((unsigned int )6u)));
  llvm_cbe_tmp__5873 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__5874 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__5875 = llvm_cbe_tmp__5872 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5875)])) = llvm_cbe_tmp__5873;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5875) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5874;
  llvm_cbe_tmp__5876 = *((&RAM.array[((signed int )llvm_cbe_tmp__5872)]));
  llvm_cbe_tmp__5877 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5853) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__5878 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5877)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5876)) << 8u);
  llvm_cbe_tmp__5879 = ((unsigned short )llvm_cbe_tmp__5878);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5879) > ((unsigned short )((unsigned short )28)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5879) > ((signed short )((unsigned short )28)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5878 == 28u)));
  if ((llvm_cbe_tmp__5878 == 28u)) {
    llvm_cbe__2e_pre6053_2e_rle6957__PHI_TEMPORARY = llvm_cbe_tmp__5852;   /* for PHI node */
    llvm_cbe_tmp__5740__PHI_TEMPORARY = llvm_cbe_tmp__5852;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5501;
  } else {
    goto llvm_cbe_tmp__8051;
  }

llvm_cbe_tmp__8053:
  llvm_cbe_tmp__5862 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5853) + ((unsigned int )22u)));
  llvm_cbe_tmp__5863 = llvm_cbe_tmp__5862 & 65535u;
  llvm_cbe_tmp__5864 = *((&RAM.array[((signed int )llvm_cbe_tmp__5863)]));
  llvm_cbe_tmp__5865 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5863) + ((unsigned int )1u)))))]));
  *llvm_cbe_tmp__5854 = llvm_cbe_tmp__5864;
  *llvm_cbe_tmp__5857 = llvm_cbe_tmp__5865;
  llvm_cbe_tmp__5866 = *((&RAM.array[((signed int )33612u)]));
  llvm_cbe_tmp__5867 = *((&RAM.array[((signed int )6603u)]));
  llvm_cbe_tmp__5868 = ((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__5866) > ((unsigned char )llvm_cbe_tmp__5867)));
  *(&ST_LGT) = llvm_cbe_tmp__5868;
  llvm_cbe_tmp__5869 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5866) > ((signed char )llvm_cbe_tmp__5867)));
  *(&ST_AGT) = llvm_cbe_tmp__5869;
  llvm_cbe_tmp__5870 = ((unsigned int )(bool )(llvm_cbe_tmp__5866 == llvm_cbe_tmp__5867));
  *(&ST_EQ) = llvm_cbe_tmp__5870;
  if ((llvm_cbe_tmp__5866 == llvm_cbe_tmp__5867)) {
    goto llvm_cbe_tmp__8052;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6969__PHI_TEMPORARY = llvm_cbe_tmp__5852;   /* for PHI node */
    llvm_cbe_tmp__5880__PHI_TEMPORARY = llvm_cbe_tmp__5852;   /* for PHI node */
    llvm_cbe__2e_rle5986__PHI_TEMPORARY = llvm_cbe_tmp__5868;   /* for PHI node */
    llvm_cbe__2e_rle5952__PHI_TEMPORARY = llvm_cbe_tmp__5870;   /* for PHI node */
    llvm_cbe__2e_rle5918__PHI_TEMPORARY = llvm_cbe_tmp__5869;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5505;
  }

  do {     /* Syntactic loop '._crit_edge5516' to make GCC happy */
llvm_cbe__2e__crit_edge5516:
  llvm_cbe_tmp__5844 = llvm_cbe_tmp__5844__PHI_TEMPORARY;
  llvm_cbe_tmp__5845 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5844) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__5846 = (&RAM.array[((signed int )llvm_cbe_tmp__5845)]);
  llvm_cbe_tmp__5847 = *llvm_cbe_tmp__5846;
  llvm_cbe_tmp__5848 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5845) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5849 = *llvm_cbe_tmp__5848;
  llvm_cbe_tmp__5850 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5847)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5849));
  *llvm_cbe_tmp__5846 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5850) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5848 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__5849) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__5851 =  /*tail*/ hw_read(((unsigned short )-30720));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__5850)), llvm_cbe_tmp__5851);
  llvm_cbe_tmp__5852 = *(&WP);
  llvm_cbe_tmp__5853 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5852);
  llvm_cbe_tmp__5854 = (&RAM.array[((signed int )llvm_cbe_tmp__5853)]);
  llvm_cbe_tmp__5855 = *llvm_cbe_tmp__5854;
  llvm_cbe_tmp__5856 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5855)) << 8u;
  llvm_cbe_tmp__5857 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5853) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5858 = *llvm_cbe_tmp__5857;
  llvm_cbe_tmp__5859 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5856 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5858)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__5854 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5859) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5857 = (((unsigned char )llvm_cbe_tmp__5859));
  llvm_cbe_tmp__5860 = ((unsigned short )llvm_cbe_tmp__5859);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5860 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5860) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5860 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5859) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__5856 & 32768u) == 0u)) {
    llvm_cbe_tmp__5861__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5515;
  } else {
    goto llvm_cbe_tmp__8054;
  }

llvm_cbe__2e__crit_edge5515:
  llvm_cbe_tmp__5861 = llvm_cbe_tmp__5861__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5861;
  if ((((signed short )llvm_cbe_tmp__5860) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__5844__PHI_TEMPORARY = llvm_cbe_tmp__5852;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5516;
  } else {
    goto llvm_cbe_tmp__8053;
  }

llvm_cbe_tmp__8054:
  llvm_cbe_tmp4804 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5859) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5861__PHI_TEMPORARY = llvm_cbe_tmp4804;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5515;

  } while (1); /* end of syntactic loop '._crit_edge5516' */
llvm_cbe__2e__crit_edge5514:
  llvm_cbe_tmp__5843 = llvm_cbe_tmp__5843__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5843;
  llvm_cbe_tmp__5844__PHI_TEMPORARY = llvm_cbe_tmp__5833;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5516;

llvm_cbe_tmp__8055:
  llvm_cbe_tmp__5825 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5815) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5826 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5815) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5827 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5825)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5826))))), llvm_cbe_tmp__5827);
  llvm_cbe_tmp__5828 = *(&WP);
  llvm_cbe_tmp__5829 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5828);
  *((&RAM.array[((signed int )llvm_cbe_tmp__5829)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5829) + ((unsigned int )1u)))))])) = ((unsigned char )8);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5830 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5829) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5831 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5829) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5832 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5829) + ((unsigned int )2u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5831)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5830)) << ((unsigned short )8))))))), llvm_cbe_tmp__5832);
  llvm_cbe_tmp__5833 = *(&WP);
  llvm_cbe_tmp__5834 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5833);
  llvm_cbe_tmp__5835 = *((&RAM.array[((signed int )llvm_cbe_tmp__5834)]));
  llvm_cbe_tmp__5836 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5835)) << 8u;
  llvm_cbe_tmp__5837 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5834) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5838 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5839 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5838)) << 8u;
  llvm_cbe_tmp__5840 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5841 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5839 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5840)))) - ((unsigned int )(llvm_cbe_tmp__5836 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5837))))));
  *((&RAM.array[((signed int )33646u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5841) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33647u)])) = (((unsigned char )llvm_cbe_tmp__5841));
  llvm_cbe_tmp__5842 = ((unsigned short )llvm_cbe_tmp__5841);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5842 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5842) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5842 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5841) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__5839 ^ llvm_cbe_tmp__5836) & 32768u) == 0u)) {
    llvm_cbe_tmp__5843__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5514;
  } else {
    goto llvm_cbe_tmp__8056;
  }

llvm_cbe__2e__crit_edge5600:
  llvm_cbe_tmp__5815 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5815) + ((unsigned int )4u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5815) + ((unsigned int )5u)))))])) = ((unsigned char )74);
  llvm_cbe_tmp__5816 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5817 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5818 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5815) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__5819 = (&RAM.array[((signed int )llvm_cbe_tmp__5818)]);
  *llvm_cbe_tmp__5819 = llvm_cbe_tmp__5816;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5818) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5817;
  llvm_cbe_tmp__5820 = *llvm_cbe_tmp__5819;
  llvm_cbe_tmp__5821 = *((&RAM.array[((signed int )33572u)]));
  llvm_cbe_tmp__5822 = *((&RAM.array[((signed int )33573u)]));
  llvm_cbe_tmp__5823 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5820)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5817))));
  llvm_cbe_tmp__5824 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5821)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5822))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5823) > ((unsigned short )llvm_cbe_tmp__5824))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5823) > ((signed short )llvm_cbe_tmp__5824))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5823 == llvm_cbe_tmp__5824)));
  if ((((((((((unsigned short )llvm_cbe_tmp__5823) > ((unsigned short )llvm_cbe_tmp__5824)) ^ 1)&1)) | (llvm_cbe_tmp__5823 == llvm_cbe_tmp__5824))&1))) {
    goto llvm_cbe__2e__crit_edge5512;
  } else {
    goto llvm_cbe_tmp__8055;
  }

llvm_cbe_tmp__8057:
  llvm_cbe_tmp__4617 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__4618 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__4619 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4617)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4618));
  llvm_cbe_tmp__4620 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7031) + ((unsigned int )10u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4620)])) = llvm_cbe_tmp__4617;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4620) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4618;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4619 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4619))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4619 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7031) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7031) + ((unsigned int )23u)))))])) = ((unsigned char )2);
  goto llvm_cbe__2e__crit_edge5600;

llvm_cbe_tmp__7597:
  llvm_cbe_tmp__7031 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7032 = *((&RAM.array[((signed int )33620u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7031) + ((unsigned int )8u)))) & 65535u))])) = llvm_cbe_tmp__7032;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7032 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7032) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7032 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__7032 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__8057;
  } else {
    llvm_cbe__2e_rle7002__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__4687__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5364;
  }

llvm_cbe__2e__crit_edge5589:
  llvm_cbe_tmp__5376 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5376) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5376) + ((unsigned int )23u)))))])) = ((unsigned char )120);
  goto llvm_cbe__2e__crit_edge5600;

llvm_cbe_tmp__7646:
  llvm_cbe_tmp__7284 = *((&RAM.array[((signed int )6807u)]));
  llvm_cbe_tmp__7285 = *((&RAM.array[((signed int )33612u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__7284) > ((unsigned char )llvm_cbe_tmp__7285))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7284) > ((signed char )llvm_cbe_tmp__7285))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7284 == llvm_cbe_tmp__7285)));
  if ((llvm_cbe_tmp__7284 == llvm_cbe_tmp__7285)) {
    goto llvm_cbe_tmp__8058;
  } else {
    goto llvm_cbe__2e__crit_edge5589;
  }

llvm_cbe_tmp__8059:
  llvm_cbe__2e_pre_2d_phi7033 = llvm_cbe__2e_pre_2d_phi7033__PHI_TEMPORARY;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7033) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7033) + ((unsigned int )23u)))))])) = ((unsigned char )32);
  goto llvm_cbe__2e__crit_edge5600;

llvm_cbe__2e__crit_edge5452:
  llvm_cbe_tmp__5411 = llvm_cbe_tmp__5411__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5411;
  llvm_cbe__2e_pre7032 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre_2d_phi7033__PHI_TEMPORARY = llvm_cbe__2e_pre7032;   /* for PHI node */
  goto llvm_cbe_tmp__8059;

llvm_cbe_tmp__8060:
  llvm_cbe_tmp__5403 = *((&RAM.array[((signed int )7272u)]));
  llvm_cbe_tmp__5404 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5403)) << 8u;
  llvm_cbe_tmp__5405 = *((&RAM.array[((signed int )7273u)]));
  llvm_cbe_tmp__5406 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5407 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5406)) << 8u;
  llvm_cbe_tmp__5408 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5409 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5407 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5408)))) - ((unsigned int )(llvm_cbe_tmp__5404 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5405))))));
  *((&RAM.array[((signed int )33646u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5409) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33647u)])) = (((unsigned char )llvm_cbe_tmp__5409));
  llvm_cbe_tmp__5410 = ((unsigned short )llvm_cbe_tmp__5409);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5410 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5410) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5410 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5409) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__5407 ^ llvm_cbe_tmp__5404) & 32768u) == 0u)) {
    llvm_cbe_tmp__5411__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5452;
  } else {
    goto llvm_cbe_tmp__8061;
  }

llvm_cbe_tmp__8062:
  llvm_cbe_tmp__5395 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5396 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5395) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__5397 = *((&RAM.array[((signed int )llvm_cbe_tmp__5396)]));
  llvm_cbe_tmp__5398 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5396) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5399 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__5400 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__5401 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5397)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5398))));
  llvm_cbe_tmp__5402 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5399)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5400))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5401) > ((unsigned short )llvm_cbe_tmp__5402))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5401) > ((signed short )llvm_cbe_tmp__5402))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5401 == llvm_cbe_tmp__5402)));
  if ((llvm_cbe_tmp__5401 == llvm_cbe_tmp__5402)) {
    goto llvm_cbe_tmp__8063;
  } else {
    goto llvm_cbe_tmp__8060;
  }

llvm_cbe_tmp__7661:
  llvm_cbe_tmp__7331 = *((&RAM.array[((signed int )33612u)]));
  llvm_cbe_tmp__7332 = *((&RAM.array[((signed int )7099u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__7331) > ((unsigned char )llvm_cbe_tmp__7332))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7331) > ((signed char )llvm_cbe_tmp__7332))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7331 == llvm_cbe_tmp__7332)));
  if ((llvm_cbe_tmp__7331 == llvm_cbe_tmp__7332)) {
    goto llvm_cbe_tmp__8062;
  } else {
    goto llvm_cbe__2e__crit_edge5512;
  }

llvm_cbe_tmp__8061:
  llvm_cbe_tmp4710_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__5409 ^ llvm_cbe_tmp__5407)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5411__PHI_TEMPORARY = llvm_cbe_tmp4710_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5452;

llvm_cbe_tmp__7660:
  llvm_cbe_tmp__7326 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7327 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__7328 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__7329 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7327)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__7328));
  llvm_cbe_tmp__7330 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7326) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7330)])) = llvm_cbe_tmp__7327;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7330) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7328;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7329 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__7329))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7329 == 0u)));
  llvm_cbe__2e_pre_2d_phi7033__PHI_TEMPORARY = llvm_cbe_tmp__7326;   /* for PHI node */
  goto llvm_cbe_tmp__8059;

llvm_cbe_tmp__8064:
  llvm_cbe_tmp__5532 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__5533 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__5534 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7398) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5534)])) = llvm_cbe_tmp__5532;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5534) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5533;
  llvm_cbe_tmp__5535 = *((&RAM.array[((signed int )33617u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7398) + ((unsigned int )14u)))) & 65535u))])) = llvm_cbe_tmp__5535;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5535 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5535) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5535 == ((unsigned char )0))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7398) + ((unsigned int )22u)))))])) = ((unsigned char )29);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7398) + ((unsigned int )23u)))))])) = ((unsigned char )-70);
  goto llvm_cbe__2e__crit_edge5600;

llvm_cbe_tmp__7674:
  llvm_cbe_tmp__7398 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  if ((llvm_cbe_tmp__5994 == 0u)) {
    goto llvm_cbe_tmp__8065;
  } else {
    goto llvm_cbe_tmp__8064;
  }

llvm_cbe_tmp__7608:
  llvm_cbe_tmp__7087 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7088 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__7089 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__7090 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7088)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__7089));
  llvm_cbe_tmp__7091 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7087) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7091)])) = llvm_cbe_tmp__7088;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7091) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7089;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7090 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__7090))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7090 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7087) + ((unsigned int )22u)))))])) = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7087) + ((unsigned int )23u)))))])) = ((unsigned char )32);
  goto llvm_cbe__2e__crit_edge5600;

llvm_cbe_tmp__8056:
  llvm_cbe_tmp4793_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__5841 ^ llvm_cbe_tmp__5839)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5843__PHI_TEMPORARY = llvm_cbe_tmp4793_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5514;

llvm_cbe_tmp__8066:
  llvm_cbe_tmp__4916 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4903) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__4917 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4903) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__4918 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4917)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4916)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4918;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__4902;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4912;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4914;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4913;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4902;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4918;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4918;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

  do {     /* Syntactic loop '._crit_edge5393' to make GCC happy */
llvm_cbe__2e__crit_edge5393:
  llvm_cbe_tmp__4894 = llvm_cbe_tmp__4894__PHI_TEMPORARY;
  llvm_cbe_tmp__4895 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__4894) + ((unsigned short )((unsigned short )6))))))));
  llvm_cbe_tmp__4896 = (&RAM.array[((signed int )llvm_cbe_tmp__4895)]);
  llvm_cbe_tmp__4897 = *llvm_cbe_tmp__4896;
  llvm_cbe_tmp__4898 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4895) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4899 = *llvm_cbe_tmp__4898;
  llvm_cbe_tmp__4900 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4897)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4899));
  *llvm_cbe_tmp__4896 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4900) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4898 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4899) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4901 =  /*tail*/ hw_read(((unsigned short )-30720));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__4900)), llvm_cbe_tmp__4901);
  llvm_cbe_tmp__4902 = *(&WP);
  llvm_cbe_tmp__4903 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4902);
  llvm_cbe_tmp__4904 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4903) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__4905 = (&RAM.array[((signed int )llvm_cbe_tmp__4904)]);
  llvm_cbe_tmp__4906 = *llvm_cbe_tmp__4905;
  llvm_cbe_tmp__4907 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4906)) << 8u;
  llvm_cbe_tmp__4908 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4904) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4909 = *llvm_cbe_tmp__4908;
  llvm_cbe_tmp__4910 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4907 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4909)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__4905 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4910) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4908 = (((unsigned char )llvm_cbe_tmp__4910));
  llvm_cbe_tmp__4911 = ((unsigned short )llvm_cbe_tmp__4910);
  llvm_cbe_tmp__4912 = ((unsigned int )(bool )(llvm_cbe_tmp__4911 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__4912;
  llvm_cbe_tmp__4913 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4911) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4913;
  llvm_cbe_tmp__4914 = ((unsigned int )(bool )(llvm_cbe_tmp__4911 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__4914;
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4910) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4907 & 32768u) == 0u)) {
    llvm_cbe_tmp__4915__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5392;
  } else {
    goto llvm_cbe_tmp__8067;
  }

llvm_cbe__2e__crit_edge5392:
  llvm_cbe_tmp__4915 = llvm_cbe_tmp__4915__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4915;
  if ((((signed short )llvm_cbe_tmp__4911) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__4894__PHI_TEMPORARY = llvm_cbe_tmp__4902;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5393;
  } else {
    goto llvm_cbe_tmp__8066;
  }

llvm_cbe_tmp__8067:
  llvm_cbe_tmp4708 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4910) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4915__PHI_TEMPORARY = llvm_cbe_tmp4708;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5392;

  } while (1); /* end of syntactic loop '._crit_edge5393' */
llvm_cbe_tmp__8068:
  llvm_cbe__2e_pre_2d_phi7031 = llvm_cbe__2e_pre_2d_phi7031__PHI_TEMPORARY;
  llvm_cbe_tmp__4884 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7031) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4885 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7031) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4886 = *((&RAM.array[((signed int )33615u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4884)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4885))))), llvm_cbe_tmp__4886);
  llvm_cbe_tmp__4887 = *(&WP);
  llvm_cbe_tmp__4888 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4887);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4888) + ((unsigned int )4u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4888) + ((unsigned int )5u)))))])) = ((unsigned char )8);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__4889 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4888) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4890 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4888) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4891 = *((&RAM.array[((signed int )33614u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4889)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4890))))), llvm_cbe_tmp__4891);
  llvm_cbe_tmp__4892 = *(&WP);
  llvm_cbe_tmp__4893 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4892);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4893) + ((unsigned int )6u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4893) + ((unsigned int )7u)))))])) = ((unsigned char )74);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__4894__PHI_TEMPORARY = llvm_cbe_tmp__4892;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5393;

llvm_cbe_tmp__8069:
  llvm_cbe_tmp__5381 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5381) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5381) + ((unsigned int )23u)))))])) = ((unsigned char )-78);
  llvm_cbe__2e_pre_2d_phi7031__PHI_TEMPORARY = llvm_cbe_tmp__5381;   /* for PHI node */
  goto llvm_cbe_tmp__8068;

llvm_cbe_tmp__7649:
  llvm_cbe_tmp__7296 = *((&RAM.array[((signed int )33612u)]));
  llvm_cbe_tmp__7297 = *((&RAM.array[((signed int )6603u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__7296) > ((unsigned char )llvm_cbe_tmp__7297))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7296) > ((signed char )llvm_cbe_tmp__7297))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7296 == llvm_cbe_tmp__7297)));
  if ((llvm_cbe_tmp__7296 == llvm_cbe_tmp__7297)) {
    llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5456;
  } else {
    goto llvm_cbe_tmp__8069;
  }

llvm_cbe_tmp__8063:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5395) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5395) + ((unsigned int )23u)))))])) = ((unsigned char )62);
  llvm_cbe__2e_pre7030 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre_2d_phi7031__PHI_TEMPORARY = llvm_cbe__2e_pre7030;   /* for PHI node */
  goto llvm_cbe_tmp__8068;

llvm_cbe_tmp__8070:
  llvm_cbe_tmp__4929 = llvm_cbe_tmp__4929__PHI_TEMPORARY;
  llvm_cbe_tmp__4930 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4929);
  llvm_cbe_tmp__4931 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4930) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4932 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4930) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4933 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4931)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4932))))), llvm_cbe_tmp__4933);
  llvm_cbe_tmp__4934 = *(&WP);
  llvm_cbe_tmp__4935 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4934);
  llvm_cbe_tmp__4936 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4935) + ((unsigned int )2u)));
  llvm_cbe_tmp__4937 = (&RAM.array[((signed int )llvm_cbe_tmp__4936)]);
  llvm_cbe_tmp__4938 = *llvm_cbe_tmp__4937;
  llvm_cbe_tmp__4939 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4935) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__4940 = *llvm_cbe_tmp__4939;
  llvm_cbe_tmp__4941 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4938)) << 8u) | 16384u;
  *llvm_cbe_tmp__4937 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4941) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4939 = llvm_cbe_tmp__4940;
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )((((unsigned short )llvm_cbe_tmp__4941)) | (((unsigned short )(unsigned char )llvm_cbe_tmp__4940)))))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__4942 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4935) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__4943 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4935) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__4944 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4936 & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4943)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4942)) << ((unsigned short )8))))))), llvm_cbe_tmp__4944);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4944 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4944) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4944 == ((unsigned char )0))));
  llvm_cbe_tmp__4945 = *(&WP);
  llvm_cbe_tmp__4946 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__4945))) + ((unsigned int )12u)))) & 65535u))]));
   /*tail*/ hw_write(((unsigned short )-29696), llvm_cbe_tmp__4946);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4946 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4946) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4946 == ((unsigned char )0))));
  llvm_cbe_tmp__4947 = *((&RAM.array[((signed int )33773u)]));
   /*tail*/ hw_write(((unsigned short )-29696), llvm_cbe_tmp__4947);
  llvm_cbe_tmp__4948 = ((unsigned int )(bool )(llvm_cbe_tmp__4947 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__4948;
  llvm_cbe_tmp__4949 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4947) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4949;
  llvm_cbe_tmp__4950 = ((unsigned int )(bool )(llvm_cbe_tmp__4947 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__4950;
  llvm_cbe_tmp__4951 = *(&WP);
  llvm_cbe_tmp__4952 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4951);
  llvm_cbe_tmp__4953 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4952) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__4954 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4952) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__4955 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4954)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__4953)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__4955;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__4951;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__4948;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__4950;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__4949;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__4951;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__4955;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__4955;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5385:
  llvm_cbe_tmp__4777 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4778 = *((&RAM.array[((signed int )33628u)]));
  llvm_cbe_tmp__4779 = *((&RAM.array[((signed int )33629u)]));
  llvm_cbe_tmp__4780 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4777) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4780)])) = llvm_cbe_tmp__4778;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4780) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4779;
  llvm_cbe_tmp__4781 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4777) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__4782 = *((&RAM.array[((signed int )llvm_cbe_tmp__4781)]));
  llvm_cbe_tmp__4783 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4781) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4784 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4782)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4783));
  llvm_cbe_tmp__4785 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4777) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4785)])) = llvm_cbe_tmp__4782;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4785) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4783;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4784 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4784))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4784 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4777) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4777) + ((unsigned int )23u)))))])) = ((unsigned char )-4);
  llvm_cbe_tmp__4929__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8070;

llvm_cbe__2e__crit_edge5384:
  llvm_cbe_tmp__4749 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4750 = *((&RAM.array[((signed int )33616u)]));
  llvm_cbe_tmp__4751 = *((&RAM.array[((signed int )33617u)]));
  llvm_cbe_tmp__4752 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4750)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4751));
  llvm_cbe_tmp__4753 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4749) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__4754 = (&RAM.array[((signed int )llvm_cbe_tmp__4753)]);
  *llvm_cbe_tmp__4754 = llvm_cbe_tmp__4750;
  llvm_cbe_tmp__4755 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4753) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__4755 = llvm_cbe_tmp__4751;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4752 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4752))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4752 == 0u)));
  if ((llvm_cbe_tmp__4752 == 0u)) {
    goto llvm_cbe__2e__crit_edge5385;
  } else {
    goto llvm_cbe_tmp__8071;
  }

llvm_cbe__2e__crit_edge5394:
  llvm_cbe_tmp__4928 = llvm_cbe_tmp__4928__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4928;
  llvm_cbe_tmp__4929__PHI_TEMPORARY = llvm_cbe_tmp__4919;   /* for PHI node */
  goto llvm_cbe_tmp__8070;

llvm_cbe_tmp__8072:
  llvm_cbe_tmp__4919 = llvm_cbe_tmp__4919__PHI_TEMPORARY;
  llvm_cbe_tmp__4920 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4919);
  llvm_cbe_tmp__4921 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4920) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__4922 = *llvm_cbe_tmp__4921;
  llvm_cbe_tmp__4923 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4922)) << 8u;
  llvm_cbe_tmp__4924 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4920) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__4925 = *llvm_cbe_tmp__4924;
  llvm_cbe_tmp__4926 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__4925)) | llvm_cbe_tmp__4923)) + ((unsigned int )65533u)));
  *llvm_cbe_tmp__4921 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4926) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4924 = (((unsigned char )llvm_cbe_tmp__4926));
  llvm_cbe_tmp__4927 = ((unsigned short )llvm_cbe_tmp__4926);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4927 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4927) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4927 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4926) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4923 & 32768u) == 0u)) {
    llvm_cbe_tmp__4928__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5394;
  } else {
    goto llvm_cbe_tmp__8073;
  }

llvm_cbe_tmp__8024:
  llvm_cbe_tmp__4748 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7067) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4748)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4748) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7067) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7067) + ((unsigned int )23u)))))])) = ((unsigned char )-44);
  llvm_cbe_tmp__4919__PHI_TEMPORARY = llvm_cbe_tmp__7066;   /* for PHI node */
  goto llvm_cbe_tmp__8072;

llvm_cbe__2e__crit_edge5388:
  llvm_cbe_tmp__4767 = llvm_cbe_tmp__4767__PHI_TEMPORARY;
  llvm_cbe_tmp__4768 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4767);
  llvm_cbe_tmp__4769 = *((&RAM.array[((signed int )33628u)]));
  llvm_cbe_tmp__4770 = *((&RAM.array[((signed int )33629u)]));
  llvm_cbe_tmp__4771 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4768) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4771)])) = llvm_cbe_tmp__4769;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4771) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4770;
  llvm_cbe_tmp__4772 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4768) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__4773 = *((&RAM.array[((signed int )llvm_cbe_tmp__4772)]));
  llvm_cbe_tmp__4774 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4772) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4775 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4773)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4774));
  llvm_cbe_tmp__4776 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4768) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4776)])) = llvm_cbe_tmp__4773;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4776) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4774;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4775 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4775))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4775 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4768) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4768) + ((unsigned int )23u)))))])) = ((unsigned char )-14);
  llvm_cbe_tmp__4919__PHI_TEMPORARY = llvm_cbe_tmp__4767;   /* for PHI node */
  goto llvm_cbe_tmp__8072;

llvm_cbe_tmp__8074:
  llvm_cbe_tmp__4764 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__4765 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__4766 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4764)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4765));
  *llvm_cbe_tmp__4754 = llvm_cbe_tmp__4764;
  *llvm_cbe_tmp__4755 = llvm_cbe_tmp__4765;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4766 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4766))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4766 == 0u)));
  llvm_cbe_tmp__4767__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5388;

llvm_cbe_tmp__8071:
  llvm_cbe_tmp__4756 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4749) + ((unsigned int )6u)));
  llvm_cbe_tmp__4757 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__4758 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__4759 = llvm_cbe_tmp__4756 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4759)])) = llvm_cbe_tmp__4757;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4759) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4758;
  llvm_cbe_tmp__4760 = *((&RAM.array[((signed int )llvm_cbe_tmp__4756)]));
  llvm_cbe_tmp__4761 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4749) + ((unsigned int )7u)))))]));
  llvm_cbe_tmp__4762 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4761)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4760)) << 8u);
  llvm_cbe_tmp__4763 = ((unsigned short )llvm_cbe_tmp__4762);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4763) > ((unsigned short )((unsigned short )28)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4763) > ((signed short )((unsigned short )28)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4762 == 28u)));
  if ((llvm_cbe_tmp__4762 == 28u)) {
    goto llvm_cbe_tmp__8074;
  } else {
    goto llvm_cbe_tmp__8075;
  }

llvm_cbe_tmp__8076:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5741) + ((unsigned int )22u)))))])) = ((unsigned char )30);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5741) + ((unsigned int )23u)))))])) = ((unsigned char )-14);
  llvm_cbe_tmp__4919__PHI_TEMPORARY = llvm_cbe_tmp__5740;   /* for PHI node */
  goto llvm_cbe_tmp__8072;

llvm_cbe__2e__crit_edge5501:
  llvm_cbe__2e_pre6053_2e_rle6957 = llvm_cbe__2e_pre6053_2e_rle6957__PHI_TEMPORARY;
  llvm_cbe_tmp__5740 = llvm_cbe_tmp__5740__PHI_TEMPORARY;
  llvm_cbe_tmp__5741 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5740);
  llvm_cbe_tmp__5742 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__5743 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__5744 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5742)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5743));
  llvm_cbe_tmp__5745 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5741) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5745)])) = llvm_cbe_tmp__5742;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5745) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5743;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5744 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5744))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5744 == 0u)));
  if ((llvm_cbe_tmp__5744 == 0u)) {
    llvm_cbe__2e_pre6053_2e_rle6956__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6957;   /* for PHI node */
    llvm_cbe_tmp__5746__PHI_TEMPORARY = llvm_cbe_tmp__5740;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5499;
  } else {
    goto llvm_cbe_tmp__8076;
  }

llvm_cbe__2e__crit_edge5500:
  llvm_cbe_tmp__5731 = llvm_cbe_tmp__5731__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5731;
  llvm_cbe_tmp__5732 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5706) + ((unsigned int )2u)));
  llvm_cbe_tmp__5733 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__5734 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__5735 = llvm_cbe_tmp__5732 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5735)])) = llvm_cbe_tmp__5733;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5735) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5734;
  llvm_cbe_tmp__5736 = *((&RAM.array[((signed int )llvm_cbe_tmp__5732)]));
  llvm_cbe_tmp__5737 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5706) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__5738 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5737)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5736)) << 8u);
  llvm_cbe_tmp__5739 = ((unsigned short )llvm_cbe_tmp__5738);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5739) > ((unsigned short )((unsigned short )28)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5739) > ((signed short )((unsigned short )28)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5738 == 28u)));
  if ((llvm_cbe_tmp__5738 == 28u)) {
    llvm_cbe__2e_pre6053_2e_rle6957__PHI_TEMPORARY = llvm_cbe_tmp__5705;   /* for PHI node */
    llvm_cbe_tmp__5740__PHI_TEMPORARY = llvm_cbe_tmp__5705;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5501;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6956__PHI_TEMPORARY = llvm_cbe_tmp__5705;   /* for PHI node */
    llvm_cbe_tmp__5746__PHI_TEMPORARY = llvm_cbe_tmp__5705;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5499;
  }

llvm_cbe_tmp__8077:
  llvm_cbe_tmp__5720 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5706) + ((unsigned int )12u)));
  llvm_cbe_tmp__5721 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5722 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5723 = llvm_cbe_tmp__5720 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5723)])) = llvm_cbe_tmp__5721;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5723) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5722;
  llvm_cbe_tmp__5724 = (&RAM.array[((signed int )llvm_cbe_tmp__5720)]);
  llvm_cbe_tmp__5725 = *llvm_cbe_tmp__5724;
  llvm_cbe_tmp__5726 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5725)) << 8u;
  llvm_cbe_tmp__5727 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5706) + ((unsigned int )13u)))))]);
  llvm_cbe_tmp__5728 = *llvm_cbe_tmp__5727;
  llvm_cbe_tmp__5729 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5728)) | llvm_cbe_tmp__5726)) + ((unsigned int )4u)));
  *llvm_cbe_tmp__5724 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5729) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5727 = (((unsigned char )llvm_cbe_tmp__5729));
  llvm_cbe_tmp__5730 = ((unsigned short )llvm_cbe_tmp__5729);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5730 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5730) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5730 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5729) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5726 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8078;
  } else {
    llvm_cbe_tmp__5731__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5500;
  }

llvm_cbe_tmp__8079:
  llvm_cbe_tmp__5715 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5706) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__5716 = *((&RAM.array[((signed int )llvm_cbe_tmp__5715)]));
  llvm_cbe_tmp__5717 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5715) + ((unsigned int )1u)))))]));
  *llvm_cbe_tmp__5707 = llvm_cbe_tmp__5716;
  *llvm_cbe_tmp__5710 = llvm_cbe_tmp__5717;
  llvm_cbe_tmp__5718 = *((&RAM.array[((signed int )33612u)]));
  llvm_cbe_tmp__5719 = *((&RAM.array[((signed int )6603u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__5718) > ((unsigned char )llvm_cbe_tmp__5719))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5718) > ((signed char )llvm_cbe_tmp__5719))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5718 == llvm_cbe_tmp__5719)));
  if ((llvm_cbe_tmp__5718 == llvm_cbe_tmp__5719)) {
    goto llvm_cbe_tmp__8077;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6956__PHI_TEMPORARY = llvm_cbe_tmp__5705;   /* for PHI node */
    llvm_cbe_tmp__5746__PHI_TEMPORARY = llvm_cbe_tmp__5705;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5499;
  }

  do {     /* Syntactic loop '._crit_edge5498' to make GCC happy */
llvm_cbe__2e__crit_edge5498:
  llvm_cbe_tmp__5697 = llvm_cbe_tmp__5697__PHI_TEMPORARY;
  llvm_cbe_tmp__5698 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5697) + ((unsigned short )((unsigned short )2))))))));
  llvm_cbe_tmp__5699 = (&RAM.array[((signed int )llvm_cbe_tmp__5698)]);
  llvm_cbe_tmp__5700 = *llvm_cbe_tmp__5699;
  llvm_cbe_tmp__5701 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5698) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5702 = *llvm_cbe_tmp__5701;
  llvm_cbe_tmp__5703 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5700)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5702));
  *llvm_cbe_tmp__5699 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5703) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5701 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__5702) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__5704 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__5703)));
   /*tail*/ hw_write(((unsigned short )-29696), llvm_cbe_tmp__5704);
  llvm_cbe_tmp__5705 = *(&WP);
  llvm_cbe_tmp__5706 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5705);
  llvm_cbe_tmp__5707 = (&RAM.array[((signed int )llvm_cbe_tmp__5706)]);
  llvm_cbe_tmp__5708 = *llvm_cbe_tmp__5707;
  llvm_cbe_tmp__5709 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5708)) << 8u;
  llvm_cbe_tmp__5710 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5706) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5711 = *llvm_cbe_tmp__5710;
  llvm_cbe_tmp__5712 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5709 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5711)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__5707 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5712) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5710 = (((unsigned char )llvm_cbe_tmp__5712));
  llvm_cbe_tmp__5713 = ((unsigned short )llvm_cbe_tmp__5712);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5713 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5713) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5713 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5712) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__5709 & 32768u) == 0u)) {
    llvm_cbe_tmp__5714__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5497;
  } else {
    goto llvm_cbe_tmp__8080;
  }

llvm_cbe__2e__crit_edge5497:
  llvm_cbe_tmp__5714 = llvm_cbe_tmp__5714__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5714;
  if ((((signed short )llvm_cbe_tmp__5713) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__5697__PHI_TEMPORARY = llvm_cbe_tmp__5705;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5498;
  } else {
    goto llvm_cbe_tmp__8079;
  }

llvm_cbe_tmp__8080:
  llvm_cbe_tmp4784 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5712) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5714__PHI_TEMPORARY = llvm_cbe_tmp4784;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5497;

  } while (1); /* end of syntactic loop '._crit_edge5498' */
llvm_cbe__2e__crit_edge5496:
  llvm_cbe_tmp__5678 = llvm_cbe_tmp__5678__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5678;
  llvm_cbe_tmp__5679 = llvm_cbe_tmp__5674 & 65535u;
  llvm_cbe_tmp__5680 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5667) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5680)])) = llvm_cbe_tmp__5675;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5680) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5676;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5679 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5674))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5679 == 0u)));
  llvm_cbe_tmp__5681 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5667) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5682 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5667) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5683 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5681)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5682))))), llvm_cbe_tmp__5683);
  llvm_cbe_tmp__5684 = *(&WP);
  llvm_cbe_tmp__5685 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5684);
  llvm_cbe_tmp__5686 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5685) + ((unsigned int )2u)));
  llvm_cbe_tmp__5687 = (&RAM.array[((signed int )llvm_cbe_tmp__5686)]);
  llvm_cbe_tmp__5688 = *llvm_cbe_tmp__5687;
  llvm_cbe_tmp__5689 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5685) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__5690 = *llvm_cbe_tmp__5689;
  llvm_cbe_tmp__5691 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5688)) << 8u) | 16384u;
  *llvm_cbe_tmp__5687 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5691) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5689 = llvm_cbe_tmp__5690;
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )((((unsigned short )llvm_cbe_tmp__5691)) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5690)))))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5692 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5685) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5693 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5685) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5694 = *((&RAM.array[((signed int )(llvm_cbe_tmp__5686 & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5693)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5692)) << ((unsigned short )8))))))), llvm_cbe_tmp__5694);
  llvm_cbe_tmp__5695 = *(&WP);
  llvm_cbe_tmp__5696 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5695);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5696) + ((unsigned int )2u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5696) + ((unsigned int )3u)))))])) = ((unsigned char )74);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5697__PHI_TEMPORARY = llvm_cbe_tmp__5695;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5498;

llvm_cbe__2e__crit_edge5597:
  llvm_cbe_tmp__5667 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5668 = (&RAM.array[((signed int )llvm_cbe_tmp__5667)]);
  *llvm_cbe_tmp__5668 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5667) + ((unsigned int )1u)))))])) = ((unsigned char )8);
  llvm_cbe_tmp__5669 = *llvm_cbe_tmp__5668;
  llvm_cbe_tmp__5670 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5669)) << 8u;
  llvm_cbe_tmp__5671 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5672 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5671)) << 8u;
  llvm_cbe_tmp__5673 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5674 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5672 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5673)))) + ((unsigned int )(llvm_cbe_tmp__5670 | 8u))));
  llvm_cbe_tmp__5675 = ((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5674) >> ((unsigned int )8u)))));
  *((&RAM.array[((signed int )33646u)])) = llvm_cbe_tmp__5675;
  llvm_cbe_tmp__5676 = ((unsigned char )llvm_cbe_tmp__5674);
  *((&RAM.array[((signed int )33647u)])) = llvm_cbe_tmp__5676;
  llvm_cbe_tmp__5677 = ((unsigned short )llvm_cbe_tmp__5674);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5677 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5677) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5677 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5674) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__5672 ^ llvm_cbe_tmp__5670) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8081;
  } else {
    llvm_cbe_tmp__5678__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5496;
  }

llvm_cbe_tmp__8075:
  llvm_cbe_tmp__4791 = *((&RAM.array[((signed int )33616u)]));
  llvm_cbe_tmp__4792 = *((&RAM.array[((signed int )33617u)]));
  *((&RAM.array[((signed int )33548u)])) = llvm_cbe_tmp__4791;
  *((&RAM.array[((signed int )33549u)])) = llvm_cbe_tmp__4792;
  llvm_cbe_tmp__4793 = *((&RAM.array[((signed int )5834u)]));
  llvm_cbe_tmp__4794 = *((&RAM.array[((signed int )5835u)]));
  llvm_cbe_tmp__4795 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4793)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4794));
  *((&RAM.array[((signed int )33570u)])) = llvm_cbe_tmp__4793;
  *((&RAM.array[((signed int )33571u)])) = llvm_cbe_tmp__4794;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4795 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4795))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4795 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4749) + ((unsigned int )22u)))))])) = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4749) + ((unsigned int )23u)))))])) = ((unsigned char )14);
  goto llvm_cbe__2e__crit_edge5597;

llvm_cbe__2e__crit_edge5587:
  llvm_cbe_tmp__5273 = *((&RAM.array[((signed int )33582u)]));
  llvm_cbe_tmp__5274 = *((&RAM.array[((signed int )33583u)]));
  *((&RAM.array[((signed int )33610u)])) = llvm_cbe_tmp__5273;
  *((&RAM.array[((signed int )33611u)])) = llvm_cbe_tmp__5274;
  llvm_cbe_tmp__5275 = *((&RAM.array[((signed int )6807u)]));
  *((&RAM.array[((signed int )33612u)])) = llvm_cbe_tmp__5275;
  llvm_cbe_tmp__5276 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5277 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5276) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__5278 = *((&RAM.array[((signed int )llvm_cbe_tmp__5277)]));
  llvm_cbe_tmp__5279 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5277) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5280 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5278)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5279));
  *((&RAM.array[((signed int )33616u)])) = llvm_cbe_tmp__5278;
  *((&RAM.array[((signed int )33617u)])) = llvm_cbe_tmp__5279;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5280 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5280))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5280 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5276) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5276) + ((unsigned int )23u)))))])) = ((unsigned char )-10);
  goto llvm_cbe__2e__crit_edge5597;

llvm_cbe_tmp__7640:
  llvm_cbe_tmp__7262 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7262)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7262) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  goto llvm_cbe__2e__crit_edge5587;

llvm_cbe__2e__crit_edge5493:
  llvm_cbe_tmp__5663 = ((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7029) + ((unsigned int )22u)));
  llvm_cbe_tmp__5664 = llvm_cbe_tmp__5663 & 65535u;
  llvm_cbe_tmp__5665 = *((&RAM.array[((signed int )llvm_cbe_tmp__5664)]));
  llvm_cbe_tmp__5666 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5664) + ((unsigned int )1u)))))]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5661 & 65534u))])) = llvm_cbe_tmp__5665;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5661 | 1u))])) = llvm_cbe_tmp__5666;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5663)])) = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7029) + ((unsigned int )23u)))))])) = ((unsigned char )-28);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe__2e__crit_edge5597;

llvm_cbe__2e__crit_edge5492:
  llvm_cbe_tmp__5658 = llvm_cbe_tmp__5658__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5658;
  llvm_cbe_tmp__5659 = *((&RAM.array[((signed int )llvm_cbe_tmp__5649)]));
  llvm_cbe_tmp__5660 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7029) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__5661 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5660)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5659)) << 8u);
  llvm_cbe_tmp__5662 = ((unsigned short )llvm_cbe_tmp__5661);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5662) > ((unsigned short )((unsigned short )-31814)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5662) > ((signed short )((unsigned short )-31814)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5661 == 33722u)));
  if ((((((((((unsigned short )llvm_cbe_tmp__5662) > ((unsigned short )((unsigned short )-31814))) ^ 1)&1)) | (llvm_cbe_tmp__5661 == 33722u))&1))) {
    goto llvm_cbe__2e__crit_edge5493;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6933__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5811__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5397;
  }

llvm_cbe_tmp__8082:
  llvm_cbe__2e_pre_2d_phi7029 = llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY;
  llvm_cbe_tmp__5649 = ((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7029) + ((unsigned int )18u)));
  llvm_cbe_tmp__5650 = llvm_cbe_tmp__5649 & 65535u;
  llvm_cbe_tmp__5651 = (&RAM.array[((signed int )llvm_cbe_tmp__5650)]);
  llvm_cbe_tmp__5652 = *llvm_cbe_tmp__5651;
  llvm_cbe_tmp__5653 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5652)) << 8u;
  llvm_cbe_tmp__5654 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5650) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5655 = *llvm_cbe_tmp__5654;
  llvm_cbe_tmp__5656 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5653 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5655)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__5651 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5656) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5654 = (((unsigned char )llvm_cbe_tmp__5656));
  llvm_cbe_tmp__5657 = ((unsigned short )llvm_cbe_tmp__5656);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5657 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5657) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5657 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5656) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5653 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8083;
  } else {
    llvm_cbe_tmp__5658__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5492;
  }

llvm_cbe__2e__crit_edge5465:
  llvm_cbe__2e_pre7028_2e_pre_2d_phi = llvm_cbe__2e_pre7028_2e_pre_2d_phi__PHI_TEMPORARY;
  llvm_cbe_tmp__5483 = llvm_cbe_tmp__5483__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5483;
  llvm_cbe_tmp__5484 = *((&RAM.array[((signed int )llvm_cbe_tmp__5474)]));
  llvm_cbe_tmp__5485 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7047) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__5486 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5485)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5484)) << 8u);
  llvm_cbe_tmp__5487 = (((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7047) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__5488 = *((&RAM.array[((signed int )llvm_cbe_tmp__5487)]));
  llvm_cbe_tmp__5489 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5487) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5490 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5488)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5489));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5486 & 65534u))])) = llvm_cbe_tmp__5488;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5486 | 1u))])) = llvm_cbe_tmp__5489;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5490 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5490))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5490 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7047) + ((unsigned int )22u)))))])) = ((unsigned char )29);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7047) + ((unsigned int )23u)))))])) = ((unsigned char )104);
  llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY = llvm_cbe__2e_pre7028_2e_pre_2d_phi;   /* for PHI node */
  goto llvm_cbe_tmp__8082;

llvm_cbe__2e__crit_edge5463:
  llvm_cbe__2e_pre_2d_phi7047 = llvm_cbe__2e_pre_2d_phi7047__PHI_TEMPORARY;
  llvm_cbe_tmp__5474 = ((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7047) + ((unsigned int )18u)));
  llvm_cbe_tmp__5475 = llvm_cbe_tmp__5474 & 65535u;
  llvm_cbe_tmp__5476 = (&RAM.array[((signed int )llvm_cbe_tmp__5475)]);
  llvm_cbe_tmp__5477 = *llvm_cbe_tmp__5476;
  llvm_cbe_tmp__5478 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5477)) << 8u;
  llvm_cbe_tmp__5479 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5475) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5480 = *llvm_cbe_tmp__5479;
  llvm_cbe_tmp__5481 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5478 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5480)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__5476 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5481) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5479 = (((unsigned char )llvm_cbe_tmp__5481));
  llvm_cbe_tmp__5482 = ((unsigned short )llvm_cbe_tmp__5481);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5482 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5482) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5482 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5481) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5478 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8084;
  } else {
    llvm_cbe__2e_pre7028_2e_pre_2d_phi__PHI_TEMPORARY = llvm_cbe__2e_pre_2d_phi7047;   /* for PHI node */
    llvm_cbe_tmp__5483__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5465;
  }

llvm_cbe__2e__crit_edge5689:
  llvm_cbe__2e_pre_2d_phi7045 = llvm_cbe__2e_pre_2d_phi7045__PHI_TEMPORARY;
  llvm_cbe__2e_pre_2d_phi7041 = llvm_cbe__2e_pre_2d_phi7041__PHI_TEMPORARY;
  llvm_cbe_tmp__5459 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5460 = *llvm_cbe__2e_pre_2d_phi7041;
  llvm_cbe_tmp__5461 = *llvm_cbe__2e_pre_2d_phi7045;
  llvm_cbe_tmp__5462 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5461)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5460)) << 8u);
  llvm_cbe_tmp__5463 = ((unsigned short )llvm_cbe_tmp__5462);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5463) > ((unsigned short )((unsigned short )-16896)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5463) > ((signed short )((unsigned short )-16896)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5462 == 48640u)));
  if ((llvm_cbe_tmp__5462 == 48640u)) {
    llvm_cbe__2e_pre_2d_phi7037__PHI_TEMPORARY = llvm_cbe_tmp__5459;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5462;
  } else {
    llvm_cbe__2e_pre_2d_phi7047__PHI_TEMPORARY = llvm_cbe_tmp__5459;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5463;
  }

llvm_cbe_tmp__7670:
  llvm_cbe_tmp__7371 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7372 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7371) + ((unsigned int )4u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__7372)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7371) + ((unsigned int )5u)))))])) = ((unsigned char )2);
  llvm_cbe_tmp__7373 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7371) + ((unsigned int )16u)))))]);
  llvm_cbe_tmp__7374 = *llvm_cbe_tmp__7373;
  llvm_cbe_tmp__7375 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7371) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__7376 = *llvm_cbe_tmp__7375;
  llvm_cbe_tmp__7377 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7376)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7374)) << 8u);
  llvm_cbe_tmp__7378 = ((unsigned short )llvm_cbe_tmp__7377);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__7378) > ((unsigned short )((unsigned short )-16384)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7378) > ((signed short )((unsigned short )-16384)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7377 == 49152u)));
  if ((llvm_cbe_tmp__7377 == 49152u)) {
    goto llvm_cbe_tmp__8085;
  } else {
    llvm_cbe__2e_pre_2d_phi7045__PHI_TEMPORARY = llvm_cbe_tmp__7375;   /* for PHI node */
    llvm_cbe__2e_pre_2d_phi7041__PHI_TEMPORARY = llvm_cbe_tmp__7373;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5689;
  }

llvm_cbe_tmp__7671:
  llvm_cbe_tmp__7379 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7379) + ((unsigned int )4u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7379) + ((unsigned int )5u)))))])) = ((unsigned char )4);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe__2e_pre7040 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7379) + ((unsigned int )16u)))))]);
  llvm_cbe__2e_pre7044 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7379) + ((unsigned int )17u)))))]);
  llvm_cbe__2e_pre_2d_phi7045__PHI_TEMPORARY = llvm_cbe__2e_pre7044;   /* for PHI node */
  llvm_cbe__2e_pre_2d_phi7041__PHI_TEMPORARY = llvm_cbe__2e_pre7040;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5689;

llvm_cbe__2e__crit_edge5464:
  llvm_cbe__2e_pre7046_2e_pre_2d_phi = llvm_cbe__2e_pre7046_2e_pre_2d_phi__PHI_TEMPORARY;
  llvm_cbe_tmp__5473 = llvm_cbe_tmp__5473__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5473;
  llvm_cbe__2e_pre_2d_phi7047__PHI_TEMPORARY = llvm_cbe__2e_pre7046_2e_pre_2d_phi;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5463;

llvm_cbe__2e__crit_edge5593:
  llvm_cbe_tmp__5464 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5465 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5464) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__5466 = (&RAM.array[((signed int )llvm_cbe_tmp__5465)]);
  llvm_cbe_tmp__5467 = *llvm_cbe_tmp__5466;
  llvm_cbe_tmp__5468 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5467)) << 8u;
  llvm_cbe_tmp__5469 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5465) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5470 = *llvm_cbe_tmp__5469;
  llvm_cbe_tmp__5471 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5468 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5470)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__5466 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5471) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5469 = (((unsigned char )llvm_cbe_tmp__5471));
  llvm_cbe_tmp__5472 = ((unsigned short )llvm_cbe_tmp__5471);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5472 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5472) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5472 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5471) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5468 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8086;
  } else {
    llvm_cbe__2e_pre7046_2e_pre_2d_phi__PHI_TEMPORARY = llvm_cbe_tmp__5464;   /* for PHI node */
    llvm_cbe_tmp__5473__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5464;
  }

llvm_cbe_tmp__7672:
  llvm_cbe_tmp__7380 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7380)])) = ((unsigned char )-1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7380) + ((unsigned int )1u)))))])) = ((unsigned char )-1);
  goto llvm_cbe__2e__crit_edge5593;

llvm_cbe_tmp__8086:
  llvm_cbe__2e_lobit4742 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5471) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe__2e_pre7046_2e_pre = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre7046_2e_pre_2d_phi__PHI_TEMPORARY = llvm_cbe__2e_pre7046_2e_pre;   /* for PHI node */
  llvm_cbe_tmp__5473__PHI_TEMPORARY = llvm_cbe__2e_lobit4742;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5464;

llvm_cbe_tmp__8084:
  llvm_cbe__2e_lobit4741 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5481) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe__2e_pre7028_2e_pre = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre7028_2e_pre_2d_phi__PHI_TEMPORARY = llvm_cbe__2e_pre7028_2e_pre;   /* for PHI node */
  llvm_cbe_tmp__5483__PHI_TEMPORARY = llvm_cbe__2e_lobit4741;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5465;

llvm_cbe_tmp__7595:
  llvm_cbe_tmp__7028 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7028) + ((unsigned int )22u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7028) + ((unsigned int )23u)))))])) = ((unsigned char )-30);
  llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY = llvm_cbe_tmp__7028;   /* for PHI node */
  goto llvm_cbe_tmp__8082;

llvm_cbe_tmp__7657:
  llvm_cbe_tmp__7323 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7323) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7323) + ((unsigned int )23u)))))])) = ((unsigned char )0);
  llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY = llvm_cbe_tmp__7323;   /* for PHI node */
  goto llvm_cbe_tmp__8082;

llvm_cbe_tmp__7682:
  llvm_cbe_tmp__7428 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7428) + ((unsigned int )22u)))))])) = ((unsigned char )29);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7428) + ((unsigned int )23u)))))])) = ((unsigned char )-16);
  llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY = llvm_cbe_tmp__7428;   /* for PHI node */
  goto llvm_cbe_tmp__8082;

llvm_cbe_tmp__7688:
  llvm_cbe_tmp__7436 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7436) + ((unsigned int )22u)))))])) = ((unsigned char )30);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7436) + ((unsigned int )23u)))))])) = ((unsigned char )28);
  llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY = llvm_cbe_tmp__7436;   /* for PHI node */
  goto llvm_cbe_tmp__8082;

llvm_cbe_tmp__7690:
  llvm_cbe_tmp__7438 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7438) + ((unsigned int )22u)))))])) = ((unsigned char )30);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7438) + ((unsigned int )23u)))))])) = ((unsigned char )40);
  llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY = llvm_cbe_tmp__7438;   /* for PHI node */
  goto llvm_cbe_tmp__8082;

llvm_cbe_tmp__7692:
  llvm_cbe_tmp__7440 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7440) + ((unsigned int )22u)))))])) = ((unsigned char )30);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7440) + ((unsigned int )23u)))))])) = ((unsigned char )52);
  llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY = llvm_cbe_tmp__7440;   /* for PHI node */
  goto llvm_cbe_tmp__8082;

llvm_cbe_tmp__7694:
  llvm_cbe_tmp__7442 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7442) + ((unsigned int )22u)))))])) = ((unsigned char )30);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7442) + ((unsigned int )23u)))))])) = ((unsigned char )64);
  llvm_cbe__2e_pre_2d_phi7029__PHI_TEMPORARY = llvm_cbe_tmp__7442;   /* for PHI node */
  goto llvm_cbe_tmp__8082;

llvm_cbe_tmp__8083:
  llvm_cbe__2e_lobit4777 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5656) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5658__PHI_TEMPORARY = llvm_cbe__2e_lobit4777;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5492;

llvm_cbe_tmp__8081:
  llvm_cbe_tmp4779_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__5674 ^ llvm_cbe_tmp__5672)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5678__PHI_TEMPORARY = llvm_cbe_tmp4779_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5496;

llvm_cbe_tmp__8078:
  llvm_cbe__2e_lobit4781 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5729) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5731__PHI_TEMPORARY = llvm_cbe__2e_lobit4781;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5500;

llvm_cbe_tmp__8073:
  llvm_cbe_tmp4799 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4926) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4928__PHI_TEMPORARY = llvm_cbe_tmp4799;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5394;

llvm_cbe__2e__crit_edge5404:
  llvm_cbe__2e_rle5980 = llvm_cbe__2e_rle5980__PHI_TEMPORARY;
  llvm_cbe__2e_rle5946 = llvm_cbe__2e_rle5946__PHI_TEMPORARY;
  llvm_cbe__2e_rle5912 = llvm_cbe__2e_rle5912__PHI_TEMPORARY;
  llvm_cbe_tmp__5085 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5086 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5085) + ((unsigned int )14u)))))]));
  llvm_cbe_tmp__5087 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5085) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__5088 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5087)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5086)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5088;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5980;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5946;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5912;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5088;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5088;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5401:
  llvm_cbe_tmp__4987 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4983) + ((unsigned int )7394u)));
  llvm_cbe_tmp__4988 = *((&RAM.array[((signed int )(llvm_cbe_tmp__4987 & 65534u))]));
  llvm_cbe_tmp__4989 = *((&RAM.array[((signed int )((llvm_cbe_tmp__4987 | 1u) & 65535u))]));
  llvm_cbe_tmp__4990 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4988)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4989));
  llvm_cbe_tmp__4991 = llvm_cbe_tmp__7164 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4991)])) = llvm_cbe_tmp__4988;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4991) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4989;
  llvm_cbe_tmp__4992 = ((unsigned int )(bool )(llvm_cbe_tmp__4990 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__4992;
  llvm_cbe_tmp__4993 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4990))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__4993;
  llvm_cbe_tmp__4994 = ((unsigned int )(bool )(llvm_cbe_tmp__4990 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__4994;
  if ((((signed short )(((unsigned short )llvm_cbe_tmp__4990))) > ((signed short )((unsigned short )0)))) {
    llvm_cbe__2e_rle5980__PHI_TEMPORARY = llvm_cbe_tmp__4992;   /* for PHI node */
    llvm_cbe__2e_rle5946__PHI_TEMPORARY = llvm_cbe_tmp__4994;   /* for PHI node */
    llvm_cbe__2e_rle5912__PHI_TEMPORARY = llvm_cbe_tmp__4993;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5404;
  } else {
    goto llvm_cbe__2e__crit_edge5405;
  }

llvm_cbe__2e__crit_edge5659:
  llvm_cbe_tmp__4981 = llvm_cbe_tmp__4981__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4981;
  llvm_cbe_tmp__4982 = *llvm_cbe_tmp__7165;
  llvm_cbe_tmp__4983 = (llvm_cbe_tmp__7172 & 255u) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4982)) << 8u);
  llvm_cbe_tmp__4984 = ((unsigned short )llvm_cbe_tmp__4983);
  llvm_cbe_tmp__4985 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4984) > ((unsigned short )((unsigned short )76))));
  *(&ST_LGT) = llvm_cbe_tmp__4985;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4984) > ((signed short )((unsigned short )76)))));
  llvm_cbe_tmp__4986 = ((unsigned int )(bool )(llvm_cbe_tmp__4983 == 76u));
  *(&ST_EQ) = llvm_cbe_tmp__4986;
  if ((((((((((unsigned short )llvm_cbe_tmp__4984) > ((unsigned short )((unsigned short )76))) ^ 1)&1)) | (llvm_cbe_tmp__4983 == 76u))&1))) {
    goto llvm_cbe__2e__crit_edge5401;
  } else {
    llvm_cbe__2e_rle7010__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5072__PHI_TEMPORARY = llvm_cbe_tmp__4986;   /* for PHI node */
    llvm_cbe_tmp__5073__PHI_TEMPORARY = llvm_cbe_tmp__4985;   /* for PHI node */
    llvm_cbe_tmp__5074__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5402;
  }

llvm_cbe_tmp__8087:
  llvm_cbe_tmp4615 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7172) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4981__PHI_TEMPORARY = llvm_cbe_tmp4615;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5659;

llvm_cbe_tmp__7617:
  llvm_cbe_tmp__7163 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7164 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7163) + ((unsigned int )14u)));
  llvm_cbe_tmp__7165 = (&RAM.array[((signed int )llvm_cbe_tmp__7164)]);
  llvm_cbe_tmp__7166 = *llvm_cbe_tmp__7165;
  llvm_cbe_tmp__7167 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7163) + ((unsigned int )15u)))))]);
  llvm_cbe_tmp__7168 = *llvm_cbe_tmp__7167;
  llvm_cbe_tmp__7169 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__7168)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7166)) << 8u))) >> ((unsigned int )7u)));
  *llvm_cbe_tmp__7165 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__7166) >> ((unsigned char )((unsigned char )7)))))));
  *llvm_cbe_tmp__7167 = (((unsigned char )llvm_cbe_tmp__7169));
  llvm_cbe_tmp__7170 = *llvm_cbe_tmp__7165;
  llvm_cbe_tmp__7171 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7170)) << 8u;
  llvm_cbe_tmp__7172 = ((unsigned int )(((unsigned int )((llvm_cbe_tmp__7169 & 255u) | llvm_cbe_tmp__7171)) + ((unsigned int )65170u)));
  *llvm_cbe_tmp__7165 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7172) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7167 = (((unsigned char )llvm_cbe_tmp__7172));
  llvm_cbe_tmp__7173 = ((unsigned short )llvm_cbe_tmp__7172);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7173 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7173) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7173 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7172) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__7171 & 32768u) == 0u)) {
    llvm_cbe_tmp__4981__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5659;
  } else {
    goto llvm_cbe_tmp__8087;
  }

llvm_cbe__2e__crit_edge5421:
  llvm_cbe_tmp__5166 = *llvm_cbe_tmp__7191;
  llvm_cbe_tmp__5167 = *llvm_cbe_tmp__7193;
  llvm_cbe_tmp__5168 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5167)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5166)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5168;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5163;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5165;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5164;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5168;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5168;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8088:
  llvm_cbe_tmp__5157 = *llvm_cbe_tmp__7191;
  llvm_cbe_tmp__5158 = ((unsigned int )(((unsigned int )((llvm_cbe_tmp__7198 & 255u) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5157)) << 8u))) + ((unsigned int )7392u)));
  llvm_cbe_tmp__5159 = *((&RAM.array[((signed int )(llvm_cbe_tmp__5158 & 65534u))]));
  llvm_cbe_tmp__5160 = *((&RAM.array[((signed int )((llvm_cbe_tmp__5158 | 1u) & 65535u))]));
  llvm_cbe_tmp__5161 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5159)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5160));
  llvm_cbe_tmp__5162 = llvm_cbe_tmp__7190 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5162)])) = llvm_cbe_tmp__5159;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5162) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5160;
  llvm_cbe_tmp__5163 = ((unsigned int )(bool )(llvm_cbe_tmp__5161 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__5163;
  llvm_cbe_tmp__5164 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5161))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__5164;
  llvm_cbe_tmp__5165 = ((unsigned int )(bool )(llvm_cbe_tmp__5161 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__5165;
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__5161))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__5161 == 0u))&1))) {
    goto llvm_cbe__2e__crit_edge5421;
  } else {
    goto llvm_cbe__2e__crit_edge5405;
  }

llvm_cbe__2e__crit_edge5665:
  llvm_cbe_tmp__5156 = llvm_cbe_tmp__5156__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5156;
  if ((((signed short )llvm_cbe_tmp__7199) > ((signed short )((unsigned short )0)))) {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  } else {
    goto llvm_cbe_tmp__8088;
  }

llvm_cbe_tmp__8089:
  llvm_cbe_tmp4629 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7198) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5156__PHI_TEMPORARY = llvm_cbe_tmp4629;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5665;

llvm_cbe_tmp__7625:
  llvm_cbe_tmp__7189 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7190 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7189) + ((unsigned int )14u)));
  llvm_cbe_tmp__7191 = (&RAM.array[((signed int )llvm_cbe_tmp__7190)]);
  llvm_cbe_tmp__7192 = *llvm_cbe_tmp__7191;
  llvm_cbe_tmp__7193 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7189) + ((unsigned int )15u)))))]);
  llvm_cbe_tmp__7194 = *llvm_cbe_tmp__7193;
  llvm_cbe_tmp__7195 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__7194)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7192)) << 8u))) >> ((unsigned int )7u)));
  *llvm_cbe_tmp__7191 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__7192) >> ((unsigned char )((unsigned char )7)))))));
  *llvm_cbe_tmp__7193 = (((unsigned char )llvm_cbe_tmp__7195));
  llvm_cbe_tmp__7196 = *llvm_cbe_tmp__7191;
  llvm_cbe_tmp__7197 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7196)) << 8u;
  llvm_cbe_tmp__7198 = ((unsigned int )(((unsigned int )((llvm_cbe_tmp__7195 & 255u) | llvm_cbe_tmp__7197)) + ((unsigned int )65212u)));
  *llvm_cbe_tmp__7191 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7198) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7193 = (((unsigned char )llvm_cbe_tmp__7198));
  llvm_cbe_tmp__7199 = ((unsigned short )llvm_cbe_tmp__7198);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7199 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7199) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7199 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7198) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__7197 & 32768u) == 0u)) {
    llvm_cbe_tmp__5156__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5665;
  } else {
    goto llvm_cbe_tmp__8089;
  }

llvm_cbe__2e__crit_edge5431:
  llvm_cbe_tmp__5204 = llvm_cbe_tmp__5204__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5204;
  llvm_cbe_tmp__5205 = *((&RAM.array[((signed int )llvm_cbe_tmp__5188)]));
  llvm_cbe_tmp__5206 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5183) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__5207 = ((unsigned short )((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5205)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5206)))))) + ((unsigned short )((unsigned short )2))))))) & ((unsigned short )-2)));
  *(&PC) = llvm_cbe_tmp__5207;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__5182;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5201;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5203;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5202;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5182;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5207;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5207;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5428:
  if (((llvm_cbe_tmp__5196 & 32768u) == 0u)) {
    llvm_cbe_tmp__5204__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5431;
  } else {
    goto llvm_cbe_tmp__8090;
  }

llvm_cbe__2e__crit_edge5408:
  llvm_cbe_tmp__5182 = *(&WP);
  llvm_cbe_tmp__5183 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5182);
  llvm_cbe_tmp__5184 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5183) + ((unsigned int )18u)));
  llvm_cbe_tmp__5185 = *((&RAM.array[((signed int )llvm_cbe_tmp__5184)]));
  llvm_cbe_tmp__5186 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5183) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__5187 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5186)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5185)) << 8u);
  llvm_cbe_tmp__5188 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5183) + ((unsigned int )14u)));
  llvm_cbe_tmp__5189 = *((&RAM.array[((signed int )(llvm_cbe_tmp__5187 & 65534u))]));
  llvm_cbe_tmp__5190 = *((&RAM.array[((signed int )(llvm_cbe_tmp__5187 | 1u))]));
  llvm_cbe_tmp__5191 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5189)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5190));
  llvm_cbe_tmp__5192 = llvm_cbe_tmp__5188 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5192)])) = llvm_cbe_tmp__5189;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5192) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5190;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5191 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5191))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5191 == 0u)));
  llvm_cbe_tmp__5193 = llvm_cbe_tmp__5184 & 65535u;
  llvm_cbe_tmp__5194 = (&RAM.array[((signed int )llvm_cbe_tmp__5193)]);
  llvm_cbe_tmp__5195 = *llvm_cbe_tmp__5194;
  llvm_cbe_tmp__5196 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5195)) << 8u;
  llvm_cbe_tmp__5197 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5193) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5198 = *llvm_cbe_tmp__5197;
  llvm_cbe_tmp__5199 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5196 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5198)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__5194 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5199) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5197 = (((unsigned char )llvm_cbe_tmp__5199));
  llvm_cbe_tmp__5200 = ((unsigned short )llvm_cbe_tmp__5199);
  llvm_cbe_tmp__5201 = ((unsigned int )(bool )(llvm_cbe_tmp__5200 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__5201;
  llvm_cbe_tmp__5202 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5200) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__5202;
  llvm_cbe_tmp__5203 = ((unsigned int )(bool )(llvm_cbe_tmp__5200 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__5203;
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5199) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((((((signed short )(((unsigned short )llvm_cbe_tmp__5191))) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__5191 == 0u))&1))) {
    goto llvm_cbe__2e__crit_edge5428;
  } else {
    goto llvm_cbe_tmp__8091;
  }

llvm_cbe__2e__crit_edge5407:
  llvm_cbe_tmp__5047 = llvm_cbe_tmp__5047__PHI_TEMPORARY;
  llvm_cbe_tmp__5048 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5047);
  llvm_cbe_tmp__5049 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5048) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__5050 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5048) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__5051 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5049)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5050))))));
  llvm_cbe_tmp__5052 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5048) + ((unsigned int )16u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__5051) > ((unsigned char )llvm_cbe_tmp__5052))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5051) > ((signed char )llvm_cbe_tmp__5052))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5051 == llvm_cbe_tmp__5052)));
  if (((((((unsigned char )llvm_cbe_tmp__5051) > ((unsigned char )llvm_cbe_tmp__5052)) | (llvm_cbe_tmp__5051 == llvm_cbe_tmp__5052))&1))) {
    goto llvm_cbe__2e__crit_edge5408;
  } else {
    goto llvm_cbe_tmp__8092;
  }

llvm_cbe__2e__crit_edge5456:
  llvm_cbe_tmp__5015 = llvm_cbe_tmp__5015__PHI_TEMPORARY;
  llvm_cbe_tmp__5016 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5015);
  llvm_cbe_tmp__5017 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5016) + ((unsigned int )18u)))))]));
  llvm_cbe_tmp__5018 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5016) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__5019 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5018)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5017)) << 8u);
  llvm_cbe_tmp__5020 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5016) + ((unsigned int )12u)));
  llvm_cbe_tmp__5021 = *((&RAM.array[((signed int )(llvm_cbe_tmp__5019 & 65534u))]));
  llvm_cbe_tmp__5022 = *((&RAM.array[((signed int )(llvm_cbe_tmp__5019 | 1u))]));
  llvm_cbe_tmp__5023 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5021)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5022));
  llvm_cbe_tmp__5024 = llvm_cbe_tmp__5020 & 65535u;
  llvm_cbe_tmp__5025 = (&RAM.array[((signed int )llvm_cbe_tmp__5024)]);
  *llvm_cbe_tmp__5025 = llvm_cbe_tmp__5021;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5024) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5022;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5023 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5023))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5023 == 0u)));
  if ((((signed short )(((unsigned short )llvm_cbe_tmp__5023))) > ((signed short )((unsigned short )0)))) {
    llvm_cbe_tmp__5047__PHI_TEMPORARY = llvm_cbe_tmp__5015;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5407;
  } else {
    goto llvm_cbe_tmp__8093;
  }

llvm_cbe_tmp__8094:
  llvm_cbe__2e_pre_2d_phi7055 = llvm_cbe__2e_pre_2d_phi7055__PHI_TEMPORARY;
  llvm_cbe__2e_pre_2d_phi7051 = llvm_cbe__2e_pre_2d_phi7051__PHI_TEMPORARY;
  llvm_cbe_tmp__5513 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5513) + ((unsigned int )6u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5513) + ((unsigned int )7u)))))])) = ((unsigned char )74);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5514 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )6))))))));
  llvm_cbe_tmp__5515 = (&RAM.array[((signed int )llvm_cbe_tmp__5514)]);
  llvm_cbe_tmp__5516 = *llvm_cbe_tmp__5515;
  llvm_cbe_tmp__5517 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5514) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5518 = *llvm_cbe_tmp__5517;
  llvm_cbe_tmp__5519 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5516)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5518));
  *llvm_cbe_tmp__5515 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5519) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5517 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__5518) + ((unsigned char )((unsigned char )2)))))));
  llvm_cbe_tmp__5520 = *llvm_cbe__2e_pre_2d_phi7051;
  llvm_cbe_tmp__5521 = *llvm_cbe__2e_pre_2d_phi7055;
  llvm_cbe_tmp__5522 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5520)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5521));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5519 & 65534u))])) = llvm_cbe_tmp__5520;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5519 | 1u))])) = llvm_cbe_tmp__5521;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5522 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5522))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5522 == 0u)));
  llvm_cbe_tmp__5523 = *llvm_cbe_tmp__5515;
  llvm_cbe_tmp__5524 = *llvm_cbe_tmp__5517;
  llvm_cbe_tmp__5525 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5523)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5524));
  *llvm_cbe_tmp__5515 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5525) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5517 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__5524) + ((unsigned char )((unsigned char )2)))))));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5525 & 65534u))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5525 | 1u))])) = ((unsigned char )0);
  llvm_cbe_tmp__5526 = *llvm_cbe_tmp__5515;
  llvm_cbe_tmp__5527 = *llvm_cbe_tmp__5517;
  llvm_cbe_tmp__5528 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5526)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5527));
  *llvm_cbe_tmp__5515 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5528) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5517 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__5527) + ((unsigned char )((unsigned char )2)))))));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5528 & 65534u))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5528 | 1u))])) = ((unsigned char )0);
  llvm_cbe_tmp__5529 = *llvm_cbe_tmp__5515;
  llvm_cbe_tmp__5530 = *llvm_cbe_tmp__5517;
  llvm_cbe_tmp__5531 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5529)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5530));
  *llvm_cbe_tmp__5515 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5531) + ((unsigned int )2u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5517 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__5530) + ((unsigned char )((unsigned char )2)))))));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5531 & 65534u))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5531 | 1u))])) = ((unsigned char )0);
  llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5456;

llvm_cbe__2e__crit_edge5466:
  llvm_cbe_tmp__5508 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__5509 = (&RAM.array[((signed int )llvm_cbe_tmp__5508)]);
  *llvm_cbe_tmp__5509 = ((unsigned char )0);
  llvm_cbe_tmp__5510 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5508) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__5510 = ((unsigned char )0);
  llvm_cbe__2e_pre_2d_phi7055__PHI_TEMPORARY = llvm_cbe_tmp__5510;   /* for PHI node */
  llvm_cbe__2e_pre_2d_phi7051__PHI_TEMPORARY = llvm_cbe_tmp__5509;   /* for PHI node */
  goto llvm_cbe_tmp__8094;

llvm_cbe__2e__crit_edge5595:
  if ((llvm_cbe_tmp__5994 == 0u)) {
    goto llvm_cbe__2e__crit_edge5466;
  } else {
    goto llvm_cbe__2e__crit_edge5467;
  }

llvm_cbe__2e__crit_edge5596:
  if (((((llvm_cbe_tmp__5995 == 0u) & (llvm_cbe_tmp__5994 == 0u))&1))) {
    goto llvm_cbe__2e__crit_edge5467;
  } else {
    goto llvm_cbe__2e__crit_edge5466;
  }

llvm_cbe_tmp__7677:
  if ((llvm_cbe_tmp__5994 == 0u)) {
    goto llvm_cbe__2e__crit_edge5596;
  } else {
    goto llvm_cbe__2e__crit_edge5467;
  }

llvm_cbe_tmp__7675:
  if (((((llvm_cbe_tmp__5995 == 0u) & (llvm_cbe_tmp__5994 == 0u))&1))) {
    goto llvm_cbe__2e__crit_edge5466;
  } else {
    goto llvm_cbe__2e__crit_edge5467;
  }

llvm_cbe_tmp__7676:
  if ((llvm_cbe_tmp__5994 == 0u)) {
    goto llvm_cbe__2e__crit_edge5467;
  } else {
    goto llvm_cbe__2e__crit_edge5466;
  }

llvm_cbe_tmp__7678:
  if ((llvm_cbe_tmp__5995 == 0u)) {
    goto llvm_cbe__2e__crit_edge5466;
  } else {
    goto llvm_cbe__2e__crit_edge5467;
  }

llvm_cbe__2e__crit_edge5467:
  llvm_cbe_tmp__5511 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5512 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5511) + ((unsigned int )8u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__5512)])) = ((unsigned char )-65);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5511) + ((unsigned int )9u)))))])) = ((unsigned char )-1);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe__2e_pre7048 = llvm_cbe_tmp__5512 & 65535u;
  llvm_cbe__2e_pre7050 = (&RAM.array[((signed int )llvm_cbe__2e_pre7048)]);
  llvm_cbe__2e_pre7054 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre7048) + ((unsigned int )1u)))))]);
  llvm_cbe__2e_pre_2d_phi7055__PHI_TEMPORARY = llvm_cbe__2e_pre7054;   /* for PHI node */
  llvm_cbe__2e_pre_2d_phi7051__PHI_TEMPORARY = llvm_cbe__2e_pre7050;   /* for PHI node */
  goto llvm_cbe_tmp__8094;

llvm_cbe_tmp__7634:
  llvm_cbe_tmp__7255 = *((&RAM.array[((signed int )33620u)]));
  *((&RAM.array[((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996)))])) = llvm_cbe_tmp__7255;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7255 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7255) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7255 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__7255 == ((unsigned char )0))) {
    llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5456;
  } else {
    goto llvm_cbe__2e__crit_edge5672;
  }

llvm_cbe_tmp__7669:
  llvm_cbe_tmp__7368 =  /*tail*/ hw_read(((unsigned short )-30720));
  *((&RAM.array[((signed int )33583u)])) = llvm_cbe_tmp__7368;
  llvm_cbe_tmp__7369 = *(&WP);
  llvm_cbe_tmp__7370 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__7369))) + ((unsigned int )2u)))) & 65535u))]));
  *((&RAM.array[((signed int )33582u)])) = llvm_cbe_tmp__7370;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7370 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7370) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7370 == ((unsigned char )0))));
  llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__7369;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5456;

llvm_cbe_tmp__7687:
  llvm_cbe_tmp__7435 = *((&RAM.array[((signed int )33620u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )4u)))) & 65535u))])) = llvm_cbe_tmp__7435;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7435 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7435) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7435 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__7435 == ((unsigned char )0))) {
    llvm_cbe_tmp__5015__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5456;
  } else {
    goto llvm_cbe__2e__crit_edge5672;
  }

llvm_cbe_tmp__8093:
  llvm_cbe_tmp__5026 = (&RAM.array[((signed int )llvm_cbe_tmp__5020)]);
  llvm_cbe_tmp__5027 = *llvm_cbe_tmp__5026;
  llvm_cbe_tmp__5028 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5016) + ((unsigned int )13u)))))]);
  llvm_cbe_tmp__5029 = *llvm_cbe_tmp__5028;
  llvm_cbe__2e_masked4906 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5027)) << 8u) & 32512u;
  llvm_cbe_tmp__5030 = llvm_cbe__2e_masked4906 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5029));
  *llvm_cbe_tmp__5026 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe__2e_masked4906) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5028 = llvm_cbe_tmp__5029;
  llvm_cbe_tmp__5031 = ((unsigned int )(bool )(llvm_cbe_tmp__5030 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__5031;
  *(&ST_AGT) = llvm_cbe_tmp__5031;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5030 == 0u)));
  llvm_cbe_tmp__5032 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5016) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__5033 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5016) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__5034 = *llvm_cbe_tmp__5025;
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5033)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5032)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__5034);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5034 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5034) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5034 == ((unsigned char )0))));
  llvm_cbe_tmp__5035 = *(&WP);
  llvm_cbe_tmp__5036 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5035);
  llvm_cbe_tmp__5037 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5036) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__5038 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5036) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__5039 = *((&RAM.array[((signed int )33773u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5037)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5038)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__5039);
  llvm_cbe_tmp__5040 = *(&WP);
  llvm_cbe_tmp__5041 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5040);
  llvm_cbe_tmp__5042 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5041) + ((unsigned int )26u)))) & 65535u;
  llvm_cbe_tmp__5043 = *((&RAM.array[((signed int )llvm_cbe_tmp__5042)]));
  llvm_cbe_tmp__5044 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5042) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5045 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5043)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5044));
  llvm_cbe_tmp__5046 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5041) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5046)])) = llvm_cbe_tmp__5043;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5046) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5044;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5045 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5045))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5045 == 0u)));
  llvm_cbe_tmp__5047__PHI_TEMPORARY = llvm_cbe_tmp__5040;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5407;

llvm_cbe_tmp__8095:
  llvm_cbe_tmp__5378 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__5379 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__5380 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5378)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5379));
  *((&RAM.array[((signed int )33582u)])) = llvm_cbe_tmp__5378;
  *((&RAM.array[((signed int )33583u)])) = llvm_cbe_tmp__5379;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5380 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5380))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5380 == 0u)));
  goto llvm_cbe__2e__crit_edge5408;

llvm_cbe_tmp__8058:
  llvm_cbe_tmp__5377 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )16u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5377 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5377) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5377 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__5377 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__8095;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe_tmp__8096:
  llvm_cbe_tmp__5393 = *((&RAM.array[((signed int )(llvm_cbe_tmp__7312 & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5393 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5393) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5393 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__5393 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5408;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe_tmp__7654:
  llvm_cbe_tmp__7311 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7312 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7311) + ((unsigned int )16u)));
  llvm_cbe_tmp__7313 = *((&RAM.array[((signed int )llvm_cbe_tmp__7312)]));
  llvm_cbe_tmp__7314 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7311) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__7315 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7314)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7313)) << 8u);
  llvm_cbe_tmp__7316 = ((unsigned short )llvm_cbe_tmp__7315);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__7316) > ((unsigned short )((unsigned short )-32512)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7316) > ((signed short )((unsigned short )-32512)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7315 == 33024u)));
  if ((llvm_cbe_tmp__7315 == 33024u)) {
    goto llvm_cbe__2e__crit_edge5436;
  } else {
    goto llvm_cbe_tmp__8096;
  }

llvm_cbe_tmp__8090:
  llvm_cbe_tmp4761 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5199) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5204__PHI_TEMPORARY = llvm_cbe_tmp4761;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5431;

llvm_cbe_tmp__8097:
  llvm_cbe_tmp__5208 = *llvm_cbe_tmp__7213;
  llvm_cbe_tmp__5209 = *llvm_cbe_tmp__7214;
  llvm_cbe_tmp__5210 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5208)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5209));
  *llvm_cbe_tmp__7208 = llvm_cbe_tmp__5208;
  *llvm_cbe_tmp__7210 = llvm_cbe_tmp__5209;
  llvm_cbe_tmp__5211 = ((unsigned int )(bool )(llvm_cbe_tmp__5210 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__5211;
  llvm_cbe_tmp__5212 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5210))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__5212;
  llvm_cbe_tmp__5213 = ((unsigned int )(bool )(llvm_cbe_tmp__5210 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__5213;
  llvm_cbe_tmp__5214 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7205) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__5215 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7205) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__5216 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5215)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5214)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5216;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5211;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5213;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5212;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5216;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5216;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7628:
  llvm_cbe_tmp__7205 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7206 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7205) + ((unsigned int )2u)));
  llvm_cbe_tmp__7207 = llvm_cbe_tmp__7206 & 65535u;
  llvm_cbe_tmp__7208 = (&RAM.array[((signed int )llvm_cbe_tmp__7207)]);
  llvm_cbe_tmp__7209 = *llvm_cbe_tmp__7208;
  llvm_cbe_tmp__7210 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7207) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7211 = *llvm_cbe_tmp__7210;
  llvm_cbe_tmp__7212 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7205) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__7213 = (&RAM.array[((signed int )llvm_cbe_tmp__7212)]);
  *llvm_cbe_tmp__7213 = llvm_cbe_tmp__7209;
  llvm_cbe_tmp__7214 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7212) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__7214 = llvm_cbe_tmp__7211;
  llvm_cbe_tmp__7215 = (&RAM.array[((signed int )llvm_cbe_tmp__7206)]);
  llvm_cbe_tmp__7216 = *llvm_cbe_tmp__7215;
  llvm_cbe_tmp__7217 = ((unsigned int )(unsigned char )llvm_cbe_tmp__7216);
  llvm_cbe_tmp__7218 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7205) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__7219 = *llvm_cbe_tmp__7218;
  llvm_cbe_tmp__7220 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7219)) | (llvm_cbe_tmp__7217 << 8u);
  llvm_cbe_tmp__7221 = llvm_cbe_tmp__7220 << 2u;
  *llvm_cbe_tmp__7215 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7220) >> ((unsigned int )6u))))));
  *llvm_cbe_tmp__7218 = (((unsigned char )llvm_cbe_tmp__7221));
  llvm_cbe_tmp__7222 = ((unsigned short )llvm_cbe_tmp__7221);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7222 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7222) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7222 == ((unsigned short )0))));
  llvm_cbe_tmp__7223 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7217) >> ((unsigned int )6u)))) & 1u;
  *(&ST_C) = llvm_cbe_tmp__7223;
  if ((llvm_cbe_tmp__7223 == 0u)) {
    goto llvm_cbe_tmp__8097;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe__2e__crit_edge5594:
  llvm_cbe__2e_rle5983 = llvm_cbe__2e_rle5983__PHI_TEMPORARY;
  llvm_cbe__2e_rle5949 = llvm_cbe__2e_rle5949__PHI_TEMPORARY;
  llvm_cbe__2e_rle5915 = llvm_cbe__2e_rle5915__PHI_TEMPORARY;
  llvm_cbe_tmp__5504 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5505 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5504) + ((unsigned int )24u)))))]));
  llvm_cbe_tmp__5506 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5504) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__5507 = ((unsigned short )((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5505)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5506)))))) + ((unsigned short )((unsigned short )7554))))))) & ((unsigned short )-2)));
  *(&PC) = llvm_cbe_tmp__5507;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5983;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5949;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5915;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5507;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5507;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5473:
  llvm_cbe_tmp__5565 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5566 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5565) + ((unsigned int )12u)))) & 65535u))]));
  llvm_cbe_tmp__5567 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5565) + ((unsigned int )14u)))) & 65535u))]));
  llvm_cbe_tmp__5568 = ((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__5566) > ((unsigned char )llvm_cbe_tmp__5567)));
  *(&ST_LGT) = llvm_cbe_tmp__5568;
  llvm_cbe_tmp__5569 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5566) > ((signed char )llvm_cbe_tmp__5567)));
  *(&ST_AGT) = llvm_cbe_tmp__5569;
  llvm_cbe_tmp__5570 = ((unsigned int )(bool )(llvm_cbe_tmp__5566 == llvm_cbe_tmp__5567));
  *(&ST_EQ) = llvm_cbe_tmp__5570;
  llvm_cbe__2e_rle5983__PHI_TEMPORARY = llvm_cbe_tmp__5568;   /* for PHI node */
  llvm_cbe__2e_rle5949__PHI_TEMPORARY = llvm_cbe_tmp__5570;   /* for PHI node */
  llvm_cbe__2e_rle5915__PHI_TEMPORARY = llvm_cbe_tmp__5569;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5594;

llvm_cbe__2e__crit_edge5485:
  llvm_cbe__2e_rle5984 = llvm_cbe__2e_rle5984__PHI_TEMPORARY;
  llvm_cbe__2e_rle5950 = llvm_cbe__2e_rle5950__PHI_TEMPORARY;
  llvm_cbe__2e_rle5916 = llvm_cbe__2e_rle5916__PHI_TEMPORARY;
  llvm_cbe_tmp__5604 = *(&WP);
  llvm_cbe_tmp__5605 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5604);
  llvm_cbe_tmp__5606 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5605) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__5607 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5605) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__5608 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5607)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5606)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5608;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__5604;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5984;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5950;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5916;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5604;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5608;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5608;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5482:
  llvm_cbe_tmp__5595 = *((&RAM.array[((signed int )33612u)]));
  llvm_cbe_tmp__5596 = ((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__5595) > ((unsigned char )llvm_cbe_tmp__5594)));
  *(&ST_LGT) = llvm_cbe_tmp__5596;
  llvm_cbe_tmp__5597 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5595) > ((signed char )llvm_cbe_tmp__5594)));
  *(&ST_AGT) = llvm_cbe_tmp__5597;
  llvm_cbe_tmp__5598 = ((unsigned int )(bool )(llvm_cbe_tmp__5595 == llvm_cbe_tmp__5594));
  *(&ST_EQ) = llvm_cbe_tmp__5598;
  if ((llvm_cbe_tmp__5595 == llvm_cbe_tmp__5594)) {
    llvm_cbe__2e_rle5984__PHI_TEMPORARY = llvm_cbe_tmp__5596;   /* for PHI node */
    llvm_cbe__2e_rle5950__PHI_TEMPORARY = llvm_cbe_tmp__5598;   /* for PHI node */
    llvm_cbe__2e_rle5916__PHI_TEMPORARY = llvm_cbe_tmp__5597;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5485;
  } else {
    goto llvm_cbe__2e__crit_edge5381;
  }

llvm_cbe__2e__crit_edge5480:
  if ((((((((((unsigned char )llvm_cbe_tmp__5593) > ((unsigned char )llvm_cbe_tmp__5594)) ^ 1)&1)) | (llvm_cbe_tmp__5593 == llvm_cbe_tmp__5594))&1))) {
    goto llvm_cbe__2e__crit_edge5482;
  } else {
    goto llvm_cbe__2e__crit_edge5381;
  }

llvm_cbe_tmp__8098:
  if ((llvm_cbe_tmp__5593 == llvm_cbe_tmp__5594)) {
    goto llvm_cbe__2e__crit_edge5480;
  } else {
    goto llvm_cbe__2e__crit_edge5481;
  }

llvm_cbe__2e__crit_edge5479:
  llvm_cbe_tmp__5584 = llvm_cbe_tmp__5584__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5584;
  llvm_cbe_tmp__5585 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5574) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5586 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5574) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5587 = *((&RAM.array[((signed int )33773u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5585)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5586))))), llvm_cbe_tmp__5587);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5587 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5587) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5587 == ((unsigned char )0))));
  llvm_cbe_tmp__5588 = *(&WP);
  llvm_cbe_tmp__5589 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5588);
  llvm_cbe_tmp__5590 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5589) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5591 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5589) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5592 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5589) + ((unsigned int )12u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5591)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5590)) << ((unsigned short )8))))))), llvm_cbe_tmp__5592);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5592 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5592) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5592 == ((unsigned char )0))));
  llvm_cbe_tmp__5593 =  /*tail*/ hw_read(((unsigned short )-30720));
  llvm_cbe_tmp__5594 = *((&RAM.array[((signed int )6603u)]));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__5593) > ((unsigned char )llvm_cbe_tmp__5594))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5593) > ((signed char )llvm_cbe_tmp__5594))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5593 == llvm_cbe_tmp__5594)));
  if ((((unsigned char )llvm_cbe_tmp__5593) > ((unsigned char )llvm_cbe_tmp__5594))) {
    goto llvm_cbe__2e_critedge7342;
  } else {
    goto llvm_cbe_tmp__8098;
  }

llvm_cbe_tmp__8099:
  llvm_cbe_tmp__5573 = llvm_cbe_tmp__5573__PHI_TEMPORARY;
  llvm_cbe_tmp__5574 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5573);
  llvm_cbe_tmp__5575 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5576 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5577 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5574) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__5578 = (&RAM.array[((signed int )llvm_cbe_tmp__5577)]);
  *llvm_cbe_tmp__5578 = llvm_cbe_tmp__5575;
  llvm_cbe_tmp__5579 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5577) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__5579 = llvm_cbe_tmp__5576;
  llvm_cbe_tmp__5580 = *llvm_cbe_tmp__5578;
  llvm_cbe_tmp__5581 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5580)) << 8u;
  llvm_cbe_tmp__5582 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5581 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5576)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__5578 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5582) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5579 = (((unsigned char )llvm_cbe_tmp__5582));
  llvm_cbe_tmp__5583 = ((unsigned short )llvm_cbe_tmp__5582);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5583 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5583) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5583 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5582) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5581 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8100;
  } else {
    llvm_cbe_tmp__5584__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5479;
  }

llvm_cbe__2e__crit_edge5690:
  llvm_cbe_tmp__5491 = llvm_cbe_tmp__5491__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5491;
  llvm_cbe_tmp__5492 = *((&RAM.array[((signed int )llvm_cbe_tmp__7386)]));
  llvm_cbe_tmp__5493 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7381) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__5494 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5492)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5493)))))) + ((unsigned short )((unsigned short )7592))))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7381) + ((unsigned int )24u)))) & 65535u))])) = llvm_cbe_tmp__5494;
  llvm_cbe_tmp__5495 = *(&WP);
  llvm_cbe_tmp__5496 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5495);
  llvm_cbe_tmp__5497 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5496) + ((unsigned int )24u)))))]);
  llvm_cbe_tmp__5498 = *llvm_cbe_tmp__5497;
  llvm_cbe_tmp__5499 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5496) + ((unsigned int )25u)))))]);
  llvm_cbe_tmp__5500 = *llvm_cbe_tmp__5499;
  llvm_cbe_tmp__5501 = ((signed int )(signed short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5498)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5500))))));
  llvm_cbe_tmp__5502 = ((signed int )(((signed int )llvm_cbe_tmp__5501) >> ((signed int )8u)));
  *llvm_cbe_tmp__5497 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5501) >> ((unsigned int )16u))))));
  *llvm_cbe_tmp__5499 = (((unsigned char )llvm_cbe_tmp__5502));
  llvm_cbe_tmp__5503 = ((unsigned short )llvm_cbe_tmp__5502);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5503 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5503) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5503 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__5500))) >> ((unsigned int )7u))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5496) + ((unsigned int )22u)))))])) = ((unsigned char )29);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5496) + ((unsigned int )23u)))))])) = ((unsigned char )120);
  llvm_cbe_tmp__5573__PHI_TEMPORARY = llvm_cbe_tmp__5495;   /* for PHI node */
  goto llvm_cbe_tmp__8099;

llvm_cbe_tmp__8101:
  llvm_cbe_tmp4744 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7396) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5491__PHI_TEMPORARY = llvm_cbe_tmp4744;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5690;

llvm_cbe_tmp__7673:
  llvm_cbe_tmp__7381 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7382 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7381) + ((unsigned int )18u)));
  llvm_cbe_tmp__7383 = *((&RAM.array[((signed int )llvm_cbe_tmp__7382)]));
  llvm_cbe_tmp__7384 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7381) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__7385 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7384)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7383)) << 8u);
  llvm_cbe_tmp__7386 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7381) + ((unsigned int )8u)));
  llvm_cbe_tmp__7387 = *((&RAM.array[((signed int )(llvm_cbe_tmp__7385 & 65534u))]));
  llvm_cbe_tmp__7388 = *((&RAM.array[((signed int )(llvm_cbe_tmp__7385 | 1u))]));
  llvm_cbe_tmp__7389 = llvm_cbe_tmp__7386 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7389)])) = llvm_cbe_tmp__7387;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7389) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7388;
  llvm_cbe_tmp__7390 = llvm_cbe_tmp__7382 & 65535u;
  llvm_cbe_tmp__7391 = (&RAM.array[((signed int )llvm_cbe_tmp__7390)]);
  llvm_cbe_tmp__7392 = *llvm_cbe_tmp__7391;
  llvm_cbe_tmp__7393 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7392)) << 8u;
  llvm_cbe_tmp__7394 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7390) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7395 = *llvm_cbe_tmp__7394;
  llvm_cbe_tmp__7396 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7393 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7395)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__7391 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7396) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7394 = (((unsigned char )llvm_cbe_tmp__7396));
  llvm_cbe_tmp__7397 = ((unsigned short )llvm_cbe_tmp__7396);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7397 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7397) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7397 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__7396) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__7393 & 32768u) == 0u)) {
    llvm_cbe_tmp__5491__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5690;
  } else {
    goto llvm_cbe_tmp__8101;
  }

llvm_cbe_tmp__8102:
  *((&RAM.array[((signed int )33620u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33621u)])) = ((unsigned char )0);
  llvm_cbe_tmp__5571 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5571) + ((unsigned int )22u)))))])) = ((unsigned char )29);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5571) + ((unsigned int )23u)))))])) = ((unsigned char )-2);
  llvm_cbe_tmp__5573__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8099;

llvm_cbe_tmp__7683:
  llvm_cbe_tmp__7429 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7429) + ((unsigned int )4u)))))])) = ((unsigned char )13);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7429) + ((unsigned int )5u)))))])) = ((unsigned char )-124);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe_tmp__8102;

llvm_cbe_tmp__7689:
  llvm_cbe_tmp__7437 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7437) + ((unsigned int )4u)))))])) = ((unsigned char )13);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7437) + ((unsigned int )5u)))))])) = ((unsigned char )116);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe_tmp__8102;

llvm_cbe_tmp__7691:
  llvm_cbe_tmp__7439 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7439) + ((unsigned int )4u)))))])) = ((unsigned char )14);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7439) + ((unsigned int )5u)))))])) = ((unsigned char )-116);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe_tmp__8102;

llvm_cbe_tmp__7693:
  llvm_cbe_tmp__7441 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7441) + ((unsigned int )4u)))))])) = ((unsigned char )15);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7441) + ((unsigned int )5u)))))])) = ((unsigned char )-8);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  goto llvm_cbe_tmp__8102;

llvm_cbe_tmp__8100:
  llvm_cbe__2e_lobit4776 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5582) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5584__PHI_TEMPORARY = llvm_cbe__2e_lobit4776;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5479;

llvm_cbe__2e_critedge7342:
  if ((llvm_cbe_tmp__5593 == llvm_cbe_tmp__5594)) {
    goto llvm_cbe__2e__crit_edge5482;
  } else {
    goto llvm_cbe__2e__crit_edge5381;
  }

llvm_cbe__2e__crit_edge5481:
  llvm_cbe_tmp__5599 = *((&RAM.array[((signed int )33612u)]));
  llvm_cbe_tmp__5600 = *((&RAM.array[((signed int )6603u)]));
  llvm_cbe_tmp__5601 = ((unsigned int )(bool )(((unsigned char )llvm_cbe_tmp__5599) > ((unsigned char )llvm_cbe_tmp__5600)));
  *(&ST_LGT) = llvm_cbe_tmp__5601;
  llvm_cbe_tmp__5602 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5599) > ((signed char )llvm_cbe_tmp__5600)));
  *(&ST_AGT) = llvm_cbe_tmp__5602;
  llvm_cbe_tmp__5603 = ((unsigned int )(bool )(llvm_cbe_tmp__5599 == llvm_cbe_tmp__5600));
  *(&ST_EQ) = llvm_cbe_tmp__5603;
  if (((((((unsigned char )llvm_cbe_tmp__5599) > ((unsigned char )llvm_cbe_tmp__5600)) | (llvm_cbe_tmp__5599 == llvm_cbe_tmp__5600))&1))) {
    goto llvm_cbe__2e__crit_edge5381;
  } else {
    llvm_cbe__2e_rle5984__PHI_TEMPORARY = llvm_cbe_tmp__5601;   /* for PHI node */
    llvm_cbe__2e_rle5950__PHI_TEMPORARY = llvm_cbe_tmp__5603;   /* for PHI node */
    llvm_cbe__2e_rle5916__PHI_TEMPORARY = llvm_cbe_tmp__5602;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5485;
  }

llvm_cbe_tmp__7637:
  llvm_cbe_tmp__7258 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7258) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7258) + ((unsigned int )23u)))))])) = ((unsigned char )-100);
  goto llvm_cbe__2e__crit_edge5481;

llvm_cbe_tmp__7651:
  llvm_cbe_tmp__7299 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7299) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7299) + ((unsigned int )23u)))))])) = ((unsigned char )-64);
  goto llvm_cbe__2e__crit_edge5481;

llvm_cbe__2e__crit_edge5490:
  llvm_cbe_tmp__5626 = llvm_cbe_tmp__5626__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5626;
  llvm_cbe_tmp__5627 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5610) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__5628 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5610) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__5629 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5628)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5627)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5629;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6926;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5623;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5625;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5624;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5609;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5629;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5629;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8103:
  llvm_cbe__2e_pre6053_2e_rle6926 = llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY;
  llvm_cbe_tmp__5609 = llvm_cbe_tmp__5609__PHI_TEMPORARY;
  llvm_cbe_tmp__5610 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5609);
  llvm_cbe_tmp__5611 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5610) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__5612 = (&RAM.array[((signed int )llvm_cbe_tmp__5611)]);
  *llvm_cbe_tmp__5612 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5611) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__5613 = *((&RAM.array[((signed int )33602u)]));
  *llvm_cbe_tmp__5612 = llvm_cbe_tmp__5613;
  llvm_cbe_tmp__5614 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5610) + ((unsigned int )18u)));
  llvm_cbe_tmp__5615 = *((&RAM.array[((signed int )33651u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5614 & 65535u))])) = llvm_cbe_tmp__5615;
  llvm_cbe_tmp__5616 = (&RAM.array[((signed int )llvm_cbe_tmp__5614)]);
  llvm_cbe_tmp__5617 = *llvm_cbe_tmp__5616;
  llvm_cbe_tmp__5618 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5610) + ((unsigned int )19u)))))]);
  *llvm_cbe_tmp__5616 = ((unsigned char )0);
  *llvm_cbe_tmp__5618 = llvm_cbe_tmp__5617;
  llvm_cbe_tmp__5619 = *llvm_cbe_tmp__5616;
  llvm_cbe_tmp__5620 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5619)) << 8u;
  llvm_cbe_tmp__5621 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5617)) | llvm_cbe_tmp__5620)) + ((unsigned int )33536u)));
  *llvm_cbe_tmp__5616 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5621) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5618 = (((unsigned char )llvm_cbe_tmp__5621));
  llvm_cbe_tmp__5622 = ((unsigned short )llvm_cbe_tmp__5621);
  llvm_cbe_tmp__5623 = ((unsigned int )(bool )(llvm_cbe_tmp__5622 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__5623;
  llvm_cbe_tmp__5624 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5622) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__5624;
  llvm_cbe_tmp__5625 = ((unsigned int )(bool )(llvm_cbe_tmp__5622 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__5625;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5621) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5620 & 32768u) == 0u)) {
    llvm_cbe_tmp__5626__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5490;
  } else {
    goto llvm_cbe_tmp__8104;
  }

llvm_cbe_tmp__8105:
  llvm_cbe__2e_pre6053_2e_rle6927 = llvm_cbe__2e_pre6053_2e_rle6927__PHI_TEMPORARY;
  llvm_cbe_tmp__5813 = llvm_cbe_tmp__5813__PHI_TEMPORARY;
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5814 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5813);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5814) + ((unsigned int )22u)))))])) = ((unsigned char )31);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5814) + ((unsigned int )23u)))))])) = ((unsigned char )42);
  llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6927;   /* for PHI node */
  llvm_cbe_tmp__5609__PHI_TEMPORARY = llvm_cbe_tmp__5813;   /* for PHI node */
  goto llvm_cbe_tmp__8103;

llvm_cbe__2e__crit_edge5397:
  llvm_cbe__2e_pre6053_2e_rle6933 = llvm_cbe__2e_pre6053_2e_rle6933__PHI_TEMPORARY;
  llvm_cbe_tmp__5811 = llvm_cbe_tmp__5811__PHI_TEMPORARY;
  llvm_cbe_tmp__5812 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5811);
  *((&RAM.array[((signed int )llvm_cbe_tmp__5812)])) = ((unsigned char )1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5812) + ((unsigned int )1u)))))])) = ((unsigned char )3);
  llvm_cbe__2e_pre6053_2e_rle6927__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6933;   /* for PHI node */
  llvm_cbe_tmp__5813__PHI_TEMPORARY = llvm_cbe_tmp__5811;   /* for PHI node */
  goto llvm_cbe_tmp__8105;

llvm_cbe__2e__crit_edge5395:
  llvm_cbe_tmp__4968 = llvm_cbe_tmp__4968__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4968;
  llvm_cbe_tmp__4969 = *((&RAM.array[((signed int )llvm_cbe_tmp__4959)]));
  llvm_cbe_tmp__4970 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4958) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__4971 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4970)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4969)) << 8u);
  llvm_cbe_tmp__4972 = ((unsigned short )llvm_cbe_tmp__4971);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4972) > ((unsigned short )((unsigned short )-31814)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4972) > ((signed short )((unsigned short )-31814)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4971 == 33722u)));
  if ((((((((((unsigned short )llvm_cbe_tmp__4972) > ((unsigned short )((unsigned short )-31814))) ^ 1)&1)) | (llvm_cbe_tmp__4971 == 33722u))&1))) {
    goto llvm_cbe__2e__crit_edge5396;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6933__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6944;   /* for PHI node */
    llvm_cbe_tmp__5811__PHI_TEMPORARY = llvm_cbe_tmp__4957;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5397;
  }

llvm_cbe_tmp__8106:
  llvm_cbe__2e_pre6053_2e_rle6944 = llvm_cbe__2e_pre6053_2e_rle6944__PHI_TEMPORARY;
  llvm_cbe_tmp__4957 = llvm_cbe_tmp__4957__PHI_TEMPORARY;
  llvm_cbe_tmp__4958 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4957);
  llvm_cbe_tmp__4959 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4958) + ((unsigned int )18u)));
  llvm_cbe_tmp__4960 = llvm_cbe_tmp__4959 & 65535u;
  llvm_cbe_tmp__4961 = (&RAM.array[((signed int )llvm_cbe_tmp__4960)]);
  llvm_cbe_tmp__4962 = *llvm_cbe_tmp__4961;
  llvm_cbe_tmp__4963 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4962)) << 8u;
  llvm_cbe_tmp__4964 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4960) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4965 = *llvm_cbe_tmp__4964;
  llvm_cbe_tmp__4966 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4963 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4965)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__4961 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4966) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4964 = (((unsigned char )llvm_cbe_tmp__4966));
  llvm_cbe_tmp__4967 = ((unsigned short )llvm_cbe_tmp__4966);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4967 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4967) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4967 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4966) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4963 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8107;
  } else {
    llvm_cbe_tmp__4968__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5395;
  }

llvm_cbe__2e__crit_edge5658:
  llvm_cbe_tmp__4956 = llvm_cbe_tmp__4956__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4956;
  llvm_cbe__2e_pre6053_2e_rle6944__PHI_TEMPORARY = llvm_cbe_tmp__7154;   /* for PHI node */
  llvm_cbe_tmp__4957__PHI_TEMPORARY = llvm_cbe_tmp__7154;   /* for PHI node */
  goto llvm_cbe_tmp__8106;

llvm_cbe_tmp__8108:
  llvm_cbe__2e_lobit4613 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7161) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4956__PHI_TEMPORARY = llvm_cbe__2e_lobit4613;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5658;

llvm_cbe_tmp__7616:
  llvm_cbe_tmp__7145 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7146 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7145) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__7147 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7145) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__7148 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7146)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7147)))))) + ((unsigned short )((unsigned short )2))))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7145) + ((unsigned int )22u)))) & 65535u))])) = llvm_cbe_tmp__7148;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7148 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7148) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7148 == ((unsigned char )0))));
  llvm_cbe_tmp__7149 = *(&WP);
  llvm_cbe_tmp__7150 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7149);
  llvm_cbe_tmp__7151 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7150) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__7152 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7150) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__7153 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7151)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7152)))))) + ((unsigned short )((unsigned short )2))))))));
  *((&RAM.array[((signed int )33783u)])) = llvm_cbe_tmp__7153;
  llvm_cbe_tmp__7154 = *(&WP);
  llvm_cbe_tmp__7155 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7154);
  llvm_cbe_tmp__7156 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7155) + ((unsigned int )22u)))))]);
  llvm_cbe_tmp__7157 = *llvm_cbe_tmp__7156;
  llvm_cbe_tmp__7158 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7157)) << 8u;
  llvm_cbe_tmp__7159 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7155) + ((unsigned int )23u)))))]);
  llvm_cbe_tmp__7160 = *llvm_cbe_tmp__7159;
  llvm_cbe_tmp__7161 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__7160)) | llvm_cbe_tmp__7158)) + ((unsigned int )32767u)));
  *llvm_cbe_tmp__7156 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7161) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7159 = (((unsigned char )llvm_cbe_tmp__7161));
  llvm_cbe_tmp__7162 = ((unsigned short )llvm_cbe_tmp__7161);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7162 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7162) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7162 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7161) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__7158 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8108;
  } else {
    llvm_cbe_tmp__4956__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5658;
  }

llvm_cbe_tmp__7636:
  llvm_cbe_tmp__7257 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7257) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7257) + ((unsigned int )23u)))))])) = ((unsigned char )-106);
  llvm_cbe__2e_pre6053_2e_rle6944__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__4957__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8106;

llvm_cbe_tmp__7650:
  llvm_cbe_tmp__7298 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7298) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7298) + ((unsigned int )23u)))))])) = ((unsigned char )-70);
  llvm_cbe__2e_pre6053_2e_rle6944__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__4957__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8106;

llvm_cbe_tmp__8107:
  llvm_cbe__2e_lobit4692 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4966) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4968__PHI_TEMPORARY = llvm_cbe__2e_lobit4692;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5395;

llvm_cbe_tmp__8109:
  if ((llvm_cbe_tmp__5806 == llvm_cbe_tmp__5807)) {
    llvm_cbe__2e_pre6053_2e_rle6969__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5880__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe__2e_rle5986__PHI_TEMPORARY = llvm_cbe_tmp__5808;   /* for PHI node */
    llvm_cbe__2e_rle5952__PHI_TEMPORARY = llvm_cbe_tmp__5810;   /* for PHI node */
    llvm_cbe__2e_rle5918__PHI_TEMPORARY = llvm_cbe_tmp__5809;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5505;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6933__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5811__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5397;
  }

llvm_cbe__2e__crit_edge5508:
  llvm_cbe_tmp__5801 = llvm_cbe_tmp__5801__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5801;
  llvm_cbe_tmp__5802 = *llvm_cbe_tmp__5792;
  llvm_cbe_tmp__5803 = *llvm_cbe_tmp__5793;
  llvm_cbe_tmp__5804 = *((&RAM.array[((signed int )33562u)]));
  llvm_cbe_tmp__5805 = *((&RAM.array[((signed int )33563u)]));
  llvm_cbe_tmp__5806 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5802)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5803))));
  llvm_cbe_tmp__5807 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5804)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5805))));
  llvm_cbe_tmp__5808 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5806) > ((unsigned short )llvm_cbe_tmp__5807)));
  *(&ST_LGT) = llvm_cbe_tmp__5808;
  llvm_cbe_tmp__5809 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5806) > ((signed short )llvm_cbe_tmp__5807)));
  *(&ST_AGT) = llvm_cbe_tmp__5809;
  llvm_cbe_tmp__5810 = ((unsigned int )(bool )(llvm_cbe_tmp__5806 == llvm_cbe_tmp__5807));
  *(&ST_EQ) = llvm_cbe_tmp__5810;
  if ((((unsigned short )llvm_cbe_tmp__5806) > ((unsigned short )llvm_cbe_tmp__5807))) {
    goto llvm_cbe_tmp__8109;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6969__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5880__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    llvm_cbe__2e_rle5986__PHI_TEMPORARY = llvm_cbe_tmp__5808;   /* for PHI node */
    llvm_cbe__2e_rle5952__PHI_TEMPORARY = llvm_cbe_tmp__5810;   /* for PHI node */
    llvm_cbe__2e_rle5918__PHI_TEMPORARY = llvm_cbe_tmp__5809;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5505;
  }

llvm_cbe__2e__crit_edge5705:
  llvm_cbe_tmp__5787 = llvm_cbe_tmp__5787__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5787;
  llvm_cbe_tmp__5788 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7444) + ((unsigned int )2u)));
  llvm_cbe_tmp__5789 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5790 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5791 = llvm_cbe_tmp__5788 & 65535u;
  llvm_cbe_tmp__5792 = (&RAM.array[((signed int )llvm_cbe_tmp__5791)]);
  *llvm_cbe_tmp__5792 = llvm_cbe_tmp__5789;
  llvm_cbe_tmp__5793 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5791) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__5793 = llvm_cbe_tmp__5790;
  llvm_cbe_tmp__5794 = (&RAM.array[((signed int )llvm_cbe_tmp__5788)]);
  llvm_cbe_tmp__5795 = *llvm_cbe_tmp__5794;
  llvm_cbe_tmp__5796 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5795)) << 8u;
  llvm_cbe_tmp__5797 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7444) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__5798 = *llvm_cbe_tmp__5797;
  llvm_cbe_tmp__5799 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5798)) | llvm_cbe_tmp__5796)) + ((unsigned int )16u)));
  *llvm_cbe_tmp__5794 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5799) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5797 = (((unsigned char )llvm_cbe_tmp__5799));
  llvm_cbe_tmp__5800 = ((unsigned short )llvm_cbe_tmp__5799);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5800 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5800) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5800 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5799) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5796 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8110;
  } else {
    llvm_cbe_tmp__5801__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5508;
  }

llvm_cbe_tmp__8111:
  llvm_cbe_tmp4791 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7457) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5787__PHI_TEMPORARY = llvm_cbe_tmp4791;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5705;

llvm_cbe_tmp__7696:
  llvm_cbe_tmp__7444 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7445 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__7444) + ((unsigned int )18u)));
  llvm_cbe_tmp__7446 = *((&RAM.array[((signed int )llvm_cbe_tmp__7445)]));
  llvm_cbe_tmp__7447 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7444) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__7448 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7447)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7446)) << 8u);
  llvm_cbe_tmp__7449 = *((&RAM.array[((signed int )(llvm_cbe_tmp__7448 & 65534u))]));
  llvm_cbe_tmp__7450 = *((&RAM.array[((signed int )(llvm_cbe_tmp__7448 | 1u))]));
  *((&RAM.array[((signed int )llvm_cbe_tmp__7444)])) = llvm_cbe_tmp__7449;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7444) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7450;
  llvm_cbe_tmp__7451 = llvm_cbe_tmp__7445 & 65535u;
  llvm_cbe_tmp__7452 = (&RAM.array[((signed int )llvm_cbe_tmp__7451)]);
  llvm_cbe_tmp__7453 = *llvm_cbe_tmp__7452;
  llvm_cbe_tmp__7454 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7453)) << 8u;
  llvm_cbe_tmp__7455 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7451) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7456 = *llvm_cbe_tmp__7455;
  llvm_cbe_tmp__7457 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7454 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7456)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__7452 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7457) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7455 = (((unsigned char )llvm_cbe_tmp__7457));
  llvm_cbe_tmp__7458 = ((unsigned short )llvm_cbe_tmp__7457);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7458 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7458) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7458 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__7457) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__7454 & 32768u) == 0u)) {
    llvm_cbe_tmp__5787__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5705;
  } else {
    goto llvm_cbe_tmp__8111;
  }

llvm_cbe_tmp__8110:
  llvm_cbe__2e_lobit4789 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5799) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5801__PHI_TEMPORARY = llvm_cbe__2e_lobit4789;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5508;

llvm_cbe__2e__crit_edge5512:
  llvm_cbe_tmp__5885 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )llvm_cbe_tmp__5885)])) = ((unsigned char )4);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5885) + ((unsigned int )1u)))))])) = ((unsigned char )3);
  llvm_cbe__2e_pre6053_2e_rle6927__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5813__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8105;

llvm_cbe_tmp__7587:
  llvm_cbe_tmp__6974 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6974) + ((unsigned int )22u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6974) + ((unsigned int )23u)))))])) = ((unsigned char )92);
  llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5609__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8103;

llvm_cbe_tmp__7615:
  llvm_cbe_tmp__7144 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7144) + ((unsigned int )22u)))))])) = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7144) + ((unsigned int )23u)))))])) = ((unsigned char )-52);
  llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5609__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8103;

llvm_cbe_tmp__7619:
  llvm_cbe_tmp__7183 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7183) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7183) + ((unsigned int )23u)))))])) = ((unsigned char )36);
  llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5609__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8103;

llvm_cbe_tmp__7620:
  llvm_cbe_tmp__7184 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7184) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7184) + ((unsigned int )23u)))))])) = ((unsigned char )108);
  llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5609__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8103;

llvm_cbe_tmp__7627:
  llvm_cbe_tmp__7204 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7204) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7204) + ((unsigned int )23u)))))])) = ((unsigned char )-12);
  llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5609__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8103;

llvm_cbe_tmp__7632:
  llvm_cbe_tmp__7248 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7248) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7248) + ((unsigned int )23u)))))])) = ((unsigned char )120);
  llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5609__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8103;

llvm_cbe_tmp__7664:
  llvm_cbe_tmp__7335 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7335) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7335) + ((unsigned int )23u)))))])) = ((unsigned char )74);
  llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5609__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8103;

llvm_cbe_tmp__7686:
  llvm_cbe_tmp__7434 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7434) + ((unsigned int )22u)))))])) = ((unsigned char )30);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7434) + ((unsigned int )23u)))))])) = ((unsigned char )10);
  llvm_cbe__2e_pre6053_2e_rle6926__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5609__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8103;

llvm_cbe_tmp__8104:
  llvm_cbe_tmp4810 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5621) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5626__PHI_TEMPORARY = llvm_cbe_tmp4810;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5490;

llvm_cbe__2e__crit_edge5491:
  llvm_cbe_tmp__5641 = llvm_cbe_tmp__5641__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5641;
  llvm_cbe_tmp__5642 = *((&RAM.array[((signed int )33779u)]));
  *((&RAM.array[((signed int )33651u)])) = llvm_cbe_tmp__5642;
  llvm_cbe_tmp__5643 = ((unsigned int )(bool )(llvm_cbe_tmp__5642 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__5643;
  llvm_cbe_tmp__5644 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5642) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__5644;
  llvm_cbe_tmp__5645 = ((unsigned int )(bool )(llvm_cbe_tmp__5642 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__5645;
  llvm_cbe_tmp__5646 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5633) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__5647 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5633) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__5648 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5647)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5646)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5648;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6947;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5643;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5645;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5644;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5632;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5648;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5648;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8112:
  llvm_cbe__2e_pre6053_2e_rle6947 = llvm_cbe__2e_pre6053_2e_rle6947__PHI_TEMPORARY;
  llvm_cbe_tmp__5632 = llvm_cbe_tmp__5632__PHI_TEMPORARY;
  llvm_cbe_tmp__5633 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5632);
  llvm_cbe_tmp__5634 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5633) + ((unsigned int )18u)))))]);
  llvm_cbe_tmp__5635 = *llvm_cbe_tmp__5634;
  llvm_cbe_tmp__5636 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5635)) << 8u;
  llvm_cbe_tmp__5637 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5633) + ((unsigned int )19u)))))]);
  llvm_cbe_tmp__5638 = *llvm_cbe_tmp__5637;
  llvm_cbe_tmp__5639 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5638)) | llvm_cbe_tmp__5636)) + ((unsigned int )32000u)));
  *llvm_cbe_tmp__5634 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5639) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5637 = (((unsigned char )llvm_cbe_tmp__5639));
  llvm_cbe_tmp__5640 = ((unsigned short )llvm_cbe_tmp__5639);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5640 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5640) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5640 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5639) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5636 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8113;
  } else {
    llvm_cbe_tmp__5641__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5491;
  }

llvm_cbe__2e__crit_edge5669:
  llvm_cbe_tmp__5256 = llvm_cbe_tmp__5256__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5256;
  *((&RAM.array[((signed int )33620u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33621u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7234) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7234) + ((unsigned int )23u)))))])) = ((unsigned char )112);
  llvm_cbe__2e_pre6053_2e_rle6947__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5632__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8112;

llvm_cbe_tmp__8114:
  llvm_cbe_tmp4643_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__7245 ^ llvm_cbe_tmp__7243)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5256__PHI_TEMPORARY = llvm_cbe_tmp4643_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5669;

llvm_cbe_tmp__7630:
  llvm_cbe_tmp__7232 = *((&RAM.array[((signed int )33580u)]));
  llvm_cbe_tmp__7233 = *((&RAM.array[((signed int )33581u)]));
  *((&RAM.array[((signed int )33622u)])) = llvm_cbe_tmp__7232;
  *((&RAM.array[((signed int )33623u)])) = llvm_cbe_tmp__7233;
  llvm_cbe_tmp__7234 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7235 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7234) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__7236 = (&RAM.array[((signed int )llvm_cbe_tmp__7235)]);
  llvm_cbe_tmp__7237 = *llvm_cbe_tmp__7236;
  llvm_cbe_tmp__7238 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7235) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7239 = *llvm_cbe_tmp__7238;
  *llvm_cbe_tmp__7236 = llvm_cbe_tmp__7239;
  *llvm_cbe_tmp__7238 = llvm_cbe_tmp__7237;
  llvm_cbe_tmp__7240 = *llvm_cbe_tmp__7236;
  llvm_cbe_tmp__7241 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7240)) << 8u;
  llvm_cbe_tmp__7242 = *((&RAM.array[((signed int )33580u)]));
  llvm_cbe_tmp__7243 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7242)) << 8u;
  llvm_cbe_tmp__7244 = *((&RAM.array[((signed int )33581u)]));
  llvm_cbe_tmp__7245 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7243 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7244)))) + ((unsigned int )(llvm_cbe_tmp__7241 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7237))))));
  *((&RAM.array[((signed int )33580u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7245) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33581u)])) = (((unsigned char )llvm_cbe_tmp__7245));
  llvm_cbe_tmp__7246 = ((unsigned short )llvm_cbe_tmp__7245);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7246 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7246) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7246 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7245) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__7243 ^ llvm_cbe_tmp__7241) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8114;
  } else {
    llvm_cbe_tmp__5256__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5669;
  }

llvm_cbe_tmp__8115:
  llvm_cbe__2e_pre6053_2e_rle6948 = llvm_cbe__2e_pre6053_2e_rle6948__PHI_TEMPORARY;
  llvm_cbe_tmp__5630 = llvm_cbe_tmp__5630__PHI_TEMPORARY;
  llvm_cbe_tmp__5631 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5630))) + ((unsigned int )16u)))) & 65535u))]));
  *((&RAM.array[((signed int )33602u)])) = llvm_cbe_tmp__5631;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5631 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5631) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5631 == ((unsigned char )0))));
  llvm_cbe__2e_pre6053_2e_rle6947__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6948;   /* for PHI node */
  llvm_cbe_tmp__5632__PHI_TEMPORARY = llvm_cbe_tmp__5630;   /* for PHI node */
  goto llvm_cbe_tmp__8112;

llvm_cbe__2e__crit_edge5648:
  llvm_cbe_tmp__4508 = llvm_cbe_tmp__4508__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4508;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6985) + ((unsigned int )22u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6985) + ((unsigned int )23u)))))])) = ((unsigned char )106);
  llvm_cbe__2e_pre6053_2e_rle6948__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5630__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8115;

llvm_cbe_tmp__8116:
  llvm_cbe_tmp4548 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6999) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4508__PHI_TEMPORARY = llvm_cbe_tmp4548;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5648;

llvm_cbe_tmp__7589:
  llvm_cbe_tmp__6985 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6986 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6985) + ((unsigned int )18u)));
  llvm_cbe_tmp__6987 = *((&RAM.array[((signed int )llvm_cbe_tmp__6986)]));
  llvm_cbe_tmp__6988 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6985) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__6989 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6988)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6987)) << 8u);
  llvm_cbe_tmp__6990 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6989 & 65534u))]));
  llvm_cbe_tmp__6991 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6989 | 1u))]));
  llvm_cbe_tmp__6992 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6985) + ((unsigned int )14u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6992)])) = llvm_cbe_tmp__6990;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6992) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6991;
  llvm_cbe_tmp__6993 = llvm_cbe_tmp__6986 & 65535u;
  llvm_cbe_tmp__6994 = (&RAM.array[((signed int )llvm_cbe_tmp__6993)]);
  llvm_cbe_tmp__6995 = *llvm_cbe_tmp__6994;
  llvm_cbe_tmp__6996 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6995)) << 8u;
  llvm_cbe_tmp__6997 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6993) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6998 = *llvm_cbe_tmp__6997;
  llvm_cbe_tmp__6999 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6996 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6998)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__6994 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6999) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6997 = (((unsigned char )llvm_cbe_tmp__6999));
  llvm_cbe_tmp__7000 = ((unsigned short )llvm_cbe_tmp__6999);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7000 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7000) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7000 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__6999) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__6996 & 32768u) == 0u)) {
    llvm_cbe_tmp__4508__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5648;
  } else {
    goto llvm_cbe_tmp__8116;
  }

llvm_cbe_tmp__8117:
  llvm_cbe__2e_pre6053_2e_rle6949 = llvm_cbe__2e_pre6053_2e_rle6949__PHI_TEMPORARY;
  llvm_cbe_tmp__5013 = llvm_cbe_tmp__5013__PHI_TEMPORARY;
  llvm_cbe_tmp__5014 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5013);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5014) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5014) + ((unsigned int )23u)))))])) = ((unsigned char )14);
  llvm_cbe__2e_pre6053_2e_rle6948__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6949;   /* for PHI node */
  llvm_cbe_tmp__5630__PHI_TEMPORARY = llvm_cbe_tmp__5013;   /* for PHI node */
  goto llvm_cbe_tmp__8115;

llvm_cbe__2e__crit_edge5406:
  llvm_cbe_tmp__5012 = llvm_cbe_tmp__5012__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5012;
  llvm_cbe__2e_pre6053_2e_rle6949__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5013__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8117;

llvm_cbe__2e__crit_edge5405:
  llvm_cbe_tmp__4995 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4996 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4995) + ((unsigned int )14u)));
  llvm_cbe_tmp__4997 = (&RAM.array[((signed int )llvm_cbe_tmp__4996)]);
  llvm_cbe_tmp__4998 = *llvm_cbe_tmp__4997;
  llvm_cbe_tmp__4999 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4995) + ((unsigned int )15u)))))]);
  llvm_cbe_tmp__5000 = *llvm_cbe_tmp__4999;
  *llvm_cbe_tmp__4997 = (((unsigned char )(((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__4998)) << 8u) & 32512u)) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4999 = llvm_cbe_tmp__5000;
  llvm_cbe_tmp__5001 = *((&RAM.array[((signed int )33576u)]));
  llvm_cbe_tmp__5002 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5001)) << 8u;
  llvm_cbe_tmp__5003 = *((&RAM.array[((signed int )33577u)]));
  llvm_cbe_tmp__5004 = llvm_cbe_tmp__4996 & 65535u;
  llvm_cbe_tmp__5005 = (&RAM.array[((signed int )llvm_cbe_tmp__5004)]);
  llvm_cbe_tmp__5006 = *llvm_cbe_tmp__5005;
  llvm_cbe_tmp__5007 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5006)) << 8u;
  llvm_cbe_tmp__5008 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5004) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5009 = *llvm_cbe_tmp__5008;
  llvm_cbe_tmp__5010 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5007 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5009)))) + ((unsigned int )(llvm_cbe_tmp__5002 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5003))))));
  *llvm_cbe_tmp__5005 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5010) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5008 = (((unsigned char )llvm_cbe_tmp__5010));
  llvm_cbe_tmp__5011 = ((unsigned short )llvm_cbe_tmp__5010);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5011 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5011) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5011 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5010) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__5007 ^ llvm_cbe_tmp__5002) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8118;
  } else {
    llvm_cbe_tmp__5012__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5406;
  }

llvm_cbe_tmp__8118:
  llvm_cbe_tmp4623_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__5010 ^ llvm_cbe_tmp__5007)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5012__PHI_TEMPORARY = llvm_cbe_tmp4623_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5406;

llvm_cbe__2e__crit_edge5414:
  llvm_cbe_tmp__5097 = llvm_cbe_tmp__5097__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5097;
  llvm_cbe__2e_pre6053_2e_rle6949__PHI_TEMPORARY = llvm_cbe_tmp__5182;   /* for PHI node */
  llvm_cbe_tmp__5013__PHI_TEMPORARY = llvm_cbe_tmp__5182;   /* for PHI node */
  goto llvm_cbe_tmp__8117;

llvm_cbe__2e__crit_edge5430:
  llvm_cbe_tmp__5089 = llvm_cbe_tmp__5089__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5089;
  llvm_cbe_tmp__5090 = (&RAM.array[((signed int )llvm_cbe_tmp__5188)]);
  llvm_cbe_tmp__5091 = *llvm_cbe_tmp__5090;
  llvm_cbe_tmp__5092 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5091)) << 8u;
  llvm_cbe_tmp__5093 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5183) + ((unsigned int )15u)))))]);
  llvm_cbe_tmp__5094 = *llvm_cbe_tmp__5093;
  llvm_cbe_tmp__5095 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5094)) | llvm_cbe_tmp__5092)) + ((unsigned int )32769u)));
  *llvm_cbe_tmp__5090 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5095) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5093 = (((unsigned char )llvm_cbe_tmp__5095));
  llvm_cbe_tmp__5096 = ((unsigned short )llvm_cbe_tmp__5095);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5096 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5096) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5096 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5095) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5092 & 32768u) == 0u)) {
    llvm_cbe_tmp__5097__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5414;
  } else {
    goto llvm_cbe_tmp__8119;
  }

llvm_cbe_tmp__8120:
  llvm_cbe_tmp4765 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5199) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5089__PHI_TEMPORARY = llvm_cbe_tmp4765;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5430;

llvm_cbe_tmp__8091:
  if (((llvm_cbe_tmp__5196 & 32768u) == 0u)) {
    llvm_cbe_tmp__5089__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5430;
  } else {
    goto llvm_cbe_tmp__8120;
  }

llvm_cbe_tmp__8119:
  llvm_cbe_tmp4763 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5095) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5097__PHI_TEMPORARY = llvm_cbe_tmp4763;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5414;

llvm_cbe__2e__crit_edge5426:
  llvm_cbe__2e_pre6053_2e_rle6950 = llvm_cbe__2e_pre6053_2e_rle6950__PHI_TEMPORARY;
  llvm_cbe_tmp__5226 = llvm_cbe_tmp__5226__PHI_TEMPORARY;
  llvm_cbe_tmp__5227 = *((&RAM.array[((signed int )33574u)]));
  llvm_cbe_tmp__5228 = *((&RAM.array[((signed int )33575u)]));
  llvm_cbe_tmp__5229 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5227)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5228));
  llvm_cbe_tmp__5230 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5226))) + ((unsigned int )14u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5230)])) = llvm_cbe_tmp__5227;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5230) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5228;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5229 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5229))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5229 == 0u)));
  llvm_cbe__2e_pre6053_2e_rle6949__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6950;   /* for PHI node */
  llvm_cbe_tmp__5013__PHI_TEMPORARY = llvm_cbe_tmp__5226;   /* for PHI node */
  goto llvm_cbe_tmp__8117;

llvm_cbe__2e__crit_edge5599:
  llvm_cbe_tmp__5221 = llvm_cbe_tmp__5221__PHI_TEMPORARY;
  llvm_cbe_tmp__5222 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5221);
  llvm_cbe_tmp__5223 = *((&RAM.array[((signed int )llvm_cbe_tmp__5222)]));
  llvm_cbe_tmp__5224 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5222) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5225 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5223)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5224));
  *((&RAM.array[((signed int )33570u)])) = llvm_cbe_tmp__5223;
  *((&RAM.array[((signed int )33571u)])) = llvm_cbe_tmp__5224;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5225 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5225))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5225 == 0u)));
  llvm_cbe__2e_pre6053_2e_rle6950__PHI_TEMPORARY = llvm_cbe_tmp__5221;   /* for PHI node */
  llvm_cbe_tmp__5226__PHI_TEMPORARY = llvm_cbe_tmp__5221;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5426;

llvm_cbe__2e__crit_edge5364:
  llvm_cbe__2e_rle7002 = llvm_cbe__2e_rle7002__PHI_TEMPORARY;
  llvm_cbe_tmp__4687 = llvm_cbe_tmp__4687__PHI_TEMPORARY;
  llvm_cbe_tmp__4688 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4687);
  *((&RAM.array[((signed int )llvm_cbe_tmp__4688)])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4688) + ((unsigned int )1u)))))])) = ((unsigned char )3);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe__2e_rle7002;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5599;

llvm_cbe__2e__crit_edge5366:
  llvm_cbe_tmp__4627 = llvm_cbe_tmp__4627__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4627;
  if (((((((signed short )llvm_cbe_tmp__4626) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__4626 == ((unsigned short )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5367;
  } else {
    llvm_cbe__2e_rle7002__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
    llvm_cbe_tmp__4687__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5364;
  }

llvm_cbe_tmp__8121:
  llvm_cbe_tmp__4622 = *llvm_cbe_tmp__7038;
  llvm_cbe_tmp__4623 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4622)) << 8u;
  llvm_cbe_tmp__4624 = *llvm_cbe_tmp__7040;
  llvm_cbe_tmp__4625 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4623 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4624)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__7038 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4625) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7040 = (((unsigned char )llvm_cbe_tmp__4625));
  llvm_cbe_tmp__4626 = ((unsigned short )llvm_cbe_tmp__4625);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4626 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4626) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4626 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4625) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4623 & 32768u) == 0u)) {
    llvm_cbe_tmp__4627__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5366;
  } else {
    goto llvm_cbe_tmp__8122;
  }

llvm_cbe__2e__crit_edge5365:
  llvm_cbe_tmp__4621 = *((&RAM.array[((signed int )33603u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7036) + ((unsigned int )8u)))) & 65535u))])) = llvm_cbe_tmp__4621;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4621 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4621) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4621 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__4621 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__8123;
  } else {
    goto llvm_cbe_tmp__8121;
  }

llvm_cbe_tmp__7599:
  llvm_cbe_tmp__7034 =  /*tail*/ hw_read(((unsigned short )-30720));
  *((&RAM.array[((signed int )33763u)])) = llvm_cbe_tmp__7034;
  llvm_cbe_tmp__7035 = *(&WP);
  llvm_cbe_tmp__7036 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7035);
  llvm_cbe_tmp__7037 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7036) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__7038 = (&RAM.array[((signed int )llvm_cbe_tmp__7037)]);
  llvm_cbe_tmp__7039 = *llvm_cbe_tmp__7038;
  llvm_cbe_tmp__7040 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7037) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7041 = *llvm_cbe_tmp__7040;
  llvm_cbe_tmp__7042 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7036) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__7043 = (&RAM.array[((signed int )llvm_cbe_tmp__7042)]);
  llvm_cbe_tmp__7044 = *llvm_cbe_tmp__7043;
  llvm_cbe_tmp__7045 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7042) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7046 = *llvm_cbe_tmp__7045;
  llvm_cbe_tmp__7047 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7039)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7041))));
  llvm_cbe_tmp__7048 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7044)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7046))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__7047) > ((unsigned short )llvm_cbe_tmp__7048))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7047) > ((signed short )llvm_cbe_tmp__7048))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7047 == llvm_cbe_tmp__7048)));
  if ((((((((((unsigned short )llvm_cbe_tmp__7047) > ((unsigned short )llvm_cbe_tmp__7048)) ^ 1)&1)) | (llvm_cbe_tmp__7047 == llvm_cbe_tmp__7048))&1))) {
    goto llvm_cbe__2e__crit_edge5365;
  } else {
    llvm_cbe__2e_rle7002__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
    llvm_cbe_tmp__4687__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5364;
  }

llvm_cbe_tmp__8122:
  llvm_cbe_tmp4571 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4625) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4627__PHI_TEMPORARY = llvm_cbe_tmp4571;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5366;

llvm_cbe__2e__crit_edge5381:
  llvm_cbe_tmp__4689 = *(&WP);
  llvm_cbe_tmp__4690 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4689);
  *((&RAM.array[((signed int )llvm_cbe_tmp__4690)])) = ((unsigned char )6);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4690) + ((unsigned int )1u)))))])) = ((unsigned char )3);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe_tmp__4689;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5599;

llvm_cbe_tmp__7684:
  if ((llvm_cbe_tmp__5994 == 0u)) {
    goto llvm_cbe_tmp__8124;
  } else {
    goto llvm_cbe__2e__crit_edge5381;
  }

llvm_cbe_tmp__8125:
  *((&RAM.array[((signed int )llvm_cbe_tmp__5054)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5054) + ((unsigned int )1u)))))])) = ((unsigned char )8);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe_tmp__5053;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5599;

llvm_cbe_tmp__8092:
  llvm_cbe_tmp__5053 = *(&WP);
  llvm_cbe_tmp__5054 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5053);
  llvm_cbe_tmp__5055 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5054) + ((unsigned int )16u)))))]);
  llvm_cbe_tmp__5056 = *llvm_cbe_tmp__5055;
  llvm_cbe_tmp__5057 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5054) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__5058 = *llvm_cbe_tmp__5057;
  llvm_cbe_tmp__5059 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5058)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5056)) << 8u);
  llvm_cbe_tmp__5060 = ((unsigned short )llvm_cbe_tmp__5059);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5060) > ((unsigned short )((unsigned short )-18432)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5060) > ((signed short )((unsigned short )-18432)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5059 == 47104u)));
  if ((llvm_cbe_tmp__5059 == 47104u)) {
    goto llvm_cbe_tmp__8125;
  } else {
    goto llvm_cbe_tmp__8126;
  }

llvm_cbe__2e__crit_edge5432:
  llvm_cbe_tmp__5218 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )llvm_cbe_tmp__5218)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5218) + ((unsigned int )1u)))))])) = ((unsigned char )1);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5599;

llvm_cbe_tmp__8127:
  llvm_cbe_tmp__5217 = *((&RAM.array[((signed int )33673u)]));
  *((&RAM.array[((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996)))])) = llvm_cbe_tmp__5217;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5217 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5217) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5217 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__5217 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5432;
  } else {
    goto llvm_cbe__2e__crit_edge5417;
  }

llvm_cbe_tmp__7623:
  if (((((llvm_cbe_tmp__5995 == 0u) & (llvm_cbe_tmp__5994 == 0u))&1))) {
    goto llvm_cbe_tmp__8127;
  } else {
    goto llvm_cbe__2e__crit_edge5417;
  }

llvm_cbe_tmp__7622:
  if ((llvm_cbe_tmp__5994 == 0u)) {
    goto llvm_cbe_tmp__8128;
  } else {
    goto llvm_cbe__2e__crit_edge5432;
  }

llvm_cbe__2e__crit_edge5363:
  llvm_cbe__2e_rle7005 = llvm_cbe__2e_rle7005__PHI_TEMPORARY;
  llvm_cbe_tmp__5219 = llvm_cbe_tmp__5219__PHI_TEMPORARY;
  llvm_cbe_tmp__5220 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5219);
  *((&RAM.array[((signed int )llvm_cbe_tmp__5220)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5220) + ((unsigned int )1u)))))])) = ((unsigned char )3);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe__2e_rle7005;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5599;

llvm_cbe_tmp__8129:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4666) > ((unsigned short )((unsigned short )-19712)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4666) > ((signed short )((unsigned short )-19712)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4665 == 45824u)));
  if ((llvm_cbe_tmp__4665 == 45824u)) {
    llvm_cbe_tmp__4610__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5374;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe__2e__crit_edge5373:
  llvm_cbe_tmp__4662 = llvm_cbe_tmp__4662__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4662;
  llvm_cbe_tmp__4663 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7036) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__4664 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7036) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__4665 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4664)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4663)) << 8u);
  llvm_cbe_tmp__4666 = ((unsigned short )llvm_cbe_tmp__4665);
  if ((llvm_cbe_tmp__4661 == ((unsigned short )0))) {
    goto llvm_cbe_tmp__8130;
  } else {
    goto llvm_cbe_tmp__8129;
  }

llvm_cbe__2e__crit_edge5372:
  llvm_cbe_tmp__4656 = llvm_cbe_tmp__4656__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4656;
  llvm_cbe_tmp__4657 = *((&RAM.array[((signed int )33612u)]));
  llvm_cbe_tmp__4658 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4657)) << 8u;
  llvm_cbe_tmp__4659 = *((&RAM.array[((signed int )33613u)]));
  llvm_cbe_tmp__4660 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4658 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4659)))) + ((unsigned int )4294967295u)));
  *((&RAM.array[((signed int )33612u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4660) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33613u)])) = (((unsigned char )llvm_cbe_tmp__4660));
  llvm_cbe_tmp__4661 = ((unsigned short )llvm_cbe_tmp__4660);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4661 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4661) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4661 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__4660) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__4658 & 32768u) == 0u)) {
    llvm_cbe_tmp__4662__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5373;
  } else {
    goto llvm_cbe_tmp__8131;
  }

llvm_cbe__2e__crit_edge5371:
  llvm_cbe_tmp__4650 = llvm_cbe_tmp__4650__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4650;
  llvm_cbe_tmp__4651 = *((&RAM.array[((signed int )33614u)]));
  llvm_cbe_tmp__4652 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4651)) << 8u;
  llvm_cbe_tmp__4653 = *((&RAM.array[((signed int )33615u)]));
  llvm_cbe_tmp__4654 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4652 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4653)))) + ((unsigned int )2u)));
  *((&RAM.array[((signed int )33614u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4654) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33615u)])) = (((unsigned char )llvm_cbe_tmp__4654));
  llvm_cbe_tmp__4655 = ((unsigned short )llvm_cbe_tmp__4654);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4655 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4655) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4655 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4654) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4652 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8132;
  } else {
    llvm_cbe_tmp__4656__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5372;
  }

llvm_cbe__2e__crit_edge5367:
  llvm_cbe_tmp__4634 = *llvm_cbe_tmp__7043;
  llvm_cbe_tmp__4635 = *llvm_cbe_tmp__7045;
  llvm_cbe_tmp__4636 = *((&RAM.array[((signed int )33616u)]));
  llvm_cbe_tmp__4637 = *((&RAM.array[((signed int )33617u)]));
  llvm_cbe_tmp__4638 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__4636)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4637)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__4634)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4635))))));
  *llvm_cbe_tmp__7043 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4638) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__7045 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4638) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7042) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4638) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7042) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__4638));
  llvm_cbe_tmp__4639 = *llvm_cbe_tmp__7038;
  llvm_cbe_tmp__4640 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4639)) << 8u;
  llvm_cbe_tmp__4641 = *llvm_cbe_tmp__7040;
  llvm_cbe_tmp__4642 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7036) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__4643 = (&RAM.array[((signed int )llvm_cbe_tmp__4642)]);
  llvm_cbe_tmp__4644 = *llvm_cbe_tmp__4643;
  llvm_cbe_tmp__4645 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4644)) << 8u;
  llvm_cbe_tmp__4646 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4642) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4647 = *llvm_cbe_tmp__4646;
  llvm_cbe_tmp__4648 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4645 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4647)))) + ((unsigned int )(llvm_cbe_tmp__4640 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4641))))));
  *llvm_cbe_tmp__4643 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4648) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4646 = (((unsigned char )llvm_cbe_tmp__4648));
  llvm_cbe_tmp__4649 = ((unsigned short )llvm_cbe_tmp__4648);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4649 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4649) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4649 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4648) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__4645 ^ llvm_cbe_tmp__4640) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8133;
  } else {
    llvm_cbe_tmp__4650__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5371;
  }

llvm_cbe__2e__crit_edge5370:
  llvm_cbe_tmp__4633 = llvm_cbe_tmp__4633__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4633;
  goto llvm_cbe__2e__crit_edge5367;

llvm_cbe_tmp__8123:
  llvm_cbe_tmp__4628 = *llvm_cbe_tmp__7043;
  llvm_cbe_tmp__4629 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4628)) << 8u;
  llvm_cbe_tmp__4630 = *llvm_cbe_tmp__7045;
  llvm_cbe_tmp__4631 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4629 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4630)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__7043 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4631) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7045 = (((unsigned char )llvm_cbe_tmp__4631));
  llvm_cbe_tmp__4632 = ((unsigned short )llvm_cbe_tmp__4631);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4632 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4632) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4632 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4631) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4629 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8134;
  } else {
    llvm_cbe_tmp__4633__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5370;
  }

llvm_cbe_tmp__8134:
  llvm_cbe__2e_lobit4558 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4631) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4633__PHI_TEMPORARY = llvm_cbe__2e_lobit4558;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5370;

llvm_cbe_tmp__8133:
  llvm_cbe_tmp4560_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__4648 ^ llvm_cbe_tmp__4645)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4650__PHI_TEMPORARY = llvm_cbe_tmp4560_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5371;

llvm_cbe_tmp__8132:
  llvm_cbe__2e_lobit4565 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4654) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4656__PHI_TEMPORARY = llvm_cbe__2e_lobit4565;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5372;

llvm_cbe_tmp__8131:
  llvm_cbe_tmp4564 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4660) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__4662__PHI_TEMPORARY = llvm_cbe_tmp4564;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5373;

llvm_cbe_tmp__8130:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__4666) > ((unsigned short )((unsigned short )-18944)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4666) > ((signed short )((unsigned short )-18944)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4665 == 46592u)));
  if ((llvm_cbe_tmp__4665 == 46592u)) {
    goto llvm_cbe_tmp__8135;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe__2e__crit_edge5402:
  llvm_cbe__2e_rle7010 = llvm_cbe__2e_rle7010__PHI_TEMPORARY;
  llvm_cbe_tmp__5072 = llvm_cbe_tmp__5072__PHI_TEMPORARY;
  llvm_cbe_tmp__5073 = llvm_cbe_tmp__5073__PHI_TEMPORARY;
  llvm_cbe_tmp__5074 = llvm_cbe_tmp__5074__PHI_TEMPORARY;
  if ((((((((llvm_cbe_tmp__5073 == 0u) ^ 1)&1)) & (llvm_cbe_tmp__5072 == 0u))&1))) {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_rle7010;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5074;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  } else {
    goto llvm_cbe__2e__crit_edge5411;
  }

llvm_cbe__2e__crit_edge5410:
  llvm_cbe_tmp__5066 = llvm_cbe_tmp__5066__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5066;
  llvm_cbe_tmp__5067 = *llvm_cbe_tmp__5055;
  llvm_cbe_tmp__5068 = (llvm_cbe_tmp__5064 & 255u) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5067)) << 8u);
  llvm_cbe_tmp__5069 = ((unsigned short )llvm_cbe_tmp__5068);
  llvm_cbe_tmp__5070 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5069) > ((unsigned short )((unsigned short )16))));
  *(&ST_LGT) = llvm_cbe_tmp__5070;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5069) > ((signed short )((unsigned short )16)))));
  llvm_cbe_tmp__5071 = ((unsigned int )(bool )(llvm_cbe_tmp__5068 == 16u));
  *(&ST_EQ) = llvm_cbe_tmp__5071;
  llvm_cbe__2e_rle7010__PHI_TEMPORARY = llvm_cbe_tmp__5053;   /* for PHI node */
  llvm_cbe_tmp__5072__PHI_TEMPORARY = llvm_cbe_tmp__5071;   /* for PHI node */
  llvm_cbe_tmp__5073__PHI_TEMPORARY = llvm_cbe_tmp__5070;   /* for PHI node */
  llvm_cbe_tmp__5074__PHI_TEMPORARY = llvm_cbe_tmp__5053;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5402;

llvm_cbe_tmp__8126:
  llvm_cbe_tmp__5061 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5059) >> ((unsigned int )7u)));
  *llvm_cbe_tmp__5055 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__5056) >> ((unsigned char )((unsigned char )7)))))));
  *llvm_cbe_tmp__5057 = (((unsigned char )llvm_cbe_tmp__5061));
  llvm_cbe_tmp__5062 = *llvm_cbe_tmp__5055;
  llvm_cbe_tmp__5063 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5062)) << 8u;
  llvm_cbe_tmp__5064 = ((unsigned int )(((unsigned int )((llvm_cbe_tmp__5061 & 255u) | llvm_cbe_tmp__5063)) + ((unsigned int )65156u)));
  *llvm_cbe_tmp__5055 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5064) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5057 = (((unsigned char )llvm_cbe_tmp__5064));
  llvm_cbe_tmp__5065 = ((unsigned short )llvm_cbe_tmp__5064);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5065 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5065) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5065 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5064) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5063 & 32768u) == 0u)) {
    llvm_cbe_tmp__5066__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5410;
  } else {
    goto llvm_cbe_tmp__8136;
  }

llvm_cbe_tmp__8136:
  llvm_cbe_tmp4769 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5064) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5066__PHI_TEMPORARY = llvm_cbe_tmp4769;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5410;

llvm_cbe_tmp__8137:
  llvm_cbe_storemerge4667_2e_in = ((llvm_cbe_storemerge4667_2e_in__PHI_TEMPORARY)&1);
  *(&ST_EQ) = (((unsigned int )(bool )llvm_cbe_storemerge4667_2e_in));
  if (llvm_cbe_storemerge4667_2e_in) {
    goto llvm_cbe_tmp__8138;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe_tmp__8139:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5271) > ((unsigned short )((unsigned short )-24320)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5271) > ((signed short )((unsigned short )-24320)))));
  llvm_cbe_storemerge4667_2e_in__PHI_TEMPORARY = (llvm_cbe_tmp__5270 == 41216u);   /* for PHI node */
  goto llvm_cbe_tmp__8137;

llvm_cbe__2e__crit_edge5586:
  llvm_cbe_tmp__5267 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5268 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5267) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__5269 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5267) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__5270 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5269)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5268)) << 8u);
  llvm_cbe_tmp__5271 = ((unsigned short )llvm_cbe_tmp__5270);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5271) > ((unsigned short )((unsigned short )-20224)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5271) > ((signed short )((unsigned short )-20224)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5270 == 45312u)));
  if ((llvm_cbe_tmp__5270 == 45312u)) {
    goto llvm_cbe__2e__crit_edge5436;
  } else {
    goto llvm_cbe_tmp__8139;
  }

llvm_cbe_tmp__7635:
  llvm_cbe_tmp__7256 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7256)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7256) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  goto llvm_cbe__2e__crit_edge5586;

llvm_cbe_tmp__8140:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5266) > ((unsigned short )((unsigned short )-30976)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5266) > ((signed short )((unsigned short )-30976)))));
  llvm_cbe_storemerge4667_2e_in__PHI_TEMPORARY = (llvm_cbe_tmp__5265 == 34560u);   /* for PHI node */
  goto llvm_cbe_tmp__8137;

llvm_cbe_tmp__8141:
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5266) > ((unsigned short )((unsigned short )-31232)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5266) > ((signed short )((unsigned short )-31232)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5265 == 34304u)));
  if ((llvm_cbe_tmp__5265 == 34304u)) {
    goto llvm_cbe__2e__crit_edge5436;
  } else {
    goto llvm_cbe_tmp__8140;
  }

llvm_cbe_tmp__8142:
  llvm_cbe_tmp__5263 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7260) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__5264 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7260) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__5265 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5264)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5263)) << 8u);
  llvm_cbe_tmp__5266 = ((unsigned short )llvm_cbe_tmp__5265);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5266) > ((unsigned short )((unsigned short )-31488)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5266) > ((signed short )((unsigned short )-31488)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5265 == 34048u)));
  if ((llvm_cbe_tmp__5265 == 34048u)) {
    goto llvm_cbe_tmp__8143;
  } else {
    goto llvm_cbe_tmp__8141;
  }

llvm_cbe_tmp__8144:
  llvm_cbe_tmp__5258 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__5259 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__5260 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5258)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5259));
  llvm_cbe_tmp__5261 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7260) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5261)])) = llvm_cbe_tmp__5258;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5261) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5259;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5260 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5260))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5260 == 0u)));
  if ((((signed short )(((unsigned short )llvm_cbe_tmp__5260))) > ((signed short )((unsigned short )0)))) {
    goto llvm_cbe_tmp__8142;
  } else {
    goto llvm_cbe__2e__crit_edge5435;
  }

llvm_cbe_tmp__7639:
  llvm_cbe_tmp__7260 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7261 = *((&RAM.array[((signed int )33620u)]));
  *((&RAM.array[((signed int )llvm_cbe_tmp__7260)])) = llvm_cbe_tmp__7261;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7261 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7261) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7261 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__7261 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__8144;
  } else {
    goto llvm_cbe__2e__crit_edge5435;
  }

llvm_cbe__2e__crit_edge5588:
  llvm_cbe_tmp__5281 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5282 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5281) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__5283 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5281) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__5284 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5283)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5282)) << 8u);
  llvm_cbe_tmp__5285 = ((unsigned short )llvm_cbe_tmp__5284);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5285) > ((unsigned short )((unsigned short )-14080)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5285) > ((signed short )((unsigned short )-14080)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5284 == 51456u)));
  if ((llvm_cbe_tmp__5284 == 51456u)) {
    goto llvm_cbe_tmp__8145;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe_tmp__7641:
  llvm_cbe_tmp__7263 = *((&RAM.array[((signed int )33616u)]));
  llvm_cbe_tmp__7264 = *((&RAM.array[((signed int )33617u)]));
  llvm_cbe_tmp__7265 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7263)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__7264));
  llvm_cbe_tmp__7266 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7266)])) = llvm_cbe_tmp__7263;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7266) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__7264;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7265 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__7265))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7265 == 0u)));
  goto llvm_cbe__2e__crit_edge5588;

llvm_cbe_tmp__7642:
  llvm_cbe_tmp__7267 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7267)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7267) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  goto llvm_cbe__2e__crit_edge5588;

llvm_cbe_tmp__7633:
  llvm_cbe_tmp__7249 = *((&RAM.array[((signed int )33622u)]));
  llvm_cbe_tmp__7250 = *((&RAM.array[((signed int )33623u)]));
  llvm_cbe_tmp__7251 = *((&RAM.array[((signed int )33580u)]));
  llvm_cbe_tmp__7252 = *((&RAM.array[((signed int )33581u)]));
  llvm_cbe_tmp__7253 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7249)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7250))));
  llvm_cbe_tmp__7254 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7251)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7252))));
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__7253) > ((unsigned short )llvm_cbe_tmp__7254))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7253) > ((signed short )llvm_cbe_tmp__7254))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7253 == llvm_cbe_tmp__7254)));
  if ((llvm_cbe_tmp__7253 == llvm_cbe_tmp__7254)) {
    goto llvm_cbe_tmp__8146;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe_tmp__7652:
  llvm_cbe_tmp__7300 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7301 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7300) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__7301)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7301) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__7302 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7300) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__7303 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7300) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__7304 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7303)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7302)) << 8u);
  llvm_cbe_tmp__7305 = ((unsigned short )llvm_cbe_tmp__7304);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__7305) > ((unsigned short )((unsigned short )-20480)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7305) > ((signed short )((unsigned short )-20480)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7304 == 45056u)));
  if ((llvm_cbe_tmp__7304 == 45056u)) {
    goto llvm_cbe_tmp__8147;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe_tmp__7653:
  llvm_cbe_tmp__7306 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7307 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7306) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__7308 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7306) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__7309 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7308)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7307)) << 8u);
  llvm_cbe_tmp__7310 = ((unsigned short )llvm_cbe_tmp__7309);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__7310) > ((unsigned short )((unsigned short )-14080)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7310) > ((signed short )((unsigned short )-14080)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7309 == 51456u)));
  if ((llvm_cbe_tmp__7309 == 51456u)) {
    goto llvm_cbe_tmp__8148;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe_tmp__7656:
  llvm_cbe_tmp__7318 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7319 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7318) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__7320 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7318) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__7321 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7320)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7319)) << 8u);
  llvm_cbe_tmp__7322 = ((unsigned short )llvm_cbe_tmp__7321);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__7322) > ((unsigned short )((unsigned short )-16896)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7322) > ((signed short )((unsigned short )-16896)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7321 == 48640u)));
  if ((llvm_cbe_tmp__7321 == 48640u)) {
    goto llvm_cbe_tmp__8149;
  } else {
    llvm_cbe__2e_rle7005__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
    llvm_cbe_tmp__5219__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5363;
  }

llvm_cbe__2e__crit_edge5435:
  llvm_cbe_tmp__5262 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )llvm_cbe_tmp__5262)])) = ((unsigned char )2);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5262) + ((unsigned int )1u)))))])) = ((unsigned char )3);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5599;

llvm_cbe_tmp__7645:
  llvm_cbe_tmp__7279 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7280 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7279) + ((unsigned int )16u)))))]));
  llvm_cbe_tmp__7281 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7279) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__7282 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7281)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__7280)) << 8u);
  llvm_cbe_tmp__7283 = ((unsigned short )llvm_cbe_tmp__7282);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__7283) > ((unsigned short )((unsigned short )-19712)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7283) > ((signed short )((unsigned short )-19712)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7282 == 45824u)));
  if ((llvm_cbe_tmp__7282 == 45824u)) {
    goto llvm_cbe__2e__crit_edge5436;
  } else {
    goto llvm_cbe__2e__crit_edge5435;
  }

llvm_cbe__2e__crit_edge5440:
  *((&RAM.array[((signed int )llvm_cbe_tmp__5315)])) = ((unsigned char )3);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5315) + ((unsigned int )1u)))))])) = ((unsigned char )3);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe_tmp__5314;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5599;

llvm_cbe_tmp__8039:
  *((&RAM.array[((signed int )llvm_cbe_tmp__7287)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7287) + ((unsigned int )1u)))))])) = ((unsigned char )6);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5599;

llvm_cbe_tmp__7695:
  llvm_cbe_tmp__7443 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )llvm_cbe_tmp__7443)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7443) + ((unsigned int )1u)))))])) = ((unsigned char )5);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5221__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5599;

llvm_cbe__2e__crit_edge5668:
  llvm_cbe_tmp__5231 = llvm_cbe_tmp__5231__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5231;
  llvm_cbe__2e_pre6053_2e_rle6950__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5226__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5426;

llvm_cbe_tmp__8150:
  llvm_cbe_tmp4641 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7230) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5231__PHI_TEMPORARY = llvm_cbe_tmp4641;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5668;

llvm_cbe_tmp__7629:
  llvm_cbe_tmp__7224 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__7225 = (&RAM.array[((signed int )llvm_cbe_tmp__7224)]);
  llvm_cbe_tmp__7226 = *llvm_cbe_tmp__7225;
  llvm_cbe_tmp__7227 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7226)) << 8u;
  llvm_cbe_tmp__7228 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7224) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7229 = *llvm_cbe_tmp__7228;
  llvm_cbe_tmp__7230 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7227 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7229)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__7225 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7230) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7228 = (((unsigned char )llvm_cbe_tmp__7230));
  llvm_cbe_tmp__7231 = ((unsigned short )llvm_cbe_tmp__7230);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7231 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7231) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7231 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__7230) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__7227 & 32768u) == 0u)) {
    llvm_cbe_tmp__5231__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5668;
  } else {
    goto llvm_cbe_tmp__8150;
  }

llvm_cbe__2e__crit_edge5434:
  llvm_cbe_tmp__5246 = llvm_cbe_tmp__5246__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5246;
  llvm_cbe_tmp__5247 = *((&RAM.array[((signed int )llvm_cbe_tmp__5237)]));
  llvm_cbe_tmp__5248 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5236) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__5249 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5248)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5247)) << 8u);
  llvm_cbe_tmp__5250 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5236) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__5251 = *((&RAM.array[((signed int )llvm_cbe_tmp__5250)]));
  llvm_cbe_tmp__5252 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5250) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5253 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5251)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5252));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5249 & 65534u))])) = llvm_cbe_tmp__5251;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5249 | 1u))])) = llvm_cbe_tmp__5252;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5253 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5253))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5253 == 0u)));
  llvm_cbe__2e_pre6053_2e_rle6950__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6953;   /* for PHI node */
  llvm_cbe_tmp__5226__PHI_TEMPORARY = llvm_cbe_tmp__5235;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5426;

llvm_cbe_tmp__8151:
  llvm_cbe__2e_pre6053_2e_rle6953 = llvm_cbe__2e_pre6053_2e_rle6953__PHI_TEMPORARY;
  llvm_cbe_tmp__5235 = llvm_cbe_tmp__5235__PHI_TEMPORARY;
  llvm_cbe_tmp__5236 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5235);
  llvm_cbe_tmp__5237 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5236) + ((unsigned int )18u)));
  llvm_cbe_tmp__5238 = llvm_cbe_tmp__5237 & 65535u;
  llvm_cbe_tmp__5239 = (&RAM.array[((signed int )llvm_cbe_tmp__5238)]);
  llvm_cbe_tmp__5240 = *llvm_cbe_tmp__5239;
  llvm_cbe_tmp__5241 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5240)) << 8u;
  llvm_cbe_tmp__5242 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5238) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5243 = *llvm_cbe_tmp__5242;
  llvm_cbe_tmp__5244 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5241 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5243)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__5239 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5244) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5242 = (((unsigned char )llvm_cbe_tmp__5244));
  llvm_cbe_tmp__5245 = ((unsigned short )llvm_cbe_tmp__5244);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5245 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5245) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5245 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5244) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5241 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8152;
  } else {
    llvm_cbe_tmp__5246__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5434;
  }

llvm_cbe__2e__crit_edge5672:
  llvm_cbe_tmp__5232 = *((&RAM.array[((signed int )7502u)]));
  llvm_cbe_tmp__5233 = *((&RAM.array[((signed int )7503u)]));
  *((&RAM.array[((signed int )33570u)])) = llvm_cbe_tmp__5232;
  *((&RAM.array[((signed int )33571u)])) = llvm_cbe_tmp__5233;
  llvm_cbe_tmp__5234 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5234) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5234) + ((unsigned int )23u)))))])) = ((unsigned char )34);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe__2e_pre6053_2e_rle6953__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5235__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8151;

llvm_cbe_tmp__8153:
  llvm_cbe_tmp__5254 = *((&RAM.array[((signed int )114u)]));
  llvm_cbe_tmp__5255 = *((&RAM.array[((signed int )115u)]));
  *((&RAM.array[((signed int )33570u)])) = llvm_cbe_tmp__5254;
  *((&RAM.array[((signed int )33571u)])) = llvm_cbe_tmp__5255;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5114) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5114) + ((unsigned int )23u)))))])) = ((unsigned char )-114);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe__2e_pre6053_2e_rle6953__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5235__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8151;

llvm_cbe_tmp__8128:
  llvm_cbe_tmp__5114 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5115 = *((&RAM.array[((signed int )33672u)]));
  llvm_cbe_tmp__5116 = (&RAM.array[((signed int )llvm_cbe_tmp__5114)]);
  *llvm_cbe_tmp__5116 = llvm_cbe_tmp__5115;
  llvm_cbe_tmp__5117 = ((unsigned int )(unsigned char )llvm_cbe_tmp__5115);
  llvm_cbe_tmp__5118 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5114) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5119 = *llvm_cbe_tmp__5118;
  llvm_cbe_tmp__5120 = (llvm_cbe_tmp__5117 << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5119));
  llvm_cbe_tmp__5121 = llvm_cbe_tmp__5120 << 3u;
  *llvm_cbe_tmp__5116 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5120) >> ((unsigned int )5u))))));
  *llvm_cbe_tmp__5118 = (((unsigned char )llvm_cbe_tmp__5121));
  llvm_cbe_tmp__5122 = ((unsigned short )llvm_cbe_tmp__5121);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5122 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5122) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5122 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5117) >> ((unsigned int )5u)))) & 1u);
  if (((((((signed short )llvm_cbe_tmp__5122) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__5122 == ((unsigned short )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5415;
  } else {
    goto llvm_cbe_tmp__8153;
  }

llvm_cbe__2e__crit_edge5507:
  llvm_cbe_tmp__5780 = llvm_cbe_tmp__5780__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5780;
  llvm_cbe_tmp__5781 = *((&RAM.array[((signed int )llvm_cbe_tmp__5771)]));
  llvm_cbe_tmp__5782 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5747) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__5783 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5782)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5781)) << 8u);
  llvm_cbe_tmp__5784 = *((&RAM.array[((signed int )llvm_cbe_tmp__5747)]));
  llvm_cbe_tmp__5785 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5747) + ((unsigned int )1u)))))]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5783 & 65534u))])) = llvm_cbe_tmp__5784;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5783 | 1u))])) = llvm_cbe_tmp__5785;
  llvm_cbe_tmp__5786 = *((&RAM.array[((signed int )6384u)]));
  *((&RAM.array[((signed int )33571u)])) = llvm_cbe_tmp__5786;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5786 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5786) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5786 == ((unsigned char )0))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5747) + ((unsigned int )22u)))))])) = ((unsigned char )31);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5747) + ((unsigned int )23u)))))])) = ((unsigned char )14);
  llvm_cbe__2e_pre6053_2e_rle6953__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6956;   /* for PHI node */
  llvm_cbe_tmp__5235__PHI_TEMPORARY = llvm_cbe_tmp__5746;   /* for PHI node */
  goto llvm_cbe_tmp__8151;

llvm_cbe_tmp__8154:
  llvm_cbe_tmp__5771 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5747) + ((unsigned int )18u)));
  llvm_cbe_tmp__5772 = llvm_cbe_tmp__5771 & 65535u;
  llvm_cbe_tmp__5773 = (&RAM.array[((signed int )llvm_cbe_tmp__5772)]);
  llvm_cbe_tmp__5774 = *llvm_cbe_tmp__5773;
  llvm_cbe_tmp__5775 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5774)) << 8u;
  llvm_cbe_tmp__5776 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5772) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5777 = *llvm_cbe_tmp__5776;
  llvm_cbe_tmp__5778 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5775 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5777)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__5773 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5778) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5776 = (((unsigned char )llvm_cbe_tmp__5778));
  llvm_cbe_tmp__5779 = ((unsigned short )llvm_cbe_tmp__5778);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5779 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5779) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5779 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5778) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5775 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8155;
  } else {
    llvm_cbe_tmp__5780__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5507;
  }

llvm_cbe_tmp__8156:
  if ((llvm_cbe_tmp__5766 == llvm_cbe_tmp__5767)) {
    llvm_cbe__2e_pre6053_2e_rle6969__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6956;   /* for PHI node */
    llvm_cbe_tmp__5880__PHI_TEMPORARY = llvm_cbe_tmp__5746;   /* for PHI node */
    llvm_cbe__2e_rle5986__PHI_TEMPORARY = llvm_cbe_tmp__5768;   /* for PHI node */
    llvm_cbe__2e_rle5952__PHI_TEMPORARY = llvm_cbe_tmp__5770;   /* for PHI node */
    llvm_cbe__2e_rle5918__PHI_TEMPORARY = llvm_cbe_tmp__5769;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5505;
  } else {
    goto llvm_cbe_tmp__8154;
  }

llvm_cbe__2e__crit_edge5504:
  llvm_cbe_tmp__5761 = llvm_cbe_tmp__5761__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5761;
  llvm_cbe_tmp__5762 = *llvm_cbe_tmp__5752;
  llvm_cbe_tmp__5763 = *llvm_cbe_tmp__5753;
  llvm_cbe_tmp__5764 = *((&RAM.array[((signed int )33562u)]));
  llvm_cbe_tmp__5765 = *((&RAM.array[((signed int )33563u)]));
  llvm_cbe_tmp__5766 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5762)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5763))));
  llvm_cbe_tmp__5767 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5764)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5765))));
  llvm_cbe_tmp__5768 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__5766) > ((unsigned short )llvm_cbe_tmp__5767)));
  *(&ST_LGT) = llvm_cbe_tmp__5768;
  llvm_cbe_tmp__5769 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5766) > ((signed short )llvm_cbe_tmp__5767)));
  *(&ST_AGT) = llvm_cbe_tmp__5769;
  llvm_cbe_tmp__5770 = ((unsigned int )(bool )(llvm_cbe_tmp__5766 == llvm_cbe_tmp__5767));
  *(&ST_EQ) = llvm_cbe_tmp__5770;
  if ((((unsigned short )llvm_cbe_tmp__5766) > ((unsigned short )llvm_cbe_tmp__5767))) {
    goto llvm_cbe_tmp__8156;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6969__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6956;   /* for PHI node */
    llvm_cbe_tmp__5880__PHI_TEMPORARY = llvm_cbe_tmp__5746;   /* for PHI node */
    llvm_cbe__2e_rle5986__PHI_TEMPORARY = llvm_cbe_tmp__5768;   /* for PHI node */
    llvm_cbe__2e_rle5952__PHI_TEMPORARY = llvm_cbe_tmp__5770;   /* for PHI node */
    llvm_cbe__2e_rle5918__PHI_TEMPORARY = llvm_cbe_tmp__5769;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5505;
  }

llvm_cbe__2e__crit_edge5499:
  llvm_cbe__2e_pre6053_2e_rle6956 = llvm_cbe__2e_pre6053_2e_rle6956__PHI_TEMPORARY;
  llvm_cbe_tmp__5746 = llvm_cbe_tmp__5746__PHI_TEMPORARY;
  llvm_cbe_tmp__5747 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5746);
  llvm_cbe_tmp__5748 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5747) + ((unsigned int )2u)));
  llvm_cbe_tmp__5749 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5750 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5751 = llvm_cbe_tmp__5748 & 65535u;
  llvm_cbe_tmp__5752 = (&RAM.array[((signed int )llvm_cbe_tmp__5751)]);
  *llvm_cbe_tmp__5752 = llvm_cbe_tmp__5749;
  llvm_cbe_tmp__5753 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5751) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__5753 = llvm_cbe_tmp__5750;
  llvm_cbe_tmp__5754 = (&RAM.array[((signed int )llvm_cbe_tmp__5748)]);
  llvm_cbe_tmp__5755 = *llvm_cbe_tmp__5754;
  llvm_cbe_tmp__5756 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5755)) << 8u;
  llvm_cbe_tmp__5757 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5747) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__5758 = *llvm_cbe_tmp__5757;
  llvm_cbe_tmp__5759 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5758)) | llvm_cbe_tmp__5756)) + ((unsigned int )16u)));
  *llvm_cbe_tmp__5754 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5759) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5757 = (((unsigned char )llvm_cbe_tmp__5759));
  llvm_cbe_tmp__5760 = ((unsigned short )llvm_cbe_tmp__5759);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5760 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5760) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5760 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5759) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5756 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8157;
  } else {
    llvm_cbe_tmp__5761__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5504;
  }

llvm_cbe_tmp__8157:
  llvm_cbe__2e_lobit4797 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5759) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5761__PHI_TEMPORARY = llvm_cbe__2e_lobit4797;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5504;

llvm_cbe_tmp__8155:
  llvm_cbe__2e_lobit4796 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5778) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5780__PHI_TEMPORARY = llvm_cbe__2e_lobit4796;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5507;

llvm_cbe_tmp__7607:
  llvm_cbe_tmp__7082 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7083 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7082) + ((unsigned int )20u)))) & 65535u;
  llvm_cbe_tmp__7084 = *((&RAM.array[((signed int )llvm_cbe_tmp__7083)]));
  llvm_cbe_tmp__7085 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7083) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__7086 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7084)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__7085));
  *((&RAM.array[((signed int )33610u)])) = llvm_cbe_tmp__7084;
  *((&RAM.array[((signed int )33611u)])) = llvm_cbe_tmp__7085;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7086 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__7086))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7086 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7082) + ((unsigned int )22u)))))])) = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7082) + ((unsigned int )23u)))))])) = ((unsigned char )22);
  llvm_cbe__2e_pre6053_2e_rle6953__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5235__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8151;

llvm_cbe_tmp__8152:
  llvm_cbe__2e_lobit4795 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5244) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5246__PHI_TEMPORARY = llvm_cbe__2e_lobit4795;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5434;

llvm_cbe_tmp__8124:
  llvm_cbe_tmp__5572 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5572) + ((unsigned int )22u)))))])) = ((unsigned char )30);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5572) + ((unsigned int )23u)))))])) = ((unsigned char )4);
  llvm_cbe__2e_pre6053_2e_rle6948__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5630__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8115;

llvm_cbe_tmp__7662:
  llvm_cbe_tmp__7333 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7333) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7333) + ((unsigned int )23u)))))])) = ((unsigned char )66);
  llvm_cbe__2e_pre6053_2e_rle6948__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5630__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8115;

llvm_cbe_tmp__8113:
  llvm_cbe__2e_lobit4794 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5639) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5641__PHI_TEMPORARY = llvm_cbe__2e_lobit4794;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5491;

llvm_cbe__2e__crit_edge5505:
  llvm_cbe__2e_pre6053_2e_rle6969 = llvm_cbe__2e_pre6053_2e_rle6969__PHI_TEMPORARY;
  llvm_cbe_tmp__5880 = llvm_cbe_tmp__5880__PHI_TEMPORARY;
  llvm_cbe__2e_rle5986 = llvm_cbe__2e_rle5986__PHI_TEMPORARY;
  llvm_cbe__2e_rle5952 = llvm_cbe__2e_rle5952__PHI_TEMPORARY;
  llvm_cbe__2e_rle5918 = llvm_cbe__2e_rle5918__PHI_TEMPORARY;
  llvm_cbe_tmp__5881 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5880);
  llvm_cbe_tmp__5882 = *((&RAM.array[((signed int )llvm_cbe_tmp__5881)]));
  llvm_cbe_tmp__5883 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5881) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5884 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5883)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5882)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5884;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6969;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5986;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5952;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5918;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5880;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5884;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5884;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7697:
  llvm_cbe_tmp__7459 =  /*tail*/ hw_read(((unsigned short )-30720));
  *((&RAM.array[((signed int )33763u)])) = llvm_cbe_tmp__7459;
  llvm_cbe_tmp__7460 = *(&WP);
  llvm_cbe_tmp__7461 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__7460))) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__7462 = *((&RAM.array[((signed int )llvm_cbe_tmp__7461)]));
  llvm_cbe_tmp__7463 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7461) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__7464 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__7462)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__7463));
  *((&RAM.array[((signed int )33614u)])) = llvm_cbe_tmp__7462;
  *((&RAM.array[((signed int )33615u)])) = llvm_cbe_tmp__7463;
  llvm_cbe_tmp__7465 = ((unsigned int )(bool )(llvm_cbe_tmp__7464 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__7465;
  llvm_cbe_tmp__7466 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__7464))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__7466;
  llvm_cbe_tmp__7467 = ((unsigned int )(bool )(llvm_cbe_tmp__7464 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__7467;
  llvm_cbe__2e_pre6053_2e_rle6969__PHI_TEMPORARY = llvm_cbe_tmp__7460;   /* for PHI node */
  llvm_cbe_tmp__5880__PHI_TEMPORARY = llvm_cbe_tmp__7460;   /* for PHI node */
  llvm_cbe__2e_rle5986__PHI_TEMPORARY = llvm_cbe_tmp__7465;   /* for PHI node */
  llvm_cbe__2e_rle5952__PHI_TEMPORARY = llvm_cbe_tmp__7467;   /* for PHI node */
  llvm_cbe__2e_rle5918__PHI_TEMPORARY = llvm_cbe_tmp__7466;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5505;

llvm_cbe__2e__crit_edge5519:
  llvm_cbe_tmp__5917 = llvm_cbe_tmp__5917__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5917;
  llvm_cbe_tmp__5918 = *(&WP);
  llvm_cbe_tmp__5919 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5918);
  llvm_cbe_tmp__5920 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5919) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__5921 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5919) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__5922 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5920)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5921))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5919) + ((unsigned int )16u)))) & 65535u))])) = llvm_cbe_tmp__5922;
  llvm_cbe_tmp__5923 = ((unsigned int )(bool )(llvm_cbe_tmp__5922 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__5923;
  llvm_cbe_tmp__5924 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5922) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__5924;
  llvm_cbe_tmp__5925 = ((unsigned int )(bool )(llvm_cbe_tmp__5922 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__5925;
  llvm_cbe_tmp__5926 = *(&WP);
  llvm_cbe_tmp__5927 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5926);
  llvm_cbe_tmp__5928 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5927) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__5929 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5927) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__5930 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5929)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5928)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5930;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__5926;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5923;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5925;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5924;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5926;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5930;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5930;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8158:
  llvm_cbe_tmp__5912 = *((&RAM.array[((signed int )33580u)]));
  llvm_cbe_tmp__5913 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5912)) << 8u;
  llvm_cbe_tmp__5914 = *((&RAM.array[((signed int )33581u)]));
  llvm_cbe_tmp__5915 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5913 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5914)))) + ((unsigned int )1u)));
  *((&RAM.array[((signed int )33580u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5915) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33581u)])) = (((unsigned char )llvm_cbe_tmp__5915));
  llvm_cbe_tmp__5916 = ((unsigned short )llvm_cbe_tmp__5915);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5916 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5916) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5916 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5915) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5913 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8159;
  } else {
    llvm_cbe_tmp__5917__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5519;
  }

llvm_cbe_tmp__8160:
  llvm_cbe_tmp__5150 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5151 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5150) + ((unsigned int )16u)))) & 65535u;
  llvm_cbe_tmp__5152 = *((&RAM.array[((signed int )llvm_cbe_tmp__5151)]));
  llvm_cbe_tmp__5153 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5151) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5154 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5152)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5153));
  llvm_cbe_tmp__5155 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5150) + ((unsigned int )14u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5155)])) = llvm_cbe_tmp__5152;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5155) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5153;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5154 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5154))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5154 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5150) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5150) + ((unsigned int )23u)))))])) = ((unsigned char )-70);
  goto llvm_cbe_tmp__8158;

llvm_cbe_tmp__7624:
  if (((((llvm_cbe_tmp__5995 == 0u) & (llvm_cbe_tmp__5994 == 0u))&1))) {
    goto llvm_cbe_tmp__8160;
  } else {
    goto llvm_cbe__2e__crit_edge5419;
  }

llvm_cbe_tmp__8161:
  llvm_cbe_tmp__5889 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5887) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5890 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5887) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5891 = *((&RAM.array[((signed int )33581u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5889)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5890))))), llvm_cbe_tmp__5891);
  llvm_cbe_tmp__5892 = *(&WP);
  llvm_cbe_tmp__5893 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5892);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5893) + ((unsigned int )20u)))))])) = ((unsigned char )-120);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5893) + ((unsigned int )21u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5894 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5893) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5895 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5893) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5896 = *((&RAM.array[((signed int )33580u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5894)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5895))))), llvm_cbe_tmp__5896);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5896 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5896) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5896 == ((unsigned char )0))));
  goto llvm_cbe_tmp__8158;

llvm_cbe_tmp__8162:
  llvm_cbe_tmp__5886 = llvm_cbe_tmp__5886__PHI_TEMPORARY;
  llvm_cbe_tmp__5887 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5886);
  llvm_cbe_tmp__5888 = *((&RAM.array[((signed int )33673u)]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5887) + ((unsigned int )16u)))) & 65535u))])) = llvm_cbe_tmp__5888;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5888 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5888) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5888 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__5888 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__8161;
  } else {
    goto llvm_cbe_tmp__8163;
  }

llvm_cbe__2e__crit_edge5374:
  llvm_cbe_tmp__4610 = llvm_cbe_tmp__4610__PHI_TEMPORARY;
  llvm_cbe_tmp__4611 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4610);
  llvm_cbe_tmp__4612 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4611) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__4613 = *((&RAM.array[((signed int )llvm_cbe_tmp__4612)]));
  llvm_cbe_tmp__4614 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4612) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4615 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4613)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4614));
  *((&RAM.array[((signed int )33616u)])) = llvm_cbe_tmp__4613;
  *((&RAM.array[((signed int )33617u)])) = llvm_cbe_tmp__4614;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4615 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4615))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4615 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4611) + ((unsigned int )22u)))))])) = ((unsigned char )22);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4611) + ((unsigned int )23u)))))])) = ((unsigned char )-34);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__4610;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5357:
  llvm_cbe_tmp__4597 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4598 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4597) + ((unsigned int )2u)));
  llvm_cbe_tmp__4599 = (&RAM.array[((signed int )llvm_cbe_tmp__4598)]);
  llvm_cbe_tmp__4600 = *llvm_cbe_tmp__4599;
  llvm_cbe_tmp__4601 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4597) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__4602 = *llvm_cbe_tmp__4601;
  llvm_cbe_tmp__4603 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4602)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__4600)) << 8u);
  *llvm_cbe_tmp__4599 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4603) >> ((unsigned int )3u))))));
  *llvm_cbe_tmp__4601 = (((unsigned char )(llvm_cbe_tmp__4603 << 5u)));
  llvm_cbe_tmp__4604 = *llvm_cbe_tmp__4599;
  *llvm_cbe_tmp__4599 = ((unsigned char )0);
  *llvm_cbe_tmp__4601 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4604) >> ((unsigned char )((unsigned char )5)))))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__4604))) >> ((unsigned int )4u)))) & 1u);
  llvm_cbe_tmp__4605 = llvm_cbe_tmp__4598 & 65535u;
  llvm_cbe_tmp__4606 = *((&RAM.array[((signed int )llvm_cbe_tmp__4605)]));
  llvm_cbe_tmp__4607 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4605) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4608 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4606)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4607));
  *((&RAM.array[((signed int )33612u)])) = llvm_cbe_tmp__4606;
  *((&RAM.array[((signed int )33613u)])) = llvm_cbe_tmp__4607;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4608 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4608))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4608 == 0u)));
  llvm_cbe_tmp__4609 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4597) + ((unsigned int )4u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4609)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4609) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__4610__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5374;

llvm_cbe_tmp__8135:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7036) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7036) + ((unsigned int )23u)))))])) = ((unsigned char )68);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__7035;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5380:
  llvm_cbe_tmp__4711 = llvm_cbe_tmp__4711__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__4711;
  llvm_cbe_tmp__4712 = *(&WP);
  llvm_cbe_tmp__4713 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4712);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4713) + ((unsigned int )22u)))))])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4713) + ((unsigned int )23u)))))])) = ((unsigned char )126);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__4712;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5655:
  llvm_cbe_tmp__4698 = llvm_cbe_tmp__4698__PHI_TEMPORARY;
  llvm_cbe_tmp__4699 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__4698) + ((unsigned short )((unsigned short )4))))))));
  llvm_cbe_tmp__4700 = (&RAM.array[((signed int )llvm_cbe_tmp__4699)]);
  llvm_cbe_tmp__4701 = *llvm_cbe_tmp__4700;
  llvm_cbe_tmp__4702 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4699) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__4703 = *llvm_cbe_tmp__4702;
  llvm_cbe_tmp__4704 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4701)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4703));
  *llvm_cbe_tmp__4700 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4704) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__4702 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__4703) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__4705 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__4698))) + ((unsigned int )16u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__4704)), llvm_cbe_tmp__4705);
  llvm_cbe_tmp__4706 = *((&RAM.array[((signed int )33624u)]));
  llvm_cbe_tmp__4707 = (((unsigned int )(unsigned char )llvm_cbe_tmp__4706)) << 8u;
  llvm_cbe_tmp__4708 = *((&RAM.array[((signed int )33625u)]));
  llvm_cbe_tmp__4709 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__4707 | (((unsigned int )(unsigned char )llvm_cbe_tmp__4708)))) + ((unsigned int )1u)));
  *((&RAM.array[((signed int )33624u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4709) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33625u)])) = (((unsigned char )llvm_cbe_tmp__4709));
  llvm_cbe_tmp__4710 = ((unsigned short )llvm_cbe_tmp__4709);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4710 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__4710) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4710 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__4709) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__4707 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8164;
  } else {
    llvm_cbe_tmp__4711__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5380;
  }

llvm_cbe__2e__crit_edge5574:
  llvm_cbe_tmp__4691 = llvm_cbe_tmp__4691__PHI_TEMPORARY;
  *((&RAM.array[((signed int )33624u)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )33625u)])) = ((unsigned char )0);
  llvm_cbe_tmp__4692 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4691);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4692) + ((unsigned int )4u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4692) + ((unsigned int )5u)))))])) = ((unsigned char )74);
  llvm_cbe_tmp__4693 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4692) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__4694 = *((&RAM.array[((signed int )llvm_cbe_tmp__4693)]));
  llvm_cbe_tmp__4695 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4693) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4696 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4694)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4695));
  llvm_cbe_tmp__4697 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4692) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4697)])) = llvm_cbe_tmp__4694;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4697) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4695;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4696 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4696))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4696 == 0u)));
  llvm_cbe_tmp__4698__PHI_TEMPORARY = llvm_cbe_tmp__4691;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5655;

llvm_cbe__2e__crit_edge5399:
  *llvm_cbe_tmp__4980 = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4978) + ((unsigned int )23u)))))])) = ((unsigned char )-104);
  llvm_cbe_tmp__4691__PHI_TEMPORARY = llvm_cbe_tmp__4977;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5574;

llvm_cbe__2e__crit_edge5579:
  llvm_cbe_tmp__4977 = llvm_cbe_tmp__4977__PHI_TEMPORARY;
  llvm_cbe_tmp__4978 = ((unsigned int )(unsigned short )llvm_cbe_tmp__4977);
  llvm_cbe_tmp__4979 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4978) + ((unsigned int )16u)))) & 65535u))]));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__4978) + ((unsigned int )14u)))) & 65535u))])) = llvm_cbe_tmp__4979;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4979 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__4979) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4979 == ((unsigned char )0))));
  llvm_cbe_tmp__4980 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4978) + ((unsigned int )22u)))))]);
  if (((((((signed char )llvm_cbe_tmp__4979) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__4979 == ((unsigned char )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5399;
  } else {
    goto llvm_cbe_tmp__8165;
  }

llvm_cbe__2e__crit_edge5396:
  llvm_cbe_tmp__4973 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4958) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__4974 = *((&RAM.array[((signed int )llvm_cbe_tmp__4973)]));
  llvm_cbe_tmp__4975 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4973) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4976 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4974)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4975));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__4971 & 65534u))])) = llvm_cbe_tmp__4974;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__4971 | 1u))])) = llvm_cbe_tmp__4975;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4976 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4976))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4976 == 0u)));
  llvm_cbe_tmp__4977__PHI_TEMPORARY = llvm_cbe_tmp__4957;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5579;

llvm_cbe__2e__crit_edge5419:
  llvm_cbe_tmp__5394 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5394) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5394) + ((unsigned int )23u)))))])) = ((unsigned char )-18);
  llvm_cbe_tmp__4691__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5574;

llvm_cbe_tmp__7659:
  llvm_cbe_tmp__7325 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7325) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7325) + ((unsigned int )23u)))))])) = ((unsigned char )24);
  llvm_cbe_tmp__4691__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5574;

llvm_cbe_tmp__8164:
  llvm_cbe__2e_lobit4706 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4709) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__4711__PHI_TEMPORARY = llvm_cbe__2e_lobit4706;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5380;

llvm_cbe_tmp__8165:
  *llvm_cbe_tmp__4980 = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4978) + ((unsigned int )23u)))))])) = ((unsigned char )-16);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__4977;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5411:
  llvm_cbe_tmp__5075 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5074);
  llvm_cbe_tmp__5076 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__5075) + ((unsigned int )16u)));
  llvm_cbe_tmp__5077 = *((&RAM.array[((signed int )llvm_cbe_tmp__5076)]));
  llvm_cbe_tmp__5078 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5075) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__5079 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__5078)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5077)) << 8u))) + ((unsigned int )7470u)));
  llvm_cbe_tmp__5080 = *((&RAM.array[((signed int )(llvm_cbe_tmp__5079 & 65534u))]));
  llvm_cbe_tmp__5081 = *((&RAM.array[((signed int )((llvm_cbe_tmp__5079 | 1u) & 65535u))]));
  llvm_cbe_tmp__5082 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5080)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5081));
  llvm_cbe_tmp__5083 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5075) + ((unsigned int )14u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5083)])) = llvm_cbe_tmp__5080;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5083) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5081;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5082 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5082))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5082 == 0u)));
  llvm_cbe_tmp__5084 = llvm_cbe_tmp__5076 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5084)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5084) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5075) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5075) + ((unsigned int )23u)))))])) = ((unsigned char )88);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5074;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5415:
  llvm_cbe_tmp__5123 = *((&RAM.array[((signed int )33582u)]));
  llvm_cbe_tmp__5124 = *((&RAM.array[((signed int )33583u)]));
  llvm_cbe_tmp__5125 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5123)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5124));
  *((&RAM.array[((signed int )33580u)])) = llvm_cbe_tmp__5123;
  *((&RAM.array[((signed int )33581u)])) = llvm_cbe_tmp__5124;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5125 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5125))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5125 == 0u)));
  llvm_cbe_tmp__5126 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5126) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5126) + ((unsigned int )23u)))))])) = ((unsigned char )-102);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5418:
  llvm_cbe_tmp__5141 = llvm_cbe_tmp__5141__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5141;
  llvm_cbe_tmp__5142 = *(&WP);
  llvm_cbe_tmp__5143 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5142);
  llvm_cbe_tmp__5144 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5143) + ((unsigned int )18u)))))]));
  llvm_cbe_tmp__5145 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5143) + ((unsigned int )19u)))))]));
  llvm_cbe_tmp__5146 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5145)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__5144)) << 8u);
  llvm_cbe_tmp__5147 = *((&RAM.array[((signed int )6342u)]));
  llvm_cbe_tmp__5148 = *((&RAM.array[((signed int )6343u)]));
  llvm_cbe_tmp__5149 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5147)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5148));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5146 & 65534u))])) = llvm_cbe_tmp__5147;
  *((&RAM.array[((signed int )(llvm_cbe_tmp__5146 | 1u))])) = llvm_cbe_tmp__5148;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5149 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5149))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5149 == 0u)));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5143) + ((unsigned int )22u)))))])) = ((unsigned char )25);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5143) + ((unsigned int )23u)))))])) = ((unsigned char )-82);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5142;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5660:
  llvm_cbe_tmp__5132 = llvm_cbe_tmp__5132__PHI_TEMPORARY;
  llvm_cbe_tmp__5133 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5132))) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__5134 = (&RAM.array[((signed int )llvm_cbe_tmp__5133)]);
  llvm_cbe_tmp__5135 = *llvm_cbe_tmp__5134;
  llvm_cbe_tmp__5136 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5135)) << 8u;
  llvm_cbe_tmp__5137 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5133) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5138 = *llvm_cbe_tmp__5137;
  llvm_cbe_tmp__5139 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5136 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5138)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__5134 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5139) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5137 = (((unsigned char )llvm_cbe_tmp__5139));
  llvm_cbe_tmp__5140 = ((unsigned short )llvm_cbe_tmp__5139);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5140 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5140) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5140 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5139) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5136 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8166;
  } else {
    llvm_cbe_tmp__5141__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5418;
  }

llvm_cbe__2e__crit_edge5417:
  llvm_cbe_tmp__5127 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__5128 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__5127) + ((unsigned int )16u)))) & 65535u))]));
  *((&RAM.array[((signed int )33580u)])) = llvm_cbe_tmp__5128;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5128 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5128) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5128 == ((unsigned char )0))));
  llvm_cbe_tmp__5129 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5127) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__5130 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5127) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__5131 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5129)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5130))))));
  *((&RAM.array[((signed int )33581u)])) = llvm_cbe_tmp__5131;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5131 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5131) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5131 == ((unsigned char )0))));
  llvm_cbe__2e_pre6735 = *(&WP);
  llvm_cbe_tmp__5132__PHI_TEMPORARY = llvm_cbe__2e_pre6735;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5660;

llvm_cbe_tmp__8166:
  llvm_cbe__2e_lobit4620 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5139) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5141__PHI_TEMPORARY = llvm_cbe__2e_lobit4620;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5418;

llvm_cbe_tmp__8146:
  llvm_cbe_tmp__5257 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5257) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5257) + ((unsigned int )23u)))))])) = ((unsigned char )-124);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe_tmp__8143:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7260) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7260) + ((unsigned int )23u)))))])) = ((unsigned char )-64);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe_tmp__8138:
  llvm_cbe_tmp__5272 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5272) + ((unsigned int )22u)))))])) = ((unsigned char )26);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5272) + ((unsigned int )23u)))))])) = ((unsigned char )-36);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe_tmp__8145:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5281) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5281) + ((unsigned int )23u)))))])) = ((unsigned char )8);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe_tmp__7731:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7270) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7270) + ((unsigned int )23u)))))])) = ((unsigned char )102);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5436:
  llvm_cbe_tmp__5375 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5375) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5375) + ((unsigned int )23u)))))])) = ((unsigned char )112);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe_tmp__8147:
  llvm_cbe_tmp__5382 = *((&RAM.array[((signed int )33610u)]));
  llvm_cbe_tmp__5383 = *((&RAM.array[((signed int )33611u)]));
  llvm_cbe_tmp__5384 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5382)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5383));
  llvm_cbe_tmp__5385 = -(llvm_cbe_tmp__5384);
  *((&RAM.array[((signed int )33610u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5385) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33611u)])) = (((unsigned char )llvm_cbe_tmp__5385));
  llvm_cbe_tmp__5386 = ((unsigned short )llvm_cbe_tmp__5385);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5386 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5386) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5386 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5385) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__5384 == 32768u)));
  if ((llvm_cbe_tmp__5386 == ((unsigned short )0))) {
    goto llvm_cbe_tmp__8167;
  } else {
    goto llvm_cbe__2e__crit_edge5436;
  }

llvm_cbe_tmp__8167:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7300) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7300) + ((unsigned int )23u)))))])) = ((unsigned char )-46);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5449:
  llvm_cbe_tmp__5392 = llvm_cbe_tmp__5392__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5392;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7306) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7306) + ((unsigned int )23u)))))])) = ((unsigned char )-32);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe_tmp__8148:
  llvm_cbe_tmp__5387 = *((&RAM.array[((signed int )33580u)]));
  llvm_cbe_tmp__5388 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5387)) << 8u;
  llvm_cbe_tmp__5389 = *((&RAM.array[((signed int )33581u)]));
  llvm_cbe_tmp__5390 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5388 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5389)))) + ((unsigned int )2u)));
  *((&RAM.array[((signed int )33580u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5390) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33581u)])) = (((unsigned char )llvm_cbe_tmp__5390));
  llvm_cbe_tmp__5391 = ((unsigned short )llvm_cbe_tmp__5390);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5391 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5391) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5391 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5390) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5388 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8168;
  } else {
    llvm_cbe_tmp__5392__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5449;
  }

llvm_cbe_tmp__8168:
  llvm_cbe__2e_lobit4694 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5390) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5392__PHI_TEMPORARY = llvm_cbe__2e_lobit4694;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5449;

llvm_cbe_tmp__8149:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7318) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7318) + ((unsigned int )23u)))))])) = ((unsigned char )-4);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5462:
  llvm_cbe__2e_pre_2d_phi7037 = llvm_cbe__2e_pre_2d_phi7037__PHI_TEMPORARY;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7037) + ((unsigned int )22u)))))])) = ((unsigned char )29);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7037) + ((unsigned int )23u)))))])) = ((unsigned char )90);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe__2e__crit_edge5461:
  llvm_cbe_tmp__5458 = llvm_cbe_tmp__5458__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5458;
  llvm_cbe__2e_pre7036 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre_2d_phi7037__PHI_TEMPORARY = llvm_cbe__2e_pre7036;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5462;

llvm_cbe_tmp__8085:
  llvm_cbe_tmp__5450 = llvm_cbe_tmp__7372 & 65535u;
  llvm_cbe_tmp__5451 = (&RAM.array[((signed int )llvm_cbe_tmp__5450)]);
  llvm_cbe_tmp__5452 = *llvm_cbe_tmp__5451;
  llvm_cbe_tmp__5453 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5452)) << 8u;
  llvm_cbe_tmp__5454 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5450) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5455 = *llvm_cbe_tmp__5454;
  llvm_cbe_tmp__5456 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5453 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5455)))) + ((unsigned int )4294967294u)));
  *llvm_cbe_tmp__5451 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5456) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5454 = (((unsigned char )llvm_cbe_tmp__5456));
  llvm_cbe_tmp__5457 = ((unsigned short )llvm_cbe_tmp__5456);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5457 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5457) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5457 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__5456) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__5453 & 32768u) == 0u)) {
    llvm_cbe_tmp__5458__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5461;
  } else {
    goto llvm_cbe_tmp__8169;
  }

llvm_cbe_tmp__8169:
  llvm_cbe_tmp4738 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5456) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__5458__PHI_TEMPORARY = llvm_cbe_tmp4738;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5461;

llvm_cbe_tmp__7612:
  llvm_cbe_tmp__7137 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7137) + ((unsigned int )22u)))))])) = ((unsigned char )24);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7137) + ((unsigned int )23u)))))])) = ((unsigned char )114);
  llvm_cbe_tmp__5886__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8162;

llvm_cbe_tmp__8163:
  llvm_cbe_tmp__5897 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5887) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__5898 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5887) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__5899 = *((&RAM.array[((signed int )33580u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5897)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5898)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__5899);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5899 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__5899) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5899 == ((unsigned char )0))));
  llvm_cbe_tmp__5900 = *(&WP);
  llvm_cbe_tmp__5901 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5900);
  llvm_cbe_tmp__5902 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5901) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__5903 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5901) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__5904 = *((&RAM.array[((signed int )33581u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5902)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5903)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__5904);
  llvm_cbe_tmp__5905 = *(&WP);
  llvm_cbe_tmp__5906 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5905);
  llvm_cbe_tmp__5907 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5906) + ((unsigned int )26u)))) & 65535u;
  llvm_cbe_tmp__5908 = *((&RAM.array[((signed int )llvm_cbe_tmp__5907)]));
  llvm_cbe_tmp__5909 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5907) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5910 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5908)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5909));
  llvm_cbe_tmp__5911 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5906) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__5911)])) = llvm_cbe_tmp__5908;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5911) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__5909;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5910 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__5910))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5910 == 0u)));
  goto llvm_cbe_tmp__8158;

llvm_cbe_tmp__7643:
  llvm_cbe_tmp__7268 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7269 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7268) + ((unsigned int )16u)))) & 65535u))]));
  *((&RAM.array[((signed int )llvm_cbe_tmp__7268)])) = llvm_cbe_tmp__7269;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7269 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7269) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7269 == ((unsigned char )0))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7268) + ((unsigned int )22u)))))])) = ((unsigned char )27);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7268) + ((unsigned int )23u)))))])) = ((unsigned char )14);
  goto llvm_cbe_tmp__8158;

llvm_cbe_tmp__8159:
  llvm_cbe__2e_lobit4766 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5915) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5917__PHI_TEMPORARY = llvm_cbe__2e_lobit4766;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5519;

llvm_cbe_tmp__8170:
  llvm_cbe_tmp__5976 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5963) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__5977 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5963) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__5978 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5977)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5976)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5978;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__5962;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5972;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5974;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5973;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5962;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5978;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5978;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

  do {     /* Syntactic loop '._crit_edge5522' to make GCC happy */
llvm_cbe__2e__crit_edge5522:
  llvm_cbe_tmp__5951 = llvm_cbe_tmp__5951__PHI_TEMPORARY;
  llvm_cbe_tmp__5952 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5951);
  llvm_cbe_tmp__5953 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5952) + ((unsigned int )14u)))))]));
  llvm_cbe_tmp__5954 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5952) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__5955 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5951) + ((unsigned short )((unsigned short )12))))))));
  llvm_cbe_tmp__5956 = (&RAM.array[((signed int )llvm_cbe_tmp__5955)]);
  llvm_cbe_tmp__5957 = *llvm_cbe_tmp__5956;
  llvm_cbe_tmp__5958 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5955) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5959 = *llvm_cbe_tmp__5958;
  llvm_cbe_tmp__5960 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__5957)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__5959));
  *llvm_cbe_tmp__5956 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5960) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5958 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__5959) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__5961 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5953)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5954))))));
   /*tail*/ hw_write((((unsigned short )llvm_cbe_tmp__5960)), llvm_cbe_tmp__5961);
  llvm_cbe_tmp__5962 = *(&WP);
  llvm_cbe_tmp__5963 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5962);
  llvm_cbe_tmp__5964 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5963) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__5965 = (&RAM.array[((signed int )llvm_cbe_tmp__5964)]);
  llvm_cbe_tmp__5966 = *llvm_cbe_tmp__5965;
  llvm_cbe_tmp__5967 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5966)) << 8u;
  llvm_cbe_tmp__5968 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5964) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__5969 = *llvm_cbe_tmp__5968;
  llvm_cbe_tmp__5970 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5967 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5969)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__5965 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5970) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__5968 = (((unsigned char )llvm_cbe_tmp__5970));
  llvm_cbe_tmp__5971 = ((unsigned short )llvm_cbe_tmp__5970);
  llvm_cbe_tmp__5972 = ((unsigned int )(bool )(llvm_cbe_tmp__5971 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__5972;
  llvm_cbe_tmp__5973 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5971) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__5973;
  llvm_cbe_tmp__5974 = ((unsigned int )(bool )(llvm_cbe_tmp__5971 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__5974;
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5970) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__5967 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8171;
  } else {
    llvm_cbe_tmp__5975__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5521;
  }

llvm_cbe__2e__crit_edge5521:
  llvm_cbe_tmp__5975 = llvm_cbe_tmp__5975__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5975;
  if ((llvm_cbe_tmp__5971 == ((unsigned short )0))) {
    goto llvm_cbe_tmp__8170;
  } else {
    llvm_cbe_tmp__5951__PHI_TEMPORARY = llvm_cbe_tmp__5962;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5522;
  }

llvm_cbe_tmp__8171:
  llvm_cbe__2e_lobit4747 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__5970) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5975__PHI_TEMPORARY = llvm_cbe__2e_lobit4747;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5521;

  } while (1); /* end of syntactic loop '._crit_edge5522' */
llvm_cbe__2e__crit_edge5520:
  llvm_cbe_tmp__5950 = llvm_cbe_tmp__5950__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5950;
  llvm_cbe_tmp__5951__PHI_TEMPORARY = llvm_cbe_tmp__5940;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5522;

llvm_cbe_tmp__8172:
  llvm_cbe_tmp__5931 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5931) + ((unsigned int )10u)))))])) = ((unsigned char )-1);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5931) + ((unsigned int )11u)))))])) = ((unsigned char )-8);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5931) + ((unsigned int )12u)))))])) = ((unsigned char )-125);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5931) + ((unsigned int )13u)))))])) = ((unsigned char )92);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5932 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5931) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5933 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5931) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5934 = *((&RAM.array[((signed int )33647u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5932)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5933))))), llvm_cbe_tmp__5934);
  llvm_cbe_tmp__5935 = *(&WP);
  llvm_cbe_tmp__5936 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5935);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5936) + ((unsigned int )14u)))))])) = ((unsigned char )-120);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5936) + ((unsigned int )15u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__5937 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5936) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__5938 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5936) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__5939 = *((&RAM.array[((signed int )33646u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5937)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__5938))))), llvm_cbe_tmp__5939);
  llvm_cbe_tmp__5940 = *(&WP);
  llvm_cbe_tmp__5941 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5940))) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__5942 = *((&RAM.array[((signed int )llvm_cbe_tmp__5941)]));
  llvm_cbe_tmp__5943 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5942)) << 8u;
  llvm_cbe_tmp__5944 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5941) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__5945 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__5946 = (((unsigned int )(unsigned char )llvm_cbe_tmp__5945)) << 8u;
  llvm_cbe_tmp__5947 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__5948 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__5946 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5947)))) + ((unsigned int )(llvm_cbe_tmp__5943 | (((unsigned int )(unsigned char )llvm_cbe_tmp__5944))))));
  *((&RAM.array[((signed int )33646u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5948) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33647u)])) = (((unsigned char )llvm_cbe_tmp__5948));
  llvm_cbe_tmp__5949 = ((unsigned short )llvm_cbe_tmp__5948);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__5949 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__5949) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__5949 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__5948) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__5946 ^ llvm_cbe_tmp__5943) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8173;
  } else {
    llvm_cbe_tmp__5950__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5520;
  }

llvm_cbe_tmp__8174:
  llvm_cbe_storemerge4753_2e_in_2e_in = llvm_cbe_storemerge4753_2e_in_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge4752_2e_in_2e_in_2e_in = llvm_cbe_storemerge4752_2e_in_2e_in_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge4188_2e_in_2e_in = llvm_cbe_storemerge4188_2e_in_2e_in__PHI_TEMPORARY;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_storemerge4753_2e_in_2e_in != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_storemerge4752_2e_in_2e_in_2e_in))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_storemerge4188_2e_in_2e_in == 0u)));
  llvm_cbe_tmp__2121 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2121) + ((unsigned int )22u)))))])) = ((unsigned char )13);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2121) + ((unsigned int )23u)))))])) = ((unsigned char )80);
  goto llvm_cbe_tmp__8172;

llvm_cbe_tmp__8175:
  llvm_cbe__2e_pre_2d_phi7035 = llvm_cbe__2e_pre_2d_phi7035__PHI_TEMPORARY;
  llvm_cbe_tmp__2116 = (((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7035) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__2117 = *((&RAM.array[((signed int )llvm_cbe_tmp__2116)]));
  llvm_cbe_tmp__2118 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2116) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2119 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2117)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2118));
  llvm_cbe_tmp__2120 = (((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi7035) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__2120)])) = llvm_cbe_tmp__2117;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2120) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__2118;
  llvm_cbe_storemerge4753_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp__2119;   /* for PHI node */
  llvm_cbe_storemerge4752_2e_in_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp__2119;   /* for PHI node */
  llvm_cbe_storemerge4188_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp__2119;   /* for PHI node */
  goto llvm_cbe_tmp__8174;

llvm_cbe__2e__crit_edge5686:
  llvm_cbe_tmp__5414 = llvm_cbe_tmp__5414__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5414;
  llvm_cbe_tmp__5415 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5415) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5415) + ((unsigned int )23u)))))])) = ((unsigned char )94);
  llvm_cbe__2e_pre_2d_phi7035__PHI_TEMPORARY = llvm_cbe_tmp__5415;   /* for PHI node */
  goto llvm_cbe_tmp__8175;

llvm_cbe_tmp__8176:
  llvm_cbe_tmp4724_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__7350 ^ llvm_cbe_tmp__7348)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5414__PHI_TEMPORARY = llvm_cbe_tmp4724_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5686;

llvm_cbe_tmp__7666:
  llvm_cbe_tmp__7344 = *((&RAM.array[((signed int )7852u)]));
  llvm_cbe_tmp__7345 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7344)) << 8u;
  llvm_cbe_tmp__7346 = *((&RAM.array[((signed int )7853u)]));
  llvm_cbe_tmp__7347 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__7348 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7347)) << 8u;
  llvm_cbe_tmp__7349 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__7350 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7348 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7349)))) - ((unsigned int )(llvm_cbe_tmp__7345 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7346))))));
  *((&RAM.array[((signed int )33646u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7350) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33647u)])) = (((unsigned char )llvm_cbe_tmp__7350));
  llvm_cbe_tmp__7351 = ((unsigned short )llvm_cbe_tmp__7350);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7351 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7351) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7351 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__7350) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__7348 ^ llvm_cbe_tmp__7345) & 32768u) == 0u)) {
    llvm_cbe_tmp__5414__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5686;
  } else {
    goto llvm_cbe_tmp__8176;
  }

llvm_cbe_tmp__8065:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7398) + ((unsigned int )22u)))))])) = ((unsigned char )29);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7398) + ((unsigned int )23u)))))])) = ((unsigned char )126);
  llvm_cbe__2e_pre7034 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre_2d_phi7035__PHI_TEMPORARY = llvm_cbe__2e_pre7034;   /* for PHI node */
  goto llvm_cbe_tmp__8175;

llvm_cbe_tmp__7563:
  llvm_cbe_tmp__6838 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6838) + ((unsigned int )6u)))))])) = ((unsigned char )15);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6838) + ((unsigned int )7u)))))])) = ((unsigned char )-86);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__6839 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6838) + ((unsigned int )22u)))) & 65535u;
  llvm_cbe_tmp__6840 = *((&RAM.array[((signed int )llvm_cbe_tmp__6839)]));
  llvm_cbe_tmp__6841 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6839) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6842 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6840)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6841));
  llvm_cbe_tmp__6843 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6838) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6843)])) = llvm_cbe_tmp__6840;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6843) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6841;
  llvm_cbe_storemerge4753_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp__6842;   /* for PHI node */
  llvm_cbe_storemerge4752_2e_in_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp__6842;   /* for PHI node */
  llvm_cbe_storemerge4188_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp__6842;   /* for PHI node */
  goto llvm_cbe_tmp__8174;

llvm_cbe__2e__crit_edge5561:
  llvm_cbe_tmp__2234 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__2235 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__2234) + ((unsigned int )22u)));
  llvm_cbe_tmp__2236 = llvm_cbe_tmp__2235 & 65535u;
  llvm_cbe_tmp__2237 = *((&RAM.array[((signed int )llvm_cbe_tmp__2236)]));
  llvm_cbe_tmp__2238 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2236) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__2239 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__2237)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__2238));
  llvm_cbe_tmp__2240 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__2234) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__2240)])) = llvm_cbe_tmp__2237;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2240) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__2238;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__2239 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__2239))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__2239 == 0u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__2235)])) = ((unsigned char )13);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__2234) + ((unsigned int )23u)))))])) = ((unsigned char )-118);
  goto llvm_cbe_tmp__8172;

llvm_cbe_tmp__7663:
  llvm_cbe_tmp__7334 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7334) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7334) + ((unsigned int )23u)))))])) = ((unsigned char )70);
  goto llvm_cbe__2e__crit_edge5561;

llvm_cbe__2e__crit_edge5575:
  llvm_cbe_tmp__4715 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__4716 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__4715) + ((unsigned int )22u)));
  llvm_cbe_tmp__4717 = llvm_cbe_tmp__4716 & 65535u;
  llvm_cbe_tmp__4718 = *((&RAM.array[((signed int )llvm_cbe_tmp__4717)]));
  llvm_cbe_tmp__4719 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4717) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__4720 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__4718)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__4719));
  llvm_cbe_tmp__4721 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__4715) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__4721)])) = llvm_cbe_tmp__4718;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4721) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__4719;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__4720 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__4720))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__4720 == 0u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__4716)])) = ((unsigned char )23);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__4715) + ((unsigned int )23u)))))])) = ((unsigned char )-114);
  goto llvm_cbe_tmp__8172;

llvm_cbe__2e__crit_edge5685:
  llvm_cbe_tmp__5412 = llvm_cbe_tmp__5412__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5412;
  llvm_cbe_tmp__5413 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5413) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5413) + ((unsigned int )23u)))))])) = ((unsigned char )84);
  goto llvm_cbe__2e__crit_edge5575;

llvm_cbe_tmp__8177:
  llvm_cbe_tmp4718_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__7342 ^ llvm_cbe_tmp__7340)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5412__PHI_TEMPORARY = llvm_cbe_tmp4718_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5685;

llvm_cbe_tmp__7665:
  llvm_cbe_tmp__7336 = *((&RAM.array[((signed int )7272u)]));
  llvm_cbe_tmp__7337 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7336)) << 8u;
  llvm_cbe_tmp__7338 = *((&RAM.array[((signed int )7273u)]));
  llvm_cbe_tmp__7339 = *((&RAM.array[((signed int )33646u)]));
  llvm_cbe_tmp__7340 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7339)) << 8u;
  llvm_cbe_tmp__7341 = *((&RAM.array[((signed int )33647u)]));
  llvm_cbe_tmp__7342 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7340 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7341)))) + ((unsigned int )(llvm_cbe_tmp__7337 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7338))))));
  *((&RAM.array[((signed int )33646u)])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7342) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )33647u)])) = (((unsigned char )llvm_cbe_tmp__7342));
  llvm_cbe_tmp__7343 = ((unsigned short )llvm_cbe_tmp__7342);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7343 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7343) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7343 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7342) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__7340 ^ llvm_cbe_tmp__7337) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8177;
  } else {
    llvm_cbe_tmp__5412__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5685;
  }

llvm_cbe_tmp__7658:
  llvm_cbe_tmp__7324 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7324) + ((unsigned int )22u)))))])) = ((unsigned char )28);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7324) + ((unsigned int )23u)))))])) = ((unsigned char )6);
  goto llvm_cbe__2e__crit_edge5575;

llvm_cbe_tmp__7564:
  llvm_cbe_tmp__6844 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6845 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6844) + ((unsigned int )22u)));
  llvm_cbe_tmp__6846 = llvm_cbe_tmp__6845 & 65535u;
  llvm_cbe_tmp__6847 = *((&RAM.array[((signed int )llvm_cbe_tmp__6846)]));
  llvm_cbe_tmp__6848 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6846) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6849 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6847)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6848));
  llvm_cbe_tmp__6850 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6844) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6850)])) = llvm_cbe_tmp__6847;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6850) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6848;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6849 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6849))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6849 == 0u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__6845)])) = ((unsigned char )13);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6844) + ((unsigned int )23u)))))])) = ((unsigned char )122);
  goto llvm_cbe_tmp__8172;

llvm_cbe_tmp__7567:
  llvm_cbe_tmp__6863 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6864 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6863) + ((unsigned int )22u)));
  llvm_cbe_tmp__6865 = llvm_cbe_tmp__6864 & 65535u;
  llvm_cbe_tmp__6866 = *((&RAM.array[((signed int )llvm_cbe_tmp__6865)]));
  llvm_cbe_tmp__6867 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6865) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6868 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6866)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6867));
  llvm_cbe_tmp__6869 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6863) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6869)])) = llvm_cbe_tmp__6866;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6869) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6867;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6868 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6868))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6868 == 0u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__6864)])) = ((unsigned char )14);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6863) + ((unsigned int )23u)))))])) = ((unsigned char )-110);
  goto llvm_cbe_tmp__8172;

llvm_cbe_tmp__7574:
  llvm_cbe_tmp__6913 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6914 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6913) + ((unsigned int )22u)));
  llvm_cbe_tmp__6915 = llvm_cbe_tmp__6914 & 65535u;
  llvm_cbe_tmp__6916 = *((&RAM.array[((signed int )llvm_cbe_tmp__6915)]));
  llvm_cbe_tmp__6917 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6915) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6918 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6916)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6917));
  llvm_cbe_tmp__6919 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6913) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6919)])) = llvm_cbe_tmp__6916;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6919) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6917;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6918 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6918))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6918 == 0u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__6914)])) = ((unsigned char )15);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6913) + ((unsigned int )23u)))))])) = ((unsigned char )-2);
  goto llvm_cbe_tmp__8172;

llvm_cbe_tmp__8173:
  llvm_cbe_tmp4746_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__5948 ^ llvm_cbe_tmp__5946)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5950__PHI_TEMPORARY = llvm_cbe_tmp4746_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5520;

llvm_cbe__2e__crit_edge5706:
  llvm_cbe_tmp__5979 = llvm_cbe_tmp__5979__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__5979;
  llvm_cbe_tmp__5980 =  /*tail*/ hw_read(((unsigned short )-30720));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7478) + ((unsigned int )16u)))) & 65535u))])) = llvm_cbe_tmp__5980;
  llvm_cbe_tmp__5981 = *(&WP);
  llvm_cbe_tmp__5982 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5981);
  llvm_cbe_tmp__5983 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5982) + ((unsigned int )16u)))))]);
  llvm_cbe_tmp__5984 = *llvm_cbe_tmp__5983;
  llvm_cbe_tmp__5985 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5982) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__5986 = *llvm_cbe_tmp__5985;
  llvm_cbe_tmp__5987 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5984)) << ((unsigned short )8)));
  *llvm_cbe_tmp__5983 = ((unsigned char )0);
  *llvm_cbe_tmp__5985 = llvm_cbe_tmp__5984;
  llvm_cbe_tmp__5988 = ((unsigned int )(bool )(llvm_cbe_tmp__5987 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__5988;
  *(&ST_AGT) = llvm_cbe_tmp__5988;
  llvm_cbe_tmp__5989 = ((unsigned int )(bool )(llvm_cbe_tmp__5987 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__5989;
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__5986))) >> ((unsigned int )7u))));
  llvm_cbe_tmp__5990 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5982) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__5991 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__5982) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__5992 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5991)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__5990)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__5992;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__5981;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5988;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5989;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5988;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5981;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__5992;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__5992;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8178:
  llvm_cbe__2e_lobit4811 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7485) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__5979__PHI_TEMPORARY = llvm_cbe__2e_lobit4811;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5706;

llvm_cbe_tmp__7698:
  llvm_cbe_tmp__7468 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7469 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7468) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__7470 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7468) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__7471 = *((&RAM.array[((signed int )33773u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7469)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7470))))), llvm_cbe_tmp__7471);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7471 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7471) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7471 == ((unsigned char )0))));
  llvm_cbe_tmp__7472 = *(&WP);
  llvm_cbe_tmp__7473 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7472);
  llvm_cbe_tmp__7474 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7473) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__7475 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7473) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__7476 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7473) + ((unsigned int )12u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7475)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7474)) << ((unsigned short )8))))))), llvm_cbe_tmp__7476);
  llvm_cbe_tmp__7477 = *(&WP);
  llvm_cbe_tmp__7478 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7477);
  llvm_cbe_tmp__7479 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__7478) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__7480 = (&RAM.array[((signed int )llvm_cbe_tmp__7479)]);
  llvm_cbe_tmp__7481 = *llvm_cbe_tmp__7480;
  llvm_cbe_tmp__7482 = (((unsigned int )(unsigned char )llvm_cbe_tmp__7481)) << 8u;
  llvm_cbe_tmp__7483 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7479) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__7484 = *llvm_cbe_tmp__7483;
  llvm_cbe_tmp__7485 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__7482 | (((unsigned int )(unsigned char )llvm_cbe_tmp__7484)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__7480 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7485) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__7483 = (((unsigned char )llvm_cbe_tmp__7485));
  llvm_cbe_tmp__7486 = ((unsigned short )llvm_cbe_tmp__7485);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7486 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__7486) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7486 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__7485) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__7482 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8178;
  } else {
    llvm_cbe_tmp__5979__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5706;
  }

llvm_cbe_tmp__7524:
  llvm_cbe_tmp__6305 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6306 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6305) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__6307 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6305) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__6308 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6305) + ((unsigned int )4u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6307)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6306)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )-2))))))), llvm_cbe_tmp__6308);
  llvm_cbe_tmp__6309 = ((unsigned int )(bool )(llvm_cbe_tmp__6308 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__6309;
  llvm_cbe_tmp__6310 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6308) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6310;
  llvm_cbe_tmp__6311 = ((unsigned int )(bool )(llvm_cbe_tmp__6308 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__6311;
  llvm_cbe_tmp__6312 = *(&WP);
  llvm_cbe_tmp__6313 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6312);
  llvm_cbe_tmp__6314 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6313) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__6315 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6313) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__6316 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6315)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6314)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__6316;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__6312;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__6309;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__6311;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__6310;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__6312;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__6316;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__6316;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7525:
  llvm_cbe_tmp__6317 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6318 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6317) + ((unsigned int )18u)))))]);
  llvm_cbe_tmp__6319 = *llvm_cbe_tmp__6318;
  llvm_cbe_tmp__6320 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6317) + ((unsigned int )19u)))))]);
  llvm_cbe_tmp__6321 = *llvm_cbe_tmp__6320;
  llvm_cbe_tmp__6322 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6321)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6319)) << 8u);
  *llvm_cbe_tmp__6318 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6322) >> ((unsigned int )5u))))));
  *llvm_cbe_tmp__6320 = (((unsigned char )(llvm_cbe_tmp__6322 << 3u)));
  llvm_cbe_tmp__6323 = *llvm_cbe_tmp__6318;
  llvm_cbe_tmp__6324 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__6323) >> ((unsigned char )((unsigned char )2))))));
  *llvm_cbe_tmp__6318 = ((unsigned char )0);
  *llvm_cbe_tmp__6320 = llvm_cbe_tmp__6324;
  *(&ST_C) = ((((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__6323))) >> ((unsigned int )1u)))) & 1u);
  llvm_cbe_tmp__6325 = *llvm_cbe_tmp__6318;
  llvm_cbe_tmp__6326 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6324)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6325)) << 8u))) + ((unsigned int )3134u)));
  llvm_cbe_tmp__6327 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6317) + ((unsigned int )8u)));
  llvm_cbe_tmp__6328 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6326 & 65534u))]));
  llvm_cbe_tmp__6329 = *((&RAM.array[((signed int )((llvm_cbe_tmp__6326 | 1u) & 65535u))]));
  llvm_cbe_tmp__6330 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6328)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6329));
  llvm_cbe_tmp__6331 = llvm_cbe_tmp__6327 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6331)])) = llvm_cbe_tmp__6328;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6331) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6329;
  llvm_cbe_tmp__6332 = ((unsigned int )(bool )(llvm_cbe_tmp__6330 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__6332;
  llvm_cbe_tmp__6333 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6330))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6333;
  llvm_cbe_tmp__6334 = ((unsigned int )(bool )(llvm_cbe_tmp__6330 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__6334;
  llvm_cbe_tmp__6335 = *((&RAM.array[((signed int )llvm_cbe_tmp__6327)]));
  llvm_cbe_tmp__6336 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6317) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__6337 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6336)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6335)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__6337;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__6332;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__6334;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__6333;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__6337;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__6337;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5624:
  llvm_cbe_tmp__6446 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6447 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6446) + ((unsigned int )4u)));
  llvm_cbe_tmp__6448 = *((&RAM.array[((signed int )llvm_cbe_tmp__6446)]));
  llvm_cbe_tmp__6449 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6446) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6450 = llvm_cbe_tmp__6447 & 65535u;
  llvm_cbe_tmp__6451 = (&RAM.array[((signed int )llvm_cbe_tmp__6450)]);
  *llvm_cbe_tmp__6451 = llvm_cbe_tmp__6448;
  llvm_cbe_tmp__6452 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6450) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__6452 = llvm_cbe_tmp__6449;
  llvm_cbe_tmp__6453 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6446) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__6454 = *((&RAM.array[((signed int )llvm_cbe_tmp__6453)]));
  llvm_cbe_tmp__6455 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6453) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6456 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6446) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6456)])) = llvm_cbe_tmp__6454;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6456) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6455;
  llvm_cbe_tmp__6457 = *llvm_cbe_tmp__6451;
  llvm_cbe_tmp__6458 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6457);
  llvm_cbe_tmp__6459 = llvm_cbe_tmp__6458 << 8u;
  llvm_cbe_tmp__6460 = *llvm_cbe_tmp__6452;
  llvm_cbe_tmp__6461 = llvm_cbe_tmp__6459 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6460));
  llvm_cbe_tmp__6462 = llvm_cbe_tmp__6461 << 1u;
  *llvm_cbe_tmp__6451 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6461) >> ((unsigned int )7u))))));
  *llvm_cbe_tmp__6452 = (((unsigned char )llvm_cbe_tmp__6462));
  llvm_cbe_tmp__6463 = ((unsigned short )llvm_cbe_tmp__6462);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6463 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6463) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6463 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6458) >> ((unsigned int )7u))));
  *(&ST_O) = ((((unsigned int )(((unsigned int )(llvm_cbe_tmp__6462 ^ llvm_cbe_tmp__6459)) >> ((unsigned int )15u)))) & 1u);
  llvm_cbe_tmp__6464 = *((&RAM.array[((signed int )llvm_cbe_tmp__6447)]));
  llvm_cbe_tmp__6465 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6446) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__6466 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6465)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6464)) << 8u))) + ((unsigned int )3308u)));
  llvm_cbe_tmp__6467 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6446) + ((unsigned int )8u)));
  llvm_cbe_tmp__6468 = *((&RAM.array[((signed int )(llvm_cbe_tmp__6466 & 65534u))]));
  llvm_cbe_tmp__6469 = *((&RAM.array[((signed int )((llvm_cbe_tmp__6466 | 1u) & 65535u))]));
  llvm_cbe_tmp__6470 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6468)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6469));
  llvm_cbe_tmp__6471 = llvm_cbe_tmp__6467 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6471)])) = llvm_cbe_tmp__6468;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6471) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6469;
  llvm_cbe_tmp__6472 = ((unsigned int )(bool )(llvm_cbe_tmp__6470 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__6472;
  llvm_cbe_tmp__6473 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6470))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6473;
  llvm_cbe_tmp__6474 = ((unsigned int )(bool )(llvm_cbe_tmp__6470 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__6474;
  llvm_cbe_tmp__6475 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6446) + ((unsigned int )18u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6475)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6475) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__6476 = *((&RAM.array[((signed int )llvm_cbe_tmp__6467)]));
  llvm_cbe_tmp__6477 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6446) + ((unsigned int )9u)))))]));
  llvm_cbe_tmp__6478 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6477)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6476)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__6478;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__6472;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__6474;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__6473;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__6478;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__6478;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7543:
  llvm_cbe_tmp__6573 = ((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp__5996) + ((unsigned short )((unsigned short )2))))))));
  llvm_cbe_tmp__6574 = (&RAM.array[((signed int )llvm_cbe_tmp__6573)]);
  llvm_cbe_tmp__6575 = *llvm_cbe_tmp__6574;
  llvm_cbe_tmp__6576 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6573) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6577 = *llvm_cbe_tmp__6576;
  llvm_cbe_tmp__6578 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6575)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6577));
  *llvm_cbe_tmp__6574 = (((unsigned char )(((unsigned int )(((unsigned int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6578) + ((unsigned int )1u))))) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6576 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__6577) + ((unsigned char )((unsigned char )1)))))));
  llvm_cbe_tmp__6579 =  /*tail*/ hw_read((((unsigned short )llvm_cbe_tmp__6578)));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__5996))) + ((unsigned int )22u)))) & 65535u))])) = llvm_cbe_tmp__6579;
  llvm_cbe_tmp__6580 = ((unsigned int )(bool )(llvm_cbe_tmp__6579 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__6580;
  llvm_cbe_tmp__6581 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6579) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6581;
  llvm_cbe_tmp__6582 = ((unsigned int )(bool )(llvm_cbe_tmp__6579 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__6582;
  llvm_cbe_tmp__6583 = *(&WP);
  llvm_cbe_tmp__6584 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6583);
  llvm_cbe_tmp__6585 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6584) + ((unsigned int )14u)))))]));
  llvm_cbe_tmp__6586 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6584) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__6587 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6586)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6585)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__6587;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__6583;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__6580;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__6582;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__6581;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__6583;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__6587;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__6587;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7591:
  llvm_cbe_tmp__7002 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7003 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7002) + ((unsigned int )14u)))))]));
  llvm_cbe_tmp__7004 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7002) + ((unsigned int )15u)))))]));
  llvm_cbe_tmp__7005 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7004)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7003)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__7005;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__7005;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__7005;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7603:
  llvm_cbe_tmp__7057 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7058 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7057) + ((unsigned int )2u)))))]));
  llvm_cbe_tmp__7059 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7057) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__7060 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7059)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7058)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__7060;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__7060;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__7060;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7614:
  llvm_cbe_tmp__7140 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7141 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7140) + ((unsigned int )24u)))))]));
  llvm_cbe_tmp__7142 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7140) + ((unsigned int )25u)))))]));
  llvm_cbe_tmp__7143 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7142)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7141)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__7143;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__7143;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__7143;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__7685:
  llvm_cbe_tmp__7430 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7430) + ((unsigned int )22u)))))])) = ((unsigned char )30);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7430) + ((unsigned int )23u)))))])) = ((unsigned char )6);
  llvm_cbe_tmp__7431 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7430) + ((unsigned int )4u)))))]));
  llvm_cbe_tmp__7432 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7430) + ((unsigned int )5u)))))]));
  llvm_cbe_tmp__7433 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7432)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7431)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__7433;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6803;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__7433;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__7433;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

  } while (1); /* end of syntactic loop '.backedge' */
llvm_cbe__2e__crit_edge4927:
  llvm_cbe_tmp__40 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )8u)));
  llvm_cbe_tmp__41 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )18u)))) & 65535u))]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__40 & 65535u))])) = llvm_cbe_tmp__41;
  llvm_cbe_tmp__42 = (&RAM.array[((signed int )llvm_cbe_tmp__40)]);
  llvm_cbe_tmp__43 = *llvm_cbe_tmp__42;
  llvm_cbe_tmp__44 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__43) >> ((unsigned char )((unsigned char )4))))));
  *llvm_cbe_tmp__42 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )9u)))))])) = llvm_cbe_tmp__44;
  *(&ST_C) = ((((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__43))) >> ((unsigned int )3u)))) & 1u);
  llvm_cbe_tmp__45 = *llvm_cbe_tmp__42;
  llvm_cbe_tmp__46 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__44)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__45)) << 8u))) + ((unsigned int )3126u)));
  llvm_cbe_tmp__47 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )10u)));
  llvm_cbe_tmp__48 = *((&RAM.array[((signed int )(llvm_cbe_tmp__46 & 65534u))]));
  llvm_cbe_tmp__49 = *((&RAM.array[((signed int )((llvm_cbe_tmp__46 | 1u) & 65535u))]));
  llvm_cbe_tmp__50 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__48)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__49));
  llvm_cbe_tmp__51 = llvm_cbe_tmp__47 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__51)])) = llvm_cbe_tmp__48;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__51) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__49;
  llvm_cbe_tmp__52 = ((unsigned int )(bool )(llvm_cbe_tmp__50 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__52;
  llvm_cbe_tmp__53 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__50))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__53;
  llvm_cbe_tmp__54 = ((unsigned int )(bool )(llvm_cbe_tmp__50 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__54;
  llvm_cbe_tmp__55 = *((&RAM.array[((signed int )llvm_cbe_tmp__47)]));
  llvm_cbe_tmp__56 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )11u)))))]));
  llvm_cbe_tmp__57 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__56)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__55)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__57;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__38;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__52;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__54;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__53;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__38;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__57;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__57;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5025:
  llvm_cbe_tmp__1280 = *(&WP);
  llvm_cbe_tmp__1281 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1280);
  llvm_cbe_tmp__1282 = (&RAM.array[((signed int )llvm_cbe_tmp__1281)]);
  llvm_cbe_tmp__1283 = *llvm_cbe_tmp__1282;
  llvm_cbe_tmp__1284 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1281) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1285 = *llvm_cbe_tmp__1284;
  llvm_cbe_tmp__1286 = ((signed int )(signed short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1283)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1285))))));
  llvm_cbe_tmp__1287 = ((signed int )(((signed int )llvm_cbe_tmp__1286) >> ((signed int )8u)));
  *llvm_cbe_tmp__1282 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1286) >> ((unsigned int )16u))))));
  *llvm_cbe_tmp__1284 = (((unsigned char )llvm_cbe_tmp__1287));
  llvm_cbe_tmp__1288 = ((unsigned short )llvm_cbe_tmp__1287);
  llvm_cbe_tmp__1289 = ((unsigned int )(bool )(llvm_cbe_tmp__1288 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1289;
  llvm_cbe_tmp__1290 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1288) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__1290;
  llvm_cbe_tmp__1291 = ((unsigned int )(bool )(llvm_cbe_tmp__1288 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__1291;
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1285))) >> ((unsigned int )7u))));
  llvm_cbe_tmp__1292 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1281) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__1293 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1281) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__1294 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1293)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1292)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__1294;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__1280;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__1289;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__1291;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__1290;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__1280;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__1294;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__1294;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8179:
  llvm_cbe_tmp__1278 = llvm_cbe_tmp__1278__PHI_TEMPORARY;
  llvm_cbe_tmp__1279 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1278))) + ((unsigned int )10u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1279 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1279) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1279 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__1279 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5025;
  } else {
    goto llvm_cbe_tmp__8180;
  }

llvm_cbe__2e__crit_edge4930:
  llvm_cbe_tmp__89 = llvm_cbe_tmp__89__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__89;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__80) + ((unsigned int )22u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__80) + ((unsigned int )23u)))))])) = ((unsigned char )-82);
  llvm_cbe_tmp__1278__PHI_TEMPORARY = llvm_cbe_tmp__79;   /* for PHI node */
  goto llvm_cbe_tmp__8179;

llvm_cbe_tmp__8181:
  llvm_cbe_tmp__72 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )26u)))) & 65535u;
  llvm_cbe_tmp__73 = *((&RAM.array[((signed int )llvm_cbe_tmp__72)]));
  llvm_cbe_tmp__74 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__72) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__75 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__73)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__74));
  *llvm_cbe_tmp__6024 = llvm_cbe_tmp__73;
  *llvm_cbe_tmp__6026 = llvm_cbe_tmp__74;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__75 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__75))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__75 == 0u)));
  llvm_cbe_tmp__76 = *((&RAM.array[((signed int )llvm_cbe_tmp__6022)]));
  llvm_cbe_tmp__77 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__78 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__76)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__77))))));
  *llvm_cbe_tmp__6029 = llvm_cbe_tmp__78;
  llvm_cbe_tmp__79 = *(&WP);
  llvm_cbe_tmp__80 = ((unsigned int )(unsigned short )llvm_cbe_tmp__79);
  llvm_cbe_tmp__81 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__80) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__82 = (&RAM.array[((signed int )llvm_cbe_tmp__81)]);
  llvm_cbe_tmp__83 = *llvm_cbe_tmp__82;
  llvm_cbe_tmp__84 = (((unsigned int )(unsigned char )llvm_cbe_tmp__83)) << 8u;
  llvm_cbe_tmp__85 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__81) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__86 = *llvm_cbe_tmp__85;
  llvm_cbe_tmp__87 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__84 | (((unsigned int )(unsigned char )llvm_cbe_tmp__86)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__82 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__87) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__85 = (((unsigned char )llvm_cbe_tmp__87));
  llvm_cbe_tmp__88 = ((unsigned short )llvm_cbe_tmp__87);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__88 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__88) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__88 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__87) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if (((llvm_cbe_tmp__84 & 32768u) == 0u)) {
    llvm_cbe_tmp__89__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4930;
  } else {
    goto llvm_cbe_tmp__8182;
  }

llvm_cbe__2e__crit_edge4929:
  llvm_cbe_tmp__67 = *((&RAM.array[((signed int )48u)]));
  llvm_cbe_tmp__68 = *((&RAM.array[((signed int )49u)]));
  llvm_cbe_tmp__69 = llvm_cbe_tmp__6034 & 65535u;
  llvm_cbe_tmp__70 = *((&RAM.array[((signed int )llvm_cbe_tmp__69)]));
  llvm_cbe_tmp__71 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__69) + ((unsigned int )1u)))))]));
  *(&ST_EQ) = (((unsigned int )(bool )((((((((unsigned int )(unsigned char )llvm_cbe_tmp__70)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__71))) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__67)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__68)))) == 0u)));
  if (((((((((unsigned int )(unsigned char )llvm_cbe_tmp__70)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__71))) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__67)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__68)))) == 0u)) {
    goto llvm_cbe_tmp__8181;
  } else {
    goto llvm_cbe_tmp__8183;
  }

llvm_cbe_tmp__8182:
  llvm_cbe_tmp3859 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__87) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__89__PHI_TEMPORARY = llvm_cbe_tmp3859;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4930;

llvm_cbe__2e__crit_edge5023:
  llvm_cbe_tmp__1273 = llvm_cbe_tmp__1273__PHI_TEMPORARY;
  llvm_cbe_tmp__1274 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1273);
  llvm_cbe_tmp__1275 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1274) + ((unsigned int )2u)))))]));
  llvm_cbe_tmp__1276 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1274) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__1277 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1275)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1276))))));
  *((&RAM.array[((signed int )llvm_cbe_tmp__1274)])) = llvm_cbe_tmp__1277;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1277 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1277) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1277 == ((unsigned char )0))));
  llvm_cbe__2e_pre6782 = *(&WP);
  llvm_cbe_tmp__1278__PHI_TEMPORARY = llvm_cbe__2e_pre6782;   /* for PHI node */
  goto llvm_cbe_tmp__8179;

llvm_cbe_tmp__8184:
  *llvm_cbe_tmp__323 = ((unsigned char )10);
  llvm_cbe_tmp__1273__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5023;

llvm_cbe__2e__crit_edge4953:
  llvm_cbe_tmp__322 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6284) + ((unsigned int )8u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__322 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__322) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__322 == ((unsigned char )0))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6284) + ((unsigned int )22u)))))])) = ((unsigned char )2);
  llvm_cbe_tmp__323 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6284) + ((unsigned int )23u)))))]);
  if ((llvm_cbe_tmp__322 == ((unsigned char )0))) {
    goto llvm_cbe_tmp__8184;
  } else {
    goto llvm_cbe_tmp__8185;
  }

llvm_cbe__2e__crit_edge5620:
  llvm_cbe_tmp__314 = llvm_cbe_tmp__314__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__314;
  llvm_cbe_tmp__315 = *llvm_cbe_tmp__6285;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__315 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__315) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__315 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__315 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge4953;
  } else {
    goto llvm_cbe_tmp__8186;
  }

llvm_cbe_tmp__8187:
  llvm_cbe__2e_lobit3914 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6303) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__314__PHI_TEMPORARY = llvm_cbe__2e_lobit3914;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5620;

llvm_cbe_tmp__7523:
  llvm_cbe_tmp__6284 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6285 = (&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6284) + ((unsigned int )10u)))) & 65535u))]);
  llvm_cbe_tmp__6286 = *llvm_cbe_tmp__6285;
  *((&RAM.array[((signed int )33660u)])) = llvm_cbe_tmp__6286;
  llvm_cbe_tmp__6287 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6284) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6288 = (&RAM.array[((signed int )llvm_cbe_tmp__6287)]);
  llvm_cbe_tmp__6289 = *llvm_cbe_tmp__6288;
  llvm_cbe_tmp__6290 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6287) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6291 = *llvm_cbe_tmp__6290;
  llvm_cbe_tmp__6292 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6284) + ((unsigned int )16u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6292)])) = llvm_cbe_tmp__6289;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6292) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6291;
  llvm_cbe_tmp__6293 = *((&RAM.array[((signed int )llvm_cbe_tmp__6284)]));
  llvm_cbe_tmp__6294 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6284) + ((unsigned int )1u)))))]));
  *llvm_cbe_tmp__6288 = llvm_cbe_tmp__6293;
  *llvm_cbe_tmp__6290 = llvm_cbe_tmp__6294;
  llvm_cbe_tmp__6295 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6284) + ((unsigned int )6u)))) & 65535u;
  llvm_cbe_tmp__6296 = *((&RAM.array[((signed int )llvm_cbe_tmp__6295)]));
  llvm_cbe_tmp__6297 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6295) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6298 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6284) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__6299 = (&RAM.array[((signed int )llvm_cbe_tmp__6298)]);
  *llvm_cbe_tmp__6299 = llvm_cbe_tmp__6296;
  llvm_cbe_tmp__6300 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6298) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__6300 = llvm_cbe_tmp__6297;
  llvm_cbe_tmp__6301 = *llvm_cbe_tmp__6299;
  llvm_cbe_tmp__6302 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6301)) << 8u;
  llvm_cbe_tmp__6303 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__6302 | (((unsigned int )(unsigned char )llvm_cbe_tmp__6297)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6299 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6303) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6300 = (((unsigned char )llvm_cbe_tmp__6303));
  llvm_cbe_tmp__6304 = ((unsigned short )llvm_cbe_tmp__6303);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6304 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6304) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6304 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6303) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6302 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8187;
  } else {
    llvm_cbe_tmp__314__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5620;
  }

llvm_cbe__2e__crit_edge4954:
  llvm_cbe_tmp__321 = llvm_cbe_tmp__321__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__321;
  goto llvm_cbe__2e__crit_edge4953;

llvm_cbe_tmp__8186:
  llvm_cbe_tmp__316 = *llvm_cbe_tmp__6299;
  llvm_cbe_tmp__317 = (((unsigned int )(unsigned char )llvm_cbe_tmp__316)) << 8u;
  llvm_cbe_tmp__318 = *llvm_cbe_tmp__6300;
  llvm_cbe_tmp__319 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__317 | (((unsigned int )(unsigned char )llvm_cbe_tmp__318)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__6299 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__319) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6300 = (((unsigned char )llvm_cbe_tmp__319));
  llvm_cbe_tmp__320 = ((unsigned short )llvm_cbe_tmp__319);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__320 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__320) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__320 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__319) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__317 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8188;
  } else {
    llvm_cbe_tmp__321__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4954;
  }

llvm_cbe_tmp__8188:
  llvm_cbe__2e_lobit3912 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__319) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__321__PHI_TEMPORARY = llvm_cbe__2e_lobit3912;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4954;

llvm_cbe__2e__crit_edge5022:
  llvm_cbe_tmp__1245 = llvm_cbe_tmp__1245__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1245;
  llvm_cbe_tmp__1246 = *llvm_cbe_tmp__1238;
  llvm_cbe_tmp__1247 = (llvm_cbe_tmp__1243 & 255u) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1246)) << 8u);
  llvm_cbe_tmp__1248 = ((unsigned short )llvm_cbe_tmp__1247);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__1248) > ((unsigned short )((unsigned short )-31875)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1248) > ((signed short )((unsigned short )-31875)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1247 == 33661u)));
  if ((llvm_cbe_tmp__1247 == 33661u)) {
    goto llvm_cbe_tmp__8189;
  } else {
    llvm_cbe_tmp__1273__PHI_TEMPORARY = llvm_cbe_tmp__1236;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5023;
  }

llvm_cbe__2e__crit_edge5034:
  llvm_cbe_tmp__1236 = llvm_cbe_tmp__1236__PHI_TEMPORARY;
  llvm_cbe_tmp__1237 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1236);
  llvm_cbe_tmp__1238 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1237) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__1239 = *llvm_cbe_tmp__1238;
  llvm_cbe_tmp__1240 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1239)) << 8u;
  llvm_cbe_tmp__1241 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1237) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__1242 = *llvm_cbe_tmp__1241;
  llvm_cbe_tmp__1243 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__1242)) | llvm_cbe_tmp__1240)) + ((unsigned int )33536u)));
  *llvm_cbe_tmp__1238 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1243) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1241 = (((unsigned char )llvm_cbe_tmp__1243));
  llvm_cbe_tmp__1244 = ((unsigned short )llvm_cbe_tmp__1243);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1244 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1244) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1244 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1243) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1240 & 32768u) == 0u)) {
    llvm_cbe_tmp__1245__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5022;
  } else {
    goto llvm_cbe_tmp__8190;
  }

llvm_cbe__2e__crit_edge5020:
  llvm_cbe_tmp__1228 = *(&WP);
  llvm_cbe_tmp__1229 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1228);
  llvm_cbe_tmp__1230 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1229) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__1231 = *llvm_cbe_tmp__1230;
  llvm_cbe_tmp__1232 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1229) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__1233 = *llvm_cbe_tmp__1232;
  llvm_cbe_tmp__1234 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1231)) << ((unsigned short )8)));
  *llvm_cbe_tmp__1230 = ((unsigned char )0);
  *llvm_cbe_tmp__1232 = llvm_cbe_tmp__1231;
  llvm_cbe_tmp__1235 = ((unsigned int )(bool )(llvm_cbe_tmp__1234 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1235;
  *(&ST_AGT) = llvm_cbe_tmp__1235;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1234 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1233))) >> ((unsigned int )7u))));
  llvm_cbe_tmp__1236__PHI_TEMPORARY = llvm_cbe_tmp__1228;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5034;

llvm_cbe_tmp__7767:
  llvm_cbe_tmp__1198 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1187) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1199 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1187) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1200 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1198)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1199))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1187) + ((unsigned int )2u)))) & 65535u))])) = llvm_cbe_tmp__1200;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1200 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1200) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1200 == ((unsigned char )0))));
  llvm_cbe_tmp__1201 = *(&WP);
  llvm_cbe_tmp__1202 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1201);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1202) + ((unsigned int )22u)))))])) = ((unsigned char )7);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1202) + ((unsigned int )23u)))))])) = ((unsigned char )112);
  goto llvm_cbe__2e__crit_edge5020;

llvm_cbe__2e__crit_edge5016:
  llvm_cbe_tmp__1222 = llvm_cbe_tmp__1222__PHI_TEMPORARY;
  llvm_cbe_tmp__1223 = llvm_cbe_tmp__1223__PHI_TEMPORARY;
  llvm_cbe_tmp__1224 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1223);
  llvm_cbe_tmp__1225 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1224) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1226 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1224) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1227 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1225)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1226))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1222))) + ((unsigned int )2u)))) & 65535u))])) = llvm_cbe_tmp__1227;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1227 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1227) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1227 == ((unsigned char )0))));
  if (((((((signed char )llvm_cbe_tmp__1227) > ((signed char )((unsigned char )0))) | (llvm_cbe_tmp__1227 == ((unsigned char )0)))&1))) {
    goto llvm_cbe__2e__crit_edge5020;
  } else {
    goto llvm_cbe_tmp__8191;
  }

llvm_cbe_tmp__7491:
  llvm_cbe_tmp__58 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )8u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__58)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__58) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__59 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )10u)));
  llvm_cbe_tmp__60 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__61 = *((&RAM.array[((signed int )llvm_cbe_tmp__60)]));
  llvm_cbe_tmp__62 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__60) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__63 = llvm_cbe_tmp__59 & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__63)])) = llvm_cbe_tmp__61;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__63) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__62;
  llvm_cbe_tmp__64 = (&RAM.array[((signed int )llvm_cbe_tmp__59)]);
  llvm_cbe_tmp__65 = *llvm_cbe_tmp__64;
  llvm_cbe_tmp__66 = (((unsigned int )(unsigned char )llvm_cbe_tmp__65)) & 1u;
  *llvm_cbe_tmp__64 = (((unsigned char )llvm_cbe_tmp__66));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )11u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = llvm_cbe_tmp__66;
  *(&ST_AGT) = llvm_cbe_tmp__66;
  *(&ST_EQ) = (llvm_cbe_tmp__66 ^ 1u);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )22u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__39) + ((unsigned int )23u)))))])) = ((unsigned char )-110);
  llvm_cbe_tmp__1222__PHI_TEMPORARY = llvm_cbe_tmp__38;   /* for PHI node */
  llvm_cbe_tmp__1223__PHI_TEMPORARY = llvm_cbe_tmp__38;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5016;

llvm_cbe_tmp__8183:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )22u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6016) + ((unsigned int )23u)))))])) = ((unsigned char )-64);
  llvm_cbe_tmp__1222__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1223__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5016;

llvm_cbe_tmp__7772:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6515) + ((unsigned int )22u)))))])) = ((unsigned char )6);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6515) + ((unsigned int )23u)))))])) = ((unsigned char )40);
  llvm_cbe_tmp__1222__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1223__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5016;

llvm_cbe_tmp__8192:
  llvm_cbe_tmp__1221 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )10u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1221)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1221) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__1222__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  llvm_cbe_tmp__1223__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5016;

llvm_cbe_tmp__7748:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )22u)))))])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )23u)))))])) = ((unsigned char )-110);
  goto llvm_cbe_tmp__8192;

llvm_cbe_tmp__7749:
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )22u)))))])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6414) + ((unsigned int )23u)))))])) = ((unsigned char )-102);
  goto llvm_cbe_tmp__8192;

llvm_cbe__2e__crit_edge5035:
  llvm_cbe_tmp__1470 = llvm_cbe_tmp__1470__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1470;
  goto llvm_cbe__2e__crit_edge5020;

llvm_cbe_tmp__8193:
  llvm_cbe_tmp__1464 = *((&RAM.array[((signed int )33650u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__1459 & 65535u))])) = llvm_cbe_tmp__1464;
  llvm_cbe_tmp__1465 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1379) + ((unsigned int )28u)))) & 65535u))]));
  llvm_cbe_tmp__1466 = *((&RAM.array[((signed int )33650u)]));
  llvm_cbe_tmp__1467 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1466);
  llvm_cbe_tmp__1468 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1467) - ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1465)))));
  llvm_cbe_tmp__1469 = ((unsigned char )llvm_cbe_tmp__1468);
  *((&RAM.array[((signed int )33650u)])) = llvm_cbe_tmp__1469;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1469 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1469) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1469 == ((unsigned char )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__1468) >> ((unsigned int )8u)))) & 1u) ^ 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__1466 ^ llvm_cbe_tmp__1465))))) & 128u) == 0u)) {
    llvm_cbe_tmp__1470__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5035;
  } else {
    goto llvm_cbe_tmp__8194;
  }

llvm_cbe_tmp__8195:
  llvm_cbe_tmp__1459 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1379) + ((unsigned int )2u)));
  llvm_cbe_tmp__1460 = *((&RAM.array[((signed int )llvm_cbe_tmp__1459)]));
  llvm_cbe_tmp__1461 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1379) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__1462 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1461)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1460)) << 8u);
  llvm_cbe_tmp__1463 = ((unsigned short )llvm_cbe_tmp__1462);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__1463) > ((unsigned short )((unsigned short )124)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1463) > ((signed short )((unsigned short )124)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1462 == 124u)));
  if ((llvm_cbe_tmp__1462 == 124u)) {
    goto llvm_cbe_tmp__8193;
  } else {
    goto llvm_cbe_tmp__8196;
  }

llvm_cbe_tmp__8197:
  llvm_cbe_tmp__1453 = *llvm_cbe_tmp__1380;
  llvm_cbe_tmp__1454 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1453);
  llvm_cbe_tmp__1455 = (llvm_cbe_tmp__1386 & 254u) | (llvm_cbe_tmp__1454 << 8u);
  llvm_cbe_tmp__1456 = llvm_cbe_tmp__1455 << 1u;
  *llvm_cbe_tmp__1380 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1455) >> ((unsigned int )7u))))));
  *llvm_cbe_tmp__1383 = (((unsigned char )llvm_cbe_tmp__1456));
  llvm_cbe_tmp__1457 = ((unsigned short )llvm_cbe_tmp__1456);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1457 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1457) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1457 == ((unsigned short )0))));
  llvm_cbe_tmp__1458 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1454) >> ((unsigned int )7u)));
  *(&ST_C) = llvm_cbe_tmp__1458;
  if ((llvm_cbe_tmp__1458 == 0u)) {
    llvm_cbe_tmp__1236__PHI_TEMPORARY = llvm_cbe_tmp__1378;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5034;
  } else {
    goto llvm_cbe_tmp__8195;
  }

llvm_cbe__2e__crit_edge5029:
  llvm_cbe_tmp__1378 = *(&WP);
  llvm_cbe_tmp__1379 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1378);
  llvm_cbe_tmp__1380 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1379) + ((unsigned int )20u)))))]);
  llvm_cbe_tmp__1381 = *llvm_cbe_tmp__1380;
  llvm_cbe_tmp__1382 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1381);
  llvm_cbe_tmp__1383 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1379) + ((unsigned int )21u)))))]);
  llvm_cbe_tmp__1384 = *llvm_cbe_tmp__1383;
  llvm_cbe_tmp__1385 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1384)) | (llvm_cbe_tmp__1382 << 8u);
  llvm_cbe_tmp__1386 = llvm_cbe_tmp__1385 << 1u;
  *llvm_cbe_tmp__1380 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1385) >> ((unsigned int )7u))))));
  *llvm_cbe_tmp__1383 = (((unsigned char )llvm_cbe_tmp__1386));
  llvm_cbe_tmp__1387 = ((unsigned short )llvm_cbe_tmp__1386);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1387 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1387) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1387 == ((unsigned short )0))));
  llvm_cbe_tmp__1388 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1382) >> ((unsigned int )7u)));
  *(&ST_C) = llvm_cbe_tmp__1388;
  if ((llvm_cbe_tmp__1388 == 0u)) {
    goto llvm_cbe_tmp__8197;
  } else {
    goto llvm_cbe_tmp__8198;
  }

llvm_cbe__2e__crit_edge5027:
  llvm_cbe_tmp__1332 = llvm_cbe_tmp__1332__PHI_TEMPORARY;
  llvm_cbe_tmp__1333 = llvm_cbe_tmp__1333__PHI_TEMPORARY;
  llvm_cbe_tmp__1334 = llvm_cbe_tmp__1334__PHI_TEMPORARY;
  llvm_cbe_tmp__1335 = llvm_cbe_tmp__1335__PHI_TEMPORARY;
  llvm_cbe_tmp__1336 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1335))) + ((unsigned int )20u)))))]));
  llvm_cbe_tmp__1337 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1336);
  llvm_cbe_tmp__1338 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1334))) + ((unsigned int )21u)))))]));
  llvm_cbe_tmp__1339 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1338)) | (llvm_cbe_tmp__1337 << 8u);
  llvm_cbe_tmp__1340 = llvm_cbe_tmp__1339 << 2u;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1333))) + ((unsigned int )20u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1339) >> ((unsigned int )6u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__1332))) + ((unsigned int )21u)))))])) = (((unsigned char )llvm_cbe_tmp__1340));
  llvm_cbe_tmp__1341 = ((unsigned short )llvm_cbe_tmp__1340);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1341 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1341) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1341 == ((unsigned short )0))));
  llvm_cbe_tmp__1342 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1337) >> ((unsigned int )6u)))) & 1u;
  *(&ST_C) = llvm_cbe_tmp__1342;
  if ((llvm_cbe_tmp__1342 == 0u)) {
    goto llvm_cbe__2e__crit_edge5029;
  } else {
    goto llvm_cbe_tmp__8199;
  }

llvm_cbe_tmp__8191:
  llvm_cbe_tmp__1308 = *(&WP);
  llvm_cbe_tmp__1309 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1308);
  llvm_cbe_tmp__1310 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1309) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1311 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1309) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1312 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1310)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1311))))));
  *((&RAM.array[((signed int )33763u)])) = llvm_cbe_tmp__1312;
  llvm_cbe_tmp__1313 = *(&WP);
  llvm_cbe_tmp__1314 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1313);
  llvm_cbe_tmp__1315 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1314) + ((unsigned int )2u)));
  llvm_cbe_tmp__1316 = llvm_cbe_tmp__1315 & 65535u;
  llvm_cbe_tmp__1317 = *((&RAM.array[((signed int )llvm_cbe_tmp__1316)]));
  llvm_cbe_tmp__1318 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1316) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1319 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1314) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1319)])) = llvm_cbe_tmp__1317;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1319) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1318;
  llvm_cbe_tmp__1320 = (&RAM.array[((signed int )llvm_cbe_tmp__1315)]);
  llvm_cbe_tmp__1321 = *llvm_cbe_tmp__1320;
  llvm_cbe_tmp__1322 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1314) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__1323 = *llvm_cbe_tmp__1322;
  *llvm_cbe_tmp__1320 = (((unsigned char )(((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__1321)) << 8u) & 3840u)) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1322 = llvm_cbe_tmp__1323;
  llvm_cbe_tmp__1324 = *llvm_cbe_tmp__1320;
  llvm_cbe_tmp__1325 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1324);
  llvm_cbe_tmp__1326 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1323)) | (llvm_cbe_tmp__1325 << 8u);
  llvm_cbe_tmp__1327 = ((unsigned short )llvm_cbe_tmp__1326);
  *(&ST_LGT) = (((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__1327) > ((unsigned short )((unsigned short )3840)))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1327) > ((signed short )((unsigned short )3840)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1326 == 3840u)));
  if (((((((signed short )llvm_cbe_tmp__1327) > ((signed short )((unsigned short )3840))) | (llvm_cbe_tmp__1326 == 3840u))&1))) {
    goto llvm_cbe__2e__crit_edge5026;
  } else {
    llvm_cbe_tmp__1332__PHI_TEMPORARY = llvm_cbe_tmp__1313;   /* for PHI node */
    llvm_cbe_tmp__1333__PHI_TEMPORARY = llvm_cbe_tmp__1313;   /* for PHI node */
    llvm_cbe_tmp__1334__PHI_TEMPORARY = llvm_cbe_tmp__1313;   /* for PHI node */
    llvm_cbe_tmp__1335__PHI_TEMPORARY = llvm_cbe_tmp__1313;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5027;
  }

llvm_cbe__2e__crit_edge5026:
  *llvm_cbe_tmp__1320 = llvm_cbe_tmp__1323;
  *llvm_cbe_tmp__1322 = ((unsigned char )0);
  llvm_cbe_tmp__1328 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1323)) << ((unsigned short )8)));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1328 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1328) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1328 == ((unsigned short )0))));
  *(&ST_C) = (llvm_cbe_tmp__1325 & 1u);
  llvm_cbe_tmp__1329 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1314) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1330 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1314) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1331 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1329)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1330))))));
  *((&RAM.array[((signed int )33763u)])) = llvm_cbe_tmp__1331;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1331 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1331) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1331 == ((unsigned char )0))));
  llvm_cbe__2e_pre6788 = *(&WP);
  llvm_cbe_tmp__1332__PHI_TEMPORARY = llvm_cbe__2e_pre6788;   /* for PHI node */
  llvm_cbe_tmp__1333__PHI_TEMPORARY = llvm_cbe__2e_pre6788;   /* for PHI node */
  llvm_cbe_tmp__1334__PHI_TEMPORARY = llvm_cbe__2e_pre6788;   /* for PHI node */
  llvm_cbe_tmp__1335__PHI_TEMPORARY = llvm_cbe__2e_pre6788;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5027;

llvm_cbe__2e__crit_edge5030:
  llvm_cbe_tmp__1377 = llvm_cbe_tmp__1377__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1377;
  goto llvm_cbe__2e__crit_edge5029;

llvm_cbe_tmp__8199:
  llvm_cbe_tmp__1343 = *(&WP);
  llvm_cbe_tmp__1344 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1343);
  llvm_cbe_tmp__1345 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1344) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__1346 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1344) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__1347 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1345)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1346))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1344) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__1347;
  llvm_cbe_tmp__1348 = *(&WP);
  llvm_cbe_tmp__1349 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1348);
  llvm_cbe_tmp__1350 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1349) + ((unsigned int )12u)))))]);
  llvm_cbe_tmp__1351 = *llvm_cbe_tmp__1350;
  llvm_cbe_tmp__1352 = ((unsigned short )(unsigned char )llvm_cbe_tmp__1351);
  llvm_cbe_tmp__1353 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1349) + ((unsigned int )13u)))))]);
  llvm_cbe_tmp__1354 = *llvm_cbe_tmp__1353;
  llvm_cbe_tmp__1355 = ((unsigned short )(llvm_cbe_tmp__1352 << ((unsigned short )8)));
  *llvm_cbe_tmp__1350 = ((unsigned char )0);
  *llvm_cbe_tmp__1353 = llvm_cbe_tmp__1351;
  llvm_cbe_tmp__1356 = ((unsigned int )(bool )(llvm_cbe_tmp__1355 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1356;
  *(&ST_AGT) = llvm_cbe_tmp__1356;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1355 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__1354))) >> ((unsigned int )7u))));
  llvm_cbe_tmp__1357 = *llvm_cbe_tmp__1350;
  llvm_cbe_tmp__1358 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1357)) << ((unsigned short )8)))) | llvm_cbe_tmp__1352)))) + ((unsigned short )((unsigned short )-32000))))))));
  *((&RAM.array[((signed int )llvm_cbe_tmp__1349)])) = llvm_cbe_tmp__1358;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1358 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1358) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1358 == ((unsigned char )0))));
  llvm_cbe_tmp__1359 = *(&WP);
  llvm_cbe_tmp__1360 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1359);
  llvm_cbe_tmp__1361 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1360) + ((unsigned int )12u)))))]));
  llvm_cbe_tmp__1362 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1360) + ((unsigned int )13u)))))]));
  llvm_cbe_tmp__1363 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1361)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1362)))))) + ((unsigned short )((unsigned short )-31999))))))));
  *((&RAM.array[((signed int )33761u)])) = llvm_cbe_tmp__1363;
  llvm_cbe_tmp__1364 = *(&WP);
  llvm_cbe_tmp__1365 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1364);
  llvm_cbe_tmp__1366 = *((&RAM.array[((signed int )llvm_cbe_tmp__1365)]));
  llvm_cbe_tmp__1367 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1366)) << 8u;
  llvm_cbe_tmp__1368 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1365) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1369 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1365) + ((unsigned int )2u)))) & 65535u;
  llvm_cbe_tmp__1370 = (&RAM.array[((signed int )llvm_cbe_tmp__1369)]);
  llvm_cbe_tmp__1371 = *llvm_cbe_tmp__1370;
  llvm_cbe_tmp__1372 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1371)) << 8u;
  llvm_cbe_tmp__1373 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1369) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1374 = *llvm_cbe_tmp__1373;
  llvm_cbe_tmp__1375 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1372 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1374)))) + ((unsigned int )(llvm_cbe_tmp__1367 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1368))))));
  *llvm_cbe_tmp__1370 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1375) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1373 = (((unsigned char )llvm_cbe_tmp__1375));
  llvm_cbe_tmp__1376 = ((unsigned short )llvm_cbe_tmp__1375);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1376 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1376) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1376 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1375) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__1372 ^ llvm_cbe_tmp__1367) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8200;
  } else {
    llvm_cbe_tmp__1377__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5030;
  }

llvm_cbe_tmp__8200:
  llvm_cbe_tmp3847_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1375 ^ llvm_cbe_tmp__1372)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1377__PHI_TEMPORARY = llvm_cbe_tmp3847_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5030;

llvm_cbe_tmp__8194:
  llvm_cbe_tmp3853_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1468 ^ llvm_cbe_tmp__1467)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__1470__PHI_TEMPORARY = llvm_cbe_tmp3853_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5035;

llvm_cbe_tmp__8196:
  llvm_cbe_tmp__1471 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1460)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1461)))))) + ((unsigned short )((unsigned short )-32000))))))));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__1459 & 65535u))])) = llvm_cbe_tmp__1471;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1471 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1471) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1471 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge5020;

llvm_cbe_tmp__8190:
  llvm_cbe_tmp4815 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1243) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__1245__PHI_TEMPORARY = llvm_cbe_tmp4815;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5022;

llvm_cbe__2e__crit_edge5636:
  llvm_cbe_tmp__1272 = *((&RAM.array[((signed int )llvm_cbe_tmp__6767)]));
  *((&RAM.array[((signed int )33661u)])) = llvm_cbe_tmp__1272;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1272 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1272) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1272 == ((unsigned char )0))));
  llvm_cbe_tmp__1273__PHI_TEMPORARY = llvm_cbe_tmp__6766;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5023;

llvm_cbe__2e__crit_edge5024:
  llvm_cbe_tmp__1265 = (&RAM.array[((signed int )llvm_cbe_tmp__6767)]);
  llvm_cbe_tmp__1266 = *llvm_cbe_tmp__1265;
  llvm_cbe_tmp__1267 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6767) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1268 = *llvm_cbe_tmp__1267;
  llvm_cbe_tmp__1269 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1268);
  llvm_cbe_tmp__1270 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1266)) << 8u) | llvm_cbe_tmp__1269;
  *llvm_cbe_tmp__1265 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__1266) >> ((unsigned char )((unsigned char )4)))))));
  *llvm_cbe_tmp__1267 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1270) >> ((unsigned int )4u))))));
  llvm_cbe__2e_mask4132 = llvm_cbe_tmp__1270 & 65520u;
  llvm_cbe_tmp__1271 = ((unsigned int )(bool )(llvm_cbe__2e_mask4132 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__1271;
  *(&ST_AGT) = llvm_cbe_tmp__1271;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe__2e_mask4132 == 0u)));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1269) >> ((unsigned int )3u)))) & 1u);
  goto llvm_cbe__2e__crit_edge5636;

llvm_cbe_tmp__8201:
  llvm_cbe_tmp__1256 = *(&ST_C);
  if ((llvm_cbe_tmp__1256 == 0u)) {
    goto llvm_cbe__2e__crit_edge5024;
  } else {
    goto llvm_cbe_tmp__8202;
  }

llvm_cbe_tmp__7553:
  llvm_cbe_tmp__6757 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6758 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6757) + ((unsigned int )12u)))) & 65535u;
  llvm_cbe_tmp__6759 = *((&RAM.array[((signed int )llvm_cbe_tmp__6758)]));
  llvm_cbe_tmp__6760 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6758) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6761 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6759)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6760));
  llvm_cbe_tmp__6762 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6757) + ((unsigned int )22u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6762)])) = llvm_cbe_tmp__6759;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6762) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__6760;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6761 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6761))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6761 == 0u)));
  llvm_cbe_tmp__6763 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6757) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__6764 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6757) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__6765 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6763)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6764)))))) + ((unsigned short )((unsigned short )-1026))))))));
  *((&RAM.array[((signed int )llvm_cbe_tmp__6757)])) = llvm_cbe_tmp__6765;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6765 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6765) > ((signed char )((unsigned char )0)))));
  llvm_cbe_tmp__6766 = *(&WP);
  llvm_cbe_tmp__6767 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6766);
  llvm_cbe_tmp__6768 = *((&RAM.array[((signed int )114u)]));
  llvm_cbe_tmp__6769 = *((&RAM.array[((signed int )115u)]));
  llvm_cbe_tmp__6770 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6767) + ((unsigned int )28u)))) & 65535u;
  llvm_cbe_tmp__6771 = *((&RAM.array[((signed int )llvm_cbe_tmp__6770)]));
  llvm_cbe_tmp__6772 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6770) + ((unsigned int )1u)))))]));
  *(&ST_EQ) = (((unsigned int )(bool )((((((((unsigned int )(unsigned char )llvm_cbe_tmp__6771)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6772))) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__6768)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6769)))) == 0u)));
  if (((((((((unsigned int )(unsigned char )llvm_cbe_tmp__6771)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6772))) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__6768)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6769)))) == 0u)) {
    goto llvm_cbe_tmp__8201;
  } else {
    goto llvm_cbe__2e__crit_edge5636;
  }

llvm_cbe_tmp__8202:
  llvm_cbe_tmp__1257 = (&RAM.array[((signed int )llvm_cbe_tmp__6767)]);
  llvm_cbe_tmp__1258 = *llvm_cbe_tmp__1257;
  llvm_cbe_tmp__1259 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1258);
  llvm_cbe_tmp__1260 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6767) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1261 = *llvm_cbe_tmp__1260;
  llvm_cbe_tmp__1262 = (llvm_cbe_tmp__1259 << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1261));
  llvm_cbe_tmp__1263 = llvm_cbe_tmp__1262 << 4u;
  *llvm_cbe_tmp__1257 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1262) >> ((unsigned int )4u))))));
  *llvm_cbe_tmp__1260 = (((unsigned char )llvm_cbe_tmp__1263));
  llvm_cbe_tmp__1264 = ((unsigned short )llvm_cbe_tmp__1263);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1264 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1264) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1264 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1259) >> ((unsigned int )4u)))) & 1u);
  goto llvm_cbe__2e__crit_edge5024;

llvm_cbe__2e__crit_edge5032:
  llvm_cbe_tmp__1419 = llvm_cbe_tmp__1419__PHI_TEMPORARY;
  llvm_cbe_tmp__1420 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1419);
  llvm_cbe_tmp__1421 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1420) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1422 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1420) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1423 = *((&RAM.array[((signed int )33763u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1421)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1422))))), llvm_cbe_tmp__1423);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1423 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1423) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1423 == ((unsigned char )0))));
  llvm_cbe_tmp__1424 = *(&WP);
  llvm_cbe_tmp__1425 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1424);
  llvm_cbe_tmp__1426 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1425) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1427 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1425) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1428 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1425) + ((unsigned int )2u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1427)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1426)) << ((unsigned short )8))))))), llvm_cbe_tmp__1428);
  llvm_cbe_tmp__1429 = *(&WP);
  llvm_cbe_tmp__1430 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1429);
  llvm_cbe_tmp__1431 = (&RAM.array[((signed int )llvm_cbe_tmp__1430)]);
  llvm_cbe_tmp__1432 = *llvm_cbe_tmp__1431;
  llvm_cbe_tmp__1433 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1430) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1434 = *llvm_cbe_tmp__1433;
  *llvm_cbe_tmp__1431 = llvm_cbe_tmp__1434;
  *llvm_cbe_tmp__1433 = ((unsigned char )0);
  llvm_cbe_tmp__1435 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1434)) << ((unsigned short )8)));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1435 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1435) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1435 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1432)) & 1u);
  llvm_cbe_tmp__1436 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1430) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1437 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1430) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1438 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1436)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1437)))))) + ((unsigned short )((unsigned short )-1026))))))));
  *llvm_cbe_tmp__1431 = llvm_cbe_tmp__1438;
  llvm_cbe_tmp__1439 = *(&WP);
  llvm_cbe_tmp__1440 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1439);
  llvm_cbe_tmp__1441 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1440) + ((unsigned int )10u)))) & 65535u))]));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1441 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1441) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1441 == ((unsigned char )0))));
  if ((llvm_cbe_tmp__1441 == ((unsigned char )0))) {
    goto llvm_cbe__2e__crit_edge5025;
  } else {
    goto llvm_cbe_tmp__8203;
  }

llvm_cbe_tmp__8185:
  *llvm_cbe_tmp__323 = ((unsigned char )4);
  llvm_cbe_tmp__1419__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5032;

llvm_cbe__2e__crit_edge5031:
  llvm_cbe_tmp__1397 = llvm_cbe_tmp__1397__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1397;
  llvm_cbe_tmp__1398 = *llvm_cbe_tmp__1380;
  llvm_cbe_tmp__1399 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1398);
  llvm_cbe_tmp__1400 = *llvm_cbe_tmp__1383;
  llvm_cbe_tmp__1401 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1400)) | (llvm_cbe_tmp__1399 << 8u);
  llvm_cbe_tmp__1402 = llvm_cbe_tmp__1401 << 1u;
  *llvm_cbe_tmp__1380 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1401) >> ((unsigned int )7u))))));
  *llvm_cbe_tmp__1383 = (((unsigned char )llvm_cbe_tmp__1402));
  llvm_cbe_tmp__1403 = ((unsigned short )llvm_cbe_tmp__1402);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1403 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1403) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1403 == ((unsigned short )0))));
  llvm_cbe_tmp__1404 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1399) >> ((unsigned int )7u)));
  *(&ST_C) = llvm_cbe_tmp__1404;
  if ((llvm_cbe_tmp__1404 == 0u)) {
    llvm_cbe_tmp__1419__PHI_TEMPORARY = llvm_cbe_tmp__1378;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5032;
  } else {
    goto llvm_cbe_tmp__8204;
  }

llvm_cbe_tmp__8198:
  llvm_cbe_tmp__1389 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1379) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__1390 = (&RAM.array[((signed int )llvm_cbe_tmp__1389)]);
  llvm_cbe_tmp__1391 = *llvm_cbe_tmp__1390;
  llvm_cbe_tmp__1392 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1391)) << 8u;
  llvm_cbe_tmp__1393 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1389) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1394 = *llvm_cbe_tmp__1393;
  llvm_cbe_tmp__1395 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1392 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1394)))) + ((unsigned int )2u)));
  *llvm_cbe_tmp__1390 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1395) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1393 = (((unsigned char )llvm_cbe_tmp__1395));
  llvm_cbe_tmp__1396 = ((unsigned short )llvm_cbe_tmp__1395);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1396 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1396) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1396 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1395) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1392 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8205;
  } else {
    llvm_cbe_tmp__1397__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5031;
  }

llvm_cbe_tmp__8205:
  llvm_cbe__2e_lobit = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1395) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1397__PHI_TEMPORARY = llvm_cbe__2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5031;

llvm_cbe_tmp__8204:
  llvm_cbe_tmp__1405 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1379) + ((unsigned int )2u)))))]));
  llvm_cbe_tmp__1406 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1379) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__1407 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1405)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1406)))))) + ((unsigned short )((unsigned short )-32000))))))));
  *((&RAM.array[((signed int )llvm_cbe_tmp__1379)])) = llvm_cbe_tmp__1407;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1407 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1407) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1407 == ((unsigned char )0))));
  llvm_cbe_tmp__1408 = *(&WP);
  llvm_cbe_tmp__1409 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1408);
  llvm_cbe_tmp__1410 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1409) + ((unsigned int )2u)))))]));
  llvm_cbe_tmp__1411 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1409) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__1412 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1410)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1411)))))) + ((unsigned short )((unsigned short )-31999))))))));
  *((&RAM.array[((signed int )33761u)])) = llvm_cbe_tmp__1412;
  llvm_cbe_tmp__1413 = *(&WP);
  llvm_cbe_tmp__1414 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1413);
  llvm_cbe_tmp__1415 = *((&RAM.array[((signed int )llvm_cbe_tmp__1414)]));
  llvm_cbe_tmp__1416 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1414) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1417 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1415)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1416));
  llvm_cbe_tmp__1418 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1414) + ((unsigned int )2u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1418)])) = llvm_cbe_tmp__1415;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1418) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1416;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1417 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1417))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1417 == 0u)));
  llvm_cbe_tmp__1419__PHI_TEMPORARY = llvm_cbe_tmp__1413;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5032;

llvm_cbe_tmp__8180:
  llvm_cbe_tmp__1295 = *(&WP);
  llvm_cbe_tmp__1296 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1295);
  llvm_cbe_tmp__1297 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1296) + ((unsigned int )2u)))))]));
  llvm_cbe_tmp__1298 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1296) + ((unsigned int )3u)))))]));
  llvm_cbe_tmp__1299 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1297)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1298)))))) + ((unsigned short )((unsigned short )1))))))));
  *((&RAM.array[((signed int )33761u)])) = llvm_cbe_tmp__1299;
  llvm_cbe_tmp__1300 = ((unsigned int )(bool )(llvm_cbe_tmp__1299 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1300;
  llvm_cbe_tmp__1301 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1299) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__1301;
  llvm_cbe_tmp__1302 = ((unsigned int )(bool )(llvm_cbe_tmp__1299 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__1302;
  llvm_cbe_tmp__1303 = *(&WP);
  llvm_cbe_tmp__1304 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1303);
  llvm_cbe_tmp__1305 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1304) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__1306 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1304) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__1307 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1306)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1305)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__1307;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__1303;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__1300;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__1302;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__1301;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__1303;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__1307;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__1307;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe_tmp__8203:
  llvm_cbe_tmp__1442 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1440) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1443 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1440) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1444 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1442)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1443)))))) + ((unsigned short )((unsigned short )-1026))))))));
  *((&RAM.array[((signed int )33761u)])) = llvm_cbe_tmp__1444;
  llvm_cbe_tmp__1445 = ((unsigned int )(bool )(llvm_cbe_tmp__1444 != ((unsigned char )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1445;
  llvm_cbe_tmp__1446 = ((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1444) > ((signed char )((unsigned char )0))));
  *(&ST_AGT) = llvm_cbe_tmp__1446;
  llvm_cbe_tmp__1447 = ((unsigned int )(bool )(llvm_cbe_tmp__1444 == ((unsigned char )0)));
  *(&ST_EQ) = llvm_cbe_tmp__1447;
  llvm_cbe_tmp__1448 = *(&WP);
  llvm_cbe_tmp__1449 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1448);
  llvm_cbe_tmp__1450 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1449) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__1451 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1449) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__1452 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1451)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1450)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__1452;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe_tmp__1448;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe_tmp__1445;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe_tmp__1447;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe_tmp__1446;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__1448;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__1452;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__1452;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5044:
  llvm_cbe__2e_pre6053_2e_rle6972 = llvm_cbe__2e_pre6053_2e_rle6972__PHI_TEMPORARY;
  llvm_cbe_tmp__1624 = llvm_cbe_tmp__1624__PHI_TEMPORARY;
  llvm_cbe__2e_rle5989 = llvm_cbe__2e_rle5989__PHI_TEMPORARY;
  llvm_cbe__2e_rle5954 = llvm_cbe__2e_rle5954__PHI_TEMPORARY;
  llvm_cbe__2e_rle5921 = llvm_cbe__2e_rle5921__PHI_TEMPORARY;
  llvm_cbe_tmp__1625 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1624);
  llvm_cbe_tmp__1626 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1625) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__1627 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1625) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__1628 = ((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1627)) & ((unsigned short )254)))) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1626)) << ((unsigned short )8))))));
  *(&PC) = llvm_cbe_tmp__1628;
  llvm_cbe__2e_pre6053_2e_rle6803__PHI_TEMPORARY = llvm_cbe__2e_pre6053_2e_rle6972;   /* for PHI node */
  llvm_cbe_tmp__5993__PHI_TEMPORARY = llvm_cbe__2e_rle5989;   /* for PHI node */
  llvm_cbe_tmp__5994__PHI_TEMPORARY = llvm_cbe__2e_rle5954;   /* for PHI node */
  llvm_cbe_tmp__5995__PHI_TEMPORARY = llvm_cbe__2e_rle5921;   /* for PHI node */
  llvm_cbe_tmp__5996__PHI_TEMPORARY = llvm_cbe_tmp__1624;   /* for PHI node */
  llvm_cbe_tmp__5997__PHI_TEMPORARY = llvm_cbe_tmp__1628;   /* for PHI node */
  llvm_cbe_tmp__5998__PHI_TEMPORARY = llvm_cbe_tmp__1628;   /* for PHI node */
  goto llvm_cbe__2e_backedge;

llvm_cbe__2e__crit_edge5040:
  llvm_cbe_tmp__1623 = llvm_cbe_tmp__1623__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1623;
  llvm_cbe__2e_pre6053_2e_rle6972__PHI_TEMPORARY = llvm_cbe_tmp__1606;   /* for PHI node */
  llvm_cbe_tmp__1624__PHI_TEMPORARY = llvm_cbe_tmp__1606;   /* for PHI node */
  llvm_cbe__2e_rle5989__PHI_TEMPORARY = llvm_cbe_tmp__1620;   /* for PHI node */
  llvm_cbe__2e_rle5954__PHI_TEMPORARY = llvm_cbe_tmp__1622;   /* for PHI node */
  llvm_cbe__2e_rle5921__PHI_TEMPORARY = llvm_cbe_tmp__1621;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5044;

llvm_cbe_tmp__8206:
  llvm_cbe_tmp__1596 = llvm_cbe_tmp__1596__PHI_TEMPORARY;
  llvm_cbe_tmp__1597 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1596);
  llvm_cbe_tmp__1598 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1597) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1599 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1597) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1600 = *((&RAM.array[((signed int )33775u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1598)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1599))))), llvm_cbe_tmp__1600);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1600 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1600) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1600 == ((unsigned char )0))));
  llvm_cbe_tmp__1601 = *(&WP);
  llvm_cbe_tmp__1602 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1601);
  llvm_cbe_tmp__1603 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1602) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1604 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1602) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1605 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1602) + ((unsigned int )14u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1604)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1603)) << ((unsigned short )8))))))), llvm_cbe_tmp__1605);
  llvm_cbe_tmp__1606 = *(&WP);
  llvm_cbe_tmp__1607 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1606);
  llvm_cbe_tmp__1608 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1607) + ((unsigned int )20u)))) & 65535u;
  llvm_cbe_tmp__1609 = *((&RAM.array[((signed int )llvm_cbe_tmp__1608)]));
  llvm_cbe_tmp__1610 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1609)) << 8u;
  llvm_cbe_tmp__1611 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1608) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1612 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1607) + ((unsigned int )14u)))) & 65535u;
  llvm_cbe_tmp__1613 = (&RAM.array[((signed int )llvm_cbe_tmp__1612)]);
  llvm_cbe_tmp__1614 = *llvm_cbe_tmp__1613;
  llvm_cbe_tmp__1615 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1614)) << 8u;
  llvm_cbe_tmp__1616 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1612) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1617 = *llvm_cbe_tmp__1616;
  llvm_cbe_tmp__1618 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1615 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1617)))) - ((unsigned int )(llvm_cbe_tmp__1610 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1611))))));
  *llvm_cbe_tmp__1613 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1618) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1616 = (((unsigned char )llvm_cbe_tmp__1618));
  llvm_cbe_tmp__1619 = ((unsigned short )llvm_cbe_tmp__1618);
  llvm_cbe_tmp__1620 = ((unsigned int )(bool )(llvm_cbe_tmp__1619 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__1620;
  llvm_cbe_tmp__1621 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1619) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__1621;
  llvm_cbe_tmp__1622 = ((unsigned int )(bool )(llvm_cbe_tmp__1619 == ((unsigned short )0)));
  *(&ST_EQ) = llvm_cbe_tmp__1622;
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__1618) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  if ((((llvm_cbe_tmp__1615 ^ llvm_cbe_tmp__1610) & 32768u) == 0u)) {
    llvm_cbe_tmp__1623__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5040;
  } else {
    goto llvm_cbe_tmp__8207;
  }

llvm_cbe__2e__crit_edge5039:
  llvm_cbe_tmp__1595 = llvm_cbe_tmp__1595__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1595;
  llvm_cbe_tmp__1596__PHI_TEMPORARY = llvm_cbe_tmp__1565;   /* for PHI node */
  goto llvm_cbe_tmp__8206;

llvm_cbe_tmp__8208:
  llvm_cbe_tmp__1576 = (&RAM.array[((signed int )llvm_cbe_tmp__1567)]);
  llvm_cbe_tmp__1577 = *llvm_cbe_tmp__1576;
  llvm_cbe_tmp__1578 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )15u)))))]);
  llvm_cbe_tmp__1579 = *llvm_cbe_tmp__1578;
  llvm_cbe_tmp__1580 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1579)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1577)) << 8u);
  *llvm_cbe_tmp__1576 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1580) >> ((unsigned int )5u))))));
  *llvm_cbe_tmp__1578 = (((unsigned char )(llvm_cbe_tmp__1580 << 3u)));
  llvm_cbe_tmp__1581 = *llvm_cbe_tmp__1576;
  *llvm_cbe_tmp__1576 = ((unsigned char )0);
  *llvm_cbe_tmp__1578 = llvm_cbe_tmp__1581;
  llvm_cbe_tmp__1582 = *((&RAM.array[((signed int )33662u)]));
  *llvm_cbe_tmp__1570 = llvm_cbe_tmp__1582;
  llvm_cbe_tmp__1583 = *llvm_cbe_tmp__1576;
  llvm_cbe_tmp__1584 = *llvm_cbe_tmp__1578;
  *llvm_cbe_tmp__1576 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__1583) >> ((unsigned char )((unsigned char )3)))))));
  *llvm_cbe_tmp__1578 = (((unsigned char )(((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__1584)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1583)) << 8u))) >> ((unsigned int )3u))))));
  llvm_cbe_tmp__1585 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )20u)))) & 65535u;
  llvm_cbe_tmp__1586 = *((&RAM.array[((signed int )llvm_cbe_tmp__1585)]));
  llvm_cbe_tmp__1587 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1586)) << 8u;
  llvm_cbe_tmp__1588 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1585) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1589 = *llvm_cbe_tmp__1570;
  llvm_cbe_tmp__1590 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1589)) << 8u;
  llvm_cbe_tmp__1591 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1569) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1592 = *llvm_cbe_tmp__1591;
  llvm_cbe_tmp__1593 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1590 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1592)))) + ((unsigned int )(llvm_cbe_tmp__1587 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1588))))));
  *llvm_cbe_tmp__1570 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1593) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1591 = (((unsigned char )llvm_cbe_tmp__1593));
  llvm_cbe_tmp__1594 = ((unsigned short )llvm_cbe_tmp__1593);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1594 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1594) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1594 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1593) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__1590 ^ llvm_cbe_tmp__1587) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8209;
  } else {
    llvm_cbe_tmp__1595__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5039;
  }

llvm_cbe_tmp__8210:
  llvm_cbe_tmp__1565 = llvm_cbe_tmp__1565__PHI_TEMPORARY;
  llvm_cbe_tmp__1566 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1565);
  llvm_cbe_tmp__1567 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )14u)));
  llvm_cbe_tmp__1568 = *((&RAM.array[((signed int )33663u)]));
  llvm_cbe_tmp__1569 = llvm_cbe_tmp__1567 & 65535u;
  llvm_cbe_tmp__1570 = (&RAM.array[((signed int )llvm_cbe_tmp__1569)]);
  *llvm_cbe_tmp__1570 = llvm_cbe_tmp__1568;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1568 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__1568) > ((signed char )((unsigned char )0)))));
  llvm_cbe_tmp__1571 = *((&RAM.array[((signed int )114u)]));
  llvm_cbe_tmp__1572 = *((&RAM.array[((signed int )115u)]));
  llvm_cbe_tmp__1573 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )28u)))) & 65535u;
  llvm_cbe_tmp__1574 = *((&RAM.array[((signed int )llvm_cbe_tmp__1573)]));
  llvm_cbe_tmp__1575 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1573) + ((unsigned int )1u)))))]));
  *(&ST_EQ) = (((unsigned int )(bool )((((((((unsigned int )(unsigned char )llvm_cbe_tmp__1574)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1575))) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__1571)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1572)))) == 0u)));
  if (((((((((unsigned int )(unsigned char )llvm_cbe_tmp__1574)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1575))) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__1571)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1572)))) == 0u)) {
    goto llvm_cbe_tmp__8211;
  } else {
    goto llvm_cbe_tmp__8208;
  }

llvm_cbe_tmp__8189:
  llvm_cbe_tmp__1249 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1237) + ((unsigned int )20u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1249)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1249) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__1250 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1237) + ((unsigned int )22u)));
  llvm_cbe_tmp__1251 = llvm_cbe_tmp__1250 & 65535u;
  llvm_cbe_tmp__1252 = *((&RAM.array[((signed int )llvm_cbe_tmp__1251)]));
  llvm_cbe_tmp__1253 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1251) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__1254 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1252)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__1253));
  llvm_cbe_tmp__1255 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1237) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__1255)])) = llvm_cbe_tmp__1252;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1255) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__1253;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1254 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1254))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1254 == 0u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__1250)])) = ((unsigned char )7);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1237) + ((unsigned int )23u)))))])) = ((unsigned char )-110);
  llvm_cbe_tmp__1565__PHI_TEMPORARY = llvm_cbe_tmp__1236;   /* for PHI node */
  goto llvm_cbe_tmp__8210;

llvm_cbe_tmp__8212:
  llvm_cbe_tmp__1563 = llvm_cbe_tmp__1563__PHI_TEMPORARY;
  llvm_cbe_tmp__1564 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1563);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1564) + ((unsigned int )20u)))))])) = ((unsigned char )64);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1564) + ((unsigned int )21u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__1565__PHI_TEMPORARY = llvm_cbe_tmp__1563;   /* for PHI node */
  goto llvm_cbe_tmp__8210;

llvm_cbe_tmp__7716:
  llvm_cbe_tmp__465 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__457) + ((unsigned int )22u)));
  llvm_cbe_tmp__466 = llvm_cbe_tmp__465 & 65535u;
  llvm_cbe_tmp__467 = *((&RAM.array[((signed int )llvm_cbe_tmp__466)]));
  llvm_cbe_tmp__468 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__466) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__469 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__467)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__468));
  llvm_cbe_tmp__470 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__457) + ((unsigned int )12u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__470)])) = llvm_cbe_tmp__467;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__470) + ((unsigned int )1u)))))])) = llvm_cbe_tmp__468;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__469 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__469))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__469 == 0u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__465)])) = ((unsigned char )2);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__457) + ((unsigned int )23u)))))])) = ((unsigned char )106);
  llvm_cbe_tmp__1563__PHI_TEMPORARY = llvm_cbe_tmp__456;   /* for PHI node */
  goto llvm_cbe_tmp__8212;

llvm_cbe_tmp__7528:
  llvm_cbe_tmp__6362 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6363 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6362) + ((unsigned int )18u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6363)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6363) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__6364 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6362) + ((unsigned int )6u)))) & 65535u;
  *((&RAM.array[((signed int )llvm_cbe_tmp__6364)])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6364) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6362) + ((unsigned int )22u)))))])) = ((unsigned char )4);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6362) + ((unsigned int )23u)))))])) = ((unsigned char )-26);
  llvm_cbe_tmp__1563__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8212;

llvm_cbe_tmp__7531:
  llvm_cbe_tmp__6383 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6383) + ((unsigned int )22u)))))])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6383) + ((unsigned int )23u)))))])) = ((unsigned char )44);
  llvm_cbe_tmp__1563__PHI_TEMPORARY = llvm_cbe_tmp__5996;   /* for PHI node */
  goto llvm_cbe_tmp__8212;

llvm_cbe_tmp__7536:
  llvm_cbe_tmp__6421 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6422 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6421) + ((unsigned int )16u)));
  llvm_cbe_tmp__6423 = llvm_cbe_tmp__6422 & 65535u;
  llvm_cbe_tmp__6424 = (&RAM.array[((signed int )llvm_cbe_tmp__6423)]);
  llvm_cbe_tmp__6425 = *llvm_cbe_tmp__6424;
  llvm_cbe_tmp__6426 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6423) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6427 = *llvm_cbe_tmp__6426;
  llvm_cbe_tmp__6428 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6425)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6427));
  llvm_cbe_tmp__6429 = -(llvm_cbe_tmp__6428);
  *llvm_cbe_tmp__6424 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6429) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6426 = (((unsigned char )llvm_cbe_tmp__6429));
  llvm_cbe_tmp__6430 = ((unsigned short )llvm_cbe_tmp__6429);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6430 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6430) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6430 == ((unsigned short )0))));
  *(&ST_C) = (((((unsigned int )(((unsigned int )llvm_cbe_tmp__6429) >> ((unsigned int )16u)))) & 1u) ^ 1u);
  *(&ST_O) = (((unsigned int )(bool )(llvm_cbe_tmp__6428 == 32768u)));
  llvm_cbe_tmp__6431 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6421) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6432 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6421) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6433 = *((&RAM.array[((signed int )llvm_cbe_tmp__6422)]));
  llvm_cbe_tmp__6434 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6421) + ((unsigned int )17u)))))]));
  llvm_cbe_tmp__6435 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6431)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6432))))));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6433)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6434)))))) + ((unsigned short )((unsigned short )-31905))))))), llvm_cbe_tmp__6435);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6435 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6435) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6435 == ((unsigned char )0))));
  llvm_cbe_tmp__6436 = *(&WP);
  llvm_cbe_tmp__6437 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6436);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6437) + ((unsigned int )22u)))))])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6437) + ((unsigned int )23u)))))])) = ((unsigned char )-116);
  llvm_cbe_tmp__1563__PHI_TEMPORARY = llvm_cbe_tmp__6436;   /* for PHI node */
  goto llvm_cbe_tmp__8212;

llvm_cbe_tmp__8209:
  llvm_cbe_tmp3975_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1593 ^ llvm_cbe_tmp__1590)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1595__PHI_TEMPORARY = llvm_cbe_tmp3975_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5039;

llvm_cbe_tmp__8213:
  llvm_cbe_tmp__1720 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1701) + ((unsigned int )14u)))))]);
  llvm_cbe_tmp__1721 = *llvm_cbe_tmp__1720;
  llvm_cbe_tmp__1722 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1701) + ((unsigned int )15u)))))]);
  llvm_cbe_tmp__1723 = *llvm_cbe_tmp__1722;
  llvm_cbe_tmp__1724 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1721)) << 8u) | 16384u;
  *llvm_cbe_tmp__1720 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1724) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1722 = llvm_cbe_tmp__1723;
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )((((unsigned short )llvm_cbe_tmp__1724)) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1723)))))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = 0u;
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1701) + ((unsigned int )22u)))))])) = ((unsigned char )8);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1701) + ((unsigned int )23u)))))])) = ((unsigned char )-8);
  llvm_cbe_tmp__1596__PHI_TEMPORARY = llvm_cbe_tmp__1700;   /* for PHI node */
  goto llvm_cbe_tmp__8206;

llvm_cbe_tmp__8214:
  *llvm_cbe_tmp__1710 = (((unsigned char )(((unsigned int )(((unsigned int )(llvm_cbe_tmp__1712 & 3840u)) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1701) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  llvm_cbe_tmp__1713 = *llvm_cbe_tmp__1704;
  llvm_cbe_tmp__1714 = ((unsigned int )(unsigned char )llvm_cbe_tmp__1713);
  llvm_cbe_tmp__1715 = *llvm_cbe_tmp__1707;
  llvm_cbe_tmp__1716 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1715)) | (llvm_cbe_tmp__1714 << 8u);
  llvm_cbe_tmp__1717 = llvm_cbe_tmp__1716 << 4u;
  *llvm_cbe_tmp__1704 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1716) >> ((unsigned int )4u))))));
  *llvm_cbe_tmp__1707 = (((unsigned char )llvm_cbe_tmp__1717));
  llvm_cbe_tmp__1718 = ((unsigned short )llvm_cbe_tmp__1717);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1718 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1718) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1718 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1714) >> ((unsigned int )4u)))) & 1u);
  goto llvm_cbe_tmp__8213;

llvm_cbe_tmp__8215:
  llvm_cbe_tmp__1697 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1689) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1698 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1689) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1699 =  /*tail*/ hw_read((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1697)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1698)))))) + ((unsigned short )((unsigned short )-1026))))))));
  *((&RAM.array[((signed int )llvm_cbe_tmp__1689)])) = llvm_cbe_tmp__1699;
  llvm_cbe_tmp__1700 = *(&WP);
  llvm_cbe_tmp__1701 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1700);
  llvm_cbe_tmp__1702 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1701) + ((unsigned int )16u)));
  llvm_cbe_tmp__1703 = *((&RAM.array[((signed int )33661u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__1702 & 65535u))])) = llvm_cbe_tmp__1703;
  llvm_cbe_tmp__1704 = (&RAM.array[((signed int )llvm_cbe_tmp__1702)]);
  llvm_cbe_tmp__1705 = *llvm_cbe_tmp__1704;
  llvm_cbe_tmp__1706 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1705)) << 8u) & 3840u;
  *llvm_cbe_tmp__1704 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1706) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__1707 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1701) + ((unsigned int )17u)))))]);
  *llvm_cbe_tmp__1707 = ((unsigned char )0);
  llvm_cbe_tmp__1708 = ((unsigned int )(bool )(llvm_cbe_tmp__1706 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__1708;
  *(&ST_AGT) = llvm_cbe_tmp__1708;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1706 == 0u)));
  llvm_cbe_tmp__1709 = *(&ST_C);
  llvm_cbe_tmp__1710 = (&RAM.array[((signed int )llvm_cbe_tmp__1701)]);
  llvm_cbe_tmp__1711 = *llvm_cbe_tmp__1710;
  llvm_cbe_tmp__1712 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1711)) << 8u;
  if ((llvm_cbe_tmp__1709 == 0u)) {
    goto llvm_cbe_tmp__8214;
  } else {
    goto llvm_cbe_tmp__8216;
  }

llvm_cbe__2e__crit_edge5043:
  llvm_cbe_tmp__1674 = llvm_cbe_tmp__1674__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1674;
  llvm_cbe_tmp__1675 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1676 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1677 = *((&RAM.array[((signed int )33775u)]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1675)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__1676))))), llvm_cbe_tmp__1677);
  llvm_cbe_tmp__1678 = *(&WP);
  llvm_cbe_tmp__1679 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1678);
  llvm_cbe_tmp__1680 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1679) + ((unsigned int )16u)))))]);
  llvm_cbe_tmp__1681 = *llvm_cbe_tmp__1680;
  llvm_cbe_tmp__1682 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1679) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__1683 = *llvm_cbe_tmp__1682;
  *llvm_cbe_tmp__1680 = llvm_cbe_tmp__1683;
  *llvm_cbe_tmp__1682 = ((unsigned char )0);
  llvm_cbe_tmp__1684 = ((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1683)) << ((unsigned short )8)));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1684 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1684) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1684 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(unsigned char )llvm_cbe_tmp__1681)) & 1u);
  llvm_cbe_tmp__1685 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1679) + ((unsigned int )30u)))))]));
  llvm_cbe_tmp__1686 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1679) + ((unsigned int )31u)))))]));
  llvm_cbe_tmp__1687 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__1679) + ((unsigned int )14u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1686)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__1685)) << ((unsigned short )8))))))), llvm_cbe_tmp__1687);
  llvm_cbe_tmp__1688 = *(&WP);
  llvm_cbe_tmp__1689 = ((unsigned int )(unsigned short )llvm_cbe_tmp__1688);
  llvm_cbe_tmp__1690 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1689) + ((unsigned int )22u)))))]));
  llvm_cbe_tmp__1691 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1689) + ((unsigned int )23u)))))]));
  llvm_cbe_tmp__1692 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1691)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1690)) << 8u);
  llvm_cbe_tmp__1693 = ((unsigned short )llvm_cbe_tmp__1692);
  llvm_cbe_tmp__1694 = ((unsigned int )(bool )(((unsigned short )llvm_cbe_tmp__1693) > ((unsigned short )((unsigned short )618))));
  *(&ST_LGT) = llvm_cbe_tmp__1694;
  llvm_cbe_tmp__1695 = ((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1693) > ((signed short )((unsigned short )618))));
  *(&ST_AGT) = llvm_cbe_tmp__1695;
  llvm_cbe_tmp__1696 = ((unsigned int )(bool )(llvm_cbe_tmp__1692 == 618u));
  *(&ST_EQ) = llvm_cbe_tmp__1696;
  if ((llvm_cbe_tmp__1692 == 618u)) {
    goto llvm_cbe_tmp__8215;
  } else {
    llvm_cbe__2e_pre6053_2e_rle6972__PHI_TEMPORARY = llvm_cbe_tmp__1688;   /* for PHI node */
    llvm_cbe_tmp__1624__PHI_TEMPORARY = llvm_cbe_tmp__1688;   /* for PHI node */
    llvm_cbe__2e_rle5989__PHI_TEMPORARY = llvm_cbe_tmp__1694;   /* for PHI node */
    llvm_cbe__2e_rle5954__PHI_TEMPORARY = llvm_cbe_tmp__1696;   /* for PHI node */
    llvm_cbe__2e_rle5921__PHI_TEMPORARY = llvm_cbe_tmp__1695;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5044;
  }

llvm_cbe__2e__crit_edge5042:
  llvm_cbe_tmp__1668 = llvm_cbe_tmp__1668__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1668;
  llvm_cbe_tmp__1669 = *llvm_cbe_tmp__1656;
  llvm_cbe_tmp__1670 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1669)) << 8u;
  llvm_cbe_tmp__1671 = *llvm_cbe_tmp__1658;
  llvm_cbe_tmp__1672 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__1671)) | llvm_cbe_tmp__1670)) + ((unsigned int )2048u)));
  *llvm_cbe_tmp__1656 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1672) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1658 = (((unsigned char )llvm_cbe_tmp__1672));
  llvm_cbe_tmp__1673 = ((unsigned short )llvm_cbe_tmp__1672);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1673 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1673) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1673 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1672) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__1670 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8217;
  } else {
    llvm_cbe_tmp__1674__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5043;
  }

llvm_cbe__2e__crit_edge5041:
  llvm_cbe_tmp__1652 = llvm_cbe_tmp__1652__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__1652;
  llvm_cbe_tmp__1653 = *llvm_cbe_tmp__1570;
  llvm_cbe_tmp__1654 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1569) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1655 = *llvm_cbe_tmp__1654;
  *llvm_cbe_tmp__1635 = llvm_cbe_tmp__1653;
  *llvm_cbe_tmp__1636 = llvm_cbe_tmp__1655;
  llvm_cbe_tmp__1656 = (&RAM.array[((signed int )llvm_cbe_tmp__1567)]);
  llvm_cbe_tmp__1657 = *llvm_cbe_tmp__1656;
  *llvm_cbe_tmp__1656 = (((unsigned char )(((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__1657)) << 8u) & 15872u)) >> ((unsigned int )8u))))));
  llvm_cbe_tmp__1658 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )15u)))))]);
  *llvm_cbe_tmp__1658 = ((unsigned char )0);
  llvm_cbe_tmp__1659 = *llvm_cbe_tmp__1656;
  *llvm_cbe_tmp__1656 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__1659) >> ((unsigned char )((unsigned char )6)))))));
  *llvm_cbe_tmp__1658 = (((unsigned char )(llvm_cbe_tmp__1659 << ((unsigned char )2))));
  llvm_cbe_tmp__1660 = *llvm_cbe_tmp__1630;
  llvm_cbe_tmp__1661 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1660)) << 8u;
  llvm_cbe_tmp__1662 = *llvm_cbe_tmp__1632;
  llvm_cbe_tmp__1663 = *llvm_cbe_tmp__1570;
  llvm_cbe_tmp__1664 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1663)) << 8u;
  llvm_cbe_tmp__1665 = *llvm_cbe_tmp__1654;
  llvm_cbe_tmp__1666 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__1664 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1665)))) + ((unsigned int )(llvm_cbe_tmp__1661 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1662))))));
  *llvm_cbe_tmp__1570 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1666) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1654 = (((unsigned char )llvm_cbe_tmp__1666));
  llvm_cbe_tmp__1667 = ((unsigned short )llvm_cbe_tmp__1666);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1667 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1667) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1667 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1666) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__1664 ^ llvm_cbe_tmp__1661) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8218;
  } else {
    llvm_cbe_tmp__1668__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5042;
  }

llvm_cbe_tmp__8211:
  llvm_cbe_tmp__1629 = *((&RAM.array[((signed int )33662u)]));
  llvm_cbe_tmp__1630 = (&RAM.array[((signed int )llvm_cbe_tmp__1566)]);
  *llvm_cbe_tmp__1630 = llvm_cbe_tmp__1629;
  llvm_cbe_tmp__1631 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )16u)));
  llvm_cbe_tmp__1632 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__1633 = *llvm_cbe_tmp__1632;
  llvm_cbe_tmp__1634 = llvm_cbe_tmp__1631 & 65535u;
  llvm_cbe_tmp__1635 = (&RAM.array[((signed int )llvm_cbe_tmp__1634)]);
  *llvm_cbe_tmp__1635 = llvm_cbe_tmp__1629;
  llvm_cbe_tmp__1636 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1634) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__1636 = llvm_cbe_tmp__1633;
  llvm_cbe_tmp__1637 = (&RAM.array[((signed int )llvm_cbe_tmp__1631)]);
  llvm_cbe_tmp__1638 = *llvm_cbe_tmp__1637;
  llvm_cbe_tmp__1639 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1566) + ((unsigned int )17u)))))]);
  llvm_cbe_tmp__1640 = *llvm_cbe_tmp__1639;
  llvm_cbe_tmp__1641 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1640)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__1638)) << 8u);
  *llvm_cbe_tmp__1637 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1641) >> ((unsigned int )3u))))));
  *llvm_cbe_tmp__1639 = (((unsigned char )(llvm_cbe_tmp__1641 << 5u)));
  llvm_cbe_tmp__1642 = *llvm_cbe_tmp__1637;
  *llvm_cbe_tmp__1637 = ((unsigned char )0);
  *llvm_cbe_tmp__1639 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__1642) >> ((unsigned char )((unsigned char )5)))))));
  llvm_cbe_tmp__1643 = *llvm_cbe_tmp__1630;
  llvm_cbe_tmp__1644 = ((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__1643) >> ((unsigned char )((unsigned char )3))))));
  *llvm_cbe_tmp__1630 = ((unsigned char )0);
  *llvm_cbe_tmp__1632 = llvm_cbe_tmp__1644;
  *llvm_cbe_tmp__1630 = llvm_cbe_tmp__1644;
  *llvm_cbe_tmp__1632 = ((unsigned char )0);
  llvm_cbe_tmp__1645 = *llvm_cbe_tmp__1635;
  llvm_cbe_tmp__1646 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1645)) << 8u;
  llvm_cbe_tmp__1647 = *llvm_cbe_tmp__1636;
  llvm_cbe_tmp__1648 = *llvm_cbe_tmp__1630;
  llvm_cbe_tmp__1649 = (((unsigned int )(unsigned char )llvm_cbe_tmp__1648)) << 8u;
  llvm_cbe_tmp__1650 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__1649) + ((unsigned int )(llvm_cbe_tmp__1646 | (((unsigned int )(unsigned char )llvm_cbe_tmp__1647))))));
  *llvm_cbe_tmp__1630 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1650) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__1632 = (((unsigned char )llvm_cbe_tmp__1650));
  llvm_cbe_tmp__1651 = ((unsigned short )llvm_cbe_tmp__1650);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1651 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__1651) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1651 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__1650) >> ((unsigned int )16u)))) & 1u);
  if ((((llvm_cbe_tmp__1649 ^ llvm_cbe_tmp__1646) & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8219;
  } else {
    llvm_cbe_tmp__1652__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5041;
  }

llvm_cbe_tmp__8219:
  llvm_cbe_tmp3952_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1650 ^ llvm_cbe_tmp__1649)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1652__PHI_TEMPORARY = llvm_cbe_tmp3952_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5041;

llvm_cbe_tmp__8218:
  llvm_cbe_tmp3954_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1666 ^ llvm_cbe_tmp__1664)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1668__PHI_TEMPORARY = llvm_cbe_tmp3954_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5042;

llvm_cbe_tmp__8217:
  llvm_cbe__2e_lobit3956 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__1672) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1674__PHI_TEMPORARY = llvm_cbe__2e_lobit3956;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5043;

llvm_cbe_tmp__8216:
  llvm_cbe_tmp__1719 = llvm_cbe_tmp__1712 & 61440u;
  *llvm_cbe_tmp__1710 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1719) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__1701) + ((unsigned int )1u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__1719 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__1719))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__1719 == 0u)));
  goto llvm_cbe_tmp__8213;

llvm_cbe_tmp__7527:
  llvm_cbe_tmp__6356 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6356) + ((unsigned int )14u)))))])) = ((unsigned char )-121);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6356) + ((unsigned int )15u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 0u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__6357 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6356) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6358 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6356) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6359 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6357)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6358))))));
  *((&RAM.array[((signed int )33775u)])) = llvm_cbe_tmp__6359;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6359 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6359) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6359 == ((unsigned char )0))));
  llvm_cbe_tmp__6360 = *(&WP);
  llvm_cbe_tmp__6361 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6360);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6361) + ((unsigned int )22u)))))])) = ((unsigned char )2);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6361) + ((unsigned int )23u)))))])) = ((unsigned char )-86);
  llvm_cbe_tmp__1596__PHI_TEMPORARY = llvm_cbe_tmp__6360;   /* for PHI node */
  goto llvm_cbe_tmp__8206;

llvm_cbe_tmp__7538:
  llvm_cbe_tmp__6439 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6440 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6439) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6441 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6439) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6442 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6440)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6441))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6439) + ((unsigned int )10u)))) & 65535u))])) = llvm_cbe_tmp__6442;
  llvm_cbe_tmp__6443 = *(&WP);
  llvm_cbe_tmp__6444 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6443);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6444) + ((unsigned int )22u)))))])) = ((unsigned char )5);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6444) + ((unsigned int )23u)))))])) = ((unsigned char )-88);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6444) + ((unsigned int )14u)))))])) = ((unsigned char )64);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6444) + ((unsigned int )15u)))))])) = ((unsigned char )0);
  *(&ST_LGT) = 1u;
  *(&ST_AGT) = 1u;
  *(&ST_EQ) = 0u;
  llvm_cbe_tmp__1596__PHI_TEMPORARY = llvm_cbe_tmp__6443;   /* for PHI node */
  goto llvm_cbe_tmp__8206;

llvm_cbe_tmp__8207:
  llvm_cbe_tmp4007_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__1618 ^ llvm_cbe_tmp__1615)) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__1623__PHI_TEMPORARY = llvm_cbe_tmp4007_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5040;

llvm_cbe__2e__crit_edge4932:
  llvm_cbe_tmp__142 = *((&RAM.array[((signed int )33660u)]));
  llvm_cbe_tmp__143 = *((&RAM.array[((signed int )283u)]));
  llvm_cbe_tmp__144 = ((unsigned char )(llvm_cbe_tmp__143 | llvm_cbe_tmp__142));
  *((&RAM.array[((signed int )33660u)])) = llvm_cbe_tmp__144;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__144 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__144) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__144 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge;

llvm_cbe_tmp__7497:
  if (((((llvm_cbe_tmp__5995 == 0u) & (llvm_cbe_tmp__5994 == 0u))&1))) {
    goto llvm_cbe__2e__crit_edge4931;
  } else {
    goto llvm_cbe__2e__crit_edge4932;
  }

llvm_cbe_tmp__7498:
  if ((((((((llvm_cbe_tmp__5993 == 0u) ^ 1)&1)) & (llvm_cbe_tmp__5994 == 0u))&1))) {
    goto llvm_cbe__2e__crit_edge4932;
  } else {
    goto llvm_cbe__2e__crit_edge4931;
  }

llvm_cbe_tmp__7499:
  if (((((llvm_cbe_tmp__5993 == 0u) & (llvm_cbe_tmp__5994 == 0u))&1))) {
    goto llvm_cbe__2e__crit_edge4931;
  } else {
    goto llvm_cbe__2e__crit_edge4932;
  }

llvm_cbe_tmp__7500:
  if ((llvm_cbe_tmp__5995 == 0u)) {
    goto llvm_cbe__2e__crit_edge4931;
  } else {
    goto llvm_cbe__2e__crit_edge4932;
  }

llvm_cbe_tmp__7501:
  llvm_cbe_tmp__6039 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6040 = (&RAM.array[((signed int )llvm_cbe_tmp__6039)]);
  llvm_cbe_tmp__6041 = *llvm_cbe_tmp__6040;
  llvm_cbe_tmp__6042 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6039) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6043 = *llvm_cbe_tmp__6042;
  llvm_cbe_tmp__6044 = (((((unsigned int )(unsigned char )llvm_cbe_tmp__6041)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6043))) ^ 4294967295u;
  *llvm_cbe_tmp__6040 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6044) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6042 = (((unsigned char )llvm_cbe_tmp__6044));
  llvm_cbe_tmp__6045 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6039) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6046 = (&RAM.array[((signed int )llvm_cbe_tmp__6045)]);
  llvm_cbe_tmp__6047 = *llvm_cbe_tmp__6046;
  llvm_cbe_tmp__6048 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6045) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6049 = *llvm_cbe_tmp__6048;
  llvm_cbe_tmp__6050 = *llvm_cbe_tmp__6040;
  llvm_cbe_tmp__6051 = ((((((unsigned int )(unsigned char )llvm_cbe_tmp__6050)) << 8u) | (llvm_cbe_tmp__6044 & 255u)) ^ 65535u) & (((((unsigned int )(unsigned char )llvm_cbe_tmp__6047)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6049)));
  *llvm_cbe_tmp__6046 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6051) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6048 = (((unsigned char )llvm_cbe_tmp__6051));
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6051 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6051))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6051 == 0u)));
  if ((llvm_cbe_tmp__6051 == 0u)) {
    goto llvm_cbe__2e__crit_edge4932;
  } else {
    goto llvm_cbe__2e__crit_edge4931;
  }

llvm_cbe__2e__crit_edge5609:
  llvm_cbe_tmp__6062 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6063 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6062) + ((unsigned int )18u)))) & 65535u;
  llvm_cbe_tmp__6064 = *((&RAM.array[((signed int )llvm_cbe_tmp__6063)]));
  llvm_cbe_tmp__6065 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6063) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__6066 = (&RAM.array[((signed int )llvm_cbe_tmp__6062)]);
  *llvm_cbe_tmp__6066 = llvm_cbe_tmp__6064;
  llvm_cbe_tmp__6067 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6062) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__6067 = llvm_cbe_tmp__6065;
  *llvm_cbe_tmp__6066 = (((unsigned char )(llvm_cbe_tmp__6065 << ((unsigned char )4))));
  *llvm_cbe_tmp__6067 = ((unsigned char )0);
  llvm_cbe_tmp__6068 = *llvm_cbe_tmp__6066;
  *llvm_cbe_tmp__6066 = ((unsigned char )0);
  *llvm_cbe_tmp__6067 = (((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp__6068) >> ((unsigned char )((unsigned char )5)))))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__6068))) >> ((unsigned int )4u)))) & 1u);
  llvm_cbe_tmp__6069 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6062) + ((unsigned int )10u)));
  llvm_cbe_tmp__6070 = *((&RAM.array[((signed int )33660u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__6069 & 65535u))])) = llvm_cbe_tmp__6070;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6070 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6070) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6070 == ((unsigned char )0))));
  llvm_cbe_tmp__6071 = *llvm_cbe_tmp__6067;
  llvm_cbe_tmp__6072 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6071)) & 15u;
  llvm_cbe_tmp__6073 = (&RAM.array[((signed int )llvm_cbe_tmp__6069)]);
  llvm_cbe_tmp__6074 = *llvm_cbe_tmp__6073;
  llvm_cbe_tmp__6075 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6062) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__6076 = *llvm_cbe_tmp__6075;
  llvm_cbe_tmp__6077 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6076)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__6074)) << 8u)) << ((((llvm_cbe_tmp__6072 == 0u)) ? (16u) : (llvm_cbe_tmp__6072)));
  *llvm_cbe_tmp__6073 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6077) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6075 = (((unsigned char )llvm_cbe_tmp__6077));
  llvm_cbe_tmp__6078 = ((unsigned short )llvm_cbe_tmp__6077);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6078 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6078) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6078 == ((unsigned short )0))));
  llvm_cbe_tmp__6079 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6077) >> ((unsigned int )16u)))) & 1u;
  *(&ST_C) = llvm_cbe_tmp__6079;
  if ((llvm_cbe_tmp__6079 == 0u)) {
    goto llvm_cbe__2e__crit_edge4931;
  } else {
    goto llvm_cbe__2e__crit_edge4932;
  }

llvm_cbe__2e__crit_edge5530:
  llvm_cbe__2e_pre_2d_phi = llvm_cbe__2e_pre_2d_phi__PHI_TEMPORARY;
  llvm_cbe_tmp__145 = llvm_cbe_tmp__145__PHI_TEMPORARY;
  llvm_cbe_tmp__146 = llvm_cbe_tmp__146__PHI_TEMPORARY;
  llvm_cbe_tmp__147 = llvm_cbe_tmp__147__PHI_TEMPORARY;
  llvm_cbe_tmp__148 = *(&ST_C);
  llvm_cbe_tmp__149 = *(&ST_O);
  llvm_cbe_tmp__150 = *(&ST_P);
  llvm_cbe_tmp__151 = *(&ST_X);
  llvm_cbe_tmp__152 = *(&ST_IM);
  llvm_cbe_tmp__153 = ((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi) + ((unsigned int )8u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__153)])) = (((unsigned char )(((unsigned int )(((unsigned int )((((((((llvm_cbe_tmp__146 << 14u) | (llvm_cbe_tmp__147 << 15u)) | (llvm_cbe_tmp__145 << 13u)) | (llvm_cbe_tmp__148 << 12u)) | (llvm_cbe_tmp__149 << 11u)) | (llvm_cbe_tmp__150 << 10u)) | llvm_cbe_tmp__152) | (llvm_cbe_tmp__151 << 9u))) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe__2e_pre_2d_phi) + ((unsigned int )9u)))))])) = (((unsigned char )llvm_cbe_tmp__152));
  llvm_cbe_tmp__154 = *((&RAM.array[((signed int )(llvm_cbe_tmp__153 & 65535u))]));
  *((&RAM.array[((signed int )33660u)])) = llvm_cbe_tmp__154;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__154 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__154) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__154 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge;

llvm_cbe__2e__crit_edge5530_2e_loopexit:
  llvm_cbe__2e_pre7019 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe__2e_pre_2d_phi__PHI_TEMPORARY = llvm_cbe__2e_pre7019;   /* for PHI node */
  llvm_cbe_tmp__145__PHI_TEMPORARY = llvm_cbe_tmp__5994;   /* for PHI node */
  llvm_cbe_tmp__146__PHI_TEMPORARY = llvm_cbe_tmp__5995;   /* for PHI node */
  llvm_cbe_tmp__147__PHI_TEMPORARY = llvm_cbe_tmp__5993;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5530;

llvm_cbe_tmp__7502:
  llvm_cbe_tmp__6052 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6053 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6052) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__6054 = (&RAM.array[((signed int )llvm_cbe_tmp__6053)]);
  llvm_cbe_tmp__6055 = *llvm_cbe_tmp__6054;
  llvm_cbe_tmp__6056 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6053) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6057 = *llvm_cbe_tmp__6056;
  llvm_cbe_tmp__6058 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__6055)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6057));
  *llvm_cbe_tmp__6054 = llvm_cbe_tmp__6055;
  *llvm_cbe_tmp__6056 = llvm_cbe_tmp__6057;
  llvm_cbe_tmp__6059 = ((unsigned int )(bool )(llvm_cbe_tmp__6058 != 0u));
  *(&ST_LGT) = llvm_cbe_tmp__6059;
  llvm_cbe_tmp__6060 = ((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__6058))) > ((signed short )((unsigned short )0))));
  *(&ST_AGT) = llvm_cbe_tmp__6060;
  llvm_cbe_tmp__6061 = ((unsigned int )(bool )(llvm_cbe_tmp__6058 == 0u));
  *(&ST_EQ) = llvm_cbe_tmp__6061;
  llvm_cbe__2e_pre_2d_phi__PHI_TEMPORARY = llvm_cbe_tmp__6052;   /* for PHI node */
  llvm_cbe_tmp__145__PHI_TEMPORARY = llvm_cbe_tmp__6061;   /* for PHI node */
  llvm_cbe_tmp__146__PHI_TEMPORARY = llvm_cbe_tmp__6060;   /* for PHI node */
  llvm_cbe_tmp__147__PHI_TEMPORARY = llvm_cbe_tmp__6059;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5530;

llvm_cbe__2e__crit_edge5614:
  llvm_cbe_tmp__229 = llvm_cbe_tmp__229__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__229;
  llvm_cbe_tmp__230 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6171) + ((unsigned int )12u)));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__230 & 65535u))])) = llvm_cbe_tmp__6176;
  llvm_cbe_tmp__231 = (&RAM.array[((signed int )llvm_cbe_tmp__230)]);
  llvm_cbe_tmp__232 = *llvm_cbe_tmp__231;
  llvm_cbe_tmp__233 = ((unsigned short )(unsigned char )llvm_cbe_tmp__232);
  llvm_cbe_tmp__234 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6171) + ((unsigned int )13u)))))]);
  llvm_cbe_tmp__235 = *llvm_cbe_tmp__234;
  llvm_cbe_tmp__236 = ((unsigned short )(llvm_cbe_tmp__233 << ((unsigned short )8)));
  *llvm_cbe_tmp__231 = ((unsigned char )0);
  *llvm_cbe_tmp__234 = llvm_cbe_tmp__232;
  llvm_cbe_tmp__237 = ((unsigned int )(bool )(llvm_cbe_tmp__236 != ((unsigned short )0)));
  *(&ST_LGT) = llvm_cbe_tmp__237;
  *(&ST_AGT) = llvm_cbe_tmp__237;
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__236 == ((unsigned short )0))));
  *(&ST_C) = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__235))) >> ((unsigned int )7u))));
  llvm_cbe_tmp__238 = *llvm_cbe_tmp__231;
  llvm_cbe_tmp__239 = *((&RAM.array[((signed int )33765u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__238)) << ((unsigned short )8)))) | llvm_cbe_tmp__233)))) + ((unsigned short )((unsigned short )-32000))))))), llvm_cbe_tmp__239);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__239 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__239) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__239 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge;

llvm_cbe_tmp__8220:
  llvm_cbe_tmp3875_2e_lobit = (((unsigned int )(((unsigned int )(llvm_cbe_tmp__6175 ^ llvm_cbe_tmp__6174)) >> ((unsigned int )7u)))) & 1u;
  llvm_cbe_tmp__229__PHI_TEMPORARY = llvm_cbe_tmp3875_2e_lobit;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5614;

llvm_cbe_tmp__7512:
  llvm_cbe_tmp__6171 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6172 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6171) + ((unsigned int )28u)))) & 65535u))]));
  llvm_cbe_tmp__6173 = *((&RAM.array[((signed int )33650u)]));
  llvm_cbe_tmp__6174 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6173);
  llvm_cbe_tmp__6175 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6174) + ((unsigned int )(((unsigned int )(unsigned char )llvm_cbe_tmp__6172)))));
  llvm_cbe_tmp__6176 = ((unsigned char )llvm_cbe_tmp__6175);
  *((&RAM.array[((signed int )33650u)])) = llvm_cbe_tmp__6176;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6176 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6176) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6176 == ((unsigned char )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6175) >> ((unsigned int )8u)))) & 1u);
  if ((((((unsigned int )(unsigned char )(((unsigned char )(llvm_cbe_tmp__6173 ^ llvm_cbe_tmp__6172))))) & 128u) == 0u)) {
    goto llvm_cbe_tmp__8220;
  } else {
    llvm_cbe_tmp__229__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5614;
  }

llvm_cbe__2e__crit_edge4964:
  llvm_cbe_storemerge3926 = llvm_cbe_storemerge3926__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_storemerge3926;
  llvm_cbe_tmp__514 = *((&RAM.array[((signed int )33771u)]));
  *((&RAM.array[((signed int )33656u)])) = llvm_cbe_tmp__514;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__514 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__514) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__514 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge;

llvm_cbe__2e__crit_edge4963:
  llvm_cbe_tmp__492 = llvm_cbe_tmp__492__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__492;
  llvm_cbe_tmp__493 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__480) + ((unsigned int )8u)))) & 65535u;
  llvm_cbe_tmp__494 = (&RAM.array[((signed int )llvm_cbe_tmp__493)]);
  *llvm_cbe_tmp__494 = ((unsigned char )0);
  llvm_cbe_tmp__495 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__493) + ((unsigned int )1u)))))]);
  *llvm_cbe_tmp__495 = ((unsigned char )0);
  llvm_cbe_tmp__496 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__480) + ((unsigned int )10u)))) & 65535u;
  llvm_cbe_tmp__497 = (&RAM.array[((signed int )llvm_cbe_tmp__496)]);
  llvm_cbe_tmp__498 = *llvm_cbe_tmp__497;
  llvm_cbe_tmp__499 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__496) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__500 = *llvm_cbe_tmp__499;
  *llvm_cbe_tmp__497 = llvm_cbe_tmp__500;
  *llvm_cbe_tmp__499 = llvm_cbe_tmp__498;
  llvm_cbe_tmp__501 = *llvm_cbe_tmp__494;
  llvm_cbe_tmp__502 = *llvm_cbe_tmp__495;
  llvm_cbe_tmp__503 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__501)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__502));
  llvm_cbe_tmp__504 = *llvm_cbe_tmp__485;
  llvm_cbe_tmp__505 = *llvm_cbe_tmp__488;
  llvm_cbe_tmp__506 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__504)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__505));
  if ((((unsigned short )(((unsigned short )llvm_cbe_tmp__506))) > ((unsigned short )(((unsigned short )llvm_cbe_tmp__503))))) {
    goto llvm_cbe_tmp__8221;
  } else {
    llvm_cbe_storemerge3926__PHI_TEMPORARY = 1u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4964;
  }

llvm_cbe__2e__crit_edge5621:
  llvm_cbe_tmp__471 = llvm_cbe_tmp__471__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__471;
  llvm_cbe_tmp__472 = llvm_cbe_tmp__6348 & 65535u;
  llvm_cbe_tmp__473 = *((&RAM.array[((signed int )llvm_cbe_tmp__472)]));
  llvm_cbe_tmp__474 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__472) + ((unsigned int )1u)))))]));
  llvm_cbe_tmp__475 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__473)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__474));
  *((&RAM.array[((signed int )33728u)])) = llvm_cbe_tmp__473;
  *((&RAM.array[((signed int )33729u)])) = llvm_cbe_tmp__474;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__475 != 0u)));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )(((unsigned short )llvm_cbe_tmp__475))) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__475 == 0u)));
  llvm_cbe_tmp__476 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6338) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__477 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6338) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__478 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__476)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__477))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6338) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__478;
  llvm_cbe_tmp__479 = *(&WP);
  llvm_cbe_tmp__480 = ((unsigned int )(unsigned short )llvm_cbe_tmp__479);
  llvm_cbe_tmp__481 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__480) + ((unsigned int )12u)));
  llvm_cbe_tmp__482 = (&RAM.array[((signed int )llvm_cbe_tmp__481)]);
  llvm_cbe_tmp__483 = *llvm_cbe_tmp__482;
  *llvm_cbe_tmp__482 = ((unsigned char )0);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__480) + ((unsigned int )13u)))))])) = llvm_cbe_tmp__483;
  llvm_cbe_tmp__484 = llvm_cbe_tmp__481 & 65535u;
  llvm_cbe_tmp__485 = (&RAM.array[((signed int )llvm_cbe_tmp__484)]);
  llvm_cbe_tmp__486 = *llvm_cbe_tmp__485;
  llvm_cbe_tmp__487 = (((unsigned int )(unsigned char )llvm_cbe_tmp__486)) << 8u;
  llvm_cbe_tmp__488 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__484) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__489 = *llvm_cbe_tmp__488;
  llvm_cbe_tmp__490 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__487 | (((unsigned int )(unsigned char )llvm_cbe_tmp__489)))) + ((unsigned int )1u)));
  *llvm_cbe_tmp__485 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__490) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__488 = (((unsigned char )llvm_cbe_tmp__490));
  llvm_cbe_tmp__491 = ((unsigned short )llvm_cbe_tmp__490);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__491 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__491) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__491 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__490) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__487 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8222;
  } else {
    llvm_cbe_tmp__492__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4963;
  }

llvm_cbe_tmp__8223:
  llvm_cbe__2e_lobit3928 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__6354) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__471__PHI_TEMPORARY = llvm_cbe__2e_lobit3928;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5621;

llvm_cbe_tmp__7526:
  llvm_cbe_tmp__6338 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6339 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6338) + ((unsigned int )8u)));
  *((&RAM.array[((signed int )llvm_cbe_tmp__6339)])) = ((unsigned char )111);
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6338) + ((unsigned int )9u)))))])) = ((unsigned char )-27);
  llvm_cbe_tmp__6340 = llvm_cbe_tmp__6339 & 65535u;
  llvm_cbe_tmp__6341 = (&RAM.array[((signed int )llvm_cbe_tmp__6340)]);
  llvm_cbe_tmp__6342 = *llvm_cbe_tmp__6341;
  llvm_cbe_tmp__6343 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6340) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__6344 = *llvm_cbe_tmp__6343;
  llvm_cbe_tmp__6345 = *((&RAM.array[((signed int )33728u)]));
  llvm_cbe_tmp__6346 = *((&RAM.array[((signed int )33729u)]));
  llvm_cbe_tmp__6347 = ((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__6345)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6346)))) * ((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp__6342)) << 8u) | (((unsigned int )(unsigned char )llvm_cbe_tmp__6344))))));
  *llvm_cbe_tmp__6341 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6347) >> ((unsigned int )24u))))));
  *llvm_cbe_tmp__6343 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6347) >> ((unsigned int )16u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6340) + ((unsigned int )2u)))))])) = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6347) >> ((unsigned int )8u))))));
  *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6340) + ((unsigned int )3u)))))])) = (((unsigned char )llvm_cbe_tmp__6347));
  llvm_cbe_tmp__6348 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6338) + ((unsigned int )10u)));
  llvm_cbe_tmp__6349 = (&RAM.array[((signed int )llvm_cbe_tmp__6348)]);
  llvm_cbe_tmp__6350 = *llvm_cbe_tmp__6349;
  llvm_cbe_tmp__6351 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6350)) << 8u;
  llvm_cbe_tmp__6352 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6338) + ((unsigned int )11u)))))]);
  llvm_cbe_tmp__6353 = *llvm_cbe_tmp__6352;
  llvm_cbe_tmp__6354 = ((unsigned int )(((unsigned int )((((unsigned int )(unsigned char )llvm_cbe_tmp__6353)) | llvm_cbe_tmp__6351)) + ((unsigned int )31417u)));
  *llvm_cbe_tmp__6349 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6354) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__6352 = (((unsigned char )llvm_cbe_tmp__6354));
  llvm_cbe_tmp__6355 = ((unsigned short )llvm_cbe_tmp__6354);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6355 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6355) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6355 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6354) >> ((unsigned int )16u)))) & 1u);
  if (((llvm_cbe_tmp__6351 & 32768u) == 0u)) {
    goto llvm_cbe_tmp__8223;
  } else {
    llvm_cbe_tmp__471__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge5621;
  }

llvm_cbe_tmp__8222:
  llvm_cbe__2e_lobit3927 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__490) >> ((unsigned int )15u)))) & 1u;
  llvm_cbe_tmp__492__PHI_TEMPORARY = llvm_cbe__2e_lobit3927;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4963;

llvm_cbe_tmp__8221:
  llvm_cbe_tmp__507 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__493) + ((unsigned int )2u)))))]);
  llvm_cbe_tmp__508 = *llvm_cbe_tmp__507;
  llvm_cbe_tmp__509 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__493) + ((unsigned int )3u)))))]);
  llvm_cbe_tmp__510 = *llvm_cbe_tmp__509;
  llvm_cbe_tmp__511 = ((((unsigned int )(unsigned char )llvm_cbe_tmp__510)) | (llvm_cbe_tmp__503 << 16u)) | ((((unsigned int )(unsigned char )llvm_cbe_tmp__508)) << 8u);
  llvm_cbe_tmp__512 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__511) / ((unsigned int )llvm_cbe_tmp__506)));
  *llvm_cbe_tmp__494 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__512) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__495 = (((unsigned char )llvm_cbe_tmp__512));
  llvm_cbe_tmp__513 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__511) % ((unsigned int )llvm_cbe_tmp__506)));
  *llvm_cbe_tmp__507 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__513) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__509 = (((unsigned char )llvm_cbe_tmp__513));
  llvm_cbe_storemerge3926__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4964;

  } while (1); /* end of syntactic loop '._crit_edge' */
llvm_cbe_tmp__7504:
  llvm_cbe_tmp__6100 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6101 = ((unsigned int )(((unsigned int )llvm_cbe_tmp__6100) + ((unsigned int )8u)));
  llvm_cbe_tmp__6102 = *((&RAM.array[((signed int )33660u)]));
  *((&RAM.array[((signed int )(llvm_cbe_tmp__6101 & 65535u))])) = llvm_cbe_tmp__6102;
  llvm_cbe_tmp__6103 = (&RAM.array[((signed int )llvm_cbe_tmp__6101)]);
  llvm_cbe_tmp__6104 = *llvm_cbe_tmp__6103;
  llvm_cbe_tmp__6105 = ((unsigned int )(unsigned char )llvm_cbe_tmp__6104);
  llvm_cbe_tmp__6106 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6100) + ((unsigned int )9u)))))]);
  llvm_cbe_tmp__6107 = *llvm_cbe_tmp__6106;
  llvm_cbe_tmp__6108 = (((unsigned int )(unsigned char )llvm_cbe_tmp__6107)) | (llvm_cbe_tmp__6105 << 8u);
  llvm_cbe_tmp__6109 = llvm_cbe_tmp__6108 << 2u;
  *llvm_cbe_tmp__6103 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6108) >> ((unsigned int )6u))))));
  *llvm_cbe_tmp__6106 = (((unsigned char )llvm_cbe_tmp__6109));
  llvm_cbe_tmp__6110 = ((unsigned short )llvm_cbe_tmp__6109);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6110 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__6110) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6110 == ((unsigned short )0))));
  *(&ST_C) = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__6105) >> ((unsigned int )6u)))) & 1u);
  if (((((((signed short )llvm_cbe_tmp__6110) > ((signed short )((unsigned short )0))) | (llvm_cbe_tmp__6110 == ((unsigned short )0)))&1))) {
    goto llvm_cbe__2e__crit_edge4939;
  } else {
    goto llvm_cbe__2e__crit_edge4940;
  }

  do {     /* Syntactic loop '._crit_edge5532' to make GCC happy */
llvm_cbe__2e__crit_edge5532:
  llvm_cbe_tmp__208 = llvm_cbe_tmp__208__PHI_TEMPORARY;
  llvm_cbe_tmp__209 = (((unsigned int )(((unsigned int )(((unsigned int )(unsigned short )llvm_cbe_tmp__208))) + ((unsigned int )4u)))) & 65535u;
  llvm_cbe_tmp__210 = (&RAM.array[((signed int )llvm_cbe_tmp__209)]);
  llvm_cbe_tmp__211 = *llvm_cbe_tmp__210;
  llvm_cbe_tmp__212 = (((unsigned int )(unsigned char )llvm_cbe_tmp__211)) << 8u;
  llvm_cbe_tmp__213 = (&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__209) + ((unsigned int )1u)))))]);
  llvm_cbe_tmp__214 = *llvm_cbe_tmp__213;
  llvm_cbe_tmp__215 = ((unsigned int )(((unsigned int )(llvm_cbe_tmp__212 | (((unsigned int )(unsigned char )llvm_cbe_tmp__214)))) + ((unsigned int )4294967295u)));
  *llvm_cbe_tmp__210 = (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp__215) >> ((unsigned int )8u))))));
  *llvm_cbe_tmp__213 = (((unsigned char )llvm_cbe_tmp__215));
  llvm_cbe_tmp__216 = ((unsigned short )llvm_cbe_tmp__215);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__216 != ((unsigned short )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed short )llvm_cbe_tmp__216) > ((signed short )((unsigned short )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__216 == ((unsigned short )0))));
  llvm_cbe_tmp__217 = (((unsigned int )(((unsigned int )llvm_cbe_tmp__215) >> ((unsigned int )16u)))) & 1u;
  *(&ST_C) = (llvm_cbe_tmp__217 ^ 1u);
  if (((llvm_cbe_tmp__212 & 32768u) == 0u)) {
    llvm_cbe_tmp__218__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe__2e__crit_edge4944;
  } else {
    goto llvm_cbe_tmp__8224;
  }

llvm_cbe_tmp__8225:
  llvm_cbe_tmp__219 = *(&WP);
  llvm_cbe_tmp__220 = ((unsigned int )(unsigned short )llvm_cbe_tmp__219);
  llvm_cbe_tmp__221 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__220) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__222 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__220) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__223 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__221)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__222))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__220) + ((unsigned int )10u)))) & 65535u))])) = llvm_cbe_tmp__223;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__223 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__223) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__223 == ((unsigned char )0))));
  llvm_cbe_tmp__224 = *(&WP);
  llvm_cbe_tmp__225 = ((unsigned int )(unsigned short )llvm_cbe_tmp__224);
  llvm_cbe_tmp__226 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__225) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__227 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__225) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__228 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__226)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__227))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__225) + ((unsigned int )10u)))) & 65535u))])) = llvm_cbe_tmp__228;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__228 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__228) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__228 == ((unsigned char )0))));
  llvm_cbe__2e_pre6000 = *(&WP);
  llvm_cbe_tmp__208__PHI_TEMPORARY = llvm_cbe__2e_pre6000;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5532;

llvm_cbe__2e__crit_edge4944:
  llvm_cbe_tmp__218 = llvm_cbe_tmp__218__PHI_TEMPORARY;
  *(&ST_O) = llvm_cbe_tmp__218;
  if ((llvm_cbe_tmp__217 == 0u)) {
    goto llvm_cbe_tmp__8225;
  } else {
    goto llvm_cbe__2e__crit_edge4931;
  }

llvm_cbe_tmp__8224:
  llvm_cbe_tmp3873 = ((((unsigned int )(((unsigned int )llvm_cbe_tmp__215) >> ((unsigned int )15u)))) & 1u) ^ 1u;
  llvm_cbe_tmp__218__PHI_TEMPORARY = llvm_cbe_tmp3873;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge4944;

  } while (1); /* end of syntactic loop '._crit_edge5532' */
llvm_cbe_tmp__7618:
  llvm_cbe_tmp__7174 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__7175 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7174) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__7176 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7174) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__7177 = *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__7174) + ((unsigned int )14u)))) & 65535u))]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7176)) | (((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7175)) << ((unsigned short )8)))))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__7177);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7177 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7177) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7177 == ((unsigned char )0))));
  llvm_cbe_tmp__7178 = *(&WP);
  llvm_cbe_tmp__7179 = ((unsigned int )(unsigned short )llvm_cbe_tmp__7178);
  llvm_cbe_tmp__7180 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7179) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__7181 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__7179) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__7182 = *((&RAM.array[((signed int )33775u)]));
   /*tail*/ hw_write((((unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__7180)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__7181)))))) + ((unsigned short )((unsigned short )1026))))))), llvm_cbe_tmp__7182);
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__7182 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__7182) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__7182 == ((unsigned char )0))));
  goto llvm_cbe__2e__crit_edge4931;

  } while (1); /* end of syntactic loop '._crit_edge4931' */
llvm_cbe_tmp__7503:
  llvm_cbe_tmp__6080 = ((unsigned int )(unsigned short )llvm_cbe_tmp__5996);
  llvm_cbe_tmp__6081 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6080) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6082 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6080) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6083 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6081)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6082))))));
  *((&RAM.array[((signed int )((((unsigned int )(((unsigned int )llvm_cbe_tmp__6080) + ((unsigned int )12u)))) & 65535u))])) = llvm_cbe_tmp__6083;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6083 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6083) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6083 == ((unsigned char )0))));
  llvm_cbe_tmp__6084 = *(&WP);
  llvm_cbe_tmp__6085 = ((unsigned int )(unsigned short )llvm_cbe_tmp__6084);
  llvm_cbe_tmp__6086 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6085) + ((unsigned int )26u)))))]));
  llvm_cbe_tmp__6087 = *((&RAM.array[((signed int )(((unsigned int )(((unsigned int )llvm_cbe_tmp__6085) + ((unsigned int )27u)))))]));
  llvm_cbe_tmp__6088 =  /*tail*/ hw_read((((unsigned short )((((unsigned short )((((unsigned short )(unsigned char )llvm_cbe_tmp__6086)) << ((unsigned short )8)))) | (((unsigned short )(unsigned char )llvm_cbe_tmp__6087))))));
  *((&RAM.array[((signed int )33773u)])) = llvm_cbe_tmp__6088;
  *(&ST_LGT) = (((unsigned int )(bool )(llvm_cbe_tmp__6088 != ((unsigned char )0))));
  *(&ST_AGT) = (((unsigned int )(bool )(((signed char )llvm_cbe_tmp__6088) > ((signed char )((unsigned char )0)))));
  *(&ST_EQ) = (((unsigned int )(bool )(llvm_cbe_tmp__6088 == ((unsigned char )0))));
  llvm_cbe__2e_pre_2e_pre = *(&WP);
  llvm_cbe_tmp__18__PHI_TEMPORARY = llvm_cbe__2e_pre_2e_pre;   /* for PHI node */
  llvm_cbe_tmp__19__PHI_TEMPORARY = llvm_cbe__2e_pre_2e_pre;   /* for PHI node */
  goto llvm_cbe__2e__crit_edge5525;

  } while (1); /* end of syntactic loop '._crit_edge5525' */
  } while (1); /* end of syntactic loop '' */
}

